/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var V=["require","exports","vs/base/common/platform","vs/editor/common/core/position","vs/base/common/errors","vs/base/common/strings","vs/editor/common/core/range","vs/base/common/functional","vs/base/common/lifecycle","vs/base/common/stopwatch","vs/base/common/event","vs/base/common/diff/diff","vs/base/common/types","vs/base/common/uint","vs/base/common/uri","vs/base/common/diff/diffChange","vs/base/common/iterator","vs/base/common/keyCodes","vs/base/common/linkedList","vs/base/common/process","vs/base/common/path","vs/base/common/cancellation","vs/base/common/hash","vs/editor/common/core/characterClassifier","vs/editor/common/core/selection","vs/editor/common/core/token","vs/editor/common/diff/diffComputer","vs/editor/common/model/wordHelper","vs/editor/common/modes/linkComputer","vs/editor/common/modes/supports/inplaceReplaceSupport","vs/editor/common/standalone/standaloneEnums","vs/editor/common/standalone/standaloneBase","vs/editor/common/viewModel/prefixSumComputer","vs/editor/common/model/mirrorTextModel","vs/base/common/worker/simpleWorker","vs/editor/common/services/editorSimpleWorker"],Q=function(I){for(var t=[],M=0,U=I.length;M<U;M++)t[M]=V[I[M]];return t},Le=this,be=typeof global=="object"?global:{},ee;(function(I){I.global=Le;var t=function(){function M(){this._detected=!1,this._isWindows=!1,this._isNode=!1,this._isElectronRenderer=!1,this._isWebWorker=!1}return Object.defineProperty(M.prototype,"isWindows",{get:function(){return this._detect(),this._isWindows},enumerable:!1,configurable:!0}),Object.defineProperty(M.prototype,"isNode",{get:function(){return this._detect(),this._isNode},enumerable:!1,configurable:!0}),Object.defineProperty(M.prototype,"isElectronRenderer",{get:function(){return this._detect(),this._isElectronRenderer},enumerable:!1,configurable:!0}),Object.defineProperty(M.prototype,"isWebWorker",{get:function(){return this._detect(),this._isWebWorker},enumerable:!1,configurable:!0}),M.prototype._detect=function(){this._detected||(this._detected=!0,this._isWindows=M._isWindows(),this._isNode=typeof module!="undefined"&&!!module.exports,this._isElectronRenderer=typeof process!="undefined"&&typeof process.versions!="undefined"&&typeof process.versions.electron!="undefined"&&process.type==="renderer",this._isWebWorker=typeof I.global.importScripts=="function")},M._isWindows=function(){return typeof navigator!="undefined"&&navigator.userAgent&&navigator.userAgent.indexOf("Windows")>=0?!0:typeof process!="undefined"?process.platform==="win32":!1},M}();I.Environment=t})(ee||(ee={}));var ee;(function(I){var t=function(){function C(u,b,l){this.type=u,this.detail=b,this.timestamp=l}return C}();I.LoaderEvent=t;var M=function(){function C(u){this._events=[new t(1,"",u)]}return C.prototype.record=function(u,b){this._events.push(new t(u,b,I.Utilities.getHighPerformanceTimestamp()))},C.prototype.getEvents=function(){return this._events},C}();I.LoaderEventRecorder=M;var U=function(){function C(){}return C.prototype.record=function(u,b){},C.prototype.getEvents=function(){return[]},C.INSTANCE=new C,C}();I.NullLoaderEventRecorder=U})(ee||(ee={}));var ee;(function(I){var t=function(){function M(){}return M.fileUriToFilePath=function(U,C){if(C=decodeURI(C).replace(/%23/g,"#"),U){if(/^file:\/\/\//.test(C))return C.substr(8);if(/^file:\/\//.test(C))return C.substr(5)}else if(/^file:\/\//.test(C))return C.substr(7);return C},M.startsWith=function(U,C){return U.length>=C.length&&U.substr(0,C.length)===C},M.endsWith=function(U,C){return U.length>=C.length&&U.substr(U.length-C.length)===C},M.containsQueryString=function(U){return/^[^\#]*\?/gi.test(U)},M.isAbsolutePath=function(U){return/^((http:\/\/)|(https:\/\/)|(file:\/\/)|(\/))/.test(U)},M.forEachProperty=function(U,C){if(U){var u=void 0;for(u in U)U.hasOwnProperty(u)&&C(u,U[u])}},M.isEmpty=function(U){var C=!0;return M.forEachProperty(U,function(){C=!1}),C},M.recursiveClone=function(U){if(!U||typeof U!="object"||U instanceof RegExp||!Array.isArray(U)&&Object.getPrototypeOf(U)!==Object.prototype)return U;var C=Array.isArray(U)?[]:{};return M.forEachProperty(U,function(u,b){b&&typeof b=="object"?C[u]=M.recursiveClone(b):C[u]=b}),C},M.generateAnonymousModule=function(){return"===anonymous"+M.NEXT_ANONYMOUS_ID+++"==="},M.isAnonymousModule=function(U){return M.startsWith(U,"===anonymous")},M.getHighPerformanceTimestamp=function(){return this.PERFORMANCE_NOW_PROBED||(this.PERFORMANCE_NOW_PROBED=!0,this.HAS_PERFORMANCE_NOW=I.global.performance&&typeof I.global.performance.now=="function"),this.HAS_PERFORMANCE_NOW?I.global.performance.now():Date.now()},M.NEXT_ANONYMOUS_ID=1,M.PERFORMANCE_NOW_PROBED=!1,M.HAS_PERFORMANCE_NOW=!1,M}();I.Utilities=t})(ee||(ee={}));var ee;(function(I){function t(C){if(C instanceof Error)return C;var u=new Error(C.message||String(C)||"Unknown Error");return C.stack&&(u.stack=C.stack),u}I.ensureError=t;var M=function(){function C(){}return C.validateConfigurationOptions=function(u){function b(o){if(o.phase==="loading"){console.error('Loading "'+o.moduleId+'" failed'),console.error(o),console.error("Here are the modules that depend on it:"),console.error(o.neededBy);return}if(o.phase==="factory"){console.error('The factory method of "'+o.moduleId+'" has thrown an exception'),console.error(o);return}}if(u=u||{},typeof u.baseUrl!="string"&&(u.baseUrl=""),typeof u.isBuild!="boolean"&&(u.isBuild=!1),typeof u.paths!="object"&&(u.paths={}),typeof u.config!="object"&&(u.config={}),typeof u.catchError=="undefined"&&(u.catchError=!1),typeof u.recordStats=="undefined"&&(u.recordStats=!1),typeof u.urlArgs!="string"&&(u.urlArgs=""),typeof u.onError!="function"&&(u.onError=b),Array.isArray(u.ignoreDuplicateModules)||(u.ignoreDuplicateModules=[]),u.baseUrl.length>0&&(I.Utilities.endsWith(u.baseUrl,"/")||(u.baseUrl+="/")),typeof u.cspNonce!="string"&&(u.cspNonce=""),typeof u.preferScriptTags=="undefined"&&(u.preferScriptTags=!1),Array.isArray(u.nodeModules)||(u.nodeModules=[]),u.nodeCachedData&&typeof u.nodeCachedData=="object"&&(typeof u.nodeCachedData.seed!="string"&&(u.nodeCachedData.seed="seed"),(typeof u.nodeCachedData.writeDelay!="number"||u.nodeCachedData.writeDelay<0)&&(u.nodeCachedData.writeDelay=1e3*7),!u.nodeCachedData.path||typeof u.nodeCachedData.path!="string")){var l=t(new Error("INVALID cached data configuration, 'path' MUST be set"));l.phase="configuration",u.onError(l),u.nodeCachedData=void 0}return u},C.mergeConfigurationOptions=function(u,b){u===void 0&&(u=null),b===void 0&&(b=null);var l=I.Utilities.recursiveClone(b||{});return I.Utilities.forEachProperty(u,function(o,a){o==="ignoreDuplicateModules"&&typeof l.ignoreDuplicateModules!="undefined"?l.ignoreDuplicateModules=l.ignoreDuplicateModules.concat(a):o==="paths"&&typeof l.paths!="undefined"?I.Utilities.forEachProperty(a,function(L,w){return l.paths[L]=w}):o==="config"&&typeof l.config!="undefined"?I.Utilities.forEachProperty(a,function(L,w){return l.config[L]=w}):l[o]=I.Utilities.recursiveClone(a)}),C.validateConfigurationOptions(l)},C}();I.ConfigurationOptionsUtil=M;var U=function(){function C(u,b){if(this._env=u,this.options=M.mergeConfigurationOptions(b),this._createIgnoreDuplicateModulesMap(),this._createNodeModulesMap(),this._createSortedPathsRules(),this.options.baseUrl===""){if(this.options.nodeRequire&&this.options.nodeRequire.main&&this.options.nodeRequire.main.filename&&this._env.isNode){var l=this.options.nodeRequire.main.filename,o=Math.max(l.lastIndexOf("/"),l.lastIndexOf("\\"));this.options.baseUrl=l.substring(0,o+1)}if(this.options.nodeMain&&this._env.isNode){var l=this.options.nodeMain,o=Math.max(l.lastIndexOf("/"),l.lastIndexOf("\\"));this.options.baseUrl=l.substring(0,o+1)}}}return C.prototype._createIgnoreDuplicateModulesMap=function(){this.ignoreDuplicateModulesMap={};for(var u=0;u<this.options.ignoreDuplicateModules.length;u++)this.ignoreDuplicateModulesMap[this.options.ignoreDuplicateModules[u]]=!0},C.prototype._createNodeModulesMap=function(){this.nodeModulesMap=Object.create(null);for(var u=0,b=this.options.nodeModules;u<b.length;u++){var l=b[u];this.nodeModulesMap[l]=!0}},C.prototype._createSortedPathsRules=function(){var u=this;this.sortedPathsRules=[],I.Utilities.forEachProperty(this.options.paths,function(b,l){Array.isArray(l)?u.sortedPathsRules.push({from:b,to:l}):u.sortedPathsRules.push({from:b,to:[l]})}),this.sortedPathsRules.sort(function(b,l){return l.from.length-b.from.length})},C.prototype.cloneAndMerge=function(u){return new C(this._env,M.mergeConfigurationOptions(u,this.options))},C.prototype.getOptionsLiteral=function(){return this.options},C.prototype._applyPaths=function(u){for(var b,l=0,o=this.sortedPathsRules.length;l<o;l++)if(b=this.sortedPathsRules[l],I.Utilities.startsWith(u,b.from)){for(var a=[],L=0,w=b.to.length;L<w;L++)a.push(b.to[L]+u.substr(b.from.length));return a}return[u]},C.prototype._addUrlArgsToUrl=function(u){return I.Utilities.containsQueryString(u)?u+"&"+this.options.urlArgs:u+"?"+this.options.urlArgs},C.prototype._addUrlArgsIfNecessaryToUrl=function(u){return this.options.urlArgs?this._addUrlArgsToUrl(u):u},C.prototype._addUrlArgsIfNecessaryToUrls=function(u){if(this.options.urlArgs)for(var b=0,l=u.length;b<l;b++)u[b]=this._addUrlArgsToUrl(u[b]);return u},C.prototype.moduleIdToPaths=function(u){var b=this.nodeModulesMap[u]===!0||this.options.amdModulesPattern instanceof RegExp&&!this.options.amdModulesPattern.test(u);if(b)return this.isBuild()?["empty:"]:["node|"+u];var l=u,o;if(!I.Utilities.endsWith(l,".js")&&!I.Utilities.isAbsolutePath(l)){o=this._applyPaths(l);for(var a=0,L=o.length;a<L;a++)this.isBuild()&&o[a]==="empty:"||(I.Utilities.isAbsolutePath(o[a])||(o[a]=this.options.baseUrl+o[a]),!I.Utilities.endsWith(o[a],".js")&&!I.Utilities.containsQueryString(o[a])&&(o[a]=o[a]+".js"))}else!I.Utilities.endsWith(l,".js")&&!I.Utilities.containsQueryString(l)&&(l=l+".js"),o=[l];return this._addUrlArgsIfNecessaryToUrls(o)},C.prototype.requireToUrl=function(u){var b=u;return I.Utilities.isAbsolutePath(b)||(b=this._applyPaths(b)[0],I.Utilities.isAbsolutePath(b)||(b=this.options.baseUrl+b)),this._addUrlArgsIfNecessaryToUrl(b)},C.prototype.isBuild=function(){return this.options.isBuild},C.prototype.isDuplicateMessageIgnoredFor=function(u){return this.ignoreDuplicateModulesMap.hasOwnProperty(u)},C.prototype.getConfigForModule=function(u){if(this.options.config)return this.options.config[u]},C.prototype.shouldCatchError=function(){return this.options.catchError},C.prototype.shouldRecordStats=function(){return this.options.recordStats},C.prototype.onError=function(u){this.options.onError(u)},C}();I.Configuration=U})(ee||(ee={}));var ee;(function(I){var t=function(){function l(o){this._env=o,this._scriptLoader=null,this._callbackMap={}}return l.prototype.load=function(o,a,L,w){var g=this;if(!this._scriptLoader)if(this._env.isWebWorker)this._scriptLoader=new U;else if(this._env.isElectronRenderer){var c=o.getConfig().getOptionsLiteral().preferScriptTags;c?this._scriptLoader=new M:this._scriptLoader=new C(this._env)}else this._env.isNode?this._scriptLoader=new C(this._env):this._scriptLoader=new M;var d={callback:L,errorback:w};if(this._callbackMap.hasOwnProperty(a)){this._callbackMap[a].push(d);return}this._callbackMap[a]=[d],this._scriptLoader.load(o,a,function(){return g.triggerCallback(a)},function(A){return g.triggerErrorback(a,A)})},l.prototype.triggerCallback=function(o){var a=this._callbackMap[o];delete this._callbackMap[o];for(var L=0;L<a.length;L++)a[L].callback()},l.prototype.triggerErrorback=function(o,a){var L=this._callbackMap[o];delete this._callbackMap[o];for(var w=0;w<L.length;w++)L[w].errorback(a)},l}(),M=function(){function l(){}return l.prototype.attachListeners=function(o,a,L){var w=function(){o.removeEventListener("load",g),o.removeEventListener("error",c)},g=function(d){w(),a()},c=function(d){w(),L(d)};o.addEventListener("load",g),o.addEventListener("error",c)},l.prototype.load=function(o,a,L,w){if(/^node\|/.test(a)){var g=o.getConfig().getOptionsLiteral(),c=u(o.getRecorder(),g.nodeRequire||I.global.nodeRequire),d=a.split("|"),A=null;try{A=c(d[1])}catch(i){w(i);return}o.enqueueDefineAnonymousModule([],function(){return A}),L()}else{var E=document.createElement("script");E.setAttribute("async","async"),E.setAttribute("type","text/javascript"),this.attachListeners(E,L,w);var S=o.getConfig().getOptionsLiteral().trustedTypesPolicy;S&&(a=S.createScriptURL(a)),E.setAttribute("src",a);var n=o.getConfig().getOptionsLiteral().cspNonce;n&&E.setAttribute("nonce",n),document.getElementsByTagName("head")[0].appendChild(E)}},l}(),U=function(){function l(){}return l.prototype.load=function(o,a,L,w){var g=o.getConfig().getOptionsLiteral().trustedTypesPolicy,c=/^((http:)|(https:)|(file:))/.test(a)&&a.substring(0,self.origin.length)!==self.origin;if(!c){fetch(a).then(function(d){if(d.status!==200)throw new Error(d.statusText);return d.text()}).then(function(d){d=d+`
//# sourceURL=`+a;var A=g?self.eval(g.createScript("",d)):new Function(d);A.call(self),L()}).then(void 0,w);return}try{g&&(a=g.createScriptURL(a)),importScripts(a),L()}catch(d){w(d)}},l}(),C=function(){function l(o){this._env=o,this._didInitialize=!1,this._didPatchNodeRequire=!1}return l.prototype._init=function(o){this._didInitialize||(this._didInitialize=!0,this._fs=o("fs"),this._vm=o("vm"),this._path=o("path"),this._crypto=o("crypto"))},l.prototype._initNodeRequire=function(o,a){var L=a.getConfig().getOptionsLiteral().nodeCachedData;if(!L||this._didPatchNodeRequire)return;this._didPatchNodeRequire=!0;var w=this,g=o("module");function c(d){var A=d.constructor,E=function(n){try{return d.require(n)}finally{}};return E.resolve=function(n,i){return A._resolveFilename(n,d,!1,i)},E.resolve.paths=function(n){return A._resolveLookupPaths(n,d)},E.main=process.mainModule,E.extensions=A._extensions,E.cache=A._cache,E}g.prototype._compile=function(d,A){var E=g.wrap(d.replace(/^#!.*/,"")),S=a.getRecorder(),n=w._getCachedDataPath(L,A),i={filename:A},r;try{var s=w._fs.readFileSync(n);r=s.slice(0,16),i.cachedData=s.slice(16),S.record(60,n)}catch(P){S.record(61,n)}var h=new w._vm.Script(E,i),m=h.runInThisContext(i),f=w._path.dirname(A),v=c(this),N=[this.exports,v,this,A,f,process,be,Buffer],p=m.apply(this.exports,N);return w._handleCachedData(h,E,n,!i.cachedData,a),w._verifyCachedData(h,E,n,r,a),p}},l.prototype.load=function(o,a,L,w){var g=this,c=o.getConfig().getOptionsLiteral(),d=u(o.getRecorder(),c.nodeRequire||I.global.nodeRequire),A=c.nodeInstrumenter||function(m){return m};this._init(d),this._initNodeRequire(d,o);var E=o.getRecorder();if(/^node\|/.test(a)){var S=a.split("|"),n=null;try{n=d(S[1])}catch(m){w(m);return}o.enqueueDefineAnonymousModule([],function(){return n}),L()}else{a=I.Utilities.fileUriToFilePath(this._env.isWindows,a);var i=this._path.normalize(a),r=this._getElectronRendererScriptPathOrUri(i),s=Boolean(c.nodeCachedData),h=s?this._getCachedDataPath(c.nodeCachedData,a):void 0;this._readSourceAndCachedData(i,h,E,function(m,f,v,N){if(m){w(m);return}var p;f.charCodeAt(0)===l._BOM?p=l._PREFIX+f.substring(1)+l._SUFFIX:p=l._PREFIX+f+l._SUFFIX,p=A(p,i);var P={filename:r,cachedData:v},R=g._createAndEvalScript(o,p,P,L,w);g._handleCachedData(R,p,h,s&&!v,o),g._verifyCachedData(R,p,h,N,o)})}},l.prototype._createAndEvalScript=function(o,a,L,w,g){var c=o.getRecorder();c.record(31,L.filename);var d=new this._vm.Script(a,L),A=d.runInThisContext(L),E=o.getGlobalAMDDefineFunc(),S=!1,n=function(){return S=!0,E.apply(null,arguments)};return n.amd=E.amd,A.call(I.global,o.getGlobalAMDRequireFunc(),n,L.filename,this._path.dirname(L.filename)),c.record(32,L.filename),S?w():g(new Error("Didn't receive define call in "+L.filename+"!")),d},l.prototype._getElectronRendererScriptPathOrUri=function(o){if(!this._env.isElectronRenderer)return o;var a=o.match(/^([a-z])\:(.*)/i);return a?"file:///"+(a[1].toUpperCase()+":"+a[2]).replace(/\\/g,"/"):"file://"+o},l.prototype._getCachedDataPath=function(o,a){var L=this._crypto.createHash("md5").update(a,"utf8").update(o.seed,"utf8").update(process.arch,"").digest("hex"),w=this._path.basename(a).replace(/\.js$/,"");return this._path.join(o.path,w+"-"+L+".code")},l.prototype._handleCachedData=function(o,a,L,w,g){var c=this;o.cachedDataRejected?this._fs.unlink(L,function(d){g.getRecorder().record(62,L),c._createAndWriteCachedData(o,a,L,g),d&&g.getConfig().onError(d)}):w&&this._createAndWriteCachedData(o,a,L,g)},l.prototype._createAndWriteCachedData=function(o,a,L,w){var g=this,c=Math.ceil(w.getConfig().getOptionsLiteral().nodeCachedData.writeDelay*(1+Math.random())),d=-1,A=0,E=void 0,S=function(){setTimeout(function(){E||(E=g._crypto.createHash("md5").update(a,"utf8").digest());var n=o.createCachedData();if(!(n.length===0||n.length===d||A>=5)){if(n.length<d){S();return}d=n.length,g._fs.writeFile(L,Buffer.concat([E,n]),function(i){i&&w.getConfig().onError(i),w.getRecorder().record(63,L),S()})}},c*Math.pow(4,A++))};S()},l.prototype._readSourceAndCachedData=function(o,a,L,w){if(!a)this._fs.readFile(o,{encoding:"utf8"},w);else{var g=void 0,c=void 0,d=void 0,A=2,E=function(S){S?w(S):--A==0&&w(void 0,g,c,d)};this._fs.readFile(o,{encoding:"utf8"},function(S,n){g=n,E(S)}),this._fs.readFile(a,function(S,n){!S&&n&&n.length>0?(d=n.slice(0,16),c=n.slice(16),L.record(60,a)):L.record(61,a),E()})}},l.prototype._verifyCachedData=function(o,a,L,w,g){var c=this;!w||o.cachedDataRejected||setTimeout(function(){var d=c._crypto.createHash("md5").update(a,"utf8").digest();w.equals(d)||(g.getConfig().onError(new Error("FAILED TO VERIFY CACHED DATA, deleting stale '"+L+"' now, but a RESTART IS REQUIRED")),c._fs.unlink(L,function(A){A&&g.getConfig().onError(A)}))},Math.ceil(5e3*(1+Math.random())))},l._BOM=65279,l._PREFIX="(function (require, define, __filename, __dirname) { ",l._SUFFIX=`
});`,l}();function u(l,o){if(o.__$__isRecorded)return o;var a=function(w){l.record(33,w);try{return o(w)}finally{l.record(34,w)}};return a.__$__isRecorded=!0,a}I.ensureRecordedNodeRequire=u;function b(l){return new t(l)}I.createScriptLoader=b})(ee||(ee={}));var ee;(function(I){var t=function(){function l(o){var a=o.lastIndexOf("/");a!==-1?this.fromModulePath=o.substr(0,a+1):this.fromModulePath=""}return l._normalizeModuleId=function(o){var a=o,L;for(L=/\/\.\//;L.test(a);)a=a.replace(L,"/");for(a=a.replace(/^\.\//g,""),L=/\/(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//;L.test(a);)a=a.replace(L,"/");return a=a.replace(/^(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//,""),a},l.prototype.resolveModule=function(o){var a=o;return I.Utilities.isAbsolutePath(a)||(I.Utilities.startsWith(a,"./")||I.Utilities.startsWith(a,"../"))&&(a=l._normalizeModuleId(this.fromModulePath+a)),a},l.ROOT=new l(""),l}();I.ModuleIdResolver=t;var M=function(){function l(o,a,L,w,g,c){this.id=o,this.strId=a,this.dependencies=L,this._callback=w,this._errorback=g,this.moduleIdResolver=c,this.exports={},this.error=null,this.exportsPassedIn=!1,this.unresolvedDependenciesCount=this.dependencies.length,this._isComplete=!1}return l._safeInvokeFunction=function(o,a){try{return{returnedValue:o.apply(I.global,a),producedError:null}}catch(L){return{returnedValue:null,producedError:L}}},l._invokeFactory=function(o,a,L,w){return o.isBuild()&&!I.Utilities.isAnonymousModule(a)?{returnedValue:null,producedError:null}:o.shouldCatchError()?this._safeInvokeFunction(L,w):{returnedValue:L.apply(I.global,w),producedError:null}},l.prototype.complete=function(o,a,L){this._isComplete=!0;var w=null;if(this._callback)if(typeof this._callback=="function"){o.record(21,this.strId);var g=l._invokeFactory(a,this.strId,this._callback,L);w=g.producedError,o.record(22,this.strId),!w&&typeof g.returnedValue!="undefined"&&(!this.exportsPassedIn||I.Utilities.isEmpty(this.exports))&&(this.exports=g.returnedValue)}else this.exports=this._callback;if(w){var c=I.ensureError(w);c.phase="factory",c.moduleId=this.strId,this.error=c,a.onError(c)}this.dependencies=null,this._callback=null,this._errorback=null,this.moduleIdResolver=null},l.prototype.onDependencyError=function(o){return this._isComplete=!0,this.error=o,this._errorback?(this._errorback(o),!0):!1},l.prototype.isComplete=function(){return this._isComplete},l}();I.Module=M;var U=function(){function l(){this._nextId=0,this._strModuleIdToIntModuleId=new Map,this._intModuleIdToStrModuleId=[],this.getModuleId("exports"),this.getModuleId("module"),this.getModuleId("require")}return l.prototype.getMaxModuleId=function(){return this._nextId},l.prototype.getModuleId=function(o){var a=this._strModuleIdToIntModuleId.get(o);return typeof a=="undefined"&&(a=this._nextId++,this._strModuleIdToIntModuleId.set(o,a),this._intModuleIdToStrModuleId[a]=o),a},l.prototype.getStrModuleId=function(o){return this._intModuleIdToStrModuleId[o]},l}(),C=function(){function l(o){this.id=o}return l.EXPORTS=new l(0),l.MODULE=new l(1),l.REQUIRE=new l(2),l}();I.RegularDependency=C;var u=function(){function l(o,a,L){this.id=o,this.pluginId=a,this.pluginParam=L}return l}();I.PluginDependency=u;var b=function(){function l(o,a,L,w,g){g===void 0&&(g=0),this._env=o,this._scriptLoader=a,this._loaderAvailableTimestamp=g,this._defineFunc=L,this._requireFunc=w,this._moduleIdProvider=new U,this._config=new I.Configuration(this._env),this._hasDependencyCycle=!1,this._modules2=[],this._knownModules2=[],this._inverseDependencies2=[],this._inversePluginDependencies2=new Map,this._currentAnnonymousDefineCall=null,this._recorder=null,this._buildInfoPath=[],this._buildInfoDefineStack=[],this._buildInfoDependencies=[]}return l.prototype.reset=function(){return new l(this._env,this._scriptLoader,this._defineFunc,this._requireFunc,this._loaderAvailableTimestamp)},l.prototype.getGlobalAMDDefineFunc=function(){return this._defineFunc},l.prototype.getGlobalAMDRequireFunc=function(){return this._requireFunc},l._findRelevantLocationInStack=function(o,a){for(var L=function(r){return r.replace(/\\/g,"/")},w=L(o),g=a.split(/\n/),c=0;c<g.length;c++){var d=g[c].match(/(.*):(\d+):(\d+)\)?$/);if(d){var A=d[1],E=d[2],S=d[3],n=Math.max(A.lastIndexOf(" ")+1,A.lastIndexOf("(")+1);if(A=A.substr(n),A=L(A),A===w){var i={line:parseInt(E,10),col:parseInt(S,10)};return i.line===1&&(i.col-="(function (require, define, __filename, __dirname) { ".length),i}}}throw new Error("Could not correlate define call site for needle "+o)},l.prototype.getBuildInfo=function(){if(!this._config.isBuild())return null;for(var o=[],a=0,L=0,w=this._modules2.length;L<w;L++){var g=this._modules2[L];if(!!g){var c=this._buildInfoPath[g.id]||null,d=this._buildInfoDefineStack[g.id]||null,A=this._buildInfoDependencies[g.id];o[a++]={id:g.strId,path:c,defineLocation:c&&d?l._findRelevantLocationInStack(c,d):null,dependencies:A,shim:null,exports:g.exports}}}return o},l.prototype.getRecorder=function(){return this._recorder||(this._config.shouldRecordStats()?this._recorder=new I.LoaderEventRecorder(this._loaderAvailableTimestamp):this._recorder=I.NullLoaderEventRecorder.INSTANCE),this._recorder},l.prototype.getLoaderEvents=function(){return this.getRecorder().getEvents()},l.prototype.enqueueDefineAnonymousModule=function(o,a){if(this._currentAnnonymousDefineCall!==null)throw new Error("Can only have one anonymous define call per script file");var L=null;this._config.isBuild()&&(L=new Error("StackLocation").stack||null),this._currentAnnonymousDefineCall={stack:L,dependencies:o,callback:a}},l.prototype.defineModule=function(o,a,L,w,g,c){var d=this;c===void 0&&(c=new t(o));var A=this._moduleIdProvider.getModuleId(o);if(this._modules2[A]){this._config.isDuplicateMessageIgnoredFor(o)||console.warn("Duplicate definition of module '"+o+"'");return}var E=new M(A,o,this._normalizeDependencies(a,c),L,w,c);this._modules2[A]=E,this._config.isBuild()&&(this._buildInfoDefineStack[A]=g,this._buildInfoDependencies[A]=(E.dependencies||[]).map(function(S){return d._moduleIdProvider.getStrModuleId(S.id)})),this._resolve(E)},l.prototype._normalizeDependency=function(o,a){if(o==="exports")return C.EXPORTS;if(o==="module")return C.MODULE;if(o==="require")return C.REQUIRE;var L=o.indexOf("!");if(L>=0){var w=a.resolveModule(o.substr(0,L)),g=a.resolveModule(o.substr(L+1)),c=this._moduleIdProvider.getModuleId(w+"!"+g),d=this._moduleIdProvider.getModuleId(w);return new u(c,d,g)}return new C(this._moduleIdProvider.getModuleId(a.resolveModule(o)))},l.prototype._normalizeDependencies=function(o,a){for(var L=[],w=0,g=0,c=o.length;g<c;g++)L[w++]=this._normalizeDependency(o[g],a);return L},l.prototype._relativeRequire=function(o,a,L,w){if(typeof a=="string")return this.synchronousRequire(a,o);this.defineModule(I.Utilities.generateAnonymousModule(),a,L,w,null,o)},l.prototype.synchronousRequire=function(o,a){a===void 0&&(a=new t(o));var L=this._normalizeDependency(o,a),w=this._modules2[L.id];if(!w)throw new Error("Check dependency list! Synchronous require cannot resolve module '"+o+"'. This is the first mention of this module!");if(!w.isComplete())throw new Error("Check dependency list! Synchronous require cannot resolve module '"+o+"'. This module has not been resolved completely yet.");if(w.error)throw w.error;return w.exports},l.prototype.configure=function(o,a){var L=this._config.shouldRecordStats();a?this._config=new I.Configuration(this._env,o):this._config=this._config.cloneAndMerge(o),this._config.shouldRecordStats()&&!L&&(this._recorder=null)},l.prototype.getConfig=function(){return this._config},l.prototype._onLoad=function(o){if(this._currentAnnonymousDefineCall!==null){var a=this._currentAnnonymousDefineCall;this._currentAnnonymousDefineCall=null,this.defineModule(this._moduleIdProvider.getStrModuleId(o),a.dependencies,a.callback,null,a.stack)}},l.prototype._createLoadError=function(o,a){var L=this,w=this._moduleIdProvider.getStrModuleId(o),g=(this._inverseDependencies2[o]||[]).map(function(d){return L._moduleIdProvider.getStrModuleId(d)}),c=I.ensureError(a);return c.phase="loading",c.moduleId=w,c.neededBy=g,c},l.prototype._onLoadError=function(o,a){var L=this._createLoadError(o,a);this._modules2[o]||(this._modules2[o]=new M(o,this._moduleIdProvider.getStrModuleId(o),[],function(){},function(){},null));for(var w=[],g=0,c=this._moduleIdProvider.getMaxModuleId();g<c;g++)w[g]=!1;var d=!1,A=[];for(A.push(o),w[o]=!0;A.length>0;){var E=A.shift(),S=this._modules2[E];S&&(d=S.onDependencyError(L)||d);var n=this._inverseDependencies2[E];if(n)for(var g=0,c=n.length;g<c;g++){var i=n[g];w[i]||(A.push(i),w[i]=!0)}}d||this._config.onError(L)},l.prototype._hasDependencyPath=function(o,a){var L=this._modules2[o];if(!L)return!1;for(var w=[],g=0,c=this._moduleIdProvider.getMaxModuleId();g<c;g++)w[g]=!1;var d=[];for(d.push(L),w[o]=!0;d.length>0;){var A=d.shift(),E=A.dependencies;if(E)for(var g=0,c=E.length;g<c;g++){var S=E[g];if(S.id===a)return!0;var n=this._modules2[S.id];n&&!w[S.id]&&(w[S.id]=!0,d.push(n))}}return!1},l.prototype._findCyclePath=function(o,a,L){if(o===a||L===50)return[o];var w=this._modules2[o];if(!w)return null;var g=w.dependencies;if(g)for(var c=0,d=g.length;c<d;c++){var A=this._findCyclePath(g[c].id,a,L+1);if(A!==null)return A.push(o),A}return null},l.prototype._createRequire=function(o){var a=this,L=function(w,g,c){return a._relativeRequire(o,w,g,c)};return L.toUrl=function(w){return a._config.requireToUrl(o.resolveModule(w))},L.getStats=function(){return a.getLoaderEvents()},L.hasDependencyCycle=function(){return a._hasDependencyCycle},L.config=function(w,g){g===void 0&&(g=!1),a.configure(w,g)},L.__$__nodeRequire=I.global.nodeRequire,L},l.prototype._loadModule=function(o){var a=this;if(!(this._modules2[o]||this._knownModules2[o])){this._knownModules2[o]=!0;var L=this._moduleIdProvider.getStrModuleId(o),w=this._config.moduleIdToPaths(L),g=/^@[^\/]+\/[^\/]+$/;this._env.isNode&&(L.indexOf("/")===-1||g.test(L))&&w.push("node|"+L);var c=-1,d=function(A){if(c++,c>=w.length)a._onLoadError(o,A);else{var E=w[c],S=a.getRecorder();if(a._config.isBuild()&&E==="empty:"){a._buildInfoPath[o]=E,a.defineModule(a._moduleIdProvider.getStrModuleId(o),[],null,null,null),a._onLoad(o);return}S.record(10,E),a._scriptLoader.load(a,E,function(){a._config.isBuild()&&(a._buildInfoPath[o]=E),S.record(11,E),a._onLoad(o)},function(n){S.record(12,E),d(n)})}};d(null)}},l.prototype._loadPluginDependency=function(o,a){var L=this;if(!(this._modules2[a.id]||this._knownModules2[a.id])){this._knownModules2[a.id]=!0;var w=function(g){L.defineModule(L._moduleIdProvider.getStrModuleId(a.id),[],g,null,null)};w.error=function(g){L._config.onError(L._createLoadError(a.id,g))},o.load(a.pluginParam,this._createRequire(t.ROOT),w,this._config.getOptionsLiteral())}},l.prototype._resolve=function(o){var a=this,L=o.dependencies;if(L)for(var w=0,g=L.length;w<g;w++){var c=L[w];if(c===C.EXPORTS){o.exportsPassedIn=!0,o.unresolvedDependenciesCount--;continue}if(c===C.MODULE){o.unresolvedDependenciesCount--;continue}if(c===C.REQUIRE){o.unresolvedDependenciesCount--;continue}var d=this._modules2[c.id];if(d&&d.isComplete()){if(d.error){o.onDependencyError(d.error);return}o.unresolvedDependenciesCount--;continue}if(this._hasDependencyPath(c.id,o.id)){this._hasDependencyCycle=!0,console.warn("There is a dependency cycle between '"+this._moduleIdProvider.getStrModuleId(c.id)+"' and '"+this._moduleIdProvider.getStrModuleId(o.id)+"'. The cyclic path follows:");var A=this._findCyclePath(c.id,o.id,0)||[];A.reverse(),A.push(c.id),console.warn(A.map(function(n){return a._moduleIdProvider.getStrModuleId(n)}).join(` => 
`)),o.unresolvedDependenciesCount--;continue}if(this._inverseDependencies2[c.id]=this._inverseDependencies2[c.id]||[],this._inverseDependencies2[c.id].push(o.id),c instanceof u){var E=this._modules2[c.pluginId];if(E&&E.isComplete()){this._loadPluginDependency(E.exports,c);continue}var S=this._inversePluginDependencies2.get(c.pluginId);S||(S=[],this._inversePluginDependencies2.set(c.pluginId,S)),S.push(c),this._loadModule(c.pluginId);continue}this._loadModule(c.id)}o.unresolvedDependenciesCount===0&&this._onModuleComplete(o)},l.prototype._onModuleComplete=function(o){var a=this,L=this.getRecorder();if(!o.isComplete()){var w=o.dependencies,g=[];if(w)for(var c=0,d=w.length;c<d;c++){var A=w[c];if(A===C.EXPORTS){g[c]=o.exports;continue}if(A===C.MODULE){g[c]={id:o.strId,config:function(){return a._config.getConfigForModule(o.strId)}};continue}if(A===C.REQUIRE){g[c]=this._createRequire(o.moduleIdResolver);continue}var E=this._modules2[A.id];if(E){g[c]=E.exports;continue}g[c]=null}o.complete(L,this._config,g);var S=this._inverseDependencies2[o.id];if(this._inverseDependencies2[o.id]=null,S)for(var c=0,d=S.length;c<d;c++){var n=S[c],i=this._modules2[n];i.unresolvedDependenciesCount--,i.unresolvedDependenciesCount===0&&this._onModuleComplete(i)}var r=this._inversePluginDependencies2.get(o.id);if(r){this._inversePluginDependencies2.delete(o.id);for(var c=0,d=r.length;c<d;c++)this._loadPluginDependency(o.exports,r[c])}}},l}();I.ModuleManager=b})(ee||(ee={}));var z,ee;(function(I){var t=new I.Environment,M=null,U=function(l,o,a){typeof l!="string"&&(a=o,o=l,l=null),(typeof o!="object"||!Array.isArray(o))&&(a=o,o=null),o||(o=["require","exports","module"]),l?M.defineModule(l,o,a,null,null):M.enqueueDefineAnonymousModule(o,a)};U.amd={jQuery:!0};var C=function(l,o){o===void 0&&(o=!1),M.configure(l,o)},u=function(){if(arguments.length===1){if(arguments[0]instanceof Object&&!Array.isArray(arguments[0])){C(arguments[0]);return}if(typeof arguments[0]=="string")return M.synchronousRequire(arguments[0])}if((arguments.length===2||arguments.length===3)&&Array.isArray(arguments[0])){M.defineModule(I.Utilities.generateAnonymousModule(),arguments[0],arguments[1],arguments[2],null);return}throw new Error("Unrecognized require call")};u.config=C,u.getConfig=function(){return M.getConfig().getOptionsLiteral()},u.reset=function(){M=M.reset()},u.getBuildInfo=function(){return M.getBuildInfo()},u.getStats=function(){return M.getLoaderEvents()},u.define=function(){return U.apply(null,arguments)};function b(){if(typeof I.global.require!="undefined"||typeof require!="undefined"){var l=I.global.require||require;if(typeof l=="function"&&typeof l.resolve=="function"){var o=I.ensureRecordedNodeRequire(M.getRecorder(),l);I.global.nodeRequire=o,u.nodeRequire=o,u.__$__nodeRequire=o}}t.isNode&&!t.isElectronRenderer?(module.exports=u,require=u):(t.isElectronRenderer||(I.global.define=U),I.global.require=u)}I.init=b,(typeof I.global.define!="function"||!I.global.define.amd)&&(M=new I.ModuleManager(t,I.createScriptLoader(t),U,u,I.Utilities.getHighPerformanceTimestamp()),typeof I.global.require!="undefined"&&typeof I.global.require!="function"&&u.config(I.global.require),z=function(){return U.apply(null,arguments)},z.amd=U.amd,typeof doNotInitLoader=="undefined"&&b())})(ee||(ee={}));var Se=this,de;(function(I){var t=Se||{},M=t.Plugin&&t.Plugin.Resources?t.Plugin.Resources:void 0,U=t&&t.document&&t.document.location&&t.document.location.hash.indexOf("pseudo=true")>=0;function C(a,L){var w;return L.length===0?w=a:w=a.replace(/\{(\d+)\}/g,function(g,c){var d=c[0];return typeof L[d]!="undefined"?L[d]:g}),U&&(w="\uFF3B"+w.replace(/[aouei]/g,"$&$&")+"\uFF3D"),w}function u(a,L){var w=a[L];return w||(w=a["*"],w)?w:null}function b(a,L){for(var w=[],g=0;g<arguments.length-2;g++)w[g]=arguments[g+2];return C(L,w)}function l(a){return function(L,w){var g=Array.prototype.slice.call(arguments,2);return C(a[L],g)}}var o=function(){function a(){this.localize=b}return a.prototype.setPseudoTranslation=function(L){U=L},a.prototype.create=function(L,w){return{localize:l(w[L])}},a.prototype.load=function(L,w,g,c){if(c=c||{},!L||L.length===0)g({localize:b});else{var d=void 0;if(M&&M.getString)d=".nls.keys",w([L+d],function(S){g({localize:function(n,i){if(!S[n])return"NLS error: unknown key "+n;var r=S[n].keys;if(i>=r.length)return"NLS error unknow index "+i;var s=r[i],h=[];h[0]=n+"_"+s;for(var m=0;m<arguments.length-2;m++)h[m+1]=arguments[m+2];return M.getString.apply(M,h)}})});else if(c.isBuild)w([L+".nls",L+".nls.keys"],function(S,n){a.BUILD_MAP[L]=S,a.BUILD_MAP_KEYS[L]=n,g(S)});else{var A=c["vs/nls"]||{},E=A.availableLanguages?u(A.availableLanguages,L):null;d=".nls",E!==null&&E!==a.DEFAULT_TAG&&(d=d+"."+E),w([L+d],function(S){Array.isArray(S)?S.localize=l(S):S.localize=l(S[L]),g(S)})}}},a.prototype._getEntryPointsMap=function(){return t.nlsPluginEntryPoints=t.nlsPluginEntryPoints||{},t.nlsPluginEntryPoints},a.prototype.write=function(L,w,g){var c=g.getEntryPoint(),d=this._getEntryPointsMap();d[c]=d[c]||[],d[c].push(w),w!==c&&g.asModule(L+"!"+w,"define(['vs/nls', 'vs/nls!"+c+`'], function(nls, data) { return nls.create("`+w+'", data); });')},a.prototype.writeFile=function(L,w,g,c,d){var A=this._getEntryPointsMap();if(A.hasOwnProperty(w)){for(var E=g.toUrl(w+".nls.js"),S=["/*---------------------------------------------------------"," * Copyright (c) Microsoft Corporation. All rights reserved."," *--------------------------------------------------------*/"],n=A[w],i={},r=0;r<n.length;r++)i[n[r]]=a.BUILD_MAP[n[r]];S.push('define("'+w+'.nls", '+JSON.stringify(i,null,"	")+");"),c(E,S.join(`\r
`))}},a.prototype.finishBuild=function(L){L("nls.metadata.json",JSON.stringify({keys:a.BUILD_MAP_KEYS,messages:a.BUILD_MAP,bundles:this._getEntryPointsMap()},null,"	"))},a.DEFAULT_TAG="i-default",a.BUILD_MAP={},a.BUILD_MAP_KEYS={},a}();I.NLSPlugin=o,function(){z("vs/nls",new o)}()})(de||(de={})),z(V[15],Q([0,1]),function(I,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DiffChange=void 0;class M{constructor(C,u,b,l){this.originalStart=C,this.originalLength=u,this.modifiedStart=b,this.modifiedLength=l}getOriginalEnd(){return this.originalStart+this.originalLength}getModifiedEnd(){return this.modifiedStart+this.modifiedLength}}t.DiffChange=M}),z(V[4],Q([0,1]),function(I,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createErrorWithActions=t.isErrorWithActions=t.ExpectedError=t.NotSupportedError=t.NotImplementedError=t.getErrorMessage=t.disposed=t.readonly=t.illegalState=t.illegalArgument=t.canceled=t.CancellationError=t.isPromiseCanceledError=t.transformErrorForSerialization=t.onUnexpectedExternalError=t.onUnexpectedError=t.setUnexpectedErrorHandler=t.errorHandler=t.ErrorHandler=void 0;class M{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(h){setTimeout(()=>{throw h.stack?new Error(h.message+`

`+h.stack):h},0)}}addListener(h){return this.listeners.push(h),()=>{this._removeListener(h)}}emit(h){this.listeners.forEach(m=>{m(h)})}_removeListener(h){this.listeners.splice(this.listeners.indexOf(h),1)}setUnexpectedErrorHandler(h){this.unexpectedErrorHandler=h}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(h){this.unexpectedErrorHandler(h),this.emit(h)}onUnexpectedExternalError(h){this.unexpectedErrorHandler(h)}}t.ErrorHandler=M,t.errorHandler=new M;function U(s){t.errorHandler.setUnexpectedErrorHandler(s)}t.setUnexpectedErrorHandler=U;function C(s){o(s)||t.errorHandler.onUnexpectedError(s)}t.onUnexpectedError=C;function u(s){o(s)||t.errorHandler.onUnexpectedExternalError(s)}t.onUnexpectedExternalError=u;function b(s){if(s instanceof Error){let{name:h,message:m}=s;const f=s.stacktrace||s.stack;return{$isError:!0,name:h,message:m,stack:f}}return s}t.transformErrorForSerialization=b;const l="Canceled";function o(s){return s instanceof Error&&s.name===l&&s.message===l}t.isPromiseCanceledError=o;class a extends Error{constructor(){super(l);this.name=this.message}}t.CancellationError=a;function L(){const s=new Error(l);return s.name=s.message,s}t.canceled=L;function w(s){return s?new Error(`Illegal argument: ${s}`):new Error("Illegal argument")}t.illegalArgument=w;function g(s){return s?new Error(`Illegal state: ${s}`):new Error("Illegal state")}t.illegalState=g;function c(s){return s?new Error(`readonly property '${s} cannot be changed'`):new Error("readonly property cannot be changed")}t.readonly=c;function d(s){const h=new Error(`${s} has been disposed`);return h.name="DISPOSED",h}t.disposed=d;function A(s){return s?s.message?s.message:s.stack?s.stack.split(`
`)[0]:String(s):"Error"}t.getErrorMessage=A;class E extends Error{constructor(h){super("NotImplemented");h&&(this.message=h)}}t.NotImplementedError=E;class S extends Error{constructor(h){super("NotSupported");h&&(this.message=h)}}t.NotSupportedError=S;class n extends Error{constructor(){super(...arguments);this.isExpected=!0}}t.ExpectedError=n;function i(s){const h=s;return h instanceof Error&&Array.isArray(h.actions)}t.isErrorWithActions=i;function r(s,h=Object.create(null)){const m=new Error(s);return h.actions&&(m.actions=h.actions),m}t.createErrorWithActions=r}),z(V[7],Q([0,1]),function(I,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.once=void 0;function M(U){const C=this;let u=!1,b;return function(){return u||(u=!0,b=U.apply(C,arguments)),b}}t.once=M}),z(V[16],Q([0,1]),function(I,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Iterable=void 0;var M;(function(U){function C(s){return s&&typeof s=="object"&&typeof s[Symbol.iterator]=="function"}U.is=C;const u=Object.freeze([]);function b(){return u}U.empty=b;function*l(s){yield s}U.single=l;function o(s){return s||u}U.from=o;function a(s){return!s||s[Symbol.iterator]().next().done===!0}U.isEmpty=a;function L(s){return s[Symbol.iterator]().next().value}U.first=L;function w(s,h){for(const m of s)if(h(m))return!0;return!1}U.some=w;function g(s,h){for(const m of s)if(h(m))return m}U.find=g;function*c(s,h){for(const m of s)h(m)&&(yield m)}U.filter=c;function*d(s,h){let m=0;for(const f of s)yield h(f,m++)}U.map=d;function*A(...s){for(const h of s)for(const m of h)yield m}U.concat=A;function*E(s){for(const h of s)for(const m of h)yield m}U.concatNested=E;function S(s,h,m){let f=m;for(const v of s)f=h(f,v);return f}U.reduce=S;function*n(s,h,m=s.length){for(h<0&&(h+=s.length),m<0?m+=s.length:m>s.length&&(m=s.length);h<m;h++)yield s[h]}U.slice=n;function i(s,h=Number.POSITIVE_INFINITY){const m=[];if(h===0)return[m,s];const f=s[Symbol.iterator]();for(let v=0;v<h;v++){const N=f.next();if(N.done)return[m,U.empty()];m.push(N.value)}return[m,{[Symbol.iterator](){return f}}]}U.consume=i;function r(s,h,m=(f,v)=>f===v){const f=s[Symbol.iterator](),v=h[Symbol.iterator]();for(;;){const N=f.next(),p=v.next();if(N.done!==p.done)return!1;if(N.done)return!0;if(!m(N.value,p.value))return!1}}U.equals=r})(M=t.Iterable||(t.Iterable={}))}),z(V[17],Q([0,1,4]),function(I,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ResolvedKeybinding=t.ResolvedKeybindingPart=t.ChordKeybinding=t.SimpleKeybinding=t.createSimpleKeybinding=t.createKeybinding=t.KeyChord=t.KeyMod=t.KeyCodeUtils=t.KeyCode=void 0;var U;(function(n){n[n.DependsOnKbLayout=-1]="DependsOnKbLayout",n[n.Unknown=0]="Unknown",n[n.Backspace=1]="Backspace",n[n.Tab=2]="Tab",n[n.Enter=3]="Enter",n[n.Shift=4]="Shift",n[n.Ctrl=5]="Ctrl",n[n.Alt=6]="Alt",n[n.PauseBreak=7]="PauseBreak",n[n.CapsLock=8]="CapsLock",n[n.Escape=9]="Escape",n[n.Space=10]="Space",n[n.PageUp=11]="PageUp",n[n.PageDown=12]="PageDown",n[n.End=13]="End",n[n.Home=14]="Home",n[n.LeftArrow=15]="LeftArrow",n[n.UpArrow=16]="UpArrow",n[n.RightArrow=17]="RightArrow",n[n.DownArrow=18]="DownArrow",n[n.Insert=19]="Insert",n[n.Delete=20]="Delete",n[n.KEY_0=21]="KEY_0",n[n.KEY_1=22]="KEY_1",n[n.KEY_2=23]="KEY_2",n[n.KEY_3=24]="KEY_3",n[n.KEY_4=25]="KEY_4",n[n.KEY_5=26]="KEY_5",n[n.KEY_6=27]="KEY_6",n[n.KEY_7=28]="KEY_7",n[n.KEY_8=29]="KEY_8",n[n.KEY_9=30]="KEY_9",n[n.KEY_A=31]="KEY_A",n[n.KEY_B=32]="KEY_B",n[n.KEY_C=33]="KEY_C",n[n.KEY_D=34]="KEY_D",n[n.KEY_E=35]="KEY_E",n[n.KEY_F=36]="KEY_F",n[n.KEY_G=37]="KEY_G",n[n.KEY_H=38]="KEY_H",n[n.KEY_I=39]="KEY_I",n[n.KEY_J=40]="KEY_J",n[n.KEY_K=41]="KEY_K",n[n.KEY_L=42]="KEY_L",n[n.KEY_M=43]="KEY_M",n[n.KEY_N=44]="KEY_N",n[n.KEY_O=45]="KEY_O",n[n.KEY_P=46]="KEY_P",n[n.KEY_Q=47]="KEY_Q",n[n.KEY_R=48]="KEY_R",n[n.KEY_S=49]="KEY_S",n[n.KEY_T=50]="KEY_T",n[n.KEY_U=51]="KEY_U",n[n.KEY_V=52]="KEY_V",n[n.KEY_W=53]="KEY_W",n[n.KEY_X=54]="KEY_X",n[n.KEY_Y=55]="KEY_Y",n[n.KEY_Z=56]="KEY_Z",n[n.Meta=57]="Meta",n[n.ContextMenu=58]="ContextMenu",n[n.F1=59]="F1",n[n.F2=60]="F2",n[n.F3=61]="F3",n[n.F4=62]="F4",n[n.F5=63]="F5",n[n.F6=64]="F6",n[n.F7=65]="F7",n[n.F8=66]="F8",n[n.F9=67]="F9",n[n.F10=68]="F10",n[n.F11=69]="F11",n[n.F12=70]="F12",n[n.F13=71]="F13",n[n.F14=72]="F14",n[n.F15=73]="F15",n[n.F16=74]="F16",n[n.F17=75]="F17",n[n.F18=76]="F18",n[n.F19=77]="F19",n[n.NumLock=78]="NumLock",n[n.ScrollLock=79]="ScrollLock",n[n.US_SEMICOLON=80]="US_SEMICOLON",n[n.US_EQUAL=81]="US_EQUAL",n[n.US_COMMA=82]="US_COMMA",n[n.US_MINUS=83]="US_MINUS",n[n.US_DOT=84]="US_DOT",n[n.US_SLASH=85]="US_SLASH",n[n.US_BACKTICK=86]="US_BACKTICK",n[n.US_OPEN_SQUARE_BRACKET=87]="US_OPEN_SQUARE_BRACKET",n[n.US_BACKSLASH=88]="US_BACKSLASH",n[n.US_CLOSE_SQUARE_BRACKET=89]="US_CLOSE_SQUARE_BRACKET",n[n.US_QUOTE=90]="US_QUOTE",n[n.OEM_8=91]="OEM_8",n[n.OEM_102=92]="OEM_102",n[n.NUMPAD_0=93]="NUMPAD_0",n[n.NUMPAD_1=94]="NUMPAD_1",n[n.NUMPAD_2=95]="NUMPAD_2",n[n.NUMPAD_3=96]="NUMPAD_3",n[n.NUMPAD_4=97]="NUMPAD_4",n[n.NUMPAD_5=98]="NUMPAD_5",n[n.NUMPAD_6=99]="NUMPAD_6",n[n.NUMPAD_7=100]="NUMPAD_7",n[n.NUMPAD_8=101]="NUMPAD_8",n[n.NUMPAD_9=102]="NUMPAD_9",n[n.NUMPAD_MULTIPLY=103]="NUMPAD_MULTIPLY",n[n.NUMPAD_ADD=104]="NUMPAD_ADD",n[n.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",n[n.NUMPAD_SUBTRACT=106]="NUMPAD_SUBTRACT",n[n.NUMPAD_DECIMAL=107]="NUMPAD_DECIMAL",n[n.NUMPAD_DIVIDE=108]="NUMPAD_DIVIDE",n[n.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",n[n.ABNT_C1=110]="ABNT_C1",n[n.ABNT_C2=111]="ABNT_C2",n[n.MAX_VALUE=112]="MAX_VALUE"})(U=t.KeyCode||(t.KeyCode={}));class C{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(i,r){this._keyCodeToStr[i]=r,this._strToKeyCode[r.toLowerCase()]=i}keyCodeToStr(i){return this._keyCodeToStr[i]}strToKeyCode(i){return this._strToKeyCode[i.toLowerCase()]||0}}const u=new C,b=new C,l=new C;(function(){function n(i,r,s=r,h=s){u.define(i,r),b.define(i,s),l.define(i,h)}n(0,"unknown"),n(1,"Backspace"),n(2,"Tab"),n(3,"Enter"),n(4,"Shift"),n(5,"Ctrl"),n(6,"Alt"),n(7,"PauseBreak"),n(8,"CapsLock"),n(9,"Escape"),n(10,"Space"),n(11,"PageUp"),n(12,"PageDown"),n(13,"End"),n(14,"Home"),n(15,"LeftArrow","Left"),n(16,"UpArrow","Up"),n(17,"RightArrow","Right"),n(18,"DownArrow","Down"),n(19,"Insert"),n(20,"Delete"),n(21,"0"),n(22,"1"),n(23,"2"),n(24,"3"),n(25,"4"),n(26,"5"),n(27,"6"),n(28,"7"),n(29,"8"),n(30,"9"),n(31,"A"),n(32,"B"),n(33,"C"),n(34,"D"),n(35,"E"),n(36,"F"),n(37,"G"),n(38,"H"),n(39,"I"),n(40,"J"),n(41,"K"),n(42,"L"),n(43,"M"),n(44,"N"),n(45,"O"),n(46,"P"),n(47,"Q"),n(48,"R"),n(49,"S"),n(50,"T"),n(51,"U"),n(52,"V"),n(53,"W"),n(54,"X"),n(55,"Y"),n(56,"Z"),n(57,"Meta"),n(58,"ContextMenu"),n(59,"F1"),n(60,"F2"),n(61,"F3"),n(62,"F4"),n(63,"F5"),n(64,"F6"),n(65,"F7"),n(66,"F8"),n(67,"F9"),n(68,"F10"),n(69,"F11"),n(70,"F12"),n(71,"F13"),n(72,"F14"),n(73,"F15"),n(74,"F16"),n(75,"F17"),n(76,"F18"),n(77,"F19"),n(78,"NumLock"),n(79,"ScrollLock"),n(80,";",";","OEM_1"),n(81,"=","=","OEM_PLUS"),n(82,",",",","OEM_COMMA"),n(83,"-","-","OEM_MINUS"),n(84,".",".","OEM_PERIOD"),n(85,"/","/","OEM_2"),n(86,"`","`","OEM_3"),n(110,"ABNT_C1"),n(111,"ABNT_C2"),n(87,"[","[","OEM_4"),n(88,"\\","\\","OEM_5"),n(89,"]","]","OEM_6"),n(90,"'","'","OEM_7"),n(91,"OEM_8"),n(92,"OEM_102"),n(93,"NumPad0"),n(94,"NumPad1"),n(95,"NumPad2"),n(96,"NumPad3"),n(97,"NumPad4"),n(98,"NumPad5"),n(99,"NumPad6"),n(100,"NumPad7"),n(101,"NumPad8"),n(102,"NumPad9"),n(103,"NumPad_Multiply"),n(104,"NumPad_Add"),n(105,"NumPad_Separator"),n(106,"NumPad_Subtract"),n(107,"NumPad_Decimal"),n(108,"NumPad_Divide")})();var o;(function(n){function i(f){return u.keyCodeToStr(f)}n.toString=i;function r(f){return u.strToKeyCode(f)}n.fromString=r;function s(f){return b.keyCodeToStr(f)}n.toUserSettingsUS=s;function h(f){return l.keyCodeToStr(f)}n.toUserSettingsGeneral=h;function m(f){return b.strToKeyCode(f)||l.strToKeyCode(f)}n.fromUserSettings=m})(o=t.KeyCodeUtils||(t.KeyCodeUtils={}));var a;(function(n){n[n.CtrlCmd=2048]="CtrlCmd",n[n.Shift=1024]="Shift",n[n.Alt=512]="Alt",n[n.WinCtrl=256]="WinCtrl",n[n.KeyCode=255]="KeyCode"})(a||(a={}));var L;(function(n){n[n.CtrlCmd=2048]="CtrlCmd",n[n.Shift=1024]="Shift",n[n.Alt=512]="Alt",n[n.WinCtrl=256]="WinCtrl"})(L=t.KeyMod||(t.KeyMod={}));function w(n,i){const r=(i&65535)<<16>>>0;return(n|r)>>>0}t.KeyChord=w;function g(n,i){if(n===0)return null;const r=(n&65535)>>>0,s=(n&4294901760)>>>16;return s!==0?new A([c(r,i),c(s,i)]):new A([c(r,i)])}t.createKeybinding=g;function c(n,i){const r=!!(n&2048),s=!!(n&256),h=i===2?s:r,m=!!(n&1024),f=!!(n&512),v=i===2?r:s,N=n&255;return new d(h,m,f,v,N)}t.createSimpleKeybinding=c;class d{constructor(i,r,s,h,m){this.ctrlKey=i,this.shiftKey=r,this.altKey=s,this.metaKey=h,this.keyCode=m}equals(i){return this.ctrlKey===i.ctrlKey&&this.shiftKey===i.shiftKey&&this.altKey===i.altKey&&this.metaKey===i.metaKey&&this.keyCode===i.keyCode}getHashCode(){const i=this.ctrlKey?"1":"0",r=this.shiftKey?"1":"0",s=this.altKey?"1":"0",h=this.metaKey?"1":"0";return`${i}${r}${s}${h}${this.keyCode}`}isModifierKey(){return this.keyCode===0||this.keyCode===5||this.keyCode===57||this.keyCode===6||this.keyCode===4}toChord(){return new A([this])}isDuplicateModifierCase(){return this.ctrlKey&&this.keyCode===5||this.shiftKey&&this.keyCode===4||this.altKey&&this.keyCode===6||this.metaKey&&this.keyCode===57}}t.SimpleKeybinding=d;class A{constructor(i){if(i.length===0)throw M.illegalArgument("parts");this.parts=i}getHashCode(){let i="";for(let r=0,s=this.parts.length;r<s;r++)r!==0&&(i+=";"),i+=this.parts[r].getHashCode();return i}equals(i){if(i===null||this.parts.length!==i.parts.length)return!1;for(let r=0;r<this.parts.length;r++)if(!this.parts[r].equals(i.parts[r]))return!1;return!0}}t.ChordKeybinding=A;class E{constructor(i,r,s,h,m,f){this.ctrlKey=i,this.shiftKey=r,this.altKey=s,this.metaKey=h,this.keyLabel=m,this.keyAriaLabel=f}}t.ResolvedKeybindingPart=E;class S{}t.ResolvedKeybinding=S}),z(V[8],Q([0,1,7,16]),function(I,t,M,U){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ImmortalReference=t.AsyncReferenceCollection=t.ReferenceCollection=t.MutableDisposable=t.Disposable=t.DisposableStore=t.toDisposable=t.combinedDisposable=t.dispose=t.isDisposable=t.MultiDisposeError=t.trackDisposable=t.setDisposableTracker=void 0;const C=!1;let u=null;function b(r){u=r}if(t.setDisposableTracker=b,C){const r="__is_disposable_tracked__";u=new class{trackDisposable(s){const h=new Error("Potentially leaked disposable").stack;setTimeout(()=>{s[r]||console.log(h)},3e3)}markTracked(s){if(s&&s!==A.None)try{s[r]=!0}catch{}}}}function l(r){!u||u.markTracked(r)}function o(r){return u&&u.trackDisposable(r),r}t.trackDisposable=o;class a extends Error{constructor(s){super(`Encountered errors while disposing of store. Errors: [${s.join(", ")}]`);this.errors=s}}t.MultiDisposeError=a;function L(r){return typeof r.dispose=="function"&&r.dispose.length===0}t.isDisposable=L;function w(r){if(U.Iterable.is(r)){let s=[];for(const h of r)if(h){l(h);try{h.dispose()}catch(m){s.push(m)}}if(s.length===1)throw s[0];if(s.length>1)throw new a(s);return Array.isArray(r)?[]:r}else if(r)return l(r),r.dispose(),r}t.dispose=w;function g(...r){return r.forEach(l),c(()=>w(r))}t.combinedDisposable=g;function c(r){const s=o({dispose:()=>{l(s),r()}});return s}t.toDisposable=c;class d{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(l(this),this._isDisposed=!0,this.clear())}clear(){try{w(this._toDispose.values())}finally{this._toDispose.clear()}}add(s){if(!s)return s;if(s===this)throw new Error("Cannot register a disposable on itself!");return l(s),this._isDisposed?d.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(s),s}}t.DisposableStore=d,d.DISABLE_DISPOSED_WARNING=!1;class A{constructor(){this._store=new d,o(this)}dispose(){l(this),this._store.dispose()}_register(s){if(s===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(s)}}t.Disposable=A,A.None=Object.freeze({dispose(){}});class E{constructor(){this._isDisposed=!1,o(this)}get value(){return this._isDisposed?void 0:this._value}set value(s){this._isDisposed||s===this._value||(this._value?.dispose(),s&&l(s),this._value=s)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,l(this),this._value?.dispose(),this._value=void 0}}t.MutableDisposable=E;class S{constructor(){this.references=new Map}acquire(s,...h){let m=this.references.get(s);m||(m={counter:0,object:this.createReferencedObject(s,...h)},this.references.set(s,m));const{object:f}=m,v=M.once(()=>{--m.counter==0&&(this.destroyReferencedObject(s,m.object),this.references.delete(s))});return m.counter++,{object:f,dispose:v}}}t.ReferenceCollection=S;class n{constructor(s){this.referenceCollection=s}async acquire(s,...h){const m=this.referenceCollection.acquire(s,...h);try{return{object:await m.object,dispose:()=>m.dispose()}}catch(f){throw m.dispose(),f}}}t.AsyncReferenceCollection=n;class i{constructor(s){this.object=s}dispose(){}}t.ImmortalReference=i}),z(V[18],Q([0,1]),function(I,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LinkedList=void 0;class M{constructor(u){this.element=u,this.next=M.Undefined,this.prev=M.Undefined}}M.Undefined=new M(void 0);class U{constructor(){this._first=M.Undefined,this._last=M.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===M.Undefined}clear(){let u=this._first;for(;u!==M.Undefined;){const b=u.next;u.prev=M.Undefined,u.next=M.Undefined,u=b}this._first=M.Undefined,this._last=M.Undefined,this._size=0}unshift(u){return this._insert(u,!1)}push(u){return this._insert(u,!0)}_insert(u,b){const l=new M(u);if(this._first===M.Undefined)this._first=l,this._last=l;else if(b){const a=this._last;this._last=l,l.prev=a,a.next=l}else{const a=this._first;this._first=l,l.next=a,a.prev=l}this._size+=1;let o=!1;return()=>{o||(o=!0,this._remove(l))}}shift(){if(this._first!==M.Undefined){const u=this._first.element;return this._remove(this._first),u}}pop(){if(this._last!==M.Undefined){const u=this._last.element;return this._remove(this._last),u}}_remove(u){if(u.prev!==M.Undefined&&u.next!==M.Undefined){const b=u.prev;b.next=u.next,u.next.prev=b}else u.prev===M.Undefined&&u.next===M.Undefined?(this._first=M.Undefined,this._last=M.Undefined):u.next===M.Undefined?(this._last=this._last.prev,this._last.next=M.Undefined):u.prev===M.Undefined&&(this._first=this._first.next,this._first.prev=M.Undefined);this._size-=1}*[Symbol.iterator](){let u=this._first;for(;u!==M.Undefined;)yield u.element,u=u.next}}t.LinkedList=U}),z(V[2],Q([0,1]),function(I,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isLittleEndian=t.OS=t.OperatingSystem=t.setImmediate=t.translationsConfigFile=t.locale=t.Language=t.language=t.userAgent=t.platform=t.isIOS=t.isWeb=t.isNative=t.isLinuxSnap=t.isLinux=t.isMacintosh=t.isWindows=t.PlatformToString=t.Platform=t.isPreferringBrowserCodeLoad=t.browserCodeLoadingCacheStrategy=t.isElectronSandboxed=t.globals=void 0;const M="en";let U=!1,C=!1,u=!1,b=!1,l=!1,o=!1,a=!1,L,w=M,g,c;t.globals=typeof self=="object"?self:typeof global=="object"?global:{};let d;typeof t.globals.vscode!="undefined"&&typeof t.globals.vscode.process!="undefined"?d=t.globals.vscode.process:typeof process!="undefined"&&(d=process);const A=typeof d?.versions?.electron=="string"&&d.type==="renderer";if(t.isElectronSandboxed=A&&d?.sandboxed,t.browserCodeLoadingCacheStrategy=(()=>{if(t.isElectronSandboxed)return"bypassHeatCheck";const f=d?.env.VSCODE_BROWSER_CODE_LOADING;if(typeof f=="string")return f==="none"||f==="code"||f==="bypassHeatCheck"||f==="bypassHeatCheckAndEagerCompile"?f:"bypassHeatCheck"})(),t.isPreferringBrowserCodeLoad=typeof t.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!A)c=navigator.userAgent,U=c.indexOf("Windows")>=0,C=c.indexOf("Macintosh")>=0,a=(c.indexOf("Macintosh")>=0||c.indexOf("iPad")>=0||c.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,u=c.indexOf("Linux")>=0,o=!0,L=navigator.language,w=L;else if(typeof d=="object"){U=d.platform==="win32",C=d.platform==="darwin",u=d.platform==="linux",b=u&&!!d.env.SNAP&&!!d.env.SNAP_REVISION,L=M,w=M;const f=d.env.VSCODE_NLS_CONFIG;if(f)try{const v=JSON.parse(f),N=v.availableLanguages["*"];L=v.locale,w=N||M,g=v._translationsConfigFile}catch(v){}l=!0}else console.error("Unable to resolve platform.");var E;(function(f){f[f.Web=0]="Web",f[f.Mac=1]="Mac",f[f.Linux=2]="Linux",f[f.Windows=3]="Windows"})(E=t.Platform||(t.Platform={}));function S(f){switch(f){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}t.PlatformToString=S;let n=0;C?n=1:U?n=3:u&&(n=2),t.isWindows=U,t.isMacintosh=C,t.isLinux=u,t.isLinuxSnap=b,t.isNative=l,t.isWeb=o,t.isIOS=a,t.platform=n,t.userAgent=c,t.language=w;var i;(function(f){function v(){return t.language}f.value=v;function N(){return t.language.length===2?t.language==="en":t.language.length>=3?t.language[0]==="e"&&t.language[1]==="n"&&t.language[2]==="-":!1}f.isDefaultVariant=N;function p(){return t.language==="en"}f.isDefault=p})(i=t.Language||(t.Language={})),t.locale=L,t.translationsConfigFile=g,t.setImmediate=function(){if(t.globals.setImmediate)return t.globals.setImmediate.bind(t.globals);if(typeof t.globals.postMessage=="function"&&!t.globals.importScripts){let N=[];t.globals.addEventListener("message",P=>{if(P.data&&P.data.vscodeSetImmediateId)for(let R=0,F=N.length;R<F;R++){const W=N[R];if(W.id===P.data.vscodeSetImmediateId){N.splice(R,1),W.callback();return}}});let p=0;return P=>{const R=++p;N.push({id:R,callback:P}),t.globals.postMessage({vscodeSetImmediateId:R},"*")}}if(typeof d?.nextTick=="function")return d.nextTick.bind(d);const v=Promise.resolve();return N=>v.then(N)}();var r;(function(f){f[f.Windows=1]="Windows",f[f.Macintosh=2]="Macintosh",f[f.Linux=3]="Linux"})(r=t.OperatingSystem||(t.OperatingSystem={})),t.OS=C||a?2:U?1:3;let s=!0,h=!1;function m(){if(!h){h=!0;const f=new Uint8Array(2);f[0]=1,f[1]=2,s=new Uint16Array(f.buffer)[0]===(2<<8)+1}return s}t.isLittleEndian=m}),z(V[19],Q([0,1,2]),function(I,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.nextTick=t.platform=t.env=t.cwd=void 0;let U;if(typeof M.globals.vscode!="undefined"&&typeof M.globals.vscode.process!="undefined"){const C=M.globals.vscode.process;U={get platform(){return C.platform},get env(){return C.env},cwd(){return C.cwd()},nextTick(u){return M.setImmediate(u)}}}else typeof process!="undefined"?U={get platform(){return process.platform},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()},nextTick(C){return process.nextTick(C)}}:U={get platform(){return M.isWindows?"win32":M.isMacintosh?"darwin":"linux"},nextTick(C){return M.setImmediate(C)},get env(){return{}},cwd(){return"/"}};t.cwd=U.cwd,t.env=U.env,t.platform=U.platform,t.nextTick=U.nextTick}),z(V[20],Q([0,1,19]),function(I,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.delimiter=t.sep=t.toNamespacedPath=t.parse=t.format=t.extname=t.basename=t.dirname=t.relative=t.resolve=t.join=t.isAbsolute=t.normalize=t.posix=t.win32=void 0;const U=65,C=97,u=90,b=122,l=46,o=47,a=92,L=58,w=63;class g extends Error{constructor(r,s,h){let m;typeof s=="string"&&s.indexOf("not ")===0?(m="must not be",s=s.replace(/^not /,"")):m="must be";const f=r.indexOf(".")!==-1?"property":"argument";let v=`The "${r}" ${f} ${m} of type ${s}`;v+=`. Received type ${typeof h}`,super(v),this.code="ERR_INVALID_ARG_TYPE"}}function c(i,r){if(typeof i!="string")throw new g(r,"string",i)}function d(i){return i===o||i===a}function A(i){return i===o}function E(i){return i>=U&&i<=u||i>=C&&i<=b}function S(i,r,s,h){let m="",f=0,v=-1,N=0,p=0;for(let P=0;P<=i.length;++P){if(P<i.length)p=i.charCodeAt(P);else{if(h(p))break;p=o}if(h(p)){if(!(v===P-1||N===1))if(N===2){if(m.length<2||f!==2||m.charCodeAt(m.length-1)!==l||m.charCodeAt(m.length-2)!==l){if(m.length>2){const R=m.lastIndexOf(s);R===-1?(m="",f=0):(m=m.slice(0,R),f=m.length-1-m.lastIndexOf(s)),v=P,N=0;continue}else if(m.length!==0){m="",f=0,v=P,N=0;continue}}r&&(m+=m.length>0?`${s}..`:"..",f=2)}else m.length>0?m+=`${s}${i.slice(v+1,P)}`:m=i.slice(v+1,P),f=P-v-1;v=P,N=0}else p===l&&N!==-1?++N:N=-1}return m}function n(i,r){if(r===null||typeof r!="object")throw new g("pathObject","Object",r);const s=r.dir||r.root,h=r.base||`${r.name||""}${r.ext||""}`;return s?s===r.root?`${s}${h}`:`${s}${i}${h}`:h}t.win32={resolve(...i){let r="",s="",h=!1;for(let m=i.length-1;m>=-1;m--){let f;if(m>=0){if(f=i[m],c(f,"path"),f.length===0)continue}else r.length===0?f=M.cwd():(f=M.env[`=${r}`]||M.cwd(),(f===void 0||f.slice(0,2).toLowerCase()!==r.toLowerCase()&&f.charCodeAt(2)===a)&&(f=`${r}\\`));const v=f.length;let N=0,p="",P=!1;const R=f.charCodeAt(0);if(v===1)d(R)&&(N=1,P=!0);else if(d(R))if(P=!0,d(f.charCodeAt(1))){let F=2,W=F;for(;F<v&&!d(f.charCodeAt(F));)F++;if(F<v&&F!==W){const O=f.slice(W,F);for(W=F;F<v&&d(f.charCodeAt(F));)F++;if(F<v&&F!==W){for(W=F;F<v&&!d(f.charCodeAt(F));)F++;(F===v||F!==W)&&(p=`\\\\${O}\\${f.slice(W,F)}`,N=F)}}}else N=1;else E(R)&&f.charCodeAt(1)===L&&(p=f.slice(0,2),N=2,v>2&&d(f.charCodeAt(2))&&(P=!0,N=3));if(p.length>0)if(r.length>0){if(p.toLowerCase()!==r.toLowerCase())continue}else r=p;if(h){if(r.length>0)break}else if(s=`${f.slice(N)}\\${s}`,h=P,P&&r.length>0)break}return s=S(s,!h,"\\",d),h?`${r}\\${s}`:`${r}${s}`||"."},normalize(i){c(i,"path");const r=i.length;if(r===0)return".";let s=0,h,m=!1;const f=i.charCodeAt(0);if(r===1)return A(f)?"\\":i;if(d(f))if(m=!0,d(i.charCodeAt(1))){let N=2,p=N;for(;N<r&&!d(i.charCodeAt(N));)N++;if(N<r&&N!==p){const P=i.slice(p,N);for(p=N;N<r&&d(i.charCodeAt(N));)N++;if(N<r&&N!==p){for(p=N;N<r&&!d(i.charCodeAt(N));)N++;if(N===r)return`\\\\${P}\\${i.slice(p)}\\`;N!==p&&(h=`\\\\${P}\\${i.slice(p,N)}`,s=N)}}}else s=1;else E(f)&&i.charCodeAt(1)===L&&(h=i.slice(0,2),s=2,r>2&&d(i.charCodeAt(2))&&(m=!0,s=3));let v=s<r?S(i.slice(s),!m,"\\",d):"";return v.length===0&&!m&&(v="."),v.length>0&&d(i.charCodeAt(r-1))&&(v+="\\"),h===void 0?m?`\\${v}`:v:m?`${h}\\${v}`:`${h}${v}`},isAbsolute(i){c(i,"path");const r=i.length;if(r===0)return!1;const s=i.charCodeAt(0);return d(s)||r>2&&E(s)&&i.charCodeAt(1)===L&&d(i.charCodeAt(2))},join(...i){if(i.length===0)return".";let r,s;for(let f=0;f<i.length;++f){const v=i[f];c(v,"path"),v.length>0&&(r===void 0?r=s=v:r+=`\\${v}`)}if(r===void 0)return".";let h=!0,m=0;if(typeof s=="string"&&d(s.charCodeAt(0))){++m;const f=s.length;f>1&&d(s.charCodeAt(1))&&(++m,f>2&&(d(s.charCodeAt(2))?++m:h=!1))}if(h){for(;m<r.length&&d(r.charCodeAt(m));)m++;m>=2&&(r=`\\${r.slice(m)}`)}return t.win32.normalize(r)},relative(i,r){if(c(i,"from"),c(r,"to"),i===r)return"";const s=t.win32.resolve(i),h=t.win32.resolve(r);if(s===h||(i=s.toLowerCase(),r=h.toLowerCase(),i===r))return"";let m=0;for(;m<i.length&&i.charCodeAt(m)===a;)m++;let f=i.length;for(;f-1>m&&i.charCodeAt(f-1)===a;)f--;const v=f-m;let N=0;for(;N<r.length&&r.charCodeAt(N)===a;)N++;let p=r.length;for(;p-1>N&&r.charCodeAt(p-1)===a;)p--;const P=p-N,R=v<P?v:P;let F=-1,W=0;for(;W<R;W++){const j=i.charCodeAt(m+W);if(j!==r.charCodeAt(N+W))break;j===a&&(F=W)}if(W!==R){if(F===-1)return h}else{if(P>R){if(r.charCodeAt(N+W)===a)return h.slice(N+W+1);if(W===2)return h.slice(N+W)}v>R&&(i.charCodeAt(m+W)===a?F=W:W===2&&(F=3)),F===-1&&(F=0)}let O="";for(W=m+F+1;W<=f;++W)(W===f||i.charCodeAt(W)===a)&&(O+=O.length===0?"..":"\\..");return N+=F,O.length>0?`${O}${h.slice(N,p)}`:(h.charCodeAt(N)===a&&++N,h.slice(N,p))},toNamespacedPath(i){if(typeof i!="string")return i;if(i.length===0)return"";const r=t.win32.resolve(i);if(r.length<=2)return i;if(r.charCodeAt(0)===a){if(r.charCodeAt(1)===a){const s=r.charCodeAt(2);if(s!==w&&s!==l)return`\\\\?\\UNC\\${r.slice(2)}`}}else if(E(r.charCodeAt(0))&&r.charCodeAt(1)===L&&r.charCodeAt(2)===a)return`\\\\?\\${r}`;return i},dirname(i){c(i,"path");const r=i.length;if(r===0)return".";let s=-1,h=0;const m=i.charCodeAt(0);if(r===1)return d(m)?i:".";if(d(m)){if(s=h=1,d(i.charCodeAt(1))){let N=2,p=N;for(;N<r&&!d(i.charCodeAt(N));)N++;if(N<r&&N!==p){for(p=N;N<r&&d(i.charCodeAt(N));)N++;if(N<r&&N!==p){for(p=N;N<r&&!d(i.charCodeAt(N));)N++;if(N===r)return i;N!==p&&(s=h=N+1)}}}}else E(m)&&i.charCodeAt(1)===L&&(s=r>2&&d(i.charCodeAt(2))?3:2,h=s);let f=-1,v=!0;for(let N=r-1;N>=h;--N)if(d(i.charCodeAt(N))){if(!v){f=N;break}}else v=!1;if(f===-1){if(s===-1)return".";f=s}return i.slice(0,f)},basename(i,r){r!==void 0&&c(r,"ext"),c(i,"path");let s=0,h=-1,m=!0,f;if(i.length>=2&&E(i.charCodeAt(0))&&i.charCodeAt(1)===L&&(s=2),r!==void 0&&r.length>0&&r.length<=i.length){if(r===i)return"";let v=r.length-1,N=-1;for(f=i.length-1;f>=s;--f){const p=i.charCodeAt(f);if(d(p)){if(!m){s=f+1;break}}else N===-1&&(m=!1,N=f+1),v>=0&&(p===r.charCodeAt(v)?--v==-1&&(h=f):(v=-1,h=N))}return s===h?h=N:h===-1&&(h=i.length),i.slice(s,h)}for(f=i.length-1;f>=s;--f)if(d(i.charCodeAt(f))){if(!m){s=f+1;break}}else h===-1&&(m=!1,h=f+1);return h===-1?"":i.slice(s,h)},extname(i){c(i,"path");let r=0,s=-1,h=0,m=-1,f=!0,v=0;i.length>=2&&i.charCodeAt(1)===L&&E(i.charCodeAt(0))&&(r=h=2);for(let N=i.length-1;N>=r;--N){const p=i.charCodeAt(N);if(d(p)){if(!f){h=N+1;break}continue}m===-1&&(f=!1,m=N+1),p===l?s===-1?s=N:v!==1&&(v=1):s!==-1&&(v=-1)}return s===-1||m===-1||v===0||v===1&&s===m-1&&s===h+1?"":i.slice(s,m)},format:n.bind(null,"\\"),parse(i){c(i,"path");const r={root:"",dir:"",base:"",ext:"",name:""};if(i.length===0)return r;const s=i.length;let h=0,m=i.charCodeAt(0);if(s===1)return d(m)?(r.root=r.dir=i,r):(r.base=r.name=i,r);if(d(m)){if(h=1,d(i.charCodeAt(1))){let F=2,W=F;for(;F<s&&!d(i.charCodeAt(F));)F++;if(F<s&&F!==W){for(W=F;F<s&&d(i.charCodeAt(F));)F++;if(F<s&&F!==W){for(W=F;F<s&&!d(i.charCodeAt(F));)F++;F===s?h=F:F!==W&&(h=F+1)}}}}else if(E(m)&&i.charCodeAt(1)===L){if(s<=2)return r.root=r.dir=i,r;if(h=2,d(i.charCodeAt(2))){if(s===3)return r.root=r.dir=i,r;h=3}}h>0&&(r.root=i.slice(0,h));let f=-1,v=h,N=-1,p=!0,P=i.length-1,R=0;for(;P>=h;--P){if(m=i.charCodeAt(P),d(m)){if(!p){v=P+1;break}continue}N===-1&&(p=!1,N=P+1),m===l?f===-1?f=P:R!==1&&(R=1):f!==-1&&(R=-1)}return N!==-1&&(f===-1||R===0||R===1&&f===N-1&&f===v+1?r.base=r.name=i.slice(v,N):(r.name=i.slice(v,f),r.base=i.slice(v,N),r.ext=i.slice(f,N))),v>0&&v!==h?r.dir=i.slice(0,v-1):r.dir=r.root,r},sep:"\\",delimiter:";",win32:null,posix:null},t.posix={resolve(...i){let r="",s=!1;for(let h=i.length-1;h>=-1&&!s;h--){const m=h>=0?i[h]:M.cwd();c(m,"path"),m.length!==0&&(r=`${m}/${r}`,s=m.charCodeAt(0)===o)}return r=S(r,!s,"/",A),s?`/${r}`:r.length>0?r:"."},normalize(i){if(c(i,"path"),i.length===0)return".";const r=i.charCodeAt(0)===o,s=i.charCodeAt(i.length-1)===o;return i=S(i,!r,"/",A),i.length===0?r?"/":s?"./":".":(s&&(i+="/"),r?`/${i}`:i)},isAbsolute(i){return c(i,"path"),i.length>0&&i.charCodeAt(0)===o},join(...i){if(i.length===0)return".";let r;for(let s=0;s<i.length;++s){const h=i[s];c(h,"path"),h.length>0&&(r===void 0?r=h:r+=`/${h}`)}return r===void 0?".":t.posix.normalize(r)},relative(i,r){if(c(i,"from"),c(r,"to"),i===r||(i=t.posix.resolve(i),r=t.posix.resolve(r),i===r))return"";const s=1,h=i.length,m=h-s,f=1,v=r.length-f,N=m<v?m:v;let p=-1,P=0;for(;P<N;P++){const F=i.charCodeAt(s+P);if(F!==r.charCodeAt(f+P))break;F===o&&(p=P)}if(P===N)if(v>N){if(r.charCodeAt(f+P)===o)return r.slice(f+P+1);if(P===0)return r.slice(f+P)}else m>N&&(i.charCodeAt(s+P)===o?p=P:P===0&&(p=0));let R="";for(P=s+p+1;P<=h;++P)(P===h||i.charCodeAt(P)===o)&&(R+=R.length===0?"..":"/..");return`${R}${r.slice(f+p)}`},toNamespacedPath(i){return i},dirname(i){if(c(i,"path"),i.length===0)return".";const r=i.charCodeAt(0)===o;let s=-1,h=!0;for(let m=i.length-1;m>=1;--m)if(i.charCodeAt(m)===o){if(!h){s=m;break}}else h=!1;return s===-1?r?"/":".":r&&s===1?"//":i.slice(0,s)},basename(i,r){r!==void 0&&c(r,"ext"),c(i,"path");let s=0,h=-1,m=!0,f;if(r!==void 0&&r.length>0&&r.length<=i.length){if(r===i)return"";let v=r.length-1,N=-1;for(f=i.length-1;f>=0;--f){const p=i.charCodeAt(f);if(p===o){if(!m){s=f+1;break}}else N===-1&&(m=!1,N=f+1),v>=0&&(p===r.charCodeAt(v)?--v==-1&&(h=f):(v=-1,h=N))}return s===h?h=N:h===-1&&(h=i.length),i.slice(s,h)}for(f=i.length-1;f>=0;--f)if(i.charCodeAt(f)===o){if(!m){s=f+1;break}}else h===-1&&(m=!1,h=f+1);return h===-1?"":i.slice(s,h)},extname(i){c(i,"path");let r=-1,s=0,h=-1,m=!0,f=0;for(let v=i.length-1;v>=0;--v){const N=i.charCodeAt(v);if(N===o){if(!m){s=v+1;break}continue}h===-1&&(m=!1,h=v+1),N===l?r===-1?r=v:f!==1&&(f=1):r!==-1&&(f=-1)}return r===-1||h===-1||f===0||f===1&&r===h-1&&r===s+1?"":i.slice(r,h)},format:n.bind(null,"/"),parse(i){c(i,"path");const r={root:"",dir:"",base:"",ext:"",name:""};if(i.length===0)return r;const s=i.charCodeAt(0)===o;let h;s?(r.root="/",h=1):h=0;let m=-1,f=0,v=-1,N=!0,p=i.length-1,P=0;for(;p>=h;--p){const R=i.charCodeAt(p);if(R===o){if(!N){f=p+1;break}continue}v===-1&&(N=!1,v=p+1),R===l?m===-1?m=p:P!==1&&(P=1):m!==-1&&(P=-1)}if(v!==-1){const R=f===0&&s?1:f;m===-1||P===0||P===1&&m===v-1&&m===f+1?r.base=r.name=i.slice(R,v):(r.name=i.slice(R,m),r.base=i.slice(R,v),r.ext=i.slice(m,v))}return f>0?r.dir=i.slice(0,f-1):s&&(r.dir="/"),r},sep:"/",delimiter:":",win32:null,posix:null},t.posix.win32=t.win32.win32=t.win32,t.posix.posix=t.win32.posix=t.posix,t.normalize=M.platform==="win32"?t.win32.normalize:t.posix.normalize,t.isAbsolute=M.platform==="win32"?t.win32.isAbsolute:t.posix.isAbsolute,t.join=M.platform==="win32"?t.win32.join:t.posix.join,t.resolve=M.platform==="win32"?t.win32.resolve:t.posix.resolve,t.relative=M.platform==="win32"?t.win32.relative:t.posix.relative,t.dirname=M.platform==="win32"?t.win32.dirname:t.posix.dirname,t.basename=M.platform==="win32"?t.win32.basename:t.posix.basename,t.extname=M.platform==="win32"?t.win32.extname:t.posix.extname,t.format=M.platform==="win32"?t.win32.format:t.posix.format,t.parse=M.platform==="win32"?t.win32.parse:t.posix.parse,t.toNamespacedPath=M.platform==="win32"?t.win32.toNamespacedPath:t.posix.toNamespacedPath,t.sep=M.platform==="win32"?t.win32.sep:t.posix.sep,t.delimiter=M.platform==="win32"?t.win32.delimiter:t.posix.delimiter}),z(V[9],Q([0,1,2]),function(I,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StopWatch=void 0;const U=M.globals.performance&&typeof M.globals.performance.now=="function";class C{constructor(b){this._highResolution=U&&b,this._startTime=this._now(),this._stopTime=-1}static create(b=!0){return new C(b)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?M.globals.performance.now():Date.now()}}t.StopWatch=C}),z(V[10],Q([0,1,4,7,8,18,9]),function(I,t,M,U,C,u,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Relay=t.EventBufferer=t.EventMultiplexer=t.DebounceEmitter=t.PauseableEmitter=t.AsyncEmitter=t.Emitter=t.setGlobalLeakWarningThreshold=t.Event=void 0;var l;(function(i){i.None=()=>C.Disposable.None;function r(e){return(B,y=null,H)=>{let X=!1,Z;return Z=e(K=>{if(!X)return Z?Z.dispose():X=!0,B.call(y,K)},null,H),X&&Z.dispose(),Z}}i.once=r;function s(e,B){return p((y,H=null,X)=>e(Z=>y.call(H,B(Z)),null,X))}i.map=s;function h(e,B){return p((y,H=null,X)=>e(Z=>{B(Z),y.call(H,Z)},null,X))}i.forEach=h;function m(e,B){return p((y,H=null,X)=>e(Z=>B(Z)&&y.call(H,Z),null,X))}i.filter=m;function f(e){return e}i.signal=f;function v(...e){return(B,y=null,H)=>C.combinedDisposable(...e.map(X=>X(Z=>B.call(y,Z),null,H)))}i.any=v;function N(e,B,y){let H=y;return s(e,X=>(H=B(H,X),H))}i.reduce=N;function p(e){let B;const y=new g({onFirstListenerAdd(){B=e(y.fire,y)},onLastListenerRemove(){B.dispose()}});return y.event}function P(e,B,y=100,H=!1,X){let Z,K,ne,ue=0;const oe=new g({leakWarningThreshold:X,onFirstListenerAdd(){Z=e(fe=>{ue++,K=B(K,fe),H&&!ne&&(oe.fire(K),K=void 0),clearTimeout(ne),ne=setTimeout(()=>{const he=K;K=void 0,ne=void 0,(!H||ue>1)&&oe.fire(he),ue=0},y)})},onLastListenerRemove(){Z.dispose()}});return oe.event}i.debounce=P;function R(e,B=(y,H)=>y===H){let y=!0,H;return m(e,X=>{const Z=y||!B(X,H);return y=!1,H=X,Z})}i.latch=R;function F(e,B){return[i.filter(e,B),i.filter(e,y=>!B(y))]}i.split=F;function W(e,B=!1,y=[]){let H=y.slice(),X=e(ne=>{H?H.push(ne):K.fire(ne)});const Z=()=>{H&&H.forEach(ne=>K.fire(ne)),H=null},K=new g({onFirstListenerAdd(){X||(X=e(ne=>K.fire(ne)))},onFirstListenerDidAdd(){H&&(B?setTimeout(Z):Z())},onLastListenerRemove(){X&&X.dispose(),X=null}});return K.event}i.buffer=W;class O{constructor(B){this.event=B}map(B){return new O(s(this.event,B))}forEach(B){return new O(h(this.event,B))}filter(B){return new O(m(this.event,B))}reduce(B,y){return new O(N(this.event,B,y))}latch(){return new O(R(this.event))}debounce(B,y=100,H=!1,X){return new O(P(this.event,B,y,H,X))}on(B,y,H){return this.event(B,y,H)}once(B,y,H){return r(this.event)(B,y,H)}}function j(e){return new O(e)}i.chain=j;function J(e,B,y=H=>H){const H=(...ne)=>K.fire(y(...ne)),X=()=>e.on(B,H),Z=()=>e.removeListener(B,H),K=new g({onFirstListenerAdd:X,onLastListenerRemove:Z});return K.event}i.fromNodeEventEmitter=J;function G(e,B,y=H=>H){const H=(...ne)=>K.fire(y(...ne)),X=()=>e.addEventListener(B,H),Z=()=>e.removeEventListener(B,H),K=new g({onFirstListenerAdd:X,onLastListenerRemove:Z});return K.event}i.fromDOMEventEmitter=G;function x(e){return new Promise(B=>r(e)(B))}i.toPromise=x})(l=t.Event||(t.Event={}));class o{constructor(r){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${r}_${o._idPool++}`}start(r){this._stopWatch=new b.StopWatch(!0),this._listenerCount=r}stop(){if(this._stopWatch){const r=this._stopWatch.elapsed();this._elapsedOverall+=r,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${r.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}o._idPool=0;let a=-1;function L(i){const r=a;return a=i,{dispose(){a=r}}}t.setGlobalLeakWarningThreshold=L;class w{constructor(r,s=Math.random().toString(18).slice(2,5)){this.customThreshold=r,this.name=s,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(r){let s=a;if(typeof this.customThreshold=="number"&&(s=this.customThreshold),s<=0||r<s)return;this._stacks||(this._stacks=new Map);const h=new Error().stack.split(`
`).slice(3).join(`
`),m=this._stacks.get(h)||0;if(this._stacks.set(h,m+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=s*.5;let f,v=0;for(const[N,p]of this._stacks)(!f||v<p)&&(f=N,v=p);console.warn(`[${this.name}] potential listener LEAK detected, having ${r} listeners already. MOST frequent listener (${v}):`),console.warn(f)}return()=>{const f=this._stacks.get(h)||0;this._stacks.set(h,f-1)}}}class g{constructor(r){this._disposed=!1,this._options=r,this._leakageMon=a>0?new w(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new o(this._options._profName):void 0}get event(){return this._event||(this._event=(r,s,h)=>{this._listeners||(this._listeners=new u.LinkedList);const m=this._listeners.isEmpty();m&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const f=this._listeners.push(s?[r,s]:r);m&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,r,s);const v=this._leakageMon?.check(this._listeners.size);let N;return N={dispose:()=>{v&&v(),N.dispose=g._noop,this._disposed||(f(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},h instanceof C.DisposableStore?h.add(N):Array.isArray(h)&&h.push(N),N}),this._event}fire(r){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new u.LinkedList);for(let s of this._listeners)this._deliveryQueue.push([s,r]);for(this._perfMon?.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[s,h]=this._deliveryQueue.shift();try{typeof s=="function"?s.call(void 0,h):s[0].call(s[1],h)}catch(m){M.onUnexpectedError(m)}}this._perfMon?.stop()}}dispose(){this._disposed||(this._disposed=!0,this._listeners?.clear(),this._deliveryQueue?.clear(),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose())}}t.Emitter=g,g._noop=function(){};class c extends g{async fireAsync(r,s,h){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new u.LinkedList);for(const m of this._listeners)this._asyncDeliveryQueue.push([m,r]);for(;this._asyncDeliveryQueue.size>0&&!s.isCancellationRequested;){const[m,f]=this._asyncDeliveryQueue.shift(),v=[],N={...f,waitUntil:p=>{if(Object.isFrozen(v))throw new Error("waitUntil can NOT be called asynchronous");h&&(p=h(p,typeof m=="function"?m:m[0])),v.push(p)}};try{typeof m=="function"?m.call(void 0,N):m[0].call(m[1],N)}catch(p){M.onUnexpectedError(p);continue}Object.freeze(v),await Promise.allSettled(v).then(p=>{for(const P of p)P.status==="rejected"&&M.onUnexpectedError(P.reason)})}}}}t.AsyncEmitter=c;class d extends g{constructor(r){super(r);this._isPaused=0,this._eventQueue=new u.LinkedList,this._mergeFn=r?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const r=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(r))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(r){this._listeners&&(this._isPaused!==0?this._eventQueue.push(r):super.fire(r))}}t.PauseableEmitter=d;class A extends d{constructor(r){super(r);this._delay=r.delay??100}fire(r){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(r)}}t.DebounceEmitter=A;class E{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new g({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(r){const s={event:r,listener:null};this.events.push(s),this.hasListeners&&this.hook(s);const h=()=>{this.hasListeners&&this.unhook(s);const m=this.events.indexOf(s);this.events.splice(m,1)};return C.toDisposable(U.once(h))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(r=>this.hook(r))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(r=>this.unhook(r))}hook(r){r.listener=r.event(s=>this.emitter.fire(s))}unhook(r){r.listener&&r.listener.dispose(),r.listener=null}dispose(){this.emitter.dispose()}}t.EventMultiplexer=E;class S{constructor(){this.buffers=[]}wrapEvent(r){return(s,h,m)=>r(f=>{const v=this.buffers[this.buffers.length-1];v?v.push(()=>s.call(h,f)):s.call(h,f)},void 0,m)}bufferEvents(r){const s=[];this.buffers.push(s);const h=r();return this.buffers.pop(),s.forEach(m=>m()),h}}t.EventBufferer=S;class n{constructor(){this.listening=!1,this.inputEvent=l.None,this.inputEventListener=C.Disposable.None,this.emitter=new g({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(r){this.inputEvent=r,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=r(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}t.Relay=n}),z(V[21],Q([0,1,10]),function(I,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CancellationTokenSource=t.CancellationToken=void 0;const U=Object.freeze(function(l,o){const a=setTimeout(l.bind(o),0);return{dispose(){clearTimeout(a)}}});var C;(function(l){function o(a){return a===l.None||a===l.Cancelled||a instanceof u?!0:!a||typeof a!="object"?!1:typeof a.isCancellationRequested=="boolean"&&typeof a.onCancellationRequested=="function"}l.isCancellationToken=o,l.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:M.Event.None}),l.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:U})})(C=t.CancellationToken||(t.CancellationToken={}));class u{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?U:(this._emitter||(this._emitter=new M.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class b{constructor(o){this._token=void 0,this._parentListener=void 0,this._parentListener=o&&o.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new u),this._token}cancel(){this._token?this._token instanceof u&&this._token.cancel():this._token=C.Cancelled}dispose(o=!1){o&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof u&&this._token.dispose():this._token=C.None}}t.CancellationTokenSource=b}),z(V[5],Q([0,1]),function(I,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getLeftDeleteOffset=t.GraphemeBreakType=t.breakBetweenGraphemeBreakType=t.getGraphemeBreakType=t.singleLetterHash=t.getNLines=t.uppercaseFirstLetter=t.containsUppercaseCharacter=t.fuzzyContains=t.stripUTF8BOM=t.startsWithUTF8BOM=t.UTF8_BOM_CHARACTER=t.removeAnsiEscapeCodes=t.lcut=t.isEmojiImprecise=t.isFullWidthCharacter=t.containsFullWidthCharacter=t.containsUnusualLineTerminators=t.UNUSUAL_LINE_TERMINATORS=t.isBasicASCII=t.containsEmoji=t.containsRTL=t.decodeUTF8=t.encodeUTF8=t.getCharContainingOffset=t.prevCharLength=t.nextCharLength=t.getNextCodePoint=t.computeCodePoint=t.isLowSurrogate=t.isHighSurrogate=t.commonSuffixLength=t.commonPrefixLength=t.startsWithIgnoreCase=t.equalsIgnoreCase=t.isUpperAsciiLetter=t.isLowerAsciiLetter=t.compareSubstringIgnoreCase=t.compareIgnoreCase=t.compareSubstring=t.compare=t.lastNonWhitespaceIndex=t.getLeadingWhitespace=t.firstNonWhitespaceIndex=t.splitLines=t.regExpFlags=t.regExpContainsBackreference=t.regExpLeadsToEndlessLoop=t.createRegExp=t.stripWildcards=t.convertSimple2RegExpPattern=t.rtrim=t.ltrim=t.trim=t.truncate=t.count=t.escapeRegExpCharacters=t.escape=t.format2=t.format=t.isFalsyOrWhitespace=void 0;function M(_){return!_||typeof _!="string"?!0:_.trim().length===0}t.isFalsyOrWhitespace=M;const U=/{(\d+)}/g;function C(_,...D){return D.length===0?_:_.replace(U,function(T,k){const q=parseInt(k,10);return isNaN(q)||q<0||q>=D.length?T:D[q]})}t.format=C;const u=/{([^}]+)}/g;function b(_,D){return _.replace(u,(T,k)=>D[k]??T)}t.format2=b;function l(_){return _.replace(/[<>&]/g,function(D){switch(D){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return D}})}t.escape=l;function o(_){return _.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}t.escapeRegExpCharacters=o;function a(_,D){let T=0;const k=D.charCodeAt(0);for(let q=_.length-1;q>=0;q--)_.charCodeAt(q)===k&&T++;return T}t.count=a;function L(_,D,T="\u2026"){return _.length<=D?_:`${_.substr(0,D)}${T}`}t.truncate=L;function w(_,D=" "){const T=g(_,D);return c(T,D)}t.trim=w;function g(_,D){if(!_||!D)return _;const T=D.length;if(T===0||_.length===0)return _;let k=0;for(;_.indexOf(D,k)===k;)k=k+T;return _.substring(k)}t.ltrim=g;function c(_,D){if(!_||!D)return _;const T=D.length,k=_.length;if(T===0||k===0)return _;let q=k,Y=-1;for(;Y=_.lastIndexOf(D,q-1),!(Y===-1||Y+T!==q);){if(Y===0)return"";q=Y}return _.substring(0,q)}t.rtrim=c;function d(_){return _.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}t.convertSimple2RegExpPattern=d;function A(_){return _.replace(/\*/g,"")}t.stripWildcards=A;function E(_,D,T={}){if(!_)throw new Error("Cannot create regex from empty string");D||(_=o(_)),T.wholeWord&&(/\B/.test(_.charAt(0))||(_="\\b"+_),/\B/.test(_.charAt(_.length-1))||(_=_+"\\b"));let k="";return T.global&&(k+="g"),T.matchCase||(k+="i"),T.multiline&&(k+="m"),T.unicode&&(k+="u"),new RegExp(_,k)}t.createRegExp=E;function S(_){return _.source==="^"||_.source==="^$"||_.source==="$"||_.source==="^\\s*$"?!1:!!(_.exec("")&&_.lastIndex===0)}t.regExpLeadsToEndlessLoop=S;function n(_){return!!_.match(/([^\\]|^)(\\\\)*\\\d+/)}t.regExpContainsBackreference=n;function i(_){return(_.global?"g":"")+(_.ignoreCase?"i":"")+(_.multiline?"m":"")+(_.unicode?"u":"")}t.regExpFlags=i;function r(_){return _.split(/\r\n|\r|\n/)}t.splitLines=r;function s(_){for(let D=0,T=_.length;D<T;D++){const k=_.charCodeAt(D);if(k!==32&&k!==9)return D}return-1}t.firstNonWhitespaceIndex=s;function h(_,D=0,T=_.length){for(let k=D;k<T;k++){const q=_.charCodeAt(k);if(q!==32&&q!==9)return _.substring(D,k)}return _.substring(D,T)}t.getLeadingWhitespace=h;function m(_,D=_.length-1){for(let T=D;T>=0;T--){const k=_.charCodeAt(T);if(k!==32&&k!==9)return T}return-1}t.lastNonWhitespaceIndex=m;function f(_,D){return _<D?-1:_>D?1:0}t.compare=f;function v(_,D,T=0,k=_.length,q=0,Y=D.length){for(;T<k&&q<Y;T++,q++){let ie=_.charCodeAt(T),re=D.charCodeAt(q);if(ie<re)return-1;if(ie>re)return 1}const $=k-T,te=Y-q;return $<te?-1:$>te?1:0}t.compareSubstring=v;function N(_,D){return p(_,D,0,_.length,0,D.length)}t.compareIgnoreCase=N;function p(_,D,T=0,k=_.length,q=0,Y=D.length){for(;T<k&&q<Y;T++,q++){let ie=_.charCodeAt(T),re=D.charCodeAt(q);if(ie===re)continue;const le=ie-re;if(!(le===32&&R(re))&&!(le===-32&&R(ie)))return P(ie)&&P(re)?le:v(_.toLowerCase(),D.toLowerCase(),T,k,q,Y)}const $=k-T,te=Y-q;return $<te?-1:$>te?1:0}t.compareSubstringIgnoreCase=p;function P(_){return _>=97&&_<=122}t.isLowerAsciiLetter=P;function R(_){return _>=65&&_<=90}t.isUpperAsciiLetter=R;function F(_){return P(_)||R(_)}function W(_,D){return _.length===D.length&&O(_,D)}t.equalsIgnoreCase=W;function O(_,D,T=_.length){for(let k=0;k<T;k++){const q=_.charCodeAt(k),Y=D.charCodeAt(k);if(q!==Y){if(F(q)&&F(Y)){const $=Math.abs(q-Y);if($!==0&&$!==32)return!1}else if(String.fromCharCode(q).toLowerCase()!==String.fromCharCode(Y).toLowerCase())return!1}}return!0}function j(_,D){const T=D.length;return D.length>_.length?!1:O(_,D,T)}t.startsWithIgnoreCase=j;function J(_,D){let T,k=Math.min(_.length,D.length);for(T=0;T<k;T++)if(_.charCodeAt(T)!==D.charCodeAt(T))return T;return k}t.commonPrefixLength=J;function G(_,D){let T,k=Math.min(_.length,D.length);const q=_.length-1,Y=D.length-1;for(T=0;T<k;T++)if(_.charCodeAt(q-T)!==D.charCodeAt(Y-T))return T;return k}t.commonSuffixLength=G;function x(_){return 55296<=_&&_<=56319}t.isHighSurrogate=x;function e(_){return 56320<=_&&_<=57343}t.isLowSurrogate=e;function B(_,D){return(_-55296<<10)+(D-56320)+65536}t.computeCodePoint=B;function y(_,D,T){const k=_.charCodeAt(T);if(x(k)&&T+1<D){const q=_.charCodeAt(T+1);if(e(q))return B(k,q)}return k}t.getNextCodePoint=y;function H(_,D){const T=_.charCodeAt(D-1);if(e(T)&&D>1){const k=_.charCodeAt(D-2);if(x(k))return B(k,T)}return T}function X(_,D){const T=se.getInstance(),k=D,q=_.length,Y=y(_,q,D);D+=Y>=65536?2:1;let $=T.getGraphemeBreakType(Y);for(;D<q;){const te=y(_,q,D),ie=T.getGraphemeBreakType(te);if(ae($,ie))break;D+=te>=65536?2:1,$=ie}return D-k}t.nextCharLength=X;function Z(_,D){const T=se.getInstance(),k=D,q=H(_,D);D-=q>=65536?2:1;let Y=T.getGraphemeBreakType(q);for(;D>0;){const $=H(_,D),te=T.getGraphemeBreakType($);if(ae(te,Y))break;D-=$>=65536?2:1,Y=te}return k-D}t.prevCharLength=Z;function K(_,D){const T=se.getInstance(),k=_.length,q=D,Y=y(_,k,D),$=T.getGraphemeBreakType(Y);D+=Y>=65536?2:1;let te=$;for(;D<k;){const re=y(_,k,D),le=T.getGraphemeBreakType(re);if(ae(te,le))break;D+=re>=65536?2:1,te=le}const ie=D;for(D=q,te=$;D>0;){const re=H(_,D),le=T.getGraphemeBreakType(re);if(ae(le,te))break;D-=re>=65536?2:1,te=le}return[D,ie]}function ne(_,D){return D>0&&e(_.charCodeAt(D))?K(_,D-1):K(_,D)}t.getCharContainingOffset=ne;function ue(_){const D=_.length;let T=0,k=0;for(;k<D;){const $=y(_,D,k);k+=$>=65536?2:1,$<128?T+=1:$<2048?T+=2:$<65536?T+=3:T+=4}const q=new Uint8Array(T);k=0;let Y=0;for(;k<D;){const $=y(_,D,k);k+=$>=65536?2:1,$<128?q[Y++]=$:$<2048?(q[Y++]=192|($&1984)>>>6,q[Y++]=128|($&63)>>>0):$<65536?(q[Y++]=224|($&61440)>>>12,q[Y++]=128|($&4032)>>>6,q[Y++]=128|($&63)>>>0):(q[Y++]=240|($&1835008)>>>18,q[Y++]=128|($&258048)>>>12,q[Y++]=128|($&4032)>>>6,q[Y++]=128|($&63)>>>0)}return q}t.encodeUTF8=ue;function oe(_){const D=_.byteLength,T=[];let k=0;for(;k<D;){const q=_[k];let Y;if(q>=240&&k+3<D?Y=(_[k++]&7)<<18>>>0|(_[k++]&63)<<12>>>0|(_[k++]&63)<<6>>>0|(_[k++]&63)<<0>>>0:q>=224&&k+2<D?Y=(_[k++]&15)<<12>>>0|(_[k++]&63)<<6>>>0|(_[k++]&63)<<0>>>0:q>=192&&k+1<D?Y=(_[k++]&31)<<6>>>0|(_[k++]&63)<<0>>>0:Y=_[k++],Y>=0&&Y<=55295||Y>=57344&&Y<=65535)T.push(String.fromCharCode(Y));else if(Y>=65536&&Y<=1114111){const $=Y-65536,te=55296+(($&1047552)>>>10),ie=56320+(($&1023)>>>0);T.push(String.fromCharCode(te)),T.push(String.fromCharCode(ie))}else T.push(String.fromCharCode(65533))}return T.join("")}t.decodeUTF8=oe;const fe=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function he(_){return fe.test(_)}t.containsRTL=he;const Ee=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function Ae(_){return Ee.test(_)}t.containsEmoji=Ae;const Ne=/^[\t\n\r\x20-\x7E]*$/;function we(_){return Ne.test(_)}t.isBasicASCII=we,t.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function Ce(_){return t.UNUSUAL_LINE_TERMINATORS.test(_)}t.containsUnusualLineTerminators=Ce;function Pe(_){for(let D=0,T=_.length;D<T;D++)if(ge(_.charCodeAt(D)))return!0;return!1}t.containsFullWidthCharacter=Pe;function ge(_){return _=+_,_>=11904&&_<=55215||_>=63744&&_<=64255||_>=65281&&_<=65374}t.isFullWidthCharacter=ge;function me(_){return _>=127462&&_<=127487||_===8986||_===8987||_===9200||_===9203||_>=9728&&_<=10175||_===11088||_===11093||_>=127744&&_<=128591||_>=128640&&_<=128764||_>=128992&&_<=129003||_>=129280&&_<=129535||_>=129648&&_<=129750}t.isEmojiImprecise=me;function Me(_,D){if(_.length<D)return _;const T=/\b/g;let k=0;for(;T.test(_)&&!(_.length-T.lastIndex<D);)k=T.lastIndex,T.lastIndex+=1;return _.substring(k).replace(/^\s/,"")}t.lcut=Me;const pe=/\x1B\x5B[12]?K/g,De=/\x1b\[\d+m/g,Ue=/\x1b\[0?m/g;function Re(_){return _&&(_=_.replace(pe,""),_=_.replace(De,""),_=_.replace(Ue,"")),_}t.removeAnsiEscapeCodes=Re,t.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function _e(_){return!!(_&&_.length>0&&_.charCodeAt(0)===65279)}t.startsWithUTF8BOM=_e;function Fe(_){return _e(_)?_.substr(1):_}t.stripUTF8BOM=Fe;function Ie(_,D){if(!_||!D||_.length<D.length)return!1;const T=D.length,k=_.toLowerCase();let q=0,Y=-1;for(;q<T;){const $=k.indexOf(D[q],Y+1);if($<0)return!1;Y=$,q++}return!0}t.fuzzyContains=Ie;function Te(_,D=!1){return _?(D&&(_=_.replace(/\\./g,"")),_.toLowerCase()!==_):!1}t.containsUppercaseCharacter=Te;function ke(_){return _.charAt(0).toUpperCase()+_.slice(1)}t.uppercaseFirstLetter=ke;function ye(_,D=1){if(D===0)return"";let T=-1;do T=_.indexOf(`
`,T+1),D--;while(D>0&&T>=0);return T===-1?_:(_[T-1]==="\r"&&T--,_.substr(0,T))}t.getNLines=ye;function We(_){const D=90-65+1;return _=_%(2*D),_<D?String.fromCharCode(97+_):String.fromCharCode(65+_-D)}t.singleLetterHash=We;function Oe(_){return se.getInstance().getGraphemeBreakType(_)}t.getGraphemeBreakType=Oe;function ae(_,D){return _===0?D!==5&&D!==7:_===2&&D===3?!1:_===4||_===2||_===3||D===4||D===2||D===3?!0:!(_===8&&(D===8||D===9||D===11||D===12)||(_===11||_===9)&&(D===9||D===10)||(_===12||_===10)&&D===10||D===5||D===13||D===7||_===1||_===13&&D===14||_===6&&D===6)}t.breakBetweenGraphemeBreakType=ae;var Be;(function(_){_[_.Other=0]="Other",_[_.Prepend=1]="Prepend",_[_.CR=2]="CR",_[_.LF=3]="LF",_[_.Control=4]="Control",_[_.Extend=5]="Extend",_[_.Regional_Indicator=6]="Regional_Indicator",_[_.SpacingMark=7]="SpacingMark",_[_.L=8]="L",_[_.V=9]="V",_[_.T=10]="T",_[_.LV=11]="LV",_[_.LVT=12]="LVT",_[_.ZWJ=13]="ZWJ",_[_.Extended_Pictographic=14]="Extended_Pictographic"})(Be=t.GraphemeBreakType||(t.GraphemeBreakType={}));class se{constructor(){this._data=qe()}static getInstance(){return se._INSTANCE||(se._INSTANCE=new se),se._INSTANCE}getGraphemeBreakType(D){if(D<32)return D===10?3:D===13?2:4;if(D<127)return 0;const T=this._data,k=T.length/3;let q=1;for(;q<=k;)if(D<T[3*q])q=2*q;else if(D>T[3*q+1])q=2*q+1;else return T[3*q+2];return 0}}se._INSTANCE=null;function qe(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}function He(_,D){if(_===0)return 0;const T=Ye(_,D);if(T!==void 0)return T;const k=H(D,_);return _-=ce(k),_}t.getLeftDeleteOffset=He;function Ye(_,D){let T=H(D,_);for(_-=ce(T);je(T)||T===65039||T===8419;){if(_===0)return;T=H(D,_),_-=ce(T)}if(!!me(T)){if(_>=0){const k=H(D,_);k===8205&&(_-=ce(k))}return _}}function ce(_){return _>=65536?2:1}function je(_){return 127995<=_&&_<=127999}var ve;(function(_){_[_.zwj=8205]="zwj",_[_.emojiVariantSelector=65039]="emojiVariantSelector",_[_.enclosingKeyCap=8419]="enclosingKeyCap"})(ve||(ve={}))}),z(V[22],Q([0,1,5]),function(I,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StringSHA1=t.toHexString=t.Hasher=t.stringHash=t.doHash=t.hash=void 0;function U(S){return C(S,0)}t.hash=U;function C(S,n){switch(typeof S){case"object":return S===null?u(349,n):Array.isArray(S)?o(S,n):a(S,n);case"string":return l(S,n);case"boolean":return b(S,n);case"number":return u(S,n);case"undefined":return u(937,n);default:return u(617,n)}}t.doHash=C;function u(S,n){return(n<<5)-n+S|0}function b(S,n){return u(S?433:863,n)}function l(S,n){n=u(149417,n);for(let i=0,r=S.length;i<r;i++)n=u(S.charCodeAt(i),n);return n}t.stringHash=l;function o(S,n){return n=u(104579,n),S.reduce((i,r)=>C(r,i),n)}function a(S,n){return n=u(181387,n),Object.keys(S).sort().reduce((i,r)=>(i=l(r,i),C(S[r],i)),n)}class L{constructor(){this._value=0}get value(){return this._value}hash(n){return this._value=C(n,this._value),this._value}}t.Hasher=L;var w;(function(S){S[S.BLOCK_SIZE=64]="BLOCK_SIZE",S[S.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(w||(w={}));function g(S,n,i=32){const r=i-n,s=~((1<<r)-1);return(S<<n|(s&S)>>>r)>>>0}function c(S,n=0,i=S.byteLength,r=0){for(let s=0;s<i;s++)S[n+s]=r}function d(S,n,i="0"){for(;S.length<n;)S=i+S;return S}function A(S,n=32){return S instanceof ArrayBuffer?Array.from(new Uint8Array(S)).map(i=>i.toString(16).padStart(2,"0")).join(""):d((S>>>0).toString(16),n/4)}t.toHexString=A;class E{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(n){const i=n.length;if(i===0)return;const r=this._buff;let s=this._buffLen,h=this._leftoverHighSurrogate,m,f;for(h!==0?(m=h,f=-1,h=0):(m=n.charCodeAt(0),f=0);;){let v=m;if(M.isHighSurrogate(m))if(f+1<i){const N=n.charCodeAt(f+1);M.isLowSurrogate(N)?(f++,v=M.computeCodePoint(m,N)):v=65533}else{h=m;break}else M.isLowSurrogate(m)&&(v=65533);if(s=this._push(r,s,v),f++,f<i)m=n.charCodeAt(f);else break}this._buffLen=s,this._leftoverHighSurrogate=h}_push(n,i,r){return r<128?n[i++]=r:r<2048?(n[i++]=192|(r&1984)>>>6,n[i++]=128|(r&63)>>>0):r<65536?(n[i++]=224|(r&61440)>>>12,n[i++]=128|(r&4032)>>>6,n[i++]=128|(r&63)>>>0):(n[i++]=240|(r&1835008)>>>18,n[i++]=128|(r&258048)>>>12,n[i++]=128|(r&4032)>>>6,n[i++]=128|(r&63)>>>0),i>=64&&(this._step(),i-=64,this._totalLen+=64,n[0]=n[64+0],n[1]=n[64+1],n[2]=n[64+2]),i}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),A(this._h0)+A(this._h1)+A(this._h2)+A(this._h3)+A(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,c(this._buff,this._buffLen),this._buffLen>56&&(this._step(),c(this._buff));const n=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(n/4294967296),!1),this._buffDV.setUint32(60,n%4294967296,!1),this._step()}_step(){const n=E._bigBlock32,i=this._buffDV;for(let P=0;P<64;P+=4)n.setUint32(P,i.getUint32(P,!1),!1);for(let P=64;P<320;P+=4)n.setUint32(P,g(n.getUint32(P-12,!1)^n.getUint32(P-32,!1)^n.getUint32(P-56,!1)^n.getUint32(P-64,!1),1),!1);let r=this._h0,s=this._h1,h=this._h2,m=this._h3,f=this._h4,v,N,p;for(let P=0;P<80;P++)P<20?(v=s&h|~s&m,N=1518500249):P<40?(v=s^h^m,N=1859775393):P<60?(v=s&h|s&m|h&m,N=2400959708):(v=s^h^m,N=3395469782),p=g(r,5)+v+f+N+n.getUint32(P*4,!1)&4294967295,f=m,m=h,h=g(s,30),s=r,r=p;this._h0=this._h0+r&4294967295,this._h1=this._h1+s&4294967295,this._h2=this._h2+h&4294967295,this._h3=this._h3+m&4294967295,this._h4=this._h4+f&4294967295}}t.StringSHA1=E,E._bigBlock32=new DataView(new ArrayBuffer(320))}),z(V[11],Q([0,1,15,22]),function(I,t,M,U){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LcsDiff=t.MyArray=t.Debug=t.stringDiff=t.StringDiffSequence=void 0;class C{constructor(g){this.source=g}getElements(){const g=this.source,c=new Int32Array(g.length);for(let d=0,A=g.length;d<A;d++)c[d]=g.charCodeAt(d);return c}}t.StringDiffSequence=C;function u(w,g,c){return new L(new C(w),new C(g)).ComputeDiff(c).changes}t.stringDiff=u;class b{static Assert(g,c){if(!g)throw new Error(c)}}t.Debug=b;class l{static Copy(g,c,d,A,E){for(let S=0;S<E;S++)d[A+S]=g[c+S]}static Copy2(g,c,d,A,E){for(let S=0;S<E;S++)d[A+S]=g[c+S]}}t.MyArray=l;var o;(function(w){w[w.MaxDifferencesHistory=1447]="MaxDifferencesHistory"})(o||(o={}));class a{constructor(){this.m_changes=[],this.m_originalStart=1073741824,this.m_modifiedStart=1073741824,this.m_originalCount=0,this.m_modifiedCount=0}MarkNextChange(){(this.m_originalCount>0||this.m_modifiedCount>0)&&this.m_changes.push(new M.DiffChange(this.m_originalStart,this.m_originalCount,this.m_modifiedStart,this.m_modifiedCount)),this.m_originalCount=0,this.m_modifiedCount=0,this.m_originalStart=1073741824,this.m_modifiedStart=1073741824}AddOriginalElement(g,c){this.m_originalStart=Math.min(this.m_originalStart,g),this.m_modifiedStart=Math.min(this.m_modifiedStart,c),this.m_originalCount++}AddModifiedElement(g,c){this.m_originalStart=Math.min(this.m_originalStart,g),this.m_modifiedStart=Math.min(this.m_modifiedStart,c),this.m_modifiedCount++}getChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes}getReverseChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes.reverse(),this.m_changes}}class L{constructor(g,c,d=null){this.ContinueProcessingPredicate=d,this._originalSequence=g,this._modifiedSequence=c;const[A,E,S]=L._getElements(g),[n,i,r]=L._getElements(c);this._hasStrings=S&&r,this._originalStringElements=A,this._originalElementsOrHash=E,this._modifiedStringElements=n,this._modifiedElementsOrHash=i,this.m_forwardHistory=[],this.m_reverseHistory=[]}static _isStringArray(g){return g.length>0&&typeof g[0]=="string"}static _getElements(g){const c=g.getElements();if(L._isStringArray(c)){const d=new Int32Array(c.length);for(let A=0,E=c.length;A<E;A++)d[A]=U.stringHash(c[A],0);return[c,d,!0]}return c instanceof Int32Array?[[],c,!1]:[[],new Int32Array(c),!1]}ElementsAreEqual(g,c){return this._originalElementsOrHash[g]!==this._modifiedElementsOrHash[c]?!1:this._hasStrings?this._originalStringElements[g]===this._modifiedStringElements[c]:!0}ElementsAreStrictEqual(g,c){if(!this.ElementsAreEqual(g,c))return!1;const d=L._getStrictElement(this._originalSequence,g),A=L._getStrictElement(this._modifiedSequence,c);return d===A}static _getStrictElement(g,c){return typeof g.getStrictElement=="function"?g.getStrictElement(c):null}OriginalElementsAreEqual(g,c){return this._originalElementsOrHash[g]!==this._originalElementsOrHash[c]?!1:this._hasStrings?this._originalStringElements[g]===this._originalStringElements[c]:!0}ModifiedElementsAreEqual(g,c){return this._modifiedElementsOrHash[g]!==this._modifiedElementsOrHash[c]?!1:this._hasStrings?this._modifiedStringElements[g]===this._modifiedStringElements[c]:!0}ComputeDiff(g){return this._ComputeDiff(0,this._originalElementsOrHash.length-1,0,this._modifiedElementsOrHash.length-1,g)}_ComputeDiff(g,c,d,A,E){const S=[!1];let n=this.ComputeDiffRecursive(g,c,d,A,S);return E&&(n=this.PrettifyChanges(n)),{quitEarly:S[0],changes:n}}ComputeDiffRecursive(g,c,d,A,E){for(E[0]=!1;g<=c&&d<=A&&this.ElementsAreEqual(g,d);)g++,d++;for(;c>=g&&A>=d&&this.ElementsAreEqual(c,A);)c--,A--;if(g>c||d>A){let h;return d<=A?(b.Assert(g===c+1,"originalStart should only be one more than originalEnd"),h=[new M.DiffChange(g,0,d,A-d+1)]):g<=c?(b.Assert(d===A+1,"modifiedStart should only be one more than modifiedEnd"),h=[new M.DiffChange(g,c-g+1,d,0)]):(b.Assert(g===c+1,"originalStart should only be one more than originalEnd"),b.Assert(d===A+1,"modifiedStart should only be one more than modifiedEnd"),h=[]),h}const S=[0],n=[0],i=this.ComputeRecursionPoint(g,c,d,A,S,n,E),r=S[0],s=n[0];if(i!==null)return i;if(!E[0]){const h=this.ComputeDiffRecursive(g,r,d,s,E);let m=[];return E[0]?m=[new M.DiffChange(r+1,c-(r+1)+1,s+1,A-(s+1)+1)]:m=this.ComputeDiffRecursive(r+1,c,s+1,A,E),this.ConcatenateChanges(h,m)}return[new M.DiffChange(g,c-g+1,d,A-d+1)]}WALKTRACE(g,c,d,A,E,S,n,i,r,s,h,m,f,v,N,p,P,R){let F=null,W=null,O=new a,j=c,J=d,G=f[0]-p[0]-A,x=-1073741824,e=this.m_forwardHistory.length-1;do{const B=G+g;B===j||B<J&&r[B-1]<r[B+1]?(h=r[B+1],v=h-G-A,h<x&&O.MarkNextChange(),x=h,O.AddModifiedElement(h+1,v),G=B+1-g):(h=r[B-1]+1,v=h-G-A,h<x&&O.MarkNextChange(),x=h-1,O.AddOriginalElement(h,v+1),G=B-1-g),e>=0&&(r=this.m_forwardHistory[e],g=r[0],j=1,J=r.length-1)}while(--e>=-1);if(F=O.getReverseChanges(),R[0]){let B=f[0]+1,y=p[0]+1;if(F!==null&&F.length>0){const H=F[F.length-1];B=Math.max(B,H.getOriginalEnd()),y=Math.max(y,H.getModifiedEnd())}W=[new M.DiffChange(B,m-B+1,y,N-y+1)]}else{O=new a,j=S,J=n,G=f[0]-p[0]-i,x=1073741824,e=P?this.m_reverseHistory.length-1:this.m_reverseHistory.length-2;do{const B=G+E;B===j||B<J&&s[B-1]>=s[B+1]?(h=s[B+1]-1,v=h-G-i,h>x&&O.MarkNextChange(),x=h+1,O.AddOriginalElement(h+1,v+1),G=B+1-E):(h=s[B-1],v=h-G-i,h>x&&O.MarkNextChange(),x=h,O.AddModifiedElement(h+1,v+1),G=B-1-E),e>=0&&(s=this.m_reverseHistory[e],E=s[0],j=1,J=s.length-1)}while(--e>=-1);W=O.getChanges()}return this.ConcatenateChanges(F,W)}ComputeRecursionPoint(g,c,d,A,E,S,n){let i=0,r=0,s=0,h=0,m=0,f=0;g--,d--,E[0]=0,S[0]=0,this.m_forwardHistory=[],this.m_reverseHistory=[];const v=c-g+(A-d),N=v+1,p=new Int32Array(N),P=new Int32Array(N),R=A-d,F=c-g,W=g-d,O=c-A,J=(F-R)%2==0;p[R]=g,P[F]=c,n[0]=!1;for(let G=1;G<=v/2+1;G++){let x=0,e=0;s=this.ClipDiagonalBound(R-G,G,R,N),h=this.ClipDiagonalBound(R+G,G,R,N);for(let y=s;y<=h;y+=2){y===s||y<h&&p[y-1]<p[y+1]?i=p[y+1]:i=p[y-1]+1,r=i-(y-R)-W;const H=i;for(;i<c&&r<A&&this.ElementsAreEqual(i+1,r+1);)i++,r++;if(p[y]=i,i+r>x+e&&(x=i,e=r),!J&&Math.abs(y-F)<=G-1&&i>=P[y])return E[0]=i,S[0]=r,H<=P[y]&&1447>0&&G<=1447+1?this.WALKTRACE(R,s,h,W,F,m,f,O,p,P,i,c,E,r,A,S,J,n):null}const B=(x-g+(e-d)-G)/2;if(this.ContinueProcessingPredicate!==null&&!this.ContinueProcessingPredicate(x,B))return n[0]=!0,E[0]=x,S[0]=e,B>0&&1447>0&&G<=1447+1?this.WALKTRACE(R,s,h,W,F,m,f,O,p,P,i,c,E,r,A,S,J,n):(g++,d++,[new M.DiffChange(g,c-g+1,d,A-d+1)]);m=this.ClipDiagonalBound(F-G,G,F,N),f=this.ClipDiagonalBound(F+G,G,F,N);for(let y=m;y<=f;y+=2){y===m||y<f&&P[y-1]>=P[y+1]?i=P[y+1]-1:i=P[y-1],r=i-(y-F)-O;const H=i;for(;i>g&&r>d&&this.ElementsAreEqual(i,r);)i--,r--;if(P[y]=i,J&&Math.abs(y-R)<=G&&i<=p[y])return E[0]=i,S[0]=r,H>=p[y]&&1447>0&&G<=1447+1?this.WALKTRACE(R,s,h,W,F,m,f,O,p,P,i,c,E,r,A,S,J,n):null}if(G<=1447){let y=new Int32Array(h-s+2);y[0]=R-s+1,l.Copy2(p,s,y,1,h-s+1),this.m_forwardHistory.push(y),y=new Int32Array(f-m+2),y[0]=F-m+1,l.Copy2(P,m,y,1,f-m+1),this.m_reverseHistory.push(y)}}return this.WALKTRACE(R,s,h,W,F,m,f,O,p,P,i,c,E,r,A,S,J,n)}PrettifyChanges(g){for(let c=0;c<g.length;c++){const d=g[c],A=c<g.length-1?g[c+1].originalStart:this._originalElementsOrHash.length,E=c<g.length-1?g[c+1].modifiedStart:this._modifiedElementsOrHash.length,S=d.originalLength>0,n=d.modifiedLength>0;for(;d.originalStart+d.originalLength<A&&d.modifiedStart+d.modifiedLength<E&&(!S||this.OriginalElementsAreEqual(d.originalStart,d.originalStart+d.originalLength))&&(!n||this.ModifiedElementsAreEqual(d.modifiedStart,d.modifiedStart+d.modifiedLength));){const r=this.ElementsAreStrictEqual(d.originalStart,d.modifiedStart);if(this.ElementsAreStrictEqual(d.originalStart+d.originalLength,d.modifiedStart+d.modifiedLength)&&!r)break;d.originalStart++,d.modifiedStart++}let i=[null];if(c<g.length-1&&this.ChangesOverlap(g[c],g[c+1],i)){g[c]=i[0],g.splice(c+1,1),c--;continue}}for(let c=g.length-1;c>=0;c--){const d=g[c];let A=0,E=0;if(c>0){const h=g[c-1];A=h.originalStart+h.originalLength,E=h.modifiedStart+h.modifiedLength}const S=d.originalLength>0,n=d.modifiedLength>0;let i=0,r=this._boundaryScore(d.originalStart,d.originalLength,d.modifiedStart,d.modifiedLength);for(let h=1;;h++){const m=d.originalStart-h,f=d.modifiedStart-h;if(m<A||f<E||S&&!this.OriginalElementsAreEqual(m,m+d.originalLength)||n&&!this.ModifiedElementsAreEqual(f,f+d.modifiedLength))break;const N=(m===A&&f===E?5:0)+this._boundaryScore(m,d.originalLength,f,d.modifiedLength);N>r&&(r=N,i=h)}d.originalStart-=i,d.modifiedStart-=i;const s=[null];if(c>0&&this.ChangesOverlap(g[c-1],g[c],s)){g[c-1]=s[0],g.splice(c,1),c++;continue}}if(this._hasStrings)for(let c=1,d=g.length;c<d;c++){const A=g[c-1],E=g[c],S=E.originalStart-A.originalStart-A.originalLength,n=A.originalStart,i=E.originalStart+E.originalLength,r=i-n,s=A.modifiedStart,h=E.modifiedStart+E.modifiedLength,m=h-s;if(S<5&&r<20&&m<20){const f=this._findBetterContiguousSequence(n,r,s,m,S);if(f){const[v,N]=f;(v!==A.originalStart+A.originalLength||N!==A.modifiedStart+A.modifiedLength)&&(A.originalLength=v-A.originalStart,A.modifiedLength=N-A.modifiedStart,E.originalStart=v+S,E.modifiedStart=N+S,E.originalLength=i-E.originalStart,E.modifiedLength=h-E.modifiedStart)}}}return g}_findBetterContiguousSequence(g,c,d,A,E){if(c<E||A<E)return null;const S=g+c-E+1,n=d+A-E+1;let i=0,r=0,s=0;for(let h=g;h<S;h++)for(let m=d;m<n;m++){const f=this._contiguousSequenceScore(h,m,E);f>0&&f>i&&(i=f,r=h,s=m)}return i>0?[r,s]:null}_contiguousSequenceScore(g,c,d){let A=0;for(let E=0;E<d;E++){if(!this.ElementsAreEqual(g+E,c+E))return 0;A+=this._originalStringElements[g+E].length}return A}_OriginalIsBoundary(g){return g<=0||g>=this._originalElementsOrHash.length-1?!0:this._hasStrings&&/^\s*$/.test(this._originalStringElements[g])}_OriginalRegionIsBoundary(g,c){if(this._OriginalIsBoundary(g)||this._OriginalIsBoundary(g-1))return!0;if(c>0){const d=g+c;if(this._OriginalIsBoundary(d-1)||this._OriginalIsBoundary(d))return!0}return!1}_ModifiedIsBoundary(g){return g<=0||g>=this._modifiedElementsOrHash.length-1?!0:this._hasStrings&&/^\s*$/.test(this._modifiedStringElements[g])}_ModifiedRegionIsBoundary(g,c){if(this._ModifiedIsBoundary(g)||this._ModifiedIsBoundary(g-1))return!0;if(c>0){const d=g+c;if(this._ModifiedIsBoundary(d-1)||this._ModifiedIsBoundary(d))return!0}return!1}_boundaryScore(g,c,d,A){const E=this._OriginalRegionIsBoundary(g,c)?1:0,S=this._ModifiedRegionIsBoundary(d,A)?1:0;return E+S}ConcatenateChanges(g,c){let d=[];if(g.length===0||c.length===0)return c.length>0?c:g;if(this.ChangesOverlap(g[g.length-1],c[0],d)){const A=new Array(g.length+c.length-1);return l.Copy(g,0,A,0,g.length-1),A[g.length-1]=d[0],l.Copy(c,1,A,g.length,c.length-1),A}else{const A=new Array(g.length+c.length);return l.Copy(g,0,A,0,g.length),l.Copy(c,0,A,g.length,c.length),A}}ChangesOverlap(g,c,d){if(b.Assert(g.originalStart<=c.originalStart,"Left change is not less than or equal to right change"),b.Assert(g.modifiedStart<=c.modifiedStart,"Left change is not less than or equal to right change"),g.originalStart+g.originalLength>=c.originalStart||g.modifiedStart+g.modifiedLength>=c.modifiedStart){const A=g.originalStart;let E=g.originalLength;const S=g.modifiedStart;let n=g.modifiedLength;return g.originalStart+g.originalLength>=c.originalStart&&(E=c.originalStart+c.originalLength-g.originalStart),g.modifiedStart+g.modifiedLength>=c.modifiedStart&&(n=c.modifiedStart+c.modifiedLength-g.modifiedStart),d[0]=new M.DiffChange(A,E,S,n),!0}else return d[0]=null,!1}ClipDiagonalBound(g,c,d,A){if(g>=0&&g<A)return g;const E=d,S=A-d-1,n=c%2==0;if(g<0){const i=E%2==0;return n===i?0:1}else{const i=S%2==0;return n===i?A-1:A-2}}}t.LcsDiff=L}),z(V[12],Q([0,1]),function(I,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.assertNever=t.NotImplementedProxy=t.withUndefinedAsNull=t.withNullAsUndefined=t.createProxyObject=t.getAllMethodNames=t.getAllPropertyNames=t.validateConstraint=t.validateConstraints=t.areFunctions=t.isFunction=t.isEmptyObject=t.assertAllDefined=t.assertIsDefined=t.assertType=t.isUndefinedOrNull=t.isDefined=t.isUndefined=t.isBoolean=t.isIterable=t.isNumber=t.isObject=t.isStringArray=t.isString=t.isArray=void 0;function M(P){return Array.isArray(P)}t.isArray=M;function U(P){return typeof P=="string"}t.isString=U;function C(P){return Array.isArray(P)&&P.every(R=>U(R))}t.isStringArray=C;function u(P){return typeof P=="object"&&P!==null&&!Array.isArray(P)&&!(P instanceof RegExp)&&!(P instanceof Date)}t.isObject=u;function b(P){return typeof P=="number"&&!isNaN(P)}t.isNumber=b;function l(P){return!!P&&typeof P[Symbol.iterator]=="function"}t.isIterable=l;function o(P){return P===!0||P===!1}t.isBoolean=o;function a(P){return typeof P=="undefined"}t.isUndefined=a;function L(P){return!w(P)}t.isDefined=L;function w(P){return a(P)||P===null}t.isUndefinedOrNull=w;function g(P,R){if(!P)throw new Error(R?`Unexpected type, expected '${R}'`:"Unexpected type")}t.assertType=g;function c(P){if(w(P))throw new Error("Assertion Failed: argument is undefined or null");return P}t.assertIsDefined=c;function d(...P){const R=[];for(let F=0;F<P.length;F++){const W=P[F];if(w(W))throw new Error(`Assertion Failed: argument at index ${F} is undefined or null`);R.push(W)}return R}t.assertAllDefined=d;const A=Object.prototype.hasOwnProperty;function E(P){if(!u(P))return!1;for(let R in P)if(A.call(P,R))return!1;return!0}t.isEmptyObject=E;function S(P){return typeof P=="function"}t.isFunction=S;function n(...P){return P.length>0&&P.every(S)}t.areFunctions=n;function i(P,R){const F=Math.min(P.length,R.length);for(let W=0;W<F;W++)r(P[W],R[W])}t.validateConstraints=i;function r(P,R){if(U(R)){if(typeof P!==R)throw new Error(`argument does not match constraint: typeof ${R}`)}else if(S(R)){try{if(P instanceof R)return}catch{}if(!w(P)&&P.constructor===R||R.length===1&&R.call(void 0,P)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}t.validateConstraint=r;function s(P){let R=[],F=Object.getPrototypeOf(P);for(;Object.prototype!==F;)R=R.concat(Object.getOwnPropertyNames(F)),F=Object.getPrototypeOf(F);return R}t.getAllPropertyNames=s;function h(P){const R=[];for(const F of s(P))typeof P[F]=="function"&&R.push(F);return R}t.getAllMethodNames=h;function m(P,R){const F=O=>function(){const j=Array.prototype.slice.call(arguments,0);return R(O,j)};let W={};for(const O of P)W[O]=F(O);return W}t.createProxyObject=m;function f(P){return P===null?void 0:P}t.withNullAsUndefined=f;function v(P){return typeof P=="undefined"?null:P}t.withUndefinedAsNull=v;function N(P){return class{constructor(){return new Proxy({},{get(R,F){if(R[F])return R[F];throw new Error(`Not Implemented: ${P}->${String(F)}`)}})}}}t.NotImplementedProxy=N;function p(P){throw new Error("Unreachable")}t.assertNever=p}),z(V[13],Q([0,1]),function(I,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.toUint32=t.toUint8=t.Constants=void 0;var M;(function(u){u[u.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",u[u.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",u[u.MAX_UINT_8=255]="MAX_UINT_8",u[u.MAX_UINT_16=65535]="MAX_UINT_16",u[u.MAX_UINT_32=4294967295]="MAX_UINT_32",u[u.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(M=t.Constants||(t.Constants={}));function U(u){return u<0?0:u>255?255:u|0}t.toUint8=U;function C(u){return u<0?0:u>4294967295?4294967295:u|0}t.toUint32=C}),z(V[14],Q([0,1,2,20]),function(I,t,M,U){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.uriToFsPath=t.URI=void 0;const C=/^\w[\w\d+.-]*$/,u=/^\//,b=/^\/\//;function l(f,v){if(!f.scheme&&v)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${f.authority}", path: "${f.path}", query: "${f.query}", fragment: "${f.fragment}"}`);if(f.scheme&&!C.test(f.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(f.path){if(f.authority){if(!u.test(f.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(b.test(f.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function o(f,v){return!f&&!v?"file":f}function a(f,v){switch(f){case"https":case"http":case"file":v?v[0]!==w&&(v=w+v):v=w;break}return v}const L="",w="/",g=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class c{constructor(v,N,p,P,R,F=!1){typeof v=="object"?(this.scheme=v.scheme||L,this.authority=v.authority||L,this.path=v.path||L,this.query=v.query||L,this.fragment=v.fragment||L):(this.scheme=o(v,F),this.authority=N||L,this.path=a(this.scheme,p||L),this.query=P||L,this.fragment=R||L,l(this,F))}static isUri(v){return v instanceof c?!0:v?typeof v.authority=="string"&&typeof v.fragment=="string"&&typeof v.path=="string"&&typeof v.query=="string"&&typeof v.scheme=="string"&&typeof v.fsPath=="string"&&typeof v.with=="function"&&typeof v.toString=="function":!1}get fsPath(){return i(this,!1)}with(v){if(!v)return this;let{scheme:N,authority:p,path:P,query:R,fragment:F}=v;return N===void 0?N=this.scheme:N===null&&(N=L),p===void 0?p=this.authority:p===null&&(p=L),P===void 0?P=this.path:P===null&&(P=L),R===void 0?R=this.query:R===null&&(R=L),F===void 0?F=this.fragment:F===null&&(F=L),N===this.scheme&&p===this.authority&&P===this.path&&R===this.query&&F===this.fragment?this:new A(N,p,P,R,F)}static parse(v,N=!1){const p=g.exec(v);return p?new A(p[2]||L,m(p[4]||L),m(p[5]||L),m(p[7]||L),m(p[9]||L),N):new A(L,L,L,L,L)}static file(v){let N=L;if(M.isWindows&&(v=v.replace(/\\/g,w)),v[0]===w&&v[1]===w){const p=v.indexOf(w,2);p===-1?(N=v.substring(2),v=w):(N=v.substring(2,p),v=v.substring(p)||w)}return new A("file",N,v,L,L)}static from(v){const N=new A(v.scheme,v.authority,v.path,v.query,v.fragment);return l(N,!0),N}static joinPath(v,...N){if(!v.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let p;return M.isWindows&&v.scheme==="file"?p=c.file(U.win32.join(i(v,!0),...N)).path:p=U.posix.join(v.path,...N),v.with({path:p})}toString(v=!1){return r(this,v)}toJSON(){return this}static revive(v){if(v){if(v instanceof c)return v;{const N=new A(v);return N._formatted=v.external,N._fsPath=v._sep===d?v.fsPath:null,N}}else return v}}t.URI=c;const d=M.isWindows?1:void 0;class A extends c{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=i(this,!1)),this._fsPath}toString(v=!1){return v?r(this,!0):(this._formatted||(this._formatted=r(this,!1)),this._formatted)}toJSON(){const v={$mid:1};return this._fsPath&&(v.fsPath=this._fsPath,v._sep=d),this._formatted&&(v.external=this._formatted),this.path&&(v.path=this.path),this.scheme&&(v.scheme=this.scheme),this.authority&&(v.authority=this.authority),this.query&&(v.query=this.query),this.fragment&&(v.fragment=this.fragment),v}}const E={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function S(f,v){let N,p=-1;for(let P=0;P<f.length;P++){const R=f.charCodeAt(P);if(R>=97&&R<=122||R>=65&&R<=90||R>=48&&R<=57||R===45||R===46||R===95||R===126||v&&R===47)p!==-1&&(N+=encodeURIComponent(f.substring(p,P)),p=-1),N!==void 0&&(N+=f.charAt(P));else{N===void 0&&(N=f.substr(0,P));const F=E[R];F!==void 0?(p!==-1&&(N+=encodeURIComponent(f.substring(p,P)),p=-1),N+=F):p===-1&&(p=P)}}return p!==-1&&(N+=encodeURIComponent(f.substring(p))),N!==void 0?N:f}function n(f){let v;for(let N=0;N<f.length;N++){const p=f.charCodeAt(N);p===35||p===63?(v===void 0&&(v=f.substr(0,N)),v+=E[p]):v!==void 0&&(v+=f[N])}return v!==void 0?v:f}function i(f,v){let N;return f.authority&&f.path.length>1&&f.scheme==="file"?N=`//${f.authority}${f.path}`:f.path.charCodeAt(0)===47&&(f.path.charCodeAt(1)>=65&&f.path.charCodeAt(1)<=90||f.path.charCodeAt(1)>=97&&f.path.charCodeAt(1)<=122)&&f.path.charCodeAt(2)===58?v?N=f.path.substr(1):N=f.path[1].toLowerCase()+f.path.substr(2):N=f.path,M.isWindows&&(N=N.replace(/\//g,"\\")),N}t.uriToFsPath=i;function r(f,v){const N=v?n:S;let p="",{scheme:P,authority:R,path:F,query:W,fragment:O}=f;if(P&&(p+=P,p+=":"),(R||P==="file")&&(p+=w,p+=w),R){let j=R.indexOf("@");if(j!==-1){const J=R.substr(0,j);R=R.substr(j+1),j=J.indexOf(":"),j===-1?p+=N(J,!1):(p+=N(J.substr(0,j),!1),p+=":",p+=N(J.substr(j+1),!1)),p+="@"}R=R.toLowerCase(),j=R.indexOf(":"),j===-1?p+=N(R,!1):(p+=N(R.substr(0,j),!1),p+=R.substr(j))}if(F){if(F.length>=3&&F.charCodeAt(0)===47&&F.charCodeAt(2)===58){const j=F.charCodeAt(1);j>=65&&j<=90&&(F=`/${String.fromCharCode(j+32)}:${F.substr(3)}`)}else if(F.length>=2&&F.charCodeAt(1)===58){const j=F.charCodeAt(0);j>=65&&j<=90&&(F=`${String.fromCharCode(j+32)}:${F.substr(2)}`)}p+=N(F,!0)}return W&&(p+="?",p+=N(W,!1)),O&&(p+="#",p+=v?O:S(O,!1)),p}function s(f){try{return decodeURIComponent(f)}catch{return f.length>3?f.substr(0,3)+s(f.substr(3)):f}}const h=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function m(f){return f.match(h)?f.replace(h,v=>s(v)):f}}),z(V[34],Q([0,1,4,8,2,12]),function(I,t,M,U,C,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.create=t.SimpleWorkerServer=t.SimpleWorkerClient=t.logOnceWebWorkerWarning=void 0;const b="$initialize";let l=!1;function o(c){!C.isWeb||(l||(l=!0,console.warn("Could not create web worker(s). Falling back to loading web worker code in main thread, which might cause UI freezes. Please see https://github.com/microsoft/monaco-editor#faq")),console.warn(c.message))}t.logOnceWebWorkerWarning=o;class a{constructor(d){this._workerId=-1,this._handler=d,this._lastSentReq=0,this._pendingReplies=Object.create(null)}setWorkerId(d){this._workerId=d}sendMessage(d,A){let E=String(++this._lastSentReq);return new Promise((S,n)=>{this._pendingReplies[E]={resolve:S,reject:n},this._send({vsWorker:this._workerId,req:E,method:d,args:A})})}handleMessage(d){!d||!d.vsWorker||this._workerId!==-1&&d.vsWorker!==this._workerId||this._handleMessage(d)}_handleMessage(d){if(d.seq){let n=d;if(!this._pendingReplies[n.seq]){console.warn("Got reply to unknown seq");return}let i=this._pendingReplies[n.seq];if(delete this._pendingReplies[n.seq],n.err){let r=n.err;n.err.$isError&&(r=new Error,r.name=n.err.name,r.message=n.err.message,r.stack=n.err.stack),i.reject(r);return}i.resolve(n.res);return}let A=d,E=A.req;this._handler.handleMessage(A.method,A.args).then(n=>{this._send({vsWorker:this._workerId,seq:E,res:n,err:void 0})},n=>{n.detail instanceof Error&&(n.detail=M.transformErrorForSerialization(n.detail)),this._send({vsWorker:this._workerId,seq:E,res:void 0,err:M.transformErrorForSerialization(n)})})}_send(d){let A=[];if(d.req){const E=d;for(let S=0;S<E.args.length;S++)E.args[S]instanceof ArrayBuffer&&A.push(E.args[S])}else{const E=d;E.res instanceof ArrayBuffer&&A.push(E.res)}this._handler.sendMessage(d,A)}}class L extends U.Disposable{constructor(d,A,E){super();let S=null;this._worker=this._register(d.create("vs/base/common/worker/simpleWorker",s=>{this._protocol.handleMessage(s)},s=>{S&&S(s)})),this._protocol=new a({sendMessage:(s,h)=>{this._worker.postMessage(s,h)},handleMessage:(s,h)=>{if(typeof E[s]!="function")return Promise.reject(new Error("Missing method "+s+" on main thread host."));try{return Promise.resolve(E[s].apply(E,h))}catch(m){return Promise.reject(m)}}}),this._protocol.setWorkerId(this._worker.getId());let n=null;typeof self.require!="undefined"&&typeof self.require.getConfig=="function"?n=self.require.getConfig():typeof self.requirejs!="undefined"&&(n=self.requirejs.s.contexts._.config);const i=u.getAllMethodNames(E);this._onModuleLoaded=this._protocol.sendMessage(b,[this._worker.getId(),JSON.parse(JSON.stringify(n)),A,i]);const r=(s,h)=>this._request(s,h);this._lazyProxy=new Promise((s,h)=>{S=h,this._onModuleLoaded.then(m=>{s(u.createProxyObject(m,r))},m=>{h(m),this._onError("Worker failed to load "+A,m)})})}getProxyObject(){return this._lazyProxy}_request(d,A){return new Promise((E,S)=>{this._onModuleLoaded.then(()=>{this._protocol.sendMessage(d,A).then(E,S)},S)})}_onError(d,A){console.error(d),console.info(A)}}t.SimpleWorkerClient=L;class w{constructor(d,A){this._requestHandlerFactory=A,this._requestHandler=null,this._protocol=new a({sendMessage:(E,S)=>{d(E,S)},handleMessage:(E,S)=>this._handleMessage(E,S)})}onmessage(d){this._protocol.handleMessage(d)}_handleMessage(d,A){if(d===b)return this.initialize(A[0],A[1],A[2],A[3]);if(!this._requestHandler||typeof this._requestHandler[d]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+d));try{return Promise.resolve(this._requestHandler[d].apply(this._requestHandler,A))}catch(E){return Promise.reject(E)}}initialize(d,A,E,S){this._protocol.setWorkerId(d);const n=(r,s)=>this._protocol.sendMessage(r,s),i=u.createProxyObject(S,n);return this._requestHandlerFactory?(this._requestHandler=this._requestHandlerFactory(i),Promise.resolve(u.getAllMethodNames(this._requestHandler))):(A&&(typeof A.baseUrl!="undefined"&&delete A.baseUrl,typeof A.paths!="undefined"&&typeof A.paths.vs!="undefined"&&delete A.paths.vs,typeof A.trustedTypesPolicy!==void 0&&delete A.trustedTypesPolicy,A.catchError=!0,self.require.config(A)),new Promise((r,s)=>{self.require([E],h=>{if(this._requestHandler=h.create(i),!this._requestHandler){s(new Error("No RequestHandler!"));return}r(u.getAllMethodNames(this._requestHandler))},s)}))}}t.SimpleWorkerServer=w;function g(c){return new w(c,null)}t.create=g}),z(V[23],Q([0,1,13]),function(I,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CharacterSet=t.CharacterClassifier=void 0;class U{constructor(l){let o=M.toUint8(l);this._defaultValue=o,this._asciiMap=U._createAsciiMap(o),this._map=new Map}static _createAsciiMap(l){let o=new Uint8Array(256);for(let a=0;a<256;a++)o[a]=l;return o}set(l,o){let a=M.toUint8(o);l>=0&&l<256?this._asciiMap[l]=a:this._map.set(l,a)}get(l){return l>=0&&l<256?this._asciiMap[l]:this._map.get(l)||this._defaultValue}}t.CharacterClassifier=U;var C;(function(b){b[b.False=0]="False",b[b.True=1]="True"})(C||(C={}));class u{constructor(){this._actual=new U(0)}add(l){this._actual.set(l,1)}has(l){return this._actual.get(l)===1}}t.CharacterSet=u}),z(V[3],Q([0,1]),function(I,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Position=void 0;class M{constructor(C,u){this.lineNumber=C,this.column=u}with(C=this.lineNumber,u=this.column){return C===this.lineNumber&&u===this.column?this:new M(C,u)}delta(C=0,u=0){return this.with(this.lineNumber+C,this.column+u)}equals(C){return M.equals(this,C)}static equals(C,u){return!C&&!u?!0:!!C&&!!u&&C.lineNumber===u.lineNumber&&C.column===u.column}isBefore(C){return M.isBefore(this,C)}static isBefore(C,u){return C.lineNumber<u.lineNumber?!0:u.lineNumber<C.lineNumber?!1:C.column<u.column}isBeforeOrEqual(C){return M.isBeforeOrEqual(this,C)}static isBeforeOrEqual(C,u){return C.lineNumber<u.lineNumber?!0:u.lineNumber<C.lineNumber?!1:C.column<=u.column}static compare(C,u){let b=C.lineNumber|0,l=u.lineNumber|0;if(b===l){let o=C.column|0,a=u.column|0;return o-a}return b-l}clone(){return new M(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(C){return new M(C.lineNumber,C.column)}static isIPosition(C){return C&&typeof C.lineNumber=="number"&&typeof C.column=="number"}}t.Position=M}),z(V[6],Q([0,1,3]),function(I,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Range=void 0;class U{constructor(u,b,l,o){u>l||u===l&&b>o?(this.startLineNumber=l,this.startColumn=o,this.endLineNumber=u,this.endColumn=b):(this.startLineNumber=u,this.startColumn=b,this.endLineNumber=l,this.endColumn=o)}isEmpty(){return U.isEmpty(this)}static isEmpty(u){return u.startLineNumber===u.endLineNumber&&u.startColumn===u.endColumn}containsPosition(u){return U.containsPosition(this,u)}static containsPosition(u,b){return!(b.lineNumber<u.startLineNumber||b.lineNumber>u.endLineNumber||b.lineNumber===u.startLineNumber&&b.column<u.startColumn||b.lineNumber===u.endLineNumber&&b.column>u.endColumn)}containsRange(u){return U.containsRange(this,u)}static containsRange(u,b){return!(b.startLineNumber<u.startLineNumber||b.endLineNumber<u.startLineNumber||b.startLineNumber>u.endLineNumber||b.endLineNumber>u.endLineNumber||b.startLineNumber===u.startLineNumber&&b.startColumn<u.startColumn||b.endLineNumber===u.endLineNumber&&b.endColumn>u.endColumn)}strictContainsRange(u){return U.strictContainsRange(this,u)}static strictContainsRange(u,b){return!(b.startLineNumber<u.startLineNumber||b.endLineNumber<u.startLineNumber||b.startLineNumber>u.endLineNumber||b.endLineNumber>u.endLineNumber||b.startLineNumber===u.startLineNumber&&b.startColumn<=u.startColumn||b.endLineNumber===u.endLineNumber&&b.endColumn>=u.endColumn)}plusRange(u){return U.plusRange(this,u)}static plusRange(u,b){let l,o,a,L;return b.startLineNumber<u.startLineNumber?(l=b.startLineNumber,o=b.startColumn):b.startLineNumber===u.startLineNumber?(l=b.startLineNumber,o=Math.min(b.startColumn,u.startColumn)):(l=u.startLineNumber,o=u.startColumn),b.endLineNumber>u.endLineNumber?(a=b.endLineNumber,L=b.endColumn):b.endLineNumber===u.endLineNumber?(a=b.endLineNumber,L=Math.max(b.endColumn,u.endColumn)):(a=u.endLineNumber,L=u.endColumn),new U(l,o,a,L)}intersectRanges(u){return U.intersectRanges(this,u)}static intersectRanges(u,b){let l=u.startLineNumber,o=u.startColumn,a=u.endLineNumber,L=u.endColumn,w=b.startLineNumber,g=b.startColumn,c=b.endLineNumber,d=b.endColumn;return l<w?(l=w,o=g):l===w&&(o=Math.max(o,g)),a>c?(a=c,L=d):a===c&&(L=Math.min(L,d)),l>a||l===a&&o>L?null:new U(l,o,a,L)}equalsRange(u){return U.equalsRange(this,u)}static equalsRange(u,b){return!!u&&!!b&&u.startLineNumber===b.startLineNumber&&u.startColumn===b.startColumn&&u.endLineNumber===b.endLineNumber&&u.endColumn===b.endColumn}getEndPosition(){return U.getEndPosition(this)}static getEndPosition(u){return new M.Position(u.endLineNumber,u.endColumn)}getStartPosition(){return U.getStartPosition(this)}static getStartPosition(u){return new M.Position(u.startLineNumber,u.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(u,b){return new U(this.startLineNumber,this.startColumn,u,b)}setStartPosition(u,b){return new U(u,b,this.endLineNumber,this.endColumn)}collapseToStart(){return U.collapseToStart(this)}static collapseToStart(u){return new U(u.startLineNumber,u.startColumn,u.startLineNumber,u.startColumn)}static fromPositions(u,b=u){return new U(u.lineNumber,u.column,b.lineNumber,b.column)}static lift(u){return u?new U(u.startLineNumber,u.startColumn,u.endLineNumber,u.endColumn):null}static isIRange(u){return u&&typeof u.startLineNumber=="number"&&typeof u.startColumn=="number"&&typeof u.endLineNumber=="number"&&typeof u.endColumn=="number"}static areIntersectingOrTouching(u,b){return!(u.endLineNumber<b.startLineNumber||u.endLineNumber===b.startLineNumber&&u.endColumn<b.startColumn||b.endLineNumber<u.startLineNumber||b.endLineNumber===u.startLineNumber&&b.endColumn<u.startColumn)}static areIntersecting(u,b){return!(u.endLineNumber<b.startLineNumber||u.endLineNumber===b.startLineNumber&&u.endColumn<=b.startColumn||b.endLineNumber<u.startLineNumber||b.endLineNumber===u.startLineNumber&&b.endColumn<=u.startColumn)}static compareRangesUsingStarts(u,b){if(u&&b){const a=u.startLineNumber|0,L=b.startLineNumber|0;if(a===L){const w=u.startColumn|0,g=b.startColumn|0;if(w===g){const c=u.endLineNumber|0,d=b.endLineNumber|0;if(c===d){const A=u.endColumn|0,E=b.endColumn|0;return A-E}return c-d}return w-g}return a-L}return(u?1:0)-(b?1:0)}static compareRangesUsingEnds(u,b){return u.endLineNumber===b.endLineNumber?u.endColumn===b.endColumn?u.startLineNumber===b.startLineNumber?u.startColumn-b.startColumn:u.startLineNumber-b.startLineNumber:u.endColumn-b.endColumn:u.endLineNumber-b.endLineNumber}static spansMultipleLines(u){return u.endLineNumber>u.startLineNumber}}t.Range=U}),z(V[24],Q([0,1,3,6]),function(I,t,M,U){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Selection=t.SelectionDirection=void 0;var C;(function(b){b[b.LTR=0]="LTR",b[b.RTL=1]="RTL"})(C=t.SelectionDirection||(t.SelectionDirection={}));class u extends U.Range{constructor(l,o,a,L){super(l,o,a,L);this.selectionStartLineNumber=l,this.selectionStartColumn=o,this.positionLineNumber=a,this.positionColumn=L}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(l){return u.selectionsEqual(this,l)}static selectionsEqual(l,o){return l.selectionStartLineNumber===o.selectionStartLineNumber&&l.selectionStartColumn===o.selectionStartColumn&&l.positionLineNumber===o.positionLineNumber&&l.positionColumn===o.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(l,o){return this.getDirection()===0?new u(this.startLineNumber,this.startColumn,l,o):new u(l,o,this.startLineNumber,this.startColumn)}getPosition(){return new M.Position(this.positionLineNumber,this.positionColumn)}setStartPosition(l,o){return this.getDirection()===0?new u(l,o,this.endLineNumber,this.endColumn):new u(this.endLineNumber,this.endColumn,l,o)}static fromPositions(l,o=l){return new u(l.lineNumber,l.column,o.lineNumber,o.column)}static liftSelection(l){return new u(l.selectionStartLineNumber,l.selectionStartColumn,l.positionLineNumber,l.positionColumn)}static selectionsArrEqual(l,o){if(l&&!o||!l&&o)return!1;if(!l&&!o)return!0;if(l.length!==o.length)return!1;for(let a=0,L=l.length;a<L;a++)if(!this.selectionsEqual(l[a],o[a]))return!1;return!0}static isISelection(l){return l&&typeof l.selectionStartLineNumber=="number"&&typeof l.selectionStartColumn=="number"&&typeof l.positionLineNumber=="number"&&typeof l.positionColumn=="number"}static createWithDirection(l,o,a,L,w){return w===0?new u(l,o,a,L):new u(a,L,l,o)}}t.Selection=u}),z(V[25],Q([0,1]),function(I,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.TokenizationResult2=t.TokenizationResult=t.Token=void 0;class M{constructor(b,l,o){this._tokenBrand=void 0,this.offset=b|0,this.type=l,this.language=o}toString(){return"("+this.offset+", "+this.type+")"}}t.Token=M;class U{constructor(b,l){this._tokenizationResultBrand=void 0,this.tokens=b,this.endState=l}}t.TokenizationResult=U;class C{constructor(b,l){this._tokenizationResult2Brand=void 0,this.tokens=b,this.endState=l}}t.TokenizationResult2=C}),z(V[26],Q([0,1,11,5]),function(I,t,M,U){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DiffComputer=void 0;const C=3;function u(A,E,S,n){return new M.LcsDiff(A,E,S).ComputeDiff(n)}class b{constructor(E){const S=[],n=[];for(let i=0,r=E.length;i<r;i++)S[i]=g(E[i],1),n[i]=c(E[i],1);this.lines=E,this._startColumns=S,this._endColumns=n}getElements(){const E=[];for(let S=0,n=this.lines.length;S<n;S++)E[S]=this.lines[S].substring(this._startColumns[S]-1,this._endColumns[S]-1);return E}getStrictElement(E){return this.lines[E]}getStartLineNumber(E){return E+1}getEndLineNumber(E){return E+1}createCharSequence(E,S,n){const i=[],r=[],s=[];let h=0;for(let m=S;m<=n;m++){const f=this.lines[m],v=E?this._startColumns[m]:1,N=E?this._endColumns[m]:f.length+1;for(let p=v;p<N;p++)i[h]=f.charCodeAt(p-1),r[h]=m+1,s[h]=p,h++}return new l(i,r,s)}}class l{constructor(E,S,n){this._charCodes=E,this._lineNumbers=S,this._columns=n}getElements(){return this._charCodes}getStartLineNumber(E){return this._lineNumbers[E]}getStartColumn(E){return this._columns[E]}getEndLineNumber(E){return this._lineNumbers[E]}getEndColumn(E){return this._columns[E]+1}}class o{constructor(E,S,n,i,r,s,h,m){this.originalStartLineNumber=E,this.originalStartColumn=S,this.originalEndLineNumber=n,this.originalEndColumn=i,this.modifiedStartLineNumber=r,this.modifiedStartColumn=s,this.modifiedEndLineNumber=h,this.modifiedEndColumn=m}static createFromDiffChange(E,S,n){let i,r,s,h,m,f,v,N;return E.originalLength===0?(i=0,r=0,s=0,h=0):(i=S.getStartLineNumber(E.originalStart),r=S.getStartColumn(E.originalStart),s=S.getEndLineNumber(E.originalStart+E.originalLength-1),h=S.getEndColumn(E.originalStart+E.originalLength-1)),E.modifiedLength===0?(m=0,f=0,v=0,N=0):(m=n.getStartLineNumber(E.modifiedStart),f=n.getStartColumn(E.modifiedStart),v=n.getEndLineNumber(E.modifiedStart+E.modifiedLength-1),N=n.getEndColumn(E.modifiedStart+E.modifiedLength-1)),new o(i,r,s,h,m,f,v,N)}}function a(A){if(A.length<=1)return A;const E=[A[0]];let S=E[0];for(let n=1,i=A.length;n<i;n++){const r=A[n],s=r.originalStart-(S.originalStart+S.originalLength),h=r.modifiedStart-(S.modifiedStart+S.modifiedLength);Math.min(s,h)<C?(S.originalLength=r.originalStart+r.originalLength-S.originalStart,S.modifiedLength=r.modifiedStart+r.modifiedLength-S.modifiedStart):(E.push(r),S=r)}return E}class L{constructor(E,S,n,i,r){this.originalStartLineNumber=E,this.originalEndLineNumber=S,this.modifiedStartLineNumber=n,this.modifiedEndLineNumber=i,this.charChanges=r}static createFromDiffResult(E,S,n,i,r,s,h){let m,f,v,N,p;if(S.originalLength===0?(m=n.getStartLineNumber(S.originalStart)-1,f=0):(m=n.getStartLineNumber(S.originalStart),f=n.getEndLineNumber(S.originalStart+S.originalLength-1)),S.modifiedLength===0?(v=i.getStartLineNumber(S.modifiedStart)-1,N=0):(v=i.getStartLineNumber(S.modifiedStart),N=i.getEndLineNumber(S.modifiedStart+S.modifiedLength-1)),s&&S.originalLength>0&&S.originalLength<20&&S.modifiedLength>0&&S.modifiedLength<20&&r()){const P=n.createCharSequence(E,S.originalStart,S.originalStart+S.originalLength-1),R=i.createCharSequence(E,S.modifiedStart,S.modifiedStart+S.modifiedLength-1);let F=u(P,R,r,!0).changes;h&&(F=a(F)),p=[];for(let W=0,O=F.length;W<O;W++)p.push(o.createFromDiffChange(F[W],P,R))}return new L(m,f,v,N,p)}}class w{constructor(E,S,n){this.shouldComputeCharChanges=n.shouldComputeCharChanges,this.shouldPostProcessCharChanges=n.shouldPostProcessCharChanges,this.shouldIgnoreTrimWhitespace=n.shouldIgnoreTrimWhitespace,this.shouldMakePrettyDiff=n.shouldMakePrettyDiff,this.originalLines=E,this.modifiedLines=S,this.original=new b(E),this.modified=new b(S),this.continueLineDiff=d(n.maxComputationTime),this.continueCharDiff=d(n.maxComputationTime===0?0:Math.min(n.maxComputationTime,5e3))}computeDiff(){if(this.original.lines.length===1&&this.original.lines[0].length===0)return this.modified.lines.length===1&&this.modified.lines[0].length===0?{quitEarly:!1,changes:[]}:{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:1,modifiedStartLineNumber:1,modifiedEndLineNumber:this.modified.lines.length,charChanges:[{modifiedEndColumn:0,modifiedEndLineNumber:0,modifiedStartColumn:0,modifiedStartLineNumber:0,originalEndColumn:0,originalEndLineNumber:0,originalStartColumn:0,originalStartLineNumber:0}]}]};if(this.modified.lines.length===1&&this.modified.lines[0].length===0)return{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:this.original.lines.length,modifiedStartLineNumber:1,modifiedEndLineNumber:1,charChanges:[{modifiedEndColumn:0,modifiedEndLineNumber:0,modifiedStartColumn:0,modifiedStartLineNumber:0,originalEndColumn:0,originalEndLineNumber:0,originalStartColumn:0,originalStartLineNumber:0}]}]};const E=u(this.original,this.modified,this.continueLineDiff,this.shouldMakePrettyDiff),S=E.changes,n=E.quitEarly;if(this.shouldIgnoreTrimWhitespace){const h=[];for(let m=0,f=S.length;m<f;m++)h.push(L.createFromDiffResult(this.shouldIgnoreTrimWhitespace,S[m],this.original,this.modified,this.continueCharDiff,this.shouldComputeCharChanges,this.shouldPostProcessCharChanges));return{quitEarly:n,changes:h}}const i=[];let r=0,s=0;for(let h=-1,m=S.length;h<m;h++){const f=h+1<m?S[h+1]:null,v=f?f.originalStart:this.originalLines.length,N=f?f.modifiedStart:this.modifiedLines.length;for(;r<v&&s<N;){const p=this.originalLines[r],P=this.modifiedLines[s];if(p!==P){{let R=g(p,1),F=g(P,1);for(;R>1&&F>1;){const W=p.charCodeAt(R-2),O=P.charCodeAt(F-2);if(W!==O)break;R--,F--}(R>1||F>1)&&this._pushTrimWhitespaceCharChange(i,r+1,1,R,s+1,1,F)}{let R=c(p,1),F=c(P,1);const W=p.length+1,O=P.length+1;for(;R<W&&F<O;){const j=p.charCodeAt(R-1),J=p.charCodeAt(F-1);if(j!==J)break;R++,F++}(R<W||F<O)&&this._pushTrimWhitespaceCharChange(i,r+1,R,W,s+1,F,O)}}r++,s++}f&&(i.push(L.createFromDiffResult(this.shouldIgnoreTrimWhitespace,f,this.original,this.modified,this.continueCharDiff,this.shouldComputeCharChanges,this.shouldPostProcessCharChanges)),r+=f.originalLength,s+=f.modifiedLength)}return{quitEarly:n,changes:i}}_pushTrimWhitespaceCharChange(E,S,n,i,r,s,h){if(this._mergeTrimWhitespaceCharChange(E,S,n,i,r,s,h))return;let m;this.shouldComputeCharChanges&&(m=[new o(S,n,S,i,r,s,r,h)]),E.push(new L(S,S,r,r,m))}_mergeTrimWhitespaceCharChange(E,S,n,i,r,s,h){const m=E.length;if(m===0)return!1;const f=E[m-1];return f.originalEndLineNumber===0||f.modifiedEndLineNumber===0?!1:f.originalEndLineNumber+1===S&&f.modifiedEndLineNumber+1===r?(f.originalEndLineNumber=S,f.modifiedEndLineNumber=r,this.shouldComputeCharChanges&&f.charChanges&&f.charChanges.push(new o(S,n,S,i,r,s,r,h)),!0):!1}}t.DiffComputer=w;function g(A,E){const S=U.firstNonWhitespaceIndex(A);return S===-1?E:S+1}function c(A,E){const S=U.lastNonWhitespaceIndex(A);return S===-1?E:S+2}function d(A){if(A===0)return()=>!0;const E=Date.now();return()=>Date.now()-E<A}}),z(V[27],Q([0,1]),function(I,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getWordAtText=t.ensureValidWordDefinition=t.DEFAULT_WORD_REGEXP=t.USUAL_WORD_SEPARATORS=void 0,t.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function M(l=""){let o="(-?\\d*\\.\\d\\w*)|([^";for(const a of t.USUAL_WORD_SEPARATORS)l.indexOf(a)>=0||(o+="\\"+a);return o+="\\s]+)",new RegExp(o,"g")}t.DEFAULT_WORD_REGEXP=M();function U(l){let o=t.DEFAULT_WORD_REGEXP;if(l&&l instanceof RegExp)if(l.global)o=l;else{let a="g";l.ignoreCase&&(a+="i"),l.multiline&&(a+="m"),l.unicode&&(a+="u"),o=new RegExp(l.source,a)}return o.lastIndex=0,o}t.ensureValidWordDefinition=U;const C={maxLen:1e3,windowSize:15,timeBudget:150};function u(l,o,a,L,w=C){if(a.length>w.maxLen){let E=l-w.maxLen/2;return E<0?E=0:L+=E,a=a.substring(E,l+w.maxLen/2),u(l,o,a,L,w)}const g=Date.now(),c=l-1-L;let d=-1,A=null;for(let E=1;!(Date.now()-g>=w.timeBudget);E++){const S=c-w.windowSize*E;o.lastIndex=Math.max(0,S);const n=b(o,a,c,d);if(!n&&A||(A=n,S<=0))break;d=S}if(A){let E={word:A[0],startColumn:L+1+A.index,endColumn:L+1+A.index+A[0].length};return o.lastIndex=0,E}return null}t.getWordAtText=u;function b(l,o,a,L){let w;for(;w=l.exec(o);){const g=w.index||0;if(g<=a&&l.lastIndex>=a)return w;if(L>0&&g>L)return null}return null}}),z(V[28],Q([0,1,23]),function(I,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.computeLinks=t.LinkComputer=t.StateMachine=t.Uint8Matrix=t.State=void 0;var U;(function(c){c[c.Invalid=0]="Invalid",c[c.Start=1]="Start",c[c.H=2]="H",c[c.HT=3]="HT",c[c.HTT=4]="HTT",c[c.HTTP=5]="HTTP",c[c.F=6]="F",c[c.FI=7]="FI",c[c.FIL=8]="FIL",c[c.BeforeColon=9]="BeforeColon",c[c.AfterColon=10]="AfterColon",c[c.AlmostThere=11]="AlmostThere",c[c.End=12]="End",c[c.Accept=13]="Accept",c[c.LastKnownState=14]="LastKnownState"})(U=t.State||(t.State={}));class C{constructor(d,A,E){const S=new Uint8Array(d*A);for(let n=0,i=d*A;n<i;n++)S[n]=E;this._data=S,this.rows=d,this.cols=A}get(d,A){return this._data[d*this.cols+A]}set(d,A,E){this._data[d*this.cols+A]=E}}t.Uint8Matrix=C;class u{constructor(d){let A=0,E=0;for(let n=0,i=d.length;n<i;n++){let[r,s,h]=d[n];s>A&&(A=s),r>E&&(E=r),h>E&&(E=h)}A++,E++;let S=new C(E,A,0);for(let n=0,i=d.length;n<i;n++){let[r,s,h]=d[n];S.set(r,s,h)}this._states=S,this._maxCharCode=A}nextState(d,A){return A<0||A>=this._maxCharCode?0:this._states.get(d,A)}}t.StateMachine=u;let b=null;function l(){return b===null&&(b=new u([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),b}var o;(function(c){c[c.None=0]="None",c[c.ForceTermination=1]="ForceTermination",c[c.CannotEndIn=2]="CannotEndIn"})(o||(o={}));let a=null;function L(){if(a===null){a=new M.CharacterClassifier(0);const c=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u3008\u300C\u300E\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u300F\u300D\u3009\u2019\uFF40\uFF5E\u2026`;for(let A=0;A<c.length;A++)a.set(c.charCodeAt(A),1);const d=".,;";for(let A=0;A<d.length;A++)a.set(d.charCodeAt(A),2)}return a}class w{static _createLink(d,A,E,S,n){let i=n-1;do{const r=A.charCodeAt(i);if(d.get(r)!==2)break;i--}while(i>S);if(S>0){const r=A.charCodeAt(S-1),s=A.charCodeAt(i);(r===40&&s===41||r===91&&s===93||r===123&&s===125)&&i--}return{range:{startLineNumber:E,startColumn:S+1,endLineNumber:E,endColumn:i+2},url:A.substring(S,i+1)}}static computeLinks(d,A=l()){const E=L();let S=[];for(let n=1,i=d.getLineCount();n<=i;n++){const r=d.getLineContent(n),s=r.length;let h=0,m=0,f=0,v=1,N=!1,p=!1,P=!1,R=!1;for(;h<s;){let F=!1;const W=r.charCodeAt(h);if(v===13){let O;switch(W){case 40:N=!0,O=0;break;case 41:O=N?0:1;break;case 91:P=!0,p=!0,O=0;break;case 93:P=!1,O=p?0:1;break;case 123:R=!0,O=0;break;case 125:O=R?0:1;break;case 39:O=f===34||f===96?0:1;break;case 34:O=f===39||f===96?0:1;break;case 96:O=f===39||f===34?0:1;break;case 42:O=f===42?1:0;break;case 124:O=f===124?1:0;break;case 32:O=P?0:1;break;default:O=E.get(W)}O===1&&(S.push(w._createLink(E,r,n,m,h)),F=!0)}else if(v===12){let O;W===91?(p=!0,O=0):O=E.get(W),O===1?F=!0:v=13}else v=A.nextState(v,W),v===0&&(F=!0);F&&(v=1,N=!1,p=!1,R=!1,m=h+1,f=W),h++}v===13&&S.push(w._createLink(E,r,n,m,s))}return S}}t.LinkComputer=w;function g(c){return!c||typeof c.getLineCount!="function"||typeof c.getLineContent!="function"?[]:w.computeLinks(c)}t.computeLinks=g}),z(V[29],Q([0,1]),function(I,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.BasicInplaceReplace=void 0;class M{constructor(){this._defaultValueSet=[["true","false"],["True","False"],["Private","Public","Friend","ReadOnly","Partial","Protected","WriteOnly"],["public","protected","private"]]}navigateValueSet(C,u,b,l,o){if(C&&u){let a=this.doNavigateValueSet(u,o);if(a)return{range:C,value:a}}if(b&&l){let a=this.doNavigateValueSet(l,o);if(a)return{range:b,value:a}}return null}doNavigateValueSet(C,u){let b=this.numberReplace(C,u);return b!==null?b:this.textReplace(C,u)}numberReplace(C,u){let b=Math.pow(10,C.length-(C.lastIndexOf(".")+1)),l=Number(C),o=parseFloat(C);return!isNaN(l)&&!isNaN(o)&&l===o?l===0&&!u?null:(l=Math.floor(l*b),l+=u?b:-b,String(l/b)):null}textReplace(C,u){return this.valueSetsReplace(this._defaultValueSet,C,u)}valueSetsReplace(C,u,b){let l=null;for(let o=0,a=C.length;l===null&&o<a;o++)l=this.valueSetReplace(C[o],u,b);return l}valueSetReplace(C,u,b){let l=C.indexOf(u);return l>=0?(l+=b?1:-1,l<0?l=C.length-1:l%=C.length,C[l]):null}}t.BasicInplaceReplace=M,M.INSTANCE=new M}),z(V[30],Q([0,1]),function(I,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.WrappingIndent=t.TrackedRangeStickiness=t.TextEditorCursorStyle=t.TextEditorCursorBlinkingStyle=t.SymbolTag=t.SymbolKind=t.SignatureHelpTriggerKind=t.SelectionDirection=t.ScrollbarVisibility=t.ScrollType=t.RenderMinimap=t.RenderLineNumbersType=t.OverviewRulerLane=t.OverlayWidgetPositionPreference=t.MouseTargetType=t.MinimapPosition=t.MarkerTag=t.MarkerSeverity=t.KeyCode=t.InlineCompletionTriggerKind=t.InlayHintKind=t.IndentAction=t.EndOfLineSequence=t.EndOfLinePreference=t.EditorOption=t.EditorAutoIndentStrategy=t.DocumentHighlightKind=t.DefaultEndOfLine=t.CursorChangeReason=t.ContentWidgetPositionPreference=t.CompletionTriggerKind=t.CompletionItemTag=t.CompletionItemKind=t.CompletionItemInsertTextRule=t.AccessibilitySupport=void 0;var M;(function(e){e[e.Unknown=0]="Unknown",e[e.Disabled=1]="Disabled",e[e.Enabled=2]="Enabled"})(M=t.AccessibilitySupport||(t.AccessibilitySupport={}));var U;(function(e){e[e.KeepWhitespace=1]="KeepWhitespace",e[e.InsertAsSnippet=4]="InsertAsSnippet"})(U=t.CompletionItemInsertTextRule||(t.CompletionItemInsertTextRule={}));var C;(function(e){e[e.Method=0]="Method",e[e.Function=1]="Function",e[e.Constructor=2]="Constructor",e[e.Field=3]="Field",e[e.Variable=4]="Variable",e[e.Class=5]="Class",e[e.Struct=6]="Struct",e[e.Interface=7]="Interface",e[e.Module=8]="Module",e[e.Property=9]="Property",e[e.Event=10]="Event",e[e.Operator=11]="Operator",e[e.Unit=12]="Unit",e[e.Value=13]="Value",e[e.Constant=14]="Constant",e[e.Enum=15]="Enum",e[e.EnumMember=16]="EnumMember",e[e.Keyword=17]="Keyword",e[e.Text=18]="Text",e[e.Color=19]="Color",e[e.File=20]="File",e[e.Reference=21]="Reference",e[e.Customcolor=22]="Customcolor",e[e.Folder=23]="Folder",e[e.TypeParameter=24]="TypeParameter",e[e.User=25]="User",e[e.Issue=26]="Issue",e[e.Snippet=27]="Snippet"})(C=t.CompletionItemKind||(t.CompletionItemKind={}));var u;(function(e){e[e.Deprecated=1]="Deprecated"})(u=t.CompletionItemTag||(t.CompletionItemTag={}));var b;(function(e){e[e.Invoke=0]="Invoke",e[e.TriggerCharacter=1]="TriggerCharacter",e[e.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(b=t.CompletionTriggerKind||(t.CompletionTriggerKind={}));var l;(function(e){e[e.EXACT=0]="EXACT",e[e.ABOVE=1]="ABOVE",e[e.BELOW=2]="BELOW"})(l=t.ContentWidgetPositionPreference||(t.ContentWidgetPositionPreference={}));var o;(function(e){e[e.NotSet=0]="NotSet",e[e.ContentFlush=1]="ContentFlush",e[e.RecoverFromMarkers=2]="RecoverFromMarkers",e[e.Explicit=3]="Explicit",e[e.Paste=4]="Paste",e[e.Undo=5]="Undo",e[e.Redo=6]="Redo"})(o=t.CursorChangeReason||(t.CursorChangeReason={}));var a;(function(e){e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"})(a=t.DefaultEndOfLine||(t.DefaultEndOfLine={}));var L;(function(e){e[e.Text=0]="Text",e[e.Read=1]="Read",e[e.Write=2]="Write"})(L=t.DocumentHighlightKind||(t.DocumentHighlightKind={}));var w;(function(e){e[e.None=0]="None",e[e.Keep=1]="Keep",e[e.Brackets=2]="Brackets",e[e.Advanced=3]="Advanced",e[e.Full=4]="Full"})(w=t.EditorAutoIndentStrategy||(t.EditorAutoIndentStrategy={}));var g;(function(e){e[e.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",e[e.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",e[e.accessibilitySupport=2]="accessibilitySupport",e[e.accessibilityPageSize=3]="accessibilityPageSize",e[e.ariaLabel=4]="ariaLabel",e[e.autoClosingBrackets=5]="autoClosingBrackets",e[e.autoClosingDelete=6]="autoClosingDelete",e[e.autoClosingOvertype=7]="autoClosingOvertype",e[e.autoClosingQuotes=8]="autoClosingQuotes",e[e.autoIndent=9]="autoIndent",e[e.automaticLayout=10]="automaticLayout",e[e.autoSurround=11]="autoSurround",e[e.codeLens=12]="codeLens",e[e.codeLensFontFamily=13]="codeLensFontFamily",e[e.codeLensFontSize=14]="codeLensFontSize",e[e.colorDecorators=15]="colorDecorators",e[e.columnSelection=16]="columnSelection",e[e.comments=17]="comments",e[e.contextmenu=18]="contextmenu",e[e.copyWithSyntaxHighlighting=19]="copyWithSyntaxHighlighting",e[e.cursorBlinking=20]="cursorBlinking",e[e.cursorSmoothCaretAnimation=21]="cursorSmoothCaretAnimation",e[e.cursorStyle=22]="cursorStyle",e[e.cursorSurroundingLines=23]="cursorSurroundingLines",e[e.cursorSurroundingLinesStyle=24]="cursorSurroundingLinesStyle",e[e.cursorWidth=25]="cursorWidth",e[e.disableLayerHinting=26]="disableLayerHinting",e[e.disableMonospaceOptimizations=27]="disableMonospaceOptimizations",e[e.domReadOnly=28]="domReadOnly",e[e.dragAndDrop=29]="dragAndDrop",e[e.emptySelectionClipboard=30]="emptySelectionClipboard",e[e.extraEditorClassName=31]="extraEditorClassName",e[e.fastScrollSensitivity=32]="fastScrollSensitivity",e[e.find=33]="find",e[e.fixedOverflowWidgets=34]="fixedOverflowWidgets",e[e.folding=35]="folding",e[e.foldingStrategy=36]="foldingStrategy",e[e.foldingHighlight=37]="foldingHighlight",e[e.unfoldOnClickAfterEndOfLine=38]="unfoldOnClickAfterEndOfLine",e[e.fontFamily=39]="fontFamily",e[e.fontInfo=40]="fontInfo",e[e.fontLigatures=41]="fontLigatures",e[e.fontSize=42]="fontSize",e[e.fontWeight=43]="fontWeight",e[e.formatOnPaste=44]="formatOnPaste",e[e.formatOnType=45]="formatOnType",e[e.glyphMargin=46]="glyphMargin",e[e.gotoLocation=47]="gotoLocation",e[e.hideCursorInOverviewRuler=48]="hideCursorInOverviewRuler",e[e.highlightActiveIndentGuide=49]="highlightActiveIndentGuide",e[e.hover=50]="hover",e[e.inDiffEditor=51]="inDiffEditor",e[e.inlineSuggest=52]="inlineSuggest",e[e.letterSpacing=53]="letterSpacing",e[e.lightbulb=54]="lightbulb",e[e.lineDecorationsWidth=55]="lineDecorationsWidth",e[e.lineHeight=56]="lineHeight",e[e.lineNumbers=57]="lineNumbers",e[e.lineNumbersMinChars=58]="lineNumbersMinChars",e[e.linkedEditing=59]="linkedEditing",e[e.links=60]="links",e[e.matchBrackets=61]="matchBrackets",e[e.minimap=62]="minimap",e[e.mouseStyle=63]="mouseStyle",e[e.mouseWheelScrollSensitivity=64]="mouseWheelScrollSensitivity",e[e.mouseWheelZoom=65]="mouseWheelZoom",e[e.multiCursorMergeOverlapping=66]="multiCursorMergeOverlapping",e[e.multiCursorModifier=67]="multiCursorModifier",e[e.multiCursorPaste=68]="multiCursorPaste",e[e.occurrencesHighlight=69]="occurrencesHighlight",e[e.overviewRulerBorder=70]="overviewRulerBorder",e[e.overviewRulerLanes=71]="overviewRulerLanes",e[e.padding=72]="padding",e[e.parameterHints=73]="parameterHints",e[e.peekWidgetDefaultFocus=74]="peekWidgetDefaultFocus",e[e.definitionLinkOpensInPeek=75]="definitionLinkOpensInPeek",e[e.quickSuggestions=76]="quickSuggestions",e[e.quickSuggestionsDelay=77]="quickSuggestionsDelay",e[e.readOnly=78]="readOnly",e[e.renameOnType=79]="renameOnType",e[e.renderControlCharacters=80]="renderControlCharacters",e[e.renderIndentGuides=81]="renderIndentGuides",e[e.renderFinalNewline=82]="renderFinalNewline",e[e.renderLineHighlight=83]="renderLineHighlight",e[e.renderLineHighlightOnlyWhenFocus=84]="renderLineHighlightOnlyWhenFocus",e[e.renderValidationDecorations=85]="renderValidationDecorations",e[e.renderWhitespace=86]="renderWhitespace",e[e.revealHorizontalRightPadding=87]="revealHorizontalRightPadding",e[e.roundedSelection=88]="roundedSelection",e[e.rulers=89]="rulers",e[e.scrollbar=90]="scrollbar",e[e.scrollBeyondLastColumn=91]="scrollBeyondLastColumn",e[e.scrollBeyondLastLine=92]="scrollBeyondLastLine",e[e.scrollPredominantAxis=93]="scrollPredominantAxis",e[e.selectionClipboard=94]="selectionClipboard",e[e.selectionHighlight=95]="selectionHighlight",e[e.selectOnLineNumbers=96]="selectOnLineNumbers",e[e.showFoldingControls=97]="showFoldingControls",e[e.showUnused=98]="showUnused",e[e.snippetSuggestions=99]="snippetSuggestions",e[e.smartSelect=100]="smartSelect",e[e.smoothScrolling=101]="smoothScrolling",e[e.stickyTabStops=102]="stickyTabStops",e[e.stopRenderingLineAfter=103]="stopRenderingLineAfter",e[e.suggest=104]="suggest",e[e.suggestFontSize=105]="suggestFontSize",e[e.suggestLineHeight=106]="suggestLineHeight",e[e.suggestOnTriggerCharacters=107]="suggestOnTriggerCharacters",e[e.suggestSelection=108]="suggestSelection",e[e.tabCompletion=109]="tabCompletion",e[e.tabIndex=110]="tabIndex",e[e.unusualLineTerminators=111]="unusualLineTerminators",e[e.useShadowDOM=112]="useShadowDOM",e[e.useTabStops=113]="useTabStops",e[e.wordSeparators=114]="wordSeparators",e[e.wordWrap=115]="wordWrap",e[e.wordWrapBreakAfterCharacters=116]="wordWrapBreakAfterCharacters",e[e.wordWrapBreakBeforeCharacters=117]="wordWrapBreakBeforeCharacters",e[e.wordWrapColumn=118]="wordWrapColumn",e[e.wordWrapOverride1=119]="wordWrapOverride1",e[e.wordWrapOverride2=120]="wordWrapOverride2",e[e.wrappingIndent=121]="wrappingIndent",e[e.wrappingStrategy=122]="wrappingStrategy",e[e.showDeprecated=123]="showDeprecated",e[e.inlayHints=124]="inlayHints",e[e.editorClassName=125]="editorClassName",e[e.pixelRatio=126]="pixelRatio",e[e.tabFocusMode=127]="tabFocusMode",e[e.layoutInfo=128]="layoutInfo",e[e.wrappingInfo=129]="wrappingInfo"})(g=t.EditorOption||(t.EditorOption={}));var c;(function(e){e[e.TextDefined=0]="TextDefined",e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"})(c=t.EndOfLinePreference||(t.EndOfLinePreference={}));var d;(function(e){e[e.LF=0]="LF",e[e.CRLF=1]="CRLF"})(d=t.EndOfLineSequence||(t.EndOfLineSequence={}));var A;(function(e){e[e.None=0]="None",e[e.Indent=1]="Indent",e[e.IndentOutdent=2]="IndentOutdent",e[e.Outdent=3]="Outdent"})(A=t.IndentAction||(t.IndentAction={}));var E;(function(e){e[e.Other=0]="Other",e[e.Type=1]="Type",e[e.Parameter=2]="Parameter"})(E=t.InlayHintKind||(t.InlayHintKind={}));var S;(function(e){e[e.Automatic=0]="Automatic",e[e.Explicit=1]="Explicit"})(S=t.InlineCompletionTriggerKind||(t.InlineCompletionTriggerKind={}));var n;(function(e){e[e.DependsOnKbLayout=-1]="DependsOnKbLayout",e[e.Unknown=0]="Unknown",e[e.Backspace=1]="Backspace",e[e.Tab=2]="Tab",e[e.Enter=3]="Enter",e[e.Shift=4]="Shift",e[e.Ctrl=5]="Ctrl",e[e.Alt=6]="Alt",e[e.PauseBreak=7]="PauseBreak",e[e.CapsLock=8]="CapsLock",e[e.Escape=9]="Escape",e[e.Space=10]="Space",e[e.PageUp=11]="PageUp",e[e.PageDown=12]="PageDown",e[e.End=13]="End",e[e.Home=14]="Home",e[e.LeftArrow=15]="LeftArrow",e[e.UpArrow=16]="UpArrow",e[e.RightArrow=17]="RightArrow",e[e.DownArrow=18]="DownArrow",e[e.Insert=19]="Insert",e[e.Delete=20]="Delete",e[e.KEY_0=21]="KEY_0",e[e.KEY_1=22]="KEY_1",e[e.KEY_2=23]="KEY_2",e[e.KEY_3=24]="KEY_3",e[e.KEY_4=25]="KEY_4",e[e.KEY_5=26]="KEY_5",e[e.KEY_6=27]="KEY_6",e[e.KEY_7=28]="KEY_7",e[e.KEY_8=29]="KEY_8",e[e.KEY_9=30]="KEY_9",e[e.KEY_A=31]="KEY_A",e[e.KEY_B=32]="KEY_B",e[e.KEY_C=33]="KEY_C",e[e.KEY_D=34]="KEY_D",e[e.KEY_E=35]="KEY_E",e[e.KEY_F=36]="KEY_F",e[e.KEY_G=37]="KEY_G",e[e.KEY_H=38]="KEY_H",e[e.KEY_I=39]="KEY_I",e[e.KEY_J=40]="KEY_J",e[e.KEY_K=41]="KEY_K",e[e.KEY_L=42]="KEY_L",e[e.KEY_M=43]="KEY_M",e[e.KEY_N=44]="KEY_N",e[e.KEY_O=45]="KEY_O",e[e.KEY_P=46]="KEY_P",e[e.KEY_Q=47]="KEY_Q",e[e.KEY_R=48]="KEY_R",e[e.KEY_S=49]="KEY_S",e[e.KEY_T=50]="KEY_T",e[e.KEY_U=51]="KEY_U",e[e.KEY_V=52]="KEY_V",e[e.KEY_W=53]="KEY_W",e[e.KEY_X=54]="KEY_X",e[e.KEY_Y=55]="KEY_Y",e[e.KEY_Z=56]="KEY_Z",e[e.Meta=57]="Meta",e[e.ContextMenu=58]="ContextMenu",e[e.F1=59]="F1",e[e.F2=60]="F2",e[e.F3=61]="F3",e[e.F4=62]="F4",e[e.F5=63]="F5",e[e.F6=64]="F6",e[e.F7=65]="F7",e[e.F8=66]="F8",e[e.F9=67]="F9",e[e.F10=68]="F10",e[e.F11=69]="F11",e[e.F12=70]="F12",e[e.F13=71]="F13",e[e.F14=72]="F14",e[e.F15=73]="F15",e[e.F16=74]="F16",e[e.F17=75]="F17",e[e.F18=76]="F18",e[e.F19=77]="F19",e[e.NumLock=78]="NumLock",e[e.ScrollLock=79]="ScrollLock",e[e.US_SEMICOLON=80]="US_SEMICOLON",e[e.US_EQUAL=81]="US_EQUAL",e[e.US_COMMA=82]="US_COMMA",e[e.US_MINUS=83]="US_MINUS",e[e.US_DOT=84]="US_DOT",e[e.US_SLASH=85]="US_SLASH",e[e.US_BACKTICK=86]="US_BACKTICK",e[e.US_OPEN_SQUARE_BRACKET=87]="US_OPEN_SQUARE_BRACKET",e[e.US_BACKSLASH=88]="US_BACKSLASH",e[e.US_CLOSE_SQUARE_BRACKET=89]="US_CLOSE_SQUARE_BRACKET",e[e.US_QUOTE=90]="US_QUOTE",e[e.OEM_8=91]="OEM_8",e[e.OEM_102=92]="OEM_102",e[e.NUMPAD_0=93]="NUMPAD_0",e[e.NUMPAD_1=94]="NUMPAD_1",e[e.NUMPAD_2=95]="NUMPAD_2",e[e.NUMPAD_3=96]="NUMPAD_3",e[e.NUMPAD_4=97]="NUMPAD_4",e[e.NUMPAD_5=98]="NUMPAD_5",e[e.NUMPAD_6=99]="NUMPAD_6",e[e.NUMPAD_7=100]="NUMPAD_7",e[e.NUMPAD_8=101]="NUMPAD_8",e[e.NUMPAD_9=102]="NUMPAD_9",e[e.NUMPAD_MULTIPLY=103]="NUMPAD_MULTIPLY",e[e.NUMPAD_ADD=104]="NUMPAD_ADD",e[e.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",e[e.NUMPAD_SUBTRACT=106]="NUMPAD_SUBTRACT",e[e.NUMPAD_DECIMAL=107]="NUMPAD_DECIMAL",e[e.NUMPAD_DIVIDE=108]="NUMPAD_DIVIDE",e[e.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",e[e.ABNT_C1=110]="ABNT_C1",e[e.ABNT_C2=111]="ABNT_C2",e[e.MAX_VALUE=112]="MAX_VALUE"})(n=t.KeyCode||(t.KeyCode={}));var i;(function(e){e[e.Hint=1]="Hint",e[e.Info=2]="Info",e[e.Warning=4]="Warning",e[e.Error=8]="Error"})(i=t.MarkerSeverity||(t.MarkerSeverity={}));var r;(function(e){e[e.Unnecessary=1]="Unnecessary",e[e.Deprecated=2]="Deprecated"})(r=t.MarkerTag||(t.MarkerTag={}));var s;(function(e){e[e.Inline=1]="Inline",e[e.Gutter=2]="Gutter"})(s=t.MinimapPosition||(t.MinimapPosition={}));var h;(function(e){e[e.UNKNOWN=0]="UNKNOWN",e[e.TEXTAREA=1]="TEXTAREA",e[e.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",e[e.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",e[e.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",e[e.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",e[e.CONTENT_TEXT=6]="CONTENT_TEXT",e[e.CONTENT_EMPTY=7]="CONTENT_EMPTY",e[e.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",e[e.CONTENT_WIDGET=9]="CONTENT_WIDGET",e[e.OVERVIEW_RULER=10]="OVERVIEW_RULER",e[e.SCROLLBAR=11]="SCROLLBAR",e[e.OVERLAY_WIDGET=12]="OVERLAY_WIDGET",e[e.OUTSIDE_EDITOR=13]="OUTSIDE_EDITOR"})(h=t.MouseTargetType||(t.MouseTargetType={}));var m;(function(e){e[e.TOP_RIGHT_CORNER=0]="TOP_RIGHT_CORNER",e[e.BOTTOM_RIGHT_CORNER=1]="BOTTOM_RIGHT_CORNER",e[e.TOP_CENTER=2]="TOP_CENTER"})(m=t.OverlayWidgetPositionPreference||(t.OverlayWidgetPositionPreference={}));var f;(function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=4]="Right",e[e.Full=7]="Full"})(f=t.OverviewRulerLane||(t.OverviewRulerLane={}));var v;(function(e){e[e.Off=0]="Off",e[e.On=1]="On",e[e.Relative=2]="Relative",e[e.Interval=3]="Interval",e[e.Custom=4]="Custom"})(v=t.RenderLineNumbersType||(t.RenderLineNumbersType={}));var N;(function(e){e[e.None=0]="None",e[e.Text=1]="Text",e[e.Blocks=2]="Blocks"})(N=t.RenderMinimap||(t.RenderMinimap={}));var p;(function(e){e[e.Smooth=0]="Smooth",e[e.Immediate=1]="Immediate"})(p=t.ScrollType||(t.ScrollType={}));var P;(function(e){e[e.Auto=1]="Auto",e[e.Hidden=2]="Hidden",e[e.Visible=3]="Visible"})(P=t.ScrollbarVisibility||(t.ScrollbarVisibility={}));var R;(function(e){e[e.LTR=0]="LTR",e[e.RTL=1]="RTL"})(R=t.SelectionDirection||(t.SelectionDirection={}));var F;(function(e){e[e.Invoke=1]="Invoke",e[e.TriggerCharacter=2]="TriggerCharacter",e[e.ContentChange=3]="ContentChange"})(F=t.SignatureHelpTriggerKind||(t.SignatureHelpTriggerKind={}));var W;(function(e){e[e.File=0]="File",e[e.Module=1]="Module",e[e.Namespace=2]="Namespace",e[e.Package=3]="Package",e[e.Class=4]="Class",e[e.Method=5]="Method",e[e.Property=6]="Property",e[e.Field=7]="Field",e[e.Constructor=8]="Constructor",e[e.Enum=9]="Enum",e[e.Interface=10]="Interface",e[e.Function=11]="Function",e[e.Variable=12]="Variable",e[e.Constant=13]="Constant",e[e.String=14]="String",e[e.Number=15]="Number",e[e.Boolean=16]="Boolean",e[e.Array=17]="Array",e[e.Object=18]="Object",e[e.Key=19]="Key",e[e.Null=20]="Null",e[e.EnumMember=21]="EnumMember",e[e.Struct=22]="Struct",e[e.Event=23]="Event",e[e.Operator=24]="Operator",e[e.TypeParameter=25]="TypeParameter"})(W=t.SymbolKind||(t.SymbolKind={}));var O;(function(e){e[e.Deprecated=1]="Deprecated"})(O=t.SymbolTag||(t.SymbolTag={}));var j;(function(e){e[e.Hidden=0]="Hidden",e[e.Blink=1]="Blink",e[e.Smooth=2]="Smooth",e[e.Phase=3]="Phase",e[e.Expand=4]="Expand",e[e.Solid=5]="Solid"})(j=t.TextEditorCursorBlinkingStyle||(t.TextEditorCursorBlinkingStyle={}));var J;(function(e){e[e.Line=1]="Line",e[e.Block=2]="Block",e[e.Underline=3]="Underline",e[e.LineThin=4]="LineThin",e[e.BlockOutline=5]="BlockOutline",e[e.UnderlineThin=6]="UnderlineThin"})(J=t.TextEditorCursorStyle||(t.TextEditorCursorStyle={}));var G;(function(e){e[e.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",e[e.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",e[e.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",e[e.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(G=t.TrackedRangeStickiness||(t.TrackedRangeStickiness={}));var x;(function(e){e[e.None=0]="None",e[e.Same=1]="Same",e[e.Indent=2]="Indent",e[e.DeepIndent=3]="DeepIndent"})(x=t.WrappingIndent||(t.WrappingIndent={}))}),z(V[31],Q([0,1,21,10,17,14,3,6,24,25,30]),function(I,t,M,U,C,u,b,l,o,a,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createMonacoBaseAPI=t.KeyMod=void 0;class w{static chord(d,A){return C.KeyChord(d,A)}}t.KeyMod=w,w.CtrlCmd=2048,w.Shift=1024,w.Alt=512,w.WinCtrl=256;function g(){return{editor:void 0,languages:void 0,CancellationTokenSource:M.CancellationTokenSource,Emitter:U.Emitter,KeyCode:L.KeyCode,KeyMod:w,Position:b.Position,Range:l.Range,Selection:o.Selection,SelectionDirection:L.SelectionDirection,MarkerSeverity:L.MarkerSeverity,MarkerTag:L.MarkerTag,Uri:u.URI,Token:a.Token}}t.createMonacoBaseAPI=g}),z(V[32],Q([0,1,13]),function(I,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.PrefixSumComputer=t.PrefixSumIndexOfResult=void 0;class U{constructor(b,l){this._prefixSumIndexOfResultBrand=void 0,this.index=b,this.remainder=l}}t.PrefixSumIndexOfResult=U;class C{constructor(b){this.values=b,this.prefixSum=new Uint32Array(b.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}getCount(){return this.values.length}insertValues(b,l){b=M.toUint32(b);const o=this.values,a=this.prefixSum,L=l.length;return L===0?!1:(this.values=new Uint32Array(o.length+L),this.values.set(o.subarray(0,b),0),this.values.set(o.subarray(b),b+L),this.values.set(l,b),b-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=b-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(a.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}changeValue(b,l){return b=M.toUint32(b),l=M.toUint32(l),this.values[b]===l?!1:(this.values[b]=l,b-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=b-1),!0)}removeValues(b,l){b=M.toUint32(b),l=M.toUint32(l);const o=this.values,a=this.prefixSum;if(b>=o.length)return!1;let L=o.length-b;return l>=L&&(l=L),l===0?!1:(this.values=new Uint32Array(o.length-l),this.values.set(o.subarray(0,b),0),this.values.set(o.subarray(b+l),b),this.prefixSum=new Uint32Array(this.values.length),b-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=b-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(a.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalSum(){return this.values.length===0?0:this._getPrefixSum(this.values.length-1)}getPrefixSum(b){return b<0?0:(b=M.toUint32(b),this._getPrefixSum(b))}_getPrefixSum(b){if(b<=this.prefixSumValidIndex[0])return this.prefixSum[b];let l=this.prefixSumValidIndex[0]+1;l===0&&(this.prefixSum[0]=this.values[0],l++),b>=this.values.length&&(b=this.values.length-1);for(let o=l;o<=b;o++)this.prefixSum[o]=this.prefixSum[o-1]+this.values[o];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],b),this.prefixSum[b]}getIndexOf(b){b=Math.floor(b),this.getTotalSum();let l=0,o=this.values.length-1,a=0,L=0,w=0;for(;l<=o;)if(a=l+(o-l)/2|0,L=this.prefixSum[a],w=L-this.values[a],b<w)o=a-1;else if(b>=L)l=a+1;else break;return new U(a,b-w)}}t.PrefixSumComputer=C}),z(V[33],Q([0,1,5,3,32]),function(I,t,M,U,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.MirrorTextModel=void 0;class u{constructor(l,o,a,L){this._uri=l,this._lines=o,this._eol=a,this._versionId=L,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(l){l.eol&&l.eol!==this._eol&&(this._eol=l.eol,this._lineStarts=null);const o=l.changes;for(const a of o)this._acceptDeleteRange(a.range),this._acceptInsertText(new U.Position(a.range.startLineNumber,a.range.startColumn),a.text);this._versionId=l.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const l=this._eol.length,o=this._lines.length,a=new Uint32Array(o);for(let L=0;L<o;L++)a[L]=this._lines[L].length+l;this._lineStarts=new C.PrefixSumComputer(a)}}_setLineText(l,o){this._lines[l]=o,this._lineStarts&&this._lineStarts.changeValue(l,this._lines[l].length+this._eol.length)}_acceptDeleteRange(l){if(l.startLineNumber===l.endLineNumber){if(l.startColumn===l.endColumn)return;this._setLineText(l.startLineNumber-1,this._lines[l.startLineNumber-1].substring(0,l.startColumn-1)+this._lines[l.startLineNumber-1].substring(l.endColumn-1));return}this._setLineText(l.startLineNumber-1,this._lines[l.startLineNumber-1].substring(0,l.startColumn-1)+this._lines[l.endLineNumber-1].substring(l.endColumn-1)),this._lines.splice(l.startLineNumber,l.endLineNumber-l.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(l.startLineNumber,l.endLineNumber-l.startLineNumber)}_acceptInsertText(l,o){if(o.length===0)return;let a=M.splitLines(o);if(a.length===1){this._setLineText(l.lineNumber-1,this._lines[l.lineNumber-1].substring(0,l.column-1)+a[0]+this._lines[l.lineNumber-1].substring(l.column-1));return}a[a.length-1]+=this._lines[l.lineNumber-1].substring(l.column-1),this._setLineText(l.lineNumber-1,this._lines[l.lineNumber-1].substring(0,l.column-1)+a[0]);let L=new Uint32Array(a.length-1);for(let w=1;w<a.length;w++)this._lines.splice(l.lineNumber+w-1,0,a[w]),L[w-1]=a[w].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(l.lineNumber,L)}}t.MirrorTextModel=u}),z(V[35],Q([0,1,11,2,14,3,6,26,33,27,28,29,31,12,9]),function(I,t,M,U,C,u,b,l,o,a,L,w,g,c,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.create=t.EditorSimpleWorker=void 0;class A extends o.MirrorTextModel{get uri(){return this._uri}get eol(){return this._eol}getValue(){return this.getText()}getLinesContent(){return this._lines.slice(0)}getLineCount(){return this._lines.length}getLineContent(i){return this._lines[i-1]}getWordAtPosition(i,r){let s=a.getWordAtText(i.column,a.ensureValidWordDefinition(r),this._lines[i.lineNumber-1],0);return s?new b.Range(i.lineNumber,s.startColumn,i.lineNumber,s.endColumn):null}getWordUntilPosition(i,r){const s=this.getWordAtPosition(i,r);return s?{word:this._lines[i.lineNumber-1].substring(s.startColumn-1,i.column-1),startColumn:s.startColumn,endColumn:i.column}:{word:"",startColumn:i.column,endColumn:i.column}}words(i){const r=this._lines,s=this._wordenize.bind(this);let h=0,m="",f=0,v=[];return{*[Symbol.iterator](){for(;;)if(f<v.length){const N=m.substring(v[f].start,v[f].end);f+=1,yield N}else if(h<r.length)m=r[h],v=s(m,i),f=0,h+=1;else break}}}getLineWords(i,r){let s=this._lines[i-1],h=this._wordenize(s,r),m=[];for(const f of h)m.push({word:s.substring(f.start,f.end),startColumn:f.start+1,endColumn:f.end+1});return m}_wordenize(i,r){const s=[];let h;for(r.lastIndex=0;(h=r.exec(i))&&h[0].length!==0;)s.push({start:h.index,end:h.index+h[0].length});return s}getValueInRange(i){if(i=this._validateRange(i),i.startLineNumber===i.endLineNumber)return this._lines[i.startLineNumber-1].substring(i.startColumn-1,i.endColumn-1);let r=this._eol,s=i.startLineNumber-1,h=i.endLineNumber-1,m=[];m.push(this._lines[s].substring(i.startColumn-1));for(let f=s+1;f<h;f++)m.push(this._lines[f]);return m.push(this._lines[h].substring(0,i.endColumn-1)),m.join(r)}offsetAt(i){return i=this._validatePosition(i),this._ensureLineStarts(),this._lineStarts.getPrefixSum(i.lineNumber-2)+(i.column-1)}positionAt(i){i=Math.floor(i),i=Math.max(0,i),this._ensureLineStarts();let r=this._lineStarts.getIndexOf(i),s=this._lines[r.index].length;return{lineNumber:1+r.index,column:1+Math.min(r.remainder,s)}}_validateRange(i){const r=this._validatePosition({lineNumber:i.startLineNumber,column:i.startColumn}),s=this._validatePosition({lineNumber:i.endLineNumber,column:i.endColumn});return r.lineNumber!==i.startLineNumber||r.column!==i.startColumn||s.lineNumber!==i.endLineNumber||s.column!==i.endColumn?{startLineNumber:r.lineNumber,startColumn:r.column,endLineNumber:s.lineNumber,endColumn:s.column}:i}_validatePosition(i){if(!u.Position.isIPosition(i))throw new Error("bad position");let{lineNumber:r,column:s}=i,h=!1;if(r<1)r=1,s=1,h=!0;else if(r>this._lines.length)r=this._lines.length,s=this._lines[r-1].length+1,h=!0;else{let m=this._lines[r-1].length+1;s<1?(s=1,h=!0):s>m&&(s=m,h=!0)}return h?{lineNumber:r,column:s}:i}}class E{constructor(i,r){this._host=i,this._models=Object.create(null),this._foreignModuleFactory=r,this._foreignModule=null}dispose(){this._models=Object.create(null)}_getModel(i){return this._models[i]}_getModels(){let i=[];return Object.keys(this._models).forEach(r=>i.push(this._models[r])),i}acceptNewModel(i){this._models[i.url]=new A(C.URI.parse(i.url),i.lines,i.EOL,i.versionId)}acceptModelChanged(i,r){if(!this._models[i])return;this._models[i].onEvents(r)}acceptRemovedModel(i){!this._models[i]||delete this._models[i]}async computeDiff(i,r,s,h){const m=this._getModel(i),f=this._getModel(r);if(!m||!f)return null;const v=m.getLinesContent(),N=f.getLinesContent(),P=new l.DiffComputer(v,N,{shouldComputeCharChanges:!0,shouldPostProcessCharChanges:!0,shouldIgnoreTrimWhitespace:s,shouldMakePrettyDiff:!0,maxComputationTime:h}).computeDiff(),R=P.changes.length>0?!1:this._modelsAreIdentical(m,f);return{quitEarly:P.quitEarly,identical:R,changes:P.changes}}_modelsAreIdentical(i,r){const s=i.getLineCount(),h=r.getLineCount();if(s!==h)return!1;for(let m=1;m<=s;m++){const f=i.getLineContent(m),v=r.getLineContent(m);if(f!==v)return!1}return!0}async computeDirtyDiff(i,r,s){let h=this._getModel(i),m=this._getModel(r);if(!h||!m)return null;let f=h.getLinesContent(),v=m.getLinesContent();return new l.DiffComputer(f,v,{shouldComputeCharChanges:!1,shouldPostProcessCharChanges:!1,shouldIgnoreTrimWhitespace:s,shouldMakePrettyDiff:!0,maxComputationTime:1e3}).computeDiff().changes}async computeMoreMinimalEdits(i,r){const s=this._getModel(i);if(!s)return r;const h=[];let m;r=r.slice(0).sort((f,v)=>{if(f.range&&v.range)return b.Range.compareRangesUsingStarts(f.range,v.range);let N=f.range?0:1,p=v.range?0:1;return N-p});for(let{range:f,text:v,eol:N}of r){if(typeof N=="number"&&(m=N),b.Range.isEmpty(f)&&!v)continue;const p=s.getValueInRange(f);if(v=v.replace(/\r\n|\n|\r/g,s.eol),p===v)continue;if(Math.max(v.length,p.length)>E._diffLimit){h.push({range:f,text:v});continue}const P=M.stringDiff(p,v,!1),R=s.offsetAt(b.Range.lift(f).getStartPosition());for(const F of P){const W=s.positionAt(R+F.originalStart),O=s.positionAt(R+F.originalStart+F.originalLength),j={text:v.substr(F.modifiedStart,F.modifiedLength),range:{startLineNumber:W.lineNumber,startColumn:W.column,endLineNumber:O.lineNumber,endColumn:O.column}};s.getValueInRange(j.range)!==j.text&&h.push(j)}}return typeof m=="number"&&h.push({eol:m,text:"",range:{startLineNumber:0,startColumn:0,endLineNumber:0,endColumn:0}}),h}async computeLinks(i){let r=this._getModel(i);return r?L.computeLinks(r):null}async textualSuggest(i,r,s,h){const m=new d.StopWatch(!0),f=new RegExp(s,h),v=new Set;e:for(let N of i){const p=this._getModel(N);if(!!p){for(let P of p.words(f))if(!(P===r||!isNaN(Number(P)))&&(v.add(P),v.size>E._suggestionsLimit))break e}}return{words:Array.from(v),duration:m.elapsed()}}async computeWordRanges(i,r,s,h){let m=this._getModel(i);if(!m)return Object.create(null);const f=new RegExp(s,h),v=Object.create(null);for(let N=r.startLineNumber;N<r.endLineNumber;N++){let p=m.getLineWords(N,f);for(const P of p){if(!isNaN(Number(P.word)))continue;let R=v[P.word];R||(R=[],v[P.word]=R),R.push({startLineNumber:N,startColumn:P.startColumn,endLineNumber:N,endColumn:P.endColumn})}}return v}async navigateValueSet(i,r,s,h,m){let f=this._getModel(i);if(!f)return null;let v=new RegExp(h,m);r.startColumn===r.endColumn&&(r={startLineNumber:r.startLineNumber,startColumn:r.startColumn,endLineNumber:r.endLineNumber,endColumn:r.endColumn+1});let N=f.getValueInRange(r),p=f.getWordAtPosition({lineNumber:r.startLineNumber,column:r.startColumn},v);if(!p)return null;let P=f.getValueInRange(p);return w.BasicInplaceReplace.INSTANCE.navigateValueSet(r,N,p,P,s)}loadForeignModule(i,r,s){const h=(v,N)=>this._host.fhr(v,N);let f={host:c.createProxyObject(s,h),getMirrorModels:()=>this._getModels()};return this._foreignModuleFactory?(this._foreignModule=this._foreignModuleFactory(f,r),Promise.resolve(c.getAllMethodNames(this._foreignModule))):new Promise((v,N)=>{I([i],p=>{this._foreignModule=p.create(f,r),v(c.getAllMethodNames(this._foreignModule))},N)})}fmr(i,r){if(!this._foreignModule||typeof this._foreignModule[i]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+i));try{return Promise.resolve(this._foreignModule[i].apply(this._foreignModule,r))}catch(s){return Promise.reject(s)}}}t.EditorSimpleWorker=E,E._diffLimit=1e5,E._suggestionsLimit=1e4;function S(n){return new E(n,null)}t.create=S,typeof importScripts=="function"&&(U.globals.monaco=g.createMonacoBaseAPI())}),function(){const I=self.MonacoEnvironment,t=I&&I.baseUrl?I.baseUrl:"../../../",M=typeof self.trustedTypes?.createPolicy=="function"?self.trustedTypes?.createPolicy("amdLoader",{createScriptURL:l=>l,createScript:(l,...o)=>{const a=o.slice(0,-1).join(","),L=o.pop().toString();return`(function anonymous(${a}) {
${L}
})`}}):void 0;function U(){return new Promise((l,o)=>{if(typeof self.define=="function"&&self.define.amd)return l();const a=t+"vs/loader.js";if(!(/^((http:)|(https:)|(file:))/.test(a)&&a.substring(0,self.origin.length)!==self.origin)){fetch(a).then(w=>{if(w.status!==200)throw new Error(w.statusText);return w.text()}).then(w=>{w=`${w}
//# sourceURL=${a}`,(M?self.eval(M.createScript("",w)):new Function(w)).call(self),l()}).then(void 0,o);return}M?importScripts(M.createScriptURL(a)):importScripts(a),l()})}const C=function(l){U().then(()=>{require.config({baseUrl:t,catchError:!0,trustedTypesPolicy:M}),require([l],function(o){setTimeout(function(){let a=o.create((L,w)=>{self.postMessage(L,w)},null);for(self.onmessage=L=>a.onmessage(L.data);b.length>0;)self.onmessage(b.shift())},0)})})};let u=!0,b=[];self.onmessage=l=>{if(!u){b.push(l);return}u=!1,C(l.data)}}()}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/c3f126316369cd610563c75b1b1725e0679adfb3/core/vs/base/worker/workerMain.js.map
