/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var J=["require","exports","vs/base/common/lifecycle","vs/base/common/platform","vs/platform/instantiation/common/instantiation","vs/base/common/event","vs/platform/log/common/log","vs/base/common/uri","vs/base/common/path","vs/base/common/async","vs/base/common/network","vs/nls!vs/code/electron-main/main","vs/nls","vs/base/common/types","electron","vs/base/common/resources","vs/base/common/errors","vs/base/common/buffer","vs/base/node/pfs","vs/platform/files/common/files","vs/platform/product/common/productService","vs/platform/configuration/common/configuration","vs/platform/lifecycle/electron-main/lifecycleMainService","vs/base/common/strings","vs/platform/environment/electron-main/environmentMainService","vs/base/common/cancellation","os","vs/platform/workspaces/common/workspaces","vs/base/common/uuid","fs","vs/base/common/extpath","vs/base/common/labels","vs/platform/telemetry/common/telemetry","vs/base/common/process","vs/base/parts/ipc/common/ipc","vs/platform/windows/electron-main/windows","vs/base/common/arrays","vs/base/common/map","vs/platform/registry/common/platform","vs/platform/state/electron-main/state","vs/base/common/json","child_process","vs/platform/update/common/update","vs/base/common/functional","vs/base/common/objects","vs/platform/workspaces/electron-main/workspacesManagementMainService","vs/platform/native/electron-main/nativeHostMainService","vs/base/common/decorators","vs/platform/environment/common/environment","vs/platform/product/common/product","vs/platform/configuration/common/configurationRegistry","vs/platform/request/common/request","vs/platform/backup/electron-main/backup","vs/platform/dialogs/electron-main/dialogMainService","vs/platform/environment/node/argvHelper","vs/platform/protocol/electron-main/protocol","vs/base/parts/ipc/node/ipc.net","vs/base/common/keyCodes","crypto","net","vs/platform/theme/electron-main/themeMainService","vs/platform/windows/common/windows","vs/platform/workspaces/electron-main/workspacesHistoryMainService","vs/base/common/iterator","vs/base/common/stream","vs/base/common/normalization","vs/base/node/id","vs/base/common/errorMessage","vs/base/node/processes","vs/platform/instantiation/common/descriptors","vs/platform/diagnostics/common/diagnostics","vs/platform/instantiation/common/serviceCollection","vs/base/common/performance","vs/platform/remote/common/remoteHosts","vs/platform/remote/common/tunnel","vs/platform/sign/common/sign","vs/platform/webview/common/webviewManagerService","vs/platform/update/electron-main/abstractUpdateService","vs/base/common/jsonEdit","vs/base/common/scanCode","vs/base/common/hash","vs/base/node/decoder","vs/base/node/extpath","vs/base/node/ps","vs/base/parts/ipc/common/ipc.net","vs/base/parts/ipc/electron-main/ipc.mp","vs/base/parts/storage/common/storage","vs/base/parts/ipc/node/ipc.cp","vs/platform/environment/node/argv","vs/platform/encryption/electron-main/encryptionMainService","vs/platform/externalTerminal/common/externalTerminal","vs/platform/environment/node/shellEnv","vs/platform/files/node/watcher/watcher","vs/platform/log/common/bufferLog","vs/platform/log/node/spdlogLog","vs/platform/files/common/io","vs/platform/storage/common/storage","vs/platform/telemetry/common/telemetryUtils","vs/platform/url/common/url","vs/platform/storage/electron-main/storageMainService","vs/platform/windows/electron-main/windowsFinder","vs/platform/workspaces/electron-main/workspaces","vs/platform/launch/electron-main/launchMainService","vs/base/common/assert","vs/base/common/jsonFormatter","vs/base/common/linkedList","vs/base/common/processes","vs/base/common/keybindingParser","vs/base/common/stopwatch","vs/base/common/codicons","vs/base/common/console","vs/base/common/marshalling","vs/base/common/glob","vs/base/node/crypto","vs/base/node/macAddress","util","vs/base/node/ports","vs/base/node/powershell","vs/base/node/watcher","vs/base/parts/contextmenu/common/contextmenu","vs/base/parts/contextmenu/electron-main/contextmenu","vs/base/parts/ipc/common/ipc.electron","vs/base/parts/ipc/common/ipc.mp","vs/base/parts/ipc/electron-main/ipc.electron","vs/base/parts/storage/node/storage","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/keybindingLabels","vs/base/common/keybindingLabels","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/nls!vs/code/electron-main/app","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/dialogs/electron-main/dialogMainService","vs/nls!vs/platform/environment/node/argv","vs/nls!vs/platform/environment/node/argvHelper","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/externalTerminal/node/externalTerminalService","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/issue/electron-main/issueMainService","vs/nls!vs/platform/menubar/electron-main/menubar","vs/nls!vs/platform/native/electron-main/nativeHostMainService","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/update/common/update.config.contribution","vs/nls!vs/platform/windows/electron-main/window","vs/nls!vs/platform/windows/electron-main/windowsMainService","vs/nls!vs/platform/workspaces/common/workspaces","vs/nls!vs/platform/workspaces/electron-main/workspacesHistoryMainService","vs/nls!vs/platform/workspaces/electron-main/workspacesManagementMainService","vs/platform/debug/common/extensionHostDebugIpc","vs/platform/driver/common/driverIpc","vs/platform/environment/common/environmentService","vs/platform/debug/electron-main/extensionHostDebugIpc","vs/platform/environment/node/userDataPath","path","vs/platform/environment/node/environmentService","vs/platform/environment/node/wait","vs/platform/extensions/common/extensionValidator","vs/platform/files/node/watcher/nsfw/watcherService","vs/platform/files/node/watcher/unix/watcherService","vs/platform/files/node/watcher/win32/csharpWatcherService","vs/platform/files/node/watcher/win32/watcherService","vs/platform/instantiation/common/graph","vs/platform/extensionManagement/common/extensionManagement","vs/platform/extensionManagement/common/extensionUrlTrust","vs/platform/extensions/common/extensions","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/externalTerminal/node/externalTerminalService","vs/platform/files/node/watcher/nodejs/watcherService","vs/platform/instantiation/common/instantiationService","vs/platform/keybinding/common/baseResolvedKeybinding","vs/platform/keybinding/common/usLayoutResolvedKeybinding","vs/platform/lifecycle/common/lifecycle","vs/platform/configuration/common/userConfigurationFileService","vs/platform/log/common/fileLog","vs/platform/log/common/logIpc","vs/platform/log/node/loggerService","vs/platform/menubar/common/menubar","vs/platform/files/common/fileService","vs/platform/files/node/diskFileSystemProvider","vs/platform/extensionManagement/node/extensionUrlTrustService","vs/platform/protocol/electron-main/protocolMainService","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteAgentConnection","vs/platform/request/node/proxy","url","vs/platform/serviceMachineId/common/serviceMachineId","vs/platform/sign/node/signService","vs/platform/keyboardLayout/electron-main/keyboardLayoutMainService","vs/platform/telemetry/common/commonProperties","vs/platform/diagnostics/node/diagnosticsService","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/telemetry/common/telemetryIpc","vs/platform/telemetry/common/telemetryService","vs/platform/theme/common/theme","vs/platform/theme/common/themeService","vs/platform/update/common/update.config.contribution","vs/platform/update/common/updateIpc","vs/platform/url/common/urlIpc","vs/platform/url/common/urlService","vs/platform/url/electron-main/electronUrlListener","vs/platform/webview/electron-main/webviewProtocolProvider","vs/platform/webview/electron-main/webviewMainService","vs/platform/windows/node/windowTracker","vs/platform/workspace/common/workspace","vs/platform/storage/electron-main/storageIpc","vs/platform/storage/electron-main/storageMain","vs/platform/windows/electron-main/windowsStateHandler","zlib","vs/platform/driver/node/driver","vs/platform/backup/electron-main/backupMainService","vs/platform/remote/node/nodeSocketFactory","vs/platform/remote/node/tunnelService","vs/platform/request/node/requestService","vs/platform/request/electron-main/requestMainService","vs/platform/sharedProcess/electron-main/sharedProcess","vs/platform/state/electron-main/stateMainService","vs/platform/update/electron-main/updateService.darwin","vs/platform/update/electron-main/updateService.snap","vs/code/electron-main/auth","vs/platform/driver/electron-main/driver","vs/platform/issue/electron-main/issueMainService","vs/platform/update/electron-main/updateService.linux","vs/platform/update/electron-main/updateService.win32","vs/platform/windows/electron-main/window","vs/platform/menubar/electron-main/menubar","vs/platform/menubar/electron-main/menubarMainService","vs/platform/windows/electron-main/windowsMainService","vs/platform/workspaces/electron-main/workspacesMainService","vs/code/electron-main/app","string_decoder","minimist","assert","vs/code/electron-main/main"],Z=function(j){for(var e=[],g=0,M=j.length;g<M;g++)e[g]=J[j[g]];return e};define(J[103],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function g(M,D){if(!M)throw new Error(D?`Assertion failed (${D})`:"Assertion Failed")}e.ok=g}),define(J[47],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function g(E){return(n,w,v)=>{let i=null,b=null;if(typeof v.value=="function"?(i="value",b=v.value):typeof v.get=="function"&&(i="get",b=v.get),!b)throw new Error("not supported");v[i]=E(b,w)}}e.createDecorator=g;function M(E,n,w){let v=null,i=null;if(typeof w.value=="function"?(v="value",i=w.value,i.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof w.get=="function"&&(v="get",i=w.get),!i)throw new Error("not supported");const b=`$memoize$${n}`;w[v]=function(...P){return this.hasOwnProperty(b)||Object.defineProperty(this,b,{configurable:!1,enumerable:!1,writable:!1,value:i.apply(this,P)}),this[b]}}e.memoize=M;function D(E,n,w){return g((v,i)=>{const b=`$debounce$${i}`,P=`$debounce$result$${i}`;return function(...y){this[P]||(this[P]=w?w():void 0),clearTimeout(this[b]),n&&(this[P]=n(this[P],...y),y=[this[P]]),this[b]=setTimeout(()=>{v.apply(this,y),this[P]=w?w():void 0},E)}})}e.debounce=D;function S(E,n,w){return g((v,i)=>{const b=`$throttle$timer$${i}`,P=`$throttle$result$${i}`,y=`$throttle$lastRun$${i}`,d=`$throttle$pending$${i}`;return function(...m){if(this[P]||(this[P]=w?w():void 0),(this[y]===null||this[y]===void 0)&&(this[y]=-Number.MAX_VALUE),n&&(this[P]=n(this[P],...m)),this[d])return;const k=this[y]+E;k<=Date.now()?(this[y]=Date.now(),v.apply(this,[this[P]]),this[P]=w?w():void 0):(this[d]=!0,this[b]=setTimeout(()=>{this[d]=!1,this[y]=Date.now(),v.apply(this,[this[P]]),this[P]=w?w():void 0},k-Date.now()))}})}e.throttle=S}),define(J[16],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class g{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(t){setTimeout(()=>{throw t.stack?new Error(t.message+`

`+t.stack):t},0)}}addListener(t){return this.listeners.push(t),()=>{this._removeListener(t)}}emit(t){this.listeners.forEach(s=>{s(t)})}_removeListener(t){this.listeners.splice(this.listeners.indexOf(t),1)}setUnexpectedErrorHandler(t){this.unexpectedErrorHandler=t}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(t){this.unexpectedErrorHandler(t),this.emit(t)}onUnexpectedExternalError(t){this.unexpectedErrorHandler(t)}}e.ErrorHandler=g,e.errorHandler=new g;function M(c){e.errorHandler.setUnexpectedErrorHandler(c)}e.setUnexpectedErrorHandler=M;function D(c){w(c)||e.errorHandler.onUnexpectedError(c)}e.onUnexpectedError=D;function S(c){w(c)||e.errorHandler.onUnexpectedExternalError(c)}e.onUnexpectedExternalError=S;function E(c){if(c instanceof Error){let{name:t,message:s}=c;const r=c.stacktrace||c.stack;return{$isError:!0,name:t,message:s,stack:r}}return c}e.transformErrorForSerialization=E;const n="Canceled";function w(c){return c instanceof Error&&c.name===n&&c.message===n}e.isPromiseCanceledError=w;class v extends Error{constructor(){super(n);this.name=this.message}}e.CancellationError=v;function i(){const c=new Error(n);return c.name=c.message,c}e.canceled=i;function b(c){return c?new Error(`Illegal argument: ${c}`):new Error("Illegal argument")}e.illegalArgument=b;function P(c){return c?new Error(`Illegal state: ${c}`):new Error("Illegal state")}e.illegalState=P;function y(c){return c?new Error(`readonly property '${c} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=y;function d(c){const t=new Error(`${c} has been disposed`);return t.name="DISPOSED",t}e.disposed=d;function m(c){return c?c.message?c.message:c.stack?c.stack.split(`
`)[0]:String(c):"Error"}e.getErrorMessage=m;class k extends Error{constructor(t){super("NotImplemented");t&&(this.message=t)}}e.NotImplementedError=k;class I extends Error{constructor(t){super("NotSupported");t&&(this.message=t)}}e.NotSupportedError=I;class l extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=l;function h(c){const t=c;return t instanceof Error&&Array.isArray(t.actions)}e.isErrorWithActions=h;function o(c,t=Object.create(null)){const s=new Error(c);return t.actions&&(s.actions=t.actions),s}e.createErrorWithActions=o}),define(J[36],Z([0,1,16]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ArrayQueue=e.maxIndex=e.minIndex=e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.uniqueFilter=e.distinctES6=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function M(F,R=0){return F[F.length-(1+R)]}e.tail=M;function D(F){if(F.length===0)throw new Error("Invalid tail call");return[F.slice(0,F.length-1),F[F.length-1]]}e.tail2=D;function S(F,R,_=(O,A)=>O===A){if(F===R)return!0;if(!F||!R||F.length!==R.length)return!1;for(let O=0,A=F.length;O<A;O++)if(!_(F[O],R[O]))return!1;return!0}e.equals=S;function E(F,R,_){let O=0,A=F.length-1;for(;O<=A;){const z=(O+A)/2|0,K=_(F[z],R);if(K<0)O=z+1;else if(K>0)A=z-1;else return z}return-(O+1)}e.binarySearch=E;function n(F,R){let _=0,O=F.length;if(O===0)return 0;for(;_<O;){const A=Math.floor((_+O)/2);R(F[A])?O=A:_=A+1}return _}e.findFirstInSorted=n;function w(F,R,_){if(F=F|0,F>=R.length)throw new TypeError("invalid index");let O=R[Math.floor(R.length*Math.random())],A=[],z=[],K=[];for(let Y of R){const G=_(Y,O);G<0?A.push(Y):G>0?z.push(Y):K.push(Y)}return F<A.length?w(F,A,_):F<A.length+K.length?K[0]:w(F-(A.length+K.length),z,_)}e.quickSelect=w;function v(F,R){const _=[];let O;for(const A of F.slice(0).sort(R))!O||R(O[0],A)!==0?(O=[A],_.push(O)):O.push(A);return _}e.groupBy=v;function i(F,R,_){const O=[];function A(Y,G,X){if(G===0&&X.length===0)return;const ne=O[O.length-1];ne&&ne.start+ne.deleteCount===Y?(ne.deleteCount+=G,ne.toInsert.push(...X)):O.push({start:Y,deleteCount:G,toInsert:X})}let z=0,K=0;for(;;){if(z===F.length){A(z,0,R.slice(K));break}if(K===R.length){A(z,F.length-z,[]);break}const Y=F[z],G=R[K],X=_(Y,G);X===0?(z+=1,K+=1):X<0?(A(z,1,[]),z+=1):X>0&&(A(z,0,[G]),K+=1)}return O}e.sortedDiff=i;function b(F,R,_){const O=i(F,R,_),A=[],z=[];for(const K of O)A.push(...F.slice(K.start,K.start+K.deleteCount)),z.push(...K.toInsert);return{removed:A,added:z}}e.delta=b;function P(F,R,_){if(_===0)return[];const O=F.slice(0,_).sort(R);return d(F,R,O,_,F.length),O}e.top=P;function y(F,R,_,O,A){return _===0?Promise.resolve([]):new Promise((z,K)=>{(async()=>{const Y=F.length,G=F.slice(0,_).sort(R);for(let X=_,ne=Math.min(_+O,Y);X<Y;X=ne,ne=Math.min(ne+O,Y)){if(X>_&&await new Promise(se=>setTimeout(se)),A&&A.isCancellationRequested)throw g.canceled();d(F,R,G,X,ne)}return G})().then(z,K)})}e.topAsync=y;function d(F,R,_,O,A){for(const z=_.length;O<A;O++){const K=F[O];if(R(K,_[z-1])<0){_.pop();const Y=n(_,G=>R(K,G)<0);_.splice(Y,0,K)}}}function m(F){return F.filter(R=>!!R)}e.coalesce=m;function k(F){let R=0;for(let _=0;_<F.length;_++)F[_]&&(F[R]=F[_],R+=1);F.length=R}e.coalesceInPlace=k;function I(F,R,_){F.splice(_,0,F.splice(R,1)[0])}e.move=I;function l(F){return!Array.isArray(F)||F.length===0}e.isFalsyOrEmpty=l;function h(F){return Array.isArray(F)&&F.length>0}e.isNonEmptyArray=h;function o(F,R){if(!R)return F.filter((O,A)=>F.indexOf(O)===A);const _=Object.create(null);return F.filter(O=>{const A=R(O);return _[A]?!1:(_[A]=!0,!0)})}e.distinct=o;function c(F){const R=new Set;return F.filter(_=>R.has(_)?!1:(R.add(_),!0))}e.distinctES6=c;function t(F){const R=Object.create(null);return _=>{const O=F(_);return R[O]?!1:(R[O]=!0,!0)}}e.uniqueFilter=t;function s(F,R){for(let _=F.length-1;_>=0;_--){const O=F[_];if(R(O))return _}return-1}e.lastIndex=s;function r(F,R){return F.length>0?F[0]:R}e.firstOrDefault=r;function a(F,R,_=(O,A)=>O===A){let O=0;for(let A=0,z=Math.min(F.length,R.length);A<z&&_(F[A],R[A]);A++)O++;return O}e.commonPrefixLength=a;function u(F){return[].concat(...F)}e.flatten=u;function p(F,R){let _=typeof R=="number"?F:0;typeof R=="number"?_=F:(_=0,R=F);const O=[];if(_<=R)for(let A=_;A<R;A++)O.push(A);else for(let A=_;A>R;A--)O.push(A);return O}e.range=p;function f(F,R,_){return F.reduce((O,A)=>(O[R(A)]=_?_(A):A,O),Object.create(null))}e.index=f;function L(F,R){return F.push(R),()=>T(F,R)}e.insert=L;function T(F,R){const _=F.indexOf(R);if(_>-1)return F.splice(_,1),R}e.remove=T;function W(F,R,_){const O=F.slice(0,R),A=F.slice(R);return O.concat(_,A)}e.arrayInsert=W;function N(F,R){let _;if(typeof R=="number"){let O=R;_=()=>{const A=Math.sin(O++)*179426549;return A-Math.floor(A)}}else _=Math.random;for(let O=F.length-1;O>0;O-=1){const A=Math.floor(_()*(O+1)),z=F[O];F[O]=F[A],F[A]=z}}e.shuffle=N;function V(F,R){const _=F.indexOf(R);_>-1&&(F.splice(_,1),F.unshift(R))}e.pushToStart=V;function ee(F,R){const _=F.indexOf(R);_>-1&&(F.splice(_,1),F.push(R))}e.pushToEnd=ee;function q(F,R){return Array.isArray(F)?F.map(R):R(F)}e.mapArrayOrNot=q;function x(F){return Array.isArray(F)?F:[F]}e.asArray=x;function Q(F){return F[Math.floor(Math.random()*F.length)]}e.getRandomElement=Q;function C(F,R){for(const _ of F){const O=R(_);if(O!==void 0)return O}}e.mapFind=C;function B(F,R){let _=Number.MAX_SAFE_INTEGER,O=0;return F.forEach((A,z)=>{const K=R(A);K<_&&(_=K,O=z)}),O}e.minIndex=B;function U(F,R){let _=Number.MIN_SAFE_INTEGER,O=0;return F.forEach((A,z)=>{const K=R(A);K>_&&(_=K,O=z)}),O}e.maxIndex=U;class ${constructor(R){this.items=R,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(R){let _=this.firstIdx;for(;_<this.items.length&&R(this.items[_]);)_++;const O=_===this.firstIdx?null:this.items.slice(this.firstIdx,_);return this.firstIdx=_,O}takeFromEndWhile(R){let _=this.lastIdx;for(;_>=0&&R(this.items[_]);)_--;const O=_===this.lastIdx?null:this.items.slice(_+1,this.lastIdx+1);return this.lastIdx=_,O}}e.ArrayQueue=$}),define(J[43],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function g(M){const D=this;let S=!1,E;return function(){return S||(S=!0,E=M.apply(D,arguments)),E}}e.once=g}),define(J[63],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var g;(function(M){function D(c){return c&&typeof c=="object"&&typeof c[Symbol.iterator]=="function"}M.is=D;const S=Object.freeze([]);function E(){return S}M.empty=E;function*n(c){yield c}M.single=n;function w(c){return c||S}M.from=w;function v(c){return!c||c[Symbol.iterator]().next().done===!0}M.isEmpty=v;function i(c){return c[Symbol.iterator]().next().value}M.first=i;function b(c,t){for(const s of c)if(t(s))return!0;return!1}M.some=b;function P(c,t){for(const s of c)if(t(s))return s}M.find=P;function*y(c,t){for(const s of c)t(s)&&(yield s)}M.filter=y;function*d(c,t){let s=0;for(const r of c)yield t(r,s++)}M.map=d;function*m(...c){for(const t of c)for(const s of t)yield s}M.concat=m;function*k(c){for(const t of c)for(const s of t)yield s}M.concatNested=k;function I(c,t,s){let r=s;for(const a of c)r=t(r,a);return r}M.reduce=I;function*l(c,t,s=c.length){for(t<0&&(t+=c.length),s<0?s+=c.length:s>c.length&&(s=c.length);t<s;t++)yield c[t]}M.slice=l;function h(c,t=Number.POSITIVE_INFINITY){const s=[];if(t===0)return[s,c];const r=c[Symbol.iterator]();for(let a=0;a<t;a++){const u=r.next();if(u.done)return[s,M.empty()];s.push(u.value)}return[s,{[Symbol.iterator](){return r}}]}M.consume=h;function o(c,t,s=(r,a)=>r===a){const r=c[Symbol.iterator](),a=t[Symbol.iterator]();for(;;){const u=r.next(),p=a.next();if(u.done!==p.done)return!1;if(u.done)return!0;if(!s(u.value,p.value))return!1}}M.equals=o})(g=e.Iterable||(e.Iterable={}))}),define(J[40],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var g;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(g=e.ScanError||(e.ScanError={}));var M;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(M=e.SyntaxKind||(e.SyntaxKind={}));var D;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(D=e.ParseErrorCode||(e.ParseErrorCode={}));var S;(function(t){t.DEFAULT={allowTrailingComma:!0}})(S=e.ParseOptions||(e.ParseOptions={}));function E(t,s=!1){let r=0,a=t.length,u="",p=0,f=16,L=0;function T(Q){let C=0,B=0;for(;C<Q;){const U=t.charCodeAt(r);if(U>=48&&U<=57)B=B*16+U-48;else if(U>=65&&U<=70)B=B*16+U-65+10;else if(U>=97&&U<=102)B=B*16+U-97+10;else break;r++,C++}return C<Q&&(B=-1),B}function W(Q){r=Q,u="",p=0,f=16,L=0}function N(){const Q=r;if(t.charCodeAt(r)===48)r++;else for(r++;r<t.length&&v(t.charCodeAt(r));)r++;if(r<t.length&&t.charCodeAt(r)===46)if(r++,r<t.length&&v(t.charCodeAt(r)))for(r++;r<t.length&&v(t.charCodeAt(r));)r++;else return L=3,t.substring(Q,r);let C=r;if(r<t.length&&(t.charCodeAt(r)===69||t.charCodeAt(r)===101))if(r++,(r<t.length&&t.charCodeAt(r)===43||t.charCodeAt(r)===45)&&r++,r<t.length&&v(t.charCodeAt(r))){for(r++;r<t.length&&v(t.charCodeAt(r));)r++;C=r}else L=3;return t.substring(Q,C)}function V(){let Q="",C=r;for(;;){if(r>=a){Q+=t.substring(C,r),L=2;break}const B=t.charCodeAt(r);if(B===34){Q+=t.substring(C,r),r++;break}if(B===92){if(Q+=t.substring(C,r),r++,r>=a){L=2;break}switch(t.charCodeAt(r++)){case 34:Q+='"';break;case 92:Q+="\\";break;case 47:Q+="/";break;case 98:Q+="\b";break;case 102:Q+="\f";break;case 110:Q+=`
`;break;case 114:Q+="\r";break;case 116:Q+="	";break;case 117:const $=T(4);$>=0?Q+=String.fromCharCode($):L=4;break;default:L=5}C=r;continue}if(B>=0&&B<=31)if(w(B)){Q+=t.substring(C,r),L=2;break}else L=6;r++}return Q}function ee(){if(u="",L=0,p=r,r>=a)return p=a,f=17;let Q=t.charCodeAt(r);if(n(Q)){do r++,u+=String.fromCharCode(Q),Q=t.charCodeAt(r);while(n(Q));return f=15}if(w(Q))return r++,u+=String.fromCharCode(Q),Q===13&&t.charCodeAt(r)===10&&(r++,u+=`
`),f=14;switch(Q){case 123:return r++,f=1;case 125:return r++,f=2;case 91:return r++,f=3;case 93:return r++,f=4;case 58:return r++,f=6;case 44:return r++,f=5;case 34:return r++,u=V(),f=10;case 47:const C=r-1;if(t.charCodeAt(r+1)===47){for(r+=2;r<a&&!w(t.charCodeAt(r));)r++;return u=t.substring(C,r),f=12}if(t.charCodeAt(r+1)===42){r+=2;const B=a-1;let U=!1;for(;r<B;){if(t.charCodeAt(r)===42&&t.charCodeAt(r+1)===47){r+=2,U=!0;break}r++}return U||(r++,L=1),u=t.substring(C,r),f=13}return u+=String.fromCharCode(Q),r++,f=16;case 45:if(u+=String.fromCharCode(Q),r++,r===a||!v(t.charCodeAt(r)))return f=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return u+=N(),f=11;default:for(;r<a&&q(Q);)r++,Q=t.charCodeAt(r);if(p!==r){switch(u=t.substring(p,r),u){case"true":return f=8;case"false":return f=9;case"null":return f=7}return f=16}return u+=String.fromCharCode(Q),r++,f=16}}function q(Q){if(n(Q)||w(Q))return!1;switch(Q){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function x(){let Q;do Q=ee();while(Q>=12&&Q<=15);return Q}return{setPosition:W,getPosition:()=>r,scan:s?x:ee,getToken:()=>f,getTokenValue:()=>u,getTokenOffset:()=>p,getTokenLength:()=>r-p,getTokenError:()=>L}}e.createScanner=E;function n(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function w(t){return t===10||t===13||t===8232||t===8233}function v(t){return t>=48&&t<=57}var i;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(i||(i={}));function b(t,s){const r=[],a=new Object;let u;const p={value:{},offset:0,length:0,type:"object",parent:void 0};let f=!1;function L(T,W,N,V){p.value=T,p.offset=W,p.length=N,p.type=V,p.colonOffset=void 0,u=p}try{h(t,{onObjectBegin:(T,W)=>{if(s<=T)throw a;u=void 0,f=s>T,r.push("")},onObjectProperty:(T,W,N)=>{if(s<W||(L(T,W,N,"property"),r[r.length-1]=T,s<=W+N))throw a},onObjectEnd:(T,W)=>{if(s<=T)throw a;u=void 0,r.pop()},onArrayBegin:(T,W)=>{if(s<=T)throw a;u=void 0,r.push(0)},onArrayEnd:(T,W)=>{if(s<=T)throw a;u=void 0,r.pop()},onLiteralValue:(T,W,N)=>{if(s<W||(L(T,W,N,c(T)),s<=W+N))throw a},onSeparator:(T,W,N)=>{if(s<=W)throw a;if(T===":"&&u&&u.type==="property")u.colonOffset=W,f=!1,u=void 0;else if(T===","){const V=r[r.length-1];typeof V=="number"?r[r.length-1]=V+1:(f=!0,r[r.length-1]=""),u=void 0}}})}catch(T){if(T!==a)throw T}return{path:r,previousNode:u,isAtPropertyKey:f,matches:T=>{let W=0;for(let N=0;W<T.length&&N<r.length;N++)if(T[W]===r[N]||T[W]==="*")W++;else if(T[W]!=="**")return!1;return W===T.length}}}e.getLocation=b;function P(t,s=[],r=S.DEFAULT){let a=null,u=[];const p=[];function f(T){Array.isArray(u)?u.push(T):a!==null&&(u[a]=T)}return h(t,{onObjectBegin:()=>{const T={};f(T),p.push(u),u=T,a=null},onObjectProperty:T=>{a=T},onObjectEnd:()=>{u=p.pop()},onArrayBegin:()=>{const T=[];f(T),p.push(u),u=T,a=null},onArrayEnd:()=>{u=p.pop()},onLiteralValue:f,onError:(T,W,N)=>{s.push({error:T,offset:W,length:N})}},r),u[0]}e.parse=P;function y(t,s=[],r=S.DEFAULT){let a={type:"array",offset:-1,length:-1,children:[],parent:void 0};function u(T){a.type==="property"&&(a.length=T-a.offset,a=a.parent)}function p(T){return a.children.push(T),T}h(t,{onObjectBegin:T=>{a=p({type:"object",offset:T,length:-1,parent:a,children:[]})},onObjectProperty:(T,W,N)=>{a=p({type:"property",offset:W,length:-1,parent:a,children:[]}),a.children.push({type:"string",value:T,offset:W,length:N,parent:a})},onObjectEnd:(T,W)=>{a.length=T+W-a.offset,a=a.parent,u(T+W)},onArrayBegin:(T,W)=>{a=p({type:"array",offset:T,length:-1,parent:a,children:[]})},onArrayEnd:(T,W)=>{a.length=T+W-a.offset,a=a.parent,u(T+W)},onLiteralValue:(T,W,N)=>{p({type:c(T),offset:W,length:N,parent:a,value:T}),u(W+N)},onSeparator:(T,W,N)=>{a.type==="property"&&(T===":"?a.colonOffset=W:T===","&&u(W))},onError:(T,W,N)=>{s.push({error:T,offset:W,length:N})}},r);const L=a.children[0];return L&&delete L.parent,L}e.parseTree=y;function d(t,s){if(!t)return;let r=t;for(let a of s)if(typeof a=="string"){if(r.type!=="object"||!Array.isArray(r.children))return;let u=!1;for(const p of r.children)if(Array.isArray(p.children)&&p.children[0].value===a){r=p.children[1],u=!0;break}if(!u)return}else{const u=a;if(r.type!=="array"||u<0||!Array.isArray(r.children)||u>=r.children.length)return;r=r.children[u]}return r}e.findNodeAtLocation=d;function m(t){if(!t.parent||!t.parent.children)return[];const s=m(t.parent);if(t.parent.type==="property"){const r=t.parent.children[0].value;s.push(r)}else if(t.parent.type==="array"){const r=t.parent.children.indexOf(t);r!==-1&&s.push(r)}return s}e.getNodePath=m;function k(t){switch(t.type){case"array":return t.children.map(k);case"object":const s=Object.create(null);for(let r of t.children){const a=r.children[1];a&&(s[r.children[0].value]=k(a))}return s;case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.getNodeValue=k;function I(t,s,r=!1){return s>=t.offset&&s<t.offset+t.length||r&&s===t.offset+t.length}e.contains=I;function l(t,s,r=!1){if(I(t,s,r)){const a=t.children;if(Array.isArray(a))for(let u=0;u<a.length&&a[u].offset<=s;u++){const p=l(a[u],s,r);if(p)return p}return t}}e.findNodeAtOffset=l;function h(t,s,r=S.DEFAULT){const a=E(t,!1);function u(z){return z?()=>z(a.getTokenOffset(),a.getTokenLength()):()=>!0}function p(z){return z?K=>z(K,a.getTokenOffset(),a.getTokenLength()):()=>!0}const f=u(s.onObjectBegin),L=p(s.onObjectProperty),T=u(s.onObjectEnd),W=u(s.onArrayBegin),N=u(s.onArrayEnd),V=p(s.onLiteralValue),ee=p(s.onSeparator),q=u(s.onComment),x=p(s.onError),Q=r&&r.disallowComments,C=r&&r.allowTrailingComma;function B(){for(;;){const z=a.scan();switch(a.getTokenError()){case 4:U(14);break;case 5:U(15);break;case 3:U(13);break;case 1:Q||U(11);break;case 2:U(12);break;case 6:U(16);break}switch(z){case 12:case 13:Q?U(10):q();break;case 16:U(1);break;case 15:case 14:break;default:return z}}}function U(z,K=[],Y=[]){if(x(z),K.length+Y.length>0){let G=a.getToken();for(;G!==17;){if(K.indexOf(G)!==-1){B();break}else if(Y.indexOf(G)!==-1)break;G=B()}}}function $(z){const K=a.getTokenValue();return z?V(K):L(K),B(),!0}function F(){switch(a.getToken()){case 11:let z=0;try{z=JSON.parse(a.getTokenValue()),typeof z!="number"&&(U(2),z=0)}catch(K){U(2)}V(z);break;case 7:V(null);break;case 8:V(!0);break;case 9:V(!1);break;default:return!1}return B(),!0}function R(){return a.getToken()!==10?(U(3,[],[2,5]),!1):($(!1),a.getToken()===6?(ee(":"),B(),A()||U(4,[],[2,5])):U(5,[],[2,5]),!0)}function _(){f(),B();let z=!1;for(;a.getToken()!==2&&a.getToken()!==17;){if(a.getToken()===5){if(z||U(4,[],[]),ee(","),B(),a.getToken()===2&&C)break}else z&&U(6,[],[]);R()||U(4,[],[2,5]),z=!0}return T(),a.getToken()!==2?U(7,[2],[]):B(),!0}function O(){W(),B();let z=!1;for(;a.getToken()!==4&&a.getToken()!==17;){if(a.getToken()===5){if(z||U(4,[],[]),ee(","),B(),a.getToken()===4&&C)break}else z&&U(6,[],[]);A()||U(4,[],[4,5]),z=!0}return N(),a.getToken()!==4?U(8,[4],[]):B(),!0}function A(){switch(a.getToken()){case 3:return O();case 1:return _();case 10:return $(!0);default:return F()}}return B(),a.getToken()===17?r.allowEmptyContent?!0:(U(4,[],[]),!1):A()?(a.getToken()!==17&&U(9,[],[]),!0):(U(4,[],[]),!1)}e.visit=h;function o(t,s){let r=E(t),a=[],u,p=0,f;do switch(f=r.getPosition(),u=r.scan(),u){case 12:case 13:case 17:p!==f&&a.push(t.substring(p,f)),s!==void 0&&a.push(r.getTokenValue().replace(/[^\r\n]/g,s)),p=r.getPosition();break}while(u!==17);return a.join("")}e.stripComments=o;function c(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=c}),define(J[104],Z([0,1,40]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.format=void 0;function M(w,v,i){let b,P,y,d,m;if(v){for(d=v.offset,m=d+v.length,y=d;y>0&&!n(w,y-1);)y--;let p=m;for(;p<w.length&&!n(w,p);)p++;P=w.substring(y,p),b=S(P,i)}else P=w,b=0,y=0,d=0,m=w.length;const k=E(i,w);let I=!1,l=0,h;i.insertSpaces?h=D(" ",i.tabSize||4):h="	";const o=g.createScanner(P,!1);let c=!1;function t(){return k+D(h,b+l)}function s(){let p=o.scan();for(I=!1;p===15||p===14;)I=I||p===14,p=o.scan();return c=p===16||o.getTokenError()!==0,p}const r=[];function a(p,f,L){!c&&f<m&&L>d&&w.substring(f,L)!==p&&r.push({offset:f,length:L-f,content:p})}let u=s();if(u!==17){const p=o.getTokenOffset()+y,f=D(h,b);a(f,y,p)}for(;u!==17;){let p=o.getTokenOffset()+o.getTokenLength()+y,f=s(),L="";for(;!I&&(f===12||f===13);){const W=o.getTokenOffset()+y;a(" ",p,W),p=o.getTokenOffset()+o.getTokenLength()+y,L=f===12?t():"",f=s()}if(f===2)u!==1&&(l--,L=t());else if(f===4)u!==3&&(l--,L=t());else{switch(u){case 3:case 1:l++,L=t();break;case 5:case 12:L=t();break;case 13:I?L=t():L=" ";break;case 6:L=" ";break;case 10:if(f===6){L="";break}case 7:case 8:case 9:case 11:case 2:case 4:f===12||f===13?L=" ":f!==5&&f!==17&&(c=!0);break;case 16:c=!0;break}I&&(f===12||f===13)&&(L=t())}const T=o.getTokenOffset()+y;a(L,p,T),u=f}return r}e.format=M;function D(w,v){let i="";for(let b=0;b<v;b++)i+=w;return i}function S(w,v){let i=0,b=0;const P=v.tabSize||4;for(;i<w.length;){const y=w.charAt(i);if(y===" ")b++;else if(y==="	")b+=P;else break;i++}return Math.floor(b/P)}function E(w,v){for(let i=0;i<v.length;i++){const b=v.charAt(i);if(b==="\r")return i+1<v.length&&v.charAt(i+1)===`
`?`\r
`:"\r";if(b===`
`)return`
`}return w&&w.eol||`
`}e.getEOL=E;function n(w,v){return`\r
`.indexOf(w.charAt(v))!==-1}e.isEOL=n}),define(J[78],Z([0,1,40,104]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function D(v,i,b){return S(v,i,void 0,b)}e.removeProperty=D;function S(v,i,b,P,y){const d=i.slice(),m=[],k=g.parseTree(v,m);let I,l;for(;d.length>0&&(l=d.pop(),I=g.findNodeAtLocation(k,d),I===void 0&&b!==void 0);)typeof l=="string"?b={[l]:b}:b=[b];if(I)if(I.type==="object"&&typeof l=="string"&&Array.isArray(I.children)){const h=g.findNodeAtLocation(I,[l]);if(h!==void 0)if(b===void 0){if(!h.parent)throw new Error("Malformed AST");const o=I.children.indexOf(h.parent);let c,t=h.parent.offset+h.parent.length;if(o>0){const s=I.children[o-1];c=s.offset+s.length}else c=I.offset+1,I.children.length>1&&(t=I.children[1].offset);return E(v,{offset:c,length:t-c,content:""},P)}else return E(v,{offset:h.offset,length:h.length,content:JSON.stringify(b)},P);else{if(b===void 0)return[];const o=`${JSON.stringify(l)}: ${JSON.stringify(b)}`,c=y?y(I.children.map(s=>s.children[0].value)):I.children.length;let t;if(c>0){const s=I.children[c-1];t={offset:s.offset+s.length,length:0,content:","+o}}else I.children.length===0?t={offset:I.offset+1,length:0,content:o}:t={offset:I.offset+1,length:0,content:o+","};return E(v,t,P)}}else if(I.type==="array"&&typeof l=="number"&&Array.isArray(I.children))if(b!==void 0){const h=`${JSON.stringify(b)}`;let o;if(I.children.length===0||l===0)o={offset:I.offset+1,length:0,content:I.children.length===0?h:h+","};else{const c=l===-1||l>I.children.length?I.children.length:l,t=I.children[c-1];o={offset:t.offset+t.length,length:0,content:","+h}}return E(v,o,P)}else{const h=l,o=I.children[h];let c;if(I.children.length===1)c={offset:I.offset+1,length:I.length-2,content:""};else if(I.children.length-1===h){const t=I.children[h-1],s=t.offset+t.length,r=I.offset+I.length;c={offset:s,length:r-2-s,content:""}}else c={offset:o.offset,length:I.children[h+1].offset-o.offset,content:""};return E(v,c,P)}else throw new Error(`Can not add ${typeof l!="number"?"index":"property"} to parent of type ${I.type}`);else{if(b===void 0)throw new Error("Can not delete in empty document");return E(v,{offset:k?k.offset:0,length:k?k.length:0,content:JSON.stringify(b)},P)}}e.setProperty=S;function E(v,i,b){let P=n(v,i),y=i.offset,d=i.offset+i.content.length;if(i.length===0||i.content.length===0){for(;y>0&&!M.isEOL(P,y-1);)y--;for(;d<P.length&&!M.isEOL(P,d);)d++}const m=M.format(P,{offset:y,length:d-y},b);for(let I=m.length-1;I>=0;I--){const l=m[I];P=n(P,l),y=Math.min(y,l.offset),d=Math.max(d,l.offset+l.length),d+=l.content.length-l.length}const k=v.length-(P.length-d)-y;return[{offset:y,length:k,content:P.substring(y,d)}]}e.withFormatting=E;function n(v,i){return v.substring(0,i.offset)+i.content+v.substring(i.offset+i.length)}e.applyEdit=n;function w(v,i){let b=i.slice(0).sort((y,d)=>{const m=y.offset-d.offset;return m===0?y.length-d.length:m}),P=v.length;for(let y=b.length-1;y>=0;y--){let d=b[y];if(d.offset+d.length<=P)v=n(v,d);else throw new Error("Overlapping edit");P=d.offset}return v}e.applyEdits=w}),define(J[57],Z([0,1,16]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ResolvedKeybinding=e.ResolvedKeybindingPart=e.ChordKeybinding=e.SimpleKeybinding=e.createSimpleKeybinding=e.createKeybinding=e.KeyChord=e.KeyMod=e.KeyCodeUtils=e.KeyCode=void 0;var M;(function(l){l[l.DependsOnKbLayout=-1]="DependsOnKbLayout",l[l.Unknown=0]="Unknown",l[l.Backspace=1]="Backspace",l[l.Tab=2]="Tab",l[l.Enter=3]="Enter",l[l.Shift=4]="Shift",l[l.Ctrl=5]="Ctrl",l[l.Alt=6]="Alt",l[l.PauseBreak=7]="PauseBreak",l[l.CapsLock=8]="CapsLock",l[l.Escape=9]="Escape",l[l.Space=10]="Space",l[l.PageUp=11]="PageUp",l[l.PageDown=12]="PageDown",l[l.End=13]="End",l[l.Home=14]="Home",l[l.LeftArrow=15]="LeftArrow",l[l.UpArrow=16]="UpArrow",l[l.RightArrow=17]="RightArrow",l[l.DownArrow=18]="DownArrow",l[l.Insert=19]="Insert",l[l.Delete=20]="Delete",l[l.KEY_0=21]="KEY_0",l[l.KEY_1=22]="KEY_1",l[l.KEY_2=23]="KEY_2",l[l.KEY_3=24]="KEY_3",l[l.KEY_4=25]="KEY_4",l[l.KEY_5=26]="KEY_5",l[l.KEY_6=27]="KEY_6",l[l.KEY_7=28]="KEY_7",l[l.KEY_8=29]="KEY_8",l[l.KEY_9=30]="KEY_9",l[l.KEY_A=31]="KEY_A",l[l.KEY_B=32]="KEY_B",l[l.KEY_C=33]="KEY_C",l[l.KEY_D=34]="KEY_D",l[l.KEY_E=35]="KEY_E",l[l.KEY_F=36]="KEY_F",l[l.KEY_G=37]="KEY_G",l[l.KEY_H=38]="KEY_H",l[l.KEY_I=39]="KEY_I",l[l.KEY_J=40]="KEY_J",l[l.KEY_K=41]="KEY_K",l[l.KEY_L=42]="KEY_L",l[l.KEY_M=43]="KEY_M",l[l.KEY_N=44]="KEY_N",l[l.KEY_O=45]="KEY_O",l[l.KEY_P=46]="KEY_P",l[l.KEY_Q=47]="KEY_Q",l[l.KEY_R=48]="KEY_R",l[l.KEY_S=49]="KEY_S",l[l.KEY_T=50]="KEY_T",l[l.KEY_U=51]="KEY_U",l[l.KEY_V=52]="KEY_V",l[l.KEY_W=53]="KEY_W",l[l.KEY_X=54]="KEY_X",l[l.KEY_Y=55]="KEY_Y",l[l.KEY_Z=56]="KEY_Z",l[l.Meta=57]="Meta",l[l.ContextMenu=58]="ContextMenu",l[l.F1=59]="F1",l[l.F2=60]="F2",l[l.F3=61]="F3",l[l.F4=62]="F4",l[l.F5=63]="F5",l[l.F6=64]="F6",l[l.F7=65]="F7",l[l.F8=66]="F8",l[l.F9=67]="F9",l[l.F10=68]="F10",l[l.F11=69]="F11",l[l.F12=70]="F12",l[l.F13=71]="F13",l[l.F14=72]="F14",l[l.F15=73]="F15",l[l.F16=74]="F16",l[l.F17=75]="F17",l[l.F18=76]="F18",l[l.F19=77]="F19",l[l.NumLock=78]="NumLock",l[l.ScrollLock=79]="ScrollLock",l[l.US_SEMICOLON=80]="US_SEMICOLON",l[l.US_EQUAL=81]="US_EQUAL",l[l.US_COMMA=82]="US_COMMA",l[l.US_MINUS=83]="US_MINUS",l[l.US_DOT=84]="US_DOT",l[l.US_SLASH=85]="US_SLASH",l[l.US_BACKTICK=86]="US_BACKTICK",l[l.US_OPEN_SQUARE_BRACKET=87]="US_OPEN_SQUARE_BRACKET",l[l.US_BACKSLASH=88]="US_BACKSLASH",l[l.US_CLOSE_SQUARE_BRACKET=89]="US_CLOSE_SQUARE_BRACKET",l[l.US_QUOTE=90]="US_QUOTE",l[l.OEM_8=91]="OEM_8",l[l.OEM_102=92]="OEM_102",l[l.NUMPAD_0=93]="NUMPAD_0",l[l.NUMPAD_1=94]="NUMPAD_1",l[l.NUMPAD_2=95]="NUMPAD_2",l[l.NUMPAD_3=96]="NUMPAD_3",l[l.NUMPAD_4=97]="NUMPAD_4",l[l.NUMPAD_5=98]="NUMPAD_5",l[l.NUMPAD_6=99]="NUMPAD_6",l[l.NUMPAD_7=100]="NUMPAD_7",l[l.NUMPAD_8=101]="NUMPAD_8",l[l.NUMPAD_9=102]="NUMPAD_9",l[l.NUMPAD_MULTIPLY=103]="NUMPAD_MULTIPLY",l[l.NUMPAD_ADD=104]="NUMPAD_ADD",l[l.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",l[l.NUMPAD_SUBTRACT=106]="NUMPAD_SUBTRACT",l[l.NUMPAD_DECIMAL=107]="NUMPAD_DECIMAL",l[l.NUMPAD_DIVIDE=108]="NUMPAD_DIVIDE",l[l.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",l[l.ABNT_C1=110]="ABNT_C1",l[l.ABNT_C2=111]="ABNT_C2",l[l.MAX_VALUE=112]="MAX_VALUE"})(M=e.KeyCode||(e.KeyCode={}));class D{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(h,o){this._keyCodeToStr[h]=o,this._strToKeyCode[o.toLowerCase()]=h}keyCodeToStr(h){return this._keyCodeToStr[h]}strToKeyCode(h){return this._strToKeyCode[h.toLowerCase()]||0}}const S=new D,E=new D,n=new D;(function(){function l(h,o,c=o,t=c){S.define(h,o),E.define(h,c),n.define(h,t)}l(0,"unknown"),l(1,"Backspace"),l(2,"Tab"),l(3,"Enter"),l(4,"Shift"),l(5,"Ctrl"),l(6,"Alt"),l(7,"PauseBreak"),l(8,"CapsLock"),l(9,"Escape"),l(10,"Space"),l(11,"PageUp"),l(12,"PageDown"),l(13,"End"),l(14,"Home"),l(15,"LeftArrow","Left"),l(16,"UpArrow","Up"),l(17,"RightArrow","Right"),l(18,"DownArrow","Down"),l(19,"Insert"),l(20,"Delete"),l(21,"0"),l(22,"1"),l(23,"2"),l(24,"3"),l(25,"4"),l(26,"5"),l(27,"6"),l(28,"7"),l(29,"8"),l(30,"9"),l(31,"A"),l(32,"B"),l(33,"C"),l(34,"D"),l(35,"E"),l(36,"F"),l(37,"G"),l(38,"H"),l(39,"I"),l(40,"J"),l(41,"K"),l(42,"L"),l(43,"M"),l(44,"N"),l(45,"O"),l(46,"P"),l(47,"Q"),l(48,"R"),l(49,"S"),l(50,"T"),l(51,"U"),l(52,"V"),l(53,"W"),l(54,"X"),l(55,"Y"),l(56,"Z"),l(57,"Meta"),l(58,"ContextMenu"),l(59,"F1"),l(60,"F2"),l(61,"F3"),l(62,"F4"),l(63,"F5"),l(64,"F6"),l(65,"F7"),l(66,"F8"),l(67,"F9"),l(68,"F10"),l(69,"F11"),l(70,"F12"),l(71,"F13"),l(72,"F14"),l(73,"F15"),l(74,"F16"),l(75,"F17"),l(76,"F18"),l(77,"F19"),l(78,"NumLock"),l(79,"ScrollLock"),l(80,";",";","OEM_1"),l(81,"=","=","OEM_PLUS"),l(82,",",",","OEM_COMMA"),l(83,"-","-","OEM_MINUS"),l(84,".",".","OEM_PERIOD"),l(85,"/","/","OEM_2"),l(86,"`","`","OEM_3"),l(110,"ABNT_C1"),l(111,"ABNT_C2"),l(87,"[","[","OEM_4"),l(88,"\\","\\","OEM_5"),l(89,"]","]","OEM_6"),l(90,"'","'","OEM_7"),l(91,"OEM_8"),l(92,"OEM_102"),l(93,"NumPad0"),l(94,"NumPad1"),l(95,"NumPad2"),l(96,"NumPad3"),l(97,"NumPad4"),l(98,"NumPad5"),l(99,"NumPad6"),l(100,"NumPad7"),l(101,"NumPad8"),l(102,"NumPad9"),l(103,"NumPad_Multiply"),l(104,"NumPad_Add"),l(105,"NumPad_Separator"),l(106,"NumPad_Subtract"),l(107,"NumPad_Decimal"),l(108,"NumPad_Divide")})();var w;(function(l){function h(r){return S.keyCodeToStr(r)}l.toString=h;function o(r){return S.strToKeyCode(r)}l.fromString=o;function c(r){return E.keyCodeToStr(r)}l.toUserSettingsUS=c;function t(r){return n.keyCodeToStr(r)}l.toUserSettingsGeneral=t;function s(r){return E.strToKeyCode(r)||n.strToKeyCode(r)}l.fromUserSettings=s})(w=e.KeyCodeUtils||(e.KeyCodeUtils={}));var v;(function(l){l[l.CtrlCmd=2048]="CtrlCmd",l[l.Shift=1024]="Shift",l[l.Alt=512]="Alt",l[l.WinCtrl=256]="WinCtrl",l[l.KeyCode=255]="KeyCode"})(v||(v={}));var i;(function(l){l[l.CtrlCmd=2048]="CtrlCmd",l[l.Shift=1024]="Shift",l[l.Alt=512]="Alt",l[l.WinCtrl=256]="WinCtrl"})(i=e.KeyMod||(e.KeyMod={}));function b(l,h){const o=(h&65535)<<16>>>0;return(l|o)>>>0}e.KeyChord=b;function P(l,h){if(l===0)return null;const o=(l&65535)>>>0,c=(l&4294901760)>>>16;return c!==0?new m([y(o,h),y(c,h)]):new m([y(o,h)])}e.createKeybinding=P;function y(l,h){const o=!!(l&2048),c=!!(l&256),t=h===2?c:o,s=!!(l&1024),r=!!(l&512),a=h===2?o:c,u=l&255;return new d(t,s,r,a,u)}e.createSimpleKeybinding=y;class d{constructor(h,o,c,t,s){this.ctrlKey=h,this.shiftKey=o,this.altKey=c,this.metaKey=t,this.keyCode=s}equals(h){return this.ctrlKey===h.ctrlKey&&this.shiftKey===h.shiftKey&&this.altKey===h.altKey&&this.metaKey===h.metaKey&&this.keyCode===h.keyCode}getHashCode(){const h=this.ctrlKey?"1":"0",o=this.shiftKey?"1":"0",c=this.altKey?"1":"0",t=this.metaKey?"1":"0";return`${h}${o}${c}${t}${this.keyCode}`}isModifierKey(){return this.keyCode===0||this.keyCode===5||this.keyCode===57||this.keyCode===6||this.keyCode===4}toChord(){return new m([this])}isDuplicateModifierCase(){return this.ctrlKey&&this.keyCode===5||this.shiftKey&&this.keyCode===4||this.altKey&&this.keyCode===6||this.metaKey&&this.keyCode===57}}e.SimpleKeybinding=d;class m{constructor(h){if(h.length===0)throw g.illegalArgument("parts");this.parts=h}getHashCode(){let h="";for(let o=0,c=this.parts.length;o<c;o++)o!==0&&(h+=";"),h+=this.parts[o].getHashCode();return h}equals(h){if(h===null||this.parts.length!==h.parts.length)return!1;for(let o=0;o<this.parts.length;o++)if(!this.parts[o].equals(h.parts[o]))return!1;return!0}}e.ChordKeybinding=m;class k{constructor(h,o,c,t,s,r){this.ctrlKey=h,this.shiftKey=o,this.altKey=c,this.metaKey=t,this.keyLabel=s,this.keyAriaLabel=r}}e.ResolvedKeybindingPart=k;class I{}e.ResolvedKeybinding=I}),define(J[2],Z([0,1,43,63]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ImmortalReference=e.AsyncReferenceCollection=e.ReferenceCollection=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.trackDisposable=e.setDisposableTracker=void 0;const D=!1;let S=null;function E(o){S=o}if(e.setDisposableTracker=E,D){const o="__is_disposable_tracked__";S=new class{trackDisposable(c){const t=new Error("Potentially leaked disposable").stack;setTimeout(()=>{c[o]||console.log(t)},3e3)}markTracked(c){if(c&&c!==m.None)try{c[o]=!0}catch{}}}}function n(o){!S||S.markTracked(o)}function w(o){return S&&S.trackDisposable(o),o}e.trackDisposable=w;class v extends Error{constructor(c){super(`Encountered errors while disposing of store. Errors: [${c.join(", ")}]`);this.errors=c}}e.MultiDisposeError=v;function i(o){return typeof o.dispose=="function"&&o.dispose.length===0}e.isDisposable=i;function b(o){if(M.Iterable.is(o)){let c=[];for(const t of o)if(t){n(t);try{t.dispose()}catch(s){c.push(s)}}if(c.length===1)throw c[0];if(c.length>1)throw new v(c);return Array.isArray(o)?[]:o}else if(o)return n(o),o.dispose(),o}e.dispose=b;function P(...o){return o.forEach(n),y(()=>b(o))}e.combinedDisposable=P;function y(o){const c=w({dispose:()=>{n(c),o()}});return c}e.toDisposable=y;class d{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(n(this),this._isDisposed=!0,this.clear())}clear(){try{b(this._toDispose.values())}finally{this._toDispose.clear()}}add(c){if(!c)return c;if(c===this)throw new Error("Cannot register a disposable on itself!");return n(c),this._isDisposed?d.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(c),c}}e.DisposableStore=d,d.DISABLE_DISPOSED_WARNING=!1;class m{constructor(){this._store=new d,w(this)}dispose(){n(this),this._store.dispose()}_register(c){if(c===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(c)}}e.Disposable=m,m.None=Object.freeze({dispose(){}});class k{constructor(){this._isDisposed=!1,w(this)}get value(){return this._isDisposed?void 0:this._value}set value(c){this._isDisposed||c===this._value||(this._value?.dispose(),c&&n(c),this._value=c)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,n(this),this._value?.dispose(),this._value=void 0}}e.MutableDisposable=k;class I{constructor(){this.references=new Map}acquire(c,...t){let s=this.references.get(c);s||(s={counter:0,object:this.createReferencedObject(c,...t)},this.references.set(c,s));const{object:r}=s,a=g.once(()=>{--s.counter==0&&(this.destroyReferencedObject(c,s.object),this.references.delete(c))});return s.counter++,{object:r,dispose:a}}}e.ReferenceCollection=I;class l{constructor(c){this.referenceCollection=c}async acquire(c,...t){const s=this.referenceCollection.acquire(c,...t);try{return{object:await s.object,dispose:()=>s.dispose()}}catch(r){throw s.dispose(),r}}}e.AsyncReferenceCollection=l;class h{constructor(c){this.object=c}dispose(){}}e.ImmortalReference=h}),define(J[105],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class g{constructor(S){this.element=S,this.next=g.Undefined,this.prev=g.Undefined}}g.Undefined=new g(void 0);class M{constructor(){this._first=g.Undefined,this._last=g.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===g.Undefined}clear(){let S=this._first;for(;S!==g.Undefined;){const E=S.next;S.prev=g.Undefined,S.next=g.Undefined,S=E}this._first=g.Undefined,this._last=g.Undefined,this._size=0}unshift(S){return this._insert(S,!1)}push(S){return this._insert(S,!0)}_insert(S,E){const n=new g(S);if(this._first===g.Undefined)this._first=n,this._last=n;else if(E){const v=this._last;this._last=n,n.prev=v,v.next=n}else{const v=this._first;this._first=n,n.next=v,v.prev=n}this._size+=1;let w=!1;return()=>{w||(w=!0,this._remove(n))}}shift(){if(this._first!==g.Undefined){const S=this._first.element;return this._remove(this._first),S}}pop(){if(this._last!==g.Undefined){const S=this._last.element;return this._remove(this._last),S}}_remove(S){if(S.prev!==g.Undefined&&S.next!==g.Undefined){const E=S.prev;E.next=S.next,S.next.prev=E}else S.prev===g.Undefined&&S.next===g.Undefined?(this._first=g.Undefined,this._last=g.Undefined):S.next===g.Undefined?(this._last=this._last.prev,this._last.next=g.Undefined):S.prev===g.Undefined&&(this._first=this._first.next,this._first.prev=g.Undefined);this._size-=1}*[Symbol.iterator](){let S=this._first;for(;S!==g.Undefined;)yield S.element,S=S.next}}e.LinkedList=M}),function(){function j(D){const S=[];typeof D=="number"&&S.push("code/timeOrigin",D);function E(w){S.push(w,Date.now())}function n(){const w=[];for(let v=0;v<S.length;v+=2)w.push({name:S[v],startTime:S[v+1]});return w}return{mark:E,getMarks:n}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function")return typeof performance.timeOrigin!="number"&&!performance.timing?j():{mark(D){performance.mark(D)},getMarks(){let D=performance.timeOrigin;typeof D!="number"&&(D=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const S=[{name:"code/timeOrigin",startTime:Math.round(D)}];for(const E of performance.getEntriesByType("mark"))S.push({name:E.name,startTime:Math.round(D+E.startTime)});return S}};if(typeof process=="object"){const D=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return j(D)}else return console.trace("perf-util loaded in UNKNOWN environment"),j()}function g(D){return D.MonacoPerformanceMarks||(D.MonacoPerformanceMarks=e()),D.MonacoPerformanceMarks}var M;typeof global=="object"?M=global:typeof self=="object"?M=self:M={},typeof define=="function"?define("vs/base/common/performance",[],function(){return g(M)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=g(M):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),M.perf=g(M))}(),define(J[3],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setImmediate=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isPreferringBrowserCodeLoad=e.browserCodeLoadingCacheStrategy=e.isElectronSandboxed=e.globals=void 0;const g="en";let M=!1,D=!1,S=!1,E=!1,n=!1,w=!1,v=!1,i,b=g,P,y;e.globals=typeof self=="object"?self:typeof global=="object"?global:{};let d;typeof e.globals.vscode!="undefined"&&typeof e.globals.vscode.process!="undefined"?d=e.globals.vscode.process:typeof process!="undefined"&&(d=process);const m=typeof d?.versions?.electron=="string"&&d.type==="renderer";if(e.isElectronSandboxed=m&&d?.sandboxed,e.browserCodeLoadingCacheStrategy=(()=>{if(e.isElectronSandboxed)return"bypassHeatCheck";const r=d?.env.VSCODE_BROWSER_CODE_LOADING;if(typeof r=="string")return r==="none"||r==="code"||r==="bypassHeatCheck"||r==="bypassHeatCheckAndEagerCompile"?r:"bypassHeatCheck"})(),e.isPreferringBrowserCodeLoad=typeof e.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!m)y=navigator.userAgent,M=y.indexOf("Windows")>=0,D=y.indexOf("Macintosh")>=0,v=(y.indexOf("Macintosh")>=0||y.indexOf("iPad")>=0||y.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,S=y.indexOf("Linux")>=0,w=!0,i=navigator.language,b=i;else if(typeof d=="object"){M=d.platform==="win32",D=d.platform==="darwin",S=d.platform==="linux",E=S&&!!d.env.SNAP&&!!d.env.SNAP_REVISION,i=g,b=g;const r=d.env.VSCODE_NLS_CONFIG;if(r)try{const a=JSON.parse(r),u=a.availableLanguages["*"];i=a.locale,b=u||g,P=a._translationsConfigFile}catch(a){}n=!0}else console.error("Unable to resolve platform.");var k;(function(r){r[r.Web=0]="Web",r[r.Mac=1]="Mac",r[r.Linux=2]="Linux",r[r.Windows=3]="Windows"})(k=e.Platform||(e.Platform={}));function I(r){switch(r){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=I;let l=0;D?l=1:M?l=3:S&&(l=2),e.isWindows=M,e.isMacintosh=D,e.isLinux=S,e.isLinuxSnap=E,e.isNative=n,e.isWeb=w,e.isIOS=v,e.platform=l,e.userAgent=y,e.language=b;var h;(function(r){function a(){return e.language}r.value=a;function u(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}r.isDefaultVariant=u;function p(){return e.language==="en"}r.isDefault=p})(h=e.Language||(e.Language={})),e.locale=i,e.translationsConfigFile=P,e.setImmediate=function(){if(e.globals.setImmediate)return e.globals.setImmediate.bind(e.globals);if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let u=[];e.globals.addEventListener("message",f=>{if(f.data&&f.data.vscodeSetImmediateId)for(let L=0,T=u.length;L<T;L++){const W=u[L];if(W.id===f.data.vscodeSetImmediateId){u.splice(L,1),W.callback();return}}});let p=0;return f=>{const L=++p;u.push({id:L,callback:f}),e.globals.postMessage({vscodeSetImmediateId:L},"*")}}if(typeof d?.nextTick=="function")return d.nextTick.bind(d);const a=Promise.resolve();return u=>a.then(u)}();var o;(function(r){r[r.Windows=1]="Windows",r[r.Macintosh=2]="Macintosh",r[r.Linux=3]="Linux"})(o=e.OperatingSystem||(e.OperatingSystem={})),e.OS=D||v?2:M?1:3;let c=!0,t=!1;function s(){if(!t){t=!0;const r=new Uint8Array(2);r[0]=1,r[1]=2,c=new Uint16Array(r.buffer)[0]===(2<<8)+1}return c}e.isLittleEndian=s}),define(J[33],Z([0,1,3]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nextTick=e.platform=e.env=e.cwd=void 0;let M;if(typeof g.globals.vscode!="undefined"&&typeof g.globals.vscode.process!="undefined"){const D=g.globals.vscode.process;M={get platform(){return D.platform},get env(){return D.env},cwd(){return D.cwd()},nextTick(S){return g.setImmediate(S)}}}else typeof process!="undefined"?M={get platform(){return process.platform},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()},nextTick(D){return process.nextTick(D)}}:M={get platform(){return g.isWindows?"win32":g.isMacintosh?"darwin":"linux"},nextTick(D){return g.setImmediate(D)},get env(){return{}},cwd(){return"/"}};e.cwd=M.cwd,e.env=M.env,e.platform=M.platform,e.nextTick=M.nextTick}),define(J[8],Z([0,1,33]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const M=65,D=97,S=90,E=122,n=46,w=47,v=92,i=58,b=63;class P extends Error{constructor(o,c,t){let s;typeof c=="string"&&c.indexOf("not ")===0?(s="must not be",c=c.replace(/^not /,"")):s="must be";const r=o.indexOf(".")!==-1?"property":"argument";let a=`The "${o}" ${r} ${s} of type ${c}`;a+=`. Received type ${typeof t}`,super(a),this.code="ERR_INVALID_ARG_TYPE"}}function y(h,o){if(typeof h!="string")throw new P(o,"string",h)}function d(h){return h===w||h===v}function m(h){return h===w}function k(h){return h>=M&&h<=S||h>=D&&h<=E}function I(h,o,c,t){let s="",r=0,a=-1,u=0,p=0;for(let f=0;f<=h.length;++f){if(f<h.length)p=h.charCodeAt(f);else{if(t(p))break;p=w}if(t(p)){if(!(a===f-1||u===1))if(u===2){if(s.length<2||r!==2||s.charCodeAt(s.length-1)!==n||s.charCodeAt(s.length-2)!==n){if(s.length>2){const L=s.lastIndexOf(c);L===-1?(s="",r=0):(s=s.slice(0,L),r=s.length-1-s.lastIndexOf(c)),a=f,u=0;continue}else if(s.length!==0){s="",r=0,a=f,u=0;continue}}o&&(s+=s.length>0?`${c}..`:"..",r=2)}else s.length>0?s+=`${c}${h.slice(a+1,f)}`:s=h.slice(a+1,f),r=f-a-1;a=f,u=0}else p===n&&u!==-1?++u:u=-1}return s}function l(h,o){if(o===null||typeof o!="object")throw new P("pathObject","Object",o);const c=o.dir||o.root,t=o.base||`${o.name||""}${o.ext||""}`;return c?c===o.root?`${c}${t}`:`${c}${h}${t}`:t}e.win32={resolve(...h){let o="",c="",t=!1;for(let s=h.length-1;s>=-1;s--){let r;if(s>=0){if(r=h[s],y(r,"path"),r.length===0)continue}else o.length===0?r=g.cwd():(r=g.env[`=${o}`]||g.cwd(),(r===void 0||r.slice(0,2).toLowerCase()!==o.toLowerCase()&&r.charCodeAt(2)===v)&&(r=`${o}\\`));const a=r.length;let u=0,p="",f=!1;const L=r.charCodeAt(0);if(a===1)d(L)&&(u=1,f=!0);else if(d(L))if(f=!0,d(r.charCodeAt(1))){let T=2,W=T;for(;T<a&&!d(r.charCodeAt(T));)T++;if(T<a&&T!==W){const N=r.slice(W,T);for(W=T;T<a&&d(r.charCodeAt(T));)T++;if(T<a&&T!==W){for(W=T;T<a&&!d(r.charCodeAt(T));)T++;(T===a||T!==W)&&(p=`\\\\${N}\\${r.slice(W,T)}`,u=T)}}}else u=1;else k(L)&&r.charCodeAt(1)===i&&(p=r.slice(0,2),u=2,a>2&&d(r.charCodeAt(2))&&(f=!0,u=3));if(p.length>0)if(o.length>0){if(p.toLowerCase()!==o.toLowerCase())continue}else o=p;if(t){if(o.length>0)break}else if(c=`${r.slice(u)}\\${c}`,t=f,f&&o.length>0)break}return c=I(c,!t,"\\",d),t?`${o}\\${c}`:`${o}${c}`||"."},normalize(h){y(h,"path");const o=h.length;if(o===0)return".";let c=0,t,s=!1;const r=h.charCodeAt(0);if(o===1)return m(r)?"\\":h;if(d(r))if(s=!0,d(h.charCodeAt(1))){let u=2,p=u;for(;u<o&&!d(h.charCodeAt(u));)u++;if(u<o&&u!==p){const f=h.slice(p,u);for(p=u;u<o&&d(h.charCodeAt(u));)u++;if(u<o&&u!==p){for(p=u;u<o&&!d(h.charCodeAt(u));)u++;if(u===o)return`\\\\${f}\\${h.slice(p)}\\`;u!==p&&(t=`\\\\${f}\\${h.slice(p,u)}`,c=u)}}}else c=1;else k(r)&&h.charCodeAt(1)===i&&(t=h.slice(0,2),c=2,o>2&&d(h.charCodeAt(2))&&(s=!0,c=3));let a=c<o?I(h.slice(c),!s,"\\",d):"";return a.length===0&&!s&&(a="."),a.length>0&&d(h.charCodeAt(o-1))&&(a+="\\"),t===void 0?s?`\\${a}`:a:s?`${t}\\${a}`:`${t}${a}`},isAbsolute(h){y(h,"path");const o=h.length;if(o===0)return!1;const c=h.charCodeAt(0);return d(c)||o>2&&k(c)&&h.charCodeAt(1)===i&&d(h.charCodeAt(2))},join(...h){if(h.length===0)return".";let o,c;for(let r=0;r<h.length;++r){const a=h[r];y(a,"path"),a.length>0&&(o===void 0?o=c=a:o+=`\\${a}`)}if(o===void 0)return".";let t=!0,s=0;if(typeof c=="string"&&d(c.charCodeAt(0))){++s;const r=c.length;r>1&&d(c.charCodeAt(1))&&(++s,r>2&&(d(c.charCodeAt(2))?++s:t=!1))}if(t){for(;s<o.length&&d(o.charCodeAt(s));)s++;s>=2&&(o=`\\${o.slice(s)}`)}return e.win32.normalize(o)},relative(h,o){if(y(h,"from"),y(o,"to"),h===o)return"";const c=e.win32.resolve(h),t=e.win32.resolve(o);if(c===t||(h=c.toLowerCase(),o=t.toLowerCase(),h===o))return"";let s=0;for(;s<h.length&&h.charCodeAt(s)===v;)s++;let r=h.length;for(;r-1>s&&h.charCodeAt(r-1)===v;)r--;const a=r-s;let u=0;for(;u<o.length&&o.charCodeAt(u)===v;)u++;let p=o.length;for(;p-1>u&&o.charCodeAt(p-1)===v;)p--;const f=p-u,L=a<f?a:f;let T=-1,W=0;for(;W<L;W++){const V=h.charCodeAt(s+W);if(V!==o.charCodeAt(u+W))break;V===v&&(T=W)}if(W!==L){if(T===-1)return t}else{if(f>L){if(o.charCodeAt(u+W)===v)return t.slice(u+W+1);if(W===2)return t.slice(u+W)}a>L&&(h.charCodeAt(s+W)===v?T=W:W===2&&(T=3)),T===-1&&(T=0)}let N="";for(W=s+T+1;W<=r;++W)(W===r||h.charCodeAt(W)===v)&&(N+=N.length===0?"..":"\\..");return u+=T,N.length>0?`${N}${t.slice(u,p)}`:(t.charCodeAt(u)===v&&++u,t.slice(u,p))},toNamespacedPath(h){if(typeof h!="string")return h;if(h.length===0)return"";const o=e.win32.resolve(h);if(o.length<=2)return h;if(o.charCodeAt(0)===v){if(o.charCodeAt(1)===v){const c=o.charCodeAt(2);if(c!==b&&c!==n)return`\\\\?\\UNC\\${o.slice(2)}`}}else if(k(o.charCodeAt(0))&&o.charCodeAt(1)===i&&o.charCodeAt(2)===v)return`\\\\?\\${o}`;return h},dirname(h){y(h,"path");const o=h.length;if(o===0)return".";let c=-1,t=0;const s=h.charCodeAt(0);if(o===1)return d(s)?h:".";if(d(s)){if(c=t=1,d(h.charCodeAt(1))){let u=2,p=u;for(;u<o&&!d(h.charCodeAt(u));)u++;if(u<o&&u!==p){for(p=u;u<o&&d(h.charCodeAt(u));)u++;if(u<o&&u!==p){for(p=u;u<o&&!d(h.charCodeAt(u));)u++;if(u===o)return h;u!==p&&(c=t=u+1)}}}}else k(s)&&h.charCodeAt(1)===i&&(c=o>2&&d(h.charCodeAt(2))?3:2,t=c);let r=-1,a=!0;for(let u=o-1;u>=t;--u)if(d(h.charCodeAt(u))){if(!a){r=u;break}}else a=!1;if(r===-1){if(c===-1)return".";r=c}return h.slice(0,r)},basename(h,o){o!==void 0&&y(o,"ext"),y(h,"path");let c=0,t=-1,s=!0,r;if(h.length>=2&&k(h.charCodeAt(0))&&h.charCodeAt(1)===i&&(c=2),o!==void 0&&o.length>0&&o.length<=h.length){if(o===h)return"";let a=o.length-1,u=-1;for(r=h.length-1;r>=c;--r){const p=h.charCodeAt(r);if(d(p)){if(!s){c=r+1;break}}else u===-1&&(s=!1,u=r+1),a>=0&&(p===o.charCodeAt(a)?--a==-1&&(t=r):(a=-1,t=u))}return c===t?t=u:t===-1&&(t=h.length),h.slice(c,t)}for(r=h.length-1;r>=c;--r)if(d(h.charCodeAt(r))){if(!s){c=r+1;break}}else t===-1&&(s=!1,t=r+1);return t===-1?"":h.slice(c,t)},extname(h){y(h,"path");let o=0,c=-1,t=0,s=-1,r=!0,a=0;h.length>=2&&h.charCodeAt(1)===i&&k(h.charCodeAt(0))&&(o=t=2);for(let u=h.length-1;u>=o;--u){const p=h.charCodeAt(u);if(d(p)){if(!r){t=u+1;break}continue}s===-1&&(r=!1,s=u+1),p===n?c===-1?c=u:a!==1&&(a=1):c!==-1&&(a=-1)}return c===-1||s===-1||a===0||a===1&&c===s-1&&c===t+1?"":h.slice(c,s)},format:l.bind(null,"\\"),parse(h){y(h,"path");const o={root:"",dir:"",base:"",ext:"",name:""};if(h.length===0)return o;const c=h.length;let t=0,s=h.charCodeAt(0);if(c===1)return d(s)?(o.root=o.dir=h,o):(o.base=o.name=h,o);if(d(s)){if(t=1,d(h.charCodeAt(1))){let T=2,W=T;for(;T<c&&!d(h.charCodeAt(T));)T++;if(T<c&&T!==W){for(W=T;T<c&&d(h.charCodeAt(T));)T++;if(T<c&&T!==W){for(W=T;T<c&&!d(h.charCodeAt(T));)T++;T===c?t=T:T!==W&&(t=T+1)}}}}else if(k(s)&&h.charCodeAt(1)===i){if(c<=2)return o.root=o.dir=h,o;if(t=2,d(h.charCodeAt(2))){if(c===3)return o.root=o.dir=h,o;t=3}}t>0&&(o.root=h.slice(0,t));let r=-1,a=t,u=-1,p=!0,f=h.length-1,L=0;for(;f>=t;--f){if(s=h.charCodeAt(f),d(s)){if(!p){a=f+1;break}continue}u===-1&&(p=!1,u=f+1),s===n?r===-1?r=f:L!==1&&(L=1):r!==-1&&(L=-1)}return u!==-1&&(r===-1||L===0||L===1&&r===u-1&&r===a+1?o.base=o.name=h.slice(a,u):(o.name=h.slice(a,r),o.base=h.slice(a,u),o.ext=h.slice(r,u))),a>0&&a!==t?o.dir=h.slice(0,a-1):o.dir=o.root,o},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...h){let o="",c=!1;for(let t=h.length-1;t>=-1&&!c;t--){const s=t>=0?h[t]:g.cwd();y(s,"path"),s.length!==0&&(o=`${s}/${o}`,c=s.charCodeAt(0)===w)}return o=I(o,!c,"/",m),c?`/${o}`:o.length>0?o:"."},normalize(h){if(y(h,"path"),h.length===0)return".";const o=h.charCodeAt(0)===w,c=h.charCodeAt(h.length-1)===w;return h=I(h,!o,"/",m),h.length===0?o?"/":c?"./":".":(c&&(h+="/"),o?`/${h}`:h)},isAbsolute(h){return y(h,"path"),h.length>0&&h.charCodeAt(0)===w},join(...h){if(h.length===0)return".";let o;for(let c=0;c<h.length;++c){const t=h[c];y(t,"path"),t.length>0&&(o===void 0?o=t:o+=`/${t}`)}return o===void 0?".":e.posix.normalize(o)},relative(h,o){if(y(h,"from"),y(o,"to"),h===o||(h=e.posix.resolve(h),o=e.posix.resolve(o),h===o))return"";const c=1,t=h.length,s=t-c,r=1,a=o.length-r,u=s<a?s:a;let p=-1,f=0;for(;f<u;f++){const T=h.charCodeAt(c+f);if(T!==o.charCodeAt(r+f))break;T===w&&(p=f)}if(f===u)if(a>u){if(o.charCodeAt(r+f)===w)return o.slice(r+f+1);if(f===0)return o.slice(r+f)}else s>u&&(h.charCodeAt(c+f)===w?p=f:f===0&&(p=0));let L="";for(f=c+p+1;f<=t;++f)(f===t||h.charCodeAt(f)===w)&&(L+=L.length===0?"..":"/..");return`${L}${o.slice(r+p)}`},toNamespacedPath(h){return h},dirname(h){if(y(h,"path"),h.length===0)return".";const o=h.charCodeAt(0)===w;let c=-1,t=!0;for(let s=h.length-1;s>=1;--s)if(h.charCodeAt(s)===w){if(!t){c=s;break}}else t=!1;return c===-1?o?"/":".":o&&c===1?"//":h.slice(0,c)},basename(h,o){o!==void 0&&y(o,"ext"),y(h,"path");let c=0,t=-1,s=!0,r;if(o!==void 0&&o.length>0&&o.length<=h.length){if(o===h)return"";let a=o.length-1,u=-1;for(r=h.length-1;r>=0;--r){const p=h.charCodeAt(r);if(p===w){if(!s){c=r+1;break}}else u===-1&&(s=!1,u=r+1),a>=0&&(p===o.charCodeAt(a)?--a==-1&&(t=r):(a=-1,t=u))}return c===t?t=u:t===-1&&(t=h.length),h.slice(c,t)}for(r=h.length-1;r>=0;--r)if(h.charCodeAt(r)===w){if(!s){c=r+1;break}}else t===-1&&(s=!1,t=r+1);return t===-1?"":h.slice(c,t)},extname(h){y(h,"path");let o=-1,c=0,t=-1,s=!0,r=0;for(let a=h.length-1;a>=0;--a){const u=h.charCodeAt(a);if(u===w){if(!s){c=a+1;break}continue}t===-1&&(s=!1,t=a+1),u===n?o===-1?o=a:r!==1&&(r=1):o!==-1&&(r=-1)}return o===-1||t===-1||r===0||r===1&&o===t-1&&o===c+1?"":h.slice(o,t)},format:l.bind(null,"/"),parse(h){y(h,"path");const o={root:"",dir:"",base:"",ext:"",name:""};if(h.length===0)return o;const c=h.charCodeAt(0)===w;let t;c?(o.root="/",t=1):t=0;let s=-1,r=0,a=-1,u=!0,p=h.length-1,f=0;for(;p>=t;--p){const L=h.charCodeAt(p);if(L===w){if(!u){r=p+1;break}continue}a===-1&&(u=!1,a=p+1),L===n?s===-1?s=p:f!==1&&(f=1):s!==-1&&(f=-1)}if(a!==-1){const L=r===0&&c?1:r;s===-1||f===0||f===1&&s===a-1&&s===r+1?o.base=o.name=h.slice(L,a):(o.name=h.slice(L,s),o.base=h.slice(L,a),o.ext=h.slice(s,a))}return r>0?o.dir=h.slice(0,r-1):c&&(o.dir="/"),o},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=g.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=g.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=g.platform==="win32"?e.win32.join:e.posix.join,e.resolve=g.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=g.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=g.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=g.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=g.platform==="win32"?e.win32.extname:e.posix.extname,e.format=g.platform==="win32"?e.win32.format:e.posix.format,e.parse=g.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=g.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=g.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=g.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(J[106],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var g;(function(S){S[S.stdout=0]="stdout",S[S.stderr=1]="stderr"})(g=e.Source||(e.Source={}));var M;(function(S){S[S.Success=0]="Success",S[S.Unknown=1]="Unknown",S[S.AccessDenied=2]="AccessDenied",S[S.ProcessNotFound=3]="ProcessNotFound"})(M=e.TerminateResponseCode||(e.TerminateResponseCode={}));function D(S,...E){const n=E.reduce((i,b)=>(i[b]=!0,i),{}),w=[/^ELECTRON_.+$/,/^VSCODE_.+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(S).filter(i=>!n[i]).forEach(i=>{for(let b=0;b<w.length;b++)if(i.search(w[b])!==-1){delete S[i];break}})}e.sanitizeProcessEnvironment=D}),define(J[79],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ScanCodeBinding=e.IMMUTABLE_KEY_CODE_TO_CODE=e.IMMUTABLE_CODE_TO_KEY_CODE=e.ScanCodeUtils=e.ScanCode=void 0;var g;(function(n){n[n.DependsOnKbLayout=-1]="DependsOnKbLayout",n[n.None=0]="None",n[n.Hyper=1]="Hyper",n[n.Super=2]="Super",n[n.Fn=3]="Fn",n[n.FnLock=4]="FnLock",n[n.Suspend=5]="Suspend",n[n.Resume=6]="Resume",n[n.Turbo=7]="Turbo",n[n.Sleep=8]="Sleep",n[n.WakeUp=9]="WakeUp",n[n.KeyA=10]="KeyA",n[n.KeyB=11]="KeyB",n[n.KeyC=12]="KeyC",n[n.KeyD=13]="KeyD",n[n.KeyE=14]="KeyE",n[n.KeyF=15]="KeyF",n[n.KeyG=16]="KeyG",n[n.KeyH=17]="KeyH",n[n.KeyI=18]="KeyI",n[n.KeyJ=19]="KeyJ",n[n.KeyK=20]="KeyK",n[n.KeyL=21]="KeyL",n[n.KeyM=22]="KeyM",n[n.KeyN=23]="KeyN",n[n.KeyO=24]="KeyO",n[n.KeyP=25]="KeyP",n[n.KeyQ=26]="KeyQ",n[n.KeyR=27]="KeyR",n[n.KeyS=28]="KeyS",n[n.KeyT=29]="KeyT",n[n.KeyU=30]="KeyU",n[n.KeyV=31]="KeyV",n[n.KeyW=32]="KeyW",n[n.KeyX=33]="KeyX",n[n.KeyY=34]="KeyY",n[n.KeyZ=35]="KeyZ",n[n.Digit1=36]="Digit1",n[n.Digit2=37]="Digit2",n[n.Digit3=38]="Digit3",n[n.Digit4=39]="Digit4",n[n.Digit5=40]="Digit5",n[n.Digit6=41]="Digit6",n[n.Digit7=42]="Digit7",n[n.Digit8=43]="Digit8",n[n.Digit9=44]="Digit9",n[n.Digit0=45]="Digit0",n[n.Enter=46]="Enter",n[n.Escape=47]="Escape",n[n.Backspace=48]="Backspace",n[n.Tab=49]="Tab",n[n.Space=50]="Space",n[n.Minus=51]="Minus",n[n.Equal=52]="Equal",n[n.BracketLeft=53]="BracketLeft",n[n.BracketRight=54]="BracketRight",n[n.Backslash=55]="Backslash",n[n.IntlHash=56]="IntlHash",n[n.Semicolon=57]="Semicolon",n[n.Quote=58]="Quote",n[n.Backquote=59]="Backquote",n[n.Comma=60]="Comma",n[n.Period=61]="Period",n[n.Slash=62]="Slash",n[n.CapsLock=63]="CapsLock",n[n.F1=64]="F1",n[n.F2=65]="F2",n[n.F3=66]="F3",n[n.F4=67]="F4",n[n.F5=68]="F5",n[n.F6=69]="F6",n[n.F7=70]="F7",n[n.F8=71]="F8",n[n.F9=72]="F9",n[n.F10=73]="F10",n[n.F11=74]="F11",n[n.F12=75]="F12",n[n.PrintScreen=76]="PrintScreen",n[n.ScrollLock=77]="ScrollLock",n[n.Pause=78]="Pause",n[n.Insert=79]="Insert",n[n.Home=80]="Home",n[n.PageUp=81]="PageUp",n[n.Delete=82]="Delete",n[n.End=83]="End",n[n.PageDown=84]="PageDown",n[n.ArrowRight=85]="ArrowRight",n[n.ArrowLeft=86]="ArrowLeft",n[n.ArrowDown=87]="ArrowDown",n[n.ArrowUp=88]="ArrowUp",n[n.NumLock=89]="NumLock",n[n.NumpadDivide=90]="NumpadDivide",n[n.NumpadMultiply=91]="NumpadMultiply",n[n.NumpadSubtract=92]="NumpadSubtract",n[n.NumpadAdd=93]="NumpadAdd",n[n.NumpadEnter=94]="NumpadEnter",n[n.Numpad1=95]="Numpad1",n[n.Numpad2=96]="Numpad2",n[n.Numpad3=97]="Numpad3",n[n.Numpad4=98]="Numpad4",n[n.Numpad5=99]="Numpad5",n[n.Numpad6=100]="Numpad6",n[n.Numpad7=101]="Numpad7",n[n.Numpad8=102]="Numpad8",n[n.Numpad9=103]="Numpad9",n[n.Numpad0=104]="Numpad0",n[n.NumpadDecimal=105]="NumpadDecimal",n[n.IntlBackslash=106]="IntlBackslash",n[n.ContextMenu=107]="ContextMenu",n[n.Power=108]="Power",n[n.NumpadEqual=109]="NumpadEqual",n[n.F13=110]="F13",n[n.F14=111]="F14",n[n.F15=112]="F15",n[n.F16=113]="F16",n[n.F17=114]="F17",n[n.F18=115]="F18",n[n.F19=116]="F19",n[n.F20=117]="F20",n[n.F21=118]="F21",n[n.F22=119]="F22",n[n.F23=120]="F23",n[n.F24=121]="F24",n[n.Open=122]="Open",n[n.Help=123]="Help",n[n.Select=124]="Select",n[n.Again=125]="Again",n[n.Undo=126]="Undo",n[n.Cut=127]="Cut",n[n.Copy=128]="Copy",n[n.Paste=129]="Paste",n[n.Find=130]="Find",n[n.AudioVolumeMute=131]="AudioVolumeMute",n[n.AudioVolumeUp=132]="AudioVolumeUp",n[n.AudioVolumeDown=133]="AudioVolumeDown",n[n.NumpadComma=134]="NumpadComma",n[n.IntlRo=135]="IntlRo",n[n.KanaMode=136]="KanaMode",n[n.IntlYen=137]="IntlYen",n[n.Convert=138]="Convert",n[n.NonConvert=139]="NonConvert",n[n.Lang1=140]="Lang1",n[n.Lang2=141]="Lang2",n[n.Lang3=142]="Lang3",n[n.Lang4=143]="Lang4",n[n.Lang5=144]="Lang5",n[n.Abort=145]="Abort",n[n.Props=146]="Props",n[n.NumpadParenLeft=147]="NumpadParenLeft",n[n.NumpadParenRight=148]="NumpadParenRight",n[n.NumpadBackspace=149]="NumpadBackspace",n[n.NumpadMemoryStore=150]="NumpadMemoryStore",n[n.NumpadMemoryRecall=151]="NumpadMemoryRecall",n[n.NumpadMemoryClear=152]="NumpadMemoryClear",n[n.NumpadMemoryAdd=153]="NumpadMemoryAdd",n[n.NumpadMemorySubtract=154]="NumpadMemorySubtract",n[n.NumpadClear=155]="NumpadClear",n[n.NumpadClearEntry=156]="NumpadClearEntry",n[n.ControlLeft=157]="ControlLeft",n[n.ShiftLeft=158]="ShiftLeft",n[n.AltLeft=159]="AltLeft",n[n.MetaLeft=160]="MetaLeft",n[n.ControlRight=161]="ControlRight",n[n.ShiftRight=162]="ShiftRight",n[n.AltRight=163]="AltRight",n[n.MetaRight=164]="MetaRight",n[n.BrightnessUp=165]="BrightnessUp",n[n.BrightnessDown=166]="BrightnessDown",n[n.MediaPlay=167]="MediaPlay",n[n.MediaRecord=168]="MediaRecord",n[n.MediaFastForward=169]="MediaFastForward",n[n.MediaRewind=170]="MediaRewind",n[n.MediaTrackNext=171]="MediaTrackNext",n[n.MediaTrackPrevious=172]="MediaTrackPrevious",n[n.MediaStop=173]="MediaStop",n[n.Eject=174]="Eject",n[n.MediaPlayPause=175]="MediaPlayPause",n[n.MediaSelect=176]="MediaSelect",n[n.LaunchMail=177]="LaunchMail",n[n.LaunchApp2=178]="LaunchApp2",n[n.LaunchApp1=179]="LaunchApp1",n[n.SelectTask=180]="SelectTask",n[n.LaunchScreenSaver=181]="LaunchScreenSaver",n[n.BrowserSearch=182]="BrowserSearch",n[n.BrowserHome=183]="BrowserHome",n[n.BrowserBack=184]="BrowserBack",n[n.BrowserForward=185]="BrowserForward",n[n.BrowserStop=186]="BrowserStop",n[n.BrowserRefresh=187]="BrowserRefresh",n[n.BrowserFavorites=188]="BrowserFavorites",n[n.ZoomToggle=189]="ZoomToggle",n[n.MailReply=190]="MailReply",n[n.MailForward=191]="MailForward",n[n.MailSend=192]="MailSend",n[n.MAX_VALUE=193]="MAX_VALUE"})(g=e.ScanCode||(e.ScanCode={}));const M=[],D=Object.create(null),S=Object.create(null);e.ScanCodeUtils={lowerCaseToEnum:n=>S[n]||0,toEnum:n=>D[n]||0,toString:n=>M[n]||"None"},e.IMMUTABLE_CODE_TO_KEY_CODE=[],e.IMMUTABLE_KEY_CODE_TO_CODE=[];class E{constructor(w,v,i,b,P){this.ctrlKey=w,this.shiftKey=v,this.altKey=i,this.metaKey=b,this.scanCode=P}equals(w){return this.ctrlKey===w.ctrlKey&&this.shiftKey===w.shiftKey&&this.altKey===w.altKey&&this.metaKey===w.metaKey&&this.scanCode===w.scanCode}isDuplicateModifierCase(){return this.ctrlKey&&(this.scanCode===157||this.scanCode===161)||this.shiftKey&&(this.scanCode===158||this.scanCode===162)||this.altKey&&(this.scanCode===159||this.scanCode===163)||this.metaKey&&(this.scanCode===160||this.scanCode===164)}}e.ScanCodeBinding=E,function(){function n(w,v){M[w]=v,D[v]=w,S[v.toLowerCase()]=w}n(0,"None"),n(1,"Hyper"),n(2,"Super"),n(3,"Fn"),n(4,"FnLock"),n(5,"Suspend"),n(6,"Resume"),n(7,"Turbo"),n(8,"Sleep"),n(9,"WakeUp"),n(10,"KeyA"),n(11,"KeyB"),n(12,"KeyC"),n(13,"KeyD"),n(14,"KeyE"),n(15,"KeyF"),n(16,"KeyG"),n(17,"KeyH"),n(18,"KeyI"),n(19,"KeyJ"),n(20,"KeyK"),n(21,"KeyL"),n(22,"KeyM"),n(23,"KeyN"),n(24,"KeyO"),n(25,"KeyP"),n(26,"KeyQ"),n(27,"KeyR"),n(28,"KeyS"),n(29,"KeyT"),n(30,"KeyU"),n(31,"KeyV"),n(32,"KeyW"),n(33,"KeyX"),n(34,"KeyY"),n(35,"KeyZ"),n(36,"Digit1"),n(37,"Digit2"),n(38,"Digit3"),n(39,"Digit4"),n(40,"Digit5"),n(41,"Digit6"),n(42,"Digit7"),n(43,"Digit8"),n(44,"Digit9"),n(45,"Digit0"),n(46,"Enter"),n(47,"Escape"),n(48,"Backspace"),n(49,"Tab"),n(50,"Space"),n(51,"Minus"),n(52,"Equal"),n(53,"BracketLeft"),n(54,"BracketRight"),n(55,"Backslash"),n(56,"IntlHash"),n(57,"Semicolon"),n(58,"Quote"),n(59,"Backquote"),n(60,"Comma"),n(61,"Period"),n(62,"Slash"),n(63,"CapsLock"),n(64,"F1"),n(65,"F2"),n(66,"F3"),n(67,"F4"),n(68,"F5"),n(69,"F6"),n(70,"F7"),n(71,"F8"),n(72,"F9"),n(73,"F10"),n(74,"F11"),n(75,"F12"),n(76,"PrintScreen"),n(77,"ScrollLock"),n(78,"Pause"),n(79,"Insert"),n(80,"Home"),n(81,"PageUp"),n(82,"Delete"),n(83,"End"),n(84,"PageDown"),n(85,"ArrowRight"),n(86,"ArrowLeft"),n(87,"ArrowDown"),n(88,"ArrowUp"),n(89,"NumLock"),n(90,"NumpadDivide"),n(91,"NumpadMultiply"),n(92,"NumpadSubtract"),n(93,"NumpadAdd"),n(94,"NumpadEnter"),n(95,"Numpad1"),n(96,"Numpad2"),n(97,"Numpad3"),n(98,"Numpad4"),n(99,"Numpad5"),n(100,"Numpad6"),n(101,"Numpad7"),n(102,"Numpad8"),n(103,"Numpad9"),n(104,"Numpad0"),n(105,"NumpadDecimal"),n(106,"IntlBackslash"),n(107,"ContextMenu"),n(108,"Power"),n(109,"NumpadEqual"),n(110,"F13"),n(111,"F14"),n(112,"F15"),n(113,"F16"),n(114,"F17"),n(115,"F18"),n(116,"F19"),n(117,"F20"),n(118,"F21"),n(119,"F22"),n(120,"F23"),n(121,"F24"),n(122,"Open"),n(123,"Help"),n(124,"Select"),n(125,"Again"),n(126,"Undo"),n(127,"Cut"),n(128,"Copy"),n(129,"Paste"),n(130,"Find"),n(131,"AudioVolumeMute"),n(132,"AudioVolumeUp"),n(133,"AudioVolumeDown"),n(134,"NumpadComma"),n(135,"IntlRo"),n(136,"KanaMode"),n(137,"IntlYen"),n(138,"Convert"),n(139,"NonConvert"),n(140,"Lang1"),n(141,"Lang2"),n(142,"Lang3"),n(143,"Lang4"),n(144,"Lang5"),n(145,"Abort"),n(146,"Props"),n(147,"NumpadParenLeft"),n(148,"NumpadParenRight"),n(149,"NumpadBackspace"),n(150,"NumpadMemoryStore"),n(151,"NumpadMemoryRecall"),n(152,"NumpadMemoryClear"),n(153,"NumpadMemoryAdd"),n(154,"NumpadMemorySubtract"),n(155,"NumpadClear"),n(156,"NumpadClearEntry"),n(157,"ControlLeft"),n(158,"ShiftLeft"),n(159,"AltLeft"),n(160,"MetaLeft"),n(161,"ControlRight"),n(162,"ShiftRight"),n(163,"AltRight"),n(164,"MetaRight"),n(165,"BrightnessUp"),n(166,"BrightnessDown"),n(167,"MediaPlay"),n(168,"MediaRecord"),n(169,"MediaFastForward"),n(170,"MediaRewind"),n(171,"MediaTrackNext"),n(172,"MediaTrackPrevious"),n(173,"MediaStop"),n(174,"Eject"),n(175,"MediaPlayPause"),n(176,"MediaSelect"),n(177,"LaunchMail"),n(178,"LaunchApp2"),n(179,"LaunchApp1"),n(180,"SelectTask"),n(181,"LaunchScreenSaver"),n(182,"BrowserSearch"),n(183,"BrowserHome"),n(184,"BrowserBack"),n(185,"BrowserForward"),n(186,"BrowserStop"),n(187,"BrowserRefresh"),n(188,"BrowserFavorites"),n(189,"ZoomToggle"),n(190,"MailReply"),n(191,"MailForward"),n(192,"MailSend")}(),function(){for(let w=0;w<=193;w++)e.IMMUTABLE_CODE_TO_KEY_CODE[w]=-1;for(let w=0;w<=112;w++)e.IMMUTABLE_KEY_CODE_TO_CODE[w]=-1;function n(w,v){e.IMMUTABLE_CODE_TO_KEY_CODE[w]=v,v!==0&&v!==3&&v!==5&&v!==4&&v!==6&&v!==57&&(e.IMMUTABLE_KEY_CODE_TO_CODE[v]=w)}e.IMMUTABLE_KEY_CODE_TO_CODE[3]=46,n(0,0),n(1,0),n(2,0),n(3,0),n(4,0),n(5,0),n(6,0),n(7,0),n(8,0),n(9,0),n(46,3),n(47,9),n(48,1),n(49,2),n(50,10),n(63,8),n(64,59),n(65,60),n(66,61),n(67,62),n(68,63),n(69,64),n(70,65),n(71,66),n(72,67),n(73,68),n(74,69),n(75,70),n(76,0),n(77,79),n(78,7),n(79,19),n(80,14),n(81,11),n(82,20),n(83,13),n(84,12),n(85,17),n(86,15),n(87,18),n(88,16),n(89,78),n(90,108),n(91,103),n(92,106),n(93,104),n(94,3),n(95,94),n(96,95),n(97,96),n(98,97),n(99,98),n(100,99),n(101,100),n(102,101),n(103,102),n(104,93),n(105,107),n(107,58),n(108,0),n(109,0),n(110,71),n(111,72),n(112,73),n(113,74),n(114,75),n(115,76),n(116,77),n(117,0),n(118,0),n(119,0),n(120,0),n(121,0),n(122,0),n(123,0),n(124,0),n(125,0),n(126,0),n(127,0),n(128,0),n(129,0),n(130,0),n(131,0),n(132,0),n(133,0),n(134,105),n(136,0),n(138,0),n(139,0),n(140,0),n(141,0),n(142,0),n(143,0),n(144,0),n(145,0),n(146,0),n(147,0),n(148,0),n(149,0),n(150,0),n(151,0),n(152,0),n(153,0),n(154,0),n(155,0),n(156,0),n(157,5),n(158,4),n(159,6),n(160,57),n(161,5),n(162,4),n(163,6),n(164,57),n(165,0),n(166,0),n(167,0),n(168,0),n(169,0),n(170,0),n(171,0),n(172,0),n(173,0),n(174,0),n(175,0),n(176,0),n(177,0),n(178,0),n(179,0),n(180,0),n(181,0),n(182,0),n(183,0),n(184,0),n(185,0),n(186,0),n(187,0),n(188,0),n(189,0),n(190,0),n(191,0),n(192,0)}()}),define(J[107],Z([0,1,57,79]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeybindingParser=void 0;class D{static _readModifiers(E){E=E.toLowerCase().trim();let n=!1,w=!1,v=!1,i=!1,b;do b=!1,/^ctrl(\+|\-)/.test(E)&&(n=!0,E=E.substr("ctrl-".length),b=!0),/^shift(\+|\-)/.test(E)&&(w=!0,E=E.substr("shift-".length),b=!0),/^alt(\+|\-)/.test(E)&&(v=!0,E=E.substr("alt-".length),b=!0),/^meta(\+|\-)/.test(E)&&(i=!0,E=E.substr("meta-".length),b=!0),/^win(\+|\-)/.test(E)&&(i=!0,E=E.substr("win-".length),b=!0),/^cmd(\+|\-)/.test(E)&&(i=!0,E=E.substr("cmd-".length),b=!0);while(b);let P;const y=E.indexOf(" ");return y>0?(P=E.substring(0,y),E=E.substring(y)):(P=E,E=""),{remains:E,ctrl:n,shift:w,alt:v,meta:i,key:P}}static parseSimpleKeybinding(E){const n=this._readModifiers(E),w=g.KeyCodeUtils.fromUserSettings(n.key);return[new g.SimpleKeybinding(n.ctrl,n.shift,n.alt,n.meta,w),n.remains]}static parseKeybinding(E,n){if(!E)return null;const w=[];let v;do[v,E]=this.parseSimpleKeybinding(E),w.push(v);while(E.length>0);return new g.ChordKeybinding(w)}static parseSimpleUserBinding(E){const n=this._readModifiers(E),w=n.key.match(/^\[([^\]]+)\]$/);if(w){const i=w[1],b=M.ScanCodeUtils.lowerCaseToEnum(i);return[new M.ScanCodeBinding(n.ctrl,n.shift,n.alt,n.meta,b),n.remains]}const v=g.KeyCodeUtils.fromUserSettings(n.key);return[new g.SimpleKeybinding(n.ctrl,n.shift,n.alt,n.meta,v),n.remains]}static parseUserBinding(E){if(!E)return[];const n=[];let w;for(;E.length>0;)[w,E]=this.parseSimpleUserBinding(E),n.push(w);return n}}e.KeybindingParser=D}),define(J[108],Z([0,1,3]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const M=g.globals.performance&&typeof g.globals.performance.now=="function";class D{constructor(E){this._highResolution=M&&E,this._startTime=this._now(),this._stopTime=-1}static create(E=!0){return new D(E)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?g.globals.performance.now():Date.now()}}e.StopWatch=D}),define(J[5],Z([0,1,16,43,2,105,108]),function(j,e,g,M,D,S,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.DebounceEmitter=e.PauseableEmitter=e.AsyncEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var n;(function(h){h.None=()=>D.Disposable.None;function o(Q){return(C,B=null,U)=>{let $=!1,F;return F=Q(R=>{if(!$)return F?F.dispose():$=!0,C.call(B,R)},null,U),$&&F.dispose(),F}}h.once=o;function c(Q,C){return p((B,U=null,$)=>Q(F=>B.call(U,C(F)),null,$))}h.map=c;function t(Q,C){return p((B,U=null,$)=>Q(F=>{C(F),B.call(U,F)},null,$))}h.forEach=t;function s(Q,C){return p((B,U=null,$)=>Q(F=>C(F)&&B.call(U,F),null,$))}h.filter=s;function r(Q){return Q}h.signal=r;function a(...Q){return(C,B=null,U)=>D.combinedDisposable(...Q.map($=>$(F=>C.call(B,F),null,U)))}h.any=a;function u(Q,C,B){let U=B;return c(Q,$=>(U=C(U,$),U))}h.reduce=u;function p(Q){let C;const B=new P({onFirstListenerAdd(){C=Q(B.fire,B)},onLastListenerRemove(){C.dispose()}});return B.event}function f(Q,C,B=100,U=!1,$){let F,R,_,O=0;const A=new P({leakWarningThreshold:$,onFirstListenerAdd(){F=Q(z=>{O++,R=C(R,z),U&&!_&&(A.fire(R),R=void 0),clearTimeout(_),_=setTimeout(()=>{const K=R;R=void 0,_=void 0,(!U||O>1)&&A.fire(K),O=0},B)})},onLastListenerRemove(){F.dispose()}});return A.event}h.debounce=f;function L(Q,C=(B,U)=>B===U){let B=!0,U;return s(Q,$=>{const F=B||!C($,U);return B=!1,U=$,F})}h.latch=L;function T(Q,C){return[h.filter(Q,C),h.filter(Q,B=>!C(B))]}h.split=T;function W(Q,C=!1,B=[]){let U=B.slice(),$=Q(_=>{U?U.push(_):R.fire(_)});const F=()=>{U&&U.forEach(_=>R.fire(_)),U=null},R=new P({onFirstListenerAdd(){$||($=Q(_=>R.fire(_)))},onFirstListenerDidAdd(){U&&(C?setTimeout(F):F())},onLastListenerRemove(){$&&$.dispose(),$=null}});return R.event}h.buffer=W;class N{constructor(C){this.event=C}map(C){return new N(c(this.event,C))}forEach(C){return new N(t(this.event,C))}filter(C){return new N(s(this.event,C))}reduce(C,B){return new N(u(this.event,C,B))}latch(){return new N(L(this.event))}debounce(C,B=100,U=!1,$){return new N(f(this.event,C,B,U,$))}on(C,B,U){return this.event(C,B,U)}once(C,B,U){return o(this.event)(C,B,U)}}function V(Q){return new N(Q)}h.chain=V;function ee(Q,C,B=U=>U){const U=(..._)=>R.fire(B(..._)),$=()=>Q.on(C,U),F=()=>Q.removeListener(C,U),R=new P({onFirstListenerAdd:$,onLastListenerRemove:F});return R.event}h.fromNodeEventEmitter=ee;function q(Q,C,B=U=>U){const U=(..._)=>R.fire(B(..._)),$=()=>Q.addEventListener(C,U),F=()=>Q.removeEventListener(C,U),R=new P({onFirstListenerAdd:$,onLastListenerRemove:F});return R.event}h.fromDOMEventEmitter=q;function x(Q){return new Promise(C=>o(Q)(C))}h.toPromise=x})(n=e.Event||(e.Event={}));class w{constructor(o){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${o}_${w._idPool++}`}start(o){this._stopWatch=new E.StopWatch(!0),this._listenerCount=o}stop(){if(this._stopWatch){const o=this._stopWatch.elapsed();this._elapsedOverall+=o,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${o.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}w._idPool=0;let v=-1;function i(h){const o=v;return v=h,{dispose(){v=o}}}e.setGlobalLeakWarningThreshold=i;class b{constructor(o,c=Math.random().toString(18).slice(2,5)){this.customThreshold=o,this.name=c,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(o){let c=v;if(typeof this.customThreshold=="number"&&(c=this.customThreshold),c<=0||o<c)return;this._stacks||(this._stacks=new Map);const t=new Error().stack.split(`
`).slice(3).join(`
`),s=this._stacks.get(t)||0;if(this._stacks.set(t,s+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=c*.5;let r,a=0;for(const[u,p]of this._stacks)(!r||a<p)&&(r=u,a=p);console.warn(`[${this.name}] potential listener LEAK detected, having ${o} listeners already. MOST frequent listener (${a}):`),console.warn(r)}return()=>{const r=this._stacks.get(t)||0;this._stacks.set(t,r-1)}}}class P{constructor(o){this._disposed=!1,this._options=o,this._leakageMon=v>0?new b(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new w(this._options._profName):void 0}get event(){return this._event||(this._event=(o,c,t)=>{this._listeners||(this._listeners=new S.LinkedList);const s=this._listeners.isEmpty();s&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const r=this._listeners.push(c?[o,c]:o);s&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,o,c);const a=this._leakageMon?.check(this._listeners.size);let u;return u={dispose:()=>{a&&a(),u.dispose=P._noop,this._disposed||(r(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},t instanceof D.DisposableStore?t.add(u):Array.isArray(t)&&t.push(u),u}),this._event}fire(o){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new S.LinkedList);for(let c of this._listeners)this._deliveryQueue.push([c,o]);for(this._perfMon?.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[c,t]=this._deliveryQueue.shift();try{typeof c=="function"?c.call(void 0,t):c[0].call(c[1],t)}catch(s){g.onUnexpectedError(s)}}this._perfMon?.stop()}}dispose(){this._disposed||(this._disposed=!0,this._listeners?.clear(),this._deliveryQueue?.clear(),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose())}}e.Emitter=P,P._noop=function(){};class y extends P{async fireAsync(o,c,t){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new S.LinkedList);for(const s of this._listeners)this._asyncDeliveryQueue.push([s,o]);for(;this._asyncDeliveryQueue.size>0&&!c.isCancellationRequested;){const[s,r]=this._asyncDeliveryQueue.shift(),a=[],u={...r,waitUntil:p=>{if(Object.isFrozen(a))throw new Error("waitUntil can NOT be called asynchronous");t&&(p=t(p,typeof s=="function"?s:s[0])),a.push(p)}};try{typeof s=="function"?s.call(void 0,u):s[0].call(s[1],u)}catch(p){g.onUnexpectedError(p);continue}Object.freeze(a),await Promise.allSettled(a).then(p=>{for(const f of p)f.status==="rejected"&&g.onUnexpectedError(f.reason)})}}}}e.AsyncEmitter=y;class d extends P{constructor(o){super(o);this._isPaused=0,this._eventQueue=new S.LinkedList,this._mergeFn=o?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const o=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(o))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(o){this._listeners&&(this._isPaused!==0?this._eventQueue.push(o):super.fire(o))}}e.PauseableEmitter=d;class m extends d{constructor(o){super(o);this._delay=o.delay??100}fire(o){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(o)}}e.DebounceEmitter=m;class k{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new P({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(o){const c={event:o,listener:null};this.events.push(c),this.hasListeners&&this.hook(c);const t=()=>{this.hasListeners&&this.unhook(c);const s=this.events.indexOf(c);this.events.splice(s,1)};return D.toDisposable(M.once(t))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(o=>this.hook(o))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(o=>this.unhook(o))}hook(o){o.listener=o.event(c=>this.emitter.fire(c))}unhook(o){o.listener&&o.listener.dispose(),o.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=k;class I{constructor(){this.buffers=[]}wrapEvent(o){return(c,t,s)=>o(r=>{const a=this.buffers[this.buffers.length-1];a?a.push(()=>c.call(t,r)):c.call(t,r)},void 0,s)}bufferEvents(o){const c=[];this.buffers.push(c);const t=o();return this.buffers.pop(),c.forEach(s=>s()),t}}e.EventBufferer=I;class l{constructor(){this.listening=!1,this.inputEvent=n.None,this.inputEventListener=D.Disposable.None,this.emitter=new P({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(o){this.inputEvent=o,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=o(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=l}),define(J[25],Z([0,1,5]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const M=Object.freeze(function(n,w){const v=setTimeout(n.bind(w),0);return{dispose(){clearTimeout(v)}}});var D;(function(n){function w(v){return v===n.None||v===n.Cancelled||v instanceof S?!0:!v||typeof v!="object"?!1:typeof v.isCancellationRequested=="boolean"&&typeof v.onCancellationRequested=="function"}n.isCancellationToken=w,n.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:g.Event.None}),n.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:M})})(D=e.CancellationToken||(e.CancellationToken={}));class S{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?M:(this._emitter||(this._emitter=new g.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class E{constructor(w){this._token=void 0,this._parentListener=void 0,this._parentListener=w&&w.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new S),this._token}cancel(){this._token?this._token instanceof S&&this._token.cancel():this._token=D.Cancelled}dispose(w=!1){w&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof S&&this._token.dispose():this._token=D.None}}e.CancellationTokenSource=E}),define(J[109],Z([0,1,5]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.getCodiconAriaLabel=e.registerCodicon=e.iconRegistry=void 0;class M{constructor(){this._icons=new Map,this._onDidRegister=new g.Emitter}add(b){const P=this._icons.get(b.id);P?b.description?P.description=b.description:console.error(`Duplicate registration of codicon ${b.id}`):(this._icons.set(b.id,b),this._onDidRegister.fire(b))}get(b){return this._icons.get(b)}get all(){return this._icons.values()}get onDidRegister(){return this._onDidRegister.event}}const D=new M;e.iconRegistry=D;function S(i,b){return new n(i,b)}e.registerCodicon=S;function E(i){return i?i.replace(/\$\((.*?)\)/g,(b,P)=>` ${P} `).trim():""}e.getCodiconAriaLabel=E;class n{constructor(b,P,y){this.id=b,this.definition=P,this.description=y,D.add(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}}e.Codicon=n;function w(i,b){const P=["codicon","codicon-"+i];return b&&P.push("codicon-modifier-"+b),P}e.getClassNamesArray=w;var v;(function(i){i.iconNameSegment="[A-Za-z0-9]+",i.iconNameExpression="[A-Za-z0-9\\-]+",i.iconModifierExpression="~[A-Za-z]+";const b=new RegExp(`^(${i.iconNameExpression})(${i.iconModifierExpression})?$`);function P(m){if(m instanceof n)return["codicon","codicon-"+m.id];const k=b.exec(m.id);if(!k)return P(n.error);let[,I,l]=k;const h=["codicon","codicon-"+I];return l&&h.push("codicon-modifier-"+l.substr(1)),h}i.asClassNameArray=P;function y(m){return P(m).join(" ")}i.asClassName=y;function d(m){return"."+P(m).join(".")}i.asCSSSelector=d})(v=e.CSSIcon||(e.CSSIcon={})),function(i){i.add=new i("add",{fontCharacter:"\\ea60"}),i.plus=new i("plus",{fontCharacter:"\\ea60"}),i.gistNew=new i("gist-new",{fontCharacter:"\\ea60"}),i.repoCreate=new i("repo-create",{fontCharacter:"\\ea60"}),i.lightbulb=new i("lightbulb",{fontCharacter:"\\ea61"}),i.lightBulb=new i("light-bulb",{fontCharacter:"\\ea61"}),i.repo=new i("repo",{fontCharacter:"\\ea62"}),i.repoDelete=new i("repo-delete",{fontCharacter:"\\ea62"}),i.gistFork=new i("gist-fork",{fontCharacter:"\\ea63"}),i.repoForked=new i("repo-forked",{fontCharacter:"\\ea63"}),i.gitPullRequest=new i("git-pull-request",{fontCharacter:"\\ea64"}),i.gitPullRequestAbandoned=new i("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),i.recordKeys=new i("record-keys",{fontCharacter:"\\ea65"}),i.keyboard=new i("keyboard",{fontCharacter:"\\ea65"}),i.tag=new i("tag",{fontCharacter:"\\ea66"}),i.tagAdd=new i("tag-add",{fontCharacter:"\\ea66"}),i.tagRemove=new i("tag-remove",{fontCharacter:"\\ea66"}),i.person=new i("person",{fontCharacter:"\\ea67"}),i.personFollow=new i("person-follow",{fontCharacter:"\\ea67"}),i.personOutline=new i("person-outline",{fontCharacter:"\\ea67"}),i.personFilled=new i("person-filled",{fontCharacter:"\\ea67"}),i.gitBranch=new i("git-branch",{fontCharacter:"\\ea68"}),i.gitBranchCreate=new i("git-branch-create",{fontCharacter:"\\ea68"}),i.gitBranchDelete=new i("git-branch-delete",{fontCharacter:"\\ea68"}),i.sourceControl=new i("source-control",{fontCharacter:"\\ea68"}),i.mirror=new i("mirror",{fontCharacter:"\\ea69"}),i.mirrorPublic=new i("mirror-public",{fontCharacter:"\\ea69"}),i.star=new i("star",{fontCharacter:"\\ea6a"}),i.starAdd=new i("star-add",{fontCharacter:"\\ea6a"}),i.starDelete=new i("star-delete",{fontCharacter:"\\ea6a"}),i.starEmpty=new i("star-empty",{fontCharacter:"\\ea6a"}),i.comment=new i("comment",{fontCharacter:"\\ea6b"}),i.commentAdd=new i("comment-add",{fontCharacter:"\\ea6b"}),i.alert=new i("alert",{fontCharacter:"\\ea6c"}),i.warning=new i("warning",{fontCharacter:"\\ea6c"}),i.search=new i("search",{fontCharacter:"\\ea6d"}),i.searchSave=new i("search-save",{fontCharacter:"\\ea6d"}),i.logOut=new i("log-out",{fontCharacter:"\\ea6e"}),i.signOut=new i("sign-out",{fontCharacter:"\\ea6e"}),i.logIn=new i("log-in",{fontCharacter:"\\ea6f"}),i.signIn=new i("sign-in",{fontCharacter:"\\ea6f"}),i.eye=new i("eye",{fontCharacter:"\\ea70"}),i.eyeUnwatch=new i("eye-unwatch",{fontCharacter:"\\ea70"}),i.eyeWatch=new i("eye-watch",{fontCharacter:"\\ea70"}),i.circleFilled=new i("circle-filled",{fontCharacter:"\\ea71"}),i.primitiveDot=new i("primitive-dot",{fontCharacter:"\\ea71"}),i.closeDirty=new i("close-dirty",{fontCharacter:"\\ea71"}),i.debugBreakpoint=new i("debug-breakpoint",{fontCharacter:"\\ea71"}),i.debugBreakpointDisabled=new i("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),i.debugHint=new i("debug-hint",{fontCharacter:"\\ea71"}),i.primitiveSquare=new i("primitive-square",{fontCharacter:"\\ea72"}),i.edit=new i("edit",{fontCharacter:"\\ea73"}),i.pencil=new i("pencil",{fontCharacter:"\\ea73"}),i.info=new i("info",{fontCharacter:"\\ea74"}),i.issueOpened=new i("issue-opened",{fontCharacter:"\\ea74"}),i.gistPrivate=new i("gist-private",{fontCharacter:"\\ea75"}),i.gitForkPrivate=new i("git-fork-private",{fontCharacter:"\\ea75"}),i.lock=new i("lock",{fontCharacter:"\\ea75"}),i.mirrorPrivate=new i("mirror-private",{fontCharacter:"\\ea75"}),i.close=new i("close",{fontCharacter:"\\ea76"}),i.removeClose=new i("remove-close",{fontCharacter:"\\ea76"}),i.x=new i("x",{fontCharacter:"\\ea76"}),i.repoSync=new i("repo-sync",{fontCharacter:"\\ea77"}),i.sync=new i("sync",{fontCharacter:"\\ea77"}),i.clone=new i("clone",{fontCharacter:"\\ea78"}),i.desktopDownload=new i("desktop-download",{fontCharacter:"\\ea78"}),i.beaker=new i("beaker",{fontCharacter:"\\ea79"}),i.microscope=new i("microscope",{fontCharacter:"\\ea79"}),i.vm=new i("vm",{fontCharacter:"\\ea7a"}),i.deviceDesktop=new i("device-desktop",{fontCharacter:"\\ea7a"}),i.file=new i("file",{fontCharacter:"\\ea7b"}),i.fileText=new i("file-text",{fontCharacter:"\\ea7b"}),i.more=new i("more",{fontCharacter:"\\ea7c"}),i.ellipsis=new i("ellipsis",{fontCharacter:"\\ea7c"}),i.kebabHorizontal=new i("kebab-horizontal",{fontCharacter:"\\ea7c"}),i.mailReply=new i("mail-reply",{fontCharacter:"\\ea7d"}),i.reply=new i("reply",{fontCharacter:"\\ea7d"}),i.organization=new i("organization",{fontCharacter:"\\ea7e"}),i.organizationFilled=new i("organization-filled",{fontCharacter:"\\ea7e"}),i.organizationOutline=new i("organization-outline",{fontCharacter:"\\ea7e"}),i.newFile=new i("new-file",{fontCharacter:"\\ea7f"}),i.fileAdd=new i("file-add",{fontCharacter:"\\ea7f"}),i.newFolder=new i("new-folder",{fontCharacter:"\\ea80"}),i.fileDirectoryCreate=new i("file-directory-create",{fontCharacter:"\\ea80"}),i.trash=new i("trash",{fontCharacter:"\\ea81"}),i.trashcan=new i("trashcan",{fontCharacter:"\\ea81"}),i.history=new i("history",{fontCharacter:"\\ea82"}),i.clock=new i("clock",{fontCharacter:"\\ea82"}),i.folder=new i("folder",{fontCharacter:"\\ea83"}),i.fileDirectory=new i("file-directory",{fontCharacter:"\\ea83"}),i.symbolFolder=new i("symbol-folder",{fontCharacter:"\\ea83"}),i.logoGithub=new i("logo-github",{fontCharacter:"\\ea84"}),i.markGithub=new i("mark-github",{fontCharacter:"\\ea84"}),i.github=new i("github",{fontCharacter:"\\ea84"}),i.terminal=new i("terminal",{fontCharacter:"\\ea85"}),i.console=new i("console",{fontCharacter:"\\ea85"}),i.repl=new i("repl",{fontCharacter:"\\ea85"}),i.zap=new i("zap",{fontCharacter:"\\ea86"}),i.symbolEvent=new i("symbol-event",{fontCharacter:"\\ea86"}),i.error=new i("error",{fontCharacter:"\\ea87"}),i.stop=new i("stop",{fontCharacter:"\\ea87"}),i.variable=new i("variable",{fontCharacter:"\\ea88"}),i.symbolVariable=new i("symbol-variable",{fontCharacter:"\\ea88"}),i.array=new i("array",{fontCharacter:"\\ea8a"}),i.symbolArray=new i("symbol-array",{fontCharacter:"\\ea8a"}),i.symbolModule=new i("symbol-module",{fontCharacter:"\\ea8b"}),i.symbolPackage=new i("symbol-package",{fontCharacter:"\\ea8b"}),i.symbolNamespace=new i("symbol-namespace",{fontCharacter:"\\ea8b"}),i.symbolObject=new i("symbol-object",{fontCharacter:"\\ea8b"}),i.symbolMethod=new i("symbol-method",{fontCharacter:"\\ea8c"}),i.symbolFunction=new i("symbol-function",{fontCharacter:"\\ea8c"}),i.symbolConstructor=new i("symbol-constructor",{fontCharacter:"\\ea8c"}),i.symbolBoolean=new i("symbol-boolean",{fontCharacter:"\\ea8f"}),i.symbolNull=new i("symbol-null",{fontCharacter:"\\ea8f"}),i.symbolNumeric=new i("symbol-numeric",{fontCharacter:"\\ea90"}),i.symbolNumber=new i("symbol-number",{fontCharacter:"\\ea90"}),i.symbolStructure=new i("symbol-structure",{fontCharacter:"\\ea91"}),i.symbolStruct=new i("symbol-struct",{fontCharacter:"\\ea91"}),i.symbolParameter=new i("symbol-parameter",{fontCharacter:"\\ea92"}),i.symbolTypeParameter=new i("symbol-type-parameter",{fontCharacter:"\\ea92"}),i.symbolKey=new i("symbol-key",{fontCharacter:"\\ea93"}),i.symbolText=new i("symbol-text",{fontCharacter:"\\ea93"}),i.symbolReference=new i("symbol-reference",{fontCharacter:"\\ea94"}),i.goToFile=new i("go-to-file",{fontCharacter:"\\ea94"}),i.symbolEnum=new i("symbol-enum",{fontCharacter:"\\ea95"}),i.symbolValue=new i("symbol-value",{fontCharacter:"\\ea95"}),i.symbolRuler=new i("symbol-ruler",{fontCharacter:"\\ea96"}),i.symbolUnit=new i("symbol-unit",{fontCharacter:"\\ea96"}),i.activateBreakpoints=new i("activate-breakpoints",{fontCharacter:"\\ea97"}),i.archive=new i("archive",{fontCharacter:"\\ea98"}),i.arrowBoth=new i("arrow-both",{fontCharacter:"\\ea99"}),i.arrowDown=new i("arrow-down",{fontCharacter:"\\ea9a"}),i.arrowLeft=new i("arrow-left",{fontCharacter:"\\ea9b"}),i.arrowRight=new i("arrow-right",{fontCharacter:"\\ea9c"}),i.arrowSmallDown=new i("arrow-small-down",{fontCharacter:"\\ea9d"}),i.arrowSmallLeft=new i("arrow-small-left",{fontCharacter:"\\ea9e"}),i.arrowSmallRight=new i("arrow-small-right",{fontCharacter:"\\ea9f"}),i.arrowSmallUp=new i("arrow-small-up",{fontCharacter:"\\eaa0"}),i.arrowUp=new i("arrow-up",{fontCharacter:"\\eaa1"}),i.bell=new i("bell",{fontCharacter:"\\eaa2"}),i.bold=new i("bold",{fontCharacter:"\\eaa3"}),i.book=new i("book",{fontCharacter:"\\eaa4"}),i.bookmark=new i("bookmark",{fontCharacter:"\\eaa5"}),i.debugBreakpointConditionalUnverified=new i("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),i.debugBreakpointConditional=new i("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),i.debugBreakpointConditionalDisabled=new i("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),i.debugBreakpointDataUnverified=new i("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),i.debugBreakpointData=new i("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),i.debugBreakpointDataDisabled=new i("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),i.debugBreakpointLogUnverified=new i("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),i.debugBreakpointLog=new i("debug-breakpoint-log",{fontCharacter:"\\eaab"}),i.debugBreakpointLogDisabled=new i("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),i.briefcase=new i("briefcase",{fontCharacter:"\\eaac"}),i.broadcast=new i("broadcast",{fontCharacter:"\\eaad"}),i.browser=new i("browser",{fontCharacter:"\\eaae"}),i.bug=new i("bug",{fontCharacter:"\\eaaf"}),i.calendar=new i("calendar",{fontCharacter:"\\eab0"}),i.caseSensitive=new i("case-sensitive",{fontCharacter:"\\eab1"}),i.check=new i("check",{fontCharacter:"\\eab2"}),i.checklist=new i("checklist",{fontCharacter:"\\eab3"}),i.chevronDown=new i("chevron-down",{fontCharacter:"\\eab4"}),i.chevronLeft=new i("chevron-left",{fontCharacter:"\\eab5"}),i.chevronRight=new i("chevron-right",{fontCharacter:"\\eab6"}),i.chevronUp=new i("chevron-up",{fontCharacter:"\\eab7"}),i.chromeClose=new i("chrome-close",{fontCharacter:"\\eab8"}),i.chromeMaximize=new i("chrome-maximize",{fontCharacter:"\\eab9"}),i.chromeMinimize=new i("chrome-minimize",{fontCharacter:"\\eaba"}),i.chromeRestore=new i("chrome-restore",{fontCharacter:"\\eabb"}),i.circleOutline=new i("circle-outline",{fontCharacter:"\\eabc"}),i.debugBreakpointUnverified=new i("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),i.circleSlash=new i("circle-slash",{fontCharacter:"\\eabd"}),i.circuitBoard=new i("circuit-board",{fontCharacter:"\\eabe"}),i.clearAll=new i("clear-all",{fontCharacter:"\\eabf"}),i.clippy=new i("clippy",{fontCharacter:"\\eac0"}),i.closeAll=new i("close-all",{fontCharacter:"\\eac1"}),i.cloudDownload=new i("cloud-download",{fontCharacter:"\\eac2"}),i.cloudUpload=new i("cloud-upload",{fontCharacter:"\\eac3"}),i.code=new i("code",{fontCharacter:"\\eac4"}),i.collapseAll=new i("collapse-all",{fontCharacter:"\\eac5"}),i.colorMode=new i("color-mode",{fontCharacter:"\\eac6"}),i.commentDiscussion=new i("comment-discussion",{fontCharacter:"\\eac7"}),i.compareChanges=new i("compare-changes",{fontCharacter:"\\eafd"}),i.creditCard=new i("credit-card",{fontCharacter:"\\eac9"}),i.dash=new i("dash",{fontCharacter:"\\eacc"}),i.dashboard=new i("dashboard",{fontCharacter:"\\eacd"}),i.database=new i("database",{fontCharacter:"\\eace"}),i.debugContinue=new i("debug-continue",{fontCharacter:"\\eacf"}),i.debugDisconnect=new i("debug-disconnect",{fontCharacter:"\\ead0"}),i.debugPause=new i("debug-pause",{fontCharacter:"\\ead1"}),i.debugRestart=new i("debug-restart",{fontCharacter:"\\ead2"}),i.debugStart=new i("debug-start",{fontCharacter:"\\ead3"}),i.debugStepInto=new i("debug-step-into",{fontCharacter:"\\ead4"}),i.debugStepOut=new i("debug-step-out",{fontCharacter:"\\ead5"}),i.debugStepOver=new i("debug-step-over",{fontCharacter:"\\ead6"}),i.debugStop=new i("debug-stop",{fontCharacter:"\\ead7"}),i.debug=new i("debug",{fontCharacter:"\\ead8"}),i.deviceCameraVideo=new i("device-camera-video",{fontCharacter:"\\ead9"}),i.deviceCamera=new i("device-camera",{fontCharacter:"\\eada"}),i.deviceMobile=new i("device-mobile",{fontCharacter:"\\eadb"}),i.diffAdded=new i("diff-added",{fontCharacter:"\\eadc"}),i.diffIgnored=new i("diff-ignored",{fontCharacter:"\\eadd"}),i.diffModified=new i("diff-modified",{fontCharacter:"\\eade"}),i.diffRemoved=new i("diff-removed",{fontCharacter:"\\eadf"}),i.diffRenamed=new i("diff-renamed",{fontCharacter:"\\eae0"}),i.diff=new i("diff",{fontCharacter:"\\eae1"}),i.discard=new i("discard",{fontCharacter:"\\eae2"}),i.editorLayout=new i("editor-layout",{fontCharacter:"\\eae3"}),i.emptyWindow=new i("empty-window",{fontCharacter:"\\eae4"}),i.exclude=new i("exclude",{fontCharacter:"\\eae5"}),i.extensions=new i("extensions",{fontCharacter:"\\eae6"}),i.eyeClosed=new i("eye-closed",{fontCharacter:"\\eae7"}),i.fileBinary=new i("file-binary",{fontCharacter:"\\eae8"}),i.fileCode=new i("file-code",{fontCharacter:"\\eae9"}),i.fileMedia=new i("file-media",{fontCharacter:"\\eaea"}),i.filePdf=new i("file-pdf",{fontCharacter:"\\eaeb"}),i.fileSubmodule=new i("file-submodule",{fontCharacter:"\\eaec"}),i.fileSymlinkDirectory=new i("file-symlink-directory",{fontCharacter:"\\eaed"}),i.fileSymlinkFile=new i("file-symlink-file",{fontCharacter:"\\eaee"}),i.fileZip=new i("file-zip",{fontCharacter:"\\eaef"}),i.files=new i("files",{fontCharacter:"\\eaf0"}),i.filter=new i("filter",{fontCharacter:"\\eaf1"}),i.flame=new i("flame",{fontCharacter:"\\eaf2"}),i.foldDown=new i("fold-down",{fontCharacter:"\\eaf3"}),i.foldUp=new i("fold-up",{fontCharacter:"\\eaf4"}),i.fold=new i("fold",{fontCharacter:"\\eaf5"}),i.folderActive=new i("folder-active",{fontCharacter:"\\eaf6"}),i.folderOpened=new i("folder-opened",{fontCharacter:"\\eaf7"}),i.gear=new i("gear",{fontCharacter:"\\eaf8"}),i.gift=new i("gift",{fontCharacter:"\\eaf9"}),i.gistSecret=new i("gist-secret",{fontCharacter:"\\eafa"}),i.gist=new i("gist",{fontCharacter:"\\eafb"}),i.gitCommit=new i("git-commit",{fontCharacter:"\\eafc"}),i.gitCompare=new i("git-compare",{fontCharacter:"\\eafd"}),i.gitMerge=new i("git-merge",{fontCharacter:"\\eafe"}),i.githubAction=new i("github-action",{fontCharacter:"\\eaff"}),i.githubAlt=new i("github-alt",{fontCharacter:"\\eb00"}),i.globe=new i("globe",{fontCharacter:"\\eb01"}),i.grabber=new i("grabber",{fontCharacter:"\\eb02"}),i.graph=new i("graph",{fontCharacter:"\\eb03"}),i.gripper=new i("gripper",{fontCharacter:"\\eb04"}),i.heart=new i("heart",{fontCharacter:"\\eb05"}),i.home=new i("home",{fontCharacter:"\\eb06"}),i.horizontalRule=new i("horizontal-rule",{fontCharacter:"\\eb07"}),i.hubot=new i("hubot",{fontCharacter:"\\eb08"}),i.inbox=new i("inbox",{fontCharacter:"\\eb09"}),i.issueClosed=new i("issue-closed",{fontCharacter:"\\eb0a"}),i.issueReopened=new i("issue-reopened",{fontCharacter:"\\eb0b"}),i.issues=new i("issues",{fontCharacter:"\\eb0c"}),i.italic=new i("italic",{fontCharacter:"\\eb0d"}),i.jersey=new i("jersey",{fontCharacter:"\\eb0e"}),i.json=new i("json",{fontCharacter:"\\eb0f"}),i.kebabVertical=new i("kebab-vertical",{fontCharacter:"\\eb10"}),i.key=new i("key",{fontCharacter:"\\eb11"}),i.law=new i("law",{fontCharacter:"\\eb12"}),i.lightbulbAutofix=new i("lightbulb-autofix",{fontCharacter:"\\eb13"}),i.linkExternal=new i("link-external",{fontCharacter:"\\eb14"}),i.link=new i("link",{fontCharacter:"\\eb15"}),i.listOrdered=new i("list-ordered",{fontCharacter:"\\eb16"}),i.listUnordered=new i("list-unordered",{fontCharacter:"\\eb17"}),i.liveShare=new i("live-share",{fontCharacter:"\\eb18"}),i.loading=new i("loading",{fontCharacter:"\\eb19"}),i.location=new i("location",{fontCharacter:"\\eb1a"}),i.mailRead=new i("mail-read",{fontCharacter:"\\eb1b"}),i.mail=new i("mail",{fontCharacter:"\\eb1c"}),i.markdown=new i("markdown",{fontCharacter:"\\eb1d"}),i.megaphone=new i("megaphone",{fontCharacter:"\\eb1e"}),i.mention=new i("mention",{fontCharacter:"\\eb1f"}),i.milestone=new i("milestone",{fontCharacter:"\\eb20"}),i.mortarBoard=new i("mortar-board",{fontCharacter:"\\eb21"}),i.move=new i("move",{fontCharacter:"\\eb22"}),i.multipleWindows=new i("multiple-windows",{fontCharacter:"\\eb23"}),i.mute=new i("mute",{fontCharacter:"\\eb24"}),i.noNewline=new i("no-newline",{fontCharacter:"\\eb25"}),i.note=new i("note",{fontCharacter:"\\eb26"}),i.octoface=new i("octoface",{fontCharacter:"\\eb27"}),i.openPreview=new i("open-preview",{fontCharacter:"\\eb28"}),i.package_=new i("package",{fontCharacter:"\\eb29"}),i.paintcan=new i("paintcan",{fontCharacter:"\\eb2a"}),i.pin=new i("pin",{fontCharacter:"\\eb2b"}),i.play=new i("play",{fontCharacter:"\\eb2c"}),i.run=new i("run",{fontCharacter:"\\eb2c"}),i.plug=new i("plug",{fontCharacter:"\\eb2d"}),i.preserveCase=new i("preserve-case",{fontCharacter:"\\eb2e"}),i.preview=new i("preview",{fontCharacter:"\\eb2f"}),i.project=new i("project",{fontCharacter:"\\eb30"}),i.pulse=new i("pulse",{fontCharacter:"\\eb31"}),i.question=new i("question",{fontCharacter:"\\eb32"}),i.quote=new i("quote",{fontCharacter:"\\eb33"}),i.radioTower=new i("radio-tower",{fontCharacter:"\\eb34"}),i.reactions=new i("reactions",{fontCharacter:"\\eb35"}),i.references=new i("references",{fontCharacter:"\\eb36"}),i.refresh=new i("refresh",{fontCharacter:"\\eb37"}),i.regex=new i("regex",{fontCharacter:"\\eb38"}),i.remoteExplorer=new i("remote-explorer",{fontCharacter:"\\eb39"}),i.remote=new i("remote",{fontCharacter:"\\eb3a"}),i.remove=new i("remove",{fontCharacter:"\\eb3b"}),i.replaceAll=new i("replace-all",{fontCharacter:"\\eb3c"}),i.replace=new i("replace",{fontCharacter:"\\eb3d"}),i.repoClone=new i("repo-clone",{fontCharacter:"\\eb3e"}),i.repoForcePush=new i("repo-force-push",{fontCharacter:"\\eb3f"}),i.repoPull=new i("repo-pull",{fontCharacter:"\\eb40"}),i.repoPush=new i("repo-push",{fontCharacter:"\\eb41"}),i.report=new i("report",{fontCharacter:"\\eb42"}),i.requestChanges=new i("request-changes",{fontCharacter:"\\eb43"}),i.rocket=new i("rocket",{fontCharacter:"\\eb44"}),i.rootFolderOpened=new i("root-folder-opened",{fontCharacter:"\\eb45"}),i.rootFolder=new i("root-folder",{fontCharacter:"\\eb46"}),i.rss=new i("rss",{fontCharacter:"\\eb47"}),i.ruby=new i("ruby",{fontCharacter:"\\eb48"}),i.saveAll=new i("save-all",{fontCharacter:"\\eb49"}),i.saveAs=new i("save-as",{fontCharacter:"\\eb4a"}),i.save=new i("save",{fontCharacter:"\\eb4b"}),i.screenFull=new i("screen-full",{fontCharacter:"\\eb4c"}),i.screenNormal=new i("screen-normal",{fontCharacter:"\\eb4d"}),i.searchStop=new i("search-stop",{fontCharacter:"\\eb4e"}),i.server=new i("server",{fontCharacter:"\\eb50"}),i.settingsGear=new i("settings-gear",{fontCharacter:"\\eb51"}),i.settings=new i("settings",{fontCharacter:"\\eb52"}),i.shield=new i("shield",{fontCharacter:"\\eb53"}),i.smiley=new i("smiley",{fontCharacter:"\\eb54"}),i.sortPrecedence=new i("sort-precedence",{fontCharacter:"\\eb55"}),i.splitHorizontal=new i("split-horizontal",{fontCharacter:"\\eb56"}),i.splitVertical=new i("split-vertical",{fontCharacter:"\\eb57"}),i.squirrel=new i("squirrel",{fontCharacter:"\\eb58"}),i.starFull=new i("star-full",{fontCharacter:"\\eb59"}),i.starHalf=new i("star-half",{fontCharacter:"\\eb5a"}),i.symbolClass=new i("symbol-class",{fontCharacter:"\\eb5b"}),i.symbolColor=new i("symbol-color",{fontCharacter:"\\eb5c"}),i.symbolConstant=new i("symbol-constant",{fontCharacter:"\\eb5d"}),i.symbolEnumMember=new i("symbol-enum-member",{fontCharacter:"\\eb5e"}),i.symbolField=new i("symbol-field",{fontCharacter:"\\eb5f"}),i.symbolFile=new i("symbol-file",{fontCharacter:"\\eb60"}),i.symbolInterface=new i("symbol-interface",{fontCharacter:"\\eb61"}),i.symbolKeyword=new i("symbol-keyword",{fontCharacter:"\\eb62"}),i.symbolMisc=new i("symbol-misc",{fontCharacter:"\\eb63"}),i.symbolOperator=new i("symbol-operator",{fontCharacter:"\\eb64"}),i.symbolProperty=new i("symbol-property",{fontCharacter:"\\eb65"}),i.wrench=new i("wrench",{fontCharacter:"\\eb65"}),i.wrenchSubaction=new i("wrench-subaction",{fontCharacter:"\\eb65"}),i.symbolSnippet=new i("symbol-snippet",{fontCharacter:"\\eb66"}),i.tasklist=new i("tasklist",{fontCharacter:"\\eb67"}),i.telescope=new i("telescope",{fontCharacter:"\\eb68"}),i.textSize=new i("text-size",{fontCharacter:"\\eb69"}),i.threeBars=new i("three-bars",{fontCharacter:"\\eb6a"}),i.thumbsdown=new i("thumbsdown",{fontCharacter:"\\eb6b"}),i.thumbsup=new i("thumbsup",{fontCharacter:"\\eb6c"}),i.tools=new i("tools",{fontCharacter:"\\eb6d"}),i.triangleDown=new i("triangle-down",{fontCharacter:"\\eb6e"}),i.triangleLeft=new i("triangle-left",{fontCharacter:"\\eb6f"}),i.triangleRight=new i("triangle-right",{fontCharacter:"\\eb70"}),i.triangleUp=new i("triangle-up",{fontCharacter:"\\eb71"}),i.twitter=new i("twitter",{fontCharacter:"\\eb72"}),i.unfold=new i("unfold",{fontCharacter:"\\eb73"}),i.unlock=new i("unlock",{fontCharacter:"\\eb74"}),i.unmute=new i("unmute",{fontCharacter:"\\eb75"}),i.unverified=new i("unverified",{fontCharacter:"\\eb76"}),i.verified=new i("verified",{fontCharacter:"\\eb77"}),i.versions=new i("versions",{fontCharacter:"\\eb78"}),i.vmActive=new i("vm-active",{fontCharacter:"\\eb79"}),i.vmOutline=new i("vm-outline",{fontCharacter:"\\eb7a"}),i.vmRunning=new i("vm-running",{fontCharacter:"\\eb7b"}),i.watch=new i("watch",{fontCharacter:"\\eb7c"}),i.whitespace=new i("whitespace",{fontCharacter:"\\eb7d"}),i.wholeWord=new i("whole-word",{fontCharacter:"\\eb7e"}),i.window=new i("window",{fontCharacter:"\\eb7f"}),i.wordWrap=new i("word-wrap",{fontCharacter:"\\eb80"}),i.zoomIn=new i("zoom-in",{fontCharacter:"\\eb81"}),i.zoomOut=new i("zoom-out",{fontCharacter:"\\eb82"}),i.listFilter=new i("list-filter",{fontCharacter:"\\eb83"}),i.listFlat=new i("list-flat",{fontCharacter:"\\eb84"}),i.listSelection=new i("list-selection",{fontCharacter:"\\eb85"}),i.selection=new i("selection",{fontCharacter:"\\eb85"}),i.listTree=new i("list-tree",{fontCharacter:"\\eb86"}),i.debugBreakpointFunctionUnverified=new i("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),i.debugBreakpointFunction=new i("debug-breakpoint-function",{fontCharacter:"\\eb88"}),i.debugBreakpointFunctionDisabled=new i("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),i.debugStackframeActive=new i("debug-stackframe-active",{fontCharacter:"\\eb89"}),i.debugStackframeDot=new i("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),i.debugStackframe=new i("debug-stackframe",{fontCharacter:"\\eb8b"}),i.debugStackframeFocused=new i("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),i.debugBreakpointUnsupported=new i("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),i.symbolString=new i("symbol-string",{fontCharacter:"\\eb8d"}),i.debugReverseContinue=new i("debug-reverse-continue",{fontCharacter:"\\eb8e"}),i.debugStepBack=new i("debug-step-back",{fontCharacter:"\\eb8f"}),i.debugRestartFrame=new i("debug-restart-frame",{fontCharacter:"\\eb90"}),i.callIncoming=new i("call-incoming",{fontCharacter:"\\eb92"}),i.callOutgoing=new i("call-outgoing",{fontCharacter:"\\eb93"}),i.menu=new i("menu",{fontCharacter:"\\eb94"}),i.expandAll=new i("expand-all",{fontCharacter:"\\eb95"}),i.feedback=new i("feedback",{fontCharacter:"\\eb96"}),i.groupByRefType=new i("group-by-ref-type",{fontCharacter:"\\eb97"}),i.ungroupByRefType=new i("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),i.account=new i("account",{fontCharacter:"\\eb99"}),i.bellDot=new i("bell-dot",{fontCharacter:"\\eb9a"}),i.debugConsole=new i("debug-console",{fontCharacter:"\\eb9b"}),i.library=new i("library",{fontCharacter:"\\eb9c"}),i.output=new i("output",{fontCharacter:"\\eb9d"}),i.runAll=new i("run-all",{fontCharacter:"\\eb9e"}),i.syncIgnored=new i("sync-ignored",{fontCharacter:"\\eb9f"}),i.pinned=new i("pinned",{fontCharacter:"\\eba0"}),i.githubInverted=new i("github-inverted",{fontCharacter:"\\eba1"}),i.debugAlt=new i("debug-alt",{fontCharacter:"\\eb91"}),i.serverProcess=new i("server-process",{fontCharacter:"\\eba2"}),i.serverEnvironment=new i("server-environment",{fontCharacter:"\\eba3"}),i.pass=new i("pass",{fontCharacter:"\\eba4"}),i.stopCircle=new i("stop-circle",{fontCharacter:"\\eba5"}),i.playCircle=new i("play-circle",{fontCharacter:"\\eba6"}),i.record=new i("record",{fontCharacter:"\\eba7"}),i.debugAltSmall=new i("debug-alt-small",{fontCharacter:"\\eba8"}),i.vmConnect=new i("vm-connect",{fontCharacter:"\\eba9"}),i.cloud=new i("cloud",{fontCharacter:"\\ebaa"}),i.merge=new i("merge",{fontCharacter:"\\ebab"}),i.exportIcon=new i("export",{fontCharacter:"\\ebac"}),i.graphLeft=new i("graph-left",{fontCharacter:"\\ebad"}),i.magnet=new i("magnet",{fontCharacter:"\\ebae"}),i.notebook=new i("notebook",{fontCharacter:"\\ebaf"}),i.redo=new i("redo",{fontCharacter:"\\ebb0"}),i.checkAll=new i("check-all",{fontCharacter:"\\ebb1"}),i.pinnedDirty=new i("pinned-dirty",{fontCharacter:"\\ebb2"}),i.passFilled=new i("pass-filled",{fontCharacter:"\\ebb3"}),i.circleLargeFilled=new i("circle-large-filled",{fontCharacter:"\\ebb4"}),i.circleLargeOutline=new i("circle-large-outline",{fontCharacter:"\\ebb5"}),i.combine=new i("combine",{fontCharacter:"\\ebb6"}),i.gather=new i("gather",{fontCharacter:"\\ebb6"}),i.table=new i("table",{fontCharacter:"\\ebb7"}),i.variableGroup=new i("variable-group",{fontCharacter:"\\ebb8"}),i.typeHierarchy=new i("type-hierarchy",{fontCharacter:"\\ebb9"}),i.typeHierarchySub=new i("type-hierarchy-sub",{fontCharacter:"\\ebba"}),i.typeHierarchySuper=new i("type-hierarchy-super",{fontCharacter:"\\ebbb"}),i.gitPullRequestCreate=new i("git-pull-request-create",{fontCharacter:"\\ebbc"}),i.runAbove=new i("run-above",{fontCharacter:"\\ebbd"}),i.runBelow=new i("run-below",{fontCharacter:"\\ebbe"}),i.notebookTemplate=new i("notebook-template",{fontCharacter:"\\ebbf"}),i.debugRerun=new i("debug-rerun",{fontCharacter:"\\ebc0"}),i.workspaceTrusted=new i("workspace-trusted",{fontCharacter:"\\ebc1"}),i.workspaceUntrusted=new i("workspace-untrusted",{fontCharacter:"\\ebc2"}),i.workspaceUnspecified=new i("workspace-unspecified",{fontCharacter:"\\ebc3"}),i.terminalCmd=new i("terminal-cmd",{fontCharacter:"\\ebc4"}),i.terminalDebian=new i("terminal-debian",{fontCharacter:"\\ebc5"}),i.terminalLinux=new i("terminal-linux",{fontCharacter:"\\ebc6"}),i.terminalPowershell=new i("terminal-powershell",{fontCharacter:"\\ebc7"}),i.terminalTmux=new i("terminal-tmux",{fontCharacter:"\\ebc8"}),i.terminalUbuntu=new i("terminal-ubuntu",{fontCharacter:"\\ebc9"}),i.terminalBash=new i("terminal-bash",{fontCharacter:"\\ebca"}),i.arrowSwap=new i("arrow-swap",{fontCharacter:"\\ebcb"}),i.copy=new i("copy",{fontCharacter:"\\ebcc"}),i.personAdd=new i("person-add",{fontCharacter:"\\ebcd"}),i.filterFilled=new i("filter-filled",{fontCharacter:"\\ebce"}),i.wand=new i("wand",{fontCharacter:"\\ebcf"}),i.debugLineByLine=new i("debug-line-by-line",{fontCharacter:"\\ebd0"}),i.inspect=new i("inspect",{fontCharacter:"\\ebd1"}),i.dropDownButton=new i("drop-down-button",i.chevronDown.definition)}(n=e.Codicon||(e.Codicon={}))}),define(J[64],Z([0,1,16,2]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function D(h){const o=h;return o?[o.on,o.pause,o.resume,o.destroy].every(c=>typeof c=="function"):!1}e.isReadableStream=D;function S(h){const o=h;return o?D(o.stream)&&Array.isArray(o.buffer)&&typeof o.ended=="boolean":!1}e.isReadableBufferedStream=S;function E(h,o){return new n(h,o)}e.newWriteableStream=E;class n{constructor(o,c){this.reducer=o,this.options=c,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(o){if(!this.state.destroyed){if(this.state.flowing)this.emitData(o);else if(this.buffer.data.push(o),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(c=>this.pendingWritePromises.push(c))}}error(o){this.state.destroyed||(this.state.flowing?this.emitError(o):this.buffer.error.push(o))}end(o){this.state.destroyed||(typeof o!="undefined"&&this.write(o),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(o){this.listeners.data.slice(0).forEach(c=>c(o))}emitError(o){this.listeners.error.length===0?g.onUnexpectedError(o):this.listeners.error.slice(0).forEach(c=>c(o))}emitEnd(){this.listeners.end.slice(0).forEach(o=>o())}on(o,c){if(!this.state.destroyed)switch(o){case"data":this.listeners.data.push(c),this.resume();break;case"end":this.listeners.end.push(c),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(c),this.state.flowing&&this.flowErrors();break}}removeListener(o,c){if(this.state.destroyed)return;let t;switch(o){case"data":t=this.listeners.data;break;case"end":t=this.listeners.end;break;case"error":t=this.listeners.error;break}if(t){const s=t.indexOf(c);s>=0&&t.splice(s,1)}}flowData(){if(this.buffer.data.length>0){const o=this.reducer(this.buffer.data);this.emitData(o),this.buffer.data.length=0;const c=[...this.pendingWritePromises];this.pendingWritePromises.length=0,c.forEach(t=>t())}}flowErrors(){if(this.listeners.error.length>0){for(const o of this.buffer.error)this.emitError(o);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function w(h,o){const c=[];let t;for(;(t=h.read())!==null;)c.push(t);return o(c)}e.consumeReadable=w;function v(h,o,c){const t=[];let s;for(;(s=h.read())!==null&&t.length<c;)t.push(s);return s===null&&t.length>0?o(t):{read:()=>{if(t.length>0)return t.shift();if(typeof s!="undefined"){const r=s;return s=void 0,r}return h.read()}}}e.peekReadable=v;function i(h,o){return new Promise((c,t)=>{const s=[];b(h,{onData:r=>{o&&s.push(r)},onError:r=>{o?t(r):c(void 0)},onEnd:()=>{c(o?o(s):void 0)}})})}e.consumeStream=i;function b(h,o){h.on("error",c=>o.onError(c)),h.on("end",()=>o.onEnd()),h.on("data",c=>o.onData(c))}e.listenStream=b;function P(h,o){return new Promise((c,t)=>{const s=new M.DisposableStore,r=[],a=f=>{if(r.push(f),r.length>o)return s.dispose(),h.pause(),c({stream:h,buffer:r,ended:!1})},u=f=>t(f),p=()=>c({stream:h,buffer:r,ended:!0});s.add(M.toDisposable(()=>h.removeListener("error",u))),h.on("error",u),s.add(M.toDisposable(()=>h.removeListener("end",p))),h.on("end",p),s.add(M.toDisposable(()=>h.removeListener("data",a))),h.on("data",a)})}e.peekStream=P;function y(h,o){const c=E(o);return c.end(h),c}e.toStream=y;function d(){const h=E(()=>{throw new Error("not supported")});return h.end(),h}e.emptyStream=d;function m(h){let o=!1;return{read:()=>o?null:(o=!0,h)}}e.toReadable=m;function k(h,o,c){const t=E(c);return b(h,{onData:s=>t.write(o.data(s)),onError:s=>t.error(o.error?o.error(s):s),onEnd:()=>t.end()}),t}e.transform=k;function I(h,o,c){let t=!1;return{read:()=>{const s=o.read();return t?s:(t=!0,s!==null?c([h,s]):h)}}}e.prefixedReadable=I;function l(h,o,c){let t=!1;const s=E(c);return b(o,{onData:r=>t?s.write(r):(t=!0,s.write(c([h,r]))),onError:r=>s.error(r),onEnd:()=>{t||(t=!0,s.write(h)),s.end()}}),s}e.prefixedStream=l}),define(J[23],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLeftDeleteOffset=e.GraphemeBreakType=e.breakBetweenGraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsEmoji=e.containsRTL=e.decodeUTF8=e.encodeUTF8=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format2=e.format=e.isFalsyOrWhitespace=void 0;function g(H){return!H||typeof H!="string"?!0:H.trim().length===0}e.isFalsyOrWhitespace=g;const M=/{(\d+)}/g;function D(H,...ie){return ie.length===0?H:H.replace(M,function(oe,ae){const fe=parseInt(ae,10);return isNaN(fe)||fe<0||fe>=ie.length?oe:ie[fe]})}e.format=D;const S=/{([^}]+)}/g;function E(H,ie){return H.replace(S,(oe,ae)=>ie[ae]??oe)}e.format2=E;function n(H){return H.replace(/[<>&]/g,function(ie){switch(ie){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return ie}})}e.escape=n;function w(H){return H.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=w;function v(H,ie){let oe=0;const ae=ie.charCodeAt(0);for(let fe=H.length-1;fe>=0;fe--)H.charCodeAt(fe)===ae&&oe++;return oe}e.count=v;function i(H,ie,oe="\u2026"){return H.length<=ie?H:`${H.substr(0,ie)}${oe}`}e.truncate=i;function b(H,ie=" "){const oe=P(H,ie);return y(oe,ie)}e.trim=b;function P(H,ie){if(!H||!ie)return H;const oe=ie.length;if(oe===0||H.length===0)return H;let ae=0;for(;H.indexOf(ie,ae)===ae;)ae=ae+oe;return H.substring(ae)}e.ltrim=P;function y(H,ie){if(!H||!ie)return H;const oe=ie.length,ae=H.length;if(oe===0||ae===0)return H;let fe=ae,Se=-1;for(;Se=H.lastIndexOf(ie,fe-1),!(Se===-1||Se+oe!==fe);){if(Se===0)return"";fe=Se}return H.substring(0,fe)}e.rtrim=y;function d(H){return H.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=d;function m(H){return H.replace(/\*/g,"")}e.stripWildcards=m;function k(H,ie,oe={}){if(!H)throw new Error("Cannot create regex from empty string");ie||(H=w(H)),oe.wholeWord&&(/\B/.test(H.charAt(0))||(H="\\b"+H),/\B/.test(H.charAt(H.length-1))||(H=H+"\\b"));let ae="";return oe.global&&(ae+="g"),oe.matchCase||(ae+="i"),oe.multiline&&(ae+="m"),oe.unicode&&(ae+="u"),new RegExp(H,ae)}e.createRegExp=k;function I(H){return H.source==="^"||H.source==="^$"||H.source==="$"||H.source==="^\\s*$"?!1:!!(H.exec("")&&H.lastIndex===0)}e.regExpLeadsToEndlessLoop=I;function l(H){return!!H.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=l;function h(H){return(H.global?"g":"")+(H.ignoreCase?"i":"")+(H.multiline?"m":"")+(H.unicode?"u":"")}e.regExpFlags=h;function o(H){return H.split(/\r\n|\r|\n/)}e.splitLines=o;function c(H){for(let ie=0,oe=H.length;ie<oe;ie++){const ae=H.charCodeAt(ie);if(ae!==32&&ae!==9)return ie}return-1}e.firstNonWhitespaceIndex=c;function t(H,ie=0,oe=H.length){for(let ae=ie;ae<oe;ae++){const fe=H.charCodeAt(ae);if(fe!==32&&fe!==9)return H.substring(ie,ae)}return H.substring(ie,oe)}e.getLeadingWhitespace=t;function s(H,ie=H.length-1){for(let oe=ie;oe>=0;oe--){const ae=H.charCodeAt(oe);if(ae!==32&&ae!==9)return oe}return-1}e.lastNonWhitespaceIndex=s;function r(H,ie){return H<ie?-1:H>ie?1:0}e.compare=r;function a(H,ie,oe=0,ae=H.length,fe=0,Se=ie.length){for(;oe<ae&&fe<Se;oe++,fe++){let le=H.charCodeAt(oe),ge=ie.charCodeAt(fe);if(le<ge)return-1;if(le>ge)return 1}const Pe=ae-oe,Fe=Se-fe;return Pe<Fe?-1:Pe>Fe?1:0}e.compareSubstring=a;function u(H,ie){return p(H,ie,0,H.length,0,ie.length)}e.compareIgnoreCase=u;function p(H,ie,oe=0,ae=H.length,fe=0,Se=ie.length){for(;oe<ae&&fe<Se;oe++,fe++){let le=H.charCodeAt(oe),ge=ie.charCodeAt(fe);if(le===ge)continue;const pe=le-ge;if(!(pe===32&&L(ge))&&!(pe===-32&&L(le)))return f(le)&&f(ge)?pe:a(H.toLowerCase(),ie.toLowerCase(),oe,ae,fe,Se)}const Pe=ae-oe,Fe=Se-fe;return Pe<Fe?-1:Pe>Fe?1:0}e.compareSubstringIgnoreCase=p;function f(H){return H>=97&&H<=122}e.isLowerAsciiLetter=f;function L(H){return H>=65&&H<=90}e.isUpperAsciiLetter=L;function T(H){return f(H)||L(H)}function W(H,ie){return H.length===ie.length&&N(H,ie)}e.equalsIgnoreCase=W;function N(H,ie,oe=H.length){for(let ae=0;ae<oe;ae++){const fe=H.charCodeAt(ae),Se=ie.charCodeAt(ae);if(fe!==Se){if(T(fe)&&T(Se)){const Pe=Math.abs(fe-Se);if(Pe!==0&&Pe!==32)return!1}else if(String.fromCharCode(fe).toLowerCase()!==String.fromCharCode(Se).toLowerCase())return!1}}return!0}function V(H,ie){const oe=ie.length;return ie.length>H.length?!1:N(H,ie,oe)}e.startsWithIgnoreCase=V;function ee(H,ie){let oe,ae=Math.min(H.length,ie.length);for(oe=0;oe<ae;oe++)if(H.charCodeAt(oe)!==ie.charCodeAt(oe))return oe;return ae}e.commonPrefixLength=ee;function q(H,ie){let oe,ae=Math.min(H.length,ie.length);const fe=H.length-1,Se=ie.length-1;for(oe=0;oe<ae;oe++)if(H.charCodeAt(fe-oe)!==ie.charCodeAt(Se-oe))return oe;return ae}e.commonSuffixLength=q;function x(H){return 55296<=H&&H<=56319}e.isHighSurrogate=x;function Q(H){return 56320<=H&&H<=57343}e.isLowSurrogate=Q;function C(H,ie){return(H-55296<<10)+(ie-56320)+65536}e.computeCodePoint=C;function B(H,ie,oe){const ae=H.charCodeAt(oe);if(x(ae)&&oe+1<ie){const fe=H.charCodeAt(oe+1);if(Q(fe))return C(ae,fe)}return ae}e.getNextCodePoint=B;function U(H,ie){const oe=H.charCodeAt(ie-1);if(Q(oe)&&ie>1){const ae=H.charCodeAt(ie-2);if(x(ae))return C(ae,oe)}return oe}function $(H,ie){const oe=Ne.getInstance(),ae=ie,fe=H.length,Se=B(H,fe,ie);ie+=Se>=65536?2:1;let Pe=oe.getGraphemeBreakType(Se);for(;ie<fe;){const Fe=B(H,fe,ie),le=oe.getGraphemeBreakType(Fe);if($e(Pe,le))break;ie+=Fe>=65536?2:1,Pe=le}return ie-ae}e.nextCharLength=$;function F(H,ie){const oe=Ne.getInstance(),ae=ie,fe=U(H,ie);ie-=fe>=65536?2:1;let Se=oe.getGraphemeBreakType(fe);for(;ie>0;){const Pe=U(H,ie),Fe=oe.getGraphemeBreakType(Pe);if($e(Fe,Se))break;ie-=Pe>=65536?2:1,Se=Fe}return ae-ie}e.prevCharLength=F;function R(H,ie){const oe=Ne.getInstance(),ae=H.length,fe=ie,Se=B(H,ae,ie),Pe=oe.getGraphemeBreakType(Se);ie+=Se>=65536?2:1;let Fe=Pe;for(;ie<ae;){const ge=B(H,ae,ie),pe=oe.getGraphemeBreakType(ge);if($e(Fe,pe))break;ie+=ge>=65536?2:1,Fe=pe}const le=ie;for(ie=fe,Fe=Pe;ie>0;){const ge=U(H,ie),pe=oe.getGraphemeBreakType(ge);if($e(pe,Fe))break;ie-=ge>=65536?2:1,Fe=pe}return[ie,le]}function _(H,ie){return ie>0&&Q(H.charCodeAt(ie))?R(H,ie-1):R(H,ie)}e.getCharContainingOffset=_;function O(H){const ie=H.length;let oe=0,ae=0;for(;ae<ie;){const Pe=B(H,ie,ae);ae+=Pe>=65536?2:1,Pe<128?oe+=1:Pe<2048?oe+=2:Pe<65536?oe+=3:oe+=4}const fe=new Uint8Array(oe);ae=0;let Se=0;for(;ae<ie;){const Pe=B(H,ie,ae);ae+=Pe>=65536?2:1,Pe<128?fe[Se++]=Pe:Pe<2048?(fe[Se++]=192|(Pe&1984)>>>6,fe[Se++]=128|(Pe&63)>>>0):Pe<65536?(fe[Se++]=224|(Pe&61440)>>>12,fe[Se++]=128|(Pe&4032)>>>6,fe[Se++]=128|(Pe&63)>>>0):(fe[Se++]=240|(Pe&1835008)>>>18,fe[Se++]=128|(Pe&258048)>>>12,fe[Se++]=128|(Pe&4032)>>>6,fe[Se++]=128|(Pe&63)>>>0)}return fe}e.encodeUTF8=O;function A(H){const ie=H.byteLength,oe=[];let ae=0;for(;ae<ie;){const fe=H[ae];let Se;if(fe>=240&&ae+3<ie?Se=(H[ae++]&7)<<18>>>0|(H[ae++]&63)<<12>>>0|(H[ae++]&63)<<6>>>0|(H[ae++]&63)<<0>>>0:fe>=224&&ae+2<ie?Se=(H[ae++]&15)<<12>>>0|(H[ae++]&63)<<6>>>0|(H[ae++]&63)<<0>>>0:fe>=192&&ae+1<ie?Se=(H[ae++]&31)<<6>>>0|(H[ae++]&63)<<0>>>0:Se=H[ae++],Se>=0&&Se<=55295||Se>=57344&&Se<=65535)oe.push(String.fromCharCode(Se));else if(Se>=65536&&Se<=1114111){const Pe=Se-65536,Fe=55296+((Pe&1047552)>>>10),le=56320+((Pe&1023)>>>0);oe.push(String.fromCharCode(Fe)),oe.push(String.fromCharCode(le))}else oe.push(String.fromCharCode(65533))}return oe.join("")}e.decodeUTF8=A;const z=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function K(H){return z.test(H)}e.containsRTL=K;const Y=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function G(H){return Y.test(H)}e.containsEmoji=G;const X=/^[\t\n\r\x20-\x7E]*$/;function ne(H){return X.test(H)}e.isBasicASCII=ne,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function se(H){return e.UNUSUAL_LINE_TERMINATORS.test(H)}e.containsUnusualLineTerminators=se;function he(H){for(let ie=0,oe=H.length;ie<oe;ie++)if(de(H.charCodeAt(ie)))return!0;return!1}e.containsFullWidthCharacter=he;function de(H){return H=+H,H>=11904&&H<=55215||H>=63744&&H<=64255||H>=65281&&H<=65374}e.isFullWidthCharacter=de;function re(H){return H>=127462&&H<=127487||H===8986||H===8987||H===9200||H===9203||H>=9728&&H<=10175||H===11088||H===11093||H>=127744&&H<=128591||H>=128640&&H<=128764||H>=128992&&H<=129003||H>=129280&&H<=129535||H>=129648&&H<=129750}e.isEmojiImprecise=re;function ce(H,ie){if(H.length<ie)return H;const oe=/\b/g;let ae=0;for(;oe.test(H)&&!(H.length-oe.lastIndex<ie);)ae=oe.lastIndex,oe.lastIndex+=1;return H.substring(ae).replace(/^\s/,"")}e.lcut=ce;const Ie=/\x1B\x5B[12]?K/g,ve=/\x1b\[\d+m/g,be=/\x1b\[0?m/g;function Te(H){return H&&(H=H.replace(Ie,""),H=H.replace(ve,""),H=H.replace(be,"")),H}e.removeAnsiEscapeCodes=Te,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function ye(H){return!!(H&&H.length>0&&H.charCodeAt(0)===65279)}e.startsWithUTF8BOM=ye;function we(H){return ye(H)?H.substr(1):H}e.stripUTF8BOM=we;function Ee(H,ie){if(!H||!ie||H.length<ie.length)return!1;const oe=ie.length,ae=H.toLowerCase();let fe=0,Se=-1;for(;fe<oe;){const Pe=ae.indexOf(ie[fe],Se+1);if(Pe<0)return!1;Se=Pe,fe++}return!0}e.fuzzyContains=Ee;function Le(H,ie=!1){return H?(ie&&(H=H.replace(/\\./g,"")),H.toLowerCase()!==H):!1}e.containsUppercaseCharacter=Le;function Oe(H){return H.charAt(0).toUpperCase()+H.slice(1)}e.uppercaseFirstLetter=Oe;function Ue(H,ie=1){if(ie===0)return"";let oe=-1;do oe=H.indexOf(`
`,oe+1),ie--;while(ie>0&&oe>=0);return oe===-1?H:(H[oe-1]==="\r"&&oe--,H.substr(0,oe))}e.getNLines=Ue;function qe(H){const ie=90-65+1;return H=H%(2*ie),H<ie?String.fromCharCode(97+H):String.fromCharCode(65+H-ie)}e.singleLetterHash=qe;function Je(H){return Ne.getInstance().getGraphemeBreakType(H)}e.getGraphemeBreakType=Je;function $e(H,ie){return H===0?ie!==5&&ie!==7:H===2&&ie===3?!1:H===4||H===2||H===3||ie===4||ie===2||ie===3?!0:!(H===8&&(ie===8||ie===9||ie===11||ie===12)||(H===11||H===9)&&(ie===9||ie===10)||(H===12||H===10)&&ie===10||ie===5||ie===13||ie===7||H===1||H===13&&ie===14||H===6&&ie===6)}e.breakBetweenGraphemeBreakType=$e;var it;(function(H){H[H.Other=0]="Other",H[H.Prepend=1]="Prepend",H[H.CR=2]="CR",H[H.LF=3]="LF",H[H.Control=4]="Control",H[H.Extend=5]="Extend",H[H.Regional_Indicator=6]="Regional_Indicator",H[H.SpacingMark=7]="SpacingMark",H[H.L=8]="L",H[H.V=9]="V",H[H.T=10]="T",H[H.LV=11]="LV",H[H.LVT=12]="LVT",H[H.ZWJ=13]="ZWJ",H[H.Extended_Pictographic=14]="Extended_Pictographic"})(it=e.GraphemeBreakType||(e.GraphemeBreakType={}));class Ne{constructor(){this._data=lt()}static getInstance(){return Ne._INSTANCE||(Ne._INSTANCE=new Ne),Ne._INSTANCE}getGraphemeBreakType(ie){if(ie<32)return ie===10?3:ie===13?2:4;if(ie<127)return 0;const oe=this._data,ae=oe.length/3;let fe=1;for(;fe<=ae;)if(ie<oe[3*fe])fe=2*fe;else if(ie>oe[3*fe+1])fe=2*fe+1;else return oe[3*fe+2];return 0}}Ne._INSTANCE=null;function lt(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}function Ze(H,ie){if(H===0)return 0;const oe=ct(H,ie);if(oe!==void 0)return oe;const ae=U(ie,H);return H-=Ge(ae),H}e.getLeftDeleteOffset=Ze;function ct(H,ie){let oe=U(ie,H);for(H-=Ge(oe);nt(oe)||oe===65039||oe===8419;){if(H===0)return;oe=U(ie,H),H-=Ge(oe)}if(!!re(oe)){if(H>=0){const ae=U(ie,H);ae===8205&&(H-=Ge(ae))}return H}}function Ge(H){return H>=65536?2:1}function nt(H){return 127995<=H&&H<=127999}var rt;(function(H){H[H.zwj=8205]="zwj",H[H.emojiVariantSelector=65039]="emojiVariantSelector",H[H.enclosingKeyCap=8419]="enclosingKeyCap"})(rt||(rt={}))}),define(J[17],Z([0,1,23,64]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const D=typeof Buffer!="undefined",S=typeof TextEncoder!="undefined",E=typeof TextDecoder!="undefined";let n,w;class v{constructor(f){this.buffer=f,this.byteLength=this.buffer.byteLength}static alloc(f){return D?new v(Buffer.allocUnsafe(f)):new v(new Uint8Array(f))}static wrap(f){return D&&!Buffer.isBuffer(f)&&(f=Buffer.from(f.buffer,f.byteOffset,f.byteLength)),new v(f)}static fromString(f,L){return!(L?.dontUseNodeBuffer||!1)&&D?new v(Buffer.from(f)):S?(n||(n=new TextEncoder),new v(n.encode(f))):new v(g.encodeUTF8(f))}static concat(f,L){if(typeof L=="undefined"){L=0;for(let N=0,V=f.length;N<V;N++)L+=f[N].byteLength}const T=v.alloc(L);let W=0;for(let N=0,V=f.length;N<V;N++){const ee=f[N];T.set(ee,W),W+=ee.byteLength}return T}toString(){return D?this.buffer.toString():E?(w||(w=new TextDecoder),w.decode(this.buffer)):g.decodeUTF8(this.buffer)}slice(f,L){return new v(this.buffer.subarray(f,L))}set(f,L){f instanceof v?this.buffer.set(f.buffer,L):this.buffer.set(f,L)}readUInt32BE(f){return P(this.buffer,f)}writeUInt32BE(f,L){y(this.buffer,f,L)}readUInt32LE(f){return d(this.buffer,f)}writeUInt32LE(f,L){m(this.buffer,f,L)}readUInt8(f){return k(this.buffer,f)}writeUInt8(f,L){I(this.buffer,f,L)}}e.VSBuffer=v;function i(p,f){return p[f+0]<<0>>>0|p[f+1]<<8>>>0}e.readUInt16LE=i;function b(p,f,L){p[L+0]=f&255,f=f>>>8,p[L+1]=f&255}e.writeUInt16LE=b;function P(p,f){return p[f]*2**24+p[f+1]*2**16+p[f+2]*2**8+p[f+3]}e.readUInt32BE=P;function y(p,f,L){p[L+3]=f,f=f>>>8,p[L+2]=f,f=f>>>8,p[L+1]=f,f=f>>>8,p[L]=f}e.writeUInt32BE=y;function d(p,f){return p[f+0]<<0>>>0|p[f+1]<<8>>>0|p[f+2]<<16>>>0|p[f+3]<<24>>>0}e.readUInt32LE=d;function m(p,f,L){p[L+0]=f&255,f=f>>>8,p[L+1]=f&255,f=f>>>8,p[L+2]=f&255,f=f>>>8,p[L+3]=f&255}e.writeUInt32LE=m;function k(p,f){return p[f]}e.readUInt8=k;function I(p,f,L){p[L]=f}e.writeUInt8=I;function l(p){return M.consumeReadable(p,f=>v.concat(f))}e.readableToBuffer=l;function h(p){return M.toReadable(p)}e.bufferToReadable=h;function o(p){return M.consumeStream(p,f=>v.concat(f))}e.streamToBuffer=o;async function c(p){return p.ended?v.concat(p.buffer):v.concat([...p.buffer,await o(p.stream)])}e.bufferedStreamToBuffer=c;function t(p){return M.toStream(p,f=>v.concat(f))}e.bufferToStream=t;function s(p){return M.transform(p,{data:f=>typeof f=="string"?v.fromString(f):v.wrap(f)},f=>v.concat(f))}e.streamToBufferReadableStream=s;function r(p){return M.newWriteableStream(f=>v.concat(f),p)}e.newWriteableBufferStream=r;function a(p,f){return M.prefixedReadable(p,f,L=>v.concat(L))}e.prefixedBufferReadable=a;function u(p,f){return M.prefixedStream(p,f,L=>v.concat(L))}e.prefixedBufferStream=u}),define(J[80],Z([0,1,23]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.doHash=e.hash=void 0;function M(I){return D(I,0)}e.hash=M;function D(I,l){switch(typeof I){case"object":return I===null?S(349,l):Array.isArray(I)?w(I,l):v(I,l);case"string":return n(I,l);case"boolean":return E(I,l);case"number":return S(I,l);case"undefined":return S(937,l);default:return S(617,l)}}e.doHash=D;function S(I,l){return(l<<5)-l+I|0}function E(I,l){return S(I?433:863,l)}function n(I,l){l=S(149417,l);for(let h=0,o=I.length;h<o;h++)l=S(I.charCodeAt(h),l);return l}e.stringHash=n;function w(I,l){return l=S(104579,l),I.reduce((h,o)=>D(o,h),l)}function v(I,l){return l=S(181387,l),Object.keys(I).sort().reduce((h,o)=>(h=n(o,h),D(I[o],h)),l)}class i{constructor(){this._value=0}get value(){return this._value}hash(l){return this._value=D(l,this._value),this._value}}e.Hasher=i;var b;(function(I){I[I.BLOCK_SIZE=64]="BLOCK_SIZE",I[I.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(b||(b={}));function P(I,l,h=32){const o=h-l,c=~((1<<o)-1);return(I<<l|(c&I)>>>o)>>>0}function y(I,l=0,h=I.byteLength,o=0){for(let c=0;c<h;c++)I[l+c]=o}function d(I,l,h="0"){for(;I.length<l;)I=h+I;return I}function m(I,l=32){return I instanceof ArrayBuffer?Array.from(new Uint8Array(I)).map(h=>h.toString(16).padStart(2,"0")).join(""):d((I>>>0).toString(16),l/4)}e.toHexString=m;class k{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(l){const h=l.length;if(h===0)return;const o=this._buff;let c=this._buffLen,t=this._leftoverHighSurrogate,s,r;for(t!==0?(s=t,r=-1,t=0):(s=l.charCodeAt(0),r=0);;){let a=s;if(g.isHighSurrogate(s))if(r+1<h){const u=l.charCodeAt(r+1);g.isLowSurrogate(u)?(r++,a=g.computeCodePoint(s,u)):a=65533}else{t=s;break}else g.isLowSurrogate(s)&&(a=65533);if(c=this._push(o,c,a),r++,r<h)s=l.charCodeAt(r);else break}this._buffLen=c,this._leftoverHighSurrogate=t}_push(l,h,o){return o<128?l[h++]=o:o<2048?(l[h++]=192|(o&1984)>>>6,l[h++]=128|(o&63)>>>0):o<65536?(l[h++]=224|(o&61440)>>>12,l[h++]=128|(o&4032)>>>6,l[h++]=128|(o&63)>>>0):(l[h++]=240|(o&1835008)>>>18,l[h++]=128|(o&258048)>>>12,l[h++]=128|(o&4032)>>>6,l[h++]=128|(o&63)>>>0),h>=64&&(this._step(),h-=64,this._totalLen+=64,l[0]=l[64+0],l[1]=l[64+1],l[2]=l[64+2]),h}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),m(this._h0)+m(this._h1)+m(this._h2)+m(this._h3)+m(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,y(this._buff,this._buffLen),this._buffLen>56&&(this._step(),y(this._buff));const l=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(l/4294967296),!1),this._buffDV.setUint32(60,l%4294967296,!1),this._step()}_step(){const l=k._bigBlock32,h=this._buffDV;for(let f=0;f<64;f+=4)l.setUint32(f,h.getUint32(f,!1),!1);for(let f=64;f<320;f+=4)l.setUint32(f,P(l.getUint32(f-12,!1)^l.getUint32(f-32,!1)^l.getUint32(f-56,!1)^l.getUint32(f-64,!1),1),!1);let o=this._h0,c=this._h1,t=this._h2,s=this._h3,r=this._h4,a,u,p;for(let f=0;f<80;f++)f<20?(a=c&t|~c&s,u=1518500249):f<40?(a=c^t^s,u=1859775393):f<60?(a=c&t|c&s|t&s,u=2400959708):(a=c^t^s,u=3395469782),p=P(o,5)+a+r+u+l.getUint32(f*4,!1)&4294967295,r=s,s=t,t=P(c,30),c=o,o=p;this._h0=this._h0+o&4294967295,this._h1=this._h1+c&4294967295,this._h2=this._h2+t&4294967295,this._h3=this._h3+s&4294967295,this._h4=this._h4+r&4294967295}}e.StringSHA1=k,k._bigBlock32=new DataView(new ArrayBuffer(320))}),define(J[13],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.assertNever=e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isIterable=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function g(f){return Array.isArray(f)}e.isArray=g;function M(f){return typeof f=="string"}e.isString=M;function D(f){return Array.isArray(f)&&f.every(L=>M(L))}e.isStringArray=D;function S(f){return typeof f=="object"&&f!==null&&!Array.isArray(f)&&!(f instanceof RegExp)&&!(f instanceof Date)}e.isObject=S;function E(f){return typeof f=="number"&&!isNaN(f)}e.isNumber=E;function n(f){return!!f&&typeof f[Symbol.iterator]=="function"}e.isIterable=n;function w(f){return f===!0||f===!1}e.isBoolean=w;function v(f){return typeof f=="undefined"}e.isUndefined=v;function i(f){return!b(f)}e.isDefined=i;function b(f){return v(f)||f===null}e.isUndefinedOrNull=b;function P(f,L){if(!f)throw new Error(L?`Unexpected type, expected '${L}'`:"Unexpected type")}e.assertType=P;function y(f){if(b(f))throw new Error("Assertion Failed: argument is undefined or null");return f}e.assertIsDefined=y;function d(...f){const L=[];for(let T=0;T<f.length;T++){const W=f[T];if(b(W))throw new Error(`Assertion Failed: argument at index ${T} is undefined or null`);L.push(W)}return L}e.assertAllDefined=d;const m=Object.prototype.hasOwnProperty;function k(f){if(!S(f))return!1;for(let L in f)if(m.call(f,L))return!1;return!0}e.isEmptyObject=k;function I(f){return typeof f=="function"}e.isFunction=I;function l(...f){return f.length>0&&f.every(I)}e.areFunctions=l;function h(f,L){const T=Math.min(f.length,L.length);for(let W=0;W<T;W++)o(f[W],L[W])}e.validateConstraints=h;function o(f,L){if(M(L)){if(typeof f!==L)throw new Error(`argument does not match constraint: typeof ${L}`)}else if(I(L)){try{if(f instanceof L)return}catch{}if(!b(f)&&f.constructor===L||L.length===1&&L.call(void 0,f)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=o;function c(f){let L=[],T=Object.getPrototypeOf(f);for(;Object.prototype!==T;)L=L.concat(Object.getOwnPropertyNames(T)),T=Object.getPrototypeOf(T);return L}e.getAllPropertyNames=c;function t(f){const L=[];for(const T of c(f))typeof f[T]=="function"&&L.push(T);return L}e.getAllMethodNames=t;function s(f,L){const T=N=>function(){const V=Array.prototype.slice.call(arguments,0);return L(N,V)};let W={};for(const N of f)W[N]=T(N);return W}e.createProxyObject=s;function r(f){return f===null?void 0:f}e.withNullAsUndefined=r;function a(f){return typeof f=="undefined"?null:f}e.withUndefinedAsNull=a;function u(f){return class{constructor(){return new Proxy({},{get(L,T){if(L[T])return L[T];throw new Error(`Not Implemented: ${f}->${String(T)}`)}})}}}e.NotImplementedProxy=u;function p(f){throw new Error("Unreachable")}e.assertNever=p}),define(J[30],Z([0,1,3,23,8,13]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function E(r){return r===47||r===92}e.isPathSeparator=E;function n(r){return r.replace(/[\\/]/g,D.posix.sep)}e.toSlashes=n;function w(r){return r.indexOf("/")===-1&&(r=n(r)),/^[a-zA-Z]:(\/|$)/.test(r)&&(r="/"+r),r}e.toPosixPath=w;function v(r,a=D.posix.sep){if(!r)return"";const u=r.length,p=r.charCodeAt(0);if(E(p)){if(E(r.charCodeAt(1))&&!E(r.charCodeAt(2))){let L=3;const T=L;for(;L<u&&!E(r.charCodeAt(L));L++);if(T!==L&&!E(r.charCodeAt(L+1))){for(L+=1;L<u;L++)if(E(r.charCodeAt(L)))return r.slice(0,L+1).replace(/[\\/]/g,a)}}return a}else if(I(p)&&r.charCodeAt(1)===58)return E(r.charCodeAt(2))?r.slice(0,2)+a:r.slice(0,2);let f=r.indexOf("://");if(f!==-1){for(f+=3;f<u;f++)if(E(r.charCodeAt(f)))return r.slice(0,f+1)}return""}e.getRoot=v;function i(r){if(!g.isWindows||!r||r.length<5)return!1;let a=r.charCodeAt(0);if(a!==92||(a=r.charCodeAt(1),a!==92))return!1;let u=2;const p=u;for(;u<r.length&&(a=r.charCodeAt(u),a!==92);u++);return!(p===u||(a=r.charCodeAt(u+1),isNaN(a)||a===92))}e.isUNC=i;const b=/[\\/:\*\?"<>\|]/g,P=/[\\/]/g,y=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function d(r,a=g.isWindows){const u=a?b:P;return!(!r||r.length===0||/^\s+$/.test(r)||(u.lastIndex=0,u.test(r))||a&&y.test(r)||r==="."||r===".."||a&&r[r.length-1]==="."||a&&r.length!==r.trim().length||r.length>255)}e.isValidBasename=d;function m(r,a,u){const p=r===a;return!u||p?p:!r||!a?!1:M.equalsIgnoreCase(r,a)}e.isEqual=m;function k(r,a,u,p=D.sep){if(r===a)return!0;if(!r||!a||a.length>r.length)return!1;if(u){if(!M.startsWithIgnoreCase(r,a))return!1;if(a.length===r.length)return!0;let L=a.length;return a.charAt(a.length-1)===p&&L--,r.charAt(L)===p}return a.charAt(a.length-1)!==p&&(a+=p),r.indexOf(a)===0}e.isEqualOrParent=k;function I(r){return r>=65&&r<=90||r>=97&&r<=122}e.isWindowsDriveLetter=I;function l(r,a){return g.isWindows&&r.endsWith(":")&&(r+=D.sep),D.isAbsolute(r)||(r=D.join(a,r)),r=D.normalize(r),g.isWindows?(r=M.rtrim(r,D.sep),r.endsWith(":")&&(r+=D.sep)):(r=M.rtrim(r,D.sep),r||(r=D.sep)),r}e.sanitizeFilePath=l;function h(r){const a=D.normalize(r);return g.isWindows?r.length>3?!1:o(a)&&(r.length===2||a.charCodeAt(2)===92):a===D.posix.sep}e.isRootOrDriveLetter=h;function o(r){return g.isWindows?I(r.charCodeAt(0))&&r.charCodeAt(1)===58:!1}e.hasDriveLetter=o;function c(r){return o(r)?r[0]:void 0}e.getDriveLetter=c;function t(r,a,u){return a.length>r.length?-1:r===a?0:(u&&(r=r.toLowerCase(),a=a.toLowerCase()),r.indexOf(a))}e.indexOfPath=t;function s(r){const a=r.split(":");let u,p,f;if(a.forEach(L=>{const T=Number(L);S.isNumber(T)?p===void 0?p=T:f===void 0&&(f=T):u=u?[u,L].join(":"):L}),!u)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:u,line:p!==void 0?p:void 0,column:f!==void 0?f:p!==void 0?1:void 0}}e.parseLineAndColumnAware=s}),define(J[44],Z([0,1,13]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.filter=e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function M(m){if(!m||typeof m!="object"||m instanceof RegExp)return m;const k=Array.isArray(m)?[]:{};return Object.keys(m).forEach(I=>{m[I]&&typeof m[I]=="object"?k[I]=M(m[I]):k[I]=m[I]}),k}e.deepClone=M;function D(m){if(!m||typeof m!="object")return m;const k=[m];for(;k.length>0;){const I=k.shift();Object.freeze(I);for(const l in I)if(S.call(I,l)){const h=I[l];typeof h=="object"&&!Object.isFrozen(h)&&k.push(h)}}return m}e.deepFreeze=D;const S=Object.prototype.hasOwnProperty;function E(m,k){return n(m,k,new Set)}e.cloneAndChange=E;function n(m,k,I){if(g.isUndefinedOrNull(m))return m;const l=k(m);if(typeof l!="undefined")return l;if(g.isArray(m)){const h=[];for(const o of m)h.push(n(o,k,I));return h}if(g.isObject(m)){if(I.has(m))throw new Error("Cannot clone recursive data-structure");I.add(m);const h={};for(let o in m)S.call(m,o)&&(h[o]=n(m[o],k,I));return I.delete(m),h}return m}function w(m,k,I=!0){return g.isObject(m)?(g.isObject(k)&&Object.keys(k).forEach(l=>{l in m?I&&(g.isObject(m[l])&&g.isObject(k[l])?w(m[l],k[l],I):m[l]=k[l]):m[l]=k[l]}),m):k}e.mixin=w;function v(m,k){if(m===k)return!0;if(m==null||k===null||k===void 0||typeof m!=typeof k||typeof m!="object"||Array.isArray(m)!==Array.isArray(k))return!1;let I,l;if(Array.isArray(m)){if(m.length!==k.length)return!1;for(I=0;I<m.length;I++)if(!v(m[I],k[I]))return!1}else{const h=[];for(l in m)h.push(l);h.sort();const o=[];for(l in k)o.push(l);if(o.sort(),!v(h,o))return!1;for(I=0;I<h.length;I++)if(!v(m[h[I]],k[h[I]]))return!1}return!0}e.equals=v;function i(m){const k=new Set;return JSON.stringify(m,(I,l)=>{if(g.isObject(l)||Array.isArray(l)){if(k.has(l))return"[Circular]";k.add(l)}return l})}e.safeStringify=i;function b(m,k,I){const l=k(m);return typeof l=="undefined"?I:l}e.getOrDefault=b;function P(m,k){const I=Object.create(null);return!m||!k||Object.keys(k).forEach(h=>{const o=m[h],c=k[h];v(o,c)||(I[h]=c)}),I}e.distinct=P;function y(m,k){const I=k.toLowerCase(),l=Object.keys(m).find(h=>h.toLowerCase()===I);return l?m[l]:m[k]}e.getCaseInsensitive=y;function d(m,k){const I=Object.create(null);for(const l of Object.keys(m))k(l,m[l])&&(I[l]=m[l]);return I}e.filter=d}),define(J[7],Z([0,1,3,8]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const D=/^\w[\w\d+.-]*$/,S=/^\//,E=/^\/\//;function n(r,a){if(!r.scheme&&a)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${r.authority}", path: "${r.path}", query: "${r.query}", fragment: "${r.fragment}"}`);if(r.scheme&&!D.test(r.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(r.path){if(r.authority){if(!S.test(r.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(E.test(r.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function w(r,a){return!r&&!a?"file":r}function v(r,a){switch(r){case"https":case"http":case"file":a?a[0]!==b&&(a=b+a):a=b;break}return a}const i="",b="/",P=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class y{constructor(a,u,p,f,L,T=!1){typeof a=="object"?(this.scheme=a.scheme||i,this.authority=a.authority||i,this.path=a.path||i,this.query=a.query||i,this.fragment=a.fragment||i):(this.scheme=w(a,T),this.authority=u||i,this.path=v(this.scheme,p||i),this.query=f||i,this.fragment=L||i,n(this,T))}static isUri(a){return a instanceof y?!0:a?typeof a.authority=="string"&&typeof a.fragment=="string"&&typeof a.path=="string"&&typeof a.query=="string"&&typeof a.scheme=="string"&&typeof a.fsPath=="string"&&typeof a.with=="function"&&typeof a.toString=="function":!1}get fsPath(){return h(this,!1)}with(a){if(!a)return this;let{scheme:u,authority:p,path:f,query:L,fragment:T}=a;return u===void 0?u=this.scheme:u===null&&(u=i),p===void 0?p=this.authority:p===null&&(p=i),f===void 0?f=this.path:f===null&&(f=i),L===void 0?L=this.query:L===null&&(L=i),T===void 0?T=this.fragment:T===null&&(T=i),u===this.scheme&&p===this.authority&&f===this.path&&L===this.query&&T===this.fragment?this:new m(u,p,f,L,T)}static parse(a,u=!1){const p=P.exec(a);return p?new m(p[2]||i,s(p[4]||i),s(p[5]||i),s(p[7]||i),s(p[9]||i),u):new m(i,i,i,i,i)}static file(a){let u=i;if(g.isWindows&&(a=a.replace(/\\/g,b)),a[0]===b&&a[1]===b){const p=a.indexOf(b,2);p===-1?(u=a.substring(2),a=b):(u=a.substring(2,p),a=a.substring(p)||b)}return new m("file",u,a,i,i)}static from(a){const u=new m(a.scheme,a.authority,a.path,a.query,a.fragment);return n(u,!0),u}static joinPath(a,...u){if(!a.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let p;return g.isWindows&&a.scheme==="file"?p=y.file(M.win32.join(h(a,!0),...u)).path:p=M.posix.join(a.path,...u),a.with({path:p})}toString(a=!1){return o(this,a)}toJSON(){return this}static revive(a){if(a){if(a instanceof y)return a;{const u=new m(a);return u._formatted=a.external,u._fsPath=a._sep===d?a.fsPath:null,u}}else return a}}e.URI=y;const d=g.isWindows?1:void 0;class m extends y{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=h(this,!1)),this._fsPath}toString(a=!1){return a?o(this,!0):(this._formatted||(this._formatted=o(this,!1)),this._formatted)}toJSON(){const a={$mid:1};return this._fsPath&&(a.fsPath=this._fsPath,a._sep=d),this._formatted&&(a.external=this._formatted),this.path&&(a.path=this.path),this.scheme&&(a.scheme=this.scheme),this.authority&&(a.authority=this.authority),this.query&&(a.query=this.query),this.fragment&&(a.fragment=this.fragment),a}}const k={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function I(r,a){let u,p=-1;for(let f=0;f<r.length;f++){const L=r.charCodeAt(f);if(L>=97&&L<=122||L>=65&&L<=90||L>=48&&L<=57||L===45||L===46||L===95||L===126||a&&L===47)p!==-1&&(u+=encodeURIComponent(r.substring(p,f)),p=-1),u!==void 0&&(u+=r.charAt(f));else{u===void 0&&(u=r.substr(0,f));const T=k[L];T!==void 0?(p!==-1&&(u+=encodeURIComponent(r.substring(p,f)),p=-1),u+=T):p===-1&&(p=f)}}return p!==-1&&(u+=encodeURIComponent(r.substring(p))),u!==void 0?u:r}function l(r){let a;for(let u=0;u<r.length;u++){const p=r.charCodeAt(u);p===35||p===63?(a===void 0&&(a=r.substr(0,u)),a+=k[p]):a!==void 0&&(a+=r[u])}return a!==void 0?a:r}function h(r,a){let u;return r.authority&&r.path.length>1&&r.scheme==="file"?u=`//${r.authority}${r.path}`:r.path.charCodeAt(0)===47&&(r.path.charCodeAt(1)>=65&&r.path.charCodeAt(1)<=90||r.path.charCodeAt(1)>=97&&r.path.charCodeAt(1)<=122)&&r.path.charCodeAt(2)===58?a?u=r.path.substr(1):u=r.path[1].toLowerCase()+r.path.substr(2):u=r.path,g.isWindows&&(u=u.replace(/\//g,"\\")),u}e.uriToFsPath=h;function o(r,a){const u=a?l:I;let p="",{scheme:f,authority:L,path:T,query:W,fragment:N}=r;if(f&&(p+=f,p+=":"),(L||f==="file")&&(p+=b,p+=b),L){let V=L.indexOf("@");if(V!==-1){const ee=L.substr(0,V);L=L.substr(V+1),V=ee.indexOf(":"),V===-1?p+=u(ee,!1):(p+=u(ee.substr(0,V),!1),p+=":",p+=u(ee.substr(V+1),!1)),p+="@"}L=L.toLowerCase(),V=L.indexOf(":"),V===-1?p+=u(L,!1):(p+=u(L.substr(0,V),!1),p+=L.substr(V))}if(T){if(T.length>=3&&T.charCodeAt(0)===47&&T.charCodeAt(2)===58){const V=T.charCodeAt(1);V>=65&&V<=90&&(T=`/${String.fromCharCode(V+32)}:${T.substr(3)}`)}else if(T.length>=2&&T.charCodeAt(1)===58){const V=T.charCodeAt(0);V>=65&&V<=90&&(T=`${String.fromCharCode(V+32)}:${T.substr(2)}`)}p+=u(T,!0)}return W&&(p+="?",p+=u(W,!1)),N&&(p+="#",p+=a?N:I(N,!1)),p}function c(r){try{return decodeURIComponent(r)}catch{return r.length>3?r.substr(0,3)+c(r.substr(3)):r}}const t=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function s(r){return r.match(t)?r.replace(t,a=>c(a)):r}}),define(J[110],Z([0,1,7]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.getFirstFrame=e.parse=e.isRemoteConsoleLog=void 0;function M(v){const i=v;return i&&typeof i.type=="string"&&typeof i.severity=="string"}e.isRemoteConsoleLog=M;function D(v){const i=[];let b;try{const P=JSON.parse(v.arguments),y=P[P.length-1];y&&y.__$stack&&(P.pop(),b=y.__$stack),i.push(...P)}catch(P){i.push("Unable to log remote console arguments",v.arguments)}return{args:i,stack:b}}e.parse=D;function S(v){if(typeof v!="string")return S(D(v).stack);const i=v;if(i){const b=E(i),P=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(b||"");if(P&&P.length===4)return{uri:g.URI.file(P[1]),line:Number(P[2]),column:Number(P[3])}}}e.getFirstFrame=S;function E(v){if(!v)return v;const i=v.indexOf(`
`);return i===-1?v:v.substring(0,i)}function n(v,i){const{args:b,stack:P}=D(v),y=typeof b[0]=="string"&&b.length===1;let d=E(P);d&&(d=`(${d.trim()})`);let m=[];if(typeof b[0]=="string"?d&&y?m=[`%c[${i}] %c${b[0]} %c${d}`,w("blue"),w(""),w("grey")]:m=[`%c[${i}] %c${b[0]}`,w("blue"),w(""),...b.slice(1)]:m=[`%c[${i}]%`,w("blue"),...b],d&&!y&&m.push(d),typeof console[v.severity]!="function")throw new Error("Unknown console method");console[v.severity].apply(console,m)}e.log=n;function w(v){return`color: ${v}`}});var bt=this&&this.__classPrivateFieldSet||function(j,e,g,M,D){if(M==="m")throw new TypeError("Private method is not writable");if(M==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?j!==e||!D:!e.has(j))throw new TypeError("Cannot write private member to an object whose class did not declare it");return M==="a"?D.call(j,g):D?D.value=g:e.set(j,g),g},je=this&&this.__classPrivateFieldGet||function(j,e,g,M){if(g==="a"&&!M)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?j!==e||!M:!e.has(j))throw new TypeError("Cannot read private member from an object whose class did not declare it");return g==="m"?M:g==="a"?M.call(j):M?M.value:e.get(j)};define(J[37],Z([0,1,7,23]),function(j,e,g,M){"use strict";var D,S,E;Object.defineProperty(e,"__esModule",{value:!0}),e.ReadonlyMapView=e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function n(t,s,r){let a=t.get(s);return a===void 0&&(a=r,t.set(s,a)),a}e.getOrSet=n;function w(t){const s=[];return t.forEach((r,a)=>{s.push(`${a} => ${r}`)}),`Map(${t.size}) {${s.join(", ")}}`}e.mapToString=w;function v(t){const s=[];return t.forEach(r=>{s.push(r)}),`Set(${t.size}) {${s.join(", ")}}`}e.setToString=v;class i{constructor(){this._value="",this._pos=0}reset(s){return this._value=s,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(s){const r=s.charCodeAt(0),a=this._value.charCodeAt(this._pos);return r-a}value(){return this._value[this._pos]}}e.StringIterator=i;class b{constructor(s=!0){this._caseSensitive=s}reset(s){return this._value=s,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let s=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(s)this._from++;else break;else s=!1;return this}cmp(s){return this._caseSensitive?M.compareSubstring(s,this._value,0,s.length,this._from,this._to):M.compareSubstringIgnoreCase(s,this._value,0,s.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=b;class P{constructor(s=!0,r=!0){this._splitOnBackslash=s,this._caseSensitive=r}reset(s){return this._value=s.replace(/\\$|\/$/,""),this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let s=!0;for(;this._to<this._value.length;this._to++){const r=this._value.charCodeAt(this._to);if(r===47||this._splitOnBackslash&&r===92)if(s)this._from++;else break;else s=!1}return this}cmp(s){return this._caseSensitive?M.compareSubstring(s,this._value,0,s.length,this._from,this._to):M.compareSubstringIgnoreCase(s,this._value,0,s.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=P;var y;(function(t){t[t.Scheme=1]="Scheme",t[t.Authority=2]="Authority",t[t.Path=3]="Path",t[t.Query=4]="Query",t[t.Fragment=5]="Fragment"})(y||(y={}));class d{constructor(s){this._ignorePathCasing=s,this._states=[],this._stateIdx=0}reset(s){return this._value=s,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new P(!1,!this._ignorePathCasing(s)),this._pathIterator.reset(s.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(s){if(this._states[this._stateIdx]===1)return M.compareIgnoreCase(s,this._value.scheme);if(this._states[this._stateIdx]===2)return M.compareIgnoreCase(s,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(s);if(this._states[this._stateIdx]===4)return M.compare(s,this._value.query);if(this._states[this._stateIdx]===5)return M.compare(s,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=d;class m{isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}}class k{constructor(s){this._iter=s}static forUris(s=()=>!1){return new k(new d(s))}static forPaths(){return new k(new P)}static forStrings(){return new k(new i)}static forConfigKeys(){return new k(new b)}clear(){this._root=void 0}set(s,r){const a=this._iter.reset(s);let u;for(this._root||(this._root=new m,this._root.segment=a.value()),u=this._root;;){const f=a.cmp(u.segment);if(f>0)u.left||(u.left=new m,u.left.segment=a.value()),u=u.left;else if(f<0)u.right||(u.right=new m,u.right.segment=a.value()),u=u.right;else if(a.hasNext())a.next(),u.mid||(u.mid=new m,u.mid.segment=a.value()),u=u.mid;else break}const p=u.value;return u.value=r,u.key=s,p}get(s){return this._getNode(s)?.value}_getNode(s){const r=this._iter.reset(s);let a=this._root;for(;a;){const u=r.cmp(a.segment);if(u>0)a=a.left;else if(u<0)a=a.right;else if(r.hasNext())r.next(),a=a.mid;else break}return a}has(s){const r=this._getNode(s);return!(r?.value===void 0&&r?.mid===void 0)}delete(s){return this._delete(s,!1)}deleteSuperstr(s){return this._delete(s,!0)}_delete(s,r){const a=this._iter.reset(s),u=[];let p=this._root;for(;p;){const f=a.cmp(p.segment);if(f>0)u.push([1,p]),p=p.left;else if(f<0)u.push([-1,p]),p=p.right;else if(a.hasNext())a.next(),u.push([0,p]),p=p.mid;else{for(r?(p.left=void 0,p.mid=void 0,p.right=void 0):p.value=void 0;u.length>0&&p.isEmpty();){let[L,T]=u.pop();switch(L){case 1:T.left=void 0;break;case 0:T.mid=void 0;break;case-1:T.right=void 0;break}p=T}break}}}findSubstr(s){const r=this._iter.reset(s);let a=this._root,u;for(;a;){const p=r.cmp(a.segment);if(p>0)a=a.left;else if(p<0)a=a.right;else if(r.hasNext())r.next(),u=a.value||u,a=a.mid;else break}return a&&a.value||u}findSuperstr(s){const r=this._iter.reset(s);let a=this._root;for(;a;){const u=r.cmp(a.segment);if(u>0)a=a.left;else if(u<0)a=a.right;else if(r.hasNext())r.next(),a=a.mid;else return a.mid?this._entries(a.mid):void 0}}forEach(s){for(const[r,a]of this)s(a,r)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(s){if(!s)return;const r=[s];for(;r.length>0;){const a=r.pop();a&&(a.value&&(yield[a.key,a.value]),a.left&&r.push(a.left),a.mid&&r.push(a.mid),a.right&&r.push(a.right))}}}e.TernarySearchTree=k;class I{constructor(s,r){this[D]="ResourceMap",s instanceof I?(this.map=new Map(s.map),this.toKey=r??I.defaultToKey):(this.map=new Map,this.toKey=s??I.defaultToKey)}set(s,r){return this.map.set(this.toKey(s),r),this}get(s){return this.map.get(this.toKey(s))}has(s){return this.map.has(this.toKey(s))}get size(){return this.map.size}clear(){this.map.clear()}delete(s){return this.map.delete(this.toKey(s))}forEach(s,r){typeof r!="undefined"&&(s=s.bind(r));for(let[a,u]of this.map)s(u,g.URI.parse(a),this)}values(){return this.map.values()}*keys(){for(let s of this.map.keys())yield g.URI.parse(s)}*entries(){for(let s of this.map.entries())yield[g.URI.parse(s[0]),s[1]]}*[(D=Symbol.toStringTag,Symbol.iterator)](){for(let s of this.map)yield[g.URI.parse(s[0]),s[1]]}}e.ResourceMap=I,I.defaultToKey=t=>t.toString();var l;(function(t){t[t.None=0]="None",t[t.AsOld=1]="AsOld",t[t.AsNew=2]="AsNew"})(l=e.Touch||(e.Touch={}));class h{constructor(){this[S]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(s){return this._map.has(s)}get(s,r=0){const a=this._map.get(s);if(!!a)return r!==0&&this.touch(a,r),a.value}set(s,r,a=0){let u=this._map.get(s);if(u)u.value=r,a!==0&&this.touch(u,a);else{switch(u={key:s,value:r,next:void 0,previous:void 0},a){case 0:this.addItemLast(u);break;case 1:this.addItemFirst(u);break;case 2:this.addItemLast(u);break;default:this.addItemLast(u);break}this._map.set(s,u),this._size++}return this}delete(s){return!!this.remove(s)}remove(s){const r=this._map.get(s);if(!!r)return this._map.delete(s),this.removeItem(r),this._size--,r.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const s=this._head;return this._map.delete(s.key),this.removeItem(s),this._size--,s.value}forEach(s,r){const a=this._state;let u=this._head;for(;u;){if(r?s.bind(r)(u.value,u.key,this):s(u.value,u.key,this),this._state!==a)throw new Error("LinkedMap got modified during iteration.");u=u.next}}keys(){const s=this,r=this._state;let a=this._head;const u={[Symbol.iterator](){return u},next(){if(s._state!==r)throw new Error("LinkedMap got modified during iteration.");if(a){const p={value:a.key,done:!1};return a=a.next,p}else return{value:void 0,done:!0}}};return u}values(){const s=this,r=this._state;let a=this._head;const u={[Symbol.iterator](){return u},next(){if(s._state!==r)throw new Error("LinkedMap got modified during iteration.");if(a){const p={value:a.value,done:!1};return a=a.next,p}else return{value:void 0,done:!0}}};return u}entries(){const s=this,r=this._state;let a=this._head;const u={[Symbol.iterator](){return u},next(){if(s._state!==r)throw new Error("LinkedMap got modified during iteration.");if(a){const p={value:[a.key,a.value],done:!1};return a=a.next,p}else return{value:void 0,done:!0}}};return u}[(S=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(s){if(s>=this.size)return;if(s===0){this.clear();return}let r=this._head,a=this.size;for(;r&&a>s;)this._map.delete(r.key),r=r.next,a--;this._head=r,this._size=a,r&&(r.previous=void 0),this._state++}addItemFirst(s){if(!this._head&&!this._tail)this._tail=s;else if(this._head)s.next=this._head,this._head.previous=s;else throw new Error("Invalid list");this._head=s,this._state++}addItemLast(s){if(!this._head&&!this._tail)this._head=s;else if(this._tail)s.previous=this._tail,this._tail.next=s;else throw new Error("Invalid list");this._tail=s,this._state++}removeItem(s){if(s===this._head&&s===this._tail)this._head=void 0,this._tail=void 0;else if(s===this._head){if(!s.next)throw new Error("Invalid list");s.next.previous=void 0,this._head=s.next}else if(s===this._tail){if(!s.previous)throw new Error("Invalid list");s.previous.next=void 0,this._tail=s.previous}else{const r=s.next,a=s.previous;if(!r||!a)throw new Error("Invalid list");r.previous=a,a.next=r}s.next=void 0,s.previous=void 0,this._state++}touch(s,r){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(r!==1&&r!==2)){if(r===1){if(s===this._head)return;const a=s.next,u=s.previous;s===this._tail?(u.next=void 0,this._tail=u):(a.previous=u,u.next=a),s.previous=void 0,s.next=this._head,this._head.previous=s,this._head=s,this._state++}else if(r===2){if(s===this._tail)return;const a=s.next,u=s.previous;s===this._head?(a.previous=void 0,this._head=a):(a.previous=u,u.next=a),s.next=void 0,s.previous=this._tail,this._tail.next=s,this._tail=s,this._state++}}}toJSON(){const s=[];return this.forEach((r,a)=>{s.push([a,r])}),s}fromJSON(s){this.clear();for(const[r,a]of s)this.set(r,a)}}e.LinkedMap=h;class o extends h{constructor(s,r=1){super();this._limit=s,this._ratio=Math.min(Math.max(0,r),1)}get limit(){return this._limit}set limit(s){this._limit=s,this.checkTrim()}get ratio(){return this._ratio}set ratio(s){this._ratio=Math.min(Math.max(0,s),1),this.checkTrim()}get(s,r=2){return super.get(s,r)}peek(s){return super.get(s,0)}set(s,r){return super.set(s,r,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=o;class c{constructor(s){E.set(this,void 0),bt(this,E,s,"f")}get size(){return je(this,E,"f").size}forEach(s,r){je(this,E,"f").forEach(s,r)}get(s){return je(this,E,"f").get(s)}has(s){return je(this,E,"f").has(s)}entries(){return je(this,E,"f").entries()}keys(){return je(this,E,"f").keys()}values(){return je(this,E,"f").values()}[(E=new WeakMap,Symbol.iterator)](){return je(this,E,"f").entries()}}e.ReadonlyMapView=c}),define(J[111],Z([0,1,17,23,7]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.MarshalledId=e.parse=e.stringify=void 0;function S(i){return JSON.stringify(i,w)}e.stringify=S;function E(i){let b=JSON.parse(i);return b=v(b),b}e.parse=E;var n;(function(i){i[i.Uri=1]="Uri",i[i.Regexp=2]="Regexp",i[i.ScmResource=3]="ScmResource",i[i.ScmResourceGroup=4]="ScmResourceGroup",i[i.ScmProvider=5]="ScmProvider",i[i.CommentController=6]="CommentController",i[i.CommentThread=7]="CommentThread",i[i.CommentThreadReply=8]="CommentThreadReply",i[i.CommentNode=9]="CommentNode",i[i.CommentThreadNode=10]="CommentThreadNode",i[i.TimelineActionContext=11]="TimelineActionContext",i[i.NotebookCellActionContext=12]="NotebookCellActionContext",i[i.TestItemContext=13]="TestItemContext"})(n=e.MarshalledId||(e.MarshalledId={}));function w(i,b){return b instanceof RegExp?{$mid:2,source:b.source,flags:M.regExpFlags(b)}:b}function v(i,b=0){if(!i||b>200)return i;if(typeof i=="object"){switch(i.$mid){case 1:return D.URI.revive(i);case 2:return new RegExp(i.source,i.flags)}if(i instanceof g.VSBuffer||i instanceof Uint8Array)return i;if(Array.isArray(i))for(let P=0;P<i.length;++P)i[P]=v(i[P],b+1);else for(const P in i)Object.hasOwnProperty.call(i,P)&&(i[P]=v(i[P],b+1))}return i}e.revive=v}),define(J[10],Z([0,1,7,3]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var D;(function(n){n.inMemory="inmemory",n.vscode="vscode",n.internal="private",n.walkThrough="walkThrough",n.walkThroughSnippet="walkThroughSnippet",n.http="http",n.https="https",n.file="file",n.mailto="mailto",n.untitled="untitled",n.data="data",n.command="command",n.vscodeRemote="vscode-remote",n.vscodeRemoteResource="vscode-remote-resource",n.userData="vscode-userdata",n.vscodeCustomEditor="vscode-custom-editor",n.vscodeNotebook="vscode-notebook",n.vscodeNotebookCell="vscode-notebook-cell",n.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",n.vscodeNotebookCellOutput="vscode-notebook-cell-output",n.vscodeInteractive="vscode-interactive",n.vscodeInteractiveInput="vscode-interactive-input",n.vscodeSettings="vscode-settings",n.vscodeWorkspaceTrust="vscode-workspace-trust",n.vscodeTerminal="vscode-terminal",n.webviewPanel="webview-panel",n.vscodeWebview="vscode-webview",n.extension="extension",n.vscodeFileResource="vscode-file",n.tmp="tmp"})(D=e.Schemas||(e.Schemas={}));class S{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(w){this._preferredWebSchema=w}setDelegate(w){this._delegate=w}set(w,v,i){this._hosts[w]=v,this._ports[w]=i}setConnectionToken(w,v){this._connectionTokens[w]=v}rewrite(w){if(this._delegate)return this._delegate(w);const v=w.authority;let i=this._hosts[v];i&&i.indexOf(":")!==-1&&(i=`[${i}]`);const b=this._ports[v],P=this._connectionTokens[v];let y=`path=${encodeURIComponent(w.path)}`;return typeof P=="string"&&(y+=`&tkn=${encodeURIComponent(P)}`),g.URI.from({scheme:M.isWeb?this._preferredWebSchema:D.vscodeRemoteResource,authority:`${i}:${b}`,path:"/vscode-remote-resource",query:y})}}e.RemoteAuthorities=new S;class E{constructor(){this.FALLBACK_AUTHORITY="vscode-app"}asBrowserUri(w,v,i){const b=this.toUri(w,v);if(b.scheme===D.vscodeRemote)return e.RemoteAuthorities.rewrite(b);let P=!1;return M.isNative&&(i||M.isPreferringBrowserCodeLoad)&&b.scheme===D.file&&(P=!0),b.scheme===D.file&&typeof M.globals.importScripts=="function"&&M.globals.origin==="vscode-file://vscode-app"&&(P=!0),P?b.with({scheme:D.vscodeFileResource,authority:b.authority||this.FALLBACK_AUTHORITY,query:null,fragment:null}):b}asFileUri(w,v){const i=this.toUri(w,v);return i.scheme===D.vscodeFileResource?i.with({scheme:D.file,authority:i.authority!==this.FALLBACK_AUTHORITY?i.authority:null,query:null,fragment:null}):i}toUri(w,v){return g.URI.isUri(w)?w:g.URI.parse(v.toUrl(w))}}e.FileAccess=new E}),define(J[65],Z([0,1,37]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=e.canNormalize=void 0,e.canNormalize=typeof String.prototype.normalize=="function";const M=new g.LRUCache(1e4);function D(v){return w(v,"NFC",M)}e.normalizeNFC=D;const S=new g.LRUCache(1e4);function E(v){return w(v,"NFD",S)}e.normalizeNFD=E;const n=/[^\u0000-\u0080]/;function w(v,i,b){if(!e.canNormalize||!v)return v;const P=b.get(v);if(P)return P;let y;return n.test(v)?y=v.normalize(i):y=v,b.set(v,y),y}e.removeAccents=function(){if(e.canNormalize){const v=/[\u0300-\u036f]/g;return function(i){return E(i).replace(v,"")}}else return function(v){return v}}()}),define(J[15],Z([0,1,30,8,7,23,10,3]),function(j,e,g,M,D,S,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function w(y){return D.uriToFsPath(y,!0)}e.originalFSPath=w;class v{constructor(d){this._ignorePathCasing=d}compare(d,m,k=!1){return d===m?0:S.compare(this.getComparisonKey(d,k),this.getComparisonKey(m,k))}isEqual(d,m,k=!1){return d===m?!0:!d||!m?!1:this.getComparisonKey(d,k)===this.getComparisonKey(m,k)}getComparisonKey(d,m=!1){return d.with({path:this._ignorePathCasing(d)?d.path.toLowerCase():void 0,fragment:m?null:void 0}).toString()}ignorePathCasing(d){return this._ignorePathCasing(d)}isEqualOrParent(d,m,k=!1){if(d.scheme===m.scheme){if(d.scheme===E.Schemas.file)return g.isEqualOrParent(w(d),w(m),this._ignorePathCasing(d))&&d.query===m.query&&(k||d.fragment===m.fragment);if(e.isEqualAuthority(d.authority,m.authority))return g.isEqualOrParent(d.path,m.path,this._ignorePathCasing(d),"/")&&d.query===m.query&&(k||d.fragment===m.fragment)}return!1}joinPath(d,...m){return D.URI.joinPath(d,...m)}basenameOrAuthority(d){return e.basename(d)||d.authority}basename(d){return M.posix.basename(d.path)}extname(d){return M.posix.extname(d.path)}dirname(d){if(d.path.length===0)return d;let m;return d.scheme===E.Schemas.file?m=D.URI.file(M.dirname(w(d))).path:(m=M.posix.dirname(d.path),d.authority&&m.length&&m.charCodeAt(0)!==47&&(console.error(`dirname("${d.toString})) resulted in a relative path`),m="/")),d.with({path:m})}normalizePath(d){if(!d.path.length)return d;let m;return d.scheme===E.Schemas.file?m=D.URI.file(M.normalize(w(d))).path:m=M.posix.normalize(d.path),d.with({path:m})}relativePath(d,m){if(d.scheme!==m.scheme||!e.isEqualAuthority(d.authority,m.authority))return;if(d.scheme===E.Schemas.file){const l=M.relative(w(d),w(m));return n.isWindows?g.toSlashes(l):l}let k=d.path||"/",I=m.path||"/";if(this._ignorePathCasing(d)){let l=0;for(const h=Math.min(k.length,I.length);l<h&&!(k.charCodeAt(l)!==I.charCodeAt(l)&&k.charAt(l).toLowerCase()!==I.charAt(l).toLowerCase());l++);k=I.substr(0,l)+k.substr(l)}return M.posix.relative(k,I)}resolvePath(d,m){if(d.scheme===E.Schemas.file){const k=D.URI.file(M.resolve(w(d),m));return d.with({authority:k.authority,path:k.path})}return m=g.toPosixPath(m),d.with({path:M.posix.resolve(d.path,m)})}isAbsolutePath(d){return!!d.path&&d.path[0]==="/"}isEqualAuthority(d,m){return d===m||S.equalsIgnoreCase(d,m)}hasTrailingPathSeparator(d,m=M.sep){if(d.scheme===E.Schemas.file){const k=w(d);return k.length>g.getRoot(k).length&&k[k.length-1]===m}else{const k=d.path;return k.length>1&&k.charCodeAt(k.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(d.fsPath)}}removeTrailingPathSeparator(d,m=M.sep){return e.hasTrailingPathSeparator(d,m)?d.with({path:d.path.substr(0,d.path.length-1)}):d}addTrailingPathSeparator(d,m=M.sep){let k=!1;if(d.scheme===E.Schemas.file){const I=w(d);k=I!==void 0&&I.length===g.getRoot(I).length&&I[I.length-1]===m}else{m="/";const I=d.path;k=I.length===1&&I.charCodeAt(I.length-1)===47}return!k&&!e.hasTrailingPathSeparator(d,m)?d.with({path:d.path+"/"}):d}}e.ExtUri=v,e.extUri=new v(()=>!1),e.extUriBiasedIgnorePathCase=new v(y=>y.scheme===E.Schemas.file?!n.isLinux:!0),e.extUriIgnorePathCase=new v(y=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function i(y,d){const m=[];for(let k=0;k<y.length;k++){const I=d(y[k]);y.some((l,h)=>h===k?!1:e.isEqualOrParent(I,d(l)))||m.push(y[k])}return m}e.distinctParents=i;var b;(function(y){y.META_DATA_LABEL="label",y.META_DATA_DESCRIPTION="description",y.META_DATA_SIZE="size",y.META_DATA_MIME="mime";function d(m){const k=new Map;m.path.substring(m.path.indexOf(";")+1,m.path.lastIndexOf(";")).split(";").forEach(h=>{const[o,c]=h.split(":");o&&c&&k.set(o,c)});const l=m.path.substring(0,m.path.indexOf(";"));return l&&k.set(y.META_DATA_MIME,l),k}y.parseMetaData=d})(b=e.DataUri||(e.DataUri={}));function P(y,d,m){if(d){let k=y.path;return k&&k[0]!==M.posix.sep&&(k=M.posix.sep+k),y.with({scheme:m,authority:d,path:k})}return y.with({scheme:m})}e.toLocalResource=P}),define(J[9],Z([0,1,25,16,5,2,15]),function(j,e,g,M,D,S,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.ignoreErrors=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function n(U){return!!U&&typeof U.then=="function"}e.isThenable=n;function w(U){const $=new g.CancellationTokenSource,F=U($.token),R=new Promise((_,O)=>{$.token.onCancellationRequested(()=>{O(M.canceled())}),Promise.resolve(F).then(A=>{$.dispose(),_(A)},A=>{$.dispose(),O(A)})});return new class{cancel(){$.cancel()}then(_,O){return R.then(_,O)}catch(_){return this.then(void 0,_)}finally(_){return R.finally(_)}}}e.createCancelablePromise=w;function v(U,$,F){return Promise.race([U,new Promise(R=>$.onCancellationRequested(()=>R(F)))])}e.raceCancellation=v;async function i(U){let $=-1;const F=U.map((_,O)=>_.then(A=>($=O,A))),R=await Promise.race(F);return U.forEach((_,O)=>{O!==$&&_.cancel()}),R}e.raceCancellablePromises=i;function b(U,$,F){let R;const _=setTimeout(()=>{R?.(void 0),F?.()},$);return Promise.race([U.finally(()=>clearTimeout(_)),new Promise(O=>R=O)])}e.raceTimeout=b;function P(U){return new Promise(($,F)=>{const R=U();n(R)?R.then($,F):$(R)})}e.asPromise=P;class y{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue($){if(this.activePromise){if(this.queuedPromiseFactory=$,!this.queuedPromise){const F=()=>{this.queuedPromise=null;const R=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,R};this.queuedPromise=new Promise(R=>{this.activePromise.then(F,F).then(R)})}return new Promise((F,R)=>{this.queuedPromise.then(F,R)})}return this.activePromise=$(),new Promise((F,R)=>{this.activePromise.then(_=>{this.activePromise=null,F(_)},_=>{this.activePromise=null,R(_)})})}}e.Throttler=y;class d{constructor(){this.current=Promise.resolve(null)}queue($){return this.current=this.current.then(()=>$(),()=>$())}}e.Sequencer=d;class m{constructor(){this.promiseMap=new Map}queue($,F){const _=(this.promiseMap.get($)??Promise.resolve()).catch(()=>{}).then(F).finally(()=>{this.promiseMap.get($)===_&&this.promiseMap.delete($)});return this.promiseMap.set($,_),_}}e.SequencerByKey=m;class k{constructor($){this.defaultDelay=$,this.timeout=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger($,F=this.defaultDelay){return this.task=$,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((R,_)=>{this.doResolve=R,this.doReject=_}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const R=this.task;return this.task=null,R()}})),this.timeout=setTimeout(()=>{this.timeout=null,this.doResolve&&this.doResolve(null)},F),this.completionPromise}isTriggered(){return this.timeout!==null}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject(M.canceled()),this.completionPromise=null)}cancelTimeout(){this.timeout!==null&&(clearTimeout(this.timeout),this.timeout=null)}dispose(){this.cancel()}}e.Delayer=k;class I{constructor($){this.delayer=new k($),this.throttler=new y}trigger($,F){return this.delayer.trigger(()=>this.throttler.queue($),F)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=I;class l{constructor(){this._isOpen=!1,this._promise=new Promise(($,F)=>{this._completePromise=$})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=l;class h extends l{constructor($){super();this._timeout=setTimeout(()=>this.open(),$)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=h;function o(U,$){return $?new Promise((F,R)=>{const _=setTimeout(F,U);$.onCancellationRequested(()=>{clearTimeout(_),R(M.canceled())})}):w(F=>o(U,F))}e.timeout=o;function c(U,$=0){const F=setTimeout(U,$);return S.toDisposable(()=>clearTimeout(F))}e.disposableTimeout=c;function t(U){return U.then(void 0,$=>{})}e.ignoreErrors=t;function s(U){const $=[];let F=0;const R=U.length;function _(){return F<R?U[F++]():null}function O(A){A!=null&&$.push(A);const z=_();return z?z.then(O):Promise.resolve($)}return Promise.resolve(null).then(O)}e.sequence=s;function r(U,$=R=>!!R,F=null){let R=0;const _=U.length,O=()=>{if(R>=_)return Promise.resolve(F);const A=U[R++];return Promise.resolve(A()).then(K=>$(K)?Promise.resolve(K):O())};return O()}e.first=r;function a(U,$=R=>!!R,F=null){if(U.length===0)return Promise.resolve(F);let R=U.length;const _=()=>{R=-1;for(const O of U)O.cancel?.()};return new Promise((O,A)=>{for(const z of U)z.then(K=>{--R>=0&&$(K)?(_(),O(K)):R===0&&O(F)}).catch(K=>{--R>=0&&(_(),A(K))})})}e.firstParallel=a;class u{constructor($){this._size=0,this.maxDegreeOfParalellism=$,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new D.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue($){return this._size++,new Promise((F,R)=>{this.outstandingPromises.push({factory:$,c:F,e:R}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const $=this.outstandingPromises.shift();this.runningPromises++;const F=$.factory();F.then($.c,$.e),F.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=u;class p extends u{constructor(){super(1)}}e.Queue=p;class f{constructor(){this.queues=new Map}queueFor($,F=E.extUri){const R=F.getComparisonKey($);let _=this.queues.get(R);return _||(_=new p,D.Event.once(_.onFinished)(()=>{_?.dispose(),this.queues.delete(R)}),this.queues.set(R,_)),_}dispose(){this.queues.forEach($=>$.dispose()),this.queues.clear()}}e.ResourceQueue=f;class L{constructor($,F){this._token=-1,typeof $=="function"&&typeof F=="number"&&this.setIfNotSet($,F)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet($,F){this.cancel(),this._token=setTimeout(()=>{this._token=-1,$()},F)}setIfNotSet($,F){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,$()},F))}}e.TimeoutTimer=L;class T{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet($,F){this.cancel(),this._token=setInterval(()=>{$()},F)}}e.IntervalTimer=T;class W{constructor($,F){this.timeoutToken=-1,this.runner=$,this.timeout=F,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule($=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,$)}get delay(){return this.timeout}set delay($){this.timeout=$}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=W;class N extends W{constructor($,F){super($,F);this.units=[]}work($){this.units.push($),this.isScheduled()||this.schedule()}doRun(){const $=this.units;this.units=[],this.runner&&this.runner($)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=N;class V extends S.Disposable{constructor($,F,R,_){super();this.maxWorkChunkSize=$,this.maxPendingWork=F,this.throttleDelay=R,this.handler=_,this.pendingWork=[],this.throttler=this._register(new S.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work($){if(this.disposed)return!1;if(typeof this.maxPendingWork=="number"){if(this.throttler.value){if(this.pending+$.length>this.maxPendingWork)return!1}else if(this.pending+$.length-this.maxWorkChunkSize>this.maxPendingWork)return!1}return this.pendingWork.push(...$),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new W(()=>{this.throttler.clear(),this.doWork()},this.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=V,function(){if(typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"){const U=Object.freeze({didTimeout:!0,timeRemaining(){return 15}});e.runWhenIdle=$=>{const F=setTimeout(()=>$(U));let R=!1;return{dispose(){R||(R=!0,clearTimeout(F))}}}}else e.runWhenIdle=(U,$)=>{const F=requestIdleCallback(U,typeof $=="number"?{timeout:$}:void 0);let R=!1;return{dispose(){R||(R=!0,cancelIdleCallback(F))}}}}();class ee{constructor($){this._didRun=!1,this._executor=()=>{try{this._value=$()}catch(F){this._error=F}finally{this._didRun=!0}},this._handle=e.runWhenIdle(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}}e.IdleValue=ee;async function q(U,$,F){let R;for(let _=0;_<F;_++)try{return await U()}catch(O){R=O,await o($)}throw R}e.retry=q;class x{hasPending($){return this._pending?typeof $=="number"?this._pending.taskId===$:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending($,F,R){return this._pending={taskId:$,cancel:()=>R?.(),promise:F},F.then(()=>this.donePending($),()=>this.donePending($)),F}donePending($){this._pending&&$===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const $=this._next;this._next=void 0,$.run().then($.promiseResolve,$.promiseReject)}}setNext($){if(this._next)this._next.run=$;else{let F,R;const _=new Promise((O,A)=>{F=O,R=A});this._next={run:$,promise:_,promiseResolve:F,promiseReject:R}}return this._next.promise}}e.TaskSequentializer=x;class Q{constructor($){this.interval=$,this.lastIncrementTime=0,this.value=0}increment(){const $=Date.now();return $-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=$,this.value=0),this.value++,this.value}}e.IntervalCounter=Q;class C{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise(($,F)=>{this.completeCallback=$,this.errorCallback=F})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete($){return new Promise(F=>{this.completeCallback($),this.resolved=!0,F()})}error($){return new Promise(F=>{this.errorCallback($),this.rejected=!0,F()})}cancel(){new Promise($=>{this.errorCallback(M.canceled()),this.rejected=!0,$()})}}e.DeferredPromise=C;var B;(function(U){async function $(F){let R;const _=await Promise.all(F.map(O=>O.then(A=>A,A=>{R||(R=A)})));if(typeof R!="undefined")throw R;return _}U.settled=$})(B=e.Promises||(e.Promises={}))}),define(J[112],Z([0,1,23,30,8,37,9]),function(j,e,g,M,D,S,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.getEmptyExpression=void 0;function n(){return Object.create(null)}e.getEmptyExpression=n;const w="**",v="/",i="[/\\\\]",b="[^/\\\\]",P=/\//g;function y(R){switch(R){case 0:return"";case 1:return`${b}*?`;default:return`(?:${i}|${b}+${i}|${i}${b}+)*?`}}function d(R,_){if(!R)return[];const O=[];let A=!1,z=!1,K="";for(const Y of R){switch(Y){case _:if(!A&&!z){O.push(K),K="";continue}break;case"{":A=!0;break;case"}":A=!1;break;case"[":z=!0;break;case"]":z=!1;break}K+=Y}return K&&O.push(K),O}e.splitGlobAware=d;function m(R){if(!R)return"";let _="";const O=d(R,v);if(O.every(A=>A===w))_=".*";else{let A=!1;O.forEach((z,K)=>{if(z===w){A||(_+=y(2),A=!0);return}let Y=!1,G="",X=!1,ne="";for(const se of z){if(se!=="}"&&Y){G+=se;continue}if(X&&(se!=="]"||!ne)){let he;se==="-"?he=se:(se==="^"||se==="!")&&!ne?he="^":se===v?he="":he=g.escapeRegExpCharacters(se),ne+=he;continue}switch(se){case"{":Y=!0;continue;case"[":X=!0;continue;case"}":_+=`(?:${d(G,",").map(re=>m(re)).join("|")})`,Y=!1,G="";break;case"]":_+="["+ne+"]",X=!1,ne="";break;case"?":_+=b;continue;case"*":_+=y(1);continue;default:_+=g.escapeRegExpCharacters(se)}}K<O.length-1&&(O[K+1]!==w||K+2<O.length)&&(_+=i),A=!1})}return _}const k=/^\*\*\/\*\.[\w\.-]+$/,I=/^\*\*\/([\w\.-]+)\/?$/,l=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,h=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,o=/^\*\*((\/[\w\.-]+)+)\/?$/,c=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new S.LRUCache(1e4),s=function(){return!1},r=function(){return null};function a(R,_){if(!R)return r;let O;typeof R!="string"?O=R.pattern:O=R,O=O.trim();const A=`${O}_${!!_.trimForExclusions}`;let z=t.get(A);if(z)return u(z,R);let K;if(k.test(O)){const Y=O.substr(4);z=function(G,X){return typeof G=="string"&&G.endsWith(Y)?O:null}}else(K=I.exec(p(O,_)))?z=f(K[1],O):(_.trimForExclusions?h:l).test(O)?z=L(O,_):(K=o.exec(p(O,_)))?z=T(K[1].substr(1),O,!0):(K=c.exec(p(O,_)))?z=T(K[1],O,!1):z=W(O);return t.set(A,z),u(z,R)}function u(R,_){return typeof _=="string"?R:function(O,A){return M.isEqualOrParent(O,_.base)?R(D.relative(_.base,O),A):null}}function p(R,_){return _.trimForExclusions&&R.endsWith("/**")?R.substr(0,R.length-2):R}function f(R,_){const O=`/${R}`,A=`\\${R}`,z=function(Y,G){return typeof Y!="string"?null:G?G===R?_:null:Y===R||Y.endsWith(O)||Y.endsWith(A)?_:null},K=[R];return z.basenames=K,z.patterns=[_],z.allBasenames=K,z}function L(R,_){const O=F(R.slice(1,-1).split(",").map(G=>a(G,_)).filter(G=>G!==r),R),A=O.length;if(!A)return r;if(A===1)return O[0];const z=function(G,X){for(let ne=0,se=O.length;ne<se;ne++)if(O[ne](G,X))return R;return null},K=O.find(G=>!!G.allBasenames);K&&(z.allBasenames=K.allBasenames);const Y=O.reduce((G,X)=>X.allPaths?G.concat(X.allPaths):G,[]);return Y.length&&(z.allPaths=Y),z}function T(R,_,O){const A=D.sep===D.posix.sep,z=A?R:R.replace(P,D.sep),K=D.sep+z,Y=D.posix.sep+R,G=O?function(X,ne){return typeof X=="string"&&(X===z||X.endsWith(K)||!A&&(X===R||X.endsWith(Y)))?_:null}:function(X,ne){return typeof X=="string"&&(X===z||!A&&X===R)?_:null};return G.allPaths=[(O?"*/":"./")+R],G}function W(R){try{const _=new RegExp(`^${m(R)}$`);return function(O){return _.lastIndex=0,typeof O=="string"&&_.test(O)?R:null}}catch(_){return r}}function N(R,_,O){return!R||typeof _!="string"?!1:V(R)(_,void 0,O)}e.match=N;function V(R,_={}){if(!R)return s;if(typeof R=="string"||Q(R)){const O=a(R,_);if(O===r)return s;const A=function(z,K){return!!O(z,K)};return O.allBasenames&&(A.allBasenames=O.allBasenames),O.allPaths&&(A.allPaths=O.allPaths),A}return U(R,_)}e.parse=V;function ee(R){if(!R)return;let _;return O=>(_||(_=(R()||Promise.resolve([])).then(A=>A?x(A):{})),_.then(A=>!!A[O]))}e.hasSiblingPromiseFn=ee;function q(R){if(!R)return;let _;return O=>{if(!_){const A=R();_=A?x(A):{}}return!!_[O]}}e.hasSiblingFn=q;function x(R){const _={};for(const O of R)_[O]=!0;return _}function Q(R){const _=R;return _&&typeof _.base=="string"&&typeof _.pattern=="string"}e.isRelativePattern=Q;function C(R){return R.allBasenames||[]}e.getBasenameTerms=C;function B(R){return R.allPaths||[]}e.getPathTerms=B;function U(R,_){const O=F(Object.getOwnPropertyNames(R).map(G=>$(G,R[G],_)).filter(G=>G!==r)),A=O.length;if(!A)return r;if(!O.some(G=>!!G.requiresSiblings)){if(A===1)return O[0];const G=function(se,he){for(let de=0,re=O.length;de<re;de++){const ce=O[de](se,he);if(ce)return ce}return null},X=O.find(se=>!!se.allBasenames);X&&(G.allBasenames=X.allBasenames);const ne=O.reduce((se,he)=>he.allPaths?se.concat(he.allPaths):se,[]);return ne.length&&(G.allPaths=ne),G}const z=function(G,X,ne){let se;for(let he=0,de=O.length;he<de;he++){const re=O[he];re.requiresSiblings&&ne&&(X||(X=D.basename(G)),se||(se=X.substr(0,X.length-D.extname(G).length)));const ce=re(G,X,se,ne);if(ce)return ce}return null},K=O.find(G=>!!G.allBasenames);K&&(z.allBasenames=K.allBasenames);const Y=O.reduce((G,X)=>X.allPaths?G.concat(X.allPaths):G,[]);return Y.length&&(z.allPaths=Y),z}function $(R,_,O){if(_===!1)return r;const A=a(R,O);if(A===r)return r;if(typeof _=="boolean")return A;if(_){const z=_.when;if(typeof z=="string"){const K=(Y,G,X,ne)=>{if(!ne||!A(Y,G))return null;const se=z.replace("$(basename)",X),he=ne(se);return E.isThenable(he)?he.then(de=>de?R:null):he?R:null};return K.requiresSiblings=!0,K}}return A}function F(R,_){const O=R.filter(G=>!!G.basenames);if(O.length<2)return R;const A=O.reduce((G,X)=>{const ne=X.basenames;return ne?G.concat(ne):G},[]);let z;if(_){z=[];for(let G=0,X=A.length;G<X;G++)z.push(_)}else z=O.reduce((G,X)=>{const ne=X.patterns;return ne?G.concat(ne):G},[]);const K=function(G,X){if(typeof G!="string")return null;if(!X){let se;for(se=G.length;se>0;se--){const he=G.charCodeAt(se-1);if(he===47||he===92)break}X=G.substr(se)}const ne=A.indexOf(X);return ne!==-1?z[ne]:null};K.basenames=A,K.patterns=z,K.allBasenames=A;const Y=R.filter(G=>!G.basenames);return Y.push(K),Y}}),define(J[31],Z([0,1,7,8,23,10,3,15,30]),function(j,e,g,M,D,S,E,n,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function v(a,u,p){if(typeof a=="string"&&(a=g.URI.file(a)),p){const L=p.getWorkspaceFolder(a);if(L){const T=p.getWorkspace().folders.length>1;let W;if(n.isEqual(L.uri,a)?W="":W=n.relativePath(L.uri,a),T){const N=L.name?L.name:n.basename(L.uri);W=W?N+" \u2022 "+W:N}return W}}if(a.scheme!==S.Schemas.file&&a.scheme!==S.Schemas.untitled)return a.with({query:null,fragment:null}).toString(!0);if(w.hasDriveLetter(a.fsPath))return M.normalize(b(a.fsPath));let f=M.normalize(a.fsPath);return!E.isWindows&&u?.userHome&&(f=y(f,u.userHome.fsPath)),f}e.getPathLabel=v;function i(a){if(!a)return;typeof a=="string"&&(a=g.URI.file(a));const u=n.basename(a)||(a.scheme===S.Schemas.file?a.fsPath:a.path);return E.isWindows&&w.isRootOrDriveLetter(u)?b(u):u}e.getBaseLabel=i;function b(a){return w.hasDriveLetter(a)?a.charAt(0).toUpperCase()+a.slice(1):a}e.normalizeDriveLetter=b;let P=Object.create(null);function y(a,u){if(E.isWindows||!a||!u)return a;let p=P.original===u?P.normalized:void 0;return p||(p=`${D.rtrim(u,M.posix.sep)}${M.posix.sep}`,P={original:u,normalized:p}),(E.isLinux?a.startsWith(p):D.startsWithIgnoreCase(a,p))&&(a=`~/${a.substr(p.length)}`),a}e.tildify=y;function d(a,u){return a.replace(/^~($|\/|\\)/,`${u}$1`)}e.untildify=d;const m="\u2026",k="\\\\",I="~";function l(a,u=M.sep){const p=new Array(a.length);let f=!1;for(let L=0;L<a.length;L++){let T=a[L];if(T===""){p[L]=`.${u}`;continue}if(!T){p[L]=T;continue}f=!0;let W="";T.indexOf(k)===0?(W=T.substr(0,T.indexOf(k)+k.length),T=T.substr(T.indexOf(k)+k.length)):T.indexOf(u)===0?(W=T.substr(0,T.indexOf(u)+u.length),T=T.substr(T.indexOf(u)+u.length)):T.indexOf(I)===0&&(W=T.substr(0,T.indexOf(I)+I.length),T=T.substr(T.indexOf(I)+I.length));const N=T.split(u);for(let V=1;f&&V<=N.length;V++)for(let ee=N.length-V;f&&ee>=0;ee--){f=!1;let q=N.slice(ee,ee+V).join(u);for(let x=0;!f&&x<a.length;x++)if(x!==L&&a[x]&&a[x].indexOf(q)>-1){const Q=ee+V===N.length,C=ee>0&&a[x].indexOf(u)>-1?u+q:q,B=a[x].endsWith(C);f=!Q||B}if(!f){let x="";(N[0].endsWith(":")||W!=="")&&(ee===1&&(ee=0,V++,q=N[0]+u+q),ee>0&&(x=N[0]+u),x=W+x),ee>0&&(x=x+m+u),x=x+q,ee+V<N.length&&(x=x+u+m),p[L]=x}}f&&(p[L]=T)}return p}e.shorten=l;var h;(function(a){a[a.TEXT=0]="TEXT",a[a.VARIABLE=1]="VARIABLE",a[a.SEPARATOR=2]="SEPARATOR"})(h||(h={}));function o(a,u=Object.create(null)){const p=[];let f=!1,L="";for(const T of a)if(T==="$"||f&&T==="{")L&&p.push({value:L,type:h.TEXT}),L="",f=!0;else if(T==="}"&&f){const W=u[L];if(typeof W=="string")W.length&&p.push({value:W,type:h.VARIABLE});else if(W){const N=p[p.length-1];(!N||N.type!==h.SEPARATOR)&&p.push({value:W.label,type:h.SEPARATOR})}L="",f=!1}else L+=T;return L&&!f&&p.push({value:L,type:h.TEXT}),p.filter((T,W)=>{if(T.type===h.SEPARATOR){const N=p[W-1],V=p[W+1];return[N,V].every(ee=>ee&&(ee.type===h.VARIABLE||ee.type===h.TEXT)&&ee.value.length>0)}return!0}).map(T=>T.value).join("")}e.template=o;function c(a,u){return E.isMacintosh||u?a.replace(/\(&&\w\)|&&/g,"").replace(/&/g,E.isMacintosh?"&":"&&"):a.replace(/&&|&/g,p=>p==="&"?"&&":"&")}e.mnemonicMenuLabel=c;function t(a,u){return E.isMacintosh||u?a.replace(/\(&&\w\)|&&/g,""):E.isWindows?a.replace(/&&|&/g,p=>p==="&"?"&&":"&"):a.replace(/&&/g,"_")}e.mnemonicButtonLabel=t;function s(a){return a.replace(/&/g,"&&")}e.unmnemonicLabel=s;function r(a){const u=a.indexOf("/")!==-1?M.posix:M.win32,p=u.basename(a),f=u.dirname(a);return p.length?{name:p,parentPath:f}:{name:f,parentPath:""}}e.splitName=r}),define(J[28],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const g=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function M(w){return g.test(w)}e.isUUID=M;const D=new Uint8Array(16),S=[];for(let w=0;w<256;w++)S.push(w.toString(16).padStart(2,"0"));let E;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?E=crypto.getRandomValues.bind(crypto):E=function(w){for(let v=0;v<w.length;v++)w[v]=Math.floor(Math.random()*256);return w};function n(){E(D),D[6]=D[6]&15|64,D[8]=D[8]&63|128;let w=0,v="";return v+=S[D[w++]],v+=S[D[w++]],v+=S[D[w++]],v+=S[D[w++]],v+="-",v+=S[D[w++]],v+=S[D[w++]],v+="-",v+=S[D[w++]],v+=S[D[w++]],v+="-",v+=S[D[w++]],v+=S[D[w++]],v+="-",v+=S[D[w++]],v+=S[D[w++]],v+=S[D[w++]],v+=S[D[w++]],v+=S[D[w++]],v+=S[D[w++]],v}e.generateUuid=n}),define(J[113],Z([0,1,29,58,43]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checksum=void 0;async function S(E,n){if(await new Promise((i,b)=>{const P=g.createReadStream(E),y=M.createHash("sha1");P.pipe(y);const d=D.once((m,k)=>{P.removeAllListeners(),y.removeAllListeners(),m?b(m):i(k)});P.once("error",d),P.once("end",d),y.once("error",d),y.once("data",m=>d(void 0,m.toString("hex")))})!==n)throw new Error("Hash mismatch")}e.checksum=S}),define(J[81],Z([0,1,239]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class M{constructor(S="utf8"){this.stringDecoder=new g.StringDecoder(S),this.remaining=null}write(S){const E=[],n=this.remaining?this.remaining+this.stringDecoder.write(S):this.stringDecoder.write(S);if(n.length<1)return E;let w=0,v,i=w;for(;i<n.length;)if(v=n.charCodeAt(i),v===13||v===10){if(E.push(n.substring(w,i)),i++,i<n.length){const b=v;v=n.charCodeAt(i),(b===13&&v===10||b===10&&v===13)&&i++}w=i}else i++;return this.remaining=w<n.length?n.substr(w):null,E}end(){return this.remaining}}e.LineDecoder=M}),define(J[114],Z([0,1,26]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMac=void 0;const M=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function D(n){const w=n.replace(/\-/g,":").toLowerCase();return!M.has(w)}function S(){return new Promise(async(n,w)=>{const v=setTimeout(()=>w("Unable to retrieve mac address (timeout after 10s)"),1e4);try{n(await E())}catch(i){w(i)}finally{clearTimeout(v)}})}e.getMac=S;function E(){return new Promise((n,w)=>{try{const v=g.networkInterfaces();for(let i in v){const b=v[i];if(b){for(const{mac:P}of b)if(D(P))return n(P)}}w("Unable to retrieve mac address (unexpected format)")}catch(v){w(v)}})}}),define(J[66],Z([0,1,16,28,26,37,114]),function(j,e,g,M,D,S,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMachineId=e.virtualMachineHint=void 0,e.virtualMachineHint=new class{_isVirtualMachineMacAdress(i){return this._virtualMachineOUIs||(this._virtualMachineOUIs=S.TernarySearchTree.forStrings(),this._virtualMachineOUIs.set("00-50-56",!0),this._virtualMachineOUIs.set("00-0C-29",!0),this._virtualMachineOUIs.set("00-05-69",!0),this._virtualMachineOUIs.set("00-03-FF",!0),this._virtualMachineOUIs.set("00-1C-42",!0),this._virtualMachineOUIs.set("00-16-3E",!0),this._virtualMachineOUIs.set("08-00-27",!0),this._virtualMachineOUIs.set("00:50:56",!0),this._virtualMachineOUIs.set("00:0C:29",!0),this._virtualMachineOUIs.set("00:05:69",!0),this._virtualMachineOUIs.set("00:03:FF",!0),this._virtualMachineOUIs.set("00:1C:42",!0),this._virtualMachineOUIs.set("00:16:3E",!0),this._virtualMachineOUIs.set("08:00:27",!0)),!!this._virtualMachineOUIs.findSubstr(i)}value(){if(this._value===void 0){let i=0,b=0;const P=D.networkInterfaces();for(let y in P){const d=P[y];if(d)for(const{mac:m,internal:k}of d)k||(b+=1,this._isVirtualMachineMacAdress(m.toUpperCase())&&(i+=1))}this._value=b>0?i/b:0}return this._value}};let n;async function w(){return n||(n=(async()=>await v()||M.generateUuid())()),n}e.getMachineId=w;async function v(){try{const i=await new Promise((P,y)=>{j(["crypto"],P,y)}),b=await E.getMac();return i.createHash("sha256").update(b,"utf8").digest("hex")}catch(i){g.onUnexpectedError(i);return}}}),define(J[18],Z([0,1,29,26,115,8,9,3,30,28,65,15,7]),function(j,e,g,M,D,S,E,n,w,v,i,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var y;(function(C){C[C.UNLINK=0]="UNLINK",C[C.MOVE=1]="MOVE"})(y=e.RimRafMode||(e.RimRafMode={}));async function d(C,B=y.UNLINK){if(w.isRootOrDriveLetter(C))throw new Error("rimraf - will refuse to recursively delete root");return B===y.UNLINK?k(C):m(C)}async function m(C){try{const B=S.join(M.tmpdir(),v.generateUuid());try{await e.Promises.rename(C,B)}catch(U){return k(C)}k(B).catch(U=>{})}catch(B){if(B.code!=="ENOENT")throw B}}async function k(C){return e.Promises.rmdir(C,{recursive:!0,maxRetries:3})}function I(C){if(w.isRootOrDriveLetter(C))throw new Error("rimraf - will refuse to recursively delete root");g.rmdirSync(C,{recursive:!0})}e.rimrafSync=I;async function l(C,B){return c(await(B?h(C):D.promisify(g.readdir)(C)))}async function h(C){try{return await D.promisify(g.readdir)(C,{withFileTypes:!0})}catch($){console.warn("[node.js fs] readdir with filetypes failed with error: ",$)}const B=[],U=await l(C);for(const $ of U){let F=!1,R=!1,_=!1;try{const O=await e.Promises.lstat(S.join(C,$));F=O.isFile(),R=O.isDirectory(),_=O.isSymbolicLink()}catch(O){console.warn("[node.js fs] unexpected error from lstat after readdir: ",O)}B.push({name:$,isFile:()=>F,isDirectory:()=>R,isSymbolicLink:()=>_})}return B}function o(C){return c(g.readdirSync(C))}e.readdirSync=o;function c(C){return C.map(B=>typeof B=="string"?n.isMacintosh?i.normalizeNFC(B):B:(B.name=n.isMacintosh?i.normalizeNFC(B.name):B.name,B))}async function t(C){const B=await l(C),U=[];for(const $ of B)await r.existsDirectory(S.join(C,$))&&U.push($);return U}function s(C,B=1e3){return new Promise(U=>{let $=!1;const F=setInterval(()=>{$||($=!0,g.access(C,R=>{$=!1,R&&(clearInterval(F),U(void 0))}))},B)})}e.whenDeleted=s;var r;(function(C){async function B(F){let R;try{if(R=await e.Promises.lstat(F),!R.isSymbolicLink())return{stat:R}}catch(_){}try{return{stat:await e.Promises.stat(F),symbolicLink:R?.isSymbolicLink()?{dangling:!1}:void 0}}catch(_){if(_.code==="ENOENT"&&R)return{stat:R,symbolicLink:{dangling:!0}};if(n.isWindows&&_.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(F)),symbolicLink:{dangling:!1}}}catch(O){if(O.code==="ENOENT"&&R)return{stat:R,symbolicLink:{dangling:!0}};throw O}throw _}}C.stat=B;async function U(F){try{const{stat:R,symbolicLink:_}=await C.stat(F);return R.isFile()&&_?.dangling!==!0}catch(R){}return!1}C.existsFile=U;async function $(F){try{const{stat:R,symbolicLink:_}=await C.stat(F);return R.isDirectory()&&_?.dangling!==!0}catch(R){}return!1}C.existsDirectory=$})(r=e.SymlinkSupport||(e.SymlinkSupport={}));const a=new E.ResourceQueue;function u(C,B,U){return a.queueFor(P.URI.file(C),b.extUriBiasedIgnorePathCase).queue(()=>{const $=T(U);return new Promise((F,R)=>f(C,B,$,_=>_?R(_):F()))})}let p=!0;function f(C,B,U,$){if(!p)return g.writeFile(C,B,{mode:U.mode,flag:U.flag},$);g.open(C,U.flag,U.mode,(F,R)=>{if(F)return $(F);g.writeFile(R,B,_=>{if(_)return g.close(R,()=>$(_));g.fdatasync(R,O=>(O&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",O),p=!1),g.close(R,A=>$(A))))})})}function L(C,B,U){const $=T(U);if(!p)return g.writeFileSync(C,B,{mode:$.mode,flag:$.flag});const F=g.openSync(C,$.flag,$.mode);try{g.writeFileSync(F,B);try{g.fdatasyncSync(F)}catch(R){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",R),p=!1}}finally{g.closeSync(F)}}e.writeFileSync=L;function T(C){return C?{mode:typeof C.mode=="number"?C.mode:438,flag:typeof C.flag=="string"?C.flag:"w"}:{mode:438,flag:"w"}}async function W(C,B){if(C===B)return;async function U($){try{const F=await e.Promises.lstat($);if(F.isDirectory()||F.isSymbolicLink())return;await e.Promises.utimes($,F.atime,new Date)}catch(F){}}try{await e.Promises.rename(C,B),await U(B)}catch($){if(C.toLowerCase()!==B.toLowerCase()&&$.code==="EXDEV"||C.endsWith("."))await N(C,B,{preserveSymlinks:!1}),await d(C,y.MOVE),await U(B);else throw $}}async function N(C,B,U){return ee(C,B,{root:{source:C,target:B},options:U,handledSourcePaths:new Set})}const V=511;async function ee(C,B,U){if(U.handledSourcePaths.has(C))return;U.handledSourcePaths.add(C);const{stat:$,symbolicLink:F}=await r.stat(C);if(F){if(U.options.preserveSymlinks)try{return await Q(C,B,U)}catch(R){console.warn("[node.js fs] copy of symlink failed: ",R)}if(F.dangling)return}return $.isDirectory()?q(C,B,$.mode&V,U):x(C,B,$.mode&V)}async function q(C,B,U,$){await e.Promises.mkdir(B,{recursive:!0,mode:U});const F=await l(C);for(const R of F)await ee(S.join(C,R),S.join(B,R),$)}async function x(C,B,U){await e.Promises.copyFile(C,B),await e.Promises.chmod(B,U)}async function Q(C,B,U){let $=await e.Promises.readlink(C);w.isEqualOrParent($,U.root.source,!n.isLinux)&&($=S.join(U.root.target,$.substr(U.root.source.length+1))),await e.Promises.symlink($,B)}e.Promises=new class{get access(){return D.promisify(g.access)}get stat(){return D.promisify(g.stat)}get lstat(){return D.promisify(g.lstat)}get utimes(){return D.promisify(g.utimes)}get read(){return D.promisify(g.read)}get readFile(){return D.promisify(g.readFile)}get write(){return D.promisify(g.write)}get appendFile(){return D.promisify(g.appendFile)}get fdatasync(){return D.promisify(g.fdatasync)}get truncate(){return D.promisify(g.truncate)}get rename(){return D.promisify(g.rename)}get copyFile(){return D.promisify(g.copyFile)}get open(){return D.promisify(g.open)}get close(){return D.promisify(g.close)}get symlink(){return D.promisify(g.symlink)}get readlink(){return D.promisify(g.readlink)}get chmod(){return D.promisify(g.chmod)}get mkdir(){return D.promisify(g.mkdir)}get unlink(){return D.promisify(g.unlink)}get rmdir(){return D.promisify(g.rmdir)}get realpath(){return D.promisify(g.realpath)}async exists(C){try{return await e.Promises.access(C),!0}catch{return!1}}get readdir(){return l}get readDirsInDir(){return t}get writeFile(){return u}get rm(){return d}get move(){return W}get copy(){return N}}}),define(J[82],Z([0,1,29,23,8,18]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcaseSync=void 0;function E(i){const b=D.dirname(i);if(i===b)return i;const P=(D.basename(i)||i).toLowerCase();try{const d=S.readdirSync(b).filter(m=>m.toLowerCase()===P);if(d.length===1){const m=E(b);if(m)return D.join(m,d[0])}else if(d.length>1){const m=d.indexOf(P);if(m>=0){const k=E(b);if(k)return D.join(k,d[m])}}}catch(y){}return null}e.realcaseSync=E;async function n(i){try{return await S.Promises.realpath(i)}catch(b){const P=v(i);return await S.Promises.access(P,g.constants.R_OK),P}}e.realpath=n;function w(i){try{return g.realpathSync(i)}catch(b){const P=v(i);return g.accessSync(P,g.constants.R_OK),P}}e.realpathSync=w;function v(i){return M.rtrim(D.normalize(i),D.sep)}}),define(J[116],Z([0,1,59]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findFreePortFaster=e.findFreePort=void 0;function M(n,w,v){let i=!1;return new Promise(b=>{const P=setTimeout(()=>{if(!i)return i=!0,b(0)},v);D(n,w,y=>{if(!i)return i=!0,clearTimeout(P),b(y)})})}e.findFreePort=M;function D(n,w,v){if(w===0)return v(0);const i=new g.Socket;i.once("connect",()=>(E(i),D(n+1,w-1,v))),i.once("data",()=>{}),i.once("error",b=>(E(i),b.code!=="ECONNREFUSED"?D(n+1,w-1,v):v(n))),i.connect(n,"127.0.0.1")}function S(n,w,v){let i=!1,b,P=1;const y=g.createServer({pauseOnConnect:!0});function d(m,k){i||(i=!0,y.removeAllListeners(),y.close(),b&&clearTimeout(b),k(m))}return new Promise(m=>{b=setTimeout(()=>{d(0,m)},v),y.on("listening",()=>{d(n,m)}),y.on("error",k=>{k&&(k.code==="EADDRINUSE"||k.code==="EACCES")&&P<w?(n++,P++,y.listen(n,"127.0.0.1")):d(0,m)}),y.on("close",()=>{d(0,m)}),y.listen(n,"127.0.0.1")})}e.findFreePortFaster=S;function E(n){try{n.removeAllListeners("connect"),n.removeAllListeners("error"),n.end(),n.destroy(),n.unref()}catch(w){console.error(w)}}}),define(J[117],Z([0,1,18,26,8]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getFirstAvailablePowerShellInstallation=e.enumeratePowerShellInstallations=void 0;const S=/^\d+$/,E=/^Microsoft.PowerShell_.*/,n=/^Microsoft.PowerShellPreview_.*/;var w;(function(o){o[o.x64=0]="x64",o[o.x86=1]="x86",o[o.ARM=2]="ARM"})(w||(w={}));let v;switch(process.arch){case"ia32":case"x32":v=1;break;case"arm":case"arm64":v=2;break;default:v=0;break}let i;process.env.PROCESSOR_ARCHITEW6432?i=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?i=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?i=1:i=0;class b{constructor(c,t,s){this.exePath=c,this.displayName=t,this.knownToExist=s}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await g.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function P({useAlternateBitness:o=!1}={}){return o?v===0?process.env["ProgramFiles(x86)"]||null:i===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function y({useAlternateBitness:o=!1,findPreview:c=!1}={}){const t=P({useAlternateBitness:o});if(!t)return null;const s=D.join(t,"PowerShell");if(!await g.SymlinkSupport.existsDirectory(s))return null;let r=-1,a=null;for(const f of await g.Promises.readdir(s)){let L=-1;if(c){const W=f.indexOf("-");if(W<0)continue;const N=f.substring(0,W);if(!S.test(N)||f.substring(W+1)!=="preview")continue;L=parseInt(N,10)}else{if(!S.test(f))continue;L=parseInt(f,10)}if(L<=r)continue;const T=D.join(s,f,"pwsh.exe");!await g.SymlinkSupport.existsFile(T)||(a=T,r=L)}if(!a)return null;const u=t.includes("x86")?" (x86)":"",p=c?" Preview":"";return new b(a,`PowerShell${p}${u}`,!0)}async function d({findPreview:o}={}){if(!process.env.LOCALAPPDATA)return null;const c=D.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await g.SymlinkSupport.existsDirectory(c))return null;const{pwshMsixDirRegex:t,pwshMsixName:s}=o?{pwshMsixDirRegex:n,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:E,pwshMsixName:"PowerShell (Store)"};for(const r of await g.Promises.readdir(c))if(t.test(r)){const a=D.join(c,r,"pwsh.exe");return new b(a,s)}return null}function m(){const o=D.join(M.homedir(),".dotnet","tools","pwsh.exe");return new b(o,".NET Core PowerShell Global Tool")}function k(){const o=D.join(process.env.windir,v===1&&i!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new b(o,"Windows PowerShell",!0)}async function*I(){let o=await y();o&&(yield o),o=await y({useAlternateBitness:!0}),o&&(yield o),o=await d(),o&&(yield o),o=m(),o&&(yield o),o=await y({findPreview:!0}),o&&(yield o),o=await d({findPreview:!0}),o&&(yield o),o=await y({useAlternateBitness:!0,findPreview:!0}),o&&(yield o),o=k(),o&&(yield o)}async function*l(){for await(const o of I())await o.exists()&&(yield o)}e.enumeratePowerShellInstallations=l;async function h(){for await(const o of l())return o;return null}e.getFirstAvailablePowerShellInstallation=h}),define(J[83],Z([0,1,41,10]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.listProcesses=void 0;function D(E){return new Promise((n,w)=>{let v;const i=new Map;function b(y,d,m,k,I){const l=i.get(d);if(y===E||l){const h={name:P(m),cmd:m,pid:y,ppid:d,load:k,mem:I};i.set(y,h),y===E&&(v=h),l&&(l.children||(l.children=[]),l.children.push(h),l.children.length>1&&(l.children=l.children.sort((o,c)=>o.pid-c.pid)))}}function P(y){const d=/--disable-blink-features=Auxclick/,m=/\\watcher\\win32\\CodeHelper\.exe/,k=/--crashes-directory/,I=/\\pipe\\winpty-control/,l=/conhost\.exe/,h=/--type=([a-zA-Z-]+)/;if(m.exec(y))return"watcherService ";if(k.exec(y))return"electron-crash-reporter";if(I.exec(y))return"winpty-process";if(l.exec(y))return"console-window-host (Windows internal process)";let o=h.exec(y);if(o&&o.length===2)return o[1]==="renderer"?d.exec(y)?"shared-process":"window":o[1];const c=/[a-zA-Z-]+\.js/g;let t="";do o=c.exec(y),o&&(t+=o+" ");while(o);return t&&y.indexOf("node ")<0&&y.indexOf("node.exe")<0?`electron_node ${t}`:y}if(process.platform==="win32"){const y=d=>d.indexOf("\\\\?\\")===0||d.indexOf("\\??\\")===0?d.substr(4):d.indexOf('"\\\\?\\')===0||d.indexOf('"\\??\\')===0?'"'+d.substr(5):d;new Promise((d,m)=>{j(["windows-process-tree"],d,m)}).then(d=>{d.getProcessList(E,m=>{d.getProcessCpuUsage(m,k=>{const I=new Map;k.forEach(l=>{const h=y(l.commandLine||"");I.set(l.pid,{name:P(h),cmd:h,pid:l.pid,ppid:l.ppid,load:l.cpu||0,mem:l.memory||0})}),v=I.get(E),v?(I.forEach(l=>{const h=I.get(l.ppid);h&&(h.children||(h.children=[]),h.children.push(l))}),I.forEach(l=>{l.children&&(l.children=l.children.sort((h,o)=>h.pid-o.pid))}),n(v)):w(new Error(`Root process ${E} not found`))})},d.ProcessDataFlag.CommandLine|d.ProcessDataFlag.Memory)})}else{let y=function(){let d=[v];const m=[];for(;d.length;){const I=d.shift();I&&(m.push(I.pid),I.children&&(d=d.concat(I.children)))}let k=JSON.stringify(M.FileAccess.asFileUri("vs/base/node/cpuUsage.sh",j).fsPath);k+=" "+m.join(" "),g.exec(k,{},(I,l,h)=>{if(I||h)w(I||new Error(h.toString()));else{const o=l.toString().split(`
`);for(let c=0;c<m.length;c++){const t=i.get(m[c]);t.load=parseFloat(o[c])}if(!v){w(new Error(`Root process ${E} not found`));return}n(v)}})};g.exec("which ps",{},(d,m,k)=>{if(d||k)if(process.platform!=="linux")w(d||new Error(k.toString()));else{const I=JSON.stringify(M.FileAccess.asFileUri("vs/base/node/ps.sh",j).fsPath);g.exec(I,{},(l,h,o)=>{l||o?w(l||new Error(o.toString())):(S(h,b),y())})}else{const I=m.toString().trim(),l="-ax -o pid=,ppid=,pcpu=,pmem=,command=";g.exec(`${I} ${l}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(h,o,c)=>{h||c&&!c.includes("screen size is bogus")?w(h||new Error(c.toString())):(S(o,b),process.platform==="linux"?y():v?n(v):w(new Error(`Root process ${E} not found`)))})}})}})}e.listProcesses=D;function S(E,n){const w=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,v=E.toString().split(`
`);for(const i of v){const b=w.exec(i.trim());b&&b.length===6&&n(parseInt(b[1]),parseInt(b[2]),b[5],parseFloat(b[3]),parseFloat(b[4]))}}}),define(J[118],Z([0,1,8,29,3,65,2,18]),function(j,e,g,M,D,S,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CHANGE_BUFFER_DELAY=e.watchFolder=e.watchFile=void 0;function w(b,P,y){return i({path:b,isDirectory:!1},P,y)}e.watchFile=w;function v(b,P,y){return i({path:b,isDirectory:!0},P,y)}e.watchFolder=v,e.CHANGE_BUFFER_DELAY=100;function i(b,P,y){const d=g.basename(b.path),m=new Map;let k=!1,I=[E.toDisposable(()=>{m.forEach(l=>E.dispose(l)),m.clear()})];try{const l=M.watch(b.path);I.push(E.toDisposable(()=>{l.removeAllListeners(),l.close()}));const h=new Set;b.isDirectory&&n.Promises.readdir(b.path).then(o=>o.forEach(c=>h.add(c))),l.on("error",(o,c)=>{k||y(`Failed to watch ${b.path} for changes using fs.watch() (${o}, ${c})`)}),l.on("change",(o,c)=>{if(k)return;let t="";if(c&&(t=c.toString(),D.isMacintosh&&(t=S.normalizeNFC(t))),!t||o!=="change"&&o!=="rename")return;const s=b.isDirectory?g.join(b.path,t):b.path;if(b.isDirectory)if(o==="rename"){const r=m.get(s);r&&E.dispose(r);const a=setTimeout(async()=>{m.delete(s);const u=await n.Promises.exists(s);if(k)return;let p;u?h.has(t)?p="changed":(p="added",h.add(t)):(h.delete(t),p="deleted"),P(p,s)},e.CHANGE_BUFFER_DELAY);m.set(s,E.toDisposable(()=>clearTimeout(a)))}else{let r;h.has(t)?r="changed":(r="added",h.add(t)),P(r,s)}else if(o==="rename"||t!==d){const r=setTimeout(async()=>{const a=await n.Promises.exists(s);k||(a?(P("changed",s),I=[i(b,P,y)]):P("deleted",s))},e.CHANGE_BUFFER_DELAY);E.dispose(I),I=[E.toDisposable(()=>clearTimeout(r))]}else P("changed",s)})}catch(l){n.Promises.exists(b.path).then(h=>{h&&!k&&y(`Failed to watch ${b.path} for changes using fs.watch() (${l.toString()})`)})}return E.toDisposable(()=>{k=!0,I=E.dispose(I)})}}),define(J[119],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CONTEXT_MENU_CLOSE_CHANNEL=e.CONTEXT_MENU_CHANNEL=void 0,e.CONTEXT_MENU_CHANNEL="vscode:contextmenu",e.CONTEXT_MENU_CLOSE_CHANNEL="vscode:onCloseContextMenu"}),define(J[120],Z([0,1,14,119,13]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerContextMenuListener=void 0;function S(){g.ipcMain.on(M.CONTEXT_MENU_CHANNEL,(n,w,v,i,b)=>{const P=E(n,i,v);P.popup({window:D.withNullAsUndefined(g.BrowserWindow.fromWebContents(n.sender)),x:b?b.x:void 0,y:b?b.y:void 0,positioningItem:b?b.positioningItem:void 0,callback:()=>{P&&n.sender.send(M.CONTEXT_MENU_CLOSE_CHANNEL,w)}})})}e.registerContextMenuListener=S;function E(n,w,v){const i=new g.Menu;return v.forEach(b=>{let P;b.type==="separator"?P=new g.MenuItem({type:b.type}):Array.isArray(b.submenu)?P=new g.MenuItem({submenu:E(n,w,b.submenu),label:b.label}):P=new g.MenuItem({label:b.label,type:b.type,accelerator:b.accelerator,checked:b.checked,enabled:b.enabled,visible:b.visible,click:(y,d,m)=>n.sender.send(w,b.id,m)}),i.append(P)}),i}});var ue=this&&this.__decorate||function(j,e,g,M){var D=arguments.length,S=D<3?e:M===null?M=Object.getOwnPropertyDescriptor(e,g):M,E;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")S=Reflect.decorate(j,e,g,M);else for(var n=j.length-1;n>=0;n--)(E=j[n])&&(S=(D<3?E(S):D>3?E(e,g,S):E(e,g))||S);return D>3&&S&&Object.defineProperty(e,g,S),S};define(J[34],Z([0,1,5,2,9,25,16,17,36,13,111,23,47]),function(j,e,g,M,D,S,E,n,w,v,i,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var y;(function(F){F[F.Promise=100]="Promise",F[F.PromiseCancel=101]="PromiseCancel",F[F.EventListen=102]="EventListen",F[F.EventDispose=103]="EventDispose"})(y=e.RequestType||(e.RequestType={}));function d(F){switch(F){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var m;(function(F){F[F.Initialize=200]="Initialize",F[F.PromiseSuccess=201]="PromiseSuccess",F[F.PromiseError=202]="PromiseError",F[F.PromiseErrorObj=203]="PromiseErrorObj",F[F.EventFire=204]="EventFire"})(m=e.ResponseType||(e.ResponseType={}));function k(F){switch(F){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var I;(function(F){F[F.Uninitialized=0]="Uninitialized",F[F.Idle=1]="Idle"})(I||(I={}));class l{constructor(R){this.buffer=R,this.pos=0}read(R){const _=this.buffer.slice(this.pos,this.pos+R);return this.pos+=_.byteLength,_}}class h{constructor(){this.buffers=[]}get buffer(){return n.VSBuffer.concat(this.buffers)}write(R){this.buffers.push(R)}}var o;(function(F){F[F.Undefined=0]="Undefined",F[F.String=1]="String",F[F.Buffer=2]="Buffer",F[F.VSBuffer=3]="VSBuffer",F[F.Array=4]="Array",F[F.Object=5]="Object"})(o||(o={}));function c(F){const R=n.VSBuffer.alloc(4);return R.writeUInt32BE(F,0),R}function t(F){return F.read(4).readUInt32BE(0)}function s(F){const R=n.VSBuffer.alloc(1);return R.writeUInt8(F,0),R}const r={Undefined:s(o.Undefined),String:s(o.String),Buffer:s(o.Buffer),VSBuffer:s(o.VSBuffer),Array:s(o.Array),Object:s(o.Object)},a=typeof Buffer!="undefined";function u(F,R){if(typeof R=="undefined")F.write(r.Undefined);else if(typeof R=="string"){const _=n.VSBuffer.fromString(R);F.write(r.String),F.write(c(_.byteLength)),F.write(_)}else if(a&&Buffer.isBuffer(R)){const _=n.VSBuffer.wrap(R);F.write(r.Buffer),F.write(c(_.byteLength)),F.write(_)}else if(R instanceof n.VSBuffer)F.write(r.VSBuffer),F.write(c(R.byteLength)),F.write(R);else if(Array.isArray(R)){F.write(r.Array),F.write(c(R.length));for(const _ of R)u(F,_)}else{const _=n.VSBuffer.fromString(JSON.stringify(R));F.write(r.Object),F.write(c(_.byteLength)),F.write(_)}}function p(F){switch(F.read(1).readUInt8(0)){case o.Undefined:return;case o.String:return F.read(t(F)).toString();case o.Buffer:return F.read(t(F)).buffer;case o.VSBuffer:return F.read(t(F));case o.Array:{const _=t(F),O=[];for(let A=0;A<_;A++)O.push(p(F));return O}case o.Object:return JSON.parse(F.read(t(F)).toString())}}class f{constructor(R,_,O=null,A=1e3){this.protocol=R,this.ctx=_,this.logger=O,this.timeoutDelay=A,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(z=>this.onRawMessage(z)),this.sendResponse({type:200})}registerChannel(R,_){this.channels.set(R,_),setTimeout(()=>this.flushPendingRequests(R),0)}sendResponse(R){switch(R.type){case 200:{const _=this.send([R.type]);this.logger&&this.logger.logOutgoing(_,0,1,k(R.type));return}case 201:case 202:case 204:case 203:{const _=this.send([R.type,R.id],R.data);this.logger&&this.logger.logOutgoing(_,R.id,1,k(R.type),R.data);return}}}send(R,_=void 0){const O=new h;return u(O,R),u(O,_),this.sendBuffer(O.buffer)}sendBuffer(R){try{return this.protocol.send(R),R.byteLength}catch(_){return 0}}onRawMessage(R){const _=new l(R),O=p(_),A=p(_),z=O[0];switch(z){case 100:return this.logger&&this.logger.logIncoming(R.byteLength,O[1],1,`${d(z)}: ${O[2]}.${O[3]}`,A),this.onPromise({type:z,id:O[1],channelName:O[2],name:O[3],arg:A});case 102:return this.logger&&this.logger.logIncoming(R.byteLength,O[1],1,`${d(z)}: ${O[2]}.${O[3]}`,A),this.onEventListen({type:z,id:O[1],channelName:O[2],name:O[3],arg:A});case 101:return this.logger&&this.logger.logIncoming(R.byteLength,O[1],1,`${d(z)}`),this.disposeActiveRequest({type:z,id:O[1]});case 103:return this.logger&&this.logger.logIncoming(R.byteLength,O[1],1,`${d(z)}`),this.disposeActiveRequest({type:z,id:O[1]})}}onPromise(R){const _=this.channels.get(R.channelName);if(!_){this.collectPendingRequest(R);return}const O=new S.CancellationTokenSource;let A;try{A=_.call(this.ctx,R.name,R.arg,O.token)}catch(Y){A=Promise.reject(Y)}const z=R.id;A.then(Y=>{this.sendResponse({id:z,data:Y,type:201}),this.activeRequests.delete(R.id)},Y=>{Y instanceof Error?this.sendResponse({id:z,data:{message:Y.message,name:Y.name,stack:Y.stack?Y.stack.split?Y.stack.split(`
`):Y.stack:void 0},type:202}):this.sendResponse({id:z,data:Y,type:203}),this.activeRequests.delete(R.id)});const K=M.toDisposable(()=>O.cancel());this.activeRequests.set(R.id,K)}onEventListen(R){const _=this.channels.get(R.channelName);if(!_){this.collectPendingRequest(R);return}const O=R.id,z=_.listen(this.ctx,R.name,R.arg)(K=>this.sendResponse({id:O,data:K,type:204}));this.activeRequests.set(R.id,z)}disposeActiveRequest(R){const _=this.activeRequests.get(R.id);_&&(_.dispose(),this.activeRequests.delete(R.id))}collectPendingRequest(R){let _=this.pendingRequests.get(R.channelName);_||(_=[],this.pendingRequests.set(R.channelName,_));const O=setTimeout(()=>{console.error(`Unknown channel: ${R.channelName}`),R.type===100&&this.sendResponse({id:R.id,data:{name:"Unknown channel",message:`Channel name '${R.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);_.push({request:R,timeoutTimer:O})}flushPendingRequests(R){const _=this.pendingRequests.get(R);if(_){for(const O of _)switch(clearTimeout(O.timeoutTimer),O.request.type){case 100:this.onPromise(O.request);break;case 102:this.onEventListen(O.request);break}this.pendingRequests.delete(R)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(R=>R.dispose()),this.activeRequests.clear()}}e.ChannelServer=f;var L;(function(F){F[F.LocalSide=0]="LocalSide",F[F.OtherSide=1]="OtherSide"})(L=e.RequestInitiator||(e.RequestInitiator={}));class T{constructor(R,_=null){this.protocol=R,this.isDisposed=!1,this.state=I.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new g.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(O=>this.onBuffer(O)),this.logger=_}getChannel(R){const _=this;return{call(O,A,z){return _.isDisposed?Promise.reject(E.canceled()):_.requestPromise(R,O,A,z)},listen(O,A){return _.isDisposed?Promise.reject(E.canceled()):_.requestEvent(R,O,A)}}}requestPromise(R,_,O,A=S.CancellationToken.None){const z=this.lastRequestId++,Y={id:z,type:100,channelName:R,name:_,arg:O};if(A.isCancellationRequested)return Promise.reject(E.canceled());let G;return new Promise((ne,se)=>{if(A.isCancellationRequested)return se(E.canceled());const he=()=>{const Ie=ve=>{switch(ve.type){case 201:this.handlers.delete(z),ne(ve.data);break;case 202:this.handlers.delete(z);const be=new Error(ve.data.message);be.stack=ve.data.stack,be.name=ve.data.name,se(be);break;case 203:this.handlers.delete(z),se(ve.data);break}};this.handlers.set(z,Ie),this.sendRequest(Y)};let de=null;this.state===I.Idle?he():(de=D.createCancelablePromise(Ie=>this.whenInitialized()),de.then(()=>{de=null,he()}));const re=()=>{de?(de.cancel(),de=null):this.sendRequest({id:z,type:101}),se(E.canceled())},ce=A.onCancellationRequested(re);G=M.combinedDisposable(M.toDisposable(re),ce),this.activeRequests.add(G)}).finally(()=>{this.activeRequests.delete(G)})}requestEvent(R,_,O){const A=this.lastRequestId++,K={id:A,type:102,channelName:R,name:_,arg:O};let Y=null;const G=new g.Emitter({onFirstListenerAdd:()=>{Y=D.createCancelablePromise(ne=>this.whenInitialized()),Y.then(()=>{Y=null,this.activeRequests.add(G),this.sendRequest(K)})},onLastListenerRemove:()=>{Y?(Y.cancel(),Y=null):(this.activeRequests.delete(G),this.sendRequest({id:A,type:103}))}}),X=ne=>G.fire(ne.data);return this.handlers.set(A,X),G.event}sendRequest(R){switch(R.type){case 100:case 102:{const _=this.send([R.type,R.id,R.channelName,R.name],R.arg);this.logger&&this.logger.logOutgoing(_,R.id,0,`${d(R.type)}: ${R.channelName}.${R.name}`,R.arg);return}case 101:case 103:{const _=this.send([R.type,R.id]);this.logger&&this.logger.logOutgoing(_,R.id,0,d(R.type));return}}}send(R,_=void 0){const O=new h;return u(O,R),u(O,_),this.sendBuffer(O.buffer)}sendBuffer(R){try{return this.protocol.send(R),R.byteLength}catch(_){return 0}}onBuffer(R){const _=new l(R),O=p(_),A=p(_),z=O[0];switch(z){case 200:return this.logger&&this.logger.logIncoming(R.byteLength,0,0,k(z)),this.onResponse({type:O[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(R.byteLength,O[1],0,k(z),A),this.onResponse({type:O[0],id:O[1],data:A})}}onResponse(R){if(R.type===200){this.state=I.Idle,this._onDidInitialize.fire();return}const _=this.handlers.get(R.id);_&&_(R)}get onDidInitializePromise(){return g.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===I.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(R=>R.dispose()),this.activeRequests.clear()}}ue([P.memoize],T.prototype,"onDidInitializePromise",null),e.ChannelClient=T;class W{constructor(R){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new g.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new g.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,R(({protocol:_,onDidClientDisconnect:O})=>{g.Event.once(_.onMessage)(z=>{const K=new l(z),Y=p(K),G=new f(_,Y),X=new T(_);this.channels.forEach((se,he)=>G.registerChannel(he,se));const ne={channelServer:G,channelClient:X,ctx:Y};this._connections.add(ne),this._onDidAddConnection.fire(ne),O(()=>{G.dispose(),X.dispose(),this._connections.delete(ne),this._onDidRemoveConnection.fire(ne)})})})}get connections(){const R=[];return this._connections.forEach(_=>R.push(_)),R}getChannel(R,_){const O=this;return{call(A,z,K){let Y;if(v.isFunction(_)){let X=w.getRandomElement(O.connections.filter(_));Y=X?Promise.resolve(X):g.Event.toPromise(g.Event.filter(O.onDidAddConnection,_))}else Y=_.routeCall(O,A,z);const G=Y.then(X=>X.channelClient.getChannel(R));return V(G).call(A,z,K)},listen(A,z){if(v.isFunction(_))return O.getMulticastEvent(R,_,A,z);const K=_.routeEvent(O,A,z).then(Y=>Y.channelClient.getChannel(R));return V(K).listen(A,z)}}}getMulticastEvent(R,_,O,A){const z=this;let K=new M.DisposableStore;const Y=new g.Emitter({onFirstListenerAdd:()=>{K=new M.DisposableStore;const G=new g.EventMultiplexer,X=new Map,ne=he=>{const re=he.channelClient.getChannel(R).listen(O,A),ce=G.add(re);X.set(he,ce)},se=he=>{const de=X.get(he);!de||(de.dispose(),X.delete(he))};z.connections.filter(_).forEach(ne),g.Event.filter(z.onDidAddConnection,_)(ne,void 0,K),z.onDidRemoveConnection(se,void 0,K),G.event(Y.fire,Y,K),K.add(G)},onLastListenerRemove:()=>{K.dispose()}});return Y.event}registerChannel(R,_){this.channels.set(R,_),this._connections.forEach(O=>{O.channelServer.registerChannel(R,_)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=W;class N{constructor(R,_,O=null){const A=new h;u(A,_),R.send(A.buffer),this.channelClient=new T(R,O),this.channelServer=new f(R,_,O)}getChannel(R){return this.channelClient.getChannel(R)}registerChannel(R,_){this.channelServer.registerChannel(R,_)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=N;function V(F){return{call(R,_,O){return F.then(A=>A.call(R,_,O))},listen(R,_){const O=new g.Relay;return F.then(A=>O.input=A.listen(R,_)),O.event}}}e.getDelayedChannel=V;function ee(F){let R=!1;return{call(_,O,A){return R?F.call(_,O,A):D.timeout(0).then(()=>R=!0).then(()=>F.call(_,O,A))},listen(_,O){if(R)return F.listen(_,O);const A=new g.Relay;return D.timeout(0).then(()=>R=!0).then(()=>A.input=F.listen(_,O)),A.event}}}e.getNextTickChannel=ee;class q{constructor(R){this.fn=R}routeCall(R){return this.route(R)}routeEvent(R){return this.route(R)}async route(R){for(const _ of R.connections)if(await Promise.resolve(this.fn(_.ctx)))return Promise.resolve(_);return await g.Event.toPromise(R.onDidAddConnection),await this.route(R)}}e.StaticRouter=q;var x;(function(F){function R(A,z){const K=A,Y=z&&z.disableMarshalling,G=new Map;for(const X in K)O(X)&&G.set(X,g.Event.buffer(K[X],!0));return new class{listen(X,ne){const se=G.get(ne);if(se)return se;throw new Error(`Event not found: ${ne}`)}call(X,ne,se){const he=K[ne];if(typeof he=="function"){if(!Y&&Array.isArray(se))for(let de=0;de<se.length;de++)se[de]=i.revive(se[de]);return he.apply(K,se)}throw new Error(`Method not found: ${ne}`)}}}F.fromService=R;function _(A,z){const K=z&&z.disableMarshalling;return new Proxy({},{get(Y,G){if(typeof G=="string")return z?.properties?.has(G)?z.properties.get(G):O(G)?A.listen(G):async function(...X){let ne;z&&!v.isUndefinedOrNull(z.context)?ne=[z.context,...X]:ne=X;const se=await A.call(G,ne);return K?se:i.revive(se)};throw new Error(`Property not found: ${String(G)}`)}})}F.toService=_;function O(A){return A[0]==="o"&&A[1]==="n"&&b.isUpperAsciiLetter(A.charCodeAt(2))}})(x=e.ProxyChannel||(e.ProxyChannel={}));const Q=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function C(F){if(Array.isArray(F))return F;if(F&&typeof F=="object"&&typeof F.toString=="function"){let R=F.toString();if(R!=="[object Object]")return R}return F}function B(F){return Array.isArray(F)?F.map(C):C(F)}function U(F,R,_,O,A,z,K){K=B(K);const Y=Q[A],G=Y[O%Y.length];let X=[`%c[${F}]%c[${String(R).padStart(7," ")}]%c[len: ${String(_).padStart(5," ")}]%c${String(O).padStart(5," ")} - ${z}`,"color: darkgreen","color: grey","color: grey",`color: ${G}`];/\($/.test(z)?(X=X.concat(K),X.push(")")):X.push(K),console.log.apply(console,X)}e.logWithColors=U;class ${constructor(R,_){this._outgoingPrefix=R,this._incomingPrefix=_,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(R,_,O,A,z){this._totalOutgoing+=R,U(this._outgoingPrefix,this._totalOutgoing,R,_,O,A,z)}logIncoming(R,_,O,A,z){this._totalIncoming+=R,U(this._incomingPrefix,this._totalIncoming,R,_,O,A,z)}}e.IPCLogger=$}),define(J[121],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Protocol=void 0;class g{constructor(D,S){this.sender=D,this.onMessage=S}send(D){try{this.sender.send("vscode:message",D.buffer)}catch(S){}}disconnect(){this.sender.send("vscode:disconnect",null)}}e.Protocol=g}),define(J[122],Z([0,1,5,34,17]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Protocol=void 0;class S{constructor(w){this.port=w,this.onMessage=g.Event.fromDOMEventEmitter(this.port,"message",v=>D.VSBuffer.wrap(v.data)),w.start()}send(w){this.port.postMessage(w.buffer)}disconnect(){this.port.close()}}e.Protocol=S;class E extends M.IPCClient{constructor(w,v){const i=new S(w);super(i,v);this.protocol=i}dispose(){this.protocol.disconnect()}}e.Client=E}),define(J[84],Z([0,1,5,34,2,17,3,33]),function(j,e,g,M,D,S,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=e.SocketCloseEventType=void 0;var w;(function(r){r[r.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",r[r.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(w=e.SocketCloseEventType||(e.SocketCloseEventType={}));let v=null;function i(){return v||(v=S.VSBuffer.alloc(0)),v}class b{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(a){this._chunks.push(a),this._totalLength+=a.byteLength}read(a){return this._read(a,!0)}peek(a){return this._read(a,!1)}_read(a,u){if(a===0)return i();if(a>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===a){const T=this._chunks[0];return u&&(this._chunks.shift(),this._totalLength-=a),T}if(this._chunks[0].byteLength>a){const T=this._chunks[0].slice(0,a);return u&&(this._chunks[0]=this._chunks[0].slice(a),this._totalLength-=a),T}let p=S.VSBuffer.alloc(a),f=0,L=0;for(;a>0;){const T=this._chunks[L];if(T.byteLength>a){const W=T.slice(0,a);p.set(W,f),f+=a,u&&(this._chunks[L]=T.slice(a),this._totalLength-=a),a-=a}else p.set(T,f),f+=T.byteLength,u?(this._chunks.shift(),this._totalLength-=T.byteLength):L++,a-=T.byteLength}return p}}e.ChunkStream=b;var P;(function(r){r[r.None=0]="None",r[r.Regular=1]="Regular",r[r.Control=2]="Control",r[r.Ack=3]="Ack",r[r.KeepAlive=4]="KeepAlive",r[r.Disconnect=5]="Disconnect",r[r.ReplayRequest=6]="ReplayRequest"})(P||(P={}));var y;(function(r){r[r.HeaderLength=13]="HeaderLength",r[r.AcknowledgeTime=2e3]="AcknowledgeTime",r[r.AcknowledgeTimeoutTime=2e4]="AcknowledgeTimeoutTime",r[r.KeepAliveTime=5e3]="KeepAliveTime",r[r.KeepAliveTimeoutTime=2e4]="KeepAliveTimeoutTime",r[r.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",r[r.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(y=e.ProtocolConstants||(e.ProtocolConstants={}));class d{constructor(a,u,p,f){this.type=a,this.id=u,this.ack=p,this.data=f,this.writtenTime=0}get size(){return this.data.byteLength}}class m extends D.Disposable{constructor(a){super();this._onMessage=this._register(new g.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=a,this._isDisposed=!1,this._incomingData=new b,this._register(this._socket.onData(u=>this.acceptChunk(u))),this.lastReadTime=Date.now()}acceptChunk(a){if(!(!a||a.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(a);this._incomingData.byteLength>=this._state.readLen;){const u=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=u.readUInt32BE(9),this._state.messageType=u.readUInt8(0),this._state.id=u.readUInt32BE(1),this._state.ack=u.readUInt32BE(5);else{const p=this._state.messageType,f=this._state.id,L=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._onMessage.fire(new d(p,f,L,u)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class k{constructor(a){this._isDisposed=!1,this._socket=a,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch(a){}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}write(a){if(this._isDisposed)return;a.writtenTime=Date.now(),this.lastWriteTime=Date.now();const u=S.VSBuffer.alloc(13);u.writeUInt8(a.type,0),u.writeUInt32BE(a.id,1),u.writeUInt32BE(a.ack,5),u.writeUInt32BE(a.data.byteLength,9),this._writeSoon(u,a.data)}_bufferAdd(a,u){const p=this._totalLength===0;return this._data.push(a,u),this._totalLength+=a.byteLength+u.byteLength,p}_bufferTake(){const a=S.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,a}_writeSoon(a,u){this._bufferAdd(a,u)&&E.setImmediate(()=>{this._writeNow()})}_writeNow(){this._totalLength!==0&&this._socket.write(this._bufferTake())}}class I extends D.Disposable{constructor(a){super();this._onMessage=new g.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new g.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=a,this._socketWriter=this._register(new k(this._socket)),this._socketReader=this._register(new m(this._socket)),this._register(this._socketReader.onMessage(u=>{u.type===1&&this._onMessage.fire(u.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(a){this._socketWriter.write(new d(1,0,0,a))}}e.Protocol=I;class l extends M.IPCClient{constructor(a,u,p=null){super(a,u,p);this.protocol=a}static fromSocket(a,u){return new l(new I(a),u)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const a=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),a.end()}}e.Client=l;class h{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new g.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,n.nextTick(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(a){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(a):this._emitter.fire(a):this._bufferedMessages.push(a)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=h;class o{constructor(a){this.data=a,this.next=null}}class c{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){let a=[],u=0,p=this._first;for(;p;)a[u++]=p.data,p=p.next;return a}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(a){const u=new o(a);if(!this._first){this._first=u,this._last=u;return}this._last.next=u,this._last=u}}class t{constructor(){this.lastRuns=[];const a=Date.now();for(let u=0;u<t._HISTORY_LENGTH;u++)this.lastRuns[u]=a-1e3*u;setInterval(()=>{for(let u=t._HISTORY_LENGTH;u>=1;u--)this.lastRuns[u]=this.lastRuns[u-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return t._INSTANCE||(t._INSTANCE=new t),t._INSTANCE}load(){const a=Date.now(),u=(1+t._HISTORY_LENGTH)*1e3;let p=0;for(let f=0;f<t._HISTORY_LENGTH;f++)a-this.lastRuns[f]<=u&&p++;return 1-p/t._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}t._HISTORY_LENGTH=10,t._INSTANCE=null;class s{constructor(a,u=null){this._loadEstimator=t.getInstance(),this._onControlMessage=new h,this.onControlMessage=this._onControlMessage.event,this._onMessage=new h,this.onMessage=this._onMessage.event,this._onDidDispose=new h,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new h,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new h,this.onSocketTimeout=this._onSocketTimeout.event,this._isReconnecting=!1,this._outgoingUnackMsg=new c,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._outgoingKeepAliveTimeout=null,this._incomingKeepAliveTimeout=null,this._lastReplayRequestTime=0,this._socketDisposables=[],this._socket=a,this._socketWriter=new k(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new m(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(p=>this._receiveMessage(p))),this._socketDisposables.push(this._socket.onClose(p=>this._onSocketClose.fire(p))),u&&this._socketReader.acceptChunk(u),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._outgoingKeepAliveTimeout&&(clearTimeout(this._outgoingKeepAliveTimeout),this._outgoingKeepAliveTimeout=null),this._incomingKeepAliveTimeout&&(clearTimeout(this._incomingKeepAliveTimeout),this._incomingKeepAliveTimeout=null),this._socketDisposables=D.dispose(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const a=new d(5,0,0,i());this._socketWriter.write(a),this._socketWriter.flush()}_sendKeepAliveCheck(){if(this._outgoingKeepAliveTimeout)return;const a=Date.now()-this._socketWriter.lastWriteTime;if(a>=5e3){const u=new d(4,0,0,i());this._socketWriter.write(u),this._sendKeepAliveCheck();return}this._outgoingKeepAliveTimeout=setTimeout(()=>{this._outgoingKeepAliveTimeout=null,this._sendKeepAliveCheck()},5e3-a+5)}_recvKeepAliveCheck(){if(this._incomingKeepAliveTimeout)return;const a=Date.now()-this._socketReader.lastReadTime;if(a>=2e4&&!this._loadEstimator.hasHighLoad()){this._onSocketTimeout.fire(void 0);return}this._incomingKeepAliveTimeout=setTimeout(()=>{this._incomingKeepAliveTimeout=null,this._recvKeepAliveCheck()},Math.max(2e4-a,0)+5)}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(a,u){this._isReconnecting=!0,this._socketDisposables=D.dispose(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._socket=a,this._socketWriter=new k(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new m(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(p=>this._receiveMessage(p))),this._socketDisposables.push(this._socket.onClose(p=>this._onSocketClose.fire(p))),this._socketReader.acceptChunk(u)}endAcceptReconnection(){this._isReconnecting=!1;const a=this._outgoingUnackMsg.toArray();for(let u=0,p=a.length;u<p;u++)this._socketWriter.write(a[u]);this._recvAckCheck(),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(a){if(a.ack>this._outgoingAckId){this._outgoingAckId=a.ack;do{const u=this._outgoingUnackMsg.peek();if(u&&u.id<=a.ack)this._outgoingUnackMsg.pop();else break}while(!0)}if(a.type===1){if(a.id>this._incomingMsgId)if(a.id!==this._incomingMsgId+1){const u=Date.now();u-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=u,this._socketWriter.write(new d(6,0,0,i())))}else this._incomingMsgId=a.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(a.data)}else if(a.type===2)this._onControlMessage.fire(a.data);else if(a.type===5)this._onDidDispose.fire();else if(a.type===6){const u=this._outgoingUnackMsg.toArray();for(let p=0,f=u.length;p<f;p++)this._socketWriter.write(u[p]);this._recvAckCheck()}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(a){const u=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const p=new d(1,u,this._incomingAckId,a);this._outgoingUnackMsg.push(p),this._isReconnecting||(this._socketWriter.write(p),this._recvAckCheck())}sendControl(a){const u=new d(2,0,0,a);this._socketWriter.write(u)}_sendAckCheck(){if(this._incomingMsgId<=this._incomingAckId||this._incomingAckTimeout)return;const a=Date.now()-this._incomingMsgLastTime;if(a>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-a+5)}_recvAckCheck(){if(this._outgoingMsgId<=this._outgoingAckId||this._outgoingAckTimeout)return;const a=this._outgoingUnackMsg.peek(),u=Date.now()-a.writtenTime;if(u>=2e4&&!this._loadEstimator.hasHighLoad()){this._onSocketTimeout.fire(void 0);return}this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},Math.max(2e4-u,0)+5)}_sendAck(){if(this._incomingMsgId<=this._incomingAckId)return;this._incomingAckId=this._incomingMsgId;const a=new d(3,0,this._incomingAckId,i());this._socketWriter.write(a)}}e.PersistentProtocol=s}),define(J[123],Z([0,1,14,5,34,121,2,17]),function(j,e,g,M,D,S,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Server=void 0;function w(i,b){const P=M.Event.fromNodeEventEmitter(g.ipcMain,b,(d,m)=>({event:d,message:m})),y=M.Event.filter(P,({event:d})=>d.sender.id===i);return M.Event.map(y,({message:d})=>d&&n.VSBuffer.wrap(d))}class v extends D.IPCServer{constructor(){super(v.getOnDidClientConnect())}static getOnDidClientConnect(){const b=M.Event.fromNodeEventEmitter(g.ipcMain,"vscode:hello",({sender:P})=>P);return M.Event.map(b,P=>{const y=P.id,d=v.Clients.get(y);d&&d.dispose();const m=new M.Emitter;v.Clients.set(y,E.toDisposable(()=>m.fire()));const k=w(y,"vscode:message"),I=M.Event.any(M.Event.signal(w(y,"vscode:disconnect")),m.event);return{protocol:new S.Protocol(P,k),onDidClientDisconnect:I}})}}e.Server=v,v.Clients=new Map}),define(J[85],Z([0,1,14,5,28,122]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.Client=void 0;class E extends S.Client{constructor(v,i){super({addEventListener:(b,P)=>v.addListener(b,P),removeEventListener:(b,P)=>v.removeListener(b,P),postMessage:b=>v.postMessage(b),start:()=>v.start(),close:()=>v.close()},i)}}e.Client=E;async function n(w){if(w.isDestroyed()||w.webContents.isDestroyed())throw new Error("ipc.mp#connect: Cannot talk to window because it is closed or destroyed");const v=D.generateUuid();w.webContents.send("vscode:createMessageChannel",v);const i=M.Event.fromNodeEventEmitter(g.ipcMain,"vscode:createMessageChannelResult",(P,y)=>({nonce:y,port:P.ports[0]})),{port:b}=await M.Event.toPromise(M.Event.once(M.Event.filter(i,P=>P.nonce===v)));return b}e.connect=n}),define(J[86],Z([0,1,2,5,9,13]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageDatabase=e.Storage=e.StorageHint=void 0;var E;(function(i){i[i.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(E=e.StorageHint||(e.StorageHint={}));var n;(function(i){i[i.None=0]="None",i[i.Initialized=1]="Initialized",i[i.Closed=2]="Closed"})(n||(n={}));class w extends g.Disposable{constructor(b,P=Object.create(null)){super();this.database=b,this.options=P,this._onDidChangeStorage=this._register(new M.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=n.None,this.cache=new Map,this.flushDelayer=new D.ThrottledDelayer(w.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(b=>this.onDidChangeItemsExternal(b)))}onDidChangeItemsExternal(b){b.changed?.forEach((P,y)=>this.accept(y,P)),b.deleted?.forEach(P=>this.accept(P,void 0))}accept(b,P){if(this.state===n.Closed)return;let y=!1;S.isUndefinedOrNull(P)?y=this.cache.delete(b):this.cache.get(b)!==P&&(this.cache.set(b,P),y=!0),y&&this._onDidChangeStorage.fire(b)}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===n.None&&(this.state=n.Initialized,this.options.hint!==E.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(b,P){const y=this.cache.get(b);return S.isUndefinedOrNull(y)?P:y}getBoolean(b,P){const y=this.get(b);return S.isUndefinedOrNull(y)?P:y==="true"}getNumber(b,P){const y=this.get(b);return S.isUndefinedOrNull(y)?P:parseInt(y,10)}async set(b,P){if(this.state===n.Closed)return;if(S.isUndefinedOrNull(P))return this.delete(b);const y=String(P);if(this.cache.get(b)!==y)return this.cache.set(b,y),this.pendingInserts.set(b,y),this.pendingDeletes.delete(b),this._onDidChangeStorage.fire(b),this.flushDelayer.trigger(()=>this.flushPending())}async delete(b){if(!(this.state===n.Closed||!this.cache.delete(b)))return this.pendingDeletes.has(b)||this.pendingDeletes.add(b),this.pendingInserts.delete(b),this._onDidChangeStorage.fire(b),this.flushDelayer.trigger(()=>this.flushPending())}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=n.Closed;try{await this.flushDelayer.trigger(()=>this.flushPending(),0)}catch(b){}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!this.hasPending)return;const b={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(b).finally(()=>{if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)this.whenFlushedCallbacks.pop()?.()})}async whenFlushed(){if(!!this.hasPending)return new Promise(b=>this.whenFlushedCallbacks.push(b))}dispose(){this.flushDelayer.dispose(),super.dispose()}}e.Storage=w,w.DEFAULT_FLUSH_DELAY=100;class v{constructor(){this.onDidChangeItemsExternal=M.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(b){b.insert&&b.insert.forEach((P,y)=>this.items.set(y,P)),b.delete&&b.delete.forEach(P=>this.items.delete(P))}async close(){}}e.InMemoryStorageDatabase=v}),define(J[124],Z([0,1,5,9,37,8,18]),function(j,e,g,M,D,S,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SQLiteStorageDatabase=void 0;class n{constructor(i,b=Object.create(null)){this.path=i,this.options=b,this.name=S.basename(this.path),this.logger=new w(this.options.logging),this.whenConnected=this.connect(this.path)}get onDidChangeItemsExternal(){return g.Event.None}async getItems(){const i=await this.whenConnected,b=new Map;return(await this.all(i,"SELECT * FROM ItemTable")).forEach(y=>b.set(y.key,y.value)),this.logger.isTracing&&this.logger.trace(`[storage ${this.name}] getItems(): ${b.size} rows`),b}async updateItems(i){const b=await this.whenConnected;return this.doUpdateItems(b,i)}doUpdateItems(i,b){return this.logger.isTracing&&this.logger.trace(`[storage ${this.name}] updateItems(): insert(${b.insert?D.mapToString(b.insert):"0"}), delete(${b.delete?D.setToString(b.delete):"0"})`),this.transaction(i,()=>{const P=b.insert,y=b.delete;if(P&&P.size>0){const d=[];d.push([]);let m=0;P.forEach((k,I)=>{let l=d[m];l.length>n.MAX_HOST_PARAMETERS&&(m++,l=[],d.push(l)),l.push(I,k)}),d.forEach(k=>{this.prepare(i,`INSERT INTO ItemTable VALUES ${new Array(k.length/2).fill("(?,?)").join(",")}`,I=>I.run(k),()=>{const I=[];let l=0;return P.forEach((h,o)=>{I.push(o),l+=h.length}),`Keys: ${I.join(", ")} Length: ${l}`})})}if(y&&y.size){const d=[];d.push([]);let m=0;y.forEach(k=>{let I=d[m];I.length>n.MAX_HOST_PARAMETERS&&(m++,I=[],d.push(I)),I.push(k)}),d.forEach(k=>{this.prepare(i,`DELETE FROM ItemTable WHERE key IN (${new Array(k.length).fill("?").join(",")})`,I=>I.run(k),()=>{const I=[];return y.forEach(l=>{I.push(l)}),`Keys: ${I.join(", ")}`})})}})}async close(i){this.logger.trace(`[storage ${this.name}] close()`);const b=await this.whenConnected;return this.doClose(b,i)}doClose(i,b){return new Promise((P,y)=>{i.db.close(d=>(d&&this.handleSQLiteError(i,`[storage ${this.name}] close(): ${d}`),this.path===n.IN_MEMORY_PATH?P():!i.isErroneous&&!i.isInMemory?this.backup().then(P,m=>(this.logger.error(`[storage ${this.name}] backup(): ${m}`),P())):typeof b=="function"?E.Promises.unlink(this.path).then(()=>this.doConnect(this.path).then(m=>{const k=()=>this.doClose(m,void 0);return this.doUpdateItems(m,{insert:b()}).then(()=>k(),I=>(k(),Promise.reject(I)))})).then(P,y):y(d||new Error("Database has errors or is in-memory without recovery option"))))})}backup(){const i=this.toBackupPath(this.path);return E.Promises.copy(this.path,i,{preserveSymlinks:!1})}toBackupPath(i){return`${i}.backup`}async checkIntegrity(i){this.logger.trace(`[storage ${this.name}] checkIntegrity(full: ${i})`);const b=await this.whenConnected,P=await this.get(b,i?"PRAGMA integrity_check":"PRAGMA quick_check"),y=i?P.integrity_check:P.quick_check;return b.isErroneous?`${y} (last error: ${b.lastError})`:b.isInMemory?`${y} (in-memory!)`:y}async connect(i,b=!0){this.logger.trace(`[storage ${this.name}] open(${i}, retryOnBusy: ${b})`);try{return await this.doConnect(i)}catch(P){if(this.logger.error(`[storage ${this.name}] open(): Unable to open DB due to ${P}`),P.code==="SQLITE_BUSY"&&b)return await M.timeout(n.BUSY_OPEN_TIMEOUT),this.connect(i,!1);try{await E.Promises.unlink(i);try{await E.Promises.rename(this.toBackupPath(i),i)}catch(y){}return await this.doConnect(i)}catch(y){return this.logger.error(`[storage ${this.name}] open(): Unable to use backup due to ${y}`),this.doConnect(n.IN_MEMORY_PATH)}}}handleSQLiteError(i,b){i.isErroneous=!0,i.lastError=b,this.logger.error(b)}doConnect(i){return new Promise((b,P)=>{new Promise((y,d)=>{j(["vscode-sqlite3"],y,d)}).then(y=>{const d={db:new(this.logger.isTracing?y.verbose().Database:y.Database)(i,m=>m?d.db?d.db.close(()=>P(m)):P(m):this.exec(d,["PRAGMA user_version = 1;","CREATE TABLE IF NOT EXISTS ItemTable (key TEXT UNIQUE ON CONFLICT REPLACE, value BLOB)"].join("")).then(()=>b(d),k=>d.db.close(()=>P(k)))),isInMemory:i===n.IN_MEMORY_PATH};d.db.on("error",m=>this.handleSQLiteError(d,`[storage ${this.name}] Error (event): ${m}`)),this.logger.isTracing&&d.db.on("trace",m=>this.logger.trace(`[storage ${this.name}] Trace (event): ${m}`))},P)})}exec(i,b){return new Promise((P,y)=>{i.db.exec(b,d=>d?(this.handleSQLiteError(i,`[storage ${this.name}] exec(): ${d}`),y(d)):P())})}get(i,b){return new Promise((P,y)=>{i.db.get(b,(d,m)=>d?(this.handleSQLiteError(i,`[storage ${this.name}] get(): ${d}`),y(d)):P(m))})}all(i,b){return new Promise((P,y)=>{i.db.all(b,(d,m)=>d?(this.handleSQLiteError(i,`[storage ${this.name}] all(): ${d}`),y(d)):P(m))})}transaction(i,b){return new Promise((P,y)=>{i.db.serialize(()=>{i.db.run("BEGIN TRANSACTION"),b(),i.db.run("END TRANSACTION",d=>d?(this.handleSQLiteError(i,`[storage ${this.name}] transaction(): ${d}`),y(d)):P())})})}prepare(i,b,P,y){const d=i.db.prepare(b),m=k=>{this.handleSQLiteError(i,`[storage ${this.name}] prepare(): ${k} (${b}). Details: ${y()}`)};d.on("error",m),P(d),d.finalize(k=>{k&&m(k),d.removeListener("error",m)})}}e.SQLiteStorageDatabase=n,n.IN_MEMORY_PATH=":memory:",n.BUSY_OPEN_TIMEOUT=2e3,n.MAX_HOST_PARAMETERS=256;class w{constructor(i){i&&typeof i.logTrace=="function"&&process.env[w.VSCODE_TRACE_STORAGE]&&(this.logTrace=i.logTrace),i&&typeof i.logError=="function"&&(this.logError=i.logError)}get isTracing(){return!!this.logTrace}trace(i){this.logTrace&&this.logTrace(i)}error(i){this.logError&&this.logError(i)}}w.VSCODE_TRACE_STORAGE="VSCODE_TRACE_STORAGE"}),define(J[125],Z([12,11]),function(j,e){return j.create("vs/base/common/date",e)}),define(J[126],Z([0,1,125]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const M=60,D=M*60,S=D*24,E=S*7,n=S*30,w=S*365;function v(b,P){typeof b!="number"&&(b=b.getTime());const y=Math.round((new Date().getTime()-b)/1e3);if(y<-30)return g.localize(0,null,v(new Date().getTime()+y*1e3,!1));if(y<30)return g.localize(1,null);let d;return y<M?(d=y,P?d===1?g.localize(2,null,d):g.localize(3,null,d):d===1?g.localize(4,null,d):g.localize(5,null,d)):y<D?(d=Math.floor(y/M),P?d===1?g.localize(6,null,d):g.localize(7,null,d):d===1?g.localize(8,null,d):g.localize(9,null,d)):y<S?(d=Math.floor(y/D),P?d===1?g.localize(10,null,d):g.localize(11,null,d):d===1?g.localize(12,null,d):g.localize(13,null,d)):y<E?(d=Math.floor(y/S),P?d===1?g.localize(14,null,d):g.localize(15,null,d):d===1?g.localize(16,null,d):g.localize(17,null,d)):y<n?(d=Math.floor(y/E),P?d===1?g.localize(18,null,d):g.localize(19,null,d):d===1?g.localize(20,null,d):g.localize(21,null,d)):y<w?(d=Math.floor(y/n),P?d===1?g.localize(22,null,d):g.localize(23,null,d):d===1?g.localize(24,null,d):g.localize(25,null,d)):(d=Math.floor(y/w),P?d===1?g.localize(26,null,d):g.localize(27,null,d):d===1?g.localize(28,null,d):g.localize(29,null,d))}e.fromNow=v;function i(b){return b.getFullYear()+"-"+String(b.getMonth()+1).padStart(2,"0")+"-"+String(b.getDate()).padStart(2,"0")+"T"+String(b.getHours()).padStart(2,"0")+":"+String(b.getMinutes()).padStart(2,"0")+":"+String(b.getSeconds()).padStart(2,"0")+"."+(b.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=i}),define(J[127],Z([12,11]),function(j,e){return j.create("vs/base/common/errorMessage",e)}),define(J[67],Z([0,1,127,13,36]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function S(v,i){return i&&(v.stack||v.stacktrace)?g.localize(0,null,n(v),E(v.stack)||E(v.stacktrace)):n(v)}function E(v){return Array.isArray(v)?v.join(`
`):v}function n(v){return typeof v.code=="string"&&typeof v.errno=="number"&&typeof v.syscall=="string"?g.localize(1,null,v.message):v.message||g.localize(2,null)}function w(v=null,i=!1){if(!v)return g.localize(3,null);if(Array.isArray(v)){const b=D.coalesce(v),P=w(b[0],i);return b.length>1?g.localize(4,null,P,b.length):P}if(M.isString(v))return v;if(v.detail){const b=v.detail;if(b.error)return S(b.error,i);if(b.exception)return S(b.exception,i)}return v.stack?S(v,i):v.message?v.message:g.localize(5,null)}e.toErrorMessage=w}),define(J[128],Z([12,11]),function(j,e){return j.create("vs/base/common/keybindingLabels",e)}),define(J[129],Z([0,1,128]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserSettingsLabelProvider=e.ElectronAcceleratorLabelProvider=e.AriaLabelProvider=e.UILabelProvider=e.ModifierLabelProvider=void 0;class M{constructor(E,n,w=n){this.modifierLabels=[null],this.modifierLabels[2]=E,this.modifierLabels[1]=n,this.modifierLabels[3]=w}toLabel(E,n,w){if(n.length===0)return null;const v=[];for(let i=0,b=n.length;i<b;i++){const P=n[i],y=w(P);if(y===null)return null;v[i]=D(P,y,this.modifierLabels[E])}return v.join(" ")}}e.ModifierLabelProvider=M,e.UILabelProvider=new M({ctrlKey:"\u2303",shiftKey:"\u21E7",altKey:"\u2325",metaKey:"\u2318",separator:""},{ctrlKey:g.localize(0,null),shiftKey:g.localize(1,null),altKey:g.localize(2,null),metaKey:g.localize(3,null),separator:"+"},{ctrlKey:g.localize(4,null),shiftKey:g.localize(5,null),altKey:g.localize(6,null),metaKey:g.localize(7,null),separator:"+"}),e.AriaLabelProvider=new M({ctrlKey:g.localize(8,null),shiftKey:g.localize(9,null),altKey:g.localize(10,null),metaKey:g.localize(11,null),separator:"+"},{ctrlKey:g.localize(12,null),shiftKey:g.localize(13,null),altKey:g.localize(14,null),metaKey:g.localize(15,null),separator:"+"},{ctrlKey:g.localize(16,null),shiftKey:g.localize(17,null),altKey:g.localize(18,null),metaKey:g.localize(19,null),separator:"+"}),e.ElectronAcceleratorLabelProvider=new M({ctrlKey:"Ctrl",shiftKey:"Shift",altKey:"Alt",metaKey:"Cmd",separator:"+"},{ctrlKey:"Ctrl",shiftKey:"Shift",altKey:"Alt",metaKey:"Super",separator:"+"}),e.UserSettingsLabelProvider=new M({ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"cmd",separator:"+"},{ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"win",separator:"+"},{ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"meta",separator:"+"});function D(S,E,n){if(E===null)return"";const w=[];return S.ctrlKey&&w.push(n.ctrlKey),S.shiftKey&&w.push(n.shiftKey),S.altKey&&w.push(n.altKey),S.metaKey&&w.push(n.metaKey),E!==""&&w.push(E),w.join(n.separator)}}),define(J[130],Z([12,11]),function(j,e){return j.create("vs/base/node/processes",e)}),define(J[68],Z([0,1,8,18,41,130,33,13,44,30,3,81,10]),function(j,e,g,M,D,S,E,n,w,v,i,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0;function y(o){switch(o){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function d(o,c){if(i.isWindows)try{const t={stdio:["pipe","pipe","ignore"]};c&&(t.cwd=c);const s=D.execFile("taskkill",["/T","/F","/PID",o.pid.toString()],t);return new Promise(r=>{s.once("error",a=>{r({success:!1,error:a})}),s.once("exit",(a,u)=>{r(a===0?{success:!0}:{success:!1,code:a!==null?a:1})})})}catch(t){return Promise.resolve({success:!1,error:t,code:t.status?y(t.status):1})}else if(i.isLinux||i.isMacintosh)try{const t=P.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",j).fsPath;return new Promise(s=>{D.execFile(t,[o.pid.toString()],{encoding:"utf8",shell:!0},(r,a,u)=>{s(r?{success:!1,error:r}:{success:!0})})})}catch(t){return Promise.resolve({success:!1,error:t})}else o.kill("SIGKILL");return Promise.resolve({success:!0})}function m(o=E.env){return o.comspec||"cmd.exe"}e.getWindowsShell=m;class k{constructor(c,t,s,r){if(t!==void 0&&s!==void 0&&r!==void 0)this.cmd=c,this.args=t,this.shell=s,this.options=r;else{const a=c;this.cmd=a.command,this.shell=a.isShellCommand,this.args=a.args.slice(0),this.options=a.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const a=Object.create(null);Object.keys(E.env).forEach(u=>{a[u]=E.env[u]}),Object.keys(this.options.env).forEach(u=>{a[u]=this.options.env[u]}),this.options.env=a}}getSanitizedCommand(){let c=this.cmd.toLowerCase();const t=c.lastIndexOf(g.sep);return t!==-1&&(c=c.substring(t+1)),k.WellKnowCommands[c]?c:"other"}start(c){return i.isWindows&&(this.options&&this.options.cwd&&v.isUNC(this.options.cwd)||!this.options&&v.isUNC(E.cwd()))?Promise.reject(new Error(S.localize(0,null))):this.useExec().then(t=>{let s,r;const a=new Promise((u,p)=>{s=u,r=p});if(t){let u=this.cmd;this.args&&(u=u+" "+this.args.join(" ")),this.childProcess=D.exec(u,this.options,(p,f,L)=>{this.childProcess=null;const T=p;T&&T.killed?r({killed:this.terminateRequested,stdout:f.toString(),stderr:L.toString()}):this.handleExec(s,c,p,f,L)})}else{let u=null;const p=f=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(f,s,c,r);const L={terminated:this.terminateRequested};n.isNumber(f)&&(L.cmdCode=f),s(L)};if(this.shell&&i.isWindows){const f=w.deepClone(this.options);f.windowsVerbatimArguments=!0,f.detached=!1;let L=!1,T=!1;const W=[];let N=this.ensureQuotes(this.cmd);W.push(N.value),L=N.quoted,this.args&&this.args.forEach(ee=>{N=this.ensureQuotes(ee),W.push(N.value),T=T&&N.quoted});const V=["/s","/c"];L?T?V.push('"'+W.join(" ")+'"'):W.length>1?V.push('"'+W[0]+'" '+W.slice(1).join(" ")):V.push('"'+W[0]+'"'):V.push(W.join(" ")),u=D.spawn(m(),V,f)}else this.cmd&&(u=D.spawn(this.cmd,this.args,this.options));u&&(this.childProcess=u,this.childProcessPromise=Promise.resolve(u),this.pidResolve&&(this.pidResolve(n.isNumber(u.pid)?u.pid:-1),this.pidResolve=void 0),u.on("error",f=>{this.childProcess=null,r({terminated:this.terminateRequested,error:f})}),u.pid&&(this.childProcess.on("close",p),this.handleSpawn(u,s,c,r,!0)))}return a})}handleClose(c,t,s,r){}ensureQuotes(c){return k.regexp.test(c)?{value:'"'+c+'"',quoted:!0}:{value:c,quoted:c.length>0&&c[0]==='"'&&c[c.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(c=>c.pid,c=>-1):new Promise(c=>{this.pidResolve=c})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(c=>(this.terminateRequested=!0,d(c,this.options.cwd).then(t=>(t.success&&(this.childProcess=null),t))),c=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(c=>{if(!this.shell||!i.isWindows)return c(!1);const t=D.spawn(m(),["/s","/c"]);t.on("error",s=>c(!0)),t.on("exit",s=>c(!1))})}}e.AbstractProcess=k,k.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},k.regexp=/^[^"].* .*[^"]/;class I extends k{constructor(c,t,s,r){super(c,t,s,r);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(c,t,s,r,a){[r,a].forEach((u,p)=>{const f=new b.LineDecoder;f.write(u).forEach(W=>{t({line:W,source:p===0?0:1})});const T=f.end();T&&t({line:T,source:p===0?0:1})}),c({terminated:this.terminateRequested,error:s})}handleSpawn(c,t,s,r,a){const u=new b.LineDecoder,p=new b.LineDecoder;c.stdout.on("data",f=>{u.write(f).forEach(T=>s({line:T,source:0}))}),c.stderr.on("data",f=>{p.write(f).forEach(T=>s({line:T,source:1}))}),this.stdoutLineDecoder=u,this.stderrLineDecoder=p}handleClose(c,t,s,r){const a=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;a&&s({line:a,source:0});const u=this.stderrLineDecoder?this.stderrLineDecoder.end():null;u&&s({line:u,source:1})}}e.LineProcess=I;function l(o){let c=[],t=!1;const s=function(r){if(t){c.push(r);return}(!o.send(r,u=>{if(u&&console.error(u),t=!1,c.length>0){const p=c.slice(0);c=[],p.forEach(f=>s(f))}})||i.isWindows)&&(t=!0)};return{send:s}}e.createQueuedSender=l;var h;(function(o){async function c(t,s,r){if(g.isAbsolute(t))return t;if(s===void 0&&(s=E.cwd()),g.dirname(t)!=="."||(r===void 0&&n.isString(E.env.PATH)&&(r=E.env.PATH.split(g.delimiter)),r===void 0||r.length===0))return g.join(s,t);async function u(p){return await M.Promises.exists(p)?!(await M.Promises.stat(p)).isDirectory():!1}for(let p of r){let f;if(g.isAbsolute(p)?f=g.join(p,t):f=g.join(s,p,t),await u(f))return f;let L=f+".com";if(await u(L)||(L=f+".exe",await u(L)))return L}return g.join(s,t)}o.findExecutable=c})(h=e.win32||(e.win32={}))}),define(J[131],Z([0,1,26,3,117,68]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSystemShellSync=e.getSystemShell=void 0;async function E(y,d){return y===1?M.isWindows?b():S.getWindowsShell(d):v(y,d)}e.getSystemShell=E;function n(y,d){return y===1?M.isWindows?P(d):S.getWindowsShell(d):v(y,d)}e.getSystemShellSync=n;let w=null;function v(y,d){if(M.isLinux&&y===2||M.isMacintosh&&y===3)return"/bin/bash";if(!w){let m;if(M.isWindows)m="/bin/bash";else{if(m=d.SHELL,!m)try{m=g.userInfo().shell}catch(k){}m||(m="sh"),m==="/bin/false"&&(m="/bin/bash")}w=m}return w}let i=null;async function b(){return i||(i=(await D.getFirstAvailablePowerShellInstallation()).exePath),i}function P(y){if(i)return i;const d=M.isWindows&&parseFloat(g.release())>=10,m=y.hasOwnProperty("PROCESSOR_ARCHITEW6432"),k=`${y.windir}\\${m?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return d?k:S.getWindowsShell(y)}}),define(J[87],Z([0,1,41,2,9,44,5,68,34,110,25,16,17,3]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Server=void 0;class d extends w.ChannelServer{constructor(I){super({send:l=>{try{process.send&&process.send(l.buffer.toString("base64"))}catch(h){}},onMessage:E.Event.fromNodeEventEmitter(process,"message",l=>P.VSBuffer.wrap(Buffer.from(l,"base64")))},I);process.once("disconnect",()=>this.dispose())}}e.Server=d;class m{constructor(I,l){this.modulePath=I,this.options=l,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new E.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const h=l&&l.timeout?l.timeout:6e4;this.disposeDelayer=new D.Delayer(h),this.child=null,this._client=null}getChannel(I){const l=this;return{call(h,o,c){return l.requestPromise(I,h,o,c)},listen(h,o){return l.requestEvent(I,h,o)}}}requestPromise(I,l,h,o=i.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(o.isCancellationRequested)return Promise.reject(b.canceled());this.disposeDelayer.cancel();const c=this.getCachedChannel(I),t=D.createCancelablePromise(a=>c.call(l,h,a)),s=o.onCancellationRequested(()=>t.cancel()),r=M.toDisposable(()=>t.cancel());return this.activeRequests.add(r),t.finally(()=>{s.dispose(),this.activeRequests.delete(r),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),t}requestEvent(I,l,h){if(!this.disposeDelayer)return E.Event.None;this.disposeDelayer.cancel();let o;const c=new E.Emitter({onFirstListenerAdd:()=>{o=this.getCachedChannel(I).listen(l,h)(c.fire,c),this.activeRequests.add(o)},onLastListenerRemove:()=>{this.activeRequests.delete(o),o.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return c.event}get client(){if(!this._client){const I=this.options&&this.options.args?this.options.args:[],l=Object.create(null);l.env={...S.deepClone(process.env),VSCODE_PARENT_PID:String(process.pid)},this.options&&this.options.env&&(l.env={...l.env,...this.options.env}),this.options&&this.options.freshExecArgv&&(l.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(l.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(l.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),l.execArgv===void 0&&(l.execArgv=process.execArgv.filter(u=>!/^--inspect(-brk)?=/.test(u))),y.isMacintosh&&l.env&&delete l.env.DYLD_LIBRARY_PATH,this.child=g.fork(this.modulePath,I,l);const h=new E.Emitter;E.Event.fromNodeEventEmitter(this.child,"message",u=>u)(u=>{if(v.isRemoteConsoleLog(u)){v.log(u,`IPC Library: ${this.options.serverName}`);return}h.fire(P.VSBuffer.wrap(Buffer.from(u,"base64")))});const c=this.options.useQueue?n.createQueuedSender(this.child):this.child,t=u=>this.child&&this.child.connected&&c.send(u.buffer.toString("base64")),s=h.event,r={send:t,onMessage:s};this._client=new w.ChannelClient(r);const a=()=>this.disposeClient();process.once("exit",a),this.child.on("error",u=>console.warn('IPC "'+this.options.serverName+'" errored with '+u)),this.child.on("exit",(u,p)=>{process.removeListener("exit",a),this.activeRequests.forEach(f=>M.dispose(f)),this.activeRequests.clear(),u!==0&&p!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+u+" and signal "+p),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:u,signal:p})})}return this._client}getCachedChannel(I){let l=this.channels.get(I);return l||(l=this.client.getChannel(I),this.channels.set(I,l)),l}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}e.Client=m}),define(J[132],Z([12,11]),function(j,e){return j.create("vs/code/electron-main/app",e)}),define(J[133],Z([12,11]),function(j,e){return j.create("vs/platform/configuration/common/configurationRegistry",e)}),define(J[134],Z([12,11]),function(j,e){return j.create("vs/platform/dialogs/electron-main/dialogMainService",e)}),define(J[135],Z([12,11]),function(j,e){return j.create("vs/platform/environment/node/argv",e)}),define(J[136],Z([12,11]),function(j,e){return j.create("vs/platform/environment/node/argvHelper",e)}),define(J[137],Z([12,11]),function(j,e){return j.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(J[138],Z([12,11]),function(j,e){return j.create("vs/platform/extensions/common/extensionValidator",e)}),define(J[139],Z([12,11]),function(j,e){return j.create("vs/platform/externalTerminal/node/externalTerminalService",e)}),define(J[140],Z([12,11]),function(j,e){return j.create("vs/platform/files/common/fileService",e)}),define(J[141],Z([12,11]),function(j,e){return j.create("vs/platform/files/common/files",e)}),define(J[142],Z([12,11]),function(j,e){return j.create("vs/platform/files/common/io",e)}),define(J[143],Z([12,11]),function(j,e){return j.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(J[144],Z([12,11]),function(j,e){return j.create("vs/platform/issue/electron-main/issueMainService",e)}),define(J[145],Z([12,11]),function(j,e){return j.create("vs/platform/menubar/electron-main/menubar",e)}),define(J[146],Z([12,11]),function(j,e){return j.create("vs/platform/native/electron-main/nativeHostMainService",e)}),define(J[147],Z([12,11]),function(j,e){return j.create("vs/platform/request/common/request",e)}),define(J[148],Z([12,11]),function(j,e){return j.create("vs/platform/telemetry/common/telemetryService",e)}),define(J[149],Z([12,11]),function(j,e){return j.create("vs/platform/update/common/update.config.contribution",e)}),define(J[150],Z([12,11]),function(j,e){return j.create("vs/platform/windows/electron-main/window",e)}),define(J[151],Z([12,11]),function(j,e){return j.create("vs/platform/windows/electron-main/windowsMainService",e)}),define(J[152],Z([12,11]),function(j,e){return j.create("vs/platform/workspaces/common/workspaces",e)}),define(J[153],Z([12,11]),function(j,e){return j.create("vs/platform/workspaces/electron-main/workspacesHistoryMainService",e)}),define(J[154],Z([12,11]),function(j,e){return j.create("vs/platform/workspaces/electron-main/workspacesManagementMainService",e)}),define(J[155],Z([0,1,5,2]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostDebugChannelClient=e.ExtensionHostDebugBroadcastChannel=void 0;class D{constructor(){this._onCloseEmitter=new g.Emitter,this._onReloadEmitter=new g.Emitter,this._onTerminateEmitter=new g.Emitter,this._onAttachEmitter=new g.Emitter}call(n,w,v){switch(w){case"close":return Promise.resolve(this._onCloseEmitter.fire({sessionId:v[0]}));case"reload":return Promise.resolve(this._onReloadEmitter.fire({sessionId:v[0]}));case"terminate":return Promise.resolve(this._onTerminateEmitter.fire({sessionId:v[0]}));case"attach":return Promise.resolve(this._onAttachEmitter.fire({sessionId:v[0],port:v[1],subId:v[2]}))}throw new Error("Method not implemented.")}listen(n,w,v){switch(w){case"close":return this._onCloseEmitter.event;case"reload":return this._onReloadEmitter.event;case"terminate":return this._onTerminateEmitter.event;case"attach":return this._onAttachEmitter.event}throw new Error("Method not implemented.")}}e.ExtensionHostDebugBroadcastChannel=D,D.ChannelName="extensionhostdebugservice";class S extends M.Disposable{constructor(n){super();this.channel=n}reload(n){this.channel.call("reload",[n])}get onReload(){return this.channel.listen("reload")}close(n){this.channel.call("close",[n])}get onClose(){return this.channel.listen("close")}attachSession(n,w,v){this.channel.call("attach",[n,w,v])}get onAttachSession(){return this.channel.listen("attach")}terminateSession(n,w){this.channel.call("terminate",[n,w])}get onTerminateSession(){return this.channel.listen("terminate")}openExtensionDevelopmentHostWindow(n,w,v){return this.channel.call("openExtensionDevelopmentHostWindow",[n,w||{},v])}}e.ExtensionHostDebugChannelClient=S}),define(J[156],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WindowDriverRegistryChannelClient=e.WindowDriverChannelClient=e.WindowDriverChannel=void 0;class g{constructor(E){this.driver=E}listen(E,n){throw new Error(`No event found: ${n}`)}call(E,n,w){switch(n){case"click":return this.driver.click(w[0],w[1],w[2]);case"doubleClick":return this.driver.doubleClick(w);case"setValue":return this.driver.setValue(w[0],w[1]);case"getTitle":return this.driver.getTitle();case"isActiveElement":return this.driver.isActiveElement(w);case"getElements":return this.driver.getElements(w[0],w[1]);case"getElementXY":return this.driver.getElementXY(w[0],w[1],w[2]);case"typeInEditor":return this.driver.typeInEditor(w[0],w[1]);case"getTerminalBuffer":return this.driver.getTerminalBuffer(w);case"writeInTerminal":return this.driver.writeInTerminal(w[0],w[1]);case"getLocalizedStrings":return this.driver.getLocalizedStrings()}throw new Error(`Call not found: ${n}`)}}e.WindowDriverChannel=g;class M{constructor(E){this.channel=E}click(E,n,w){return this.channel.call("click",[E,n,w])}doubleClick(E){return this.channel.call("doubleClick",E)}setValue(E,n){return this.channel.call("setValue",[E,n])}getTitle(){return this.channel.call("getTitle")}isActiveElement(E){return this.channel.call("isActiveElement",E)}getElements(E,n){return this.channel.call("getElements",[E,n])}getElementXY(E,n,w){return this.channel.call("getElementXY",[E,n,w])}typeInEditor(E,n){return this.channel.call("typeInEditor",[E,n])}getTerminalBuffer(E){return this.channel.call("getTerminalBuffer",E)}writeInTerminal(E,n){return this.channel.call("writeInTerminal",[E,n])}getLocalizedStrings(){return this.channel.call("getLocalizedStrings")}}e.WindowDriverChannelClient=M;class D{constructor(E){this.channel=E}registerWindowDriver(E){return this.channel.call("registerWindowDriver",E)}reloadWindowDriver(E){return this.channel.call("reloadWindowDriver",E)}}e.WindowDriverRegistryChannelClient=D}),define(J[157],Z([0,1,8,15,47,126,10,7,33]),function(j,e,g,M,D,S,E,n,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseSearchPort=e.parseExtensionHostPort=e.AbstractNativeEnvironmentService=void 0;class v{constructor(d,m,k){this._args=d,this.paths=m,this.productService=k}get appRoot(){return g.dirname(E.FileAccess.asFileUri("",j).fsPath)}get userHome(){return n.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return n.URI.file(g.join(this.userDataPath,"User"))}get tmpDir(){return n.URI.file(this.paths.tmpDir)}get userRoamingDataHome(){return this.appSettingsHome}get settingsResource(){return M.joinPath(this.userRoamingDataHome,"settings.json")}get userDataSyncHome(){return M.joinPath(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const d=S.toLocalISOString(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=g.join(this.userDataPath,"logs",d)}return this.args.logsPath}get userDataSyncLogResource(){return n.URI.file(g.join(this.logsPath,"userDataSync.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return M.joinPath(n.URI.file(g.join(this.userDataPath,"Machine")),"settings.json")}get globalStorageHome(){return n.URI.joinPath(this.appSettingsHome,"globalStorage")}get workspaceStorageHome(){return n.URI.joinPath(this.appSettingsHome,"workspaceStorage")}get keybindingsResource(){return M.joinPath(this.userRoamingDataHome,"keybindings.json")}get keyboardLayoutResource(){return M.joinPath(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const d=w.env.VSCODE_PORTABLE;return d?n.URI.file(g.join(d,"argv.json")):M.joinPath(this.userHome,this.productService.dataFolderName,"argv.json")}get snippetsHome(){return M.joinPath(this.userRoamingDataHome,"snippets")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return n.URI.file(g.join(this.userDataPath,"Workspaces"))}get installSourcePath(){return g.join(this.userDataPath,"installSource")}get builtinExtensionsPath(){const d=this.args["builtin-extensions-dir"];return d?g.resolve(d):g.normalize(g.join(E.FileAccess.asFileUri("",j).fsPath,"..","extensions"))}get extensionsDownloadPath(){const d=this.args["extensions-download-dir"];return d?g.resolve(d):g.join(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const d=this.args["extensions-dir"];if(d)return g.resolve(d);const m=w.env.VSCODE_EXTENSIONS;if(m)return m;const k=w.env.VSCODE_PORTABLE;return k?g.join(k,"extensions"):M.joinPath(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const d=this.args.extensionDevelopmentPath;if(Array.isArray(d))return d.map(m=>/^[^:/?#]+?:\/\//.test(m)?n.URI.parse(m):n.URI.file(g.normalize(m)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(d=>d==="ui"||d==="workspace"||d==="web"?d:"workspace")}get extensionTestsLocationURI(){const d=this.args.extensionTestsPath;if(d)return/^[^:/?#]+?:\/\//.test(d)?n.URI.parse(d):n.URI.file(g.normalize(d))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const d=this.args["disable-extension"];if(d){if(typeof d=="string")return[d];if(Array.isArray(d)&&d.length>0)return d}return!1}get debugExtensionHost(){return i(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!w.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return M.joinPath(n.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get driverHandle(){return this.args.driver}get telemetryLogResource(){return n.URI.file(g.join(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get args(){return this._args}}ue([D.memoize],v.prototype,"appRoot",null),ue([D.memoize],v.prototype,"userHome",null),ue([D.memoize],v.prototype,"userDataPath",null),ue([D.memoize],v.prototype,"appSettingsHome",null),ue([D.memoize],v.prototype,"tmpDir",null),ue([D.memoize],v.prototype,"userRoamingDataHome",null),ue([D.memoize],v.prototype,"settingsResource",null),ue([D.memoize],v.prototype,"userDataSyncHome",null),ue([D.memoize],v.prototype,"userDataSyncLogResource",null),ue([D.memoize],v.prototype,"sync",null),ue([D.memoize],v.prototype,"machineSettingsResource",null),ue([D.memoize],v.prototype,"globalStorageHome",null),ue([D.memoize],v.prototype,"workspaceStorageHome",null),ue([D.memoize],v.prototype,"keybindingsResource",null),ue([D.memoize],v.prototype,"keyboardLayoutResource",null),ue([D.memoize],v.prototype,"argvResource",null),ue([D.memoize],v.prototype,"snippetsHome",null),ue([D.memoize],v.prototype,"isExtensionDevelopment",null),ue([D.memoize],v.prototype,"untitledWorkspacesHome",null),ue([D.memoize],v.prototype,"installSourcePath",null),ue([D.memoize],v.prototype,"builtinExtensionsPath",null),ue([D.memoize],v.prototype,"extensionsPath",null),ue([D.memoize],v.prototype,"extensionDevelopmentLocationURI",null),ue([D.memoize],v.prototype,"extensionDevelopmentKind",null),ue([D.memoize],v.prototype,"extensionTestsLocationURI",null),ue([D.memoize],v.prototype,"debugExtensionHost",null),ue([D.memoize],v.prototype,"serviceMachineIdResource",null),ue([D.memoize],v.prototype,"telemetryLogResource",null),ue([D.memoize],v.prototype,"disableWorkspaceTrust",null),e.AbstractNativeEnvironmentService=v;function i(y,d){return P(y["inspect-extensions"],y["inspect-brk-extensions"],5870,d,y.debugId)}e.parseExtensionHostPort=i;function b(y,d){return P(y["inspect-search"],y["inspect-brk-search"],5876,d)}e.parseSearchPort=b;function P(y,d,m,k,I){const h=Number(d||y)||(k?null:m),o=h?Boolean(!!d):!1;return{port:h,break:o,debugId:I}}}),define(J[88],Z([0,1,240,135,3]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buildVersionMessage=e.buildHelpMessage=e.formatOptions=e.parseArgs=e.OPTIONS=void 0;const S={o:M.localize(0,null),e:M.localize(1,null),t:M.localize(2,null)};e.OPTIONS={diff:{type:"boolean",cat:"o",alias:"d",args:["file","file"],description:M.localize(3,null)},add:{type:"boolean",cat:"o",alias:"a",args:"folder",description:M.localize(4,null)},goto:{type:"boolean",cat:"o",alias:"g",args:"file:line[:character]",description:M.localize(5,null)},"new-window":{type:"boolean",cat:"o",alias:"n",description:M.localize(6,null)},"reuse-window":{type:"boolean",cat:"o",alias:"r",description:M.localize(7,null)},wait:{type:"boolean",cat:"o",alias:"w",description:M.localize(8,null)},waitMarkerFilePath:{type:"string"},locale:{type:"string",cat:"o",args:"locale",description:M.localize(9,null)},"user-data-dir":{type:"string",cat:"o",args:"dir",description:M.localize(10,null)},help:{type:"boolean",cat:"o",alias:"h",description:M.localize(11,null)},"extensions-dir":{type:"string",deprecates:"extensionHomePath",cat:"e",args:"dir",description:M.localize(12,null)},"extensions-download-dir":{type:"string"},"builtin-extensions-dir":{type:"string"},"list-extensions":{type:"boolean",cat:"e",description:M.localize(13,null)},"show-versions":{type:"boolean",cat:"e",description:M.localize(14,null)},category:{type:"string",cat:"e",description:M.localize(15,null),args:"category"},"install-extension":{type:"string[]",cat:"e",args:"extension-id[@version] | path-to-vsix",description:M.localize(16,null)},"uninstall-extension":{type:"string[]",cat:"e",args:"extension-id",description:M.localize(17,null)},"enable-proposed-api":{type:"string[]",cat:"e",args:"extension-id",description:M.localize(18,null)},version:{type:"boolean",cat:"t",alias:"v",description:M.localize(19,null)},verbose:{type:"boolean",cat:"t",description:M.localize(20,null)},log:{type:"string",cat:"t",args:"level",description:M.localize(21,null)},status:{type:"boolean",alias:"s",cat:"t",description:M.localize(22,null)},"prof-startup":{type:"boolean",cat:"t",description:M.localize(23,null)},"prof-append-timers":{type:"string"},"no-cached-data":{type:"boolean"},"prof-startup-prefix":{type:"string"},"prof-v8-extensions":{type:"boolean"},"disable-extensions":{type:"boolean",deprecates:"disableExtensions",cat:"t",description:M.localize(24,null)},"disable-extension":{type:"string[]",cat:"t",args:"extension-id",description:M.localize(25,null)},sync:{type:"string",cat:"t",description:M.localize(26,null),args:["on","off"]},"inspect-extensions":{type:"string",deprecates:"debugPluginHost",args:"port",cat:"t",description:M.localize(27,null)},"inspect-brk-extensions":{type:"string",deprecates:"debugBrkPluginHost",args:"port",cat:"t",description:M.localize(28,null)},"disable-gpu":{type:"boolean",cat:"t",description:M.localize(29,null)},"max-memory":{type:"string",cat:"t",description:M.localize(30,null),args:"memory"},telemetry:{type:"boolean",cat:"t",description:M.localize(31,null)},remote:{type:"string"},"folder-uri":{type:"string[]",cat:"o",args:"uri"},"file-uri":{type:"string[]",cat:"o",args:"uri"},"locate-extension":{type:"string[]"},extensionDevelopmentPath:{type:"string[]"},extensionDevelopmentKind:{type:"string[]"},extensionTestsPath:{type:"string"},debugId:{type:"string"},debugRenderer:{type:"boolean"},"inspect-search":{type:"string",deprecates:"debugSearch"},"inspect-brk-search":{type:"string",deprecates:"debugBrkSearch"},"export-default-configuration":{type:"string"},"install-source":{type:"string"},driver:{type:"string"},logExtensionHostCommunication:{type:"boolean"},"skip-release-notes":{type:"boolean"},"skip-welcome":{type:"boolean"},"disable-telemetry":{type:"boolean"},"disable-updates":{type:"boolean"},"disable-keytar":{type:"boolean"},"disable-workspace-trust":{type:"boolean"},"disable-crash-reporter":{type:"boolean"},"crash-reporter-directory":{type:"string"},"crash-reporter-id":{type:"string"},"skip-add-to-recently-opened":{type:"boolean"},"unity-launch":{type:"boolean"},"open-url":{type:"boolean"},"file-write":{type:"boolean"},"file-chmod":{type:"boolean"},"driver-verbose":{type:"boolean"},"install-builtin-extension":{type:"string[]"},force:{type:"boolean"},"do-not-sync":{type:"boolean"},trace:{type:"boolean"},"trace-category-filter":{type:"string"},"trace-options":{type:"string"},"force-user-env":{type:"boolean"},"force-disable-user-env":{type:"boolean"},"open-devtools":{type:"boolean"},__sandbox:{type:"boolean"},logsPath:{type:"string"},"no-proxy-server":{type:"boolean"},"no-sandbox":{type:"boolean",alias:"sandbox"},"proxy-server":{type:"string"},"proxy-bypass-list":{type:"string"},"proxy-pac-url":{type:"string"},"js-flags":{type:"string"},inspect:{type:"string"},"inspect-brk":{type:"string"},nolazy:{type:"boolean"},"force-device-scale-factor":{type:"string"},"force-renderer-accessibility":{type:"boolean"},"ignore-certificate-errors":{type:"boolean"},"allow-insecure-localhost":{type:"boolean"},"log-net-log":{type:"string"},vmodule:{type:"string"},_urls:{type:"string[]"},_:{type:"string[]"}};const E={onUnknownOption:()=>{},onMultipleValues:()=>{}};function n(d,m,k=E){const I={},l=[],h=[];for(let s in m){const r=m[s];r.alias&&(I[s]=r.alias),r.type==="string"||r.type==="string[]"?(l.push(s),r.deprecates&&l.push(r.deprecates)):r.type==="boolean"&&(h.push(s),r.deprecates&&h.push(r.deprecates))}const o=g(d,{string:l,boolean:h,alias:I}),c={},t=o;c._=o._.map(s=>String(s)).filter(s=>s.length>0),delete t._;for(let s in m){const r=m[s];r.alias&&delete t[r.alias];let a=t[s];r.deprecates&&t.hasOwnProperty(r.deprecates)&&(a||(a=t[r.deprecates]),delete t[r.deprecates]),typeof a!="undefined"&&(r.type==="string[]"?a&&!Array.isArray(a)&&(a=[a]):r.type==="string"&&Array.isArray(a)&&(a=a.pop(),k.onMultipleValues(s,a)),c[s]=a),delete t[s]}for(let s in t)k.onUnknownOption(s);return c}e.parseArgs=n;function w(d,m){let k="";return m.args&&(Array.isArray(m.args)?k=` <${m.args.join("> <")}>`:k=` <${m.args}>`),m.alias?`-${m.alias} --${d}${k}`:`--${d}${k}`}function v(d,m){let k=0,I=[];for(const c in d){const t=d[c],s=w(c,t);k=Math.max(k,s.length),I.push([s,t.description])}let l=k+2+1;if(m-l<25)return I.reduce((c,t)=>c.concat([`  ${t[0]}`,`      ${t[1]}`]),[]);let h=m-l-1,o=[];for(const c of I){let t=c[0],s=b(c[1],h),r=i(l-t.length-2);o.push("  "+t+r+s[0]);for(let a=1;a<s.length;a++)o.push(i(l)+s[a])}return o}e.formatOptions=v;function i(d){return" ".repeat(d)}function b(d,m){let k=[];for(;d.length;){let I=d.length<m?d.length:d.lastIndexOf(" ",m),l=d.slice(0,I).trim();d=d.slice(I),k.push(l)}return k}function P(d,m,k,I,l=!0){const h=process.stdout.isTTY&&process.stdout.columns||80;let o=[`${d} ${k}`];o.push(""),o.push(`${M.localize(32,null)}: ${m} [${M.localize(33,null)}][${M.localize(34,null)}...]`),o.push(""),l&&(D.isWindows?o.push(M.localize(35,null,m)):o.push(M.localize(36,null,m)),o.push(""));const c={};for(const t in I){const s=I[t];if(s.description&&s.cat){let r=c[s.cat];r||(c[s.cat]=r={}),r[t]=s}}for(let t in c){const s=t;let r=c[s];r&&(o.push(S[s]),o.push(...v(r,h)),o.push(""))}return o.join(`
`)}e.buildHelpMessage=P;function y(d,m){return`${d||M.localize(37,null)}
${m||M.localize(38,null)}
${process.arch}`}e.buildVersionMessage=y}),define(J[158],Z([0,1,88,59,155]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ElectronExtensionHostDebugBroadcastChannel=void 0;class S extends D.ExtensionHostDebugBroadcastChannel{constructor(n){super();this.windowsMainService=n}call(n,w,v){return w==="openExtensionDevelopmentHostWindow"?this.openExtensionDevelopmentHostWindow(v[0],v[1],v[2]):super.call(n,w,v)}async openExtensionDevelopmentHostWindow(n,w,v){const i=g.parseArgs(n,g.OPTIONS);i.debugRenderer=v;const b=i.extensionDevelopmentPath;if(!b)return{success:!1};let P;const y=Object.keys(w);for(let h of y){let o=w[h];o===null||(P||(P=Object.create(null)),P[h]=o)}const[d]=this.windowsMainService.openExtensionDevelopmentHostWindow(b,{context:5,cli:i,userEnv:P});if(!v)return{success:!0};const m=d.win;if(!m)return{success:!0};const k=m.webContents.debugger;let I=k.isAttached()?Infinity:0;const l=M.createServer(h=>{I++==0&&k.attach();let o=!1;const c=r=>{o||h.write(JSON.stringify(r)+"\0")},t=(r,a,u,p)=>c({method:a,params:u,sessionId:p});m.on("close",()=>{k.removeListener("message",t),h.end(),o=!0}),k.addListener("message",t);let s=Buffer.alloc(0);h.on("data",r=>{s=Buffer.concat([s,r]);for(let a=s.indexOf(0);a!==-1;a=s.indexOf(0)){let u;try{const p=s.slice(0,a).toString("utf8");s=s.slice(a+1),u=JSON.parse(p)}catch(p){console.error("error reading cdp line",p)}k.sendCommand(u.method,u.params,u.sessionId).then(p=>c({id:u.id,sessionId:u.sessionId,result:p})).catch(p=>c({id:u.id,sessionId:u.sessionId,error:{code:0,message:p.message}}))}}),h.on("error",r=>{console.error("error on cdp pipe:",r)}),h.on("close",()=>{o=!0,--I==0&&k.detach()})});return await new Promise(h=>l.listen(0,h)),m.on("close",()=>l.close()),{rendererDebugPort:l.address().port,success:!0}}}e.ElectronExtensionHostDebugBroadcastChannel=S}),function(){"use strict";function j(e,g,M,D){function S(n){const w=E(n),v=[w];return e.isAbsolute(w)||v.unshift(D),e.resolve(...v)}function E(n){const w=process.env.VSCODE_PORTABLE;if(w)return e.join(w,"user-data");const v=n["user-data-dir"];if(v)return v;let i=process.env.VSCODE_APPDATA;if(!i)switch(process.platform){case"win32":if(i=process.env.APPDATA,!i){const b=process.env.USERPROFILE;if(typeof b!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");i=e.join(b,"AppData","Roaming")}break;case"darwin":i=e.join(g.homedir(),"Library","Application Support");break;case"linux":i=process.env.XDG_CONFIG_HOME||e.join(g.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(i,M)}return{getUserDataPath:S}}if(typeof define=="function")define(J[159],Z([0,160,26,10,15,33]),function(e,g,M,D,S,E){const n=S.dirname(D.FileAccess.asFileUri("",e)),w=e.__$__nodeRequire(S.joinPath(n,"package.json").fsPath);return j(g,M,w.name,E.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("../../../../../package.json"),g=require("path"),M=require("os");module.exports=j(g,M,e.name,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(J[161],Z([0,1,26,159,157]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeEnvironmentService=void 0;class S extends D.AbstractNativeEnvironmentService{constructor(n,w){super(n,{homeDir:g.homedir(),tmpDir:g.tmpdir(),userDataDir:M.getUserDataPath(n)},w)}}e.NativeEnvironmentService=S}),define(J[162],Z([0,1,29,26,8]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createWaitMarkerFile=void 0;function S(E){const n=D.join(M.tmpdir(),Math.random().toString(36).replace(/[^a-z]+/g,"").substr(0,10));try{return g.writeFileSync(n,""),E&&console.log(`Marker file for --wait created: ${n}`),n}catch(w){E&&console.error(`Failed to create marker file for --wait: ${w}`);return}}e.createWaitMarkerFile=S}),define(J[163],Z([0,1,138]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const M=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,D=/^-(\d{4})(\d{2})(\d{2})$/;function S(P){return P=P.trim(),P==="*"||M.test(P)}e.isValidVersionStr=S;function E(P){if(!S(P))return null;if(P=P.trim(),P==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let y=P.match(M);return y?{hasCaret:y[1]==="^",hasGreaterEquals:y[1]===">=",majorBase:y[2]==="x"?0:parseInt(y[2],10),majorMustEqual:y[2]!=="x",minorBase:y[4]==="x"?0:parseInt(y[4],10),minorMustEqual:y[4]!=="x",patchBase:y[6]==="x"?0:parseInt(y[6],10),patchMustEqual:y[6]!=="x",preRelease:y[8]||null}:null}e.parseVersion=E;function n(P){if(!P)return null;let y=P.majorBase,d=P.majorMustEqual,m=P.minorBase,k=P.minorMustEqual,I=P.patchBase,l=P.patchMustEqual;P.hasCaret&&(y===0||(k=!1),l=!1);let h=0;if(P.preRelease){const o=D.exec(P.preRelease);if(o){const[,c,t,s]=o;h=Date.UTC(Number(c),Number(t)-1,Number(s))}}return{majorBase:y,majorMustEqual:d,minorBase:m,minorMustEqual:k,patchBase:I,patchMustEqual:l,isMinimum:P.hasGreaterEquals,notBefore:h}}e.normalizeVersion=n;function w(P,y,d){let m;typeof P=="string"?m=n(E(P)):m=P;let k;y instanceof Date?k=y.getTime():typeof y=="string"&&(k=new Date(y).getTime());let I;if(typeof d=="string"?I=n(E(d)):I=d,!m||!I)return!1;let l=m.majorBase,h=m.minorBase,o=m.patchBase,c=I.majorBase,t=I.minorBase,s=I.patchBase,r=I.notBefore,a=I.majorMustEqual,u=I.minorMustEqual,p=I.patchMustEqual;return I.isMinimum?l>c?!0:l<c?!1:h>t?!0:h<t||k&&k<r?!1:o>=s:(l===1&&c===0&&(!a||!u||!p)&&(c=1,t=0,s=0,a=!0,u=!1,p=!1),l<c?!1:l>c?!a:h<t?!1:h>t?!u:o<s?!1:o>s?!p:!(k&&k<r))}e.isValidVersion=w;function v(P,y,d,m){return d.isBuiltin||typeof d.main=="undefined"?!0:b(P,y,d.engines.vscode,m)}e.isValidExtensionVersion=v;function i(P,y,d){return P==="*"||b(y,d,P)}e.isEngineValid=i;function b(P,y,d,m=[]){let k=n(E(d));if(!k)return m.push(g.localize(0,null,d)),!1;if(k.majorBase===0){if(!k.majorMustEqual||!k.minorMustEqual)return m.push(g.localize(1,null,d)),!1}else if(!k.majorMustEqual)return m.push(g.localize(2,null,d)),!1;return w(P,y,k)?!0:(m.push(g.localize(3,null,P,d)),!1)}}),define(J[164],Z([0,1,34,87,2,10]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class E extends D.Disposable{constructor(w,v,i,b){super();this.folders=w,this.onDidFilesChange=v,this.onLogMessage=i,this.verboseLogging=b,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const w=this._register(new M.Client(S.FileAccess.asFileUri("bootstrap-fork",j).fsPath,{serverName:"File Watcher (nsfw)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/nsfw/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(w.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=E.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=g.ProxyChannel.toService(g.getNextTickChannel(w.getChannel("watcher"))),this.service.setVerboseLogging(this.verboseLogging),this._register(this.service.onDidChangeFile(v=>!this.isDisposed&&this.onDidFilesChange(v))),this._register(this.service.onDidLogMessage(v=>this.onLogMessage(v))),this.setFolders(this.folders)}setVerboseLogging(w){this.verboseLogging=w,!this.isDisposed&&this.service&&this.service.setVerboseLogging(w)}error(w){this.onLogMessage({type:"error",message:`[File Watcher (nsfw)] ${w}`})}setFolders(w){this.folders=w,this.service&&this.service.setRoots(w)}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=E,E.MAX_RESTARTS=5}),define(J[165],Z([0,1,34,87,2,10]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class E extends D.Disposable{constructor(w,v,i,b,P={}){super();this.folders=w,this.onDidFilesChange=v,this.onLogMessage=i,this.verboseLogging=b,this.watcherOptions=P,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const w=this._register(new M.Client(S.FileAccess.asFileUri("bootstrap-fork",j).fsPath,{serverName:"File Watcher (chokidar)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/unix/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(w.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=E.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=g.ProxyChannel.toService(g.getNextTickChannel(w.getChannel("watcher"))),this.service.init({...this.watcherOptions,verboseLogging:this.verboseLogging}),this._register(this.service.onDidChangeFile(v=>!this.isDisposed&&this.onDidFilesChange(v))),this._register(this.service.onDidLogMessage(v=>this.onLogMessage(v))),this.service.setRoots(this.folders)}error(w){this.onLogMessage({type:"error",message:`[File Watcher (chokidar)] ${w}`})}setVerboseLogging(w){this.verboseLogging=w,this.service&&this.service.setVerboseLogging(w)}setFolders(w){this.folders=w,this.service&&this.service.setRoots(w)}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=E,E.MAX_RESTARTS=5}),define(J[166],Z([0,1,41,81,112,10]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutOfProcessWin32FolderWatcher=void 0;class E{constructor(w,v,i,b,P){this.watchedFolder=w,this.eventCallback=i,this.logCallback=b,this.verboseLogging=P,this.restartCounter=0,Array.isArray(v)?this.ignored=v.map(y=>D.parse(y)):this.ignored=[],this.verboseLogging&&this.log(`Start watching: ${w}, excludes: ${v.join(",")}`),this.startWatcher()}startWatcher(){const w=[this.watchedFolder];this.verboseLogging&&w.push("-verbose"),this.handle=g.spawn(S.FileAccess.asFileUri("vs/platform/files/node/watcher/win32/CodeHelper.exe",j).fsPath,w);const v=new M.LineDecoder;this.handle.stdout.on("data",i=>{const b=[];for(const P of v.write(i)){const y=P.split("|");if(y.length===2){const d=Number(y[0]),m=y[1];if(d>=0&&d<3){if(this.ignored&&this.ignored.some(k=>k(m))){this.verboseLogging&&this.log(m);continue}b.push({type:E.changeTypeMap[d],path:m})}else this.log(y[1])}}b.length>0&&this.eventCallback(b)}),this.handle.on("error",i=>this.onError(i)),this.handle.stderr.on("data",i=>this.onError(i)),this.handle.on("exit",(i,b)=>this.onExit(i,b))}onError(w){this.error("process error: "+w.toString())}onExit(w,v){this.handle&&(this.error(`terminated unexpectedly (code: ${w}, signal: ${v})`),this.restartCounter<=E.MAX_RESTARTS?(this.error("is restarted again..."),this.restartCounter++,this.startWatcher()):this.error("Watcher failed to start after retrying for some time, giving up. Please report this as a bug report!"))}error(w){this.logCallback({type:"error",message:`[File Watcher (C#)] ${w}`})}log(w){this.logCallback({type:"trace",message:`[File Watcher (C#)] ${w}`})}dispose(){this.handle&&(this.handle.kill(),this.handle=void 0)}}e.OutOfProcessWin32FolderWatcher=E,E.MAX_RESTARTS=5,E.changeTypeMap=[0,1,2]}),define(J[167],Z([0,1,166,8,23]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class S{constructor(n,w,v,i){this.onDidFilesChange=w,this.onLogMessage=v,this.verboseLogging=i,this.service=void 0,this.folder=n[0],this.folder.path.indexOf("\\\\")===0&&this.folder.path.endsWith(M.posix.sep)&&(this.folder.path=D.rtrim(this.folder.path,M.posix.sep)),this.service=this.startWatching()}get isDisposed(){return!this.service}startWatching(){return new g.OutOfProcessWin32FolderWatcher(this.folder.path,this.folder.excludes,n=>this.onFileEvents(n),n=>this.onLogMessage(n),this.verboseLogging)}setVerboseLogging(n){this.verboseLogging=n,this.service&&(this.service.dispose(),this.service=this.startWatching())}onFileEvents(n){this.isDisposed||n.length>0&&this.onDidFilesChange(n)}dispose(){this.service&&(this.service.dispose(),this.service=void 0)}}e.FileWatcher=S}),define(J[69],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class g{constructor(D,S=[],E=!1){this.ctor=D,this.staticArguments=S,this.supportsDelayedInstantiation=E}}e.SyncDescriptor=g}),define(J[168],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class g{constructor(S){this.incoming=new Map,this.outgoing=new Map,this.data=S}}e.Node=g;class M{constructor(S){this._hashFn=S,this._nodes=new Map}roots(){const S=[];for(let E of this._nodes.values())E.outgoing.size===0&&S.push(E);return S}insertEdge(S,E){const n=this.lookupOrInsertNode(S),w=this.lookupOrInsertNode(E);n.outgoing.set(this._hashFn(E),w),w.incoming.set(this._hashFn(S),n)}removeNode(S){const E=this._hashFn(S);this._nodes.delete(E);for(let n of this._nodes.values())n.outgoing.delete(E),n.incoming.delete(E)}lookupOrInsertNode(S){const E=this._hashFn(S);let n=this._nodes.get(E);return n||(n=new g(S),this._nodes.set(E,n)),n}lookup(S){return this._nodes.get(this._hashFn(S))}isEmpty(){return this._nodes.size===0}toString(){let S=[];for(let[E,n]of this._nodes)S.push(`${E}, (incoming)[${[...n.incoming.keys()].join(", ")}], (outgoing)[${[...n.outgoing.keys()].join(",")}]`);return S.join(`
`)}findCycleSlow(){for(let[S,E]of this._nodes){const n=new Set([S]),w=this._findCycle(E,n);if(w)return w}}_findCycle(S,E){for(let[n,w]of S.outgoing){if(E.has(n))return[...E,n].join(" -> ");E.add(n);const v=this._findCycle(w,E);if(v)return v;E.delete(n)}}}e.Graph=M}),define(J[4],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.optional=e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var g;(function(n){n.serviceIds=new Map,n.DI_TARGET="$di$target",n.DI_DEPENDENCIES="$di$dependencies";function w(v){return v[n.DI_DEPENDENCIES]||[]}n.getServiceDependencies=w})(g=e._util||(e._util={})),e.IInstantiationService=D("instantiationService");function M(n,w,v,i){w[g.DI_TARGET]===w?w[g.DI_DEPENDENCIES].push({id:n,index:v,optional:i}):(w[g.DI_DEPENDENCIES]=[{id:n,index:v,optional:i}],w[g.DI_TARGET]=w)}function D(n){if(g.serviceIds.has(n))return g.serviceIds.get(n);const w=function(v,i,b){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");M(w,v,b,!1)};return w.toString=()=>n,g.serviceIds.set(n,w),w}e.createDecorator=D;function S(n){return n}e.refineServiceDecorator=S;function E(n){return function(w,v,i){if(arguments.length!==3)throw new Error("@optional-decorator can only be used to decorate a parameter");M(n,w,i,!0)}}e.optional=E}),define(J[70],Z([0,1,4]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isRemoteDiagnosticError=e.IDiagnosticsService=e.ID=void 0,e.ID="diagnosticsService",e.IDiagnosticsService=g.createDecorator(e.ID);function M(D){return!!D.hostName&&!!D.errorMessage}e.isRemoteDiagnosticError=M}),define(J[89],Z([0,1,4]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EncryptionMainService=e.IEncryptionMainService=void 0,e.IEncryptionMainService=g.createDecorator("encryptionMainService");class M{constructor(S){this.machineId=S}encryption(){return new Promise((S,E)=>j(["vscode-encrypt"],S,E))}async encrypt(S){try{return(await this.encryption()).encrypt(this.machineId,S)}catch(E){return S}}async decrypt(S){try{return(await this.encryption()).decrypt(this.machineId,S)}catch(E){return S}}}e.EncryptionMainService=M}),define(J[48],Z([0,1,4]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=g.createDecorator("environmentService"),e.INativeEnvironmentService=g.refineServiceDecorator(e.IEnvironmentService)}),define(J[169],Z([0,1,137,4,10]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.DefaultIconPath=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IExtensionManagementService=e.ExtensionManagementError=e.INSTALL_ERROR_INCOMPATIBLE=e.INSTALL_ERROR_MALICIOUS=e.INSTALL_ERROR_NOT_SUPPORTED=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.WEB_EXTENSION_TAG=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN),e.WEB_EXTENSION_TAG="__web_extension";function S(b){return b&&typeof b=="object"&&typeof b.id=="string"&&(!b.uuid||typeof b.uuid=="string")}e.isIExtensionIdentifier=S;var E;(function(b){b[b.NoneOrRelevance=0]="NoneOrRelevance",b[b.LastUpdatedDate=1]="LastUpdatedDate",b[b.Title=2]="Title",b[b.PublisherName=3]="PublisherName",b[b.InstallCount=4]="InstallCount",b[b.PublishedDate=5]="PublishedDate",b[b.AverageRating=6]="AverageRating",b[b.WeightedRating=12]="WeightedRating"})(E=e.SortBy||(e.SortBy={}));var n;(function(b){b[b.Default=0]="Default",b[b.Ascending=1]="Ascending",b[b.Descending=2]="Descending"})(n=e.SortOrder||(e.SortOrder={}));var w;(function(b){b.Uninstall="uninstall"})(w=e.StatisticType||(e.StatisticType={}));var v;(function(b){b[b.None=0]="None",b[b.Install=1]="Install",b[b.Update=2]="Update"})(v=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=M.createDecorator("extensionGalleryService"),e.INSTALL_ERROR_NOT_SUPPORTED="notsupported",e.INSTALL_ERROR_MALICIOUS="malicious",e.INSTALL_ERROR_INCOMPATIBLE="incompatible";class i extends Error{constructor(P,y){super(P);this.code=y,this.name=y}}e.ExtensionManagementError=i,e.IExtensionManagementService=M.createDecorator("extensionManagementService"),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=M.createDecorator("IGlobalExtensionEnablementService"),e.IExtensionTipsService=M.createDecorator("IExtensionTipsService"),e.DefaultIconPath=D.FileAccess.asBrowserUri("./media/defaultIcon.png",j).toString(!0),e.ExtensionsLabel=g.localize(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=g.localize(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=M.createDecorator("IExtensionManagementCLIService")}),define(J[170],Z([0,1,4]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionUrlTrustService=void 0,e.IExtensionUrlTrustService=g.createDecorator("extensionUrlTrustService")}),define(J[171],Z([0,1,23,4]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isAuthenticaionProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin";function D(i){if(typeof i=="object"&&i!==null&&i.supported!==!0)return i.description}e.getWorkspaceSupportTypeMessage=D;function S(i){return i&&typeof i=="object"&&typeof i.id=="string"&&(!i.uuid||typeof i.uuid=="string")}e.isIExtensionIdentifier=S,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var E;(function(i){i[i.System=0]="System",i[i.User=1]="User"})(E=e.ExtensionType||(e.ExtensionType={}));class n{constructor(b){this.value=b,this._lower=b.toLowerCase()}static equals(b,P){if(typeof b=="undefined"||b===null)return typeof P=="undefined"||P===null;if(typeof P=="undefined"||P===null)return!1;if(typeof b=="string"||typeof P=="string"){let y=typeof b=="string"?b:b.value,d=typeof P=="string"?P:P.value;return g.equalsIgnoreCase(y,d)}return b._lower===P._lower}static toKey(b){return typeof b=="string"?b.toLowerCase():b._lower}}e.ExtensionIdentifier=n;function w(i){return i.contributes&&i.contributes.localizations?i.contributes.localizations.length>0:!1}e.isLanguagePackExtension=w;function v(i){return i.contributes&&i.contributes.authentication?i.contributes.authentication.length>0:!1}e.isAuthenticaionProviderExtension=v,e.IBuiltinExtensionsScannerService=M.createDecorator("IBuiltinExtensionsScannerService")}),define(J[172],Z([0,1,23,171]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getExtensionDependencies=e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function D(d,m){return d.uuid&&m.uuid?d.uuid===m.uuid:d.id===m.id?!0:g.compareIgnoreCase(d.id,m.id)===0}e.areSameExtensions=D;class S{constructor(m,k){this.version=k,this.id=m.id,this.uuid=m.uuid}key(){return`${this.id}-${this.version}`}equals(m){return m instanceof S?D(this,m)&&this.version===m.version:!1}}e.ExtensionIdentifierWithVersion=S;function E(d,m){return`${d}.${m}`}e.getExtensionId=E;function n(d){return d.toLocaleLowerCase()}e.adoptToGalleryExtensionId=n;function w(d,m){return n(E(d,m))}e.getGalleryExtensionId=w;function v(d,m){const k=[],I=l=>{for(const h of k)if(h.some(o=>D(m(o),m(l))))return h;return null};for(const l of d){const h=I(l);h?h.push(l):k.push([l])}return k}e.groupByExtension=v;function i(d){return{id:d.identifier.id,name:d.manifest.name,galleryId:null,publisherId:d.publisherId,publisherName:d.manifest.publisher,publisherDisplayName:d.publisherDisplayName,dependencies:d.manifest.extensionDependencies&&d.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=i;function b(d){return{id:d.identifier.id,name:d.name,galleryId:d.identifier.uuid,publisherId:d.publisherId,publisherName:d.publisher,publisherDisplayName:d.publisherDisplayName,dependencies:!!(d.properties.dependencies&&d.properties.dependencies.length>0),...d.telemetryData}}e.getGalleryExtensionTelemetryData=b,e.BetterMergeId=new M.ExtensionIdentifier("pprice.better-merge");function P(d){const m=new Set;for(const k of d)k.malicious&&m.add(k.id.id);return m}e.getMaliciousExtensionsSet=P;function y(d,m){const k=[],I=m.manifest.extensionDependencies?.slice(0)??[];for(;I.length;){const l=I.shift();if(l&&k.every(h=>!D(h.identifier,{id:l}))){const h=d.filter(o=>D(o.identifier,{id:l}));h.length===1&&(k.push(h[0]),I.push(...h[0].manifest.extensionDependencies?.slice(0)??[]))}}return k}e.getExtensionDependencies=y}),define(J[90],Z([0,1,4]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExternalTerminalMainService=e.DEFAULT_TERMINAL_OSX=e.IExternalTerminalService=void 0,e.IExternalTerminalService=g.createDecorator("externalTerminal"),e.DEFAULT_TERMINAL_OSX="Terminal.app",e.IExternalTerminalMainService=g.createDecorator("externalTerminal")}),define(J[173],Z([0,1,41,8,68,139,18,3,90,10,106]),function(j,e,g,M,D,S,E,n,w,v,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxExternalTerminalService=e.MacExternalTerminalService=e.WindowsExternalTerminalService=void 0;const b=S.localize(0,null);class P{async getDefaultTerminalForPlatforms(){const o=await m.getDefaultTerminalLinuxReady();return{windows:y.getDefaultTerminalWindows(),linux:o,osx:"xterm"}}}class y extends P{openTerminal(o,c){return this.spawnTerminal(g,o,D.getWindowsShell(),c)}spawnTerminal(o,c,t,s){const r=c.windowsExec||y.getDefaultTerminalWindows();s&&s[1]===":"&&(s=s[0].toUpperCase()+s.substr(1));const a=M.basename(r).toLowerCase();if(a==="cmder"||a==="cmder.exe")return o.spawn(r,s?[s]:void 0),Promise.resolve(void 0);const u=["/c","start","/wait"];return r.indexOf(" ")>=0&&u.push('""'),u.push(r),(a==="wt"||a==="wt.exe")&&u.push("-d ."),new Promise((p,f)=>{const L=k(process),T=o.spawn(t,u,{cwd:s,env:L});T.on("error",f),T.on("exit",()=>p())})}runInTerminal(o,c,t,s,r){const a="windowsExec"in r&&r.windowsExec?r.windowsExec:y.getDefaultTerminalWindows();return new Promise((u,p)=>{const f=`"${c} - ${b}"`,L=`""${t.join('" "')}" & pause"`,T=["/c","start",f,"/wait",a,"/c",L],W=Object.assign({},k(process),s);Object.keys(W).filter(ee=>W[ee]===null).forEach(ee=>delete W[ee]);const N={cwd:c,env:W,windowsVerbatimArguments:!0};g.spawn(y.CMD,T,N).on("error",ee=>{p(I(ee))}),u(void 0)})}static getDefaultTerminalWindows(){if(!y._DEFAULT_TERMINAL_WINDOWS){const o=!!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");y._DEFAULT_TERMINAL_WINDOWS=`${process.env.windir?process.env.windir:"C:\\Windows"}\\${o?"Sysnative":"System32"}\\cmd.exe`}return y._DEFAULT_TERMINAL_WINDOWS}}e.WindowsExternalTerminalService=y,y.CMD="cmd.exe";class d extends P{openTerminal(o,c){return this.spawnTerminal(g,o,c)}runInTerminal(o,c,t,s,r){const a=r.osxExec||w.DEFAULT_TERMINAL_OSX;return new Promise((u,p)=>{if(a===w.DEFAULT_TERMINAL_OSX||a==="iTerm.app"){const f=a===w.DEFAULT_TERMINAL_OSX?"TerminalHelper":"iTermHelper",T=[v.FileAccess.asFileUri(`vs/workbench/contrib/externalTerminal/node/${f}.scpt`,j).fsPath,"-t",o||b,"-w",c];for(let V of t)T.push("-a"),T.push(V);if(s)for(let V in s){const ee=s[V];ee===null?(T.push("-u"),T.push(V)):(T.push("-e"),T.push(`${V}=${ee}`))}let W="";const N=g.spawn(d.OSASCRIPT,T);N.on("error",V=>{p(I(V))}),N.stderr.on("data",V=>{W+=V.toString()}),N.on("exit",V=>{if(V===0)u(void 0);else if(W){const ee=W.split(`
`,1);p(new Error(ee[0]))}else p(new Error(S.localize(1,null,f,V)))})}else p(new Error(S.localize(2,null,a)))})}spawnTerminal(o,c,t){const s=c.osxExec||w.DEFAULT_TERMINAL_OSX;return new Promise((r,a)=>{const u=["-a",s];t&&u.push(t);const p=o.spawn("/usr/bin/open",u);p.on("error",a),p.on("exit",()=>r())})}}e.MacExternalTerminalService=d,d.OSASCRIPT="/usr/bin/osascript";class m extends P{openTerminal(o,c){return this.spawnTerminal(g,o,c)}runInTerminal(o,c,t,s,r){const a=r.linuxExec?Promise.resolve(r.linuxExec):m.getDefaultTerminalLinuxReady();return new Promise((u,p)=>{let f=[];a.then(L=>{L.indexOf("gnome-terminal")>=0?f.push("-x"):f.push("-e"),f.push("bash"),f.push("-c");const T=`${l(t)}; echo; read -p "${m.WAIT_MESSAGE}" -n1;`;f.push(`''${T}''`);const W=Object.assign({},process.env,s);Object.keys(W).filter(q=>W[q]===null).forEach(q=>delete W[q]);const N={cwd:c,env:W};let V="";const ee=g.spawn(L,f,N);ee.on("error",q=>{p(I(q))}),ee.stderr.on("data",q=>{V+=q.toString()}),ee.on("exit",q=>{if(q===0)u(void 0);else if(V){const x=V.split(`
`,1);p(new Error(x[0]))}else p(new Error(S.localize(4,null,L,q)))})})})}static async getDefaultTerminalLinuxReady(){return m._DEFAULT_TERMINAL_LINUX_READY||(m._DEFAULT_TERMINAL_LINUX_READY=new Promise(async o=>{n.isLinux?await E.Promises.exists("/etc/debian_version")?o("x-terminal-emulator"):process.env.DESKTOP_SESSION==="gnome"||process.env.DESKTOP_SESSION==="gnome-classic"?o("gnome-terminal"):process.env.DESKTOP_SESSION==="kde-plasma"?o("konsole"):process.env.COLORTERM?o(process.env.COLORTERM):process.env.TERM?o(process.env.TERM):o("xterm"):o("xterm")})),m._DEFAULT_TERMINAL_LINUX_READY}spawnTerminal(o,c,t){const s=c.linuxExec?Promise.resolve(c.linuxExec):m.getDefaultTerminalLinuxReady();return new Promise((r,a)=>{s.then(u=>{const p=k(process),f=o.spawn(u,[],{cwd:t,env:p});f.on("error",a),f.on("exit",()=>r())})})}}e.LinuxExternalTerminalService=m,m.WAIT_MESSAGE=S.localize(3,null);function k(h){const o=h.env;return i.sanitizeProcessEnvironment(o),o}function I(h){return"errno"in h&&h.errno==="ENOENT"&&"path"in h&&typeof h.path=="string"?new Error(S.localize(5,null,h.path)):h}function l(h){let o="";for(let c of h)c.indexOf(" ")>=0?o+='"'+c+'"':o+=c,o+=" ";return o}}),define(J[19],Z([0,1,141,8,7,4,23,13,37]),function(j,e,g,M,D,S,E,n,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=S.createDecorator("fileService");function v(C){return C.create===!0}e.isFileOpenForWriteOptions=v;var i;(function(C){C[C.Unknown=0]="Unknown",C[C.File=1]="File",C[C.Directory=2]="Directory",C[C.SymbolicLink=64]="SymbolicLink"})(i=e.FileType||(e.FileType={}));var b;(function(C){C[C.Readonly=1]="Readonly"})(b=e.FilePermission||(e.FilePermission={}));var P;(function(C){C[C.FileReadWrite=2]="FileReadWrite",C[C.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",C[C.FileReadStream=16]="FileReadStream",C[C.FileFolderCopy=8]="FileFolderCopy",C[C.PathCaseSensitive=1024]="PathCaseSensitive",C[C.Readonly=2048]="Readonly",C[C.Trash=4096]="Trash",C[C.FileWriteUnlock=8192]="FileWriteUnlock"})(P=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function y(C){return!!(C.capabilities&2)}e.hasReadWriteCapability=y;function d(C){return!!(C.capabilities&8)}e.hasFileFolderCopyCapability=d;function m(C){return!!(C.capabilities&4)}e.hasOpenReadWriteCloseCapability=m;function k(C){return!!(C.capabilities&16)}e.hasFileReadStreamCapability=k;var I;(function(C){C.FileExists="EntryExists",C.FileNotFound="EntryNotFound",C.FileNotADirectory="EntryNotADirectory",C.FileIsADirectory="EntryIsADirectory",C.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",C.FileTooLarge="EntryTooLarge",C.FileWriteLocked="EntryWriteLocked",C.NoPermissions="NoPermissions",C.Unavailable="Unavailable",C.Unknown="Unknown"})(I=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class l extends Error{constructor(B,U){super(B);this.code=U}}e.FileSystemProviderError=l;function h(C,B){const U=new l(C.toString(),B);return c(U,B),U}e.createFileSystemProviderError=h;function o(C){return C||h(g.localize(0,null),I.Unknown)}e.ensureFileSystemProviderError=o;function c(C,B){return C.name=B?`${B} (FileSystemError)`:"FileSystemError",C}e.markAsFileSystemProviderError=c;function t(C){if(!C)return I.Unknown;if(C instanceof l)return C.code;const B=/^(.+) \(FileSystemError\)$/.exec(C.name);if(!B)return I.Unknown;switch(B[1]){case I.FileExists:return I.FileExists;case I.FileIsADirectory:return I.FileIsADirectory;case I.FileNotADirectory:return I.FileNotADirectory;case I.FileNotFound:return I.FileNotFound;case I.FileExceedsMemoryLimit:return I.FileExceedsMemoryLimit;case I.FileTooLarge:return I.FileTooLarge;case I.FileWriteLocked:return I.FileWriteLocked;case I.NoPermissions:return I.NoPermissions;case I.Unavailable:return I.Unavailable}return I.Unknown}e.toFileSystemProviderErrorCode=t;function s(C){if(C instanceof L)return C.fileOperationResult;switch(t(C)){case I.FileNotFound:return 1;case I.FileIsADirectory:return 0;case I.FileNotADirectory:return 10;case I.FileWriteLocked:return 5;case I.NoPermissions:return 6;case I.FileExists:return 4;case I.FileExceedsMemoryLimit:return 9;case I.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=s;var r;(function(C){C[C.CREATE=0]="CREATE",C[C.DELETE=1]="DELETE",C[C.MOVE=2]="MOVE",C[C.COPY=3]="COPY"})(r=e.FileOperation||(e.FileOperation={}));class a{constructor(B,U,$){this.resource=B,this.operation=U,this.target=$}isOperation(B){return this.operation===B}}e.FileOperationEvent=a;var u;(function(C){C[C.UPDATED=0]="UPDATED",C[C.ADDED=1]="ADDED",C[C.DELETED=2]="DELETED"})(u=e.FileChangeType||(e.FileChangeType={}));class p{constructor(B,U){this.added=void 0,this.updated=void 0,this.deleted=void 0;for(const $ of B)switch($.type){case 1:this.added||(this.added=w.TernarySearchTree.forUris(()=>U)),this.added.set($.resource,$);break;case 0:this.updated||(this.updated=w.TernarySearchTree.forUris(()=>U)),this.updated.set($.resource,$);break;case 2:this.deleted||(this.deleted=w.TernarySearchTree.forUris(()=>U)),this.deleted.set($.resource,$);break}}contains(B,...U){return this.doContains(B,{includeChildren:!1},...U)}affects(B,...U){return this.doContains(B,{includeChildren:!0},...U)}doContains(B,U,...$){if(!B)return!1;const F=$.length>0;return!!((!F||$.includes(1))&&(this.added?.get(B)||U.includeChildren&&this.added?.findSuperstr(B))||(!F||$.includes(0))&&(this.updated?.get(B)||U.includeChildren&&this.updated?.findSuperstr(B))||(!F||$.includes(2))&&(this.deleted?.findSubstr(B)||U.includeChildren&&this.deleted?.findSuperstr(B)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}get rawAdded(){return this.added}get rawDeleted(){return this.deleted}}e.FileChangesEvent=p;function f(C,B,U){return!C||!B||C===B||B.length>C.length?!1:(B.charAt(B.length-1)!==M.sep&&(B+=M.sep),U?E.startsWithIgnoreCase(C,B):C.indexOf(B)===0)}e.isParent=f;class L extends Error{constructor(B,U,$){super(B);this.fileOperationResult=U,this.options=$}}e.FileOperationError=L;class T extends L{constructor(B,U,$){super(B,2,$);this.stat=U}}e.NotModifiedSinceFileOperationError=T;var W;(function(C){C[C.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",C[C.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",C[C.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",C[C.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",C[C.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",C[C.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",C[C.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",C[C.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",C[C.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",C[C.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",C[C.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",C[C.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(W=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var N;(function(C){C[C.FILE=0]="FILE",C[C.FOLDER=1]="FOLDER",C[C.ROOT_FOLDER=2]="ROOT_FOLDER"})(N=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function V(C){if(!(typeof C.size!="number"||typeof C.mtime!="number"))return C.mtime.toString(29)+C.size.toString(31)}e.etag=V;async function ee(C,B){if(!B.canHandleResource(D.URI.from({scheme:C.scheme})))return new Promise(U=>{const $=B.onDidChangeFileSystemProviderRegistrations(F=>{F.scheme===C.scheme&&F.added&&($.dispose(),U())})})}e.whenProviderRegistered=ee,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class q{static formatSize(B){return n.isNumber(B)||(B=0),B<q.KB?g.localize(1,null,B.toFixed(0)):B<q.MB?g.localize(2,null,(B/q.KB).toFixed(2)):B<q.GB?g.localize(3,null,(B/q.MB).toFixed(2)):B<q.TB?g.localize(4,null,(B/q.GB).toFixed(2)):g.localize(5,null,(B/q.TB).toFixed(2))}}e.ByteSize=q,q.KB=1024,q.MB=q.KB*q.KB,q.GB=q.MB*q.KB,q.TB=q.GB*q.KB;var x;(function(C){C[C.IA32=0]="IA32",C[C.OTHER=1]="OTHER"})(x=e.Arch||(e.Arch={}));function Q(C){return{maxFileSize:C===0?300*q.MB:16*q.GB,maxHeapSize:C===0?700*q.MB:2*700*q.MB}}e.getPlatformLimits=Q}),define(J[54],Z([0,1,241,136,19,88]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLaunchedFromCli=e.addArg=e.parseCLIProcessArgv=e.parseMainProcessArgv=void 0;function E(P,y){const d={onUnknownOption:k=>{console.warn(M.localize(0,null,k))},onMultipleValues:(k,I)=>{console.warn(M.localize(1,null,k,I))}},m=S.parseArgs(P,S.OPTIONS,y?d:void 0);return m.goto&&m._.forEach(k=>g(/^(\w:)?[^:]+(:\d*){0,2}$/.test(k),M.localize(2,null))),m["max-memory"]&&g(parseInt(m["max-memory"])>=D.MIN_MAX_MEMORY_SIZE_MB,`The max-memory argument cannot be specified lower than ${D.MIN_MAX_MEMORY_SIZE_MB} MB.`),m}function n(P){const y=P.findIndex(d=>!/^-/.test(d));if(y>-1)return[...P.slice(0,y),...P.slice(y+1)]}function w(P){let[,...y]=P;process.env.VSCODE_DEV&&(y=n(y)||[]);const d=!b(process.env);return E(y,d)}e.parseMainProcessArgv=w;function v(P){const[,,...y]=P;return E(y,!0)}e.parseCLIProcessArgv=v;function i(P,...y){const d=P.indexOf("--");return d===-1?P.push(...y):P.splice(d,0,...y),P}e.addArg=i;function b(P){return P.VSCODE_CLI==="1"}e.isLaunchedFromCli=b}),define(J[91],Z([0,1,160,41,28,3,54,67,131,25,16]),function(j,e,g,M,D,S,E,n,w,v,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveShellEnv=void 0;async function b(d,m,k){return m["force-disable-user-env"]?(d.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):S.isWindows?(d.trace("resolveShellEnv(): skipped (Windows)"),{}):E.isLaunchedFromCli(k)&&!m["force-user-env"]?(d.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):(E.isLaunchedFromCli(k)?d.trace("resolveShellEnv(): running (--force-user-env)"):d.trace("resolveShellEnv(): running (macOS/Linux)"),P||(P=new Promise(async I=>{const l=new v.CancellationTokenSource,h=setTimeout(()=>{d.error("[resolve shell env] Could not resolve shell environment within 10 seconds. Proceeding without shell environment..."),l.dispose(!0),I({})},1e4);try{const o=await y(d,l.token);I(o)}catch(o){i.isPromiseCanceledError(o)||d.error(`[resolve shell env] Unable to resolve shell environment (${o}). Proceeding without shell environment...`),I({})}finally{clearTimeout(h),l.dispose()}})),P)}e.resolveShellEnv=b;let P;async function y(d,m){const k=new Promise(async(I,l)=>{const h=process.env.ELECTRON_RUN_AS_NODE;d.trace("getUnixShellEnvironment#runAsNode",h);const o=process.env.ELECTRON_NO_ATTACH_CONSOLE;d.trace("getUnixShellEnvironment#noAttach",o);const c=D.generateUuid().replace(/-/g,"").substr(0,12),t=new RegExp(c+"(.*)"+c),s={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1"};d.trace("getUnixShellEnvironment#env",s);const r=await w.getSystemShell(S.OS,s);if(d.trace("getUnixShellEnvironment#shell",r),m.isCancellationRequested)return l(i.canceled);const a=g.basename(r);let u,p;/^pwsh(-preview)?$/.test(a)?(u=`& '${process.execPath}' -p '''${c}'' + JSON.stringify(process.env) + ''${c}'''`,p=["-Login","-Command"]):(u=`'${process.execPath}' -p '"${c}" + JSON.stringify(process.env) + "${c}"'`,p=["-ilc"]),d.trace("getUnixShellEnvironment#spawn",JSON.stringify(p),u);const f=M.spawn(r,[...p,u],{detached:!0,stdio:["ignore","pipe","pipe"],env:s});m.onCancellationRequested(()=>(f.kill(),l(i.canceled))),f.on("error",W=>{d.error("getUnixShellEnvironment#errorChildProcess",n.toErrorMessage(W)),I({})});const L=[];f.stdout.on("data",W=>L.push(W));const T=[];f.stderr.on("data",W=>T.push(W)),f.on("close",(W,N)=>{const V=Buffer.concat(L).toString("utf8");d.trace("getUnixShellEnvironment#raw",V);const ee=Buffer.concat(T).toString("utf8");if(ee.trim()&&d.trace("getUnixShellEnvironment#stderr",ee),W||N)return l(new Error(`Failed to get environment (code ${W}, signal ${N})`));const q=t.exec(V),x=q?q[1]:"{}";try{const Q=JSON.parse(x);h?Q.ELECTRON_RUN_AS_NODE=h:delete Q.ELECTRON_RUN_AS_NODE,o?Q.ELECTRON_NO_ATTACH_CONSOLE=o:delete Q.ELECTRON_NO_ATTACH_CONSOLE,delete Q.XDG_RUNTIME_DIR,d.trace("getUnixShellEnvironment#result",Q),I(Q)}catch(Q){d.error("getUnixShellEnvironment#errorCaught",n.toErrorMessage(Q)),l(Q)}})});try{return await k}catch(I){return d.error("getUnixShellEnvironment#error",n.toErrorMessage(I)),{}}}}),define(J[92],Z([0,1,7,19,3]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeFileChanges=e.toFileChanges=void 0;function S(w){return w.map(v=>({type:v.type,resource:g.URI.file(v.path)}))}e.toFileChanges=S;function E(w){const v=new n;for(const i of w)v.processEvent(i);return v.normalize()}e.normalizeFileChanges=E;class n{constructor(){this.normalized=[],this.mapPathToChange=new Map}processEvent(v){const i=this.mapPathToChange.get(v.path);if(i){const b=i.type,P=v.type;b===1&&P===2?(this.mapPathToChange.delete(v.path),this.normalized.splice(this.normalized.indexOf(i),1)):b===2&&P===1?i.type=0:b===1&&P===0||(i.type=P)}else this.normalized.push(v),this.mapPathToChange.set(v.path,v)}normalize(){const v=[],i=[];return this.normalized.filter(b=>b.type!==2?(v.push(b),!1):!0).sort((b,P)=>b.path.length-P.path.length).filter(b=>i.some(P=>M.isParent(b.path,P,!D.isLinux))?!1:(i.push(b.path),!0)).concat(v)}}}),define(J[174],Z([0,1,92,2,18,82,118,9,8]),function(j,e,g,M,D,S,E,n,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class v extends M.Disposable{constructor(b,P,y,d){super();this.path=b,this.onDidFilesChange=P,this.onLogMessage=y,this.verboseLogging=d,this.fileChangesDelayer=this._register(new n.ThrottledDelayer(E.CHANGE_BUFFER_DELAY*2)),this.fileChangesBuffer=[],this.startWatching()}setVerboseLogging(b){this.verboseLogging=b}async startWatching(){try{const{stat:b,symbolicLink:P}=await D.SymlinkSupport.stat(this.path);if(this.isDisposed)return;let y=this.path;if(P)try{y=await S.realpath(y)}catch(d){if(this.onError(d),P.dangling)return}b.isDirectory()?this._register(E.watchFolder(y,(d,m)=>{this.onFileChange({type:d==="changed"?0:d==="added"?1:2,path:w.join(this.path,w.basename(m))})},d=>this.onError(d))):this._register(E.watchFile(y,d=>{this.onFileChange({type:d==="changed"?0:2,path:this.path})},d=>this.onError(d)))}catch(b){b.code!=="ENOENT"&&this.onError(b)}}onFileChange(b){this.fileChangesBuffer.push(b),this.verboseLogging&&this.onVerbose(`${b.type===1?"[ADDED]":b.type===2?"[DELETED]":"[CHANGED]"} ${b.path}`),this.fileChangesDelayer.trigger(async()=>{const P=this.fileChangesBuffer;this.fileChangesBuffer=[];const y=g.normalizeFileChanges(P);if(this.verboseLogging)for(const d of y)this.onVerbose(`>> normalized ${d.type===1?"[ADDED]":d.type===2?"[DELETED]":"[CHANGED]"} ${d.path}`);y.length>0&&this.onDidFilesChange(y)})}onError(b){this.isDisposed||this.onLogMessage({type:"error",message:`[File Watcher (node.js)] ${b}`})}onVerbose(b){this.isDisposed||this.onLogMessage({type:"trace",message:`[File Watcher (node.js)] ${b}`})}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=v}),define(J[71],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class g{constructor(...D){this._entries=new Map;for(let[S,E]of D)this.set(S,E)}set(D,S){const E=this._entries.get(D);return this._entries.set(D,S),E}has(D){return this._entries.has(D)}get(D){return this._entries.get(D)}}e.ServiceCollection=g}),define(J[175],Z([0,1,16,168,69,4,71,9]),function(j,e,g,M,D,S,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const w=!1;class v extends Error{constructor(d){super("cyclic dependency between services");this.message=d.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${d.toString()}`}}class i{constructor(d=new E.ServiceCollection,m=!1,k){this._activeInstantiations=new Set,this._services=d,this._strict=m,this._parent=k,this._services.set(S.IInstantiationService,this)}createChild(d){return new i(d,this._strict,this)}invokeFunction(d,...m){let k=P.traceInvocation(d),I=!1;try{return d({get:(h,o)=>{if(I)throw g.illegalState("service accessor is only valid during the invocation of its target method");const c=this._getOrCreateServiceInstance(h,k);if(!c&&o!==S.optional)throw new Error(`[invokeFunction] unknown service '${h}'`);return c}},...m)}finally{I=!0,k.stop()}}createInstance(d,...m){let k,I;return d instanceof D.SyncDescriptor?(k=P.traceCreation(d.ctor),I=this._createInstance(d.ctor,d.staticArguments.concat(m),k)):(k=P.traceCreation(d),I=this._createInstance(d,m,k)),k.stop(),I}_createInstance(d,m=[],k){let I=S._util.getServiceDependencies(d).sort((o,c)=>o.index-c.index),l=[];for(const o of I){let c=this._getOrCreateServiceInstance(o.id,k);if(!c&&this._strict&&!o.optional)throw new Error(`[createInstance] ${d.name} depends on UNKNOWN service ${o.id}.`);l.push(c)}let h=I.length>0?I[0].index:m.length;if(m.length!==h){console.warn(`[createInstance] First service dependency of ${d.name} at position ${h+1} conflicts with ${m.length} static arguments`);let o=h-m.length;o>0?m=m.concat(new Array(o)):m=m.slice(0,h)}return new d(...[...m,...l])}_setServiceInstance(d,m){if(this._services.get(d)instanceof D.SyncDescriptor)this._services.set(d,m);else if(this._parent)this._parent._setServiceInstance(d,m);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(d){let m=this._services.get(d);return!m&&this._parent?this._parent._getServiceInstanceOrDescriptor(d):m}_getOrCreateServiceInstance(d,m){let k=this._getServiceInstanceOrDescriptor(d);return k instanceof D.SyncDescriptor?this._safeCreateAndCacheServiceInstance(d,k,m.branch(d,!0)):(m.branch(d,!1),k)}_safeCreateAndCacheServiceInstance(d,m,k){if(this._activeInstantiations.has(d))throw new Error(`illegal state - RECURSIVELY instantiating service '${d}'`);this._activeInstantiations.add(d);try{return this._createAndCacheServiceInstance(d,m,k)}finally{this._activeInstantiations.delete(d)}}_createAndCacheServiceInstance(d,m,k){const I=new M.Graph(o=>o.id.toString());let l=0;const h=[{id:d,desc:m,_trace:k}];for(;h.length;){const o=h.pop();if(I.lookupOrInsertNode(o),l++>1e3)throw new v(I);for(let c of S._util.getServiceDependencies(o.desc.ctor)){let t=this._getServiceInstanceOrDescriptor(c.id);if(!t&&!c.optional&&console.warn(`[createInstance] ${d} depends on ${c.id} which is NOT registered.`),t instanceof D.SyncDescriptor){const s={id:c.id,desc:t,_trace:o._trace.branch(c.id,!0)};I.insertEdge(o,s),h.push(s)}}}for(;;){const o=I.roots();if(o.length===0){if(!I.isEmpty())throw new v(I);break}for(const{data:c}of o){if(this._getServiceInstanceOrDescriptor(c.id)instanceof D.SyncDescriptor){const s=this._createServiceInstanceWithOwner(c.id,c.desc.ctor,c.desc.staticArguments,c.desc.supportsDelayedInstantiation,c._trace);this._setServiceInstance(c.id,s)}I.removeNode(c)}}return this._getServiceInstanceOrDescriptor(d)}_createServiceInstanceWithOwner(d,m,k=[],I,l){if(this._services.get(d)instanceof D.SyncDescriptor)return this._createServiceInstance(m,k,I,l);if(this._parent)return this._parent._createServiceInstanceWithOwner(d,m,k,I,l);throw new Error(`illegalState - creating UNKNOWN service instance ${m.name}`)}_createServiceInstance(d,m=[],k,I){if(k){const l=new n.IdleValue(()=>this._createInstance(d,m,I));return new Proxy(Object.create(null),{get(h,o){if(o in h)return h[o];let c=l.value,t=c[o];return typeof t!="function"||(t=t.bind(c),h[o]=t),t},set(h,o,c){return l.value[o]=c,!0}})}else return this._createInstance(d,m,I)}}e.InstantiationService=i;var b;(function(y){y[y.Creation=0]="Creation",y[y.Invocation=1]="Invocation",y[y.Branch=2]="Branch"})(b||(b={}));class P{constructor(d,m){this.type=d,this.name=m,this._start=Date.now(),this._dep=[]}static traceInvocation(d){return w?new P(1,d.name||d.toString().substring(0,42).replace(/\n/g,"")):P._None}static traceCreation(d){return w?new P(0,d.name):P._None}branch(d,m){let k=new P(2,d.toString());return this._dep.push([d,m,k]),k}stop(){let d=Date.now()-this._start;P._totals+=d;let m=!1;function k(l,h){let o=[],c=new Array(l+1).join("	");for(const[t,s,r]of h._dep)if(s&&r){m=!0,o.push(`${c}CREATES -> ${t}`);let a=k(l+1,r);a&&o.push(a)}else o.push(`${c}uses -> ${t}`);return o.join(`
`)}let I=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${k(1,this)}`,`DONE, took ${d.toFixed(2)}ms (grand total ${P._totals.toFixed(2)}ms)`];(d>2||m)&&console.log(I.join(`
`))}}P._None=new class extends P{constructor(){super(-1,null)}stop(){}branch(){return this}},P._totals=0}),define(J[176],Z([0,1,16,129,57]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BaseResolvedKeybinding=void 0;class S extends D.ResolvedKeybinding{constructor(n,w){super();if(w.length===0)throw g.illegalArgument("parts");this._os=n,this._parts=w}getLabel(){return M.UILabelProvider.toLabel(this._os,this._parts,n=>this._getLabel(n))}getAriaLabel(){return M.AriaLabelProvider.toLabel(this._os,this._parts,n=>this._getAriaLabel(n))}getElectronAccelerator(){return this._parts.length>1?null:M.ElectronAcceleratorLabelProvider.toLabel(this._os,this._parts,n=>this._getElectronAccelerator(n))}getUserSettingsLabel(){return M.UserSettingsLabelProvider.toLabel(this._os,this._parts,n=>this._getUserSettingsLabel(n))}isWYSIWYG(){return this._parts.every(n=>this._isWYSIWYG(n))}isChord(){return this._parts.length>1}getParts(){return this._parts.map(n=>this._getPart(n))}_getPart(n){return new D.ResolvedKeybindingPart(n.ctrlKey,n.shiftKey,n.altKey,n.metaKey,this._getLabel(n),this._getAriaLabel(n))}getDispatchParts(){return this._parts.map(n=>this._getDispatchPart(n))}getSingleModifierDispatchParts(){return this._parts.map(n=>this._getSingleModifierDispatchPart(n))}}e.BaseResolvedKeybinding=S}),define(J[177],Z([0,1,57,176]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.USLayoutResolvedKeybinding=void 0;class D extends M.BaseResolvedKeybinding{constructor(E,n){super(n,E.parts)}_keyCodeToUILabel(E){if(this._os===2)switch(E){case 15:return"\u2190";case 16:return"\u2191";case 17:return"\u2192";case 18:return"\u2193"}return g.KeyCodeUtils.toString(E)}_getLabel(E){return E.isDuplicateModifierCase()?"":this._keyCodeToUILabel(E.keyCode)}_getAriaLabel(E){return E.isDuplicateModifierCase()?"":g.KeyCodeUtils.toString(E.keyCode)}_keyCodeToElectronAccelerator(E){if(E>=93&&E<=108)return null;switch(E){case 16:return"Up";case 18:return"Down";case 15:return"Left";case 17:return"Right"}return g.KeyCodeUtils.toString(E)}_getElectronAccelerator(E){return E.isDuplicateModifierCase()?null:this._keyCodeToElectronAccelerator(E.keyCode)}_getUserSettingsLabel(E){if(E.isDuplicateModifierCase())return"";const n=g.KeyCodeUtils.toUserSettingsUS(E.keyCode);return n&&n.toLowerCase()}_isWYSIWYG(){return!0}_getDispatchPart(E){return D.getDispatchStr(E)}static getDispatchStr(E){if(E.isModifierKey())return null;let n="";return E.ctrlKey&&(n+="ctrl+"),E.shiftKey&&(n+="shift+"),E.altKey&&(n+="alt+"),E.metaKey&&(n+="meta+"),n+=g.KeyCodeUtils.toString(E.keyCode),n}_getSingleModifierDispatchPart(E){return E.keyCode===5&&!E.shiftKey&&!E.altKey&&!E.metaKey?"ctrl":E.keyCode===4&&!E.ctrlKey&&!E.altKey&&!E.metaKey?"shift":E.keyCode===6&&!E.ctrlKey&&!E.shiftKey&&!E.metaKey?"alt":E.keyCode===57&&!E.ctrlKey&&!E.shiftKey&&!E.altKey?"meta":null}}e.USLayoutResolvedKeybinding=D}),define(J[178],Z([0,1,9]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.handleVetos=void 0;function M(D,S){if(D.length===0)return Promise.resolve(!1);const E=[];let n=!1;for(let w of D){if(w===!0)return Promise.resolve(!0);g.isThenable(w)&&E.push(w.then(v=>{v&&(n=!0)},v=>{S(v),n=!0}))}return g.Promises.settled(E).then(()=>n)}e.handleVetos=M}),define(J[6],Z([0,1,4,2,3,5,67]),function(j,e,g,M,D,S,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=g.createDecorator("logService"),e.ILoggerService=g.createDecorator("loggerService");function n(){return new Date().toISOString()}var w;(function(c){c[c.Trace=0]="Trace",c[c.Debug=1]="Debug",c[c.Info=2]="Info",c[c.Warning=3]="Warning",c[c.Error=4]="Error",c[c.Critical=5]="Critical",c[c.Off=6]="Off"})(w=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=w.Info;class v extends M.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new S.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(t){this.level!==t&&(this.level=t,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=v;class i extends v{constructor(t){super();this.logAlways=t}checkLogLevel(t){return this.logAlways||this.getLevel()<=t}trace(t,...s){this.checkLogLevel(w.Trace)&&this.log(w.Trace,this.format([t,...s]))}debug(t,...s){this.checkLogLevel(w.Debug)&&this.log(w.Debug,this.format([t,...s]))}info(t,...s){this.checkLogLevel(w.Info)&&this.log(w.Info,this.format([t,...s]))}warn(t,...s){this.checkLogLevel(w.Warning)&&this.log(w.Warning,this.format([t,...s]))}error(t,...s){if(this.checkLogLevel(w.Error))if(t instanceof Error){const r=Array.prototype.slice.call(arguments);r[0]=t.stack,this.log(w.Error,this.format(r))}else this.log(w.Error,this.format([t,...s]))}critical(t,...s){this.checkLogLevel(w.Critical)&&this.log(w.Critical,this.format([t,...s]))}flush(){}format(t){let s="";for(let r=0;r<t.length;r++){let a=t[r];if(typeof a=="object")try{a=JSON.stringify(a)}catch(u){}s+=(r>0?" ":"")+a}return s}}e.AbstractMessageLogger=i;class b extends v{constructor(t=e.DEFAULT_LOG_LEVEL){super();this.setLevel(t),this.useColors=!D.isWindows}trace(t,...s){this.getLevel()<=w.Trace&&(this.useColors?console.log(`[90m[main ${n()}][0m`,t,...s):console.log(`[main ${n()}]`,t,...s))}debug(t,...s){this.getLevel()<=w.Debug&&(this.useColors?console.log(`[90m[main ${n()}][0m`,t,...s):console.log(`[main ${n()}]`,t,...s))}info(t,...s){this.getLevel()<=w.Info&&(this.useColors?console.log(`[90m[main ${n()}][0m`,t,...s):console.log(`[main ${n()}]`,t,...s))}warn(t,...s){this.getLevel()<=w.Warning&&(this.useColors?console.warn(`[93m[main ${n()}][0m`,t,...s):console.warn(`[main ${n()}]`,t,...s))}error(t,...s){this.getLevel()<=w.Error&&(this.useColors?console.error(`[91m[main ${n()}][0m`,t,...s):console.error(`[main ${n()}]`,t,...s))}critical(t,...s){this.getLevel()<=w.Critical&&(this.useColors?console.error(`[90m[main ${n()}][0m`,t,...s):console.error(`[main ${n()}]`,t,...s))}dispose(){}flush(){}}e.ConsoleMainLogger=b;class P extends v{constructor(t=e.DEFAULT_LOG_LEVEL){super();this.setLevel(t)}trace(t,...s){this.getLevel()<=w.Trace&&console.log("%cTRACE","color: #888",t,...s)}debug(t,...s){this.getLevel()<=w.Debug&&console.log("%cDEBUG","background: #eee; color: #888",t,...s)}info(t,...s){this.getLevel()<=w.Info&&console.log("%c INFO","color: #33f",t,...s)}warn(t,...s){this.getLevel()<=w.Warning&&console.log("%c WARN","color: #993",t,...s)}error(t,...s){this.getLevel()<=w.Error&&console.log("%c  ERR","color: #f33",t,...s)}critical(t,...s){this.getLevel()<=w.Critical&&console.log("%cCRITI","background: #f33; color: white",t,...s)}dispose(){}flush(){}}e.ConsoleLogger=P;class y extends v{constructor(t,s=e.DEFAULT_LOG_LEVEL){super();this.adapter=t,this.setLevel(s)}trace(t,...s){this.getLevel()<=w.Trace&&this.adapter.log(w.Trace,[this.extractMessage(t),...s])}debug(t,...s){this.getLevel()<=w.Debug&&this.adapter.log(w.Debug,[this.extractMessage(t),...s])}info(t,...s){this.getLevel()<=w.Info&&this.adapter.log(w.Info,[this.extractMessage(t),...s])}warn(t,...s){this.getLevel()<=w.Warning&&this.adapter.log(w.Warning,[this.extractMessage(t),...s])}error(t,...s){this.getLevel()<=w.Error&&this.adapter.log(w.Error,[this.extractMessage(t),...s])}critical(t,...s){this.getLevel()<=w.Critical&&this.adapter.log(w.Critical,[this.extractMessage(t),...s])}extractMessage(t){return typeof t=="string"?t:E.toErrorMessage(t,this.getLevel()<=w.Trace)}dispose(){}flush(){}}e.AdapterLogger=y;class d extends v{constructor(t){super();this.logServices=t,t.length&&this.setLevel(t[0].getLevel())}setLevel(t){for(const s of this.logServices)s.setLevel(t);super.setLevel(t)}trace(t,...s){for(const r of this.logServices)r.trace(t,...s)}debug(t,...s){for(const r of this.logServices)r.debug(t,...s)}info(t,...s){for(const r of this.logServices)r.info(t,...s)}warn(t,...s){for(const r of this.logServices)r.warn(t,...s)}error(t,...s){for(const r of this.logServices)r.error(t,...s)}critical(t,...s){for(const r of this.logServices)r.critical(t,...s)}flush(){for(const t of this.logServices)t.flush()}dispose(){for(const t of this.logServices)t.dispose()}}e.MultiplexLogService=d;class m extends M.Disposable{constructor(t){super();this.logger=t,this._register(t)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(t){this.logger.setLevel(t)}getLevel(){return this.logger.getLevel()}trace(t,...s){this.logger.trace(t,...s)}debug(t,...s){this.logger.debug(t,...s)}info(t,...s){this.logger.info(t,...s)}warn(t,...s){this.logger.warn(t,...s)}error(t,...s){this.logger.error(t,...s)}critical(t,...s){this.logger.critical(t,...s)}flush(){this.logger.flush()}}e.LogService=m;class k extends M.Disposable{constructor(t,s){super();this.logLevel=t,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(s(r=>{this.logLevel=r,this.logLevelChangeableLoggers.forEach(a=>a.setLevel(r))}))}createLogger(t,s){let r=this.loggers.get(t.toString());return r||(r=this.doCreateLogger(t,s?.always?w.Trace:this.logLevel,s),this.loggers.set(t.toString(),r),s?.always||this.logLevelChangeableLoggers.push(r)),r}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(t=>t.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=k;class I{constructor(){this.onDidChangeLogLevel=new S.Emitter().event}setLevel(t){}getLevel(){return w.Info}trace(t,...s){}debug(t,...s){}info(t,...s){}warn(t,...s){}error(t,...s){}critical(t,...s){}dispose(){}flush(){}}e.NullLogService=I;function l(c){if(c.verbose)return w.Trace;if(typeof c.logLevel=="string"){const t=h(c.logLevel.toLowerCase());if(t!==void 0)return t}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=l;function h(c){switch(c){case"trace":return w.Trace;case"debug":return w.Debug;case"info":return w.Info;case"warn":return w.Warning;case"error":return w.Error;case"critical":return w.Critical;case"off":return w.Off}}e.parseLogLevel=h;function o(c){switch(c){case w.Trace:return"trace";case w.Debug:return"debug";case w.Info:return"info";case w.Warning:return"warn";case w.Error:return"error";case w.Critical:return"critical";case w.Off:return"off"}}e.LogLevelToString=o});var te=this&&this.__param||function(j,e){return function(g,M){e(g,M,j)}};define(J[179],Z([0,1,9,17,40,78,48,19,4,6]),function(j,e,g,M,D,S,E,n,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserConfigurationFileService=e.IUserConfigurationFileService=e.UserConfigurationFileServiceId=e.UserConfigurationErrorCode=void 0;var i;(function(P){P.ERROR_INVALID_FILE="ERROR_INVALID_FILE",P.ERROR_FILE_MODIFIED_SINCE="ERROR_FILE_MODIFIED_SINCE"})(i=e.UserConfigurationErrorCode||(e.UserConfigurationErrorCode={})),e.UserConfigurationFileServiceId="IUserConfigurationFileService",e.IUserConfigurationFileService=w.createDecorator(e.UserConfigurationFileServiceId);let b=class{constructor(y,d,m){this.environmentService=y,this.fileService=d,this.logService=m,this.queue=new g.Queue}async updateSettings(y,d){return this.queue.queue(()=>this.doWrite(this.environmentService.settingsResource,y,d))}async doWrite(y,d,m){this.logService.trace(`${e.UserConfigurationFileServiceId}#write`,y.toString(),d);const{value:k,mtime:I,etag:l}=await this.fileService.readFile(y,{atomic:!0});let h=k.toString();const o=[];if(D.parse(h,o,{allowTrailingComma:!0,allowEmptyContent:!0}),o.length)throw new Error("ERROR_INVALID_FILE");const c=this.getEdits(d,h,m)[0];if(c){h=h.substring(0,c.offset)+c.content+h.substring(c.offset+c.length);try{await this.fileService.writeFile(y,M.VSBuffer.fromString(h),{etag:l,mtime:I})}catch(t){if(t.fileOperationResult===3)throw new Error("ERROR_FILE_MODIFIED_SINCE")}}}getEdits({value:y,path:d},m,k){return d.length?S.setProperty(m,d,y,k):[{content:JSON.stringify(y,null,k.insertSpaces&&k.tabSize?" ".repeat(k.tabSize):"	"),length:m.length,offset:0}]}};b=ue([te(0,E.IEnvironmentService),te(1,n.IFileService),te(2,v.ILogService)],b),e.UserConfigurationFileService=b}),define(J[93],Z([0,1,6]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BufferLogService=void 0;function M(S,E){switch(E){case g.LogLevel.Trace:return S.trace;case g.LogLevel.Debug:return S.debug;case g.LogLevel.Info:return S.info;case g.LogLevel.Warning:return S.warn;case g.LogLevel.Error:return S.error;case g.LogLevel.Critical:return S.critical;default:throw new Error("Invalid log level")}}class D extends g.AbstractLogger{constructor(E=g.DEFAULT_LOG_LEVEL){super();this.buffer=[],this._logger=void 0,this.setLevel(E),this._register(this.onDidChangeLogLevel(n=>{this._logger&&this._logger.setLevel(n)}))}set logger(E){this._logger=E;for(const{level:n,args:w}of this.buffer)M(E,n).apply(E,w);this.buffer=[]}_log(E,...n){this._logger?M(this._logger,E).apply(this._logger,n):this.getLevel()<=E&&this.buffer.push({level:E,args:n})}trace(E,...n){this._log(g.LogLevel.Trace,E,...n)}debug(E,...n){this._log(g.LogLevel.Debug,E,...n)}info(E,...n){this._log(g.LogLevel.Info,E,...n)}warn(E,...n){this._log(g.LogLevel.Warning,E,...n)}error(E,...n){this._log(g.LogLevel.Error,E,...n)}critical(E,...n){this._log(g.LogLevel.Critical,E,...n)}dispose(){this._logger&&this._logger.dispose()}flush(){this._logger&&this._logger.flush()}}e.BufferLogService=D}),define(J[180],Z([0,1,6,19,9,17,15,4,93]),function(j,e,g,M,D,S,E,n,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileLoggerService=e.FileLogger=void 0;const v=5*M.ByteSize.MB;let i=class extends g.AbstractLogger{constructor(y,d,m,k){super();this.name=y,this.resource=d,this.fileService=k,this.backupIndex=1,this.setLevel(m),this.queue=this._register(new D.Queue),this.initializePromise=this.initialize()}trace(){this.getLevel()<=g.LogLevel.Trace&&this._log(g.LogLevel.Trace,this.format(arguments))}debug(){this.getLevel()<=g.LogLevel.Debug&&this._log(g.LogLevel.Debug,this.format(arguments))}info(){this.getLevel()<=g.LogLevel.Info&&this._log(g.LogLevel.Info,this.format(arguments))}warn(){this.getLevel()<=g.LogLevel.Warning&&this._log(g.LogLevel.Warning,this.format(arguments))}error(){if(this.getLevel()<=g.LogLevel.Error){const y=arguments[0];if(y instanceof Error){const d=Array.prototype.slice.call(arguments);d[0]=y.stack,this._log(g.LogLevel.Error,this.format(d))}else this._log(g.LogLevel.Error,this.format(arguments))}}critical(){this.getLevel()<=g.LogLevel.Critical&&this._log(g.LogLevel.Critical,this.format(arguments))}flush(){}log(y,d){this._log(y,this.format(d))}async initialize(){try{await this.fileService.createFile(this.resource)}catch(y){if(y.fileOperationResult!==3)throw y}}_log(y,d){this.queue.queue(async()=>{await this.initializePromise;let m=await this.loadContent();m.length>v&&(await this.fileService.writeFile(this.getBackupResource(),S.VSBuffer.fromString(m)),m=""),m+=`[${this.getCurrentTimestamp()}] [${this.name}] [${this.stringifyLogLevel(y)}] ${d}
`,await this.fileService.writeFile(this.resource,S.VSBuffer.fromString(m))})}getCurrentTimestamp(){const y=k=>k<10?`0${k}`:k,d=k=>k<10?`00${k}`:k<100?`0${k}`:k,m=new Date;return`${m.getFullYear()}-${y(m.getMonth()+1)}-${y(m.getDate())} ${y(m.getHours())}:${y(m.getMinutes())}:${y(m.getSeconds())}.${d(m.getMilliseconds())}`}getBackupResource(){return this.backupIndex=this.backupIndex>5?1:this.backupIndex,E.joinPath(E.dirname(this.resource),`${E.basename(this.resource)}_${this.backupIndex++}`)}async loadContent(){try{return(await this.fileService.readFile(this.resource)).value.toString()}catch(y){return""}}stringifyLogLevel(y){switch(y){case g.LogLevel.Critical:return"critical";case g.LogLevel.Debug:return"debug";case g.LogLevel.Error:return"error";case g.LogLevel.Info:return"info";case g.LogLevel.Trace:return"trace";case g.LogLevel.Warning:return"warning"}return""}format(y){let d="";for(let m=0;m<y.length;m++){let k=y[m];if(typeof k=="object")try{k=JSON.stringify(k)}catch(I){}d+=(m>0?" ":"")+k}return d}};i=ue([te(3,M.IFileService)],i),e.FileLogger=i;let b=class extends g.AbstractLoggerService{constructor(y,d,m){super(y.getLevel(),y.onDidChangeLogLevel);this.instantiationService=d,this.fileService=m}doCreateLogger(y,d){const m=new w.BufferLogService(d);return M.whenProviderRegistered(y,this.fileService).then(()=>m.logger=this.instantiationService.createInstance(i,E.basename(y),y,m.getLevel())),m}};b=ue([te(0,g.ILogService),te(1,n.IInstantiationService),te(2,M.IFileService)],b),e.FileLoggerService=b}),define(J[181],Z([0,1,6,5,7]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FollowerLogService=e.LoggerChannelClient=e.LoggerChannel=e.LogLevelChannelClient=e.LogLevelChannel=void 0;class S{constructor(P){this.service=P,this.onDidChangeLogLevel=M.Event.buffer(P.onDidChangeLogLevel,!0)}listen(P,y){switch(y){case"onDidChangeLogLevel":return this.onDidChangeLogLevel}throw new Error(`Event not found: ${y}`)}async call(P,y,d){switch(y){case"setLevel":return this.service.setLevel(d)}throw new Error(`Call not found: ${y}`)}}e.LogLevelChannel=S;class E{constructor(P){this.channel=P}get onDidChangeLogLevel(){return this.channel.listen("onDidChangeLogLevel")}setLevel(P){E.setLevel(this.channel,P)}static setLevel(P,y){return P.call("setLevel",y)}}e.LogLevelChannelClient=E;class n{constructor(P){this.loggerService=P,this.loggers=new Map}listen(P,y){throw new Error(`Event not found: ${y}`)}async call(P,y,d){switch(y){case"createLogger":this.createLogger(D.URI.revive(d[0]),d[1]);return;case"log":return this.log(D.URI.revive(d[0]),d[1]);case"consoleLog":return this.consoleLog(d[0],d[1])}throw new Error(`Call not found: ${y}`)}createLogger(P,y){this.loggers.set(P.toString(),this.loggerService.createLogger(P,y))}consoleLog(P,y){let d=console.log;switch(P){case g.LogLevel.Error:d=console.error;break;case g.LogLevel.Warning:d=console.warn;break;case g.LogLevel.Info:d=console.info;break}d.call(console,...y)}log(P,y){const d=this.loggers.get(P.toString());if(!d)throw new Error("Create the logger before logging");for(const[m,k]of y)switch(m){case g.LogLevel.Trace:d.trace(k);break;case g.LogLevel.Debug:d.debug(k);break;case g.LogLevel.Info:d.info(k);break;case g.LogLevel.Warning:d.warn(k);break;case g.LogLevel.Error:d.error(k);break;case g.LogLevel.Critical:d.critical(k);break;default:throw new Error("Invalid log level")}}}e.LoggerChannel=n;class w extends g.AbstractLoggerService{constructor(P,y,d){super(P,y);this.channel=d}createConsoleMainLogger(){return new g.AdapterLogger({log:(P,y)=>{this.channel.call("consoleLog",[P,y])}})}doCreateLogger(P,y,d){return new v(this.channel,P,y,d)}}e.LoggerChannelClient=w;class v extends g.AbstractMessageLogger{constructor(P,y,d,m){super(m?.always);this.channel=P,this.file=y,this.isLoggerCreated=!1,this.buffer=[],this.setLevel(d),this.channel.call("createLogger",[y,m]).then(()=>{this.doLog(this.buffer),this.isLoggerCreated=!0})}log(P,y){const d=[[P,y]];this.isLoggerCreated?this.doLog(d):this.buffer.push(...d)}doLog(P){this.channel.call("log",[this.file,P])}}class i extends g.LogService{constructor(P,y){super(y);this.parent=P,this._register(P.onDidChangeLogLevel(d=>y.setLevel(d)))}setLevel(P){super.setLevel(P),this.parent.setLevel(P)}}e.FollowerLogService=i}),define(J[94],Z([0,1,6,19]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=e.createRotatingLogger=void 0;async function D(w,v,i,b){try{const P=await new Promise((y,d)=>{j(["spdlog"],y,d)});return P.setFlushOn(g.LogLevel.Trace),P.createAsyncRotatingLogger(w,v,i,b)}catch(P){console.error(P)}return null}function S(w,v,i,b){const P=j.__$__nodeRequire("spdlog");return P.setFlushOn(g.LogLevel.Trace),P.createRotatingLogger(w,v,i,b)}e.createRotatingLogger=S;function E(w,v,i){switch(v){case g.LogLevel.Trace:w.trace(i);break;case g.LogLevel.Debug:w.debug(i);break;case g.LogLevel.Info:w.info(i);break;case g.LogLevel.Warning:w.warn(i);break;case g.LogLevel.Error:w.error(i);break;case g.LogLevel.Critical:w.critical(i);break;default:throw new Error("Invalid log level")}}class n extends g.AbstractMessageLogger{constructor(v,i,b,P){super();this.name=v,this.filepath=i,this.rotating=b,this.buffer=[],this.setLevel(P),this._loggerCreationPromise=this._createSpdLogLogger(),this._register(this.onDidChangeLogLevel(y=>{this._logger&&this._logger.setLevel(y)}))}_createSpdLogLogger(){const v=this.rotating?6:1,i=30/v*M.ByteSize.MB;return D(this.name,this.filepath,i,v).then(b=>{if(b){this._logger=b,this._logger.setLevel(this.getLevel());for(const{level:P,message:y}of this.buffer)E(this._logger,P,y);this.buffer=[]}})}log(v,i){this._logger?E(this._logger,v,i):this.getLevel()<=v&&this.buffer.push({level:v,message:i})}clearFormatters(){this._logger?this._logger.clearFormatters():this._loggerCreationPromise.then(()=>this.clearFormatters())}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=n}),define(J[182],Z([0,1,6,15,10,180,94,19,28]),function(j,e,g,M,D,S,E,n,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LoggerService=void 0;let v=class extends g.AbstractLoggerService{constructor(b,P){super(b.getLevel(),b.onDidChangeLogLevel);this.fileService=P}doCreateLogger(b,P,y){if(b.scheme===D.Schemas.file){const d=new E.SpdLogLogger(y?.name||w.generateUuid(),b.fsPath,!y?.donotRotate,P);return y?.donotUseFormatters&&d.clearFormatters(),d}else return new S.FileLogger(y?.name??M.basename(b),b,P,this.fileService)}};v=ue([te(0,g.ILogService),te(1,n.IFileService)],v),e.LoggerService=v}),define(J[183],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMenubarMenuItemAction=e.isMenubarMenuItemRecentAction=e.isMenubarMenuItemSeparator=e.isMenubarMenuItemSubmenu=void 0;function g(E){return E.submenu!==void 0}e.isMenubarMenuItemSubmenu=g;function M(E){return E.id==="vscode.menubar.separator"}e.isMenubarMenuItemSeparator=M;function D(E){return E.uri!==void 0}e.isMenubarMenuItemRecentAction=D;function S(E){return!g(E)&&!M(E)&&!D(E)}e.isMenubarMenuItemAction=S}),define(J[49],Z([0,1,10,3,33,15]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let E;if(typeof M.globals.vscode!="undefined"&&typeof M.globals.vscode.context!="undefined"){const n=M.globals.vscode.context.configuration();if(n)E=n.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(typeof j?.__$__nodeRequire=="function"){const n=S.dirname(g.FileAccess.asFileUri("",j));E=j.__$__nodeRequire(S.joinPath(n,"product.json").fsPath);const w=j.__$__nodeRequire(S.joinPath(n,"package.json").fsPath);D.env.VSCODE_DEV&&Object.assign(E,{nameShort:`${E.nameShort} Dev`,nameLong:`${E.nameLong} Dev`,dataFolderName:`${E.dataFolderName}-dev`}),Object.assign(E,{version:w.version})}else E={},Object.keys(E).length===0&&Object.assign(E,{version:"1.58.0-dev",nameShort:M.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",nameLong:M.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","ms-vscode.remotehub","ms-vscode.remotehub-insiders","GitHub.remotehub","GitHub.remotehub-insiders"]});e.default=E}),define(J[95],Z([0,1,142,17,19,16,49]),function(j,e,g,M,D,S,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readFileIntoStream=void 0;async function n(b,P,y,d,m,k){let I;try{await w(b,P,y,d,m,k)}catch(l){I=l}finally{I&&m.errorTransformer&&(I=m.errorTransformer(I)),typeof I!="undefined"&&y.error(I),y.end()}}e.readFileIntoStream=n;async function w(b,P,y,d,m,k){v(k);const I=await b.open(P,{create:!1});try{v(k);let l=0,h=0,o=m&&typeof m.length=="number"?m.length:void 0,c=M.VSBuffer.alloc(Math.min(m.bufferSize,typeof o=="number"?o:m.bufferSize)),t=m&&typeof m.position=="number"?m.position:0,s=0;do h=await b.read(I,t,c.buffer,s,c.byteLength-s),t+=h,s+=h,l+=h,typeof o=="number"&&(o-=h),s===c.byteLength&&(await y.write(d(c)),c=M.VSBuffer.alloc(Math.min(m.bufferSize,typeof o=="number"?o:m.bufferSize)),s=0);while(h>0&&(typeof o!="number"||o>0)&&v(k)&&i(l,m));if(s>0){let r=s;typeof o=="number"&&(r=Math.min(s,o)),y.write(d(c.slice(0,r)))}}catch(l){throw D.ensureFileSystemProviderError(l)}finally{await b.close(I)}}function v(b){if(b.isCancellationRequested)throw S.canceled();return!0}function i(b,P){if(P?.limits){if(typeof P.limits.memory=="number"&&b>P.limits.memory)throw D.createFileSystemProviderError(g.localize(0,null,E.default.nameShort),D.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof P.limits.size=="number"&&b>P.limits.size)throw D.createFileSystemProviderError(g.localize(1,null),D.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(J[184],Z([0,1,140,72,2,19,5,15,37,36,6,17,64,9,25,10,95,63]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m,k,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileService=void 0;let l=class Ve extends D.Disposable{constructor(o){super();this.logService=o,this.BUFFER_SIZE=64*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new E.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new E.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new E.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new E.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onError=this._register(new E.Emitter),this.onError=this._onError.event,this._onDidFilesChange=this._register(new E.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this._onDidChangeFilesRaw=this._register(new E.Emitter),this.onDidChangeFilesRaw=this._onDidChangeFilesRaw.event,this.activeWatchers=new Map,this.caseSensitiveFileEventsWorker=this._register(new y.ThrottledWorker(Ve.FILE_EVENTS_THROTTLING.maxChangesChunkSize,Ve.FILE_EVENTS_THROTTLING.maxChangesBufferSize,Ve.FILE_EVENTS_THROTTLING.coolDownDelay,c=>this._onDidFilesChange.fire(new S.FileChangesEvent(c,!1)))),this.caseInsensitiveFileEventsWorker=this._register(new y.ThrottledWorker(Ve.FILE_EVENTS_THROTTLING.maxChangesChunkSize,Ve.FILE_EVENTS_THROTTLING.maxChangesBufferSize,Ve.FILE_EVENTS_THROTTLING.coolDownDelay,c=>this._onDidFilesChange.fire(new S.FileChangesEvent(c,!0)))),this.watchedResources=w.TernarySearchTree.forUris(c=>{const t=this.getProvider(c.scheme);return t?!this.isPathCaseSensitive(t):!1}),this.writeQueue=this._register(new y.ResourceQueue)}registerProvider(o,c){if(this.provider.has(o))throw new Error(`A filesystem provider for the scheme '${o}' is already registered.`);M.mark(`code/registerFilesystem/${o}`),this.provider.set(o,c),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:o,provider:c});const t=new D.DisposableStore;return t.add(c.onDidChangeFile(s=>this.onDidChangeFile(s,this.isPathCaseSensitive(c)))),t.add(c.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:c,scheme:o}))),typeof c.onDidErrorOccur=="function"&&t.add(c.onDidErrorOccur(s=>this._onError.fire(new Error(s)))),D.toDisposable(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:o,provider:c}),this.provider.delete(o),D.dispose(t)})}getProvider(o){return this.provider.get(o)}async activateProvider(o){const c=[];this._onWillActivateFileSystemProvider.fire({scheme:o,join(t){c.push(t)}}),!this.provider.has(o)&&await y.Promises.settled(c)}canHandleResource(o){return this.provider.has(o.scheme)}hasCapability(o,c){const t=this.provider.get(o.scheme);return!!(t&&t.capabilities&c)}listCapabilities(){return I.Iterable.map(this.provider,([o,c])=>({scheme:o,capabilities:c.capabilities}))}async withProvider(o){if(!n.isAbsolutePath(o))throw new S.FileOperationError(g.localize(0,null,this.resourceForError(o)),8);await this.activateProvider(o.scheme);const c=this.provider.get(o.scheme);if(!c){const t=new Error;throw t.name="ENOPRO",t.message=g.localize(1,null,o.toString()),t}return c}async withReadProvider(o){const c=await this.withProvider(o);if(S.hasOpenReadWriteCloseCapability(c)||S.hasReadWriteCapability(c)||S.hasFileReadStreamCapability(c))return c;throw new Error(`Filesystem provider for scheme '${o.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(o){const c=await this.withProvider(o);if(S.hasOpenReadWriteCloseCapability(c)||S.hasReadWriteCapability(c))return c;throw new Error(`Filesystem provider for scheme '${o.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(o,c){try{return await this.doResolveFile(o,c)}catch(t){throw S.toFileSystemProviderErrorCode(t)===S.FileSystemProviderErrorCode.FileNotFound?new S.FileOperationError(g.localize(2,null,this.resourceForError(o)),1):S.ensureFileSystemProviderError(t)}}async doResolveFile(o,c){const t=await this.withProvider(o),s=this.isPathCaseSensitive(t),r=c?.resolveTo,a=c?.resolveSingleChildDescendants,u=c?.resolveMetadata,p=await t.stat(o);let f;return this.toFileStat(t,o,p,void 0,!!u,(L,T)=>(f||(f=w.TernarySearchTree.forUris(()=>!s),f.set(o,!0),v.isNonEmptyArray(r)&&r.forEach(W=>f.set(W,!0))),Boolean(f.findSuperstr(L.resource)||f.get(L.resource))?!0:L.isDirectory&&a?T===1:!1))}async toFileStat(o,c,t,s,r,a){const{providerExtUri:u}=this.getExtUri(o),p={resource:c,name:u.basename(c),isFile:(t.type&S.FileType.File)!=0,isDirectory:(t.type&S.FileType.Directory)!=0,isSymbolicLink:(t.type&S.FileType.SymbolicLink)!=0,mtime:t.mtime,ctime:t.ctime,size:t.size,readonly:Boolean((t.permissions??0)&S.FilePermission.Readonly)||Boolean(o.capabilities&2048),etag:S.etag({mtime:t.mtime,size:t.size})};if(p.isDirectory&&a(p,s)){try{const f=await o.readdir(c),L=await y.Promises.settled(f.map(async([T,W])=>{try{const N=u.joinPath(c,T),V=r?await o.stat(N):{type:W};return await this.toFileStat(o,N,V,f.length,r,a)}catch(N){return this.logService.trace(N),null}}));p.children=v.coalesce(L)}catch(f){this.logService.trace(f),p.children=[]}return p}return p}async resolveAll(o){return y.Promises.settled(o.map(async c=>{try{return{stat:await this.doResolveFile(c.resource,c.options),success:!0}}catch(t){return this.logService.trace(t),{stat:void 0,success:!1}}}))}async exists(o){const c=await this.withProvider(o);try{return!!await c.stat(o)}catch(t){return!1}}async canCreateFile(o,c){try{await this.doValidateCreateFile(o,c)}catch(t){return t}return!0}async doValidateCreateFile(o,c){if(!c?.overwrite&&await this.exists(o))throw new S.FileOperationError(g.localize(3,null,this.resourceForError(o)),3,c)}async createFile(o,c=b.VSBuffer.fromString(""),t){await this.doValidateCreateFile(o,t);const s=await this.writeFile(o,c);return this._onDidRunOperation.fire(new S.FileOperationEvent(o,0,s)),s}async writeFile(o,c,t){const s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),{providerExtUri:r}=this.getExtUri(s);try{await this.validateWriteFile(s,o,t)||await this.mkdirp(s,r.dirname(o));let u;if(S.hasReadWriteCapability(s)&&!(c instanceof b.VSBuffer))if(P.isReadableStream(c)){const p=await P.peekStream(c,3);p.ended?u=b.VSBuffer.concat(p.buffer):u=p}else u=P.peekReadable(c,p=>b.VSBuffer.concat(p),3);else u=c;!S.hasOpenReadWriteCloseCapability(s)||S.hasReadWriteCapability(s)&&u instanceof b.VSBuffer?await this.doWriteUnbuffered(s,o,t,u):await this.doWriteBuffered(s,o,t,u instanceof b.VSBuffer?b.bufferToReadable(u):u)}catch(a){throw new S.FileOperationError(g.localize(4,null,this.resourceForError(o),S.ensureFileSystemProviderError(a).toString()),S.toFileOperationResult(a),t)}return this.resolve(o,{resolveMetadata:!0})}async validateWriteFile(o,c,t){if(!!t?.unlock&&!(o.capabilities&8192))throw new Error(g.localize(5,null,this.resourceForError(c)));let r;try{r=await o.stat(c)}catch(a){return}if((r.type&S.FileType.Directory)!=0)throw new S.FileOperationError(g.localize(6,null,this.resourceForError(c)),0,t);if(this.throwIfFileIsReadonly(c,r),t&&typeof t.mtime=="number"&&typeof t.etag=="string"&&t.etag!==S.ETAG_DISABLED&&typeof r.mtime=="number"&&typeof r.size=="number"&&t.mtime<r.mtime&&t.etag!==S.etag({mtime:t.mtime,size:r.size}))throw new S.FileOperationError(g.localize(7,null),3,t);return r}async readFile(o,c){const t=await this.withReadProvider(o);return c?.atomic?this.doReadFileAtomic(t,o,c):this.doReadFile(t,o,c)}async doReadFileAtomic(o,c,t){return new Promise((s,r)=>{this.writeQueue.queueFor(c,this.getExtUri(o).providerExtUri).queue(async()=>{try{const a=await this.doReadFile(o,c,t);s(a)}catch(a){r(a)}})})}async doReadFile(o,c,t){const s=await this.doReadFileStream(o,c,{...t,preferUnbuffered:!0});return{...s,value:await b.streamToBuffer(s.value)}}async readFileStream(o,c){const t=await this.withReadProvider(o);return this.doReadFileStream(t,o,c)}async doReadFileStream(o,c,t){const s=new d.CancellationTokenSource,r=this.validateReadFile(c,t).then(u=>u,u=>{throw s.cancel(),u});let a;try{return t&&typeof t.etag=="string"&&t.etag!==S.ETAG_DISABLED&&await r,!(S.hasOpenReadWriteCloseCapability(o)||S.hasFileReadStreamCapability(o))||S.hasReadWriteCapability(o)&&t?.preferUnbuffered?a=this.readFileUnbuffered(o,c,t):S.hasFileReadStreamCapability(o)?a=this.readFileStreamed(o,c,s.token,t):a=this.readFileBuffered(o,c,s.token,t),{...await r,value:a}}catch(u){a&&await P.consumeStream(a);const p=g.localize(8,null,this.resourceForError(c),S.ensureFileSystemProviderError(u).toString());throw u instanceof S.NotModifiedSinceFileOperationError?new S.NotModifiedSinceFileOperationError(p,u.stat,t):new S.FileOperationError(p,S.toFileOperationResult(u),t)}}readFileStreamed(o,c,t,s=Object.create(null)){const r=o.readFileStream(c,s,t);return P.transform(r,{data:a=>a instanceof b.VSBuffer?a:b.VSBuffer.wrap(a),error:a=>new S.FileOperationError(g.localize(9,null,this.resourceForError(c),S.ensureFileSystemProviderError(a).toString()),S.toFileOperationResult(a),s)},a=>b.VSBuffer.concat(a))}readFileBuffered(o,c,t,s=Object.create(null)){const r=b.newWriteableBufferStream();return k.readFileIntoStream(o,c,r,a=>a,{...s,bufferSize:this.BUFFER_SIZE,errorTransformer:a=>new S.FileOperationError(g.localize(10,null,this.resourceForError(c),S.ensureFileSystemProviderError(a).toString()),S.toFileOperationResult(a),s)},t),r}readFileUnbuffered(o,c,t){const s=P.newWriteableStream(r=>b.VSBuffer.concat(r));return(async()=>{try{let r=await o.readFile(c);t&&typeof t.position=="number"&&(r=r.slice(t.position)),t&&typeof t.length=="number"&&(r=r.slice(0,t.length)),this.validateReadFileLimits(c,r.byteLength,t),s.end(b.VSBuffer.wrap(r))}catch(r){s.error(r),s.end()}})(),s}async validateReadFile(o,c){const t=await this.resolve(o,{resolveMetadata:!0});if(t.isDirectory)throw new S.FileOperationError(g.localize(11,null,this.resourceForError(o)),0,c);if(c&&typeof c.etag=="string"&&c.etag!==S.ETAG_DISABLED&&c.etag===t.etag)throw new S.NotModifiedSinceFileOperationError(g.localize(12,null),t,c);return this.validateReadFileLimits(o,t.size,c),t}validateReadFileLimits(o,c,t){if(t?.limits){let s;if(typeof t.limits.memory=="number"&&c>t.limits.memory&&(s=9),typeof t.limits.size=="number"&&c>t.limits.size&&(s=7),typeof s=="number")throw new S.FileOperationError(g.localize(13,null,this.resourceForError(o)),s)}}async canMove(o,c,t){return this.doCanMoveCopy(o,c,"move",t)}async canCopy(o,c,t){return this.doCanMoveCopy(o,c,"copy",t)}async doCanMoveCopy(o,c,t,s){if(o.toString()!==c.toString())try{const r=t==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o):await this.withReadProvider(o),a=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(c),c);await this.doValidateMoveCopy(r,o,a,c,t,s)}catch(r){return r}return!0}async move(o,c,t){const s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),r=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(c),c),a=await this.doMoveCopy(s,o,r,c,"move",!!t),u=await this.resolve(c,{resolveMetadata:!0});return this._onDidRunOperation.fire(new S.FileOperationEvent(o,a==="move"?2:3,u)),u}async copy(o,c,t){const s=await this.withReadProvider(o),r=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(c),c),a=await this.doMoveCopy(s,o,r,c,"copy",!!t),u=await this.resolve(c,{resolveMetadata:!0});return this._onDidRunOperation.fire(new S.FileOperationEvent(o,a==="copy"?3:2,u)),u}async doMoveCopy(o,c,t,s,r,a){if(c.toString()===s.toString())return r;const{exists:u,isSameResourceWithDifferentPathCase:p}=await this.doValidateMoveCopy(o,c,t,s,r,a);if(u&&!p&&a&&await this.del(s,{recursive:!0}),await this.mkdirp(t,this.getExtUri(t).providerExtUri.dirname(s)),r==="copy"){if(o===t&&S.hasFileFolderCopyCapability(o))await o.copy(c,s,{overwrite:a});else{const f=await this.resolve(c);f.isDirectory?await this.doCopyFolder(o,f,t,s):await this.doCopyFile(o,c,t,s)}return r}else return o===t?(await o.rename(c,s,{overwrite:a}),r):(await this.doMoveCopy(o,c,t,s,"copy",a),await this.del(c,{recursive:!0}),"copy")}async doCopyFile(o,c,t,s){if(S.hasOpenReadWriteCloseCapability(o)&&S.hasOpenReadWriteCloseCapability(t))return this.doPipeBuffered(o,c,t,s);if(S.hasOpenReadWriteCloseCapability(o)&&S.hasReadWriteCapability(t))return this.doPipeBufferedToUnbuffered(o,c,t,s);if(S.hasReadWriteCapability(o)&&S.hasOpenReadWriteCloseCapability(t))return this.doPipeUnbufferedToBuffered(o,c,t,s);if(S.hasReadWriteCapability(o)&&S.hasReadWriteCapability(t))return this.doPipeUnbuffered(o,c,t,s)}async doCopyFolder(o,c,t,s){await t.mkdir(s),Array.isArray(c.children)&&await y.Promises.settled(c.children.map(async r=>{const a=this.getExtUri(t).providerExtUri.joinPath(s,r.name);return r.isDirectory?this.doCopyFolder(o,await this.resolve(r.resource),t,a):this.doCopyFile(o,r.resource,t,a)}))}async doValidateMoveCopy(o,c,t,s,r,a){let u=!1;if(o===t){const{providerExtUri:f,isPathCaseSensitive:L}=this.getExtUri(o);if(L||(u=f.isEqual(c,s)),u&&r==="copy")throw new Error(g.localize(14,null,this.resourceForError(c),this.resourceForError(s)));if(!u&&f.isEqualOrParent(s,c))throw new Error(g.localize(15,null,this.resourceForError(c),this.resourceForError(s)))}const p=await this.exists(s);if(p&&!u){if(!a)throw new S.FileOperationError(g.localize(16,null,this.resourceForError(c),this.resourceForError(s)),4);if(o===t){const{providerExtUri:f}=this.getExtUri(o);if(f.isEqualOrParent(c,s))throw new Error(g.localize(17,null,this.resourceForError(c),this.resourceForError(s)))}}return{exists:p,isSameResourceWithDifferentPathCase:u}}getExtUri(o){const c=this.isPathCaseSensitive(o);return{providerExtUri:c?n.extUri:n.extUriIgnorePathCase,isPathCaseSensitive:c}}isPathCaseSensitive(o){return!!(o.capabilities&1024)}async createFolder(o){const c=this.throwIfFileSystemIsReadonly(await this.withProvider(o),o);await this.mkdirp(c,o);const t=await this.resolve(o,{resolveMetadata:!0});return this._onDidRunOperation.fire(new S.FileOperationEvent(o,0,t)),t}async mkdirp(o,c){const t=[],{providerExtUri:s}=this.getExtUri(o);for(;!s.isEqual(c,s.dirname(c));)try{if(((await o.stat(c)).type&S.FileType.Directory)==0)throw new Error(g.localize(18,null,this.resourceForError(c)));break}catch(r){if(S.toFileSystemProviderErrorCode(r)!==S.FileSystemProviderErrorCode.FileNotFound)throw r;t.push(s.basename(c)),c=s.dirname(c)}for(let r=t.length-1;r>=0;r--){c=s.joinPath(c,t[r]);try{await o.mkdir(c)}catch(a){if(S.toFileSystemProviderErrorCode(a)!==S.FileSystemProviderErrorCode.FileExists)throw a}}}async canDelete(o,c){try{await this.doValidateDelete(o,c)}catch(t){return t}return!0}async doValidateDelete(o,c){const t=this.throwIfFileSystemIsReadonly(await this.withProvider(o),o);if(!!c?.useTrash&&!(t.capabilities&4096))throw new Error(g.localize(19,null,this.resourceForError(o)));let r;try{r=await t.stat(o)}catch(u){}if(r)this.throwIfFileIsReadonly(o,r);else throw new S.FileOperationError(g.localize(20,null,this.resourceForError(o)),1);if(!!!c?.recursive){const u=await this.resolve(o);if(u.isDirectory&&Array.isArray(u.children)&&u.children.length>0)throw new Error(g.localize(21,null,this.resourceForError(o)))}return t}async del(o,c){const t=await this.doValidateDelete(o,c),s=!!c?.useTrash,r=!!c?.recursive;await t.delete(o,{recursive:r,useTrash:s}),this._onDidRunOperation.fire(new S.FileOperationEvent(o,1))}onDidChangeFile(o,c){this._onDidChangeFilesRaw.fire({changes:o});let t,s;{for(const r of o)this.watchedResources.has(r.resource)?(t||(t=[]),t.push(r)):(s||(s=[]),s.push(r));t&&this._onDidFilesChange.fire(new S.FileChangesEvent(t,!c))}if(s){const r=c?this.caseSensitiveFileEventsWorker:this.caseInsensitiveFileEventsWorker;!r.work(s)&&Ve.FILE_EVENTS_THROTTLING.warningscounter++<10&&this.logService.warn(`[File watcher]: started ignoring events due to too many file change events at once (incoming: ${s.length}, most recent change: ${s[0].resource.toString()}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`),r.pending>0&&this.logService.trace(`[File watcher]: started throttling events due to large amount of file change events at once (pending: ${r.pending}, most recent change: ${s[0].resource.toString()}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`)}}watch(o,c={recursive:!1,excludes:[]}){const t=new D.DisposableStore;{let s=!1,r=()=>{s=!0};t.add(D.toDisposable(()=>r())),this.doWatch(o,c).then(a=>{s?D.dispose(a):r=()=>D.dispose(a)},a=>this.logService.error(a))}return c.recursive||(this.watchedResources.set(o,(this.watchedResources.get(o)??0)+1),t.add(D.toDisposable(()=>{const s=this.watchedResources.get(o);typeof s=="number"&&(s<=1?this.watchedResources.delete(o):this.watchedResources.set(o,s-1))}))),t}async doWatch(o,c){const t=await this.withProvider(o),s=this.toWatchKey(t,o,c),r=this.activeWatchers.get(s)||{count:0,disposable:t.watch(o,c)};return this.activeWatchers.has(s)||this.activeWatchers.set(s,r),r.count+=1,D.toDisposable(()=>{r.count--,r.count===0&&(D.dispose(r.disposable),this.activeWatchers.delete(s))})}toWatchKey(o,c,t){const{providerExtUri:s}=this.getExtUri(o);return[s.getComparisonKey(c),String(t.recursive),t.excludes.join()].join()}dispose(){super.dispose(),this.activeWatchers.forEach(o=>D.dispose(o.disposable)),this.activeWatchers.clear()}async doWriteBuffered(o,c,t,s){return this.writeQueue.queueFor(c,this.getExtUri(o).providerExtUri).queue(async()=>{const r=await o.open(c,{create:!0,unlock:t?.unlock??!1});try{P.isReadableStream(s)||P.isReadableBufferedStream(s)?await this.doWriteStreamBufferedQueued(o,r,s):await this.doWriteReadableBufferedQueued(o,r,s)}catch(a){throw S.ensureFileSystemProviderError(a)}finally{await o.close(r)}})}async doWriteStreamBufferedQueued(o,c,t){let s=0,r;if(P.isReadableBufferedStream(t)){if(t.buffer.length>0){const a=b.VSBuffer.concat(t.buffer);await this.doWriteBuffer(o,c,a,a.byteLength,s,0),s+=a.byteLength}if(t.ended)return;r=t.stream}else r=t;return new Promise(async(a,u)=>{P.listenStream(r,{onData:async p=>{r.pause();try{await this.doWriteBuffer(o,c,p,p.byteLength,s,0)}catch(f){return u(f)}s+=p.byteLength,setTimeout(()=>r.resume())},onError:p=>u(p),onEnd:()=>a()})})}async doWriteReadableBufferedQueued(o,c,t){let s=0,r;for(;(r=t.read())!==null;)await this.doWriteBuffer(o,c,r,r.byteLength,s,0),s+=r.byteLength}async doWriteBuffer(o,c,t,s,r,a){let u=0;for(;u<s;)u+=await o.write(c,r+u,t.buffer,a+u,s-u)}async doWriteUnbuffered(o,c,t,s){return this.writeQueue.queueFor(c,this.getExtUri(o).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(o,c,t,s))}async doWriteUnbufferedQueued(o,c,t,s){let r;s instanceof b.VSBuffer?r=s:P.isReadableStream(s)?r=await b.streamToBuffer(s):P.isReadableBufferedStream(s)?r=await b.bufferedStreamToBuffer(s):r=b.readableToBuffer(s),await o.writeFile(c,r.buffer,{create:!0,overwrite:!0,unlock:t?.unlock??!1})}async doPipeBuffered(o,c,t,s){return this.writeQueue.queueFor(s,this.getExtUri(t).providerExtUri).queue(()=>this.doPipeBufferedQueued(o,c,t,s))}async doPipeBufferedQueued(o,c,t,s){let r,a;try{r=await o.open(c,{create:!1}),a=await t.open(s,{create:!0,unlock:!1});const u=b.VSBuffer.alloc(this.BUFFER_SIZE);let p=0,f=0,L=0;do L=await o.read(r,p,u.buffer,f,u.byteLength-f),await this.doWriteBuffer(t,a,u,L,p,f),p+=L,f+=L,f===u.byteLength&&(f=0);while(L>0)}catch(u){throw S.ensureFileSystemProviderError(u)}finally{await y.Promises.settled([typeof r=="number"?o.close(r):Promise.resolve(),typeof a=="number"?t.close(a):Promise.resolve()])}}async doPipeUnbuffered(o,c,t,s){return this.writeQueue.queueFor(s,this.getExtUri(t).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(o,c,t,s))}async doPipeUnbufferedQueued(o,c,t,s){return t.writeFile(s,await o.readFile(c),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(o,c,t,s){return this.writeQueue.queueFor(s,this.getExtUri(t).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(o,c,t,s))}async doPipeUnbufferedToBufferedQueued(o,c,t,s){const r=await t.open(s,{create:!0,unlock:!1});try{const a=await o.readFile(c);await this.doWriteBuffer(t,r,b.VSBuffer.wrap(a),a.byteLength,0,0)}catch(a){throw S.ensureFileSystemProviderError(a)}finally{await t.close(r)}}async doPipeBufferedToUnbuffered(o,c,t,s){const r=await b.streamToBuffer(this.readFileBuffered(o,c,d.CancellationToken.None));await this.doWriteUnbuffered(t,s,void 0,r)}throwIfFileSystemIsReadonly(o,c){if(o.capabilities&2048)throw new S.FileOperationError(g.localize(22,null,this.resourceForError(c)),6);return o}throwIfFileIsReadonly(o,c){if((c.permissions??0)&S.FilePermission.Readonly)throw new S.FileOperationError(g.localize(23,null,this.resourceForError(o)),6)}resourceForError(o){return o.scheme===m.Schemas.file?o.fsPath:o.toString(!0)}};l.FILE_EVENTS_THROTTLING={maxChangesChunkSize:500,maxChangesBufferSize:3e4,coolDownDelay:200,warningscounter:0},l=ue([te(0,i.ILogService)],l),e.FileService=l}),define(J[185],Z([0,1,2,19,5,3,18,8,15,30,9,6,143,92,165,167,164,174,64,95,36,17]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m,k,I,l,h,o,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProvider=void 0;class t extends g.Disposable{constructor(r,a){super();this.logService=r,this.options=a,this.BUFFER_SIZE=this.options?.bufferSize||64*1024,this.onDidChangeCapabilities=D.Event.None,this.mapHandleToPos=new Map,this.writeHandles=new Map,this.canFlush=!0,this._onDidWatchErrorOccur=this._register(new D.Emitter),this.onDidErrorOccur=this._onDidWatchErrorOccur.event,this._onDidChangeFile=this._register(new D.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this.recursiveFoldersToWatch=[],this.recursiveWatchRequestDelayer=this._register(new i.ThrottledDelayer(0))}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192,S.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(r){try{const{stat:a,symbolicLink:u}=await E.SymlinkSupport.stat(this.toFilePath(r));return{type:this.toType(a,u),ctime:a.birthtime.getTime(),mtime:a.mtime.getTime(),size:a.size}}catch(a){throw this.toFileSystemProviderError(a)}}async readdir(r){try{const a=await E.Promises.readdir(this.toFilePath(r),{withFileTypes:!0}),u=[];return await Promise.all(a.map(async p=>{try{let f;p.isSymbolicLink()?f=(await this.stat(w.joinPath(r,p.name))).type:f=this.toType(p),u.push([p.name,f])}catch(f){this.logService.trace(f)}})),u}catch(a){throw this.toFileSystemProviderError(a)}}toType(r,a){let u;return a?.dangling?u=M.FileType.Unknown:r.isFile()?u=M.FileType.File:r.isDirectory()?u=M.FileType.Directory:u=M.FileType.Unknown,a&&(u|=M.FileType.SymbolicLink),u}async readFile(r){try{const a=this.toFilePath(r);return await E.Promises.readFile(a)}catch(a){throw this.toFileSystemProviderError(a)}}readFileStream(r,a,u){const p=l.newWriteableStream(f=>c.VSBuffer.concat(f.map(L=>c.VSBuffer.wrap(L))).buffer);return h.readFileIntoStream(this,r,p,f=>f.buffer,{...a,bufferSize:this.BUFFER_SIZE},u),p}async writeFile(r,a,u){let p;try{const f=this.toFilePath(r);if(!u.create||!u.overwrite){if(await E.Promises.exists(f)){if(!u.overwrite)throw M.createFileSystemProviderError(P.localize(0,null),M.FileSystemProviderErrorCode.FileExists)}else if(!u.create)throw M.createFileSystemProviderError(P.localize(1,null),M.FileSystemProviderErrorCode.FileNotFound)}p=await this.open(r,{create:!0,unlock:u.unlock}),await this.write(p,0,a,0,a.byteLength)}catch(f){throw await this.toFileSystemProviderWriteError(r,f)}finally{typeof p=="number"&&await this.close(p)}}async open(r,a){try{const u=this.toFilePath(r);if(M.isFileOpenForWriteOptions(a)&&a.unlock)try{const{stat:L}=await E.SymlinkSupport.stat(u);L.mode&128||await E.Promises.chmod(u,L.mode|128)}catch(L){this.logService.trace(L)}let p;if(M.isFileOpenForWriteOptions(a)){if(S.isWindows)try{await E.Promises.truncate(u,0),p="r+"}catch(L){L.code!=="ENOENT"&&this.logService.trace(L)}p||(p="w")}else p="r";const f=await E.Promises.open(u,p);return this.mapHandleToPos.set(f,0),M.isFileOpenForWriteOptions(a)&&this.writeHandles.set(f,r),f}catch(u){throw M.isFileOpenForWriteOptions(a)?await this.toFileSystemProviderWriteError(r,u):this.toFileSystemProviderError(u)}}async close(r){try{if(this.mapHandleToPos.delete(r),this.writeHandles.delete(r)&&this.canFlush)try{await E.Promises.fdatasync(r)}catch(a){this.canFlush=!1,this.logService.error(a)}return await E.Promises.close(r)}catch(a){throw this.toFileSystemProviderError(a)}}async read(r,a,u,p,f){const L=this.normalizePos(r,a);let T=null;try{const W=await E.Promises.read(r,u,p,f,L);return typeof W=="number"?T=W:T=W.bytesRead,T}catch(W){throw this.toFileSystemProviderError(W)}finally{this.updatePos(r,L,T)}}normalizePos(r,a){return a===this.mapHandleToPos.get(r)?null:a}updatePos(r,a,u){const p=this.mapHandleToPos.get(r);typeof p=="number"&&(typeof a=="number"||(typeof u=="number"?this.mapHandleToPos.set(r,p+u):this.mapHandleToPos.delete(r)))}async write(r,a,u,p,f){return i.retry(()=>this.doWrite(r,a,u,p,f),100,3)}async doWrite(r,a,u,p,f){const L=this.normalizePos(r,a);let T=null;try{const W=await E.Promises.write(r,u,p,f,L);return typeof W=="number"?T=W:T=W.bytesWritten,T}catch(W){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(r),W)}finally{this.updatePos(r,L,T)}}async mkdir(r){try{await E.Promises.mkdir(this.toFilePath(r))}catch(a){throw this.toFileSystemProviderError(a)}}async delete(r,a){try{const u=this.toFilePath(r);await this.doDelete(u,a)}catch(u){throw this.toFileSystemProviderError(u)}}async doDelete(r,a){a.recursive?await E.Promises.rm(r,E.RimRafMode.MOVE):await E.Promises.unlink(r)}async rename(r,a,u){const p=this.toFilePath(r),f=this.toFilePath(a);if(p!==f)try{await this.validateTargetDeleted(r,a,"move",u.overwrite),await E.Promises.move(p,f)}catch(L){throw(L.code==="EINVAL"||L.code==="EBUSY"||L.code==="ENAMETOOLONG")&&(L=new Error(P.localize(2,null,n.basename(p),n.basename(n.dirname(f)),L.toString()))),this.toFileSystemProviderError(L)}}async copy(r,a,u){const p=this.toFilePath(r),f=this.toFilePath(a);if(p!==f)try{await this.validateTargetDeleted(r,a,"copy",u.overwrite),await E.Promises.copy(p,f,{preserveSymlinks:!0})}catch(L){throw(L.code==="EINVAL"||L.code==="EBUSY"||L.code==="ENAMETOOLONG")&&(L=new Error(P.localize(3,null,n.basename(p),n.basename(n.dirname(f)),L.toString()))),this.toFileSystemProviderError(L)}}async validateTargetDeleted(r,a,u,p){const f=this.toFilePath(r),L=this.toFilePath(a);let T=!1;if(!!(this.capabilities&1024)||(T=v.isEqual(f,L,!0)),T&&u==="copy")throw M.createFileSystemProviderError(P.localize(4,null),M.FileSystemProviderErrorCode.FileExists);if(!T&&await E.Promises.exists(L)){if(!p)throw M.createFileSystemProviderError(P.localize(5,null),M.FileSystemProviderErrorCode.FileExists);await this.delete(a,{recursive:!0,useTrash:!1})}}watch(r,a){return a.recursive?this.watchRecursive(r,a.excludes):this.watchNonRecursive(r)}watchRecursive(r,a){const u={path:this.toFilePath(r),excludes:a},p=o.insert(this.recursiveFoldersToWatch,u);return this.refreshRecursiveWatchers(),g.toDisposable(()=>{p(),this.refreshRecursiveWatchers()})}refreshRecursiveWatchers(){this.recursiveWatchRequestDelayer.trigger(async()=>{this.doRefreshRecursiveWatchers()})}doRefreshRecursiveWatchers(){if(this.recursiveWatcher instanceof k.FileWatcher)this.recursiveWatcher.setFolders(this.recursiveFoldersToWatch);else if(g.dispose(this.recursiveWatcher),this.recursiveWatcher=void 0,this.recursiveFoldersToWatch.length>0){let r,a;this.options?.watcher?.usePolling?(r=d.FileWatcher,a=this.options?.watcher):this.recursiveFoldersToWatch.length===1?S.isWindows?r=m.FileWatcher:r=d.FileWatcher:r=k.FileWatcher,this.recursiveWatcher=new r(this.recursiveFoldersToWatch,u=>this._onDidChangeFile.fire(y.toFileChanges(u)),u=>{u.type==="error"&&this._onDidWatchErrorOccur.fire(u.message),this.logService[u.type](u.message)},this.logService.getLevel()===b.LogLevel.Trace,a),this.recursiveWatcherLogLevelListener||(this.recursiveWatcherLogLevelListener=this.logService.onDidChangeLogLevel(()=>{this.recursiveWatcher&&this.recursiveWatcher.setVerboseLogging(this.logService.getLevel()===b.LogLevel.Trace)}))}}watchNonRecursive(r){const a=new I.FileWatcher(this.toFilePath(r),p=>this._onDidChangeFile.fire(y.toFileChanges(p)),p=>{p.type==="error"&&this._onDidWatchErrorOccur.fire(p.message),this.logService[p.type](p.message)},this.logService.getLevel()===b.LogLevel.Trace),u=this.logService.onDidChangeLogLevel(()=>{a.setVerboseLogging(this.logService.getLevel()===b.LogLevel.Trace)});return g.combinedDisposable(a,u)}toFilePath(r){return n.normalize(r.fsPath)}toFileSystemProviderError(r){if(r instanceof M.FileSystemProviderError)return r;let a;switch(r.code){case"ENOENT":a=M.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":a=M.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":a=M.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":a=M.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":a=M.FileSystemProviderErrorCode.NoPermissions;break;default:a=M.FileSystemProviderErrorCode.Unknown}return M.createFileSystemProviderError(r,a)}async toFileSystemProviderWriteError(r,a){let u=this.toFileSystemProviderError(a);if(r&&u.code===M.FileSystemProviderErrorCode.NoPermissions)try{const{stat:p}=await E.SymlinkSupport.stat(this.toFilePath(r));p.mode&128||(u=M.createFileSystemProviderError(a,M.FileSystemProviderErrorCode.FileWriteLocked))}catch(p){this.logService.trace(p)}return u}dispose(){super.dispose(),g.dispose(this.recursiveWatcher),this.recursiveWatcher=void 0,g.dispose(this.recursiveWatcherLogLevelListener),this.recursiveWatcherLogLevelListener=void 0}}e.DiskFileSystemProvider=t}),define(J[20],Z([0,1,4]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IProductService=void 0,e.IProductService=g.createDecorator("productService")}),define(J[186],Z([0,1,58,6,20]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionUrlTrustService=void 0;let S=class{constructor(n,w){this.productService=n,this.logService=w,this.trustedExtensionUrlPublicKeys=new Map}async isExtensionUrlTrusted(n,w){if(!this.productService.trustedExtensionUrlPublicKeys)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","There are no configured trusted keys"),!1;const v=/^(.*)#([^#]+)$/.exec(w);if(!v)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Uri has no fragment",w),!1;const[,i,b]=v;let P=this.trustedExtensionUrlPublicKeys.get(n);if(!P){if(P=this.productService.trustedExtensionUrlPublicKeys[n],!P||P.length===0)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Extension doesn't have any trusted keys",n),!1;this.trustedExtensionUrlPublicKeys.set(n,[...P])}const y=Buffer.from(decodeURIComponent(b),"base64");if(y.length<=6)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Uri fragment is not a signature",w),!1;const d=y.slice(0,6),m=y.readUIntBE(0,6),k=Date.now()-m;if(k<0||k>36e5)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri has expired",w),!1;const I=y.slice(6),l=g.createVerify("SHA256");l.write(d),l.write(Buffer.from(i)),l.end();for(let h=0;h<P.length;h++){let o=P[h];if(o!==null){if(typeof o=="string")try{o=g.createPublicKey({key:Buffer.from(o,"base64"),format:"der",type:"spki"}),P[h]=o}catch(c){this.logService.warn("ExtensionUrlTrustService#isExtensionUrlTrusted",`Failed to parse trusted extension uri public key #${h+1} for ${n}:`,c),P[h]=null;continue}if(l.verify(o,I))return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri is valid",w),!0}}return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri could not be verified",w),!1}};S=ue([te(0,D.IProductService),te(1,M.ILogService)],S),e.ExtensionUrlTrustService=S}),define(J[55],Z([0,1,4]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IProtocolMainService=void 0,e.IProtocolMainService=g.createDecorator("protocolMainService")}),define(J[187],Z([0,1,2,10,7,48,14,6,37,3,15,28]),function(j,e,g,M,D,S,E,n,w,v,i,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProtocolMainService=void 0;let P=class extends g.Disposable{constructor(d,m){super();this.logService=m,this.validRoots=w.TernarySearchTree.forUris(()=>!v.isLinux),this.validExtensions=new Set([".svg",".png",".jpg",".jpeg",".gif",".bmp"]),this.addValidFileRoot(D.URI.file(d.appRoot)),this.addValidFileRoot(D.URI.file(d.extensionsPath)),this.addValidFileRoot(d.globalStorageHome),this.addValidFileRoot(d.workspaceStorageHome),this.handleProtocols()}handleProtocols(){const{defaultSession:d}=E.session;d.protocol.registerFileProtocol(M.Schemas.vscodeFileResource,(m,k)=>this.handleResourceRequest(m,k)),d.protocol.interceptFileProtocol(M.Schemas.file,(m,k)=>this.handleFileRequest(m,k)),this._register(g.toDisposable(()=>{d.protocol.unregisterProtocol(M.Schemas.vscodeFileResource),d.protocol.uninterceptProtocol(M.Schemas.file)}))}addValidFileRoot(d){return this.validRoots.get(d)?g.Disposable.None:(this.validRoots.set(d,!0),g.toDisposable(()=>this.validRoots.delete(d)))}handleFileRequest(d,m){const k=D.URI.parse(d.url);return v.isPreferringBrowserCodeLoad?(this.logService.error(`Refused to load resource ${k.fsPath} from ${M.Schemas.file}: protocol (original URL: ${d.url})`),m({error:-3})):this.validRoots.findSubstr(k)?m({path:k.fsPath}):this.validExtensions.has(i.extname(k))?m({path:k.fsPath}):(this.logService.error(`${M.Schemas.file}: Refused to load resource ${k.fsPath} from ${M.Schemas.file}: protocol (original URL: ${d.url})`),m({error:-3}))}handleResourceRequest(d,m){const k=D.URI.parse(d.url),I=M.FileAccess.asFileUri(k);return this.validRoots.findSubstr(I)?m({path:I.fsPath}):this.validExtensions.has(i.extname(I))?m({path:I.fsPath}):(this.logService.error(`${M.Schemas.vscodeFileResource}: Refused to load resource ${I.fsPath} from ${M.Schemas.vscodeFileResource}: protocol (original URL: ${d.url})`),m({error:-3}))}createIPCObjectUrl(){let d;const m=D.URI.from({scheme:"vscode",path:b.generateUuid()}),k=m.toString(),I=async()=>d;return E.ipcMain.handle(k,I),this.logService.trace(`IPC Object URL: Registered new channel ${k}.`),{resource:m,update:l=>d=l,dispose:()=>{this.logService.trace(`IPC Object URL: Removed channel ${k}.`),E.ipcMain.removeHandler(k)}}}};P=ue([te(0,S.INativeEnvironmentService),te(1,n.ILogService)],P),e.ProtocolMainService=P}),define(J[38],Z([0,1,13,103]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class D{constructor(){this.data=new Map}add(E,n){M.ok(g.isString(E)),M.ok(g.isObject(n)),M.ok(!this.data.has(E),"There is already an extension with this id"),this.data.set(E,n)}knows(E){return this.data.has(E)}as(E){return this.data.get(E)||null}}e.Registry=new D}),define(J[188],Z([0,1,38,5]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function D(n){return n.length>0&&n.charAt(n.length-1)==="#"?n.substring(0,n.length-1):n}class S{constructor(){this._onDidChangeSchema=new M.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(w,v){this.schemasById[D(w)]=v,this._onDidChangeSchema.fire(w)}notifySchemaChanged(w){this._onDidChangeSchema.fire(w)}getSchemaContributions(){return{schemas:this.schemasById}}}const E=new S;g.Registry.add(e.Extensions.JSONContribution,E)}),define(J[50],Z([0,1,133,5,38,13,188]),function(j,e,g,M,D,S,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.overrideIdentifierFromKey=e.OVERRIDE_PROPERTY_PATTERN=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=void 0,e.Extensions={Configuration:"base.contributions.configuration"};var n;(function(k){k[k.APPLICATION=1]="APPLICATION",k[k.MACHINE=2]="MACHINE",k[k.WINDOW=3]="WINDOW",k[k.RESOURCE=4]="RESOURCE",k[k.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",k[k.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(n=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const w=D.Registry.as(E.Extensions.JSONContribution);class v{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new M.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new M.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultValues={},this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:g.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},w.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(I,l=!0){this.registerConfigurations([I],l)}registerConfigurations(I,l=!0){const h=[];I.forEach(o=>{h.push(...this.validateAndRegisterProperties(o,l,o.extensionInfo)),this.configurationContributors.push(o),this.registerJSONConfiguration(o)}),w.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(h)}deregisterConfigurations(I){const l=[],h=o=>{if(o.properties)for(const c in o.properties)l.push(c),delete this.configurationProperties[c],this.removeFromSchema(c,o.properties[c]);o.allOf&&o.allOf.forEach(c=>h(c))};for(const o of I){h(o);const c=this.configurationContributors.indexOf(o);c!==-1&&this.configurationContributors.splice(c,1)}w.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(l)}registerDefaultConfigurations(I){const l=[],h=[];for(const o of I)for(const c in o)if(l.push(c),e.OVERRIDE_PROPERTY_PATTERN.test(c)){this.defaultValues[c]={...this.defaultValues[c]||{},...o[c]};const t={type:"object",default:this.defaultValues[c],description:g.localize(1,null,c),$ref:e.resourceLanguageSettingsSchemaId};h.push(b(c)),this.configurationProperties[c]=t,this.defaultLanguageConfigurationOverridesNode.properties[c]=t}else{this.defaultValues[c]=o[c];const t=this.configurationProperties[c];t&&(this.updatePropertyDefaultValue(c,t),this.updateSchema(c,t))}this.registerOverrideIdentifiers(h),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(l)}deregisterDefaultConfigurations(I){const l=[];for(const h of I)for(const o in h)if(l.push(o),delete this.defaultValues[o],e.OVERRIDE_PROPERTY_PATTERN.test(o))delete this.configurationProperties[o],delete this.defaultLanguageConfigurationOverridesNode.properties[o];else{const c=this.configurationProperties[o];c&&(this.updatePropertyDefaultValue(o,c),this.updateSchema(o,c))}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(l)}notifyConfigurationSchemaUpdated(...I){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(I){for(const l of I)this.overrideIdentifiers.add(l);this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(I,l=!0,h,o=3){o=S.isUndefinedOrNull(I.scope)?o:I.scope;let c=[],t=I.properties;if(t)for(let r in t){if(l&&d(r)){delete t[r];continue}const a=t[r];if(this.updatePropertyDefaultValue(r,a),e.OVERRIDE_PROPERTY_PATTERN.test(r)?a.scope=void 0:(a.scope=S.isUndefinedOrNull(a.scope)?o:a.scope,a.restricted=S.isUndefinedOrNull(a.restricted)?!!h?.restrictedConfigurations?.includes(r):a.restricted),t[r].hasOwnProperty("included")&&!t[r].included){this.excludedConfigurationProperties[r]=t[r],delete t[r];continue}else this.configurationProperties[r]=t[r];!t[r].deprecationMessage&&t[r].markdownDeprecationMessage&&(t[r].deprecationMessage=t[r].markdownDeprecationMessage),c.push(r)}let s=I.allOf;if(s)for(let r of s)c.push(...this.validateAndRegisterProperties(r,l,h,o));return c}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(I){const l=h=>{let o=h.properties;if(o)for(const t in o)this.updateSchema(t,o[t]);let c=h.allOf;c&&c.forEach(l)};l(I)}updateSchema(I,l){switch(e.allSettings.properties[I]=l,l.scope){case 1:e.applicationSettings.properties[I]=l;break;case 2:e.machineSettings.properties[I]=l;break;case 6:e.machineOverridableSettings.properties[I]=l;break;case 3:e.windowSettings.properties[I]=l;break;case 4:e.resourceSettings.properties[I]=l;break;case 5:e.resourceSettings.properties[I]=l,this.resourceLanguageSettingsSchema.properties[I]=l;break}}removeFromSchema(I,l){switch(delete e.allSettings.properties[I],l.scope){case 1:delete e.applicationSettings.properties[I];break;case 2:delete e.machineSettings.properties[I];break;case 6:delete e.machineOverridableSettings.properties[I];break;case 3:delete e.windowSettings.properties[I];break;case 4:case 5:delete e.resourceSettings.properties[I];break}}updateOverridePropertyPatternKey(){for(const I of this.overrideIdentifiers.values()){const l=`[${I}]`,h={type:"object",description:g.localize(2,null),errorMessage:g.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(l,h),e.allSettings.properties[l]=h,e.applicationSettings.properties[l]=h,e.machineSettings.properties[l]=h,e.machineOverridableSettings.properties[l]=h,e.windowSettings.properties[l]=h,e.resourceSettings.properties[l]=h}this._onDidSchemaChange.fire()}updatePropertyDefaultValue(I,l){let h=this.defaultValues[I];S.isUndefined(h)&&(h=l.default),S.isUndefined(h)&&(h=P(l.type)),l.default=h}}const i="\\[.*\\]$";e.OVERRIDE_PROPERTY_PATTERN=new RegExp(i);function b(k){return k.substring(1,k.length-1)}e.overrideIdentifierFromKey=b;function P(k){switch(Array.isArray(k)?k[0]:k){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=P;const y=new v;D.Registry.add(e.Extensions.Configuration,y);function d(k){return k.trim()?e.OVERRIDE_PROPERTY_PATTERN.test(k)?g.localize(5,null,k):y.getConfigurationProperties()[k]!==void 0?g.localize(6,null,k):null:g.localize(4,null)}e.validateProperty=d;function m(){const k=[],I=y.getConfigurationProperties();for(const l of Object.keys(I))k.push([l,I[l].scope]);return k.push(["launch",4]),k.push(["task",4]),k}e.getScopes=m}),define(J[21],Z([0,1,44,13,7,38,4,50]),function(j,e,g,M,D,S,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.keyFromOverrideIdentifier=e.getDefaultValues=e.getConfigurationKeys=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.toOverrides=e.compare=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=E.createDecorator("configurationService");function w(s){return s&&typeof s=="object"&&(!s.overrideIdentifier||typeof s.overrideIdentifier=="string")&&(!s.resource||s.resource instanceof D.URI)}e.isConfigurationOverrides=w;var v;(function(s){s[s.USER=1]="USER",s[s.USER_LOCAL=2]="USER_LOCAL",s[s.USER_REMOTE=3]="USER_REMOTE",s[s.WORKSPACE=4]="WORKSPACE",s[s.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",s[s.DEFAULT=6]="DEFAULT",s[s.MEMORY=7]="MEMORY"})(v=e.ConfigurationTarget||(e.ConfigurationTarget={}));function i(s){switch(s){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=i;function b(s,r){const a=r?s?r.keys.filter(N=>s.keys.indexOf(N)===-1):[...r.keys]:[],u=s?r?s.keys.filter(N=>r.keys.indexOf(N)===-1):[...s.keys]:[],p=[];if(r&&s){for(const N of s.keys)if(r.keys.indexOf(N)!==-1){const V=I(s.contents,N),ee=I(r.contents,N);g.equals(V,ee)||p.push(N)}}const f=[],L=N=>{const V={};for(const ee of N)for(const q of ee.identifiers)V[c(q)]=ee;return V},T=r?L(r.overrides):{},W=s?L(s.overrides):{};if(Object.keys(T).length)for(const N of a){const V=T[N];V&&f.push([n.overrideIdentifierFromKey(N),V.keys])}if(Object.keys(W).length)for(const N of u){const V=W[N];V&&f.push([n.overrideIdentifierFromKey(N),V.keys])}if(Object.keys(T).length&&Object.keys(W).length)for(const N of p){const V=W[N],ee=T[N];if(V&&ee){const q=b({contents:V.contents,keys:V.keys,overrides:[]},{contents:ee.contents,keys:ee.keys,overrides:[]});f.push([n.overrideIdentifierFromKey(N),[...q.added,...q.removed,...q.updated]])}}return{added:a,removed:u,updated:p,overrides:f}}e.compare=b;function P(s,r){const a=[];for(const u of Object.keys(s))if(n.OVERRIDE_PROPERTY_PATTERN.test(u)){const p={};for(const f in s[u])p[f]=s[u][f];a.push({identifiers:[n.overrideIdentifierFromKey(u).trim()],keys:Object.keys(p),contents:y(p,r)})}return a}e.toOverrides=P;function y(s,r){const a=Object.create(null);for(let u in s)d(a,u,s[u],r);return a}e.toValuesTree=y;function d(s,r,a,u){const p=r.split("."),f=p.pop();let L=s;for(let T=0;T<p.length;T++){let W=p[T],N=L[W];switch(typeof N){case"undefined":N=L[W]=Object.create(null);break;case"object":break;default:u(`Ignoring ${r} as ${p.slice(0,T+1).join(".")} is ${JSON.stringify(N)}`);return}L=N}if(typeof L=="object"&&L!==null)try{L[f]=a}catch(T){u(`Ignoring ${r} as ${p.join(".")} is ${JSON.stringify(L)}`)}else u(`Ignoring ${r} as ${p.join(".")} is ${JSON.stringify(L)}`)}e.addToValueTree=d;function m(s,r){const a=r.split(".");k(s,a)}e.removeFromValueTree=m;function k(s,r){const a=r.shift();if(r.length===0){delete s[a];return}if(Object.keys(s).indexOf(a)!==-1){const u=s[a];typeof u=="object"&&!Array.isArray(u)&&(k(u,r),Object.keys(u).length===0&&delete s[a])}}function I(s,r,a){function u(L,T){let W=L;for(const N of T){if(typeof W!="object"||W===null)return;W=W[N]}return W}const p=r.split("."),f=u(s,p);return typeof f=="undefined"?a:f}e.getConfigurationValue=I;function l(s,r,a){Object.keys(r).forEach(u=>{u!=="__proto__"&&(u in s?M.isObject(s[u])&&M.isObject(r[u])?l(s[u],r[u],a):a&&(s[u]=r[u]):s[u]=r[u])})}e.merge=l;function h(){const s=S.Registry.as(n.Extensions.Configuration).getConfigurationProperties();return Object.keys(s)}e.getConfigurationKeys=h;function o(){const s=Object.create(null),r=S.Registry.as(n.Extensions.Configuration).getConfigurationProperties();for(let a in r){let u=r[a].default;d(s,a,u,p=>console.error(`Conflict in default settings: ${p}`))}return s}e.getDefaultValues=o;function c(s){return`[${s}]`}e.keyFromOverrideIdentifier=c;function t(s,r,a){const u=s.inspect(r),p=s.inspect(a);return typeof u.userValue!="undefined"||typeof u.workspaceValue!="undefined"||typeof u.workspaceFolderValue!="undefined"?u.value:typeof p.userValue!="undefined"||typeof p.workspaceValue!="undefined"||typeof p.workspaceFolderValue!="undefined"?p.value:u.defaultValue}e.getMigratedSettingValue=t}),define(J[189],Z([0,1,40,37,36,13,44,7,50,21,38,2,5]),function(j,e,g,M,D,S,E,n,w,v,i,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class y{constructor(t={},s=[],r=[]){this._contents=t,this._keys=s,this._overrides=r,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(t){return t?v.getConfigurationValue(this.contents,t):this.contents}getOverrideValue(t,s){const r=this.getContentsForOverrideIdentifer(s);return r?t?v.getConfigurationValue(r,t):r:void 0}getKeysForOverrideIdentifier(t){for(const s of this.overrides)if(s.identifiers.indexOf(t)!==-1)return s.keys;return[]}override(t){const s=this.getContentsForOverrideIdentifer(t);if(!s||typeof s!="object"||!Object.keys(s).length)return this;let r={};for(const a of D.distinct([...Object.keys(this.contents),...Object.keys(s)])){let u=this.contents[a],p=s[a];p&&(typeof u=="object"&&typeof p=="object"?(u=E.deepClone(u),this.mergeContents(u,p)):u=p),r[a]=u}return new y(r,this.keys,this.overrides)}merge(...t){const s=E.deepClone(this.contents),r=E.deepClone(this.overrides),a=[...this.keys];for(const u of t){this.mergeContents(s,u.contents);for(const p of u.overrides){const[f]=r.filter(L=>D.equals(L.identifiers,p.identifiers));f?this.mergeContents(f.contents,p.contents):r.push(E.deepClone(p))}for(const p of u.keys)a.indexOf(p)===-1&&a.push(p)}return new y(s,a,r)}freeze(){return this.isFrozen=!0,this}mergeContents(t,s){for(const r of Object.keys(s)){if(r in t&&S.isObject(t[r])&&S.isObject(s[r])){this.mergeContents(t[r],s[r]);continue}t[r]=E.deepClone(s[r])}}checkAndFreeze(t){return this.isFrozen&&!Object.isFrozen(t)?E.deepFreeze(t):t}getContentsForOverrideIdentifer(t){for(const s of this.overrides)if(s.identifiers.indexOf(t)!==-1)return s.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(t,s){this.addKey(t),v.addToValueTree(this.contents,t,s,r=>{throw new Error(r)})}removeValue(t){this.removeKey(t)&&v.removeFromValueTree(this.contents,t)}addKey(t){let s=this.keys.length;for(let r=0;r<s;r++)t.indexOf(this.keys[r])===0&&(s=r);this.keys.splice(s,1,t)}removeKey(t){let s=this.keys.indexOf(t);return s!==-1?(this.keys.splice(s,1),!0):!1}}e.ConfigurationModel=y;class d extends y{constructor(){const t=v.getDefaultValues(),s=v.getConfigurationKeys(),r=[];for(const a of Object.keys(t))w.OVERRIDE_PROPERTY_PATTERN.test(a)&&r.push({identifiers:[w.overrideIdentifierFromKey(a).trim()],keys:Object.keys(t[a]),contents:v.toValuesTree(t[a],u=>console.error(`Conflict in default settings file: ${u}`))});super(t,s,r)}}e.DefaultConfigurationModel=d;class m{constructor(t){this._name=t,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new y}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(t,s){if(!S.isUndefinedOrNull(t)){const r=this.doParseContent(t);this.parseRaw(r,s)}}reparse(t){this._raw&&this.parseRaw(this._raw,t)}parseRaw(t,s){this._raw=t;const{contents:r,keys:a,overrides:u,restricted:p}=this.doParseRaw(t,s);this._configurationModel=new y(r,a,u),this._restrictedConfigurations=p||[]}doParseContent(t){let s={},r=null,a=[],u=[],p=[];function f(T){Array.isArray(a)?a.push(T):r&&(a[r]=T)}let L={onObjectBegin:()=>{let T={};f(T),u.push(a),a=T,r=null},onObjectProperty:T=>{r=T},onObjectEnd:()=>{a=u.pop()},onArrayBegin:()=>{let T=[];f(T),u.push(a),a=T,r=null},onArrayEnd:()=>{a=u.pop()},onLiteralValue:f,onError:(T,W,N)=>{p.push({error:T,offset:W,length:N})}};if(t)try{g.visit(t,L),s=a[0]||{}}catch(T){console.error(`Error while parsing settings file ${this._name}: ${T}`),this._parseErrors=[T]}return s}doParseRaw(t,s){const r=i.Registry.as(w.Extensions.Configuration).getConfigurationProperties(),a=this.filter(t,r,!0,s);t=a.raw;const u=v.toValuesTree(t,L=>console.error(`Conflict in settings file ${this._name}: ${L}`)),p=Object.keys(t),f=v.toOverrides(t,L=>console.error(`Conflict in settings file ${this._name}: ${L}`));return{contents:u,keys:p,overrides:f,restricted:a.restricted}}filter(t,s,r,a){if(!a?.scopes&&!a?.skipRestricted)return{raw:t,restricted:[]};const u={},p=[];for(let f in t)if(w.OVERRIDE_PROPERTY_PATTERN.test(f)&&r){const L=this.filter(t[f],s,!1,a);u[f]=L.raw,p.push(...L.restricted)}else{const L=s[f],T=L?typeof L.scope!="undefined"?L.scope:3:void 0;L?.restricted&&p.push(f),(T===void 0||a.scopes===void 0||a.scopes.includes(T))&&(a.skipRestricted&&L?.restricted||(u[f]=t[f]))}return{raw:u,restricted:p}}}e.ConfigurationModelParser=m;class k extends b.Disposable{constructor(t,s,r,a){super();this.userSettingsResource=t,this.scopes=s,this.fileService=a,this._onDidChange=this._register(new P.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new m(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(r.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(P.Event.filter(this.fileService.onDidFilesChange,u=>u.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const t=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(t.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch(t){return new y}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=k;class I{constructor(t,s,r=new y,a=new y,u=new M.ResourceMap,p=new y,f=new M.ResourceMap,L=!0){this._defaultConfiguration=t,this._localUserConfiguration=s,this._remoteUserConfiguration=r,this._workspaceConfiguration=a,this._folderConfigurations=u,this._memoryConfiguration=p,this._memoryConfigurationByResource=f,this._freeze=L,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new M.ResourceMap,this._userConfiguration=null}getValue(t,s,r){return this.getConsolidateConfigurationModel(s,r).getValue(t)}updateValue(t,s,r={}){let a;r.resource?(a=this._memoryConfigurationByResource.get(r.resource),a||(a=new y,this._memoryConfigurationByResource.set(r.resource,a))):a=this._memoryConfiguration,s===void 0?a.removeValue(t):a.setValue(t,s),r.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(t,s,r){const a=this.getConsolidateConfigurationModel(s,r),u=this.getFolderConfigurationModelForResource(s.resource,r),p=s.resource?this._memoryConfigurationByResource.get(s.resource)||this._memoryConfiguration:this._memoryConfiguration,f=s.overrideIdentifier?this._defaultConfiguration.freeze().override(s.overrideIdentifier).getValue(t):this._defaultConfiguration.freeze().getValue(t),L=s.overrideIdentifier?this.userConfiguration.freeze().override(s.overrideIdentifier).getValue(t):this.userConfiguration.freeze().getValue(t),T=s.overrideIdentifier?this.localUserConfiguration.freeze().override(s.overrideIdentifier).getValue(t):this.localUserConfiguration.freeze().getValue(t),W=s.overrideIdentifier?this.remoteUserConfiguration.freeze().override(s.overrideIdentifier).getValue(t):this.remoteUserConfiguration.freeze().getValue(t),N=r?s.overrideIdentifier?this._workspaceConfiguration.freeze().override(s.overrideIdentifier).getValue(t):this._workspaceConfiguration.freeze().getValue(t):void 0,V=u?s.overrideIdentifier?u.freeze().override(s.overrideIdentifier).getValue(t):u.freeze().getValue(t):void 0,ee=s.overrideIdentifier?p.override(s.overrideIdentifier).getValue(t):p.getValue(t),q=a.getValue(t),x=D.distinct(D.flatten(a.overrides.map(Q=>Q.identifiers))).filter(Q=>a.getOverrideValue(t,Q)!==void 0);return{defaultValue:f,userValue:L,userLocalValue:T,userRemoteValue:W,workspaceValue:N,workspaceFolderValue:V,memoryValue:ee,value:q,default:f!==void 0?{value:this._defaultConfiguration.freeze().getValue(t),override:s.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(t,s.overrideIdentifier):void 0}:void 0,user:L!==void 0?{value:this.userConfiguration.freeze().getValue(t),override:s.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(t,s.overrideIdentifier):void 0}:void 0,userLocal:T!==void 0?{value:this.localUserConfiguration.freeze().getValue(t),override:s.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(t,s.overrideIdentifier):void 0}:void 0,userRemote:W!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(t),override:s.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(t,s.overrideIdentifier):void 0}:void 0,workspace:N!==void 0?{value:this._workspaceConfiguration.freeze().getValue(t),override:s.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(t,s.overrideIdentifier):void 0}:void 0,workspaceFolder:V!==void 0?{value:u?.freeze().getValue(t),override:s.overrideIdentifier?u?.freeze().getOverrideValue(t,s.overrideIdentifier):void 0}:void 0,memory:ee!==void 0?{value:p.getValue(t),override:s.overrideIdentifier?p.getOverrideValue(t,s.overrideIdentifier):void 0}:void 0,overrideIdentifiers:x.length?x:void 0}}keys(t){const s=this.getFolderConfigurationModelForResource(void 0,t);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:s?s.freeze().keys:[]}}updateDefaultConfiguration(t){this._defaultConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(t){this._localUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(t){this._remoteUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(t){this._workspaceConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(t,s){this._folderConfigurations.set(t,s),this._foldersConsolidatedConfigurations.delete(t)}deleteFolderConfiguration(t){this.folderConfigurations.delete(t),this._foldersConsolidatedConfigurations.delete(t)}compareAndUpdateDefaultConfiguration(t,s){const r=s.filter(a=>w.OVERRIDE_PROPERTY_PATTERN.test(a)).map(a=>{const u=w.overrideIdentifierFromKey(a),p=this._defaultConfiguration.getKeysForOverrideIdentifier(u),f=t.getKeysForOverrideIdentifier(u),L=[...f.filter(T=>p.indexOf(T)===-1),...p.filter(T=>f.indexOf(T)===-1),...p.filter(T=>!E.equals(this._defaultConfiguration.override(u).getValue(T),t.override(u).getValue(T)))];return[u,L]});return this.updateDefaultConfiguration(t),{keys:s,overrides:r}}compareAndUpdateLocalUserConfiguration(t){const{added:s,updated:r,removed:a,overrides:u}=v.compare(this.localUserConfiguration,t),p=[...s,...r,...a];return p.length&&this.updateLocalUserConfiguration(t),{keys:p,overrides:u}}compareAndUpdateRemoteUserConfiguration(t){const{added:s,updated:r,removed:a,overrides:u}=v.compare(this.remoteUserConfiguration,t);let p=[...s,...r,...a];return p.length&&this.updateRemoteUserConfiguration(t),{keys:p,overrides:u}}compareAndUpdateWorkspaceConfiguration(t){const{added:s,updated:r,removed:a,overrides:u}=v.compare(this.workspaceConfiguration,t);let p=[...s,...r,...a];return p.length&&this.updateWorkspaceConfiguration(t),{keys:p,overrides:u}}compareAndUpdateFolderConfiguration(t,s){const r=this.folderConfigurations.get(t),{added:a,updated:u,removed:p,overrides:f}=v.compare(r,s);let L=[...a,...u,...p];return(L.length||!r)&&this.updateFolderConfiguration(t,s),{keys:L,overrides:f}}compareAndDeleteFolderConfiguration(t){const s=this.folderConfigurations.get(t);if(!s)throw new Error("Unknown folder");this.deleteFolderConfiguration(t);const{added:r,updated:a,removed:u,overrides:p}=v.compare(s,void 0);return{keys:[...r,...a,...u],overrides:p}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(t,s){let r=this.getConsolidatedConfigurationModelForResource(t,s);return t.overrideIdentifier?r.override(t.overrideIdentifier):r}getConsolidatedConfigurationModelForResource({resource:t},s){let r=this.getWorkspaceConsolidatedConfiguration();if(s&&t){const a=s.getFolder(t);a&&(r=this.getFolderConsolidatedConfiguration(a.uri)||r);const u=this._memoryConfigurationByResource.get(t);u&&(r=r.merge(u))}return r}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(t){let s=this._foldersConsolidatedConfigurations.get(t);if(!s){const r=this.getWorkspaceConsolidatedConfiguration(),a=this._folderConfigurations.get(t);a?(s=r.merge(a),this._freeze&&(s=s.freeze()),this._foldersConsolidatedConfigurations.set(t,s)):s=r}return s}getFolderConfigurationModelForResource(t,s){if(s&&t){const r=s.getFolder(t);if(r)return this._folderConfigurations.get(r.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((t,s)=>{const{contents:r,overrides:a,keys:u}=this._folderConfigurations.get(s);return t.push([s,{contents:r,overrides:a,keys:u}]),t},[])}}allKeys(){const t=new Set;return this._defaultConfiguration.freeze().keys.forEach(s=>t.add(s)),this.userConfiguration.freeze().keys.forEach(s=>t.add(s)),this._workspaceConfiguration.freeze().keys.forEach(s=>t.add(s)),this._folderConfigurations.forEach(s=>s.freeze().keys.forEach(r=>t.add(r))),[...t.values()]}getAllKeysForOverrideIdentifier(t){const s=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(t).forEach(r=>s.add(r)),this.userConfiguration.getKeysForOverrideIdentifier(t).forEach(r=>s.add(r)),this._workspaceConfiguration.getKeysForOverrideIdentifier(t).forEach(r=>s.add(r)),this._folderConfigurations.forEach(r=>r.getKeysForOverrideIdentifier(t).forEach(a=>s.add(a))),[...s.values()]}static parse(t){const s=this.parseConfigurationModel(t.defaults),r=this.parseConfigurationModel(t.user),a=this.parseConfigurationModel(t.workspace),u=t.folders.reduce((p,f)=>(p.set(n.URI.revive(f[0]),this.parseConfigurationModel(f[1])),p),new M.ResourceMap);return new I(s,r,new y,a,u,new y,new M.ResourceMap,!1)}static parseConfigurationModel(t){return new y(t.contents,t.keys,t.overrides).freeze()}}e.Configuration=I;function l(...c){if(c.length===0)return{keys:[],overrides:[]};if(c.length===1)return c[0];const t=new Set,s=new Map;for(const a of c)a.keys.forEach(u=>t.add(u)),a.overrides.forEach(([u,p])=>{const f=M.getOrSet(s,u,new Set);p.forEach(L=>f.add(L))});const r=[];return s.forEach((a,u)=>r.push([u,[...a.values()]])),{keys:[...t.values()],overrides:r}}e.mergeChanges=l;class h{constructor(t,s,r,a){this.change=t,this.previous=s,this.currentConfiguraiton=r,this.currentWorkspace=a,this._previousConfiguration=void 0;const u=new Set;t.keys.forEach(f=>u.add(f)),t.overrides.forEach(([,f])=>f.forEach(L=>u.add(L))),this.affectedKeys=[...u.values()];const p=new y;this.affectedKeys.forEach(f=>p.setValue(f,{})),this.affectedKeysTree=p.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=I.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(t,s){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,t)){if(s){const r=this.previousConfiguration?this.previousConfiguration.getValue(t,s,this.previous?.workspace):void 0,a=this.currentConfiguraiton.getValue(t,s,this.currentWorkspace);return!E.equals(r,a)}return!0}return!1}doesAffectedKeysTreeContains(t,s){let r=v.toValuesTree({[s]:!0},()=>{}),a;for(;typeof r=="object"&&(a=Object.keys(r)[0]);){if(t=t[a],!t)return!1;r=r[a]}return!0}}e.ConfigurationChangeEvent=h;class o extends h{constructor(t,s,r,a){super({keys:t.allKeys(),overrides:[]},void 0,t,s);this.source=r,this.sourceConfig=a}}e.AllKeysConfigurationChangeEvent=o}),define(J[190],Z([0,1,38,50,2,21,189,5,9,15]),function(j,e,g,M,D,S,E,n,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationService=void 0;class i extends D.Disposable{constructor(P,y){super();this.settingsResource=P,this._onDidChangeConfiguration=this._register(new n.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.userConfiguration=this._register(new E.UserSettings(this.settingsResource,void 0,v.extUriBiasedIgnorePathCase,y)),this.configuration=new E.Configuration(new E.DefaultConfigurationModel,new E.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new w.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(g.Registry.as(M.Extensions.Configuration).onDidUpdateConfiguration(d=>this.onDidDefaultConfigurationChange(d))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const P=await this.userConfiguration.loadConfiguration();this.configuration=new E.Configuration(new E.DefaultConfigurationModel,P)}getConfigurationData(){return this.configuration.toData()}getValue(P,y){const d=typeof P=="string"?P:void 0,m=S.isConfigurationOverrides(P)?P:S.isConfigurationOverrides(y)?y:{};return this.configuration.getValue(d,m,void 0)}updateValue(P,y,d,m){return Promise.reject(new Error("not supported"))}inspect(P){return this.configuration.inspect(P,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const P=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(P)}onDidChangeUserConfiguration(P){const y=this.configuration.toData(),d=this.configuration.compareAndUpdateLocalUserConfiguration(P);this.trigger(d,y,1)}onDidDefaultConfigurationChange(P){const y=this.configuration.toData(),d=this.configuration.compareAndUpdateDefaultConfiguration(new E.DefaultConfigurationModel,P);this.trigger(d,y,6)}trigger(P,y,d){const m=new E.ConfigurationChangeEvent(P,{data:y},this.configuration);m.source=d,m.sourceConfig=this.getTargetConfiguration(d),this._onDidChangeConfiguration.fire(m)}getTargetConfiguration(P){switch(P){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}e.ConfigurationService=i}),define(J[191],Z([0,1,4]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=g.createDecorator("remoteAuthorityResolverService");var M;(function(S){S.Unknown="Unknown",S.NotAvailable="NotAvailable",S.TemporarilyNotAvailable="TemporarilyNotAvailable",S.NoResolverFound="NoResolverFound"})(M=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class D extends Error{constructor(E,n=M.Unknown,w){super(E);this._message=E,this._code=n,this._detail=w,this.isHandled=n===M.NotAvailable&&w===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,D.prototype)}static isTemporarilyNotAvailable(E){return E instanceof D&&E._code===M.TemporarilyNotAvailable}static isNoResolverFound(E){return E instanceof D&&E._code===M.NoResolverFound}static isHandled(E){return E instanceof D&&E.isHandled}}e.RemoteAuthorityResolverError=D}),define(J[192],Z([0,1,84,28,2,17,5,191,16,9,25]),function(j,e,g,M,D,S,E,n,w,v,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostPersistentConnection=e.ManagementPersistentConnection=e.ReconnectionPermanentFailureEvent=e.ConnectionGainEvent=e.ReconnectionRunningEvent=e.ReconnectionWaitEvent=e.ConnectionLostEvent=e.PersistentConnectionEventType=e.connectRemoteAgentTunnel=e.connectRemoteAgentExtensionHost=e.connectRemoteAgentManagement=e.ConnectionType=void 0;const b=30*1e3;var P;(function(O){O[O.Management=1]="Management",O[O.ExtensionHost=2]="ExtensionHost",O[O.Tunnel=3]="Tunnel"})(P=e.ConnectionType||(e.ConnectionType={}));function y(O){switch(O){case 1:return"Management";case 2:return"ExtensionHost";case 3:return"Tunnel"}}function d(O){const A=new i.CancellationTokenSource;return setTimeout(()=>A.cancel(),O),A.token}function m(O,A){if(O.isCancellationRequested||A.isCancellationRequested)return i.CancellationToken.Cancelled;const z=new i.CancellationTokenSource;return O.onCancellationRequested(()=>z.cancel()),A.onCancellationRequested(()=>z.cancel()),z.token}class k{constructor(A){this._state="pending",this._disposables=new D.DisposableStore,this.promise=new Promise((z,K)=>{this._resolvePromise=z,this._rejectPromise=K}),A.isCancellationRequested?this._timeout():this._disposables.add(A.onCancellationRequested(()=>this._timeout()))}get didTimeout(){return this._state==="timedout"}registerDisposable(A){this._state==="pending"?this._disposables.add(A):A.dispose()}_timeout(){this._state==="pending"&&(this._disposables.dispose(),this._state="timedout",this._rejectPromise(this._createTimeoutError()))}_createTimeoutError(){const A=new Error("Time limit reached");return A.code="ETIMEDOUT",A.syscall="connect",A}resolve(A){this._state==="pending"&&(this._disposables.dispose(),this._state="resolved",this._resolvePromise(A))}reject(A){this._state==="pending"&&(this._disposables.dispose(),this._state="rejected",this._rejectPromise(A))}}function I(O,A){const z=new k(A);return z.registerDisposable(O.onControlMessage(K=>{const Y=JSON.parse(K.toString()),G=U(Y);G?z.reject(G):z.resolve(Y)})),z.promise}function l(O,A,z,K,Y,G){const X=new k(G);return A.connect(z,K,Y,(ne,se)=>{X.didTimeout?(ne&&O.error(ne),se?.dispose()):ne||!se?X.reject(ne):X.resolve(se)}),X.promise}function h(O,A){const z=new k(A);return O.then(K=>{z.didTimeout||z.resolve(K)},K=>{z.didTimeout||z.reject(K)}),z.promise}async function o(O,A,z,K){const Y=R(O,A);O.logService.trace(`${Y} 1/6. invoking socketFactory.connect().`);let G;try{G=await l(O.logService,O.socketFactory,O.host,O.port,`reconnectionToken=${O.reconnectionToken}&reconnection=${O.reconnectionProtocol?"true":"false"}`,K)}catch(he){throw O.logService.error(`${Y} socketFactory.connect() failed or timed out. Error:`),O.logService.error(he),he}O.logService.trace(`${Y} 2/6. socketFactory.connect() was successful.`);let X,ne;O.reconnectionProtocol?(O.reconnectionProtocol.beginAcceptReconnection(G,null),X=O.reconnectionProtocol,ne=!1):(X=new g.PersistentProtocol(G,null),ne=!0),O.logService.trace(`${Y} 3/6. sending AuthRequest control message.`);const se={type:"auth",auth:O.connectionToken||"00000000000000000000"};X.sendControl(S.VSBuffer.fromString(JSON.stringify(se)));try{const he=await I(X,m(K,d(1e4)));if(he.type!=="sign"||typeof he.data!="string"){const ce=new Error("Unexpected handshake message");throw ce.code="VSCODE_CONNECTION_ERROR",ce}O.logService.trace(`${Y} 4/6. received SignRequest control message.`);const de=await h(O.signService.sign(he.data),K),re={type:"connectionType",commit:O.commit,signedData:de,desiredConnectionType:A};return z&&(re.args=z),O.logService.trace(`${Y} 5/6. sending ConnectionTypeRequest control message.`),X.sendControl(S.VSBuffer.fromString(JSON.stringify(re))),{protocol:X,ownsProtocol:ne}}catch(he){throw he&&he.code==="ETIMEDOUT"&&(O.logService.error(`${Y} the handshake timed out. Error:`),O.logService.error(he)),he&&he.code==="VSCODE_CONNECTION_ERROR"&&(O.logService.error(`${Y} received error control message when negotiating connection. Error:`),O.logService.error(he)),ne&&B(X),he}}async function c(O,A,z,K){const Y=Date.now(),G=R(O,A),{protocol:X,ownsProtocol:ne}=await o(O,A,z,K),se=new k(K);return se.registerDisposable(X.onControlMessage(he=>{const de=JSON.parse(he.toString()),re=U(de);re?(O.logService.error(`${G} received error control message when negotiating connection. Error:`),O.logService.error(re),ne&&B(X),se.reject(re)):(O.reconnectionProtocol&&O.reconnectionProtocol.endAcceptReconnection(),O.logService.trace(`${G} 6/6. handshake finished, connection is up and running after ${_(Y)}!`),se.resolve({protocol:X,firstMessage:de}))})),se.promise}async function t(O,A){const{protocol:z}=await c(O,1,void 0,A);return{protocol:z}}async function s(O,A,z){const{protocol:K,firstMessage:Y}=await c(O,2,A,z),G=Y&&Y.debugPort;return{protocol:K,debugPort:G}}async function r(O,A,z){const K=Date.now(),Y=R(O,3),{protocol:G}=await o(O,3,A,z);return O.logService.trace(`${Y} 6/6. handshake finished, connection is up and running after ${_(K)}!`),G}async function a(O,A,z){const{host:K,port:Y,connectionToken:G}=await O.addressProvider.getAddress();return{commit:O.commit,host:K,port:Y,connectionToken:G,reconnectionToken:A,reconnectionProtocol:z,socketFactory:O.socketFactory,signService:O.signService,logService:O.logService}}async function u(O,A,z){try{const K=M.generateUuid(),Y=await a(O,K,null),{protocol:G}=await t(Y,i.CancellationToken.None);return new Q(O,A,z,K,G)}catch(K){throw O.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),O.logService.error(K),x.triggerPermanentFailure(0,0,n.RemoteAuthorityResolverError.isHandled(K)),K}}e.connectRemoteAgentManagement=u;async function p(O,A){try{const z=M.generateUuid(),K=await a(O,z,null),{protocol:Y,debugPort:G}=await s(K,A,i.CancellationToken.None);return new C(O,A,z,Y,G)}catch(z){throw O.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),O.logService.error(z),x.triggerPermanentFailure(0,0,n.RemoteAuthorityResolverError.isHandled(z)),z}}e.connectRemoteAgentExtensionHost=p;async function f(O,A){const z=await a(O,M.generateUuid(),null);return await r(z,{port:A},i.CancellationToken.None)}e.connectRemoteAgentTunnel=f;function L(O){return v.createCancelablePromise(A=>new Promise((z,K)=>{const Y=setTimeout(z,O*1e3);A.onCancellationRequested(()=>{clearTimeout(Y),z()})}))}var T;(function(O){O[O.ConnectionLost=0]="ConnectionLost",O[O.ReconnectionWait=1]="ReconnectionWait",O[O.ReconnectionRunning=2]="ReconnectionRunning",O[O.ReconnectionPermanentFailure=3]="ReconnectionPermanentFailure",O[O.ConnectionGain=4]="ConnectionGain"})(T=e.PersistentConnectionEventType||(e.PersistentConnectionEventType={}));class W{constructor(A,z){this.reconnectionToken=A,this.millisSinceLastIncomingData=z,this.type=0}}e.ConnectionLostEvent=W;class N{constructor(A,z,K,Y){this.reconnectionToken=A,this.millisSinceLastIncomingData=z,this.durationSeconds=K,this.cancellableTimer=Y,this.type=1}skipWait(){this.cancellableTimer.cancel()}}e.ReconnectionWaitEvent=N;class V{constructor(A,z,K){this.reconnectionToken=A,this.millisSinceLastIncomingData=z,this.attempt=K,this.type=2}}e.ReconnectionRunningEvent=V;class ee{constructor(A,z,K){this.reconnectionToken=A,this.millisSinceLastIncomingData=z,this.attempt=K,this.type=4}}e.ConnectionGainEvent=ee;class q{constructor(A,z,K,Y){this.reconnectionToken=A,this.millisSinceLastIncomingData=z,this.attempt=K,this.handled=Y,this.type=3}}e.ReconnectionPermanentFailureEvent=q;class x extends D.Disposable{constructor(A,z,K,Y){super();this._connectionType=A,this._onDidStateChange=this._register(new E.Emitter),this.onDidStateChange=this._onDidStateChange.event,this._options=z,this.reconnectionToken=K,this.protocol=Y,this._isReconnecting=!1,this._onDidStateChange.fire(new ee(this.reconnectionToken,0,0)),this._register(Y.onSocketClose(G=>{const X=F(this._connectionType,this.reconnectionToken,!0);G?G.type===0?(this._options.logService.info(`${X} received socket close event (hadError: ${G.hadError}).`),G.error&&this._options.logService.error(G.error)):(this._options.logService.info(`${X} received socket close event (wasClean: ${G.wasClean}, code: ${G.code}, reason: ${G.reason}).`),G.event&&this._options.logService.error(G.event)):this._options.logService.info(`${X} received socket close event.`),this._beginReconnecting()})),this._register(Y.onSocketTimeout(()=>{const G=F(this._connectionType,this.reconnectionToken,!0);this._options.logService.trace(`${G} received socket timeout event.`),this._beginReconnecting()})),x._instances.push(this),x._permanentFailure&&this._gotoPermanentFailure(x._permanentFailureMillisSinceLastIncomingData,x._permanentFailureAttempt,x._permanentFailureHandled)}static triggerPermanentFailure(A,z,K){this._permanentFailure=!0,this._permanentFailureMillisSinceLastIncomingData=A,this._permanentFailureAttempt=z,this._permanentFailureHandled=K,this._instances.forEach(Y=>Y._gotoPermanentFailure(this._permanentFailureMillisSinceLastIncomingData,this._permanentFailureAttempt,this._permanentFailureHandled))}async _beginReconnecting(){if(!this._isReconnecting)try{this._isReconnecting=!0,await this._runReconnectingLoop()}finally{this._isReconnecting=!1}}async _runReconnectingLoop(){if(x._permanentFailure)return;const A=F(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${A} starting reconnecting loop. You can get more information with the trace log level.`),this._onDidStateChange.fire(new W(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData()));const z=[0,5,5,10,10,10,10,10,30];let K=-1;do{K++;const Y=K<z.length?z[K]:z[z.length-1];try{if(Y>0){const X=L(Y);this._onDidStateChange.fire(new N(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),Y,X)),this._options.logService.info(`${A} waiting for ${Y} seconds before reconnecting...`);try{await X}catch{}}if(x._permanentFailure){this._options.logService.error(`${A} permanent failure occurred while running the reconnecting loop.`);break}this._onDidStateChange.fire(new V(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),K+1)),this._options.logService.info(`${A} resolving connection...`);const G=await a(this._options,this.reconnectionToken,this.protocol);this._options.logService.info(`${A} connecting to ${G.host}:${G.port}...`),await this._reconnect(G,d(b)),this._options.logService.info(`${A} reconnected!`),this._onDidStateChange.fire(new ee(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),K+1));break}catch(G){if(G.code==="VSCODE_CONNECTION_ERROR"){this._options.logService.error(`${A} A permanent error occurred in the reconnecting loop! Will give up now! Error:`),this._options.logService.error(G),x.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),K+1,!1);break}if(K>360){this._options.logService.error(`${A} An error occurred while reconnecting, but it will be treated as a permanent error because the reconnection grace time has expired! Will give up now! Error:`),this._options.logService.error(G),x.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),K+1,!1);break}if(n.RemoteAuthorityResolverError.isTemporarilyNotAvailable(G)){this._options.logService.info(`${A} A temporarily not available error occurred while trying to reconnect, will try again...`),this._options.logService.trace(G);continue}if((G.code==="ETIMEDOUT"||G.code==="ENETUNREACH"||G.code==="ECONNREFUSED"||G.code==="ECONNRESET")&&G.syscall==="connect"){this._options.logService.info(`${A} A network error occurred while trying to reconnect, will try again...`),this._options.logService.trace(G);continue}if(w.isPromiseCanceledError(G)){this._options.logService.info(`${A} A promise cancelation error occurred while trying to reconnect, will try again...`),this._options.logService.trace(G);continue}if(G instanceof n.RemoteAuthorityResolverError){this._options.logService.error(`${A} A RemoteAuthorityResolverError occurred while trying to reconnect. Will give up now! Error:`),this._options.logService.error(G),x.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),K+1,n.RemoteAuthorityResolverError.isHandled(G));break}this._options.logService.error(`${A} An unknown error occurred while trying to reconnect, since this is an unknown case, it will be treated as a permanent error! Will give up now! Error:`),this._options.logService.error(G),x.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),K+1,!1);break}}while(!x._permanentFailure)}_gotoPermanentFailure(A,z,K){this._onDidStateChange.fire(new q(this.reconnectionToken,A,z,K)),B(this.protocol)}}x._permanentFailure=!1,x._permanentFailureMillisSinceLastIncomingData=0,x._permanentFailureAttempt=0,x._permanentFailureHandled=!1,x._instances=[];class Q extends x{constructor(A,z,K,Y,G){super(1,A,Y,G);this.client=this._register(new g.Client(G,{remoteAuthority:z,clientId:K},A.ipcLogger))}async _reconnect(A,z){await t(A,z)}}e.ManagementPersistentConnection=Q;class C extends x{constructor(A,z,K,Y,G){super(2,A,K,Y);this._startArguments=z,this.debugPort=G}async _reconnect(A,z){await s(A,this._startArguments,z)}}e.ExtensionHostPersistentConnection=C;function B(O){try{O.acceptDisconnect();const A=O.getSocket();O.dispose(),A.dispose()}catch(A){w.onUnexpectedError(A)}}function U(O){if(O&&O.type==="error"){const A=new Error(`Connection error: ${O.reason}`);return A.code="VSCODE_CONNECTION_ERROR",A}return null}function $(O,A){for(;O.length<A;)O+=" ";return O}function F(O,A,z){return`[remote-connection][${$(y(O),13)}][${A.substr(0,5)}\u2026][${z?"reconnect":"initial"}]`}function R(O,A){return`${F(A,O.reconnectionToken,!!O.reconnectionProtocol)}[${O.host}:${O.port}]`}function _(O){return`${Date.now()-O} ms`}}),define(J[73],Z([0,1,10]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isVirtualWorkspace=e.getVirtualWorkspaceScheme=e.getVirtualWorkspaceLocation=e.isVirtualResource=e.getRemoteName=e.getRemoteAuthority=void 0;function M(v){return v.scheme===g.Schemas.vscodeRemote?v.authority:void 0}e.getRemoteAuthority=M;function D(v){if(!v)return;const i=v.indexOf("+");return i<0?v:v.substr(0,i)}e.getRemoteName=D;function S(v){return v.scheme!==g.Schemas.file&&v.scheme!==g.Schemas.vscodeRemote}e.isVirtualResource=S;function E(v){if(v.folders.length)return v.folders.every(i=>S(i.uri))?v.folders[0].uri:void 0;if(v.configuration&&S(v.configuration))return v.configuration}e.getVirtualWorkspaceLocation=E;function n(v){return E(v)?.scheme}e.getVirtualWorkspaceScheme=n;function w(v){return E(v)!==void 0}e.isVirtualWorkspace=w}),define(J[74],Z([0,1,5,3,4,6]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelProtocol=e.ITunnelService=void 0,e.ITunnelService=D.createDecorator("tunnelService");var E;(function(y){y.Http="http",y.Https="https"})(E=e.TunnelProtocol||(e.TunnelProtocol={}));var n;(function(y){y[y.Notify=1]="Notify",y[y.OpenBrowser=2]="OpenBrowser",y[y.OpenPreview=3]="OpenPreview",y[y.Silent=4]="Silent",y[y.Ignore=5]="Ignore",y[y.OpenBrowserOnce=6]="OpenBrowserOnce"})(n=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function w(y){if(y.scheme!=="http"&&y.scheme!=="https")return;const d=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(y.authority);if(!!d)return{address:d[1],port:+d[2]}}e.extractLocalHostUriMetaDataForPortMapping=w,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function v(y){return e.LOCALHOST_ADDRESSES.indexOf(y)>=0}e.isLocalhost=v,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function i(y){return e.ALL_INTERFACES_ADDRESSES.indexOf(y)>=0}e.isAllInterfaces=i;function b(y,d){return d?d!==1&&y<1024:!M.isWindows&&y<1024}e.isPortPrivileged=b;let P=class{constructor(d){this.logService=d,this._onTunnelOpened=new g.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new g.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._onAddedTunnelProvider=new g.Emitter,this.onAddedTunnelProvider=this._onAddedTunnelProvider.event,this._tunnels=new Map,this._canElevate=!1,this._canMakePublic=!1}get hasTunnelProvider(){return!!this._tunnelProvider}setTunnelProvider(d,m){return this._tunnelProvider=d,d?(this._canElevate=m.elevation,this._canMakePublic=m.public,this._onAddedTunnelProvider.fire(),{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._canMakePublic=!1}}):(this._canElevate=!1,this._canMakePublic=!1,this._onAddedTunnelProvider.fire(),{dispose:()=>{}})}get canElevate(){return this._canElevate}get canMakePublic(){return this._canMakePublic}get tunnels(){return new Promise(async d=>{const m=[],k=Array.from(this._tunnels.values());for(let I of k){const l=Array.from(I.values());for(let h of l){const o=await h.value;o&&m.push(o)}}d(m)})}async dispose(){for(const d of this._tunnels.values()){for(const{value:m}of d.values())await m.then(k=>k?.dispose());d.clear()}this._tunnels.clear()}openTunnel(d,m,k,I,l=!1,h=!1,o){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${m}:${k} on local port ${I}.`),!d)return;m||(m="localhost");const c=this.retainOrCreateTunnel(d,m,k,I,l,h,o);return c?c.then(t=>{if(!t){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(m,k);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const s=this.makeTunnel(t);return(t.tunnelRemoteHost!==m||t.tunnelRemotePort!==k)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(s),s}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),c)}makeTunnel(d){return{tunnelRemotePort:d.tunnelRemotePort,tunnelRemoteHost:d.tunnelRemoteHost,tunnelLocalPort:d.tunnelLocalPort,localAddress:d.localAddress,public:d.public,protocol:d.protocol,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${d.tunnelRemoteHost}:${d.tunnelRemotePort} `);const m=this._tunnels.get(d.tunnelRemoteHost);if(m){const k=m.get(d.tunnelRemotePort);k&&(k.refcount--,await this.tryDisposeTunnel(d.tunnelRemoteHost,d.tunnelRemotePort,k))}}}}async tryDisposeTunnel(d,m,k){if(k.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${d}:${m}.`);const I=k.value.then(async l=>{l&&(await l.dispose(!0),this._onTunnelClosed.fire({host:l.tunnelRemoteHost,port:l.tunnelRemotePort}))});return this._tunnels.has(d)&&this._tunnels.get(d).delete(m),I}}async closeTunnel(d,m){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${d}:${m} `);const k=this._tunnels.get(d);if(k&&k.has(m)){const I=k.get(m);I.refcount=0,await this.tryDisposeTunnel(d,m,I)}}addTunnelToMap(d,m,k){this._tunnels.has(d)||this._tunnels.set(d,new Map),this._tunnels.get(d).set(m,{refcount:1,value:k})}async removeEmptyTunnelFromMap(d,m){const k=this._tunnels.get(d);k&&(await k.get(m)||k.delete(m),k.size===0&&this._tunnels.delete(d))}getTunnelFromMap(d,m){let k=[d];v(d)?(k.push(...e.LOCALHOST_ADDRESSES),k.push(...e.ALL_INTERFACES_ADDRESSES)):i(d)&&k.push(...e.ALL_INTERFACES_ADDRESSES);const I=k.map(l=>this._tunnels.get(l));for(const l of I){const h=l?.get(m);if(h)return h}}canTunnel(d){return!!w(d)}createWithProvider(d,m,k,I,l,h,o){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${m}:${k} on local port ${I}.`);const t={elevationRequired:l?b(I===void 0?k:I):!1},s={remoteAddress:{host:m,port:k},localAddressPort:I,public:h,protocol:o},r=d.forwardPort(s,t);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),r&&this.addTunnelToMap(m,k,r),r}};P=ue([te(0,S.ILogService)],P),e.AbstractTunnelService=P}),define(J[51],Z([0,1,147,4,50,38,17]),function(j,e,g,M,D,S,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.updateProxyConfigurationsScope=e.asJson=e.asText=e.isSuccess=e.IRequestService=void 0,e.IRequestService=M.createDecorator("requestService");function n(d){return d.res.statusCode&&d.res.statusCode>=200&&d.res.statusCode<300||d.res.statusCode===1223}e.isSuccess=n;function w(d){return d.res.statusCode===204}async function v(d){if(!n(d))throw new Error("Server returned "+d.res.statusCode);return w(d)?null:(await E.streamToBuffer(d.stream)).toString()}e.asText=v;async function i(d){if(!n(d))throw new Error("Server returned "+d.res.statusCode);if(w(d))return null;const k=(await E.streamToBuffer(d.stream)).toString();try{return JSON.parse(k)}catch(I){throw I.message+=`:
`+k,I}}e.asJson=i;function b(d){y(d)}e.updateProxyConfigurationsScope=b;let P;function y(d){const m=S.Registry.as(D.Extensions.Configuration);P&&m.deregisterConfigurations([P]),P={id:"http",order:15,title:g.localize(0,null),type:"object",scope:d,properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:g.localize(1,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:g.localize(2,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:g.localize(3,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[g.localize(4,null),g.localize(5,null),g.localize(6,null),g.localize(7,null)],default:"override",description:g.localize(8,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:g.localize(9,null),restricted:!0}}},m.registerConfiguration(P)}y(2)}),define(J[193],Z([0,1,194,13]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getProxyAgent=void 0;function D(E,n){return E.protocol==="http:"?n.HTTP_PROXY||n.http_proxy||null:E.protocol==="https:"&&(n.HTTPS_PROXY||n.https_proxy||n.HTTP_PROXY||n.http_proxy)||null}async function S(E,n,w={}){const v=g.parse(E),i=w.proxyUrl||D(v,n);if(!i)return null;const b=g.parse(i);if(!/^https?:$/.test(b.protocol||""))return null;const P={host:b.hostname||"",port:b.port||(b.protocol==="https"?"443":"80"),auth:b.auth,rejectUnauthorized:M.isBoolean(w.strictSSL)?w.strictSSL:!0};return v.protocol==="http:"?new(await new Promise((y,d)=>{j(["http-proxy-agent"],y,d)}))(P):new(await new Promise((y,d)=>{j(["https-proxy-agent"],y,d)}))(P)}e.getProxyAgent=S}),define(J[195],Z([0,1,28,17]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getServiceMachineId=void 0;async function D(S,E,n){let w=n&&n.get("storage.serviceMachineId",0)||null;if(w)return w;try{const i=(await E.readFile(S.serviceMachineIdResource)).value.toString();w=g.isUUID(i)?i:null}catch(v){w=null}if(!w){w=g.generateUuid();try{await E.writeFile(S.serviceMachineIdResource,M.VSBuffer.fromString(w))}catch(v){}}return n&&n.store("storage.serviceMachineId",w,0,1),w}e.getServiceMachineId=D}),define(J[75],Z([0,1,4]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ISignService=e.SIGN_SERVICE_ID=void 0,e.SIGN_SERVICE_ID="signService",e.ISignService=g.createDecorator(e.SIGN_SERVICE_ID)}),define(J[196],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class g{vsda(){return new Promise((D,S)=>j(["vsda"],D,S))}async sign(D){try{const S=await this.vsda(),E=new S.signer;if(E)return E.sign(D)}catch(S){}return D}}e.SignService=g}),define(J[39],Z([0,1,4]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IStateMainService=void 0,e.IStateMainService=g.createDecorator("stateMainService")}),define(J[22],Z([0,1,14,6,39,5,4,178,3,2,9,13,33]),function(j,e,g,M,D,S,E,n,w,v,i,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LifecycleMainService=e.LifecycleMainPhase=e.UnloadReason=e.LoadReason=e.ILifecycleMainService=void 0,e.ILifecycleMainService=E.createDecorator("lifecycleMainService");var y;(function(I){I[I.LOAD=1]="LOAD",I[I.RELOAD=2]="RELOAD"})(y=e.LoadReason||(e.LoadReason={}));var d;(function(I){I[I.CLOSE=1]="CLOSE",I[I.QUIT=2]="QUIT",I[I.RELOAD=3]="RELOAD",I[I.LOAD=4]="LOAD"})(d=e.UnloadReason||(e.UnloadReason={}));var m;(function(I){I[I.Starting=1]="Starting",I[I.Ready=2]="Ready",I[I.AfterWindowOpen=3]="AfterWindowOpen"})(m=e.LifecycleMainPhase||(e.LifecycleMainPhase={}));let k=class ot extends v.Disposable{constructor(l,h){super();this.logService=l,this.stateMainService=h,this._onBeforeShutdown=this._register(new S.Emitter),this.onBeforeShutdown=this._onBeforeShutdown.event,this._onWillShutdown=this._register(new S.Emitter),this.onWillShutdown=this._onWillShutdown.event,this._onWillLoadWindow=this._register(new S.Emitter),this.onWillLoadWindow=this._onWillLoadWindow.event,this._onBeforeCloseWindow=this._register(new S.Emitter),this.onBeforeCloseWindow=this._onBeforeCloseWindow.event,this._onBeforeUnloadWindow=this._register(new S.Emitter),this.onBeforeUnloadWindow=this._onBeforeUnloadWindow.event,this._quitRequested=!1,this._wasRestarted=!1,this._phase=1,this.windowToCloseRequest=new Set,this.oneTimeListenerTokenGenerator=0,this.windowCounter=0,this.pendingQuitPromise=void 0,this.pendingQuitPromiseResolve=void 0,this.pendingWillShutdownPromise=void 0,this.phaseWhen=new Map,this.resolveRestarted(),this.when(2).then(()=>this.registerListeners())}get quitRequested(){return this._quitRequested}get wasRestarted(){return this._wasRestarted}get phase(){return this._phase}resolveRestarted(){this._wasRestarted=!!this.stateMainService.getItem(ot.QUIT_AND_RESTART_KEY),this._wasRestarted&&this.stateMainService.removeItem(ot.QUIT_AND_RESTART_KEY)}registerListeners(){const l=()=>{this._quitRequested||(this.logService.trace("Lifecycle#app.on(before-quit)"),this._quitRequested=!0,this.logService.trace("Lifecycle#onBeforeShutdown.fire()"),this._onBeforeShutdown.fire(),w.isMacintosh&&this.windowCounter===0&&this.beginOnWillShutdown())};g.app.addListener("before-quit",l);const h=()=>{this.logService.trace("Lifecycle#app.on(window-all-closed)"),(this._quitRequested||!w.isMacintosh)&&g.app.quit()};g.app.addListener("window-all-closed",h),g.app.once("will-quit",o=>{this.logService.trace("Lifecycle#app.on(will-quit)"),o.preventDefault(),this.beginOnWillShutdown().finally(()=>{this.resolvePendingQuitPromise(!1),g.app.removeListener("before-quit",l),g.app.removeListener("window-all-closed",h),g.app.quit()})})}beginOnWillShutdown(){if(this.pendingWillShutdownPromise)return this.pendingWillShutdownPromise;this.logService.trace("Lifecycle#onWillShutdown.fire()");const l=[];return this._onWillShutdown.fire({join(h){l.push(h)}}),this.pendingWillShutdownPromise=(async()=>{try{await i.Promises.settled(l)}catch(h){this.logService.error(h)}try{await this.stateMainService.close()}catch(h){this.logService.error(h)}})(),this.pendingWillShutdownPromise}set phase(l){if(l<this.phase)throw new Error("Lifecycle cannot go backwards");if(this._phase===l)return;this.logService.trace(`lifecycle (main): phase changed (value: ${l})`),this._phase=l;const h=this.phaseWhen.get(this._phase);h&&(h.open(),this.phaseWhen.delete(this._phase))}async when(l){if(l<=this._phase)return;let h=this.phaseWhen.get(l);h||(h=new i.Barrier,this.phaseWhen.set(l,h)),await h.wait()}registerWindow(l){const h=new v.DisposableStore;this.windowCounter++,h.add(l.onWillLoad(c=>this._onWillLoadWindow.fire({window:l,workspace:c.workspace,reason:c.isReload?2:1})));const o=b.assertIsDefined(l.win);o.on("close",c=>{const t=l.id;if(this.windowToCloseRequest.has(t)){this.windowToCloseRequest.delete(t);return}this.logService.trace(`Lifecycle#window.on('close') - window ID ${l.id}`),c.preventDefault(),this.unload(l,1).then(s=>{if(s){this.windowToCloseRequest.delete(t);return}this.windowToCloseRequest.add(t),this.logService.trace(`Lifecycle#onBeforeCloseWindow.fire() - window ID ${t}`),this._onBeforeCloseWindow.fire(l),l.close()})}),o.on("closed",()=>{this.logService.trace(`Lifecycle#window.on('closed') - window ID ${l.id}`),this.windowCounter--,h.dispose(),this.windowCounter===0&&(!w.isMacintosh||this._quitRequested)&&this.beginOnWillShutdown()})}async reload(l,h){await this.unload(l,3)||l.reload(h)}async unload(l,h){if(!l.isReady)return!1;this.logService.trace(`Lifecycle#unload() - window ID ${l.id}`);const o=this._quitRequested?2:h;let c=await this.onBeforeUnloadWindowInRenderer(l,o);return c?(this.logService.trace(`Lifecycle#unload() - veto in renderer (window ID ${l.id})`),this.handleWindowUnloadVeto(c)):(c=await this.onBeforeUnloadWindowInMain(l,o),c?(this.logService.trace(`Lifecycle#unload() - veto in main (window ID ${l.id})`),this.handleWindowUnloadVeto(c)):(this.logService.trace(`Lifecycle#unload() - no veto (window ID ${l.id})`),await this.onWillUnloadWindowInRenderer(l,o),!1))}handleWindowUnloadVeto(l){return l?(this.resolvePendingQuitPromise(!0),this._quitRequested=!1,!0):!1}resolvePendingQuitPromise(l){this.pendingQuitPromiseResolve&&(this.pendingQuitPromiseResolve(l),this.pendingQuitPromiseResolve=void 0,this.pendingQuitPromise=void 0)}onBeforeUnloadWindowInRenderer(l,h){return new Promise(o=>{const c=this.oneTimeListenerTokenGenerator++,t=`vscode:ok${c}`,s=`vscode:cancel${c}`;g.ipcMain.once(t,()=>{o(!1)}),g.ipcMain.once(s,()=>{o(!0)}),l.send("vscode:onBeforeUnload",{okChannel:t,cancelChannel:s,reason:h})})}onBeforeUnloadWindowInMain(l,h){const o=[];return this._onBeforeUnloadWindow.fire({reason:h,window:l,veto(c){o.push(c)}}),n.handleVetos(o,c=>this.logService.error(c))}onWillUnloadWindowInRenderer(l,h){return new Promise(o=>{const t=`vscode:reply${this.oneTimeListenerTokenGenerator++}`;g.ipcMain.once(t,()=>o()),l.send("vscode:onWillUnload",{replyChannel:t,reason:h})})}quit(l){return this.pendingQuitPromise?this.pendingQuitPromise:(this.logService.trace(`Lifecycle#quit() - will restart: ${l}`),l&&this.stateMainService.setItem(ot.QUIT_AND_RESTART_KEY,!0),this.pendingQuitPromise=new Promise(h=>{this.pendingQuitPromiseResolve=h,this.logService.trace("Lifecycle#quit() - calling app.quit()"),g.app.quit()}),this.pendingQuitPromise)}async relaunch(l){this.logService.trace("Lifecycle#relaunch()");const h=process.argv.slice(1);if(l?.addArgs&&h.push(...l.addArgs),l?.removeArgs)for(const t of l.removeArgs){const s=h.indexOf(t);s>=0&&h.splice(s,1)}const o=()=>{try{if(w.isWindows){const t=P.cwd();t!==process.cwd()&&process.chdir(t)}}catch(t){this.logService.error(t)}this.logService.trace("Lifecycle#relaunch() - calling app.relaunch()"),g.app.relaunch({args:h})};g.app.once("quit",o),await this.quit(!0)&&g.app.removeListener("quit",o)}async kill(l){this.logService.trace("Lifecycle#kill()"),await Promise.race([i.timeout(1e3),(async()=>{for(const h of g.BrowserWindow.getAllWindows())if(h&&!h.isDestroyed()){let o;h.webContents&&!h.webContents.isDestroyed()?o=new Promise(c=>h.once("closed",c)):o=Promise.resolve(),h.destroy(),await o}})()]),g.app.exit(l)}};k.QUIT_AND_RESTART_KEY="lifecycle.quitAndRestart",k=ue([te(0,M.ILogService),te(1,D.IStateMainService)],k),e.LifecycleMainService=k}),define(J[197],Z([0,1,4,5,2,22]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeyboardLayoutMainService=e.IKeyboardLayoutMainService=void 0,e.IKeyboardLayoutMainService=g.createDecorator("keyboardLayoutMainService");let E=class extends D.Disposable{constructor(v){super();this._onDidChangeKeyboardLayout=this._register(new M.Emitter),this.onDidChangeKeyboardLayout=this._onDidChangeKeyboardLayout.event,this._initPromise=null,this._keyboardLayoutData=null,v.when(3).then(()=>this._initialize())}_initialize(){return this._initPromise||(this._initPromise=this._doInitialize()),this._initPromise}async _doInitialize(){const v=await new Promise((i,b)=>{j(["native-keymap"],i,b)});this._keyboardLayoutData=n(v),v.onDidChangeKeyboardLayout(()=>{this._keyboardLayoutData=n(v),this._onDidChangeKeyboardLayout.fire(this._keyboardLayoutData)})}async getKeyboardLayoutData(){return await this._initialize(),this._keyboardLayoutData}};E=ue([te(0,S.ILifecycleMainService)],E),e.KeyboardLayoutMainService=E;function n(w){const v=w.getKeyMap(),i=w.getCurrentKeyboardLayout();return{keyboardMapping:v,keyboardLayoutInfo:i}}}),define(J[96],Z([0,1,4,5,2,13,86,9]),function(j,e,g,M,D,S,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logStorage=e.InMemoryStorageService=e.AbstractStorageService=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.IStorageService=e.IS_NEW_KEY=void 0,e.IS_NEW_KEY="__$__isNewStorageMarker";const w="__$__targetStorageMarker";e.IStorageService=g.createDecorator("storageService");var v;(function(m){m[m.NONE=0]="NONE",m[m.SHUTDOWN=1]="SHUTDOWN"})(v=e.WillSaveStateReason||(e.WillSaveStateReason={}));var i;(function(m){m[m.GLOBAL=0]="GLOBAL",m[m.WORKSPACE=1]="WORKSPACE"})(i=e.StorageScope||(e.StorageScope={}));var b;(function(m){m[m.USER=0]="USER",m[m.MACHINE=1]="MACHINE"})(b=e.StorageTarget||(e.StorageTarget={}));class P extends D.Disposable{constructor(k={flushInterval:P.DEFAULT_FLUSH_INTERVAL}){super();this.options=k,this._onDidChangeValue=this._register(new M.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new M.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new M.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new n.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new D.MutableDisposable),this._workspaceKeyTargets=void 0,this._globalKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=n.runWhenIdle(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){D.dispose([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{await this.doInitialize(),this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(k,I){I===w?(k===0?this._globalKeyTargets=void 0:k===1&&(this._workspaceKeyTargets=void 0),this._onDidChangeTarget.fire({scope:k})):this._onDidChangeValue.fire({scope:k,key:I,target:this.getKeyTargets(k)[I]})}emitWillSaveState(k){this._onWillSaveState.fire({reason:k})}get(k,I,l){return this.getStorage(I)?.get(k,l)}getBoolean(k,I,l){return this.getStorage(I)?.getBoolean(k,l)}getNumber(k,I,l){return this.getStorage(I)?.getNumber(k,l)}store(k,I,l,h){if(S.isUndefinedOrNull(I)){this.remove(k,l);return}this.withPausedEmitters(()=>{this.updateKeyTarget(k,l,h),this.getStorage(l)?.set(k,I)})}remove(k,I){this.withPausedEmitters(()=>{this.updateKeyTarget(k,I,void 0),this.getStorage(I)?.delete(k)})}withPausedEmitters(k){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{k()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(k,I){const l=[],h=this.getKeyTargets(k);for(const o of Object.keys(h))h[o]===I&&l.push(o);return l}updateKeyTarget(k,I,l){const h=this.getKeyTargets(I);typeof l=="number"?h[k]!==l&&(h[k]=l,this.getStorage(I)?.set(w,JSON.stringify(h))):typeof h[k]=="number"&&(delete h[k],this.getStorage(I)?.set(w,JSON.stringify(h)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get globalKeyTargets(){return this._globalKeyTargets||(this._globalKeyTargets=this.loadKeyTargets(0)),this._globalKeyTargets}getKeyTargets(k){return k===0?this.globalKeyTargets:this.workspaceKeyTargets}loadKeyTargets(k){const I=this.get(w,k);if(I)try{return JSON.parse(I)}catch(l){}return Object.create(null)}isNew(k){return this.getBoolean(e.IS_NEW_KEY,k)===!0}async flush(){this._onWillSaveState.fire({reason:v.NONE}),await n.Promises.settled([this.getStorage(0)?.whenFlushed()??Promise.resolve(),this.getStorage(1)?.whenFlushed()??Promise.resolve()])}async logStorage(){const k=this.getStorage(0)?.items??new Map,I=this.getStorage(1)?.items??new Map;return d(k,I,this.getLogDetails(0)??"",this.getLogDetails(1)??"")}}e.AbstractStorageService=P,P.DEFAULT_FLUSH_INTERVAL=60*1e3;class y extends P{constructor(){super();this.globalStorage=this._register(new E.Storage(new E.InMemoryStorageDatabase)),this.workspaceStorage=this._register(new E.Storage(new E.InMemoryStorageDatabase)),this._register(this.workspaceStorage.onDidChangeStorage(k=>this.emitDidChangeValue(1,k))),this._register(this.globalStorage.onDidChangeStorage(k=>this.emitDidChangeValue(0,k)))}getStorage(k){return k===0?this.globalStorage:this.workspaceStorage}getLogDetails(k){return k===0?"inMemory (global)":"inMemory (workspace)"}async doInitialize(){}async migrate(k){}}e.InMemoryStorageService=y;async function d(m,k,I,l){const h=u=>{try{return JSON.parse(u)}catch(p){return u}},o=new Map,c=new Map;m.forEach((u,p)=>{o.set(p,u),c.set(p,h(u))});const t=new Map,s=new Map;k.forEach((u,p)=>{t.set(p,u),s.set(p,h(u))}),console.group(`Storage: Global (path: ${I})`);let r=[];o.forEach((u,p)=>{r.push({key:p,value:u})}),console.table(r),console.groupEnd(),console.log(c),console.group(`Storage: Workspace (path: ${l})`);let a=[];t.forEach((u,p)=>{a.push({key:p,value:u})}),console.table(a),console.groupEnd(),console.log(s)}e.logStorage=d}),define(J[198],Z([0,1,3,33,28,7]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.verifyMicrosoftInternalDomain=e.resolveCommonProperties=void 0;function E(v){if(g.platform===2&&/^penguin(\.|$)/i.test(v))return"chromebook"}async function n(v,i,b,P,y,d,m,k,I,l){const h=Object.create(null);h["common.machineId"]=m,h.sessionID=D.generateUuid()+Date.now(),h.commitHash=y,h.version=d,h["common.platformVersion"]=(i||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),h["common.platform"]=g.PlatformToString(g.platform),h["common.nodePlatform"]=M.platform,h["common.nodeArch"]=P,h["common.product"]=l||"desktop";const o=w(k||[]);o&&(h["common.msftInternal"]=o);let c=0;const t=Date.now();Object.defineProperties(h,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-t,enumerable:!0},"common.sequence":{get:()=>c++,enumerable:!0}}),g.isLinuxSnap&&(h["common.snap"]="true");const s=E(b);s&&(h["common.platformDetail"]=s);try{const r=await v.readFile(S.URI.file(I));h["common.source"]=r.value.toString().slice(0,30)}catch(r){}return h}e.resolveCommonProperties=n;function w(v){const i=M.env.USERDNSDOMAIN;if(!i)return!1;const b=i.toLowerCase();return v.some(P=>b===P)}e.verifyMicrosoftInternalDomain=w}),define(J[32],Z([0,1,4]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.machineIdKey=e.lastSessionDateStorageKey=e.firstSessionDateStorageKey=e.currentSessionDateStorageKey=e.instanceStorageKey=e.ICustomEndpointTelemetryService=e.ITelemetryService=void 0,e.ITelemetryService=g.createDecorator("telemetryService"),e.ICustomEndpointTelemetryService=g.createDecorator("customEndpointTelemetryService"),e.instanceStorageKey="telemetry.instanceId",e.currentSessionDateStorageKey="telemetry.currentSessionDate",e.firstSessionDateStorageKey="telemetry.firstSessionDate",e.lastSessionDateStorageKey="telemetry.lastSessionDate",e.machineIdKey="telemetry.machineId"}),define(J[199],Z([0,1,26,66,70,8,40,83,20,3,7,32,63,10,19,18]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsService=e.collectLaunchConfigs=e.getMachineInfo=e.collectWorkspaceStats=void 0;async function k(c,t){const s=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.yml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i}],r=new Map,a=new Map,u=2e4;function p(T,W,N,V){const ee=W.substring(T.length+1);return new Promise(async q=>{let x;try{x=await m.Promises.readdir(W,{withFileTypes:!0})}catch(B){q();return}if(V.count>=u){V.count+=x.length,V.maxReached=!0,q();return}let Q=x.length;if(Q===0){q();return}let C=x;V.count+x.length>u&&(V.maxReached=!0,Q=u-V.count,C=x.slice(0,Q)),V.count+=x.length;for(const B of C)if(B.isDirectory()){if(N.includes(B.name)||await p(T,S.join(W,B.name),N,V),--Q==0){q();return}}else{const U=B.name.lastIndexOf(".");if(U>=0){const $=B.name.substring(U+1);$&&r.set($,(r.get($)??0)+1)}for(const $ of s)$.relativePathPattern?.test(ee)!==!1&&$.filePattern.test(B.name)&&a.set($.tag,(a.get($.tag)??0)+1);if(--Q==0){q();return}}})}const f={count:0,maxReached:!1};await p(c,c,t,f);const L=await h(c);return{configFiles:I(a),fileTypes:I(r),fileCount:f.count,maxFilesReached:f.maxReached,launchConfigFiles:L}}e.collectWorkspaceStats=k;function I(c){return[...P.Iterable.map(c.entries(),([t,s])=>({name:t,count:s}))].sort((t,s)=>s.count-t.count)}function l(){const c={os:`${g.type()} ${g.arch()} ${g.release()}`,memory:`${(g.totalmem()/d.ByteSize.GB).toFixed(2)}GB (${(g.freemem()/d.ByteSize.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(M.virtualMachineHint.value()*100)}%`},t=g.cpus();return t&&t.length>0&&(c.cpus=`${t[0].model} (${t.length} x ${t[0].speed})`),c}e.getMachineInfo=l;async function h(c){try{const t=new Map,s=S.join(c,".vscode","launch.json"),r=await m.Promises.readFile(s),a=[],u=E.parse(r.toString(),a);if(a.length)return console.log(`Unable to parse ${s}`),[];if(E.getNodeType(u)==="object"&&u.configurations)for(const p of u.configurations){const f=p.type;f&&(t.has(f)?t.set(f,t.get(f)+1):t.set(f,1))}return I(t)}catch(t){return[]}}e.collectLaunchConfigs=h;let o=class{constructor(t,s){this.telemetryService=t,this.productService=s}formatMachineInfo(t){const s=[];return s.push(`OS Version:       ${t.os}`),s.push(`CPUs:             ${t.cpus}`),s.push(`Memory (System):  ${t.memory}`),s.push(`VM:               ${t.vmHint}`),s.join(`
`)}formatEnvironment(t){const s=[];s.push(`Version:          ${this.productService.nameShort} ${this.productService.version} (${this.productService.commit||"Commit unknown"}, ${this.productService.date||"Date unknown"})`),s.push(`OS Version:       ${g.type()} ${g.arch()} ${g.release()}`);const r=g.cpus();return r&&r.length>0&&s.push(`CPUs:             ${r[0].model} (${r.length} x ${r[0].speed})`),s.push(`Memory (System):  ${(g.totalmem()/d.ByteSize.GB).toFixed(2)}GB (${(g.freemem()/d.ByteSize.GB).toFixed(2)}GB free)`),v.isWindows||s.push(`Load (avg):       ${g.loadavg().map(a=>Math.round(a)).join(", ")}`),s.push(`VM:               ${Math.round(M.virtualMachineHint.value()*100)}%`),s.push(`Screen Reader:    ${t.screenReader?"yes":"no"}`),s.push(`Process Argv:     ${t.mainArguments.join(" ")}`),s.push(`GPU Status:       ${this.expandGPUFeatures(t.gpuFeatureStatus)}`),s.join(`
`)}async getPerformanceInfo(t,s){return Promise.all([n.listProcesses(t.mainPID),this.formatWorkspaceMetadata(t)]).then(async r=>{let[a,u]=r,p=this.formatProcessList(t,a);return s.forEach(f=>{if(D.isRemoteDiagnosticError(f))p+=`
${f.errorMessage}`,u+=`
${f.errorMessage}`;else if(p+=`

Remote: ${f.hostName}`,f.processes&&(p+=`
${this.formatProcessList(t,f.processes)}`),f.workspaceMetadata){u+=`
|  Remote: ${f.hostName}`;for(const L of Object.keys(f.workspaceMetadata)){const T=f.workspaceMetadata[L];let W=`${T.fileCount} files`;T.maxFilesReached&&(W=`more than ${W}`),u+=`|    Folder (${L}): ${W}`,u+=this.formatWorkspaceStats(T)}}}),{processInfo:p,workspaceInfo:u}})}async getSystemInfo(t,s){const{memory:r,vmHint:a,os:u,cpus:p}=l(),f={os:u,memory:r,cpus:p,vmHint:a,processArgs:`${t.mainArguments.join(" ")}`,gpuStatus:t.gpuFeatureStatus,screenReader:`${t.screenReader?"yes":"no"}`,remoteData:s};return v.isWindows||(f.load=`${g.loadavg().map(L=>Math.round(L)).join(", ")}`),v.isLinux&&(f.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(f)}async getDiagnostics(t,s){const r=[];return n.listProcesses(t.mainPID).then(async a=>(r.push(""),r.push(this.formatEnvironment(t)),r.push(""),r.push(this.formatProcessList(t,a)),t.windows.some(u=>u.folderURIs&&u.folderURIs.length>0&&!u.remoteAuthority)&&(r.push(""),r.push("Workspace Stats: "),r.push(await this.formatWorkspaceMetadata(t))),s.forEach(u=>{if(D.isRemoteDiagnosticError(u))r.push(`
${u.errorMessage}`);else if(r.push(`

`),r.push(`Remote:           ${u.hostName}`),r.push(this.formatMachineInfo(u.machineInfo)),u.processes&&r.push(this.formatProcessList(t,u.processes)),u.workspaceMetadata)for(const p of Object.keys(u.workspaceMetadata)){const f=u.workspaceMetadata[p];let L=`${f.fileCount} files`;f.maxFilesReached&&(L=`more than ${L}`),r.push(`Folder (${p}): ${L}`),r.push(this.formatWorkspaceStats(f))}}),r.push(""),r.push(""),r.join(`
`)))}formatWorkspaceStats(t){const s=[],r=60;let a=0;const u=(T,W)=>{const N=` ${T}(${W})`;a+N.length>r?(s.push(p),p="|                 ",a=p.length):a+=N.length,p+=N};let p="|      File types:";const f=10;let L=t.fileTypes.length>f?f:t.fileTypes.length;for(let T=0;T<L;T++){const W=t.fileTypes[T];u(W.name,W.count)}if(s.push(p),t.configFiles.length>=0&&(p="|      Conf files:",a=0,t.configFiles.forEach(T=>{u(T.name,T.count)}),s.push(p)),t.launchConfigFiles.length>0){let T="|      Launch Configs:";t.launchConfigFiles.forEach(W=>{T+=W.count>1?` ${W.name}(${W.count})`:` ${W.name}`}),s.push(T)}return s.join(`
`)}expandGPUFeatures(t){const s=Math.max(...Object.keys(t).map(r=>r.length));return Object.keys(t).map(r=>`${r}:  ${" ".repeat(s-r.length)}  ${t[r]}`).join(`
                  `)}formatWorkspaceMetadata(t){const s=[],r=[];return t.windows.forEach(a=>{a.folderURIs.length===0||!!a.remoteAuthority||(s.push(`|  Window (${a.title})`),a.folderURIs.forEach(u=>{const p=i.URI.revive(u);if(p.scheme===y.Schemas.file){const f=p.fsPath;r.push(k(f,["node_modules",".git"]).then(L=>{let T=`${L.fileCount} files`;L.maxFilesReached&&(T=`more than ${T}`),s.push(`|    Folder (${S.basename(f)}): ${T}`),s.push(this.formatWorkspaceStats(L))}).catch(L=>{s.push(`|      Error: Unable to collect workspace stats for folder ${f} (${L.toString()})`)}))}else s.push(`|    Folder (${p.toString()}): Workspace stats not available.`)}))}),Promise.all(r).then(a=>s.join(`
`)).catch(a=>`Unable to collect workspace stats: ${a}`)}formatProcessList(t,s){const r=new Map;t.windows.forEach(u=>r.set(u.pid,u.title));const a=[];return a.push("CPU %	Mem MB	   PID	Process"),s&&this.formatProcessItem(t.mainPID,r,a,s,0),a.join(`
`)}formatProcessItem(t,s,r,a,u){const p=u===0;let f;p?f=a.pid===t?`${this.productService.applicationName} main`:"remote agent":(f=`${"  ".repeat(u)} ${a.name}`,a.name==="window"&&(f=`${f} (${s.get(a.pid)})`));const L=process.platform==="win32"?a.mem:g.totalmem()*(a.mem/100);r.push(`${a.load.toFixed(0).padStart(5," ")}	${(L/d.ByteSize.MB).toFixed(0).padStart(6," ")}	${a.pid.toFixed(0).padStart(6," ")}	${f}`),Array.isArray(a.children)&&a.children.forEach(T=>this.formatProcessItem(t,s,r,T,u+1))}async reportWorkspaceStats(t){for(const{uri:s}of t.folders){const r=i.URI.revive(s);if(r.scheme!==y.Schemas.file)continue;const a=r.fsPath;try{const u=await k(a,["node_modules",".git"]);this.telemetryService.publicLog2("workspace.stats",{"workspace.id":t.telemetryId,rendererSessionId:t.rendererSessionId}),u.fileTypes.forEach(p=>{this.telemetryService.publicLog2("workspace.stats.file",{rendererSessionId:t.rendererSessionId,type:p.name,count:p.count})}),u.launchConfigFiles.forEach(p=>{this.telemetryService.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:t.rendererSessionId,type:p.name,count:p.count})}),u.configFiles.forEach(p=>{this.telemetryService.publicLog2("workspace.stats.configFiles",{rendererSessionId:t.rendererSessionId,type:p.name,count:p.count})})}catch{}}}};o=ue([te(0,b.ITelemetryService),te(1,w.IProductService)],o),e.DiagnosticsService=o}),define(J[200],Z([0,1,16,169,172,44,32,51,163,48,25,6,19,7,20,96,195,4]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m,k,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMarketplaceHeaders=e.ExtensionGalleryService=void 0;var l;(function(B){B[B.None=0]="None",B[B.IncludeVersions=1]="IncludeVersions",B[B.IncludeFiles=2]="IncludeFiles",B[B.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",B[B.IncludeSharedAccounts=8]="IncludeSharedAccounts",B[B.IncludeVersionProperties=16]="IncludeVersionProperties",B[B.ExcludeNonValidated=32]="ExcludeNonValidated",B[B.IncludeInstallationTargets=64]="IncludeInstallationTargets",B[B.IncludeAssetUri=128]="IncludeAssetUri",B[B.IncludeStatistics=256]="IncludeStatistics",B[B.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",B[B.Unpublished=4096]="Unpublished"})(l||(l={}));function h(...B){return String(B.reduce((U,$)=>U|$,0))}var o;(function(B){B[B.Tag=1]="Tag",B[B.ExtensionId=4]="ExtensionId",B[B.Category=5]="Category",B[B.ExtensionName=7]="ExtensionName",B[B.Target=8]="Target",B[B.Featured=9]="Featured",B[B.SearchText=10]="SearchText",B[B.ExcludeWithFlags=12]="ExcludeWithFlags"})(o||(o={}));const c={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},t={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension"},r={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:l.None,criteria:[],assetTypes:[]};class a{constructor(U=r){this.state=U}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(U,$=this.state.pageSize){return new a({...this.state,pageNumber:U,pageSize:$})}withFilter(U,...$){const F=[...this.state.criteria,...$.length?$.map(R=>({filterType:U,value:R})):[{filterType:U}]];return new a({...this.state,criteria:F})}withSortBy(U){return new a({...this.state,sortBy:U})}withSortOrder(U){return new a({...this.state,sortOrder:U})}withFlags(...U){return new a({...this.state,flags:U.reduce(($,F)=>$|F,0)})}withAssetTypes(...U){return new a({...this.state,assetTypes:U})}get raw(){const{criteria:U,pageNumber:$,pageSize:F,sortBy:R,sortOrder:_,flags:O,assetTypes:A}=this.state;return{filters:[{criteria:U,pageNumber:$,pageSize:F,sortBy:R,sortOrder:_}],assetTypes:A,flags:O}}get searchText(){const U=this.state.criteria.filter($=>$.filterType===o.SearchText)[0];return U&&U.value?U.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(U=>String(U.filterType)),sortBy:String(this.sortBy),sortOrder:String(this.sortOrder)}}}function u(B,U){const $=(B||[]).filter(F=>F.statisticName===U)[0];return $?$.value:0}function p(B){const U="Microsoft.VisualStudio.Code.Translation.";return B.files.filter(F=>F.assetType.indexOf(U)===0).reduce((F,R)=>{const _=W(B,R.assetType);return _&&F.push([R.assetType.substring(U.length),_]),F},[])}function f(B){if(B.properties){const U=B.properties.filter(R=>R.key===c.Repository),$=new RegExp("((git|ssh|http(s)?)|(git@[\\w.]+))(:(//)?)([\\w.@:/\\-~]+)(.git)(/)?"),F=U.filter(R=>$.test(R.value))[0];return F?{uri:F.value,fallbackUri:F.value}:null}return W(B,c.Repository)}function L(B){return{uri:`${B.fallbackAssetUri}/${c.VSIX}?redirect=true`,fallbackUri:`${B.fallbackAssetUri}/${c.VSIX}`}}function T(B){const U=W(B,c.Icon);if(U)return U;const $=M.DefaultIconPath;return{uri:$,fallbackUri:$}}function W(B,U){return B.files.filter(F=>F.assetType===U)[0]?{uri:`${B.assetUri}/${U}`,fallbackUri:`${B.fallbackAssetUri}/${U}`}:null}function N(B,U){const $=B.properties?B.properties.filter(R=>R.key===U):[],F=$.length>0&&$[0].value;return F?F.split(",").map(R=>D.adoptToGalleryExtensionId(R)):[]}function V(B){const U=B.properties?B.properties.filter($=>$.key===t.Engine):[];return U.length>0&&U[0].value||""}function ee(B){const U=B.properties?B.properties.filter(F=>F.key===t.LocalizedLanguages):[],$=U.length>0&&U[0].value||"";return $?$.split(","):[]}function q(B){return B.indexOf("preview")!==-1}function x(B,U,$,F,R){const _={manifest:W(U,c.Manifest),readme:W(U,c.Details),changelog:W(U,c.Changelog),license:W(U,c.License),repository:f(U),download:L(U),icon:T(U),coreTranslations:p(U)};return{identifier:{id:D.getGalleryExtensionId(B.publisher.publisherName,B.extensionName),uuid:B.extensionId},name:B.extensionName,version:U.version,date:U.lastUpdated,displayName:B.displayName,publisherId:B.publisher.publisherId,publisher:B.publisher.publisherName,publisherDisplayName:B.publisher.displayName,description:B.shortDescription||"",installCount:u(B.statistics,"install"),rating:u(B.statistics,"averagerating"),ratingCount:u(B.statistics,"ratingcount"),assetUri:y.URI.parse(U.assetUri),webExtension:!!B.tags?.includes(M.WEB_EXTENSION_TAG),assetTypes:U.files.map(({assetType:O})=>O),assets:_,properties:{dependencies:N(U,t.Dependency),extensionPack:N(U,t.ExtensionPack),engine:V(U),localizedLanguages:ee(U)},telemetryData:{index:(F.pageNumber-1)*F.pageSize+$,querySource:R},preview:q(B.flags)}}let Q=class{constructor(U,$,F,R,_,O,A){this.requestService=U,this.logService=$,this.environmentService=F,this.telemetryService=R,this.fileService=_,this.productService=O;const z=O.extensionsGallery;this.extensionsGalleryUrl=z&&z.serviceUrl,this.extensionsControlUrl=z&&z.controlUrl,this.commonHeadersPromise=C(O.version,this.environmentService,this.fileService,A)}api(U=""){return`${this.extensionsGalleryUrl}${U}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(U,$){const F=[];let{total:R,firstPage:_,getPage:O}=await this.query({names:U,pageSize:U.length},$);F.push(..._);for(let A=1;F.length<R&&(_=await O(A,$),_.length);A++)F.push(..._);return F}async getCompatibleExtension(U,$){return this.getCompatibleExtensionByEngine(U,$)}async getCompatibleExtensionByEngine(U,$){const F=M.isIExtensionIdentifier(U)?null:U;if(F&&F.properties.engine&&w.isEngineValid(F.properties.engine,this.productService.version,this.productService.date))return F;const{id:R,uuid:_}=F?F.identifier:U;let O=new a().withFlags(l.IncludeAssetUri,l.IncludeStatistics,l.IncludeCategoryAndTags,l.IncludeFiles,l.IncludeVersionProperties).withPage(1,1).withFilter(o.Target,"Microsoft.VisualStudio.Code");_?O=O.withFilter(o.ExtensionId,_):O=O.withFilter(o.ExtensionName,R);const{galleryExtensions:A}=await this.queryGallery(O,i.CancellationToken.None),[z]=A;if(!z||!z.versions.length)return null;if($){const Y=z.versions.filter(G=>G.version===$)[0];if(Y){const G=x(z,Y,0,O);if(G.properties.engine&&w.isEngineValid(G.properties.engine,this.productService.version,this.productService.date))return G}return null}const K=await this.getLastValidExtensionVersion(z,z.versions);return K?x(z,K,0,O):null}async query(U,$){const F=i.CancellationToken.isCancellationToken(U)?{}:U,R=i.CancellationToken.isCancellationToken(U)?U:$;if(!this.isEnabled())throw new Error("No extension gallery service configured.");let _=F.text||"";const O=S.getOrDefault(F,X=>X.pageSize,50);let A=new a().withFlags(l.IncludeLatestVersionOnly,l.IncludeAssetUri,l.IncludeStatistics,l.IncludeCategoryAndTags,l.IncludeFiles,l.IncludeVersionProperties).withPage(1,O).withFilter(o.Target,"Microsoft.VisualStudio.Code");_?(_=_.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(X,ne,se)=>(A=A.withFilter(o.Category,se||ne),"")),_=_.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(X,ne,se)=>(A=A.withFilter(o.Tag,se||ne),"")),_=_.replace(/\bfeatured(\s+|\b|$)/g,()=>(A=A.withFilter(o.Featured),"")),_=_.trim(),_&&(_=_.length<200?_:_.substring(0,200),A=A.withFilter(o.SearchText,_)),A=A.withSortBy(0)):F.ids?A=A.withFilter(o.ExtensionId,...F.ids):F.names?A=A.withFilter(o.ExtensionName,...F.names):A=A.withSortBy(4),typeof F.sortBy=="number"&&(A=A.withSortBy(F.sortBy)),typeof F.sortOrder=="number"&&(A=A.withSortOrder(F.sortOrder));const{galleryExtensions:z,total:K}=await this.queryGallery(A,R),Y=z.map((X,ne)=>x(X,X.versions[0],ne,A,F.source)),G=async(X,ne)=>{if(ne.isCancellationRequested)throw g.canceled();const se=A.withPage(X+1),{galleryExtensions:he}=await this.queryGallery(se,ne);return he.map((de,re)=>x(de,de.versions[0],re,se,F.source))};return{firstPage:Y,total:K,pageSize:A.pageSize,getPage:G}}async queryGallery(U,$){if(!this.isEnabled())throw new Error("No extension gallery service configured.");U=U.withFlags(U.flags,l.ExcludeNonValidated).withFilter(o.ExcludeWithFlags,h(l.Unpublished));const F=await this.commonHeadersPromise,R=JSON.stringify(U.raw),_={...F,"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(R.length)},O=new Date().getTime();let A,z,K=0;try{if(A=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:R,headers:_},$),A.res.statusCode&&A.res.statusCode>=400&&A.res.statusCode<500)return{galleryExtensions:[],total:K};const Y=await n.asJson(A);if(Y){const G=Y.results[0],X=G.extensions,ne=G.resultMetadata&&G.resultMetadata.filter(se=>se.metadataType==="ResultCount")[0];return K=ne&&ne.metadataItems.filter(se=>se.name==="TotalCount")[0].count||0,{galleryExtensions:X,total:K}}return{galleryExtensions:[],total:K}}catch(Y){throw z=Y,Y}finally{this.telemetryService.publicLog2("galleryService:query",{...U.telemetryData,requestBodySize:String(R.length),duration:new Date().getTime()-O,success:!!A&&n.isSuccess(A),responseBodySize:A?.res.headers["Content-Length"],statusCode:A?String(A.res.statusCode):void 0,errorCode:z?g.isPromiseCanceledError(z)?"canceled":g.getErrorMessage(z).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(K)})}}async reportStatistic(U,$,F,R){if(!this.isEnabled())return;const O={...await this.commonHeadersPromise,Accept:"*/*;api-version=4.0-preview.1"};try{await this.requestService.request({type:"POST",url:this.api(`/publishers/${U}/extensions/${$}/${F}/stats?statType=${R}`),headers:O},i.CancellationToken.None)}catch(A){}}async download(U,$,F){this.logService.trace("ExtensionGalleryService#download",U.identifier.id);const R=D.getGalleryExtensionTelemetryData(U),_=new Date().getTime(),O=Y=>this.telemetryService.publicLog("galleryService:downloadVSIX",{...R,duration:Y}),A=F===1?"install":F===2?"update":"",z=A?{uri:`${U.assets.download.uri}&${A}=true`,fallbackUri:`${U.assets.download.fallbackUri}?${A}=true`}:U.assets.download,K=await this.getAsset(z);await this.fileService.writeFile($,K.stream),O(new Date().getTime()-_)}async getReadme(U,$){if(U.assets.readme){const F=await this.getAsset(U.assets.readme,{},$);return await n.asText(F)||""}return""}async getManifest(U,$){if(U.assets.manifest){const F=await this.getAsset(U.assets.manifest,{},$),R=await n.asText(F);return R?JSON.parse(R):null}return null}async getCoreTranslation(U,$){const F=U.assets.coreTranslations.filter(R=>R[0]===$.toUpperCase())[0];if(F){const R=await this.getAsset(F[1]),_=await n.asText(R);return _?JSON.parse(_):null}return null}async getChangelog(U,$){if(U.assets.changelog){const F=await this.getAsset(U.assets.changelog,{},$);return await n.asText(F)||""}return""}async getAllVersions(U,$){let F=new a().withFlags(l.IncludeVersions,l.IncludeCategoryAndTags,l.IncludeFiles,l.IncludeVersionProperties).withPage(1,1).withFilter(o.Target,"Microsoft.VisualStudio.Code");U.identifier.uuid?F=F.withFilter(o.ExtensionId,U.identifier.uuid):F=F.withFilter(o.ExtensionName,U.identifier.id);const R=[],{galleryExtensions:_}=await this.queryGallery(F,i.CancellationToken.None);return _.length&&($?await Promise.all(_[0].versions.map(async O=>{let A;try{A=await this.getEngine(O)}catch(z){}A&&w.isEngineValid(A,this.productService.version,this.productService.date)&&R.push({version:O.version,date:O.lastUpdated})})):R.push(..._[0].versions.map(O=>({version:O.version,date:O.lastUpdated})))),R}async getAsset(U,$={},F=i.CancellationToken.None){const R=await this.commonHeadersPromise,_={type:"GET"},O={...R,...$.headers||{}};$={...$,..._,headers:O};const A=U.uri,z=U.fallbackUri,K={...$,url:A};try{const Y=await this.requestService.request(K,F);if(Y.res.statusCode===200)return Y;const G=await n.asText(Y);throw new Error(`Expected 200, got back ${Y.res.statusCode} instead.

${G}`)}catch(Y){if(g.isPromiseCanceledError(Y))throw Y;const G=g.getErrorMessage(Y);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:A,message:G});const X={...$,url:z};return this.requestService.request(X,F)}}async getLastValidExtensionVersion(U,$){const F=this.getLastValidExtensionVersionFromProperties(U,$);return F||this.getLastValidExtensionVersionRecursively(U,$)}getLastValidExtensionVersionFromProperties(U,$){for(const F of $){const R=V(F);if(!R)return null;if(w.isEngineValid(R,this.productService.version,this.productService.date))return F}return null}async getEngine(U){const $=V(U);if($)return $;const F=W(U,c.Manifest);if(!F)throw new Error("Manifest was not found");const R={"Accept-Encoding":"gzip"},_=await this.getAsset(F,{headers:R}),O=await n.asJson(_);if(O)return O.engines.vscode;throw new Error("Error while reading manifest")}async getLastValidExtensionVersionRecursively(U,$){if(!$.length)return null;const F=$[0],R=await this.getEngine(F);return w.isEngineValid(R,this.productService.version,this.productService.date)?{...F,properties:[...F.properties||[],{key:t.Engine,value:R}]}:this.getLastValidExtensionVersionRecursively(U,$.slice(1))}async getExtensionsReport(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return[];const U=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},i.CancellationToken.None);if(U.res.statusCode!==200)throw new Error("Could not get extensions report.");const $=await n.asJson(U),F=new Map;if($)for(const R of $.malicious){const _=F.get(R)||{id:{id:R},malicious:!0,slow:!1};_.malicious=!0,F.set(R,_)}return[...F.values()]}};Q=ue([te(0,n.IRequestService),te(1,b.ILogService),te(2,v.IEnvironmentService),te(3,E.ITelemetryService),te(4,P.IFileService),te(5,d.IProductService),te(6,I.optional(m.IStorageService))],Q),e.ExtensionGalleryService=Q;async function C(B,U,$,F){const R={"X-Market-Client-Id":`VSCode ${B}`,"User-Agent":`VSCode ${B}`},_=await k.getServiceMachineId(U,$,F);return R["X-Market-User-Id"]=_,R}e.resolveMarketplaceHeaders=C}),define(J[201],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryAppenderClient=e.TelemetryAppenderChannel=void 0;class g{constructor(S){this.appender=S}listen(S,E){throw new Error(`Event not found: ${E}`)}call(S,E,{eventName:n,data:w}){return this.appender.log(n,w),Promise.resolve(null)}}e.TelemetryAppenderChannel=g;class M{constructor(S){this.channel=S}log(S,E){return this.channel.call("log",{eventName:S,data:E}).then(void 0,n=>`Failed to log telemetry: ${console.warn(n)}`),Promise.resolve(null)}flush(){return Promise.resolve()}}e.TelemetryAppenderClient=M}),define(J[202],Z([0,1,49,148,23,4,21,50,2,44,38]),function(j,e,g,M,D,S,E,n,w,v,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryService=void 0;let b=class{constructor(d,m){this._configurationService=m,this._experimentProperties={},this._disposables=new w.DisposableStore,this._cleanupPatterns=[],this._appender=d.appender,this._commonProperties=d.commonProperties||Promise.resolve({}),this._piiPaths=d.piiPaths||[],this._userOptIn=!0,this._enabled=!0,this.sendErrorTelemetry=!!d.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(let k of this._piiPaths)this._cleanupPatterns.push(new RegExp(D.escapeRegExpCharacters(k),"gi"));this._configurationService&&(this._updateUserOptIn(),this._configurationService.onDidChangeConfiguration(this._updateUserOptIn,this,this._disposables),this.publicLog2("optInStatus",{optIn:this._userOptIn}),this._commonProperties.then(k=>{const I=/^[a-f0-9]+$/i.test(k["common.machineId"]);this.publicLog2("machineIdFallback",{usingFallbackGuid:!I})}))}setExperimentProperty(d,m){this._experimentProperties[d]=m}setEnabled(d){this._enabled=d}_updateUserOptIn(){const d=this._configurationService?.getValue(P);this._userOptIn=d?d.enableTelemetry:this._userOptIn}get isOptedIn(){return this._userOptIn&&this._enabled}async getTelemetryInfo(){const d=await this._commonProperties;let m=d.sessionID,k=d["common.instanceId"],I=d["common.machineId"],l=d["common.firstSessionDate"],h=d["common.msftInternal"];return{sessionId:m,instanceId:k,machineId:I,firstSessionDate:l,msftInternal:h}}dispose(){this._disposables.dispose()}publicLog(d,m,k){return this.isOptedIn?this._commonProperties.then(I=>{m=v.mixin(m,I),m=v.mixin(m,this._experimentProperties),m=v.cloneAndChange(m,l=>{if(typeof l=="string")return this._cleanupInfo(l,k)}),this._appender.log(d,m)},I=>{console.error(I)}):Promise.resolve(void 0)}publicLog2(d,m,k){return this.publicLog(d,m,k)}publicLogError(d,m){return this.sendErrorTelemetry?this.publicLog(d,m,!0):Promise.resolve(void 0)}publicLogError2(d,m){return this.publicLogError(d,m)}_cleanupInfo(d,m){let k=d;if(m){const I=[];for(let c of this._cleanupPatterns)for(;;){const t=c.exec(d);if(!t)break;I.push([t.index,c.lastIndex])}const l=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,h=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let o=0;for(k="";;){const c=h.exec(d);if(!c)break;!l.test(c[0])&&I.every(([t,s])=>c.index<t||c.index>=s)&&(k+=d.substring(o,c.index)+"<REDACTED: user-file-path>",o=h.lastIndex)}o<d.length&&(k+=d.substr(o))}for(let I of this._cleanupPatterns)k=k.replace(I,"");return k}};b.IDLE_START_EVENT_NAME="UserIdleStart",b.IDLE_STOP_EVENT_NAME="UserIdleStop",b=ue([te(1,S.optional(E.IConfigurationService))],b),e.TelemetryService=b;const P="telemetry";i.Registry.as(n.Extensions.Configuration).registerConfiguration({id:P,order:110,type:"object",title:M.localize(0,null),properties:{"telemetry.enableTelemetry":{type:"boolean",markdownDescription:g.default.privacyStatementUrl?M.localize(2,null,g.default.privacyStatementUrl):M.localize(1,null),default:!0,restricted:!0,scope:1,tags:["usesOnlineServices"]}}})}),define(J[97],Z([0,1,21,44,13,9]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.cleanRemoteAuthority=e.validateTelemetryData=e.configurationTelemetry=e.NullAppender=e.combinedAppender=e.NullEndpointTelemetryService=e.NullTelemetryService=void 0,e.NullTelemetryService=new class{constructor(){this.sendErrorTelemetry=!1,this.isOptedIn=!0}publicLog(d,m){return Promise.resolve(void 0)}publicLog2(d,m){return this.publicLog(d,m)}publicLogError(d,m){return Promise.resolve(void 0)}publicLogError2(d,m){return this.publicLogError(d,m)}setExperimentProperty(){}setEnabled(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}};class E{async publicLog(m,k,I){}async publicLogError(m,k,I){}}e.NullEndpointTelemetryService=E;function n(...d){return{log:(m,k)=>d.forEach(I=>I.log(m,k)),flush:()=>S.Promises.settled(d.map(m=>m.flush()))}}e.combinedAppender=n,e.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function w(d,m){return m.onDidChangeConfiguration(k=>{k.source!==6&&d.publicLog2("updateConfiguration",{configurationSource:g.ConfigurationTargetToString(k.source),configurationKeys:P(k.sourceConfig)})})}e.configurationTelemetry=w;function v(d){const m=Object.create(null),k=Object.create(null),I=Object.create(null);b(d,I);for(let l in I){l=l.length>150?l.substr(l.length-149):l;const h=I[l];typeof h=="number"?k[l]=h:typeof h=="boolean"?k[l]=h?1:0:typeof h=="string"?m[l]=h.substring(0,1023):typeof h!="undefined"&&h!==null&&(m[l]=h)}return{properties:m,measurements:k}}e.validateTelemetryData=v;function i(d){if(!d)return"none";let m="other";return["ssh-remote","dev-container","attached-container","wsl"].forEach(I=>{d.indexOf(`${I}+`)===0&&(m=I)}),m}e.cleanRemoteAuthority=i;function b(d,m,k=0,I){if(!!d)for(let l of Object.getOwnPropertyNames(d)){const h=d[l],o=I?I+l:l;Array.isArray(h)?m[o]=M.safeStringify(h):h instanceof Date?m[o]=h.toISOString():D.isObject(h)?k<2?b(h,m,k+1,o+"."):m[o]=M.safeStringify(h):m[o]=h}}function P(d){if(!d)return[];const m=[];return y(m,"",d),m}function y(d,m,k){k&&typeof k=="object"&&!Array.isArray(k)?Object.keys(k).forEach(I=>y(d,m?`${m}.${I}`:I,k[I])):d.push(m)}}),define(J[203],Z([0,1]),function(j,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var g;(function(M){M.DARK="dark",M.LIGHT="light",M.HIGH_CONTRAST="hc"})(g=e.ColorScheme||(e.ColorScheme={}))}),define(J[204],Z([0,1,4,2,38,5,203,109]),function(j,e,g,M,D,S,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=g.createDecorator("themeService");var w;(function(k){function I(l){return l&&typeof l=="object"&&typeof l.id=="string"}k.isThemeColor=I})(w=e.ThemeColor||(e.ThemeColor={}));function v(k){return{id:k}}e.themeColorFromId=v;var i;(function(k){function I(s){return s&&typeof s=="object"&&typeof s.id=="string"&&(typeof s.color=="undefined"||w.isThemeColor(s.color))}k.isThemeIcon=I;const l=new RegExp(`^\\$\\((${n.CSSIcon.iconNameExpression}(?:${n.CSSIcon.iconModifierExpression})?)\\)$`);function h(s){const r=l.exec(s);if(!r)return;let[,a]=r;return{id:a}}k.fromString=h;function o(s,r){let a=s.id;const u=a.lastIndexOf("~");return u!==-1&&(a=a.substring(0,u)),r&&(a=`${a}~${r}`),{id:a}}k.modify=o;function c(s,r){return s.id===r.id&&s.color?.id===r.color?.id}k.isEqual=c;function t(s){return{id:s.id}}k.asThemeIcon=t,k.asClassNameArray=n.CSSIcon.asClassNameArray,k.asClassName=n.CSSIcon.asClassName,k.asCSSSelector=n.CSSIcon.asCSSSelector})(i=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=n.Codicon.file,e.FolderThemeIcon=n.Codicon.folder;function b(k){switch(k){case E.ColorScheme.DARK:return"vs-dark";case E.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=b,e.Extensions={ThemingContribution:"base.contributions.theming"};class P{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new S.Emitter}onColorThemeChange(I){return this.themingParticipants.push(I),this.onThemingParticipantAddedEmitter.fire(I),M.toDisposable(()=>{const l=this.themingParticipants.indexOf(I);this.themingParticipants.splice(l,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let y=new P;D.Registry.add(e.Extensions.ThemingContribution,y);function d(k){return y.onColorThemeChange(k)}e.registerThemingParticipant=d;class m extends M.Disposable{constructor(I){super();this.themeService=I,this.theme=I.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(l=>this.onThemeChange(l)))}onThemeChange(I){this.theme=I,this.updateStyles()}updateStyles(){}getColor(I,l){let h=this.theme.getColor(I);return h&&l&&(h=l(h,this.theme)),h?h.toString():null}}e.Themable=m}),define(J[60],Z([0,1,14,3,39,4]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ThemeMainService=e.IThemeMainService=void 0;const E="#FFFFFF",n="#1E1E1E",w="#000000",v="theme",i="themeBackground",b="windowSplash";e.IThemeMainService=S.createDecorator("themeMainService");let P=class{constructor(d){this.stateMainService=d}getBackgroundColor(){if((M.isWindows||M.isMacintosh)&&g.nativeTheme.shouldUseInvertedColorScheme)return w;let d=this.stateMainService.getItem(i,null);if(!d){let m;(M.isWindows||M.isMacintosh)&&g.nativeTheme.shouldUseInvertedColorScheme?m="hc-black":m=this.stateMainService.getItem(v,"vs-dark").split(" ")[0],d=m==="hc-black"?w:m==="vs"?E:n}return M.isMacintosh&&d.toUpperCase()===n&&(d="#171717"),d}saveWindowSplash(d,m){this.stateMainService.setItems([{key:v,data:m.baseTheme},{key:i,data:m.colorInfo.background},{key:b,data:m}]),typeof d=="number"&&this.updateBackgroundColor(d,m)}updateBackgroundColor(d,m){for(const k of g.BrowserWindow.getAllWindows())if(k.id===d){k.setBackgroundColor(m.colorInfo.background);break}}getWindowSplash(){return this.stateMainService.getItem(b)}};P=ue([te(0,D.IStateMainService)],P),e.ThemeMainService=P}),define(J[42],Z([0,1,4]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IUpdateService=e.State=e.UpdateType=e.StateType=void 0;var M;(function(S){S.Uninitialized="uninitialized",S.Idle="idle",S.CheckingForUpdates="checking for updates",S.AvailableForDownload="available for download",S.Downloading="downloading",S.Downloaded="downloaded",S.Updating="updating",S.Ready="ready"})(M=e.StateType||(e.StateType={}));var D;(function(S){S[S.Setup=0]="Setup",S[S.Archive=1]="Archive",S[S.Snap=2]="Snap"})(D=e.UpdateType||(e.UpdateType={})),e.State={Uninitialized:{type:"uninitialized"},Idle:(S,E)=>({type:"idle",updateType:S,error:E}),CheckingForUpdates:S=>({type:"checking for updates",explicit:S}),AvailableForDownload:S=>({type:"available for download",update:S}),Downloading:S=>({type:"downloading",update:S}),Downloaded:S=>({type:"downloaded",update:S}),Updating:S=>({type:"updating",update:S}),Ready:S=>({type:"ready",update:S})},e.IUpdateService=g.createDecorator("updateService")}),define(J[205],Z([0,1,38,50,149,3]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),g.Registry.as(M.Extensions.Configuration).registerConfiguration({id:"update",order:15,title:D.localize(0,null),type:"object",properties:{"update.mode":{type:"string",enum:["none","manual","start","default"],default:"default",scope:1,description:D.localize(1,null),tags:["usesOnlineServices"],enumDescriptions:[D.localize(2,null),D.localize(3,null),D.localize(4,null),D.localize(5,null)]},"update.channel":{type:"string",default:"default",scope:1,description:D.localize(6,null),deprecationMessage:D.localize(7,null,"update.mode")},"update.enableWindowsBackgroundUpdates":{type:"boolean",default:!0,scope:1,title:D.localize(8,null),description:D.localize(9,null),included:S.isWindows&&!S.isWeb},"update.showReleaseNotes":{type:"boolean",default:!0,scope:1,description:D.localize(10,null),tags:["usesOnlineServices"]}}})}),define(J[206],Z([0,1,5,42]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UpdateChannelClient=e.UpdateChannel=void 0;class D{constructor(n){this.service=n}listen(n,w){switch(w){case"onStateChange":return this.service.onStateChange}throw new Error(`Event not found: ${w}`)}call(n,w,v){switch(w){case"checkForUpdates":return this.service.checkForUpdates(v);case"downloadUpdate":return this.service.downloadUpdate();case"applyUpdate":return this.service.applyUpdate();case"quitAndInstall":return this.service.quitAndInstall();case"_getInitialState":return Promise.resolve(this.service.state);case"isLatestVersion":return this.service.isLatestVersion()}throw new Error(`Call not found: ${w}`)}}e.UpdateChannel=D;class S{constructor(n){this.channel=n,this._onStateChange=new g.Emitter,this.onStateChange=this._onStateChange.event,this._state=M.State.Uninitialized,this.channel.listen("onStateChange")(w=>this.state=w),this.channel.call("_getInitialState").then(w=>this.state=w)}get state(){return this._state}set state(n){this._state=n,this._onStateChange.fire(n)}checkForUpdates(n){return this.channel.call("checkForUpdates",n)}downloadUpdate(){return this.channel.call("downloadUpdate")}applyUpdate(){return this.channel.call("applyUpdate")}quitAndInstall(){return this.channel.call("quitAndInstall")}isLatestVersion(){return this.channel.call("isLatestVersion")}}e.UpdateChannelClient=S}),define(J[98],Z([0,1,4]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IURLService=void 0,e.IURLService=g.createDecorator("urlService")}),define(J[207],Z([0,1,7]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URLHandlerRouter=e.URLHandlerChannelClient=e.URLHandlerChannel=void 0;class M{constructor(n){this.handler=n}listen(n,w){throw new Error(`Event not found: ${w}`)}call(n,w,v){switch(w){case"handleURL":return this.handler.handleURL(g.URI.revive(v[0]),v[1])}throw new Error(`Call not found: ${w}`)}}e.URLHandlerChannel=M;class D{constructor(n){this.channel=n}handleURL(n,w){return this.channel.call("handleURL",[n.toJSON(),w])}}e.URLHandlerChannelClient=D;class S{constructor(n){this.next=n}async routeCall(n,w,v,i){if(w!=="handleURL")throw new Error(`Call not found: ${w}`);if(v){const b=g.URI.revive(v);if(b&&b.query){const P=/\bwindowId=(\d+)/.exec(b.query);if(P){const y=P[1],d=new RegExp(`window:${y}`),m=n.connections.find(k=>d.test(k.ctx));if(m)return m}}}return this.next.routeCall(n,w,v,i)}routeEvent(n,w){throw new Error(`Event not found: ${w}`)}}e.URLHandlerRouter=S}),define(J[208],Z([0,1,7,9,2,20]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeURLService=e.AbstractURLService=void 0;class E extends D.Disposable{constructor(){super(...arguments);this.handlers=new Set}open(v,i){const b=[...this.handlers.values()];return M.first(b.map(P=>()=>P.handleURL(v,i)),void 0,!1).then(P=>P||!1)}registerHandler(v){return this.handlers.add(v),D.toDisposable(()=>this.handlers.delete(v))}}e.AbstractURLService=E;let n=class extends E{constructor(v){super();this.productService=v}create(v){let{authority:i,path:b,query:P,fragment:y}=v||{authority:void 0,path:void 0,query:void 0,fragment:void 0};return i&&b&&b.indexOf("/")!==0&&(b=`/${b}`),g.URI.from({scheme:this.productService.urlProtocol,authority:i,path:b,query:P,fragment:y})}};n=ue([te(0,S.IProductService)],n),e.NativeURLService=n}),define(J[209],Z([0,1,5,14,7,2,3,9]),function(j,e,g,M,D,S,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ElectronURLListener=void 0;function w(i){try{return D.URI.parse(i)}catch(b){return null}}class v{constructor(b,P,y,d,m){if(this.urlService=P,this.uris=[],this.retryCount=0,this.flushDisposable=S.Disposable.None,this.disposables=new S.DisposableStore,this.uris=b,E.isWindows){const l=d.isBuilt?[]:[`"${d.appRoot}"`];l.push("--open-url","--"),M.app.setAsDefaultProtocolClient(m.urlProtocol,process.execPath,l)}const k=g.Event.map(g.Event.fromNodeEventEmitter(M.app,"open-url",(l,h)=>({event:l,url:h})),({event:l,url:h})=>(l.preventDefault(),h));this.disposables.add(k(l=>{const h=w(l);!h||this.urlService.open(h,{originalUrl:l})})),y.getWindows().filter(l=>l.isReady).length>0?this.flush():g.Event.once(y.onDidSignalReadyWindow)(this.flush,this,this.disposables)}async flush(){if(this.retryCount++>10)return;const b=[];for(const P of this.uris)await this.urlService.open(P.uri,{originalUrl:P.url})||b.push(P);b.length!==0&&(this.uris=b,this.flushDisposable=n.disposableTimeout(()=>this.flush(),500))}dispose(){this.disposables.dispose(),this.flushDisposable.dispose()}}e.ElectronURLListener=v}),define(J[76],Z([0,1,4]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.webviewPartitionId=e.IWebviewManagerService=void 0,e.IWebviewManagerService=g.createDecorator("webviewManagerService"),e.webviewPartitionId="webview"}),define(J[210],Z([0,1,14,2,10,7,76]),function(j,e,g,M,D,S,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewProtocolProvider=void 0;class n extends M.Disposable{constructor(){super();const v=g.session.fromPartition(E.webviewPartitionId),i=this.handleWebviewRequest.bind(this);g.protocol.registerFileProtocol(D.Schemas.vscodeWebview,i),v.protocol.registerFileProtocol(D.Schemas.vscodeWebview,i)}async handleWebviewRequest(v,i){try{const b=S.URI.parse(v.url),P=n.validWebviewFilePaths.get(b.path);if(typeof P=="string"){const y=b.path.startsWith("/electron-browser")?`vs/workbench/contrib/webview/electron-browser/pre/${P}`:`vs/workbench/contrib/webview/browser/pre/${P}`,d=D.FileAccess.asFileUri(y,j);return i(decodeURIComponent(d.fsPath))}}catch{}i({error:-10})}}e.WebviewProtocolProvider=n,n.validWebviewFilePaths=new Map([["/index.html","index.html"],["/fake.html","fake.html"],["/electron-browser-index.html","index.html"],["/main.js","main.js"],["/host.js","host.js"],["/service-worker.js","service-worker.js"]])}),define(J[61],Z([0,1,3]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.zoomLevelToZoomFactor=e.getTitleBarStyle=e.getMenuBarVisibility=e.isFileToOpen=e.isFolderToOpen=e.isWorkspaceToOpen=e.WindowMinimumSize=void 0,e.WindowMinimumSize={WIDTH:400,WIDTH_WITH_VERTICAL_PANEL:600,HEIGHT:270};function M(v){return!!v.workspaceUri}e.isWorkspaceToOpen=M;function D(v){return!!v.folderUri}e.isFolderToOpen=D;function S(v){return!!v.fileUri}e.isFileToOpen=S;function E(v){const i=n(v),b=v.getValue("window.menuBarVisibility");return b==="default"||i==="native"&&b==="compact"||g.isMacintosh&&g.isNative?"classic":b}e.getMenuBarVisibility=E;function n(v){if(g.isWeb)return"custom";const i=v.getValue("window");if(i){if(g.isMacintosh&&i.nativeTabs===!0||g.isMacintosh&&i.nativeFullScreen===!1)return"native";const y=i.titleBarStyle;if(y==="native"||y==="custom")return y}return g.isLinux?"native":"custom"}e.getTitleBarStyle=n;function w(v=0){return Math.pow(1.2,v)}e.zoomLevelToZoomFactor=w}),define(J[35],Z([0,1,4]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWindowsMainService=e.WindowError=e.WindowMode=e.defaultWindowState=e.OpenContext=void 0;var M;(function(n){n[n.CLI=0]="CLI",n[n.DOCK=1]="DOCK",n[n.MENU=2]="MENU",n[n.DIALOG=3]="DIALOG",n[n.DESKTOP=4]="DESKTOP",n[n.API=5]="API"})(M=e.OpenContext||(e.OpenContext={}));const D=function(n=1){return{width:1024,height:768,mode:n}};e.defaultWindowState=D;var S;(function(n){n[n.Maximized=0]="Maximized",n[n.Normal=1]="Normal",n[n.Minimized=2]="Minimized",n[n.Fullscreen=3]="Fullscreen"})(S=e.WindowMode||(e.WindowMode={}));var E;(function(n){n[n.UNRESPONSIVE=1]="UNRESPONSIVE",n[n.CRASHED=2]="CRASHED",n[n.LOAD=3]="LOAD"})(E=e.WindowError||(e.WindowError={})),e.IWindowsMainService=g.createDecorator("windowsMainService")}),define(J[211],Z([0,1,14,5,2,74,76,210,35]),function(j,e,g,M,D,S,E,n,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewMainService=void 0;let v=class extends D.Disposable{constructor(b,P){super();this.windowsMainService=P,this._onFoundInFrame=this._register(new M.Emitter),this.onFoundInFrame=this._onFoundInFrame.event,this._register(new n.WebviewProtocolProvider);const y=g.session.fromPartition(E.webviewPartitionId);y.setPermissionRequestHandler((d,m,k)=>k(m==="clipboard-read")),y.setPermissionCheckHandler((d,m)=>m==="clipboard-read")}async setIgnoreMenuShortcuts(b,P){let y;if(typeof b.windowId=="number"){const{windowId:d}=b,m=this.windowsMainService.getWindowById(d);if(!m?.win)throw new Error(`Invalid windowId: ${d}`);y=m.win.webContents}else{const{webContentsId:d}=b;if(y=g.webContents.fromId(d),!y)throw new Error(`Invalid webContentsId: ${d}`)}y.isDestroyed()||y.setIgnoreMenuShortcuts(P)}async findInFrame(b,P,y,d){const m=this.getFrameByName(b,P),k=m;if(typeof k.findInFrame=="function"){k.findInFrame(y,{findNext:d.findNext,forward:d.forward});const I=(l,h)=>{h.finalUpdate&&(this._onFoundInFrame.fire(h),m.removeListener("found-in-frame",I))};m.on("found-in-frame",I)}}async stopFindInFrame(b,P,y){const m=this.getFrameByName(b,P);typeof m.stopFindInFrame=="function"&&m.stopFindInFrame(y.keepSelection?"keepSelection":"clearSelection")}getFrameByName(b,P){const y=this.windowsMainService.getWindowById(b.windowId);if(!y?.win)throw new Error(`Invalid windowId: ${b}`);const d=y.win.webContents.mainFrame.framesInSubtree.find(m=>m.name===P);if(!d)throw new Error(`Unknown frame: ${P}`);return d}};v=ue([te(0,S.ITunnelService),te(1,w.IWindowsMainService)],v),e.WebviewMainService=v}),define(J[212],Z([0,1,5,2,9]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ActiveWindowManager=void 0;class S extends M.Disposable{constructor({onDidOpenWindow:n,onDidFocusWindow:w,getActiveWindowId:v}){super();this.disposables=this._register(new M.DisposableStore),g.Event.latch(g.Event.any(n,w))(this.setActiveWindow,this,this.disposables),this.firstActiveWindowIdPromise=D.createCancelablePromise(()=>v()),(async()=>{try{const b=await this.firstActiveWindowIdPromise;this.activeWindowId=typeof this.activeWindowId=="number"?this.activeWindowId:b}catch(b){}finally{this.firstActiveWindowIdPromise=void 0}})()}setActiveWindow(n){this.firstActiveWindowIdPromise&&(this.firstActiveWindowIdPromise.cancel(),this.firstActiveWindowIdPromise=void 0),this.activeWindowId=n}async getActiveClientId(){return`window:${this.firstActiveWindowIdPromise?await this.firstActiveWindowIdPromise:this.activeWindowId}`}}e.ActiveWindowManager=S}),define(J[213],Z([0,1,7,15,4,37]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=D.createDecorator("contextService");var E;(function(P){P[P.EMPTY=1]="EMPTY",P[P.FOLDER=2]="FOLDER",P[P.WORKSPACE=3]="WORKSPACE"})(E=e.WorkbenchState||(e.WorkbenchState={}));function n(P){const y=P;return!!(y&&typeof y=="object"&&typeof y.id=="string"&&Array.isArray(y.folders))}e.isWorkspace=n;function w(P){const y=P;return!!(y&&typeof y=="object"&&g.URI.isUri(y.uri)&&typeof y.name=="string"&&typeof y.toResource=="function")}e.isWorkspaceFolder=w;class v{constructor(y,d,m,k){this._id=y,this._configuration=m,this._ignorePathCasing=k,this._foldersMap=S.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=d}update(y){this._id=y.id,this._configuration=y.configuration,this._ignorePathCasing=y._ignorePathCasing,this.folders=y.folders}get folders(){return this._folders}set folders(y){this._folders=y,this.updateFoldersMap()}get id(){return this._id}get configuration(){return this._configuration}set configuration(y){this._configuration=y}getFolder(y){return y&&this._foldersMap.findSubstr(y.with({scheme:y.scheme,authority:y.authority,path:y.path}))||null}updateFoldersMap(){this._foldersMap=S.TernarySearchTree.forUris(this._ignorePathCasing);for(const y of this.folders)this._foldersMap.set(y.uri,y)}toJSON(){return{id:this.id,folders:this.folders,configuration:this.configuration}}}e.Workspace=v;class i{constructor(y,d){this.raw=d,this.uri=y.uri,this.index=y.index,this.name=y.name}toResource(y){return M.joinPath(this.uri,y)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=i;function b(P){return new i({uri:P,index:0,name:M.basenameOrAuthority(P)},{uri:P.toString()})}e.toWorkspaceFolder=b}),define(J[27],Z([0,1,4,152,213,7,3,8,15,78,40,10,31,30,73]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toStoreData=e.restoreRecentlyOpened=e.useSlashForPath=e.rewriteWorkspaceFileForNewLocation=e.toWorkspaceFolders=e.getStoredWorkspaceFolder=e.isRawUriWorkspaceFolder=e.isRawFileWorkspaceFolder=e.isStoredWorkspaceFolder=e.isUntitledWorkspace=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.isRecentFile=e.isRecentFolder=e.isRecentWorkspace=e.IWorkspacesService=e.hasWorkspaceFileExtension=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=void 0,e.WORKSPACE_EXTENSION="code-workspace";const m=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:M.localize(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function k(C){return(typeof C=="string"?n.extname(C):w.extname(C))===m}e.hasWorkspaceFileExtension=k,e.IWorkspacesService=g.createDecorator("workspacesService");function I(C){return C.hasOwnProperty("workspace")}e.isRecentWorkspace=I;function l(C){return C.hasOwnProperty("folderUri")}e.isRecentFolder=l;function h(C){return C.hasOwnProperty("fileUri")}e.isRecentFile=h;function o(C){const B=C;return typeof B?.id=="string"&&S.URI.isUri(B.uri)}e.isSingleFolderWorkspaceIdentifier=o;function c(C){if(C.configuration)return{id:C.id,configPath:C.configuration};if(C.folders.length===1)return{id:C.id,uri:C.folders[0].uri}}e.toWorkspaceIdentifier=c;function t(C){const B=C;return typeof B?.id=="string"&&S.URI.isUri(B.configPath)}e.isWorkspaceIdentifier=t;function s(C){const B=C;if(B?.uri)return{id:B.id,uri:S.URI.revive(B.uri)};const U=C;if(U?.configPath)return{id:U.id,configPath:S.URI.revive(U.configPath)};if(C?.id)return{id:C.id}}e.reviveIdentifier=s;function r(C,B){return w.extUriBiasedIgnorePathCase.isEqualOrParent(C,B.untitledWorkspacesHome)}e.isUntitledWorkspace=r;function a(C){return u(C)||p(C)}e.isStoredWorkspaceFolder=a;function u(C){const B=C;return typeof B?.path=="string"&&(!B.name||typeof B.name=="string")}e.isRawFileWorkspaceFolder=u;function p(C){const B=C;return typeof B?.uri=="string"&&(!B.name||typeof B.name=="string")}e.isRawUriWorkspaceFolder=p;function f(C,B,U,$,F=!E.isWindows,R){if(C.scheme!==$.scheme)return{name:U,uri:C.toString(!0)};let _=B?void 0:R.relativePath($,C);if(_!==void 0)_.length===0?_=".":E.isWindows&&C.scheme===b.Schemas.file&&!F&&(_=_.replace(/\//g,"\\"));else if(C.scheme===b.Schemas.file)_=C.fsPath,E.isWindows&&(_=P.normalizeDriveLetter(_),F&&(_=y.toSlashes(_)));else{if(!R.isEqualAuthority(C.authority,$.authority))return{name:U,uri:C.toString(!0)};_=C.path}return{name:U,path:_}}e.getStoredWorkspaceFolder=f;function L(C,B,U){let $=[],F=new Set;const R=U.dirname(B);for(let _ of C){let O;if(u(_))_.path&&(O=U.resolvePath(R,_.path));else if(p(_))try{O=S.URI.parse(_.uri),O.path[0]!=="/"&&(O=O.with({path:"/"+O.path}))}catch(A){console.warn(A)}if(O){let A=U.getComparisonKey(O);if(!F.has(A)){F.add(A);const z=_.name||U.basenameOrAuthority(O);$.push(new D.WorkspaceFolder({uri:O,name:z,index:$.length},_))}}}return $}e.toWorkspaceFolders=L;function T(C,B,U,$,F){let R=W(B,C);const _=F.dirname(B),O=F.dirname($),A=[],z=N(R.folders);for(const X of R.folders){const ne=u(X)?F.resolvePath(_,X.path):S.URI.parse(X.uri);let se;U?se=!1:se=!u(X)||n.isAbsolute(X.path),A.push(f(ne,se,X.name,O,z,F))}const K={insertSpaces:!1,tabSize:4,eol:E.isLinux||E.isMacintosh?`
`:`\r
`},Y=v.setProperty(C,["folders"],A,K);let G=v.applyEdits(C,Y);return R.remoteAuthority===d.getRemoteAuthority($)&&(G=v.applyEdits(G,v.removeProperty(G,["remoteAuthority"],K))),G}e.rewriteWorkspaceFileForNewLocation=T;function W(C,B){let U=i.parse(B);if(U&&Array.isArray(U.folders))U.folders=U.folders.filter($=>a($));else throw new Error(`${C} looks like an invalid workspace file.`);return U}function N(C){return E.isWindows?C.some(B=>u(B)&&B.path.indexOf("/")>=0):!0}e.useSlashForPath=N;function V(C){return C.workspace&&typeof C.workspace=="object"&&typeof C.workspace.id=="string"&&typeof C.workspace.configPath=="string"}function ee(C){return typeof C.folderUri=="string"}function q(C){return typeof C.fileUri=="string"}function x(C,B){const U={workspaces:[],files:[]};if(C){const $=function(R,_){for(let O=0;O<R.length;O++)try{_(R[O],O)}catch(A){B.warn(`Error restoring recent entry ${JSON.stringify(R[O])}: ${A.toString()}. Skip entry.`)}},F=C;if(Array.isArray(F.entries))$(F.entries,R=>{const _=R.label,O=R.remoteAuthority;V(R)?U.workspaces.push({label:_,remoteAuthority:O,workspace:{id:R.workspace.id,configPath:S.URI.parse(R.workspace.configPath)}}):ee(R)?U.workspaces.push({label:_,remoteAuthority:O,folderUri:S.URI.parse(R.folderUri)}):q(R)&&U.files.push({label:_,remoteAuthority:O,fileUri:S.URI.parse(R.fileUri)})});else{const R=C;Array.isArray(R.workspaces3)&&$(R.workspaces3,(_,O)=>{const A=Array.isArray(R.workspaceLabels)&&R.workspaceLabels[O]||void 0;typeof _=="object"&&typeof _.id=="string"&&typeof _.configURIPath=="string"?U.workspaces.push({label:A,workspace:{id:_.id,configPath:S.URI.parse(_.configURIPath)}}):typeof _=="string"&&U.workspaces.push({label:A,folderUri:S.URI.parse(_)})}),Array.isArray(R.files2)&&$(R.files2,(_,O)=>{const A=Array.isArray(R.fileLabels)&&R.fileLabels[O]||void 0;typeof _=="string"&&U.files.push({label:A,fileUri:S.URI.parse(_)})})}}return U}e.restoreRecentlyOpened=x;function Q(C){const B={entries:[]};for(const U of C.workspaces)l(U)?B.entries.push({folderUri:U.folderUri.toString(),label:U.label,remoteAuthority:U.remoteAuthority}):B.entries.push({workspace:{id:U.workspace.id,configPath:U.workspace.configPath.toString()},label:U.label,remoteAuthority:U.remoteAuthority});for(const U of C.files)B.entries.push({fileUri:U.fileUri.toString(),label:U.label,remoteAuthority:U.remoteAuthority});return B}e.toStoreData=Q}),define(J[52],Z([0,1,4,27]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isWorkspaceBackupInfo=e.IBackupMainService=void 0,e.IBackupMainService=g.createDecorator("backupMainService");function D(S){const E=S;return E&&M.isWorkspaceIdentifier(E.workspace)}e.isWorkspaceBackupInfo=D}),define(J[53],Z([0,1,4,14,9,39,3,8,65,18,13,134,27,31,2,80]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DialogMainService=e.IDialogMainService=void 0,e.IDialogMainService=g.createDecorator("dialogMainService");let k=class gt{constructor(l){this.stateMainService=l,this.windowFileDialogLocks=new Map,this.windowDialogQueues=new Map,this.noWindowDialogueQueue=new D.Queue}pickFileFolder(l,h){return this.doPick({...l,pickFolders:!0,pickFiles:!0,title:b.localize(0,null)},h)}pickFolder(l,h){return this.doPick({...l,pickFolders:!0,title:b.localize(1,null)},h)}pickFile(l,h){return this.doPick({...l,pickFiles:!0,title:b.localize(2,null)},h)}pickWorkspace(l,h){const o=b.localize(3,null),c=y.mnemonicButtonLabel(b.localize(4,null)),t=P.WORKSPACE_FILTER;return this.doPick({...l,pickFiles:!0,title:o,filters:t,buttonLabel:c},h)}async doPick(l,h){const o={title:l.title,buttonLabel:l.buttonLabel,filters:l.filters};o.defaultPath=l.defaultPath||this.stateMainService.getItem(gt.workingDirPickerStorageKey),(typeof l.pickFiles=="boolean"||typeof l.pickFolders=="boolean")&&(o.properties=void 0,l.pickFiles&&l.pickFolders&&(o.properties=["multiSelections","openDirectory","openFile","createDirectory"])),o.properties||(o.properties=["multiSelections",l.pickFolders?"openDirectory":"openFile","createDirectory"]),E.isMacintosh&&o.properties.push("treatPackageAsDirectory");const c=h||M.BrowserWindow.getFocusedWindow(),t=await this.showOpenDialog(o,i.withNullAsUndefined(c));if(t&&t.filePaths&&t.filePaths.length>0)return this.stateMainService.setItem(gt.workingDirPickerStorageKey,n.dirname(t.filePaths[0])),t.filePaths}getWindowDialogQueue(l){if(l){let h=this.windowDialogQueues.get(l.id);return h||(h=new D.Queue,this.windowDialogQueues.set(l.id,h)),h}else return this.noWindowDialogueQueue}showMessageBox(l,h){return this.getWindowDialogQueue(h).queue(async()=>h?M.dialog.showMessageBox(h,l):M.dialog.showMessageBox(l))}async showSaveDialog(l,h){const o=this.acquireFileDialogLock(l,h);if(!o)throw new Error("A file save dialog is already or will be showing for the window with the same configuration");try{return await this.getWindowDialogQueue(h).queue(async()=>{let c;return h?c=await M.dialog.showSaveDialog(h,l):c=await M.dialog.showSaveDialog(l),c.filePath=this.normalizePath(c.filePath),c})}finally{d.dispose(o)}}normalizePath(l){return l&&E.isMacintosh&&(l=w.normalizeNFC(l)),l}normalizePaths(l){return l.map(h=>this.normalizePath(h))}async showOpenDialog(l,h){l.defaultPath&&(await v.Promises.exists(l.defaultPath)||(l.defaultPath=void 0));const o=this.acquireFileDialogLock(l,h);if(!o)throw new Error("A file open dialog is already or will be showing for the window with the same configuration");try{return await this.getWindowDialogQueue(h).queue(async()=>{let c;return h?c=await M.dialog.showOpenDialog(h,l):c=await M.dialog.showOpenDialog(l),c.filePaths=this.normalizePaths(c.filePaths),c})}finally{d.dispose(o)}}acquireFileDialogLock(l,h){if(!h)return d.Disposable.None;let o=this.windowFileDialogLocks.get(h.id);o||(o=new Set,this.windowFileDialogLocks.set(h.id,o));const c=m.hash(l);if(!o.has(c))return o.add(c),d.toDisposable(()=>{o?.delete(c),o?.size===0&&this.windowFileDialogLocks.delete(h.id)})}};k.workingDirPickerStorageKey="pickerWorkingDir",k=ue([te(0,S.IStateMainService)],k),e.DialogMainService=k}),define(J[214],Z([0,1,5,2,27]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDatabaseChannel=void 0;class S extends M.Disposable{constructor(n,w){super();this.logService=n,this.storageMainService=w,this._onDidChangeGlobalStorage=this._register(new g.Emitter),this.onDidChangeGlobalStorage=this._onDidChangeGlobalStorage.event,this.registerGlobalStorageListeners()}registerGlobalStorageListeners(){this._register(g.Event.debounce(this.storageMainService.globalStorage.onDidChangeStorage,(n,w)=>(n?n.push(w):n=[w],n),S.STORAGE_CHANGE_DEBOUNCE_TIME)(n=>{n.length&&this._onDidChangeGlobalStorage.fire(this.serializeGlobalStorageEvents(n))}))}serializeGlobalStorageEvents(n){const w=new Map,v=new Set;return n.forEach(i=>{const b=this.storageMainService.globalStorage.get(i.key);typeof b=="string"?w.set(i.key,b):v.add(i.key)}),{changed:Array.from(w.entries()),deleted:Array.from(v.values())}}listen(n,w){switch(w){case"onDidChangeGlobalStorage":return this.onDidChangeGlobalStorage}throw new Error(`Event not found: ${w}`)}async call(n,w,v){const i=D.reviveIdentifier(v.workspace),b=await this.withStorageInitialized(i);switch(w){case"getItems":return Array.from(b.items.entries());case"updateItems":{const P=v;if(P.insert)for(const[y,d]of P.insert)b.set(y,d);P.delete&&P.delete.forEach(y=>b.delete(y));break}case"close":{if(i)return b.close();break}default:throw new Error(`Call not found: ${w}`)}}async withStorageInitialized(n){const w=n?this.storageMainService.workspaceStorage(n):this.storageMainService.globalStorage;try{await w.init()}catch(v){this.logService.error(`StorageIPC#init: Unable to init ${n?"workspace":"global"} storage due to ${v}`)}return w}}e.StorageDatabaseChannel=S,S.STORAGE_CHANGE_DEBOUNCE_TIME=100}),define(J[215],Z([0,1,18,5,2,6,124,86,8,96,32,28,27]),function(j,e,g,M,D,S,E,n,w,v,i,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspaceStorageMain=e.GlobalStorageMain=void 0;class y extends D.Disposable{constructor(I){super();this.logService=I,this._onDidChangeStorage=this._register(new M.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this._onDidCloseStorage=this._register(new M.Emitter),this.onDidCloseStorage=this._onDidCloseStorage.event,this.storage=new n.Storage(new n.InMemoryStorageDatabase),this.initializePromise=void 0}init(){return this.initializePromise||(this.initializePromise=(async()=>{try{const I=await this.doCreate();this.storage.dispose(),this.storage=I,this._register(I.onDidChangeStorage(h=>this._onDidChangeStorage.fire({key:h}))),await this.doInit(I);const l=I.getBoolean(v.IS_NEW_KEY);l===void 0?I.set(v.IS_NEW_KEY,!0):l&&I.set(v.IS_NEW_KEY,!1)}catch(I){this.logService.error(`StorageMain#initialize(): Unable to init storage due to ${I}`)}})()),this.initializePromise}createLogginOptions(){return{logTrace:this.logService.getLevel()===S.LogLevel.Trace?I=>this.logService.trace(I):void 0,logError:I=>this.logService.error(I)}}doInit(I){return I.init()}get items(){return this.storage.items}get(I,l){return this.storage.get(I,l)}set(I,l){return this.storage.set(I,l)}delete(I){return this.storage.delete(I)}async close(){this.initializePromise&&await this.initializePromise,await this.storage.close(),this._onDidCloseStorage.fire()}}class d extends y{constructor(I,l,h){super(l);this.options=I,this.environmentService=h}async doCreate(){let I;return this.options.useInMemoryStorage?I=E.SQLiteStorageDatabase.IN_MEMORY_PATH:I=w.join(this.environmentService.globalStorageHome.fsPath,d.STORAGE_NAME),new n.Storage(new E.SQLiteStorageDatabase(I,{logging:this.createLogginOptions()}))}async doInit(I){await super.doInit(I),this.updateTelemetryState(I)}updateTelemetryState(I){I.get(i.instanceStorageKey,void 0)===void 0&&I.set(i.instanceStorageKey,b.generateUuid()),I.get(i.firstSessionDateStorageKey,void 0)===void 0&&I.set(i.firstSessionDateStorageKey,new Date().toUTCString());const o=I.get(i.currentSessionDateStorageKey,void 0),c=new Date().toUTCString();I.set(i.lastSessionDateStorageKey,typeof o=="undefined"?null:o),I.set(i.currentSessionDateStorageKey,c)}}e.GlobalStorageMain=d,d.STORAGE_NAME="state.vscdb";class m extends y{constructor(I,l,h,o){super(h);this.workspace=I,this.options=l,this.environmentService=o}async doCreate(){const{storageFilePath:I,wasCreated:l}=await this.prepareWorkspaceStorageFolder();return new n.Storage(new E.SQLiteStorageDatabase(I,{logging:this.createLogginOptions()}),{hint:l?n.StorageHint.STORAGE_DOES_NOT_EXIST:void 0})}async prepareWorkspaceStorageFolder(){if(this.options.useInMemoryStorage)return{storageFilePath:E.SQLiteStorageDatabase.IN_MEMORY_PATH,wasCreated:!0};const I=w.join(this.environmentService.workspaceStorageHome.fsPath,this.workspace.id),l=w.join(I,m.WORKSPACE_STORAGE_NAME);return await g.Promises.exists(I)?{storageFilePath:l,wasCreated:!1}:(await g.Promises.mkdir(I,{recursive:!0}),this.ensureWorkspaceStorageFolderMeta(I),{storageFilePath:l,wasCreated:!0})}async ensureWorkspaceStorageFolderMeta(I){let l;if(P.isSingleFolderWorkspaceIdentifier(this.workspace)?l={folder:this.workspace.uri.toString()}:P.isWorkspaceIdentifier(this.workspace)&&(l={workspace:this.workspace.configPath.toString()}),l)try{const h=w.join(I,m.WORKSPACE_META_NAME);await g.Promises.exists(h)||await g.Promises.writeFile(h,JSON.stringify(l,void 0,2))}catch(h){this.logService.error(`StorageMain#ensureWorkspaceStorageFolderMeta(): Unable to create workspace storage metadata due to ${h}`)}}}e.WorkspaceStorageMain=m,m.WORKSPACE_STORAGE_NAME="state.vscdb",m.WORKSPACE_META_NAME="workspace.json"}),define(J[99],Z([0,1,43,2,48,4,22,6,215]),function(j,e,g,M,D,S,E,n,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageMainService=e.IStorageMainService=void 0,e.IStorageMainService=S.createDecorator("storageMainService");let v=class extends M.Disposable{constructor(b,P,y){super();this.logService=b,this.environmentService=P,this.lifecycleMainService=y,this.globalStorage=this.createGlobalStorage(),this.mapWorkspaceToStorage=new Map,this.registerListeners()}getStorageOptions(){return{useInMemoryStorage:!!this.environmentService.extensionTestsLocationURI}}registerListeners(){(async()=>{await this.lifecycleMainService.when(3),this.globalStorage.init()})(),this._register(this.lifecycleMainService.onWillLoadWindow(async b=>{if(b.workspace){if(b.reason===2)return;this.workspaceStorage(b.workspace).init()}})),this._register(this.lifecycleMainService.onWillShutdown(b=>{b.join(this.globalStorage.close());for(const[,P]of this.mapWorkspaceToStorage)b.join(P.close())}))}createGlobalStorage(){if(this.globalStorage)return this.globalStorage;this.logService.trace("StorageMainService: creating global storage");const b=new w.GlobalStorageMain(this.getStorageOptions(),this.logService,this.environmentService);return g.once(b.onDidCloseStorage)(()=>{this.logService.trace("StorageMainService: closed global storage")}),b}createWorkspaceStorage(b){return new w.WorkspaceStorageMain(b,this.getStorageOptions(),this.logService,this.environmentService)}workspaceStorage(b){let P=this.mapWorkspaceToStorage.get(b.id);return P||(this.logService.trace(`StorageMainService: creating workspace storage (${b.id})`),P=this.createWorkspaceStorage(b),this.mapWorkspaceToStorage.set(b.id,P),g.once(P.onDidCloseStorage)(()=>{this.logService.trace(`StorageMainService: closed workspace storage (${b.id})`),this.mapWorkspaceToStorage.delete(b.id)})),P}};v=ue([te(0,n.ILogService),te(1,D.IEnvironmentService),te(2,E.ILifecycleMainService)],v),e.StorageMainService=v}),define(J[100],Z([0,1,7,27,15]),function(j,e,g,M,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findWindowOnExtensionDevelopmentPath=e.findWindowOnWorkspaceOrFolder=e.findWindowOnFile=void 0;function S(w,v,i){for(const P of w){const y=P.openedWorkspace;if(M.isWorkspaceIdentifier(y)){const d=i(y);if(d){if(d.folders.some(m=>D.extUriBiasedIgnorePathCase.isEqualOrParent(v,m.uri)))return P}else if(D.extUriBiasedIgnorePathCase.isEqualOrParent(v,y.configPath))return P}}const b=w.filter(P=>M.isSingleFolderWorkspaceIdentifier(P.openedWorkspace)&&D.extUriBiasedIgnorePathCase.isEqualOrParent(v,P.openedWorkspace.uri));if(b.length)return b.sort((P,y)=>-(P.openedWorkspace.uri.path.length-y.openedWorkspace.uri.path.length))[0]}e.findWindowOnFile=S;function E(w,v){for(const i of w)if(M.isWorkspaceIdentifier(i.openedWorkspace)&&D.extUriBiasedIgnorePathCase.isEqual(i.openedWorkspace.configPath,v)||M.isSingleFolderWorkspaceIdentifier(i.openedWorkspace)&&D.extUriBiasedIgnorePathCase.isEqual(i.openedWorkspace.uri,v))return i}e.findWindowOnWorkspaceOrFolder=E;function n(w,v){const i=b=>v.some(P=>D.extUriBiasedIgnorePathCase.isEqual(g.URI.file(P),g.URI.file(b)));for(const b of w)if(b.config?.extensionDevelopmentPath?.some(P=>i(P)))return b}e.findWindowOnExtensionDevelopmentPath=n}),define(J[216],Z([0,1,14,2,3,15,7,21,22,6,39,35,27]),function(j,e,g,M,D,S,E,n,w,v,i,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWindowsStateStoreData=e.restoreWindowsState=e.WindowsStateHandler=void 0;let y=class mt extends M.Disposable{constructor(h,o,c,t,s){super();this.windowsMainService=h,this.stateMainService=o,this.lifecycleMainService=c,this.logService=t,this.configurationService=s,this._state=d(this.stateMainService.getItem(mt.windowsStateStorageKey)),this.lastClosedState=void 0,this.shuttingDown=!1,this.registerListeners()}get state(){return this._state}registerListeners(){g.app.on("browser-window-blur",()=>{this.shuttingDown||this.saveWindowsState()}),this.lifecycleMainService.onBeforeCloseWindow(h=>this.onBeforeCloseWindow(h)),this.lifecycleMainService.onBeforeShutdown(()=>this.onBeforeShutdown()),this.windowsMainService.onDidChangeWindowsCount(h=>{h.newCount-h.oldCount>0&&(this.lastClosedState=void 0)}),this.windowsMainService.onDidDestroyWindow(h=>this.onBeforeCloseWindow(h))}onBeforeShutdown(){this.shuttingDown=!0,this.saveWindowsState()}saveWindowsState(){const h={openedWindows:[],lastPluginDevelopmentHostWindow:this._state.lastPluginDevelopmentHostWindow,lastActiveWindow:this.lastClosedState};if(!h.lastActiveWindow){let t=this.windowsMainService.getLastActiveWindow();(!t||t.isExtensionDevelopmentHost)&&(t=this.windowsMainService.getWindows().find(s=>!s.isExtensionDevelopmentHost)),t&&(h.lastActiveWindow=this.toWindowState(t))}const o=this.windowsMainService.getWindows().find(t=>t.isExtensionDevelopmentHost&&!t.isExtensionTestHost);o&&(h.lastPluginDevelopmentHostWindow=this.toWindowState(o)),this.windowsMainService.getWindowCount()>1&&(h.openedWindows=this.windowsMainService.getWindows().filter(t=>!t.isExtensionDevelopmentHost).map(t=>this.toWindowState(t)));const c=k(h);this.stateMainService.setItem(mt.windowsStateStorageKey,c),this.shuttingDown&&this.logService.trace("[WindowsStateHandler] onBeforeShutdown",c)}onBeforeCloseWindow(h){if(this.lifecycleMainService.quitRequested)return;const o=this.toWindowState(h);h.isExtensionDevelopmentHost&&!h.isExtensionTestHost?this._state.lastPluginDevelopmentHostWindow=o:!h.isExtensionDevelopmentHost&&h.openedWorkspace&&this._state.openedWindows.forEach(c=>{const t=P.isWorkspaceIdentifier(h.openedWorkspace)&&c.workspace?.id===h.openedWorkspace.id,s=P.isSingleFolderWorkspaceIdentifier(h.openedWorkspace)&&c.folderUri&&S.extUriBiasedIgnorePathCase.isEqual(c.folderUri,h.openedWorkspace.uri);(t||s)&&(c.uiState=o.uiState)}),this.windowsMainService.getWindowCount()===1&&(this.lastClosedState=o)}toWindowState(h){return{workspace:P.isWorkspaceIdentifier(h.openedWorkspace)?h.openedWorkspace:void 0,folderUri:P.isSingleFolderWorkspaceIdentifier(h.openedWorkspace)?h.openedWorkspace.uri:void 0,backupPath:h.backupPath,remoteAuthority:h.remoteAuthority,uiState:h.serializeWindowState()}}getNewWindowState(h){const o=this.doGetNewWindowState(h),c=this.configurationService.getValue("window");let t;return o.hasDefaultState?t=!!(c?.newWindowDimensions&&["fullscreen","inherit","offset"].indexOf(c.newWindowDimensions)>=0):(t=!!(this.lifecycleMainService.wasRestarted||c?.restoreFullscreen),t&&D.isMacintosh&&this.windowsMainService.getWindows().some(s=>s.isFullScreen)&&(t=!1)),o.mode===3&&!t&&(o.mode=1),o}doGetNewWindowState(h){const o=this.windowsMainService.getLastActiveWindow();if(!h.extensionTestsPath){if(!!h.extensionDevelopmentPath&&this.state.lastPluginDevelopmentHostWindow)return this.state.lastPluginDevelopmentHostWindow.uiState;const u=h.workspace;if(P.isWorkspaceIdentifier(u)){const f=this.state.openedWindows.filter(L=>L.workspace&&L.workspace.id===u.id).map(L=>L.uiState);if(f.length)return f[0]}if(P.isSingleFolderWorkspaceIdentifier(u)){const f=this.state.openedWindows.filter(L=>L.folderUri&&S.extUriBiasedIgnorePathCase.isEqual(L.folderUri,u.uri)).map(L=>L.uiState);if(f.length)return f[0]}else if(h.backupPath){const f=this.state.openedWindows.filter(L=>L.backupPath===h.backupPath).map(L=>L.uiState);if(f.length)return f[0]}const p=this.lastClosedState||this.state.lastActiveWindow;if(!o&&p)return p.uiState}let c;const t=g.screen.getAllDisplays();if(t.length===1)c=t[0];else{if(D.isMacintosh){const u=g.screen.getCursorScreenPoint();c=g.screen.getDisplayNearestPoint(u)}!c&&o&&(c=g.screen.getDisplayMatching(o.getBounds())),c||(c=g.screen.getPrimaryDisplay()||t[0])}let s=b.defaultWindowState();s.x=Math.round(c.bounds.x+c.bounds.width/2-s.width/2),s.y=Math.round(c.bounds.y+c.bounds.height/2-s.height/2);const r=this.configurationService.getValue("window");let a=!0;if(r?.newWindowDimensions){if(r.newWindowDimensions==="maximized")s.mode=0,a=!1;else if(r.newWindowDimensions==="fullscreen")s.mode=3,a=!1;else if((r.newWindowDimensions==="inherit"||r.newWindowDimensions==="offset")&&o){const u=o.serializeWindowState();u.mode===3?s.mode=3:s=u,a=s.mode!==3&&r.newWindowDimensions==="offset"}}return a&&(s=this.ensureNoOverlap(s)),s.hasDefaultState=!0,s}ensureNoOverlap(h){if(this.windowsMainService.getWindows().length===0)return h;h.x=typeof h.x=="number"?h.x:0,h.y=typeof h.y=="number"?h.y:0;const o=this.windowsMainService.getWindows().map(c=>c.getBounds());for(;o.some(c=>c.x===h.x||c.y===h.y);)h.x+=30,h.y+=30;return h}};y.windowsStateStorageKey="windowsState",y=ue([te(0,b.IWindowsMainService),te(1,i.IStateMainService),te(2,w.ILifecycleMainService),te(3,v.ILogService),te(4,n.IConfigurationService)],y),e.WindowsStateHandler=y;function d(l){const h={openedWindows:[]},o=l||{openedWindows:[]};return o.lastActiveWindow&&(h.lastActiveWindow=m(o.lastActiveWindow)),o.lastPluginDevelopmentHostWindow&&(h.lastPluginDevelopmentHostWindow=m(o.lastPluginDevelopmentHostWindow)),Array.isArray(o.openedWindows)&&(h.openedWindows=o.openedWindows.map(c=>m(c))),h}e.restoreWindowsState=d;function m(l){const h={uiState:l.uiState};return l.backupPath&&(h.backupPath=l.backupPath),l.remoteAuthority&&(h.remoteAuthority=l.remoteAuthority),l.folder&&(h.folderUri=E.URI.parse(l.folder)),l.workspaceIdentifier&&(h.workspace={id:l.workspaceIdentifier.id,configPath:E.URI.parse(l.workspaceIdentifier.configURIPath)}),h}function k(l){return{lastActiveWindow:l.lastActiveWindow&&I(l.lastActiveWindow),lastPluginDevelopmentHostWindow:l.lastPluginDevelopmentHostWindow&&I(l.lastPluginDevelopmentHostWindow),openedWindows:l.openedWindows.map(h=>I(h))}}e.getWindowsStateStoreData=k;function I(l){return{workspaceIdentifier:l.workspace&&{id:l.workspace.id,configURIPath:l.workspace.configPath.toString()},folder:l.folderUri&&l.folderUri.toString(),backupPath:l.backupPath,remoteAuthority:l.remoteAuthority,uiState:l.uiState}}}),define(J[101],Z([0,1,29,3,58,10,15]),function(j,e,g,M,D,S,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingleFolderWorkspaceIdentifier=e.getWorkspaceIdentifier=void 0;function n(v){function i(){let b=v.scheme===S.Schemas.file?E.originalFSPath(v):v.toString();return M.isLinux||(b=b.toLowerCase()),D.createHash("md5").update(b).digest("hex")}return{id:i(),configPath:v}}e.getWorkspaceIdentifier=n;function w(v,i){function b(){if(v.scheme!==S.Schemas.file)return D.createHash("md5").update(v.toString()).digest("hex");if(!i)try{i=g.statSync(v.fsPath)}catch(d){return}let y;return M.isLinux?y=i.ino:M.isMacintosh?y=i.birthtime.getTime():M.isWindows&&(typeof i.birthtimeMs=="number"?y=Math.floor(i.birthtimeMs):y=i.birthtime.getTime()),D.createHash("md5").update(v.fsPath).update(y?String(y):"").digest("hex")}const P=b();if(typeof P=="string")return{id:P,uri:v}}e.getSingleFolderWorkspaceIdentifier=w}),define(J[56],Z([0,1,58,59,217,5,34,8,26,28,2,17,84,16,3]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;class m{constructor(f){this.socket=f,this._errorListener=L=>{if(L){if(L.code==="EPIPE")return;y.onUnexpectedError(L)}},this.socket.on("error",this._errorListener)}dispose(){this.socket.off("error",this._errorListener),this.socket.destroy()}onData(f){const L=T=>f(b.VSBuffer.wrap(T));return this.socket.on("data",L),{dispose:()=>this.socket.off("data",L)}}onClose(f){const L=T=>{f({type:0,hadError:T,error:void 0})};return this.socket.on("close",L),{dispose:()=>this.socket.off("close",L)}}onEnd(f){return this.socket.on("end",f),{dispose:()=>this.socket.off("end",f)}}write(f){if(!this.socket.destroyed)try{this.socket.write(f.buffer,L=>{if(L){if(L.code==="EPIPE")return;y.onUnexpectedError(L)}})}catch(L){if(L.code==="EPIPE")return;y.onUnexpectedError(L)}}end(){this.socket.end()}drain(){return new Promise((f,L)=>{if(this.socket.bufferSize===0){f();return}const T=()=>{this.socket.off("close",T),this.socket.off("end",T),this.socket.off("error",T),this.socket.off("timeout",T),this.socket.off("drain",T),f()};this.socket.on("close",T),this.socket.on("end",T),this.socket.on("error",T),this.socket.on("timeout",T),this.socket.on("drain",T)})}}e.NodeSocket=m;var k;(function(p){p[p.MinHeaderByteSize=2]="MinHeaderByteSize"})(k||(k={}));var I;(function(p){p[p.PeekHeader=1]="PeekHeader",p[p.ReadHeader=2]="ReadHeader",p[p.ReadBody=3]="ReadBody",p[p.Fin=4]="Fin"})(I||(I={}));class l extends i.Disposable{constructor(f,L,T,W){super();this._onDidZlibFlush=this._register(new S.Emitter),this._recordedInflateBytes=[],this._pendingInflateData=[],this._pendingDeflateData=[],this._onData=this._register(new S.Emitter),this._onClose=this._register(new S.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,mask:0},this.socket=f,this._totalIncomingWireBytes=0,this._totalIncomingDataBytes=0,this._totalOutgoingWireBytes=0,this._totalOutgoingDataBytes=0,this.permessageDeflate=L,this._recordInflateBytes=W,L?(this._zlibInflate=D.createInflateRaw({windowBits:15}),this._zlibInflate.on("error",N=>{console.error(N),y.onUnexpectedError(N),this._onClose.fire({type:0,hadError:!0,error:N})}),this._zlibInflate.on("data",N=>{this._pendingInflateData.push(N)}),T&&(this._zlibInflate.write(T.buffer),this._zlibInflate.flush(()=>{this._pendingInflateData.length=0})),this._zlibDeflate=D.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",N=>{console.error(N),y.onUnexpectedError(N),this._onClose.fire({type:0,hadError:!0,error:N})}),this._zlibDeflate.on("data",N=>{this._pendingDeflateData.push(N)})):(this._zlibInflate=null,this._zlibDeflate=null),this._zlibDeflateFlushWaitingCount=0,this._incomingData=new P.ChunkStream,this._register(this.socket.onData(N=>this._acceptChunk(N))),this._register(this.socket.onClose(N=>this._onClose.fire(N)))}get totalIncomingWireBytes(){return this._totalIncomingWireBytes}get totalIncomingDataBytes(){return this._totalIncomingDataBytes}get totalOutgoingWireBytes(){return this._totalOutgoingWireBytes}get totalOutgoingDataBytes(){return this._totalOutgoingDataBytes}get recordedInflateBytes(){return this._recordInflateBytes?b.VSBuffer.wrap(Buffer.concat(this._recordedInflateBytes)):b.VSBuffer.alloc(0)}dispose(){this._zlibDeflateFlushWaitingCount>0?this._register(this._onDidZlibFlush.event(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(f){return this._onData.event(f)}onClose(f){return this._onClose.event(f)}onEnd(f){return this.socket.onEnd(f)}write(f){this._totalOutgoingDataBytes+=f.byteLength,this._zlibDeflate?(this._zlibDeflate.write(f.buffer),this._zlibDeflateFlushWaitingCount++,this._zlibDeflate.flush(2,()=>{this._zlibDeflateFlushWaitingCount--;let L=Buffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,L=L.slice(0,L.length-4),this._isEnded||this._write(b.VSBuffer.wrap(L),!0),this._zlibDeflateFlushWaitingCount===0&&this._onDidZlibFlush.fire()})):this._write(f,!1)}_write(f,L){let T=2;f.byteLength<126?T+=0:f.byteLength<2**16?T+=2:T+=8;const W=b.VSBuffer.alloc(T);if(L?W.writeUInt8(194,0):W.writeUInt8(130,0),f.byteLength<126)W.writeUInt8(f.byteLength,1);else if(f.byteLength<2**16){W.writeUInt8(126,1);let N=1;W.writeUInt8(f.byteLength>>>8&255,++N),W.writeUInt8(f.byteLength>>>0&255,++N)}else{W.writeUInt8(127,1);let N=1;W.writeUInt8(0,++N),W.writeUInt8(0,++N),W.writeUInt8(0,++N),W.writeUInt8(0,++N),W.writeUInt8(f.byteLength>>>24&255,++N),W.writeUInt8(f.byteLength>>>16&255,++N),W.writeUInt8(f.byteLength>>>8&255,++N),W.writeUInt8(f.byteLength>>>0&255,++N)}this._totalOutgoingWireBytes+=W.byteLength+f.byteLength,this.socket.write(b.VSBuffer.concat([W,f]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(f){if(f.byteLength!==0){for(this._totalIncomingWireBytes+=f.byteLength,this._incomingData.acceptChunk(f);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const L=this._incomingData.peek(this._state.readLen),W=(L.readUInt8(0)&128)>>>7,N=L.readUInt8(1),V=(N&128)>>>7,ee=N&127;this._state.state=2,this._state.readLen=2+(V?4:0)+(ee===126?2:0)+(ee===127?8:0),this._state.fin=W,this._state.mask=0}else if(this._state.state===2){const L=this._incomingData.read(this._state.readLen),T=L.readUInt8(1),W=(T&128)>>>7;let N=T&127,V=1;N===126?N=L.readUInt8(++V)*2**8+L.readUInt8(++V):N===127&&(N=L.readUInt8(++V)*0+L.readUInt8(++V)*0+L.readUInt8(++V)*0+L.readUInt8(++V)*0+L.readUInt8(++V)*2**24+L.readUInt8(++V)*2**16+L.readUInt8(++V)*2**8+L.readUInt8(++V));let ee=0;W&&(ee=L.readUInt8(++V)*2**24+L.readUInt8(++V)*2**16+L.readUInt8(++V)*2**8+L.readUInt8(++V)),this._state.state=3,this._state.readLen=N,this._state.mask=ee}else if(this._state.state===3){const L=this._incomingData.read(this._state.readLen);h(L,this._state.mask),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._zlibInflate?(this._recordInflateBytes&&this._recordedInflateBytes.push(Buffer.from(L.buffer)),this._zlibInflate.write(L.buffer),this._state.fin&&(this._recordInflateBytes&&this._recordedInflateBytes.push(Buffer.from([0,0,255,255])),this._zlibInflate.write(Buffer.from([0,0,255,255]))),this._zlibInflate.flush(()=>{const T=Buffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,this._totalIncomingDataBytes+=T.length,this._onData.fire(b.VSBuffer.wrap(T))})):(this._totalIncomingDataBytes+=L.byteLength,this._onData.fire(L))}}}async drain(){this._zlibDeflateFlushWaitingCount>0&&await S.Event.toPromise(this._onDidZlibFlush.event),await this.socket.drain()}}e.WebSocketNodeSocket=l;function h(p,f){if(f===0)return;let L=p.byteLength>>>2;for(let q=0;q<L;q++){const x=p.readUInt32BE(q*4);p.writeUInt32BE(x^f,q*4)}let T=L*4,W=p.byteLength-T;const N=f>>>24&255,V=f>>>16&255,ee=f>>>8&255;W>=1&&p.writeUInt8(p.readUInt8(T)^N,T),W>=2&&p.writeUInt8(p.readUInt8(T+1)^V,T+1),W>=3&&p.writeUInt8(p.readUInt8(T+2)^ee,T+2)}e.XDG_RUNTIME_DIR=process.env.XDG_RUNTIME_DIR;const o={[2]:107,[1]:103};function c(){const p=v.generateUuid();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${p}-sock`;let f;return e.XDG_RUNTIME_DIR?f=n.join(e.XDG_RUNTIME_DIR,`vscode-ipc-${p}.sock`):f=n.join(w.tmpdir(),`vscode-ipc-${p}.sock`),s(f),f}e.createRandomIPCHandle=c;function t(p,f,L){const T=g.createHash("md5").update(p).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${T}-${L}-${f}-sock`;let W;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?W=n.join(e.XDG_RUNTIME_DIR,`vscode-${T.substr(0,8)}-${L}-${f}.sock`):W=n.join(p,`${L}-${f}.sock`),s(W),W}e.createStaticIPCHandle=t;function s(p){const f=o[d.platform];typeof f=="number"&&p.length>=f&&console.warn(`WARNING: IPC handle "${p}" is longer than ${f} chars, try a shorter --user-data-dir`)}class r extends E.IPCServer{constructor(f){super(r.toClientConnectionEvent(f));this.server=f}static toClientConnectionEvent(f){const L=S.Event.fromNodeEventEmitter(f,"connection");return S.Event.map(L,T=>({protocol:new P.Protocol(new m(T)),onDidClientDisconnect:S.Event.once(S.Event.fromNodeEventEmitter(T,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=r;function a(p){return new Promise((f,L)=>{const T=M.createServer();T.on("error",L),T.listen(p,()=>{T.removeListener("error",L),f(new r(T))})})}e.serve=a;function u(p,f){return new Promise((L,T)=>{const W=M.createConnection(p,()=>{W.removeListener("error",T),L(P.Client.fromSocket(new m(W),f))});W.once("error",T)})}e.connect=u}),define(J[218],Z([0,1,56]),function(j,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.WindowDriverRegistryChannel=e.DriverChannelClient=e.DriverChannel=void 0;class M{constructor(w){this.driver=w}listen(w,v){throw new Error("No event found")}call(w,v,i){switch(v){case"getWindowIds":return this.driver.getWindowIds();case"capturePage":return this.driver.capturePage(i);case"reloadWindow":return this.driver.reloadWindow(i);case"exitApplication":return this.driver.exitApplication();case"dispatchKeybinding":return this.driver.dispatchKeybinding(i[0],i[1]);case"click":return this.driver.click(i[0],i[1],i[2],i[3]);case"doubleClick":return this.driver.doubleClick(i[0],i[1]);case"setValue":return this.driver.setValue(i[0],i[1],i[2]);case"getTitle":return this.driver.getTitle(i[0]);case"isActiveElement":return this.driver.isActiveElement(i[0],i[1]);case"getElements":return this.driver.getElements(i[0],i[1],i[2]);case"getElementXY":return this.driver.getElementXY(i[0],i[1],i[2]);case"typeInEditor":return this.driver.typeInEditor(i[0],i[1],i[2]);case"getTerminalBuffer":return this.driver.getTerminalBuffer(i[0],i[1]);case"writeInTerminal":return this.driver.writeInTerminal(i[0],i[1],i[2]);case"getLocalizedStrings":return this.driver.getLocalizedStrings(i)}throw new Error(`Call not found: ${v}`)}}e.DriverChannel=M;class D{constructor(w){this.channel=w}getWindowIds(){return this.channel.call("getWindowIds")}capturePage(w){return this.channel.call("capturePage",w)}reloadWindow(w){return this.channel.call("reloadWindow",w)}exitApplication(){return this.channel.call("exitApplication")}dispatchKeybinding(w,v){return this.channel.call("dispatchKeybinding",[w,v])}click(w,v,i,b){return this.channel.call("click",[w,v,i,b])}doubleClick(w,v){return this.channel.call("doubleClick",[w,v])}setValue(w,v,i){return this.channel.call("setValue",[w,v,i])}getTitle(w){return this.channel.call("getTitle",[w])}isActiveElement(w,v){return this.channel.call("isActiveElement",[w,v])}getElements(w,v,i){return this.channel.call("getElements",[w,v,i])}getElementXY(w,v,i,b){return this.channel.call("getElementXY",[w,v,i,b])}typeInEditor(w,v,i){return this.channel.call("typeInEditor",[w,v,i])}getTerminalBuffer(w,v){return this.channel.call("getTerminalBuffer",[w,v])}writeInTerminal(w,v,i){return this.channel.call("writeInTerminal",[w,v,i])}getLocalizedStrings(w){return this.channel.call("getLocalizedStrings",w)}}e.DriverChannelClient=D;class S{constructor(w){this.registry=w}listen(w,v){throw new Error(`Event not found: ${v}`)}call(w,v,i){switch(v){case"registerWindowDriver":return this.registry.registerWindowDriver(i);case"reloadWindowDriver":return this.registry.reloadWindowDriver(i)}throw new Error(`Call not found: ${v}`)}}e.WindowDriverRegistryChannel=S;async function E(n){const w=await g.connect(n,"driverClient"),v=w.getChannel("driver"),i=new D(v);return{client:w,driver:i}}e.connect=E}),define(J[24],Z([0,1,8,47,4,48,161,56]),function(j,e,g,M,D,S,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EnvironmentMainService=e.IEnvironmentMainService=void 0,e.IEnvironmentMainService=D.refineServiceDecorator(S.IEnvironmentService);class w extends E.NativeEnvironmentService{get cachedLanguagesPath(){return g.join(this.userDataPath,"clp")}get backupHome(){return g.join(this.userDataPath,"Backups")}get backupWorkspacesPath(){return g.join(this.backupHome,"workspaces.json")}get mainIPCHandle(){return n.createStaticIPCHandle(this.userDataPath,"main",this.productService.version)}get sandbox(){return!!this.args.__sandbox}get driverVerbose(){return!!this.args["driver-verbose"]}get disableUpdates(){return!!this.args["disable-updates"]}get disableKeytar(){return!!this.args["disable-keytar"]}get codeCachePath(){return process.env.VSCODE_CODE_CACHE_PATH||void 0}}ue([M.memoize],w.prototype,"cachedLanguagesPath",null),ue([M.memoize],w.prototype,"backupHome",null),ue([M.memoize],w.prototype,"backupWorkspacesPath",null),ue([M.memoize],w.prototype,"mainIPCHandle",null),ue([M.memoize],w.prototype,"sandbox",null),ue([M.memoize],w.prototype,"driverVerbose",null),ue([M.memoize],w.prototype,"disableUpdates",null),ue([M.memoize],w.prototype,"disableKeytar",null),ue([M.memoize],w.prototype,"codeCachePath",null),e.EnvironmentMainService=w}),define(J[219],Z([0,1,29,58,8,3,18,52,24,21,19,6,27,7,30,10,15]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BackupMainService=void 0;let I=class{constructor(h,o,c){this.configurationService=o,this.logService=c,this.workspaces=[],this.folders=[],this.emptyWindows=[],this.backupUriComparer=k.extUriBiasedIgnorePathCase,this.backupPathComparer={isEqual:(t,s)=>d.isEqual(t,s,!S.isLinux)},this.backupHome=h.backupHome,this.workspacesJsonPath=h.backupWorkspacesPath}async initialize(){let h;try{h=JSON.parse(await E.Promises.readFile(this.workspacesJsonPath,"utf8"))}catch(t){h=Object.create(null)}this.emptyWindows=await this.validateEmptyWorkspaces(h.emptyWorkspaceInfos);let o=[];try{Array.isArray(h.rootURIWorkspaces)&&(o=h.rootURIWorkspaces.map(t=>({workspace:{id:t.id,configPath:y.URI.parse(t.configURIPath)},remoteAuthority:t.remoteAuthority})))}catch(t){}this.workspaces=await this.validateWorkspaces(o);let c=[];try{Array.isArray(h.folderURIWorkspaces)&&(c=h.folderURIWorkspaces.map(t=>y.URI.parse(t)))}catch(t){}this.folders=await this.validateFolders(c),await this.save()}getWorkspaceBackups(){return this.isHotExitOnExitAndWindowClose()?[]:this.workspaces.slice(0)}getFolderBackupPaths(){return this.isHotExitOnExitAndWindowClose()?[]:this.folders.slice(0)}isHotExitEnabled(){return this.getHotExitConfig()!==i.HotExitConfiguration.OFF}isHotExitOnExitAndWindowClose(){return this.getHotExitConfig()===i.HotExitConfiguration.ON_EXIT_AND_WINDOW_CLOSE}getHotExitConfig(){return this.configurationService.getValue()?.files?.hotExit||i.HotExitConfiguration.ON_EXIT}getEmptyWindowBackupPaths(){return this.emptyWindows.slice(0)}registerWorkspaceBackupSync(h,o){this.workspaces.some(t=>h.workspace.id===t.workspace.id)||(this.workspaces.push(h),this.saveSync());const c=this.getBackupPath(h.workspace.id);return o&&this.moveBackupFolderSync(c,o),c}moveBackupFolderSync(h,o){if(g.existsSync(h)&&this.convertToEmptyWindowBackupSync(h),g.existsSync(o))try{g.renameSync(o,h)}catch(c){this.logService.error(`Backup: Could not move backup folder to new location: ${c.toString()}`)}}unregisterWorkspaceBackupSync(h){const o=h.id,c=this.workspaces.findIndex(t=>t.workspace.id===o);c!==-1&&(this.workspaces.splice(c,1),this.saveSync())}registerFolderBackupSync(h){return this.folders.some(o=>this.backupUriComparer.isEqual(h,o))||(this.folders.push(h),this.saveSync()),this.getBackupPath(this.getFolderHash(h))}unregisterFolderBackupSync(h){const o=this.folders.findIndex(c=>this.backupUriComparer.isEqual(h,c));o!==-1&&(this.folders.splice(o,1),this.saveSync())}registerEmptyWindowBackupSync(h,o){const c=h||this.getRandomEmptyWindowId();return this.emptyWindows.some(t=>!!t.backupFolder&&this.backupPathComparer.isEqual(t.backupFolder,c))||(this.emptyWindows.push({backupFolder:c,remoteAuthority:o}),this.saveSync()),this.getBackupPath(c)}unregisterEmptyWindowBackupSync(h){const o=this.emptyWindows.findIndex(c=>!!c.backupFolder&&this.backupPathComparer.isEqual(c.backupFolder,h));o!==-1&&(this.emptyWindows.splice(o,1),this.saveSync())}getBackupPath(h){return D.join(this.backupHome,h)}async validateWorkspaces(h){if(!Array.isArray(h))return[];const o=new Set,c=[];for(let t of h){const s=t.workspace;if(!P.isWorkspaceIdentifier(s))return[];if(!o.has(s.id)){o.add(s.id);const r=this.getBackupPath(s.id);await this.doHasBackups(r)?s.configPath.scheme!==m.Schemas.file||await E.Promises.exists(s.configPath.fsPath)?c.push(t):await this.convertToEmptyWindowBackup(r):await this.deleteStaleBackup(r)}}return c}async validateFolders(h){if(!Array.isArray(h))return[];const o=[],c=new Set;for(let t of h){const s=this.backupUriComparer.getComparisonKey(t);if(!c.has(s)){c.add(s);const r=this.getBackupPath(this.getFolderHash(t));await this.doHasBackups(r)?t.scheme!==m.Schemas.file||await E.Promises.exists(t.fsPath)?o.push(t):await this.convertToEmptyWindowBackup(r):await this.deleteStaleBackup(r)}}return o}async validateEmptyWorkspaces(h){if(!Array.isArray(h))return[];const o=[],c=new Set;for(let t of h){const s=t.backupFolder;if(typeof s!="string")return[];if(!c.has(s)){c.add(s);const r=this.getBackupPath(s);await this.doHasBackups(r)?o.push(t):await this.deleteStaleBackup(r)}}return o}async deleteStaleBackup(h){try{await E.Promises.exists(h)&&await E.Promises.rm(h,E.RimRafMode.MOVE)}catch(o){this.logService.error(`Backup: Could not delete stale backup: ${o.toString()}`)}}async convertToEmptyWindowBackup(h){let o=this.getRandomEmptyWindowId();for(;this.emptyWindows.some(t=>!!t.backupFolder&&this.backupPathComparer.isEqual(t.backupFolder,o));)o=this.getRandomEmptyWindowId();const c=this.getBackupPath(o);try{await E.Promises.rename(h,c)}catch(t){return this.logService.error(`Backup: Could not rename backup folder: ${t.toString()}`),!1}return this.emptyWindows.push({backupFolder:o}),!0}convertToEmptyWindowBackupSync(h){let o=this.getRandomEmptyWindowId();for(;this.emptyWindows.some(t=>!!t.backupFolder&&this.backupPathComparer.isEqual(t.backupFolder,o));)o=this.getRandomEmptyWindowId();const c=this.getBackupPath(o);try{g.renameSync(h,c)}catch(t){return this.logService.error(`Backup: Could not rename backup folder: ${t.toString()}`),!1}return this.emptyWindows.push({backupFolder:o}),!0}async getDirtyWorkspaces(){const h=[];for(const o of this.workspaces)await this.hasBackups(o)&&h.push(o.workspace);for(const o of this.folders)await this.hasBackups(o)&&h.push(o);return h}hasBackups(h){let o;return y.URI.isUri(h)?o=this.getBackupPath(this.getFolderHash(h)):n.isWorkspaceBackupInfo(h)?o=this.getBackupPath(h.workspace.id):o=h.backupFolder,this.doHasBackups(o)}async doHasBackups(h){try{const o=await E.Promises.readdir(h);for(const c of o)try{if((await E.Promises.readdir(D.join(h,c))).length>0)return!0}catch(t){}}catch(o){}return!1}saveSync(){try{E.writeFileSync(this.workspacesJsonPath,JSON.stringify(this.serializeBackups()))}catch(h){this.logService.error(`Backup: Could not save workspaces.json: ${h.toString()}`)}}async save(){try{await E.Promises.writeFile(this.workspacesJsonPath,JSON.stringify(this.serializeBackups()))}catch(h){this.logService.error(`Backup: Could not save workspaces.json: ${h.toString()}`)}}serializeBackups(){return{rootURIWorkspaces:this.workspaces.map(h=>({id:h.workspace.id,configURIPath:h.workspace.configPath.toString(),remoteAuthority:h.remoteAuthority})),folderURIWorkspaces:this.folders.map(h=>h.toString()),emptyWorkspaceInfos:this.emptyWindows}}getRandomEmptyWindowId(){return(Date.now()+Math.round(Math.random()*1e3)).toString()}getFolderHash(h){let o;return h.scheme===m.Schemas.file?o=S.isLinux?h.fsPath:h.fsPath.toLowerCase():o=h.toString().toLowerCase(),M.createHash("md5").update(o).digest("hex")}};I=ue([te(0,w.IEnvironmentMainService),te(1,v.IConfigurationService),te(2,b.ILogService)],I),e.BackupMainService=I}),define(J[220],Z([0,1,59,56]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nodeSocketFactory=void 0,e.nodeSocketFactory=new class{connect(D,S,E,n){const w=i=>n(i,void 0),v=g.createConnection({host:D,port:S},()=>{v.removeListener("error",w);const i=Buffer.alloc(16);for(let d=0;d<16;d++)i[d]=Math.round(Math.random()*256);const b=i.toString("base64");let P=[`GET ws://${/:/.test(D)?`[${D}]`:D}:${S}/?${E}&skipWebSocketFrames=true HTTP/1.1`,"Connection: Upgrade","Upgrade: websocket",`Sec-WebSocket-Key: ${b}`];v.write(P.join(`\r
`)+`\r
\r
`);const y=d=>{d.toString().indexOf(`\r
\r
`)>=0&&(v.off("data",y),n(void 0,new M.NodeSocket(v)))};v.on("data",y)});v.once("error",w)}}}),define(J[221],Z([0,1,59,9,2,116,21,6,20,192,74,220,75]),function(j,e,g,M,D,S,E,n,w,v,i,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TunnelService=e.BaseTunnelService=void 0;async function y(I,l,h,o,c){return new d(I,l,h,o,c).waitForReady()}class d extends D.Disposable{constructor(l,h,o,c,t){super();this.defaultTunnelHost=h,this.suggestedLocalPort=t,this.public=!1,this._socketsDispose=new Map,this._options=l,this._server=g.createServer(),this._barrier=new M.Barrier,this._listeningListener=()=>this._barrier.open(),this._server.on("listening",this._listeningListener),this._connectionListener=s=>this._onConnection(s),this._server.on("connection",this._connectionListener),this._errorListener=()=>{},this._server.on("error",this._errorListener),this.tunnelRemotePort=c,this.tunnelRemoteHost=o}async dispose(){super.dispose(),this._server.removeListener("listening",this._listeningListener),this._server.removeListener("connection",this._connectionListener),this._server.removeListener("error",this._errorListener),this._server.close(),Array.from(this._socketsDispose.values()).forEach(h=>{h()})}async waitForReady(){let l=await S.findFreePortFaster(this.suggestedLocalPort??this.tunnelRemotePort,2,1e3),h=null;return this._server.listen(l,this.defaultTunnelHost),await this._barrier.wait(),h=this._server.address(),h||(l=0,this._server.listen(l,this.defaultTunnelHost),await this._barrier.wait(),h=this._server.address()),this.tunnelLocalPort=h.port,this.localAddress=`${this.tunnelRemoteHost==="127.0.0.1"?"127.0.0.1":"localhost"}:${h.port}`,this}async _onConnection(l){l.pause();const h=await v.connectRemoteAgentTunnel(this._options,this.tunnelRemotePort),o=h.getSocket().socket,c=h.readEntireBuffer();h.dispose(),c.byteLength>0&&l.write(c.buffer),l.on("end",()=>{this._socketsDispose.delete(l.localAddress),o.end()}),l.on("close",()=>o.end()),l.on("error",()=>{this._socketsDispose.delete(l.localAddress),o.destroy()}),o.on("end",()=>l.end()),o.on("close",()=>l.end()),o.on("error",()=>{l.destroy()}),l.pipe(o),o.pipe(l),this._socketsDispose.set(l.localAddress,()=>{l.end(),o.end()})}}let m=class extends i.AbstractTunnelService{constructor(l,h,o,c,t){super(h);this.socketFactory=l,this.signService=o,this.productService=c,this.configurationService=t}get defaultTunnelHost(){return this.configurationService.getValue("remote.localPortHost")==="localhost"?"127.0.0.1":"0.0.0.0"}retainOrCreateTunnel(l,h,o,c,t,s,r){const a=this.getTunnelFromMap(h,o);if(a)return++a.refcount,a.value;if(this._tunnelProvider)return this.createWithProvider(this._tunnelProvider,h,o,c,t,s,r);{this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel without provider ${h}:${o} on local port ${c}.`);const u={commit:this.productService.commit,socketFactory:this.socketFactory,addressProvider:l,signService:this.signService,logService:this.logService,ipcLogger:null},p=y(u,this.defaultTunnelHost,h,o,c);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created without provider."),this.addTunnelToMap(h,o,p),p}}};m=ue([te(1,n.ILogService),te(2,P.ISignService),te(3,w.IProductService),te(4,E.IConfigurationService)],m),e.BaseTunnelService=m;let k=class extends m{constructor(l,h,o,c){super(b.nodeSocketFactory,l,h,o,c)}};k=ue([te(0,n.ILogService),te(1,P.ISignService),te(2,w.IProductService),te(3,E.IConfigurationService)],k),e.TunnelService=k}),define(J[222],Z([0,1,217,194,2,13,16,193,21,6,17,48,91]),function(j,e,g,M,D,S,E,n,w,v,i,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestService=void 0;let y=class extends D.Disposable{constructor(m,k,I){super();this.environmentService=k,this.logService=I,this.configure(m.getValue()),this._register(m.onDidChangeConfiguration(()=>this.configure(m.getValue()),this))}configure(m){this.proxyUrl=m.http&&m.http.proxy,this.strictSSL=!!(m.http&&m.http.proxyStrictSSL),this.authorization=m.http&&m.http.proxyAuthorization}async request(m,k){this.logService.trace("RequestService#request",m.url);const{proxyUrl:I,strictSSL:l}=this,h={...process.env,...await P.resolveShellEnv(this.logService,this.environmentService.args,process.env)},o=m.agent?m.agent:await n.getProxyAgent(m.url||"",h,{proxyUrl:I,strictSSL:l});return m.agent=o,m.strictSSL=l,this.authorization&&(m.headers={...m.headers||{},"Proxy-Authorization":this.authorization}),this._request(m,k)}async getNodeRequest(m){return(M.parse(m.url).protocol==="https:"?await new Promise((l,h)=>{j(["https"],l,h)}):await new Promise((l,h)=>{j(["http"],l,h)})).request}_request(m,k){return new Promise(async(I,l)=>{let h;const o=M.parse(m.url),c=m.getRawRequest?m.getRawRequest(m):await this.getNodeRequest(m),t={hostname:o.hostname,port:o.port?parseInt(o.port):o.protocol==="https:"?443:80,protocol:o.protocol,path:o.path,method:m.type||"GET",headers:m.headers,agent:m.agent,rejectUnauthorized:S.isBoolean(m.strictSSL)?m.strictSSL:!0};m.user&&m.password&&(t.auth=m.user+":"+m.password),h=c(t,s=>{const r=S.isNumber(m.followRedirects)?m.followRedirects:3;if(s.statusCode&&s.statusCode>=300&&s.statusCode<400&&r>0&&s.headers.location)this._request({...m,url:s.headers.location,followRedirects:r-1},k).then(I,l);else{let a=s;s.headers["content-encoding"]==="gzip"&&(a=s.pipe(g.createGunzip())),I({res:s,stream:i.streamToBufferReadableStream(a)})}}),h.on("error",l),m.timeout&&h.setTimeout(m.timeout),m.data&&typeof m.data=="string"&&h.write(m.data),h.end(),k.onCancellationRequested(()=>{h.abort(),l(E.canceled())})})}async resolveProxy(m){}};y=ue([te(0,w.IConfigurationService),te(1,b.INativeEnvironmentService),te(2,v.ILogService)],y),e.RequestService=y}),define(J[223],Z([0,1,222,14]),function(j,e,g,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestMainService=void 0;function D(E){return M.net.request}class S extends g.RequestService{request(n,w){return super.request({...n||{},getRawRequest:D},w)}}e.RequestMainService=S}),define(J[224],Z([0,1,49,14,24,9,6,22,60,10,3,2,85,13,5,55]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcess=void 0;let k=class extends b.Disposable{constructor(l,h,o,c,t,s,r){super();this.machineId=l,this.userEnv=h,this.environmentMainService=o,this.lifecycleMainService=c,this.logService=t,this.themeMainService=s,this.protocolMainService=r,this.firstWindowConnectionBarrier=new S.Barrier,this.window=void 0,this.windowCloseListener=void 0,this._onDidError=this._register(new d.Emitter),this.onDidError=d.Event.buffer(this._onDidError.event),this._whenReady=void 0,this._whenIpcReady=void 0,this.registerListeners()}registerListeners(){this._register(this.lifecycleMainService.onWillShutdown(()=>this.onWillShutdown())),M.ipcMain.on("vscode:createSharedProcessMessageChannel",async(l,h)=>this.onWindowConnection(l,h))}async onWindowConnection(l,h){this.logService.trace("SharedProcess: on vscode:createSharedProcessMessageChannel"),this.firstWindowConnectionBarrier.isOpen()||this.firstWindowConnectionBarrier.open(),await this.whenReady();const o=await this.connect();if(l.sender.isDestroyed())return o.close();l.sender.postMessage("vscode:createSharedProcessMessageChannelResult",h,[o])}onWillShutdown(){const l=this.window;!l||(!l.isDestroyed()&&!l.webContents.isDestroyed()&&l.webContents.send("vscode:electron-main->shared-process=exit"),this.windowCloseListener&&(l.removeListener("close",this.windowCloseListener),this.windowCloseListener=void 0),setTimeout(()=>{try{l.close()}catch(h){}this.window=void 0},0))}whenReady(){return this._whenReady||(this._whenReady=new Promise(l=>M.ipcMain.once("vscode:shared-process->electron-main=init-done",()=>{this.logService.trace("SharedProcess: Overall ready"),l()}))),this._whenReady}get whenIpcReady(){return this._whenIpcReady||(this._whenIpcReady=(async()=>{await this.firstWindowConnectionBarrier.wait(),this.createWindow(),this.registerWindowListeners(),await new Promise(l=>M.ipcMain.once("vscode:shared-process->electron-main=ipc-ready",()=>{this.logService.trace("SharedProcess: IPC ready"),l()}))})()),this._whenIpcReady}createWindow(){const l=this._register(this.protocolMainService.createIPCObjectUrl());this.window=new M.BrowserWindow({show:!1,backgroundColor:this.themeMainService.getBackgroundColor(),webPreferences:{preload:v.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",j).fsPath,additionalArguments:[`--vscode-window-config=${l.resource.toString()}`],v8CacheOptions:i.browserCodeLoadingCacheStrategy,nodeIntegration:!0,contextIsolation:!1,enableWebSQL:!1,spellcheck:!1,nativeWindowOpen:!0,images:!1,webgl:!1,disableBlinkFeatures:"Auxclick"}}),l.update({machineId:this.machineId,windowId:this.window.id,appRoot:this.environmentMainService.appRoot,codeCachePath:this.environmentMainService.codeCachePath,backupWorkspacesPath:this.environmentMainService.backupWorkspacesPath,userEnv:this.userEnv,args:this.environmentMainService.args,logLevel:this.logService.getLevel(),product:g.default}),this.window.loadURL(v.FileAccess.asBrowserUri("vs/code/electron-browser/sharedProcess/sharedProcess.html",j).toString(!0))}registerWindowListeners(){!this.window||(this.windowCloseListener=l=>{this.logService.trace("SharedProcess#close prevented"),l.preventDefault(),this.window?.isVisible()&&this.window.hide()},this.window.on("close",this.windowCloseListener),this.window.webContents.on("render-process-gone",(l,h)=>this._onDidError.fire({type:2,details:h})),this.window.on("unresponsive",()=>this._onDidError.fire({type:1})),this.window.webContents.on("did-fail-load",(l,h,o)=>this._onDidError.fire({type:3,details:{reason:o,exitCode:h}})))}async connect(){await this.whenIpcReady;const l=y.assertIsDefined(this.window);return P.connect(l)}async toggle(){await this.whenIpcReady,!!this.window&&(this.window.isVisible()?(this.window.webContents.closeDevTools(),this.window.hide()):(this.window.show(),this.window.webContents.openDevTools()))}isVisible(){return this.window?.isVisible()??!1}};k=ue([te(2,D.IEnvironmentMainService),te(3,n.ILifecycleMainService),te(4,E.ILogService),te(5,w.IThemeMainService),te(6,m.IProtocolMainService)],k),e.SharedProcess=k}),define(J[225],Z([0,1,7,8,13,6,24,9,19,17]),function(j,e,g,M,D,S,E,n,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StateMainService=e.FileStorage=void 0;class i{constructor(y,d,m){this.storagePath=y,this.logService=d,this.fileService=m,this.storage=Object.create(null),this.lastSavedStorageContents="",this.flushDelayer=new n.ThrottledDelayer(100),this.initializing=void 0,this.closing=void 0}init(){return this.initializing||(this.initializing=this.doInit()),this.initializing}async doInit(){try{this.lastSavedStorageContents=(await this.fileService.readFile(this.storagePath)).value.toString(),this.storage=JSON.parse(this.lastSavedStorageContents)}catch(y){y.fileOperationResult!==1&&this.logService.error(y)}}getItem(y,d){const m=this.storage[y];return D.isUndefinedOrNull(m)?d:m}setItem(y,d){this.setItems([{key:y,data:d}])}setItems(y){let d=!1;for(const{key:m,data:k}of y)this.storage[m]!==k&&(D.isUndefinedOrNull(k)?D.isUndefined(this.storage[m])||(this.storage[m]=void 0,d=!0):(this.storage[m]=k,d=!0));d&&this.save()}removeItem(y){D.isUndefined(this.storage[y])||(this.storage[y]=void 0,this.save())}async save(y){if(!this.closing)return this.flushDelayer.trigger(()=>this.doSave(),y)}async doSave(){if(!this.initializing)return;await this.initializing;const y=JSON.stringify(this.storage,null,4);if(y!==this.lastSavedStorageContents)try{await this.fileService.writeFile(this.storagePath,v.VSBuffer.fromString(y)),this.lastSavedStorageContents=y}catch(d){this.logService.error(d)}}async close(){return this.closing||(this.closing=this.flushDelayer.trigger(()=>this.doSave(),0)),this.closing}}e.FileStorage=i;let b=class yt{constructor(y,d,m){this.fileStorage=new i(g.URI.file(M.join(y.userDataPath,yt.STATE_FILE)),d,m)}async init(){return this.fileStorage.init()}getItem(y,d){return this.fileStorage.getItem(y,d)}setItem(y,d){this.fileStorage.setItem(y,d)}setItems(y){this.fileStorage.setItems(y)}removeItem(y){this.fileStorage.removeItem(y)}close(){return this.fileStorage.close()}};b.STATE_FILE="storage.json",b=ue([te(0,E.IEnvironmentMainService),te(1,S.ILogService),te(2,w.IFileService)],b),e.StateMainService=b}),define(J[77],Z([0,1,5,9,21,22,20,42,24,6,51,25]),function(j,e,g,M,D,S,E,n,w,v,i,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractUpdateService=e.createUpdateURL=void 0;function P(d,m,k){return`${k.updateUrl}/api/update/${d}/${m}/${k.commit}`}e.createUpdateURL=P;let y=class{constructor(m,k,I,l,h,o){this.lifecycleMainService=m,this.configurationService=k,this.environmentMainService=I,this.requestService=l,this.logService=h,this.productService=o,this._state=n.State.Uninitialized,this._onStateChange=new g.Emitter,this.onStateChange=this._onStateChange.event}get state(){return this._state}setState(m){this.logService.info("update#setState",m.type),this._state=m,this._onStateChange.fire(m)}initialize(){if(!this.environmentMainService.isBuilt)return;if(this.environmentMainService.disableUpdates){this.logService.info("update#ctor - updates are disabled by the environment");return}if(!this.productService.updateUrl||!this.productService.commit){this.logService.info("update#ctor - updates are disabled as there is no update URL");return}const m=D.getMigratedSettingValue(this.configurationService,"update.mode","update.channel"),k=this.getProductQuality(m);if(!k){this.logService.info("update#ctor - updates are disabled by user preference");return}if(this.url=this.buildUpdateFeedUrl(k),!this.url){this.logService.info("update#ctor - updates are disabled as the update URL is badly formed");return}if(this.setState(n.State.Idle(this.getUpdateType())),m==="manual"){this.logService.info("update#ctor - manual checks only; automatic updates are disabled by user preference");return}m==="start"?(this.logService.info("update#ctor - startup checks only; automatic updates are disabled by user preference"),setTimeout(()=>this.checkForUpdates(!1),30*1e3)):this.scheduleCheckForUpdates(30*1e3).then(void 0,I=>this.logService.error(I))}getProductQuality(m){return m==="none"?void 0:this.productService.quality}scheduleCheckForUpdates(m=60*60*1e3){return M.timeout(m).then(()=>this.checkForUpdates(!1)).then(()=>this.scheduleCheckForUpdates(60*60*1e3))}async checkForUpdates(m){this.logService.trace("update#checkForUpdates, state = ",this.state.type),this.state.type==="idle"&&this.doCheckForUpdates(m)}async downloadUpdate(){this.logService.trace("update#downloadUpdate, state = ",this.state.type),this.state.type==="available for download"&&await this.doDownloadUpdate(this.state)}async doDownloadUpdate(m){}async applyUpdate(){this.logService.trace("update#applyUpdate, state = ",this.state.type),this.state.type==="downloaded"&&await this.doApplyUpdate()}async doApplyUpdate(){}quitAndInstall(){return this.logService.trace("update#quitAndInstall, state = ",this.state.type),this.state.type!=="ready"||(this.logService.trace("update#quitAndInstall(): before lifecycle quit()"),this.lifecycleMainService.quit(!0).then(m=>{this.logService.trace(`update#quitAndInstall(): after lifecycle quit() with veto: ${m}`),!m&&(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.doQuitAndInstall())})),Promise.resolve(void 0)}isLatestVersion(){return this.url?this.requestService.request({url:this.url},b.CancellationToken.None).then(m=>m.res.statusCode===204):Promise.resolve(void 0)}getUpdateType(){return 1}doQuitAndInstall(){}};y=ue([te(0,S.ILifecycleMainService),te(1,D.IConfigurationService),te(2,w.IEnvironmentMainService),te(3,i.IRequestService),te(4,v.ILogService),te(5,E.IProductService)],y),e.AbstractUpdateService=y}),define(J[226],Z([0,1,14,2,5,47,21,22,42,32,24,6,77,51,20]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DarwinUpdateService=void 0;let m=class extends P.AbstractUpdateService{constructor(I,l,h,o,c,t,s){super(I,l,o,c,t,s);this.telemetryService=h,this.disposables=new M.DisposableStore}get onRawError(){return D.Event.fromNodeEventEmitter(g.autoUpdater,"error",(I,l)=>l)}get onRawUpdateNotAvailable(){return D.Event.fromNodeEventEmitter(g.autoUpdater,"update-not-available")}get onRawUpdateAvailable(){return D.Event.fromNodeEventEmitter(g.autoUpdater,"update-available",(I,l,h)=>({url:l,version:h,productVersion:h}))}get onRawUpdateDownloaded(){return D.Event.fromNodeEventEmitter(g.autoUpdater,"update-downloaded",(I,l,h,o)=>({releaseNotes:l,version:h,productVersion:h,date:o}))}initialize(){super.initialize(),this.onRawError(this.onError,this,this.disposables),this.onRawUpdateAvailable(this.onUpdateAvailable,this,this.disposables),this.onRawUpdateDownloaded(this.onUpdateDownloaded,this,this.disposables),this.onRawUpdateNotAvailable(this.onUpdateNotAvailable,this,this.disposables)}onError(I){this.logService.error("UpdateService error:",I);const h=(this.state.type==="checking for updates"?this.state.explicit:!0)?I:void 0;this.setState(w.State.Idle(1,h))}buildUpdateFeedUrl(I){let l;this.productService.darwinUniversalAssetId?l=this.productService.darwinUniversalAssetId:l=process.arch==="x64"?"darwin":"darwin-arm64";const h=P.createUpdateURL(l,I,this.productService);try{g.autoUpdater.setFeedURL({url:h})}catch(o){this.logService.error("Failed to set update feed URL",o);return}return h}doCheckForUpdates(I){this.setState(w.State.CheckingForUpdates(I)),g.autoUpdater.checkForUpdates()}onUpdateAvailable(I){this.state.type==="checking for updates"&&this.setState(w.State.Downloading(I))}onUpdateDownloaded(I){this.state.type==="downloading"&&(this.telemetryService.publicLog2("update:downloaded",{version:I.version}),this.setState(w.State.Ready(I)))}onUpdateNotAvailable(){this.state.type==="checking for updates"&&(this.telemetryService.publicLog2("update:notAvailable",{explicit:this.state.explicit}),this.setState(w.State.Idle(1)))}doQuitAndInstall(){this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),g.autoUpdater.quitAndInstall()}dispose(){this.disposables.dispose()}};ue([S.memoize],m.prototype,"onRawError",null),ue([S.memoize],m.prototype,"onRawUpdateNotAvailable",null),ue([S.memoize],m.prototype,"onRawUpdateAvailable",null),ue([S.memoize],m.prototype,"onRawUpdateDownloaded",null),m=ue([te(0,n.ILifecycleMainService),te(1,E.IConfigurationService),te(2,v.ITelemetryService),te(3,i.IEnvironmentMainService),te(4,y.IRequestService),te(5,b.ILogService),te(6,d.IProductService)],m),e.DarwinUpdateService=m}),define(J[227],Z([0,1,5,9,22,42,24,6,8,29,41,32]),function(j,e,g,M,D,S,E,n,w,v,i,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SnapUpdateService=void 0;let P=class{constructor(m,k,I){if(this.lifecycleMainService=m,this.logService=I,this._state=S.State.Uninitialized,this._onStateChange=new g.Emitter,this.onStateChange=this._onStateChange.event,k.disableUpdates){this.logService.info("update#ctor - updates are disabled");return}this.setState(S.State.Idle(this.getUpdateType())),this.scheduleCheckForUpdates(30*1e3).then(void 0,l=>this.logService.error(l))}get state(){return this._state}setState(m){this.logService.info("update#setState",m.type),this._state=m,this._onStateChange.fire(m)}scheduleCheckForUpdates(m=60*60*1e3){return M.timeout(m).then(()=>this.checkForUpdates(!1)).then(()=>this.scheduleCheckForUpdates(60*60*1e3))}async checkForUpdates(m){this.logService.trace("update#checkForUpdates, state = ",this.state.type),this.state.type==="idle"&&this.doCheckForUpdates(m)}async downloadUpdate(){this.logService.trace("update#downloadUpdate, state = ",this.state.type),this.state.type==="available for download"&&await this.doDownloadUpdate(this.state)}doDownloadUpdate(m){return Promise.resolve(void 0)}async applyUpdate(){this.logService.trace("update#applyUpdate, state = ",this.state.type),this.state.type==="downloaded"&&await this.doApplyUpdate()}doApplyUpdate(){return Promise.resolve(void 0)}quitAndInstall(){return this.logService.trace("update#quitAndInstall, state = ",this.state.type),this.state.type!=="ready"||(this.logService.trace("update#quitAndInstall(): before lifecycle quit()"),this.lifecycleMainService.quit(!0).then(m=>{this.logService.trace(`update#quitAndInstall(): after lifecycle quit() with veto: ${m}`),!m&&(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.doQuitAndInstall())})),Promise.resolve(void 0)}getUpdateType(){return 2}doQuitAndInstall(){}};P=ue([te(0,D.ILifecycleMainService),te(1,E.IEnvironmentMainService),te(2,n.ILogService)],P);let y=class extends P{constructor(m,k,I,l,h,o){super(I,l,h);this.snap=m,this.snapRevision=k,this.telemetryService=o;const c=v.watch(w.dirname(this.snap)),t=g.Event.fromNodeEventEmitter(c,"change",(u,p)=>p),s=g.Event.filter(t,u=>u==="current"),a=g.Event.debounce(s,(u,p)=>p,2e3)(()=>this.checkForUpdates(!1));I.onWillShutdown(()=>{a.dispose(),c.close()})}doCheckForUpdates(){this.setState(S.State.CheckingForUpdates(!1)),this.isUpdateAvailable().then(m=>{m?this.setState(S.State.Ready({version:"something",productVersion:"something"})):(this.telemetryService.publicLog2("update:notAvailable",{explicit:!1}),this.setState(S.State.Idle(2)))},m=>{this.logService.error(m),this.telemetryService.publicLog2("update:notAvailable",{explicit:!1}),this.setState(S.State.Idle(2,m.message||m))})}doQuitAndInstall(){this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),i.spawn("sleep 3 && "+w.basename(process.argv[0]),{shell:!0,detached:!0,stdio:"ignore"})}async isUpdateAvailable(){const m=await new Promise((I,l)=>v.realpath(`${w.dirname(this.snap)}/current`,(h,o)=>h?l(h):I(o))),k=w.basename(m);return this.snapRevision!==k}isLatestVersion(){return this.isUpdateAvailable().then(void 0,m=>{this.logService.error("update#checkForSnapUpdate(): Could not get realpath of application.")})}};y=ue([te(2,D.ILifecycleMainService),te(3,E.IEnvironmentMainService),te(4,n.ILogService),te(5,b.ITelemetryService)],y),e.SnapUpdateService=y}),define(J[45],Z([0,1,27,24,8,18,29,3,5,6,101,40,10,2,15,4,154,20,14,13,52,53,100,31]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m,k,I,l,h,o,c,t,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesManagementMainService=e.IWorkspacesManagementMainService=void 0,e.IWorkspacesManagementMainService=m.createDecorator("workspacesManagementMainService");let r=class extends y.Disposable{constructor(u,p,f,L,T){super();this.environmentMainService=u,this.logService=p,this.backupMainService=f,this.dialogMainService=L,this.productService=T,this.untitledWorkspacesHome=this.environmentMainService.untitledWorkspacesHome,this._onDidDeleteUntitledWorkspace=this._register(new w.Emitter),this.onDidDeleteUntitledWorkspace=this._onDidDeleteUntitledWorkspace.event,this._onDidEnterWorkspace=this._register(new w.Emitter),this.onDidEnterWorkspace=this._onDidEnterWorkspace.event}resolveLocalWorkspaceSync(u){return this.doResolveLocalWorkspace(u,p=>E.readFileSync(p,"utf8"))}resolveLocalWorkspace(u){return this.doResolveLocalWorkspace(u,p=>S.Promises.readFile(p,"utf8"))}doResolveLocalWorkspace(u,p){if(!!this.isWorkspacePath(u)&&u.scheme===P.Schemas.file)try{const f=p(u.fsPath);return f instanceof Promise?f.then(L=>this.doResolveWorkspace(u,L),L=>{}):this.doResolveWorkspace(u,f)}catch{return}}isWorkspacePath(u){return g.isUntitledWorkspace(u,this.environmentMainService)||g.hasWorkspaceFileExtension(u)}doResolveWorkspace(u,p){try{const f=this.doParseStoredWorkspace(u,p),L=i.getWorkspaceIdentifier(u);return{id:L.id,configPath:L.configPath,folders:g.toWorkspaceFolders(f.folders,L.configPath,d.extUriBiasedIgnorePathCase),remoteAuthority:f.remoteAuthority,transient:f.transient}}catch(f){this.logService.warn(f.toString())}}doParseStoredWorkspace(u,p){const f=b.parse(p);if(f&&Array.isArray(f.folders))f.folders=f.folders.filter(L=>g.isStoredWorkspaceFolder(L));else throw new Error(`${u.toString(!0)} looks like an invalid workspace file.`);return f}async createUntitledWorkspace(u,p){const{workspace:f,storedWorkspace:L}=this.newUntitledWorkspace(u,p),T=f.configPath.fsPath;return await S.Promises.mkdir(D.dirname(T),{recursive:!0}),await S.Promises.writeFile(T,JSON.stringify(L,null,"	")),f}createUntitledWorkspaceSync(u,p){const{workspace:f,storedWorkspace:L}=this.newUntitledWorkspace(u,p),T=f.configPath.fsPath;return E.mkdirSync(D.dirname(T),{recursive:!0}),S.writeFileSync(T,JSON.stringify(L,null,"	")),f}newUntitledWorkspace(u=[],p){const f=(Date.now()+Math.round(Math.random()*1e3)).toString(),L=d.joinPath(this.untitledWorkspacesHome,f),T=d.joinPath(L,g.UNTITLED_WORKSPACE_NAME),W=[];for(const N of u)W.push(g.getStoredWorkspaceFolder(N.uri,!0,N.name,L,!n.isWindows,d.extUriBiasedIgnorePathCase));return{workspace:i.getWorkspaceIdentifier(T),storedWorkspace:{folders:W,remoteAuthority:p}}}async getWorkspaceIdentifier(u){return i.getWorkspaceIdentifier(u)}isUntitledWorkspace(u){return g.isUntitledWorkspace(u.configPath,this.environmentMainService)}deleteUntitledWorkspaceSync(u){!this.isUntitledWorkspace(u)||(this.doDeleteUntitledWorkspaceSync(u),this._onDidDeleteUntitledWorkspace.fire(u))}async deleteUntitledWorkspace(u){this.deleteUntitledWorkspaceSync(u)}doDeleteUntitledWorkspaceSync(u){const p=d.originalFSPath(u.configPath);try{S.rimrafSync(D.dirname(p));const f=D.join(this.environmentMainService.workspaceStorageHome.fsPath,u.id);E.existsSync(f)&&S.writeFileSync(D.join(f,"obsolete"),"")}catch(f){this.logService.warn(`Unable to delete untitled workspace ${p} (${f}).`)}}getUntitledWorkspacesSync(){const u=[];try{const p=S.readdirSync(this.untitledWorkspacesHome.fsPath).map(f=>d.joinPath(this.untitledWorkspacesHome,f,g.UNTITLED_WORKSPACE_NAME));for(const f of p){const L=i.getWorkspaceIdentifier(f),T=this.resolveLocalWorkspaceSync(f);T?u.push({workspace:L,remoteAuthority:T.remoteAuthority}):this.doDeleteUntitledWorkspaceSync(L)}}catch(p){p.code!=="ENOENT"&&this.logService.warn(`Unable to read folders in ${this.untitledWorkspacesHome} (${p}).`)}return u}async enterWorkspace(u,p,f){if(!u||!u.win||!u.isReady||!await this.isValidTargetWorkspacePath(u,p,f))return;const T=this.doEnterWorkspace(u,i.getWorkspaceIdentifier(f));if(!!T)return this._onDidEnterWorkspace.fire({window:u,workspace:T.workspace}),T}async isValidTargetWorkspacePath(u,p,f){if(!f)return!0;if(g.isWorkspaceIdentifier(u.openedWorkspace)&&d.extUriBiasedIgnorePathCase.isEqual(u.openedWorkspace.configPath,f))return!1;if(t.findWindowOnWorkspaceOrFolder(p,f)){const L={title:this.productService.nameLong,type:"info",buttons:[s.mnemonicButtonLabel(k.localize(0,null))],message:k.localize(1,null,d.basename(f)),detail:k.localize(2,null),noLink:!0,defaultId:0};return await this.dialogMainService.showMessageBox(L,h.withNullAsUndefined(l.BrowserWindow.getFocusedWindow())),!1}return!0}doEnterWorkspace(u,p){if(!u.config)return;u.focus();let f;return u.config.extensionDevelopmentPath||(f=this.backupMainService.registerWorkspaceBackupSync({workspace:p,remoteAuthority:u.remoteAuthority},u.config.backupPath)),g.isWorkspaceIdentifier(u.openedWorkspace)&&this.isUntitledWorkspace(u.openedWorkspace)&&this.deleteUntitledWorkspaceSync(u.openedWorkspace),u.config.workspace=p,u.config.backupPath=f,{workspace:p,backupPath:f}}};r=ue([te(0,M.IEnvironmentMainService),te(1,v.ILogService),te(2,o.IBackupMainService),te(3,c.IDialogMainService),te(4,I.IProductService)],r),e.WorkspacesManagementMainService=r}),define(J[102],Z([0,1,6,98,3,4,35,18,45,21,7,14,36,54,25,27,13]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LaunchMainService=e.ILaunchMainService=e.ID=void 0,e.ID="launchMainService",e.ILaunchMainService=S.createDecorator(e.ID);let I=class{constructor(h,o,c,t,s){this.logService=h,this.windowsMainService=o,this.urlService=c,this.workspacesManagementMainService=t,this.configurationService=s}async start(h,o){this.logService.trace("Received data from other instance: ",h,o),D.isMacintosh&&b.app.focus({steal:!0});const c=this.parseOpenUrl(h);if(c.length){let t=Promise.resolve();this.windowsMainService.getWindowCount()===0&&(t=this.windowsMainService.openEmptyWindow({context:4})[0].ready()),t.then(()=>{for(const{uri:s,url:r}of c)this.urlService.open(s,{originalUrl:r})})}else return this.startOpenWindow(h,o)}parseOpenUrl(h){return h["open-url"]&&h._urls&&h._urls.length>0?P.coalesce(h._urls.map(o=>{try{return{uri:i.URI.parse(o),url:o}}catch(c){return null}})):[]}async startOpenWindow(h,o){const c=y.isLaunchedFromCli(o)?0:4;let t=[];const s=h.wait&&h.waitMarkerFilePath?i.URI.file(h.waitMarkerFilePath):void 0,r=h.remote||void 0;if(h.extensionDevelopmentPath)this.windowsMainService.openExtensionDevelopmentHostWindow(h.extensionDevelopmentPath,{context:c,cli:h,userEnv:o,waitMarkerFileURI:s,remoteAuthority:r});else if(!h._.length&&!h["folder-uri"]&&!h["file-uri"]){let a=!1;if(h["new-window"]||h["unity-launch"])a=!0;else if(h["reuse-window"])a=!1;else switch(this.configurationService.getValue("window")?.openWithoutArgumentsInNewWindow||"default"){case"on":a=!0;break;case"off":a=!1;break;default:a=!D.isMacintosh}if(a)t=this.windowsMainService.open({context:c,cli:h,userEnv:o,forceNewWindow:!0,forceEmpty:!0,waitMarkerFileURI:s,remoteAuthority:r});else{const u=this.windowsMainService.getLastActiveWindow();u?(u.focus(),t=[u]):t=this.windowsMainService.open({context:c,cli:h,forceEmpty:!0,remoteAuthority:r})}}else t=this.windowsMainService.open({context:c,cli:h,userEnv:o,forceNewWindow:h["new-window"],preferNewWindow:!h["reuse-window"]&&!h.wait,forceReuseWindow:h["reuse-window"],diffMode:h.diff,addMode:h.add,noRecentEntry:!!h["skip-add-to-recently-opened"],waitMarkerFileURI:s,gotoLineMode:h.goto,remoteAuthority:r});if(s&&t.length===1&&t[0])return Promise.race([t[0].whenClosedOrLoaded,n.whenDeleted(s.fsPath)]).then(()=>{},()=>{})}async getMainProcessId(){return this.logService.trace("Received request for process ID from other instance."),process.pid}async getMainProcessInfo(){this.logService.trace("Received request for main process info from other instance.");const h=[];return b.BrowserWindow.getAllWindows().forEach(o=>{const c=this.windowsMainService.getWindowById(o.id);c?h.push(this.codeWindowToInfo(c)):h.push(this.browserWindowToInfo(o))}),{mainPID:process.pid,mainArguments:process.argv.slice(1),windows:h,screenReader:!!b.app.accessibilitySupportEnabled,gpuFeatureStatus:b.app.getGPUFeatureStatus()}}async getRemoteDiagnostics(h){const o=this.windowsMainService.getWindows();return(await Promise.all(o.map(t=>new Promise(s=>{const r=t.remoteAuthority;if(r){const a=`vscode:getDiagnosticInfoResponse${t.id}`,u={includeProcesses:h.includeProcesses,folders:h.includeWorkspaceMetadata?this.getFolderURIs(t):void 0};t.sendWhenReady("vscode:getDiagnosticInfo",d.CancellationToken.None,{replyChannel:a,args:u}),b.ipcMain.once(a,(p,f)=>{f||s({hostName:r,errorMessage:`Unable to resolve connection to '${r}'.`}),s(f)}),setTimeout(()=>{s({hostName:r,errorMessage:`Fetching remote diagnostics for '${r}' timed out.`})},5e3)}else s(void 0)})))).filter(t=>!!t)}getFolderURIs(h){const o=[],c=h.openedWorkspace;if(m.isSingleFolderWorkspaceIdentifier(c))o.push(c.uri);else if(m.isWorkspaceIdentifier(c)){const t=this.workspacesManagementMainService.resolveLocalWorkspaceSync(c.configPath);t&&t.folders.forEach(r=>{o.push(r.uri)})}return o}codeWindowToInfo(h){const o=this.getFolderURIs(h),c=k.assertIsDefined(h.win);return this.browserWindowToInfo(c,o,h.remoteAuthority)}browserWindowToInfo(h,o=[],c){return{pid:h.webContents.getOSProcessId(),title:h.getTitle(),folderURIs:o,remoteAuthority:c}}};I=ue([te(0,g.ILogService),te(1,E.IWindowsMainService),te(2,M.IURLService),te(3,w.IWorkspacesManagementMainService),te(4,v.IConfigurationService)],I),e.LaunchMainService=I}),define(J[46],Z([0,1,41,115,146,82,5,35,14,22,3,24,53,18,7,32,4,26,66,6,8,20,47,2,60,31,27,10,45]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m,k,I,l,h,o,c,t,s,r,a,u,p,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeHostMainService=e.INativeHostMainService=void 0,e.INativeHostMainService=k.createDecorator("nativeHostMainService");let L=class at extends s.Disposable{constructor(W,N,V,ee,q,x,Q,C,B,U){super();this.sharedProcess=W,this.windowsMainService=N,this.dialogMainService=V,this.lifecycleMainService=ee,this.environmentMainService=q,this.telemetryService=x,this.logService=Q,this.productService=C,this.themeMainService=B,this.workspacesManagementMainService=U,this.onDidOpenWindow=E.Event.map(this.windowsMainService.onDidOpenWindow,$=>$.id),this.onDidMaximizeWindow=E.Event.filter(E.Event.fromNodeEventEmitter(w.app,"browser-window-maximize",($,F)=>F.id),$=>!!this.windowsMainService.getWindowById($)),this.onDidUnmaximizeWindow=E.Event.filter(E.Event.fromNodeEventEmitter(w.app,"browser-window-unmaximize",($,F)=>F.id),$=>!!this.windowsMainService.getWindowById($)),this.onDidBlurWindow=E.Event.filter(E.Event.fromNodeEventEmitter(w.app,"browser-window-blur",($,F)=>F.id),$=>!!this.windowsMainService.getWindowById($)),this.onDidFocusWindow=E.Event.any(E.Event.map(E.Event.filter(E.Event.map(this.windowsMainService.onDidChangeWindowsCount,()=>this.windowsMainService.getLastActiveWindow()),$=>!!$),$=>$.id),E.Event.filter(E.Event.fromNodeEventEmitter(w.app,"browser-window-focus",($,F)=>F.id),$=>!!this.windowsMainService.getWindowById($))),this.onDidResumeOS=E.Event.fromNodeEventEmitter(w.powerMonitor,"resume"),this._onDidChangeColorScheme=this._register(new E.Emitter),this.onDidChangeColorScheme=this._onDidChangeColorScheme.event,this._onDidChangePassword=this._register(new E.Emitter),this.onDidChangePassword=this._onDidChangePassword.event,this.onDidChangeDisplay=E.Event.debounce(E.Event.any(E.Event.filter(E.Event.fromNodeEventEmitter(w.screen,"display-metrics-changed",($,F,R)=>R),$=>!(Array.isArray($)&&$.length===1&&$[0]==="workArea")),E.Event.fromNodeEventEmitter(w.screen,"display-added"),E.Event.fromNodeEventEmitter(w.screen,"display-removed")),()=>{},100),this.registerListeners()}registerListeners(){w.nativeTheme.on("updated",()=>{this._onDidChangeColorScheme.fire({highContrast:w.nativeTheme.shouldUseInvertedColorScheme||w.nativeTheme.shouldUseHighContrastColors,dark:w.nativeTheme.shouldUseDarkColors})})}get windowId(){throw new Error("Not implemented in electron-main")}async getWindows(){return this.windowsMainService.getWindows().map(N=>({id:N.id,workspace:N.openedWorkspace,title:N.win?.getTitle()??"",filename:N.getRepresentedFilename(),dirty:N.isDocumentEdited()}))}async getWindowCount(W){return this.windowsMainService.getWindowCount()}async getActiveWindowId(W){const N=w.BrowserWindow.getFocusedWindow()||this.windowsMainService.getLastActiveWindow();if(N)return N.id}openWindow(W,N,V){return Array.isArray(N)?this.doOpenWindow(W,N,V):this.doOpenEmptyWindow(W,N)}async doOpenWindow(W,N,V=Object.create(null)){N.length>0&&this.windowsMainService.open({context:5,contextWindowId:W,urisToOpen:N,cli:this.environmentMainService.args,forceNewWindow:V.forceNewWindow,forceReuseWindow:V.forceReuseWindow,preferNewWindow:V.preferNewWindow,diffMode:V.diffMode,addMode:V.addMode,gotoLineMode:V.gotoLineMode,noRecentEntry:V.noRecentEntry,waitMarkerFileURI:V.waitMarkerFileURI,remoteAuthority:V.remoteAuthority||void 0})}async doOpenEmptyWindow(W,N){this.windowsMainService.openEmptyWindow({context:5,contextWindowId:W},N)}async toggleFullScreen(W){const N=this.windowById(W);N&&N.toggleFullScreen()}async handleTitleDoubleClick(W){const N=this.windowById(W);N&&N.handleTitleDoubleClick()}async isMaximized(W){const N=this.windowById(W);return N?.win?N.win.isMaximized():!1}async maximizeWindow(W){const N=this.windowById(W);N?.win&&N.win.maximize()}async unmaximizeWindow(W){const N=this.windowById(W);N?.win&&N.win.unmaximize()}async minimizeWindow(W){const N=this.windowById(W);N?.win&&N.win.minimize()}async focusWindow(W,N){N&&typeof N.windowId=="number"&&(W=N.windowId);const V=this.windowById(W);V&&V.focus({force:N?.force??!1})}async setMinimumSize(W,N,V){const ee=this.windowById(W);if(ee?.win){const[q,x]=ee.win.getSize(),[Q,C]=ee.win.getMinimumSize(),[B,U]=[N??Q,V??C],[$,F]=[Math.max(q,B),Math.max(x,U)];(Q!==B||C!==U)&&ee.win.setMinimumSize(B,U),(q!==$||x!==F)&&ee.win.setSize($,F)}}async saveWindowSplash(W,N){this.themeMainService.saveWindowSplash(W,N)}async installShellCommand(W){const{source:N,target:V}=await this.getShellCommandLink();try{const{symbolicLink:ee}=await y.SymlinkSupport.stat(N);if(ee&&!ee.dangling){const q=await S.realpath(N);if(V===q)return}await y.Promises.unlink(N)}catch(ee){if(ee.code!=="ENOENT")throw ee}try{await y.Promises.symlink(V,N)}catch(ee){if(ee.code!=="EACCES"&&ee.code!=="ENOENT")throw ee;const{response:q}=await this.showMessageBox(W,{title:this.productService.nameLong,type:"info",message:D.localize(0,null,this.productService.nameShort),buttons:[a.mnemonicButtonLabel(D.localize(1,null)),a.mnemonicButtonLabel(D.localize(2,null))],noLink:!0,defaultId:0,cancelId:1});if(q===0)try{const x=`osascript -e "do shell script \\"mkdir -p /usr/local/bin && ln -sf '${V}' '${N}'\\" with administrator privileges"`;await M.promisify(g.exec)(x)}catch(x){throw new Error(D.localize(3,null,N))}}}async uninstallShellCommand(W){const{source:N}=await this.getShellCommandLink();try{await y.Promises.unlink(N)}catch(V){switch(V.code){case"EACCES":const{response:ee}=await this.showMessageBox(W,{title:this.productService.nameLong,type:"info",message:D.localize(4,null,this.productService.nameShort),buttons:[a.mnemonicButtonLabel(D.localize(5,null)),a.mnemonicButtonLabel(D.localize(6,null))],noLink:!0,defaultId:0,cancelId:1});if(ee===0)try{const q=`osascript -e "do shell script \\"rm '${N}'\\" with administrator privileges"`;await M.promisify(g.exec)(q)}catch(q){throw new Error(D.localize(7,null,N))}break;case"ENOENT":break;default:throw V}}}async getShellCommandLink(){const W=o.resolve(this.environmentMainService.appRoot,"bin","code"),N=`/usr/local/bin/${this.productService.applicationName}`;if(!await y.Promises.exists(W))throw new Error(D.localize(8,null,W));return{source:N,target:W}}async showMessageBox(W,N){return this.dialogMainService.showMessageBox(N,this.toBrowserWindow(W))}async showSaveDialog(W,N){return this.dialogMainService.showSaveDialog(N,this.toBrowserWindow(W))}async showOpenDialog(W,N){return this.dialogMainService.showOpenDialog(N,this.toBrowserWindow(W))}toBrowserWindow(W){const N=this.windowById(W);if(N?.win)return N.win}async pickFileFolderAndOpen(W,N){const V=await this.dialogMainService.pickFileFolder(N);V&&(this.sendPickerTelemetry(V,N.telemetryEventName||"openFileFolder",N.telemetryExtraData),this.doOpenPicked(await Promise.all(V.map(async ee=>await y.SymlinkSupport.existsDirectory(ee)?{folderUri:d.URI.file(ee)}:{fileUri:d.URI.file(ee)})),N,W))}async pickFolderAndOpen(W,N){const V=await this.dialogMainService.pickFolder(N);V&&(this.sendPickerTelemetry(V,N.telemetryEventName||"openFolder",N.telemetryExtraData),this.doOpenPicked(V.map(ee=>({folderUri:d.URI.file(ee)})),N,W))}async pickFileAndOpen(W,N){const V=await this.dialogMainService.pickFile(N);V&&(this.sendPickerTelemetry(V,N.telemetryEventName||"openFile",N.telemetryExtraData),this.doOpenPicked(V.map(ee=>({fileUri:d.URI.file(ee)})),N,W))}async pickWorkspaceAndOpen(W,N){const V=await this.dialogMainService.pickWorkspace(N);V&&(this.sendPickerTelemetry(V,N.telemetryEventName||"openWorkspace",N.telemetryExtraData),this.doOpenPicked(V.map(ee=>({workspaceUri:d.URI.file(ee)})),N,W))}doOpenPicked(W,N,V){this.windowsMainService.open({context:3,contextWindowId:V,cli:this.environmentMainService.args,urisToOpen:W,forceNewWindow:N.forceNewWindow})}sendPickerTelemetry(W,N,V){const ee=W?W.length:0;this.telemetryService.publicLog(N,{...V,outcome:ee?"success":"canceled",numberOfPaths:ee})}async showItemInFolder(W,N){w.shell.showItemInFolder(N)}async setRepresentedFilename(W,N){const V=this.windowById(W);V&&V.setRepresentedFilename(N)}async setDocumentEdited(W,N){const V=this.windowById(W);V&&V.setDocumentEdited(N)}async openExternal(W,N){return i.isLinuxSnap?this.safeSnapOpenExternal(N):w.shell.openExternal(N),!0}safeSnapOpenExternal(W){const N=process.env.GDK_PIXBUF_MODULE_FILE,V=process.env.GDK_PIXBUF_MODULEDIR;delete process.env.GDK_PIXBUF_MODULE_FILE,delete process.env.GDK_PIXBUF_MODULEDIR,w.shell.openExternal(W),process.env.GDK_PIXBUF_MODULE_FILE=N,process.env.GDK_PIXBUF_MODULEDIR=V}moveItemToTrash(W,N){return w.shell.trashItem(N)}async isAdmin(){let W;return i.isWindows?W=(await new Promise((N,V)=>{j(["native-is-elevated"],N,V)}))():W=process.getuid()===0,W}async writeElevated(W,N,V,ee){const q=await new Promise((x,Q)=>{j(["sudo-prompt"],x,Q)});return new Promise((x,Q)=>{const C=[`"${this.cliPath}"`];ee?.unlock&&C.push("--file-chmod"),C.push("--file-write",`"${N.fsPath}"`,`"${V.fsPath}"`);const B={name:this.productService.nameLong.replace("-",""),icns:i.isMacintosh&&this.environmentMainService.isBuilt?o.join(o.dirname(this.environmentMainService.appRoot),`${this.productService.nameShort}.icns`):void 0};q.exec(C.join(" "),B,(U,$,F)=>{$&&this.logService.trace(`[sudo-prompt] received stdout: ${$}`),F&&this.logService.trace(`[sudo-prompt] received stderr: ${F}`),U?Q(U):x(void 0)})})}get cliPath(){return i.isWindows?this.environmentMainService.isBuilt?o.join(o.dirname(process.execPath),"bin",`${this.productService.applicationName}.cmd`):o.join(this.environmentMainService.appRoot,"scripts","code-cli.bat"):i.isLinux?this.environmentMainService.isBuilt?o.join(o.dirname(process.execPath),"bin",`${this.productService.applicationName}`):o.join(this.environmentMainService.appRoot,"scripts","code-cli.sh"):this.environmentMainService.isBuilt?o.join(this.environmentMainService.appRoot,"bin","code"):o.join(this.environmentMainService.appRoot,"scripts","code-cli.sh")}async getOSStatistics(){return{totalmem:I.totalmem(),freemem:I.freemem(),loadavg:I.loadavg()}}async getOSProperties(){return{arch:I.arch(),platform:I.platform(),release:I.release(),type:I.type(),cpus:I.cpus()}}async getOSVirtualMachineHint(){return l.virtualMachineHint.value()}async killProcess(W,N,V){process.kill(N,V)}async readClipboardText(W,N){return w.clipboard.readText(N)}async writeClipboardText(W,N,V){return w.clipboard.writeText(N,V)}async readClipboardFindText(W){return w.clipboard.readFindText()}async writeClipboardFindText(W,N){return w.clipboard.writeFindText(N)}async writeClipboardBuffer(W,N,V,ee){return w.clipboard.writeBuffer(N,Buffer.from(V),ee)}async readClipboardBuffer(W,N){return w.clipboard.readBuffer(N)}async hasClipboard(W,N,V){return w.clipboard.has(N,V)}async newWindowTab(){this.windowsMainService.open({context:5,cli:this.environmentMainService.args,forceNewTabbedWindow:!0,forceEmpty:!0,remoteAuthority:this.environmentMainService.args.remote||void 0})}async showPreviousWindowTab(){w.Menu.sendActionToFirstResponder("selectPreviousTab:")}async showNextWindowTab(){w.Menu.sendActionToFirstResponder("selectNextTab:")}async moveWindowTabToNewWindow(){w.Menu.sendActionToFirstResponder("moveTabToNewWindow:")}async mergeAllWindowTabs(){w.Menu.sendActionToFirstResponder("mergeAllWindows:")}async toggleWindowTabsBar(){w.Menu.sendActionToFirstResponder("toggleTabBar:")}async updateTouchBar(W,N){const V=this.windowById(W);V&&V.updateTouchBar(N)}async notifyReady(W){const N=this.windowById(W);N&&N.setReady()}async relaunch(W,N){return this.lifecycleMainService.relaunch(N)}async reload(W,N){const V=this.windowById(W);if(V){if(u.isWorkspaceIdentifier(V.openedWorkspace)){const ee=V.openedWorkspace.configPath;if(ee.scheme===p.Schemas.file&&(await this.workspacesManagementMainService.resolveLocalWorkspace(ee))?.transient)return this.openWindow(V.id,{forceReuseWindow:!0})}return this.lifecycleMainService.reload(V,N?.disableExtensions!==void 0?{_:[],"disable-extensions":N.disableExtensions}:void 0)}}async closeWindow(W){this.closeWindowById(W,W)}async closeWindowById(W,N){const V=this.windowById(N);if(V?.win)return V.win.close()}async quit(W){const N=this.windowsMainService.getLastActiveWindow();N?.isExtensionDevelopmentHost&&this.windowsMainService.getWindowCount()>1&&N.win?N.win.close():this.lifecycleMainService.quit()}async exit(W,N){await this.lifecycleMainService.kill(N)}async resolveProxy(W,N){const ee=this.windowById(W)?.win?.webContents?.session;if(ee)return ee.resolveProxy(N)}async openDevTools(W,N){const V=this.windowById(W);V?.win&&V.win.webContents.openDevTools(N)}async toggleDevTools(W){const N=this.windowById(W);N?.win&&N.win.webContents.toggleDevTools()}async sendInputEvent(W,N){const V=this.windowById(W);V?.win&&(N.type==="mouseDown"||N.type==="mouseUp")&&V.win.webContents.sendInputEvent(N)}async toggleSharedProcessWindow(){return this.sharedProcess.toggle()}async windowsGetStringRegKey(W,N,V,ee){if(!i.isWindows)return;const q=await new Promise((x,Q)=>{j(["vscode-windows-registry"],x,Q)});try{return q.GetStringRegKey(N,V,ee)}catch{return}}async getPassword(W,N,V){const ee=await this.withKeytar(),q=await ee.getPassword(N,V);if(q)try{let{content:x,hasNextChunk:Q}=JSON.parse(q);if(!x||!Q)return q;let C=1;for(;Q;){const B=await ee.getPassword(N,`${V}-${C}`),U=JSON.parse(B);x+=U.content,Q=U.hasNextChunk,C++}return x}catch{return q}return q}async setPassword(W,N,V,ee){const q=await this.withKeytar(),x=3,Q=async(C,B,U)=>{let $=0,F;for(;$<x;)try{await q.setPassword(C,B,U);return}catch(R){F=R,this.logService.warn("Error attempting to set a password: ",R),$++,await new Promise(_=>setTimeout(_,200))}throw F};if(i.isWindows&&ee.length>at.MAX_PASSWORD_LENGTH){let C=0,B=0,U=!0;for(;U;){const $=ee.substring(C,C+at.PASSWORD_CHUNK_SIZE);C+=at.PASSWORD_CHUNK_SIZE,U=ee.length-C>0;const F={content:$,hasNextChunk:U};await Q(N,B?`${V}-${B}`:V,JSON.stringify(F)),B++}}else await Q(N,V,ee);this._onDidChangePassword.fire({service:N,account:V})}async deletePassword(W,N,V){const q=await(await this.withKeytar()).deletePassword(N,V);return q&&this._onDidChangePassword.fire({service:N,account:V}),q}async findPassword(W,N){return(await this.withKeytar()).findPassword(N)}async findCredentials(W,N){return(await this.withKeytar()).findCredentials(N)}async withKeytar(){if(this.environmentMainService.disableKeytar)throw new Error("keytar has been disabled via --disable-keytar option");return await new Promise((W,N)=>{j(["keytar"],W,N)})}windowById(W){if(typeof W=="number")return this.windowsMainService.getWindowById(W)}};L.MAX_PASSWORD_LENGTH=2500,L.PASSWORD_CHUNK_SIZE=L.MAX_PASSWORD_LENGTH-100,ue([t.memoize],L.prototype,"cliPath",null),L=ue([te(1,n.IWindowsMainService),te(2,P.IDialogMainService),te(3,v.ILifecycleMainService),te(4,b.IEnvironmentMainService),te(5,m.ITelemetryService),te(6,h.ILogService),te(7,c.IProductService),te(8,r.IThemeMainService),te(9,f.IWorkspacesManagementMainService)],L),e.NativeHostMainService=L}),define(J[228],Z([0,1,2,5,80,14,6,35,46,89,28,20,25]),function(j,e,g,M,D,S,E,n,w,v,i,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProxyAuthHandler=void 0;var y;(function(m){m[m.Initial=1]="Initial",m[m.StoredCredentialsUsed=2]="StoredCredentialsUsed",m[m.LoginDialogShown=3]="LoginDialogShown"})(y||(y={}));let d=class extends g.Disposable{constructor(k,I,l,h,o){super();this.logService=k,this.windowsMainService=I,this.nativeHostMainService=l,this.encryptionMainService=h,this.productService=o,this.PROXY_CREDENTIALS_SERVICE_KEY=`${this.productService.urlProtocol}.proxy-credentials`,this.pendingProxyResolve=void 0,this.state=y.Initial,this.sessionCredentials=void 0,this.registerListeners()}registerListeners(){const k=M.Event.fromNodeEventEmitter(S.app,"login",(I,l,h,o,c)=>({event:I,webContents:l,req:h,authInfo:o,callback:c}));this._register(k(this.onLogin,this))}async onLogin({event:k,authInfo:I,req:l,callback:h}){if(!I.isProxy)return;if(!this.pendingProxyResolve&&this.state===y.LoginDialogShown&&l.firstAuthAttempt){this.logService.trace("auth#onLogin (proxy) - exit - proxy dialog already shown");return}k.preventDefault();let o;if(this.pendingProxyResolve)this.logService.trace("auth#onLogin (proxy) - pending proxy handling found"),o=await this.pendingProxyResolve;else{this.logService.trace("auth#onLogin (proxy) - no pending proxy handling found, starting new"),this.pendingProxyResolve=this.resolveProxyCredentials(I);try{o=await this.pendingProxyResolve}finally{this.pendingProxyResolve=void 0}}h(o?.username,o?.password)}async resolveProxyCredentials(k){this.logService.trace("auth#resolveProxyCredentials (proxy) - enter");try{const I=await this.doResolveProxyCredentials(k);if(I)return this.logService.trace("auth#resolveProxyCredentials (proxy) - got credentials"),I;this.logService.trace("auth#resolveProxyCredentials (proxy) - did not get credentials")}finally{this.logService.trace("auth#resolveProxyCredentials (proxy) - exit")}}async doResolveProxyCredentials(k){this.logService.trace("auth#doResolveProxyCredentials - enter",k);const I=String(D.hash({scheme:k.scheme,host:k.host,port:k.port}));let l,h;try{const s=await this.nativeHostMainService.getPassword(void 0,this.PROXY_CREDENTIALS_SERVICE_KEY,I);if(s){const r=JSON.parse(await this.encryptionMainService.decrypt(s));l=r.username,h=r.password}}catch(s){this.logService.error(s)}if(this.state!==y.StoredCredentialsUsed&&typeof l=="string"&&typeof h=="string")return this.logService.trace("auth#doResolveProxyCredentials (proxy) - exit - found stored credentials to use"),this.state=y.StoredCredentialsUsed,{username:l,password:h};const o=this.windowsMainService.getFocusedWindow()||this.windowsMainService.getLastActiveWindow();if(!o){this.logService.trace("auth#doResolveProxyCredentials (proxy) - exit - no opened window found to show dialog in");return}this.logService.trace(`auth#doResolveProxyCredentials (proxy) - asking window ${o.id} to handle proxy login`);const c={authInfo:k,username:this.sessionCredentials?.username??l,password:this.sessionCredentials?.password??h,replyChannel:`vscode:proxyAuthResponse:${i.generateUuid()}`};o.sendWhenReady("vscode:openProxyAuthenticationDialog",P.CancellationToken.None,c),this.state=y.LoginDialogShown;const t=await new Promise(s=>{const r=async(a,u,p)=>{if(u===c.replyChannel)if(this.logService.trace(`auth#doResolveProxyCredentials - exit - received credentials from window ${o.id}`),o.win?.webContents.off("ipc-message",r),p){const f={username:p.username,password:p.password};try{if(p.remember){const L=await this.encryptionMainService.encrypt(JSON.stringify(f));await this.nativeHostMainService.setPassword(void 0,this.PROXY_CREDENTIALS_SERVICE_KEY,I,L)}else await this.nativeHostMainService.deletePassword(void 0,this.PROXY_CREDENTIALS_SERVICE_KEY,I)}catch(L){this.logService.error(L)}s({username:f.username,password:f.password})}else s(void 0)};o.win?.webContents.on("ipc-message",r)});return this.sessionCredentials=t,t}};d=ue([te(0,E.ILogService),te(1,n.IWindowsMainService),te(2,w.INativeHostMainService),te(3,v.IEncryptionMainService),te(4,b.IProductService)],d),e.ProxyAuthHandler=d}),define(J[229],Z([0,1,218,156,35,56,2,34,57,177,3,5,79,107,9,22,46]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.serve=e.Driver=void 0;function I(o){return o<21}let l=class{constructor(c,t,s,r,a){this.windowServer=c,this.options=t,this.windowsMainService=s,this.lifecycleMainService=r,this.nativeHostMainService=a,this.registeredWindowIds=new Set,this.reloadingWindowIds=new Set,this.onDidReloadingChange=new b.Emitter}async registerWindowDriver(c){return this.registeredWindowIds.add(c),this.reloadingWindowIds.delete(c),this.onDidReloadingChange.fire(),this.options}async reloadWindowDriver(c){this.reloadingWindowIds.add(c)}async getWindowIds(){return this.windowsMainService.getWindows().map(c=>c.id).filter(c=>this.registeredWindowIds.has(c)&&!this.reloadingWindowIds.has(c))}async capturePage(c){await this.whenUnfrozen(c);const t=this.windowsMainService.getWindowById(c);if(!t?.win)throw new Error("Invalid window");return(await t.win.webContents.capturePage()).toPNG().toString("base64")}async reloadWindow(c){await this.whenUnfrozen(c);const t=this.windowsMainService.getWindowById(c);if(!t)throw new Error("Invalid window");this.reloadingWindowIds.add(c),this.lifecycleMainService.reload(t)}async exitApplication(){return this.nativeHostMainService.quit(void 0)}async dispatchKeybinding(c,t){await this.whenUnfrozen(c);const s=y.KeybindingParser.parseUserBinding(t);for(let r of s)await this._dispatchKeybinding(c,r)}async _dispatchKeybinding(c,t){if(t instanceof P.ScanCodeBinding)throw new Error("ScanCodeBindings not supported");const s=this.windowsMainService.getWindowById(c);if(!s?.win)throw new Error("Invalid window");const r=s.win.webContents,a=new w.SimpleKeybinding(!1,!1,!1,!1,t.keyCode),p=new v.USLayoutResolvedKeybinding(a.toChord(),i.OS).getElectronAccelerator(),f=[];t.ctrlKey&&f.push("ctrl"),t.metaKey&&f.push("meta"),t.shiftKey&&f.push("shift"),t.altKey&&f.push("alt"),r.sendInputEvent({type:"keyDown",keyCode:p,modifiers:f}),I(t.keyCode)||r.sendInputEvent({type:"char",keyCode:p,modifiers:f}),r.sendInputEvent({type:"keyUp",keyCode:p,modifiers:f}),await d.timeout(100)}async click(c,t,s,r){await(await this.getWindowDriver(c)).click(t,s,r)}async doubleClick(c,t){await(await this.getWindowDriver(c)).doubleClick(t)}async setValue(c,t,s){await(await this.getWindowDriver(c)).setValue(t,s)}async getTitle(c){return await(await this.getWindowDriver(c)).getTitle()}async isActiveElement(c,t){return await(await this.getWindowDriver(c)).isActiveElement(t)}async getElements(c,t,s){return await(await this.getWindowDriver(c)).getElements(t,s)}async getElementXY(c,t,s,r){return await(await this.getWindowDriver(c)).getElementXY(t,s,r)}async typeInEditor(c,t,s){await(await this.getWindowDriver(c)).typeInEditor(t,s)}async getTerminalBuffer(c,t){return await(await this.getWindowDriver(c)).getTerminalBuffer(t)}async writeInTerminal(c,t,s){await(await this.getWindowDriver(c)).writeInTerminal(t,s)}async getLocalizedStrings(c){return await(await this.getWindowDriver(c)).getLocalizedStrings()}async getWindowDriver(c){await this.whenUnfrozen(c);const t=`window:${c}`,s=new n.StaticRouter(a=>a===t),r=this.windowServer.getChannel("windowDriver",s);return new M.WindowDriverChannelClient(r)}async whenUnfrozen(c){for(;this.reloadingWindowIds.has(c);)await b.Event.toPromise(this.onDidReloadingChange.event)}};l=ue([te(2,D.IWindowsMainService),te(3,m.ILifecycleMainService),te(4,k.INativeHostMainService)],l),e.Driver=l;async function h(o,c,t,s){const r=t.driverVerbose,a=s.createInstance(l,o,{verbose:r}),u=new g.WindowDriverRegistryChannel(a);o.registerChannel("windowDriverRegistry",u);const p=await S.serve(c),f=new g.DriverChannel(a);return p.registerChannel("driver",f),E.combinedDisposable(p,o)}e.serve=h}),define(J[230],Z([0,1,144,26,49,14,102,70,24,3,6,83,53,4,61,10,46,55,2,31,20]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m,k,I,l,h,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IssueMainService=e.IIssueMainService=void 0,e.IIssueMainService=y.createDecorator("issueMainService");let c=class St{constructor(s,r,a,u,p,f,L,T,W){this.userEnv=s,this.environmentMainService=r,this.launchMainService=a,this.logService=u,this.diagnosticsService=p,this.dialogMainService=f,this.nativeHostMainService=L,this.protocolMainService=T,this.productService=W,this.issueReporterWindow=null,this.issueReporterParentWindow=null,this.processExplorerWindow=null,this.processExplorerParentWindow=null,this.registerListeners()}registerListeners(){S.ipcMain.on("vscode:issueSystemInfoRequest",async s=>{const[r,a]=await Promise.all([this.launchMainService.getMainProcessInfo(),this.launchMainService.getRemoteDiagnostics({includeProcesses:!1,includeWorkspaceMetadata:!1})]),u=await this.diagnosticsService.getSystemInfo(r,a);this.safeSend(s,"vscode:issueSystemInfoResponse",u)}),S.ipcMain.on("vscode:listProcesses",async s=>{const r=[];try{const a=await this.launchMainService.getMainProcessId();r.push({name:g.localize(0,null),rootProcess:await b.listProcesses(a)}),(await this.launchMainService.getRemoteDiagnostics({includeProcesses:!0})).forEach(p=>{n.isRemoteDiagnosticError(p)?r.push({name:p.hostName,rootProcess:p}):p.processes&&r.push({name:p.hostName,rootProcess:p.processes})})}catch(a){this.logService.error(`Listing processes failed: ${a}`)}this.safeSend(s,"vscode:listProcessesResponse",r)}),S.ipcMain.on("vscode:issueReporterClipboard",async s=>{const r={title:this.productService.nameLong,message:g.localize(1,null),type:"warning",buttons:[h.mnemonicButtonLabel(g.localize(2,null)),h.mnemonicButtonLabel(g.localize(3,null))],defaultId:0,cancelId:1,noLink:!0};if(this.issueReporterWindow){const a=await this.dialogMainService.showMessageBox(r,this.issueReporterWindow);this.safeSend(s,"vscode:issueReporterClipboardResponse",a.response===0)}}),S.ipcMain.on("vscode:issuePerformanceInfoRequest",async s=>{const r=await this.getPerformanceInfo();this.safeSend(s,"vscode:issuePerformanceInfoResponse",r)}),S.ipcMain.on("vscode:issueReporterConfirmClose",async()=>{const s={title:this.productService.nameLong,message:g.localize(4,null),type:"warning",buttons:[h.mnemonicButtonLabel(g.localize(5,null)),h.mnemonicButtonLabel(g.localize(6,null))],defaultId:0,cancelId:1,noLink:!0};this.issueReporterWindow&&(await this.dialogMainService.showMessageBox(s,this.issueReporterWindow)).response===0&&this.issueReporterWindow&&(this.issueReporterWindow.destroy(),this.issueReporterWindow=null)}),S.ipcMain.on("vscode:workbenchCommand",(s,r)=>{const{id:a,from:u,args:p}=r;let f;switch(u){case"issueReporter":f=this.issueReporterParentWindow;break;case"processExplorer":f=this.processExplorerParentWindow;break;default:throw new Error(`Unexpected command source: ${u}`)}f&&f.webContents.send("vscode:runAction",{id:a,from:u,args:p})}),S.ipcMain.on("vscode:openExternal",(s,r)=>{this.nativeHostMainService.openExternal(void 0,r)}),S.ipcMain.on("vscode:closeIssueReporter",s=>{this.issueReporterWindow&&this.issueReporterWindow.close()}),S.ipcMain.on("vscode:closeProcessExplorer",s=>{this.processExplorerWindow&&this.processExplorerWindow.close()}),S.ipcMain.on("vscode:windowsInfoRequest",async s=>{const r=await this.launchMainService.getMainProcessInfo();this.safeSend(s,"vscode:windowsInfoResponse",r.windows)})}safeSend(s,r,...a){s.sender.isDestroyed()||s.sender.send(r,...a)}async openReporter(s){if(!this.issueReporterWindow&&(this.issueReporterParentWindow=S.BrowserWindow.getFocusedWindow(),this.issueReporterParentWindow)){const r=new l.DisposableStore,a=r.add(this.protocolMainService.createIPCObjectUrl()),u=this.getWindowPosition(this.issueReporterParentWindow,700,800);this.issueReporterWindow=this.createBrowserWindow(u,a,{backgroundColor:s.styles.backgroundColor,title:g.localize(7,null),zoomLevel:s.zoomLevel,alwaysOnTop:!1}),a.update({appRoot:this.environmentMainService.appRoot,windowId:this.issueReporterWindow.id,userEnv:this.userEnv,data:s,disableExtensions:!!this.environmentMainService.disableExtensions,os:{type:M.type(),arch:M.arch(),release:M.release()},product:D.default}),this.issueReporterWindow.loadURL(m.FileAccess.asBrowserUri("vs/code/electron-sandbox/issue/issueReporter.html",j,!0).toString(!0)),this.issueReporterWindow.on("close",()=>{this.issueReporterWindow=null,r.dispose()}),this.issueReporterParentWindow.on("closed",()=>{this.issueReporterWindow&&(this.issueReporterWindow.close(),this.issueReporterWindow=null,r.dispose())})}this.issueReporterWindow?.focus()}async openProcessExplorer(s){if(!this.processExplorerWindow&&(this.processExplorerParentWindow=S.BrowserWindow.getFocusedWindow(),this.processExplorerParentWindow)){const r=new l.DisposableStore,a=r.add(this.protocolMainService.createIPCObjectUrl()),u=this.getWindowPosition(this.processExplorerParentWindow,800,500);this.processExplorerWindow=this.createBrowserWindow(u,a,{backgroundColor:s.styles.backgroundColor,title:g.localize(8,null),zoomLevel:s.zoomLevel,alwaysOnTop:!0}),a.update({appRoot:this.environmentMainService.appRoot,windowId:this.processExplorerWindow.id,userEnv:this.userEnv,data:s,product:D.default}),this.processExplorerWindow.loadURL(m.FileAccess.asBrowserUri("vs/code/electron-sandbox/processExplorer/processExplorer.html",j,!0).toString(!0)),this.processExplorerWindow.on("close",()=>{this.processExplorerWindow=null,r.dispose()}),this.processExplorerParentWindow.on("close",()=>{this.processExplorerWindow&&(this.processExplorerWindow.close(),this.processExplorerWindow=null,r.dispose())})}this.processExplorerWindow?.focus()}createBrowserWindow(s,r,a){const u=new S.BrowserWindow({fullscreen:!1,skipTaskbar:!0,resizable:!0,width:s.width,height:s.height,minWidth:300,minHeight:200,x:s.x,y:s.y,title:a.title,backgroundColor:a.backgroundColor||St.DEFAULT_BACKGROUND_COLOR,webPreferences:{preload:m.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",j).fsPath,additionalArguments:[`--vscode-window-config=${r.resource.toString()}`,"--context-isolation"],v8CacheOptions:v.browserCodeLoadingCacheStrategy,enableWebSQL:!1,spellcheck:!1,nativeWindowOpen:!0,zoomFactor:d.zoomLevelToZoomFactor(a.zoomLevel),sandbox:!0,contextIsolation:!0},alwaysOnTop:a.alwaysOnTop});return u.setMenuBarVisibility(!1),u}async getSystemStatus(){const[s,r]=await Promise.all([this.launchMainService.getMainProcessInfo(),this.launchMainService.getRemoteDiagnostics({includeProcesses:!1,includeWorkspaceMetadata:!1})]);return this.diagnosticsService.getDiagnostics(s,r)}getWindowPosition(s,r,a){let u;const p=S.screen.getAllDisplays();if(p.length===1)u=p[0];else{if(v.isMacintosh){const T=S.screen.getCursorScreenPoint();u=S.screen.getDisplayNearestPoint(T)}!u&&s&&(u=S.screen.getDisplayMatching(s.getBounds())),u||(u=S.screen.getPrimaryDisplay()||p[0])}const f={width:r,height:a},L=u.bounds;return f.x=L.x+L.width/2-f.width/2,f.y=L.y+L.height/2-f.height/2,L.width>0&&L.height>0&&(f.x<L.x&&(f.x=L.x),f.y<L.y&&(f.y=L.y),f.x>L.x+L.width&&(f.x=L.x),f.y>L.y+L.height&&(f.y=L.y),f.width>L.width&&(f.width=L.width),f.height>L.height&&(f.height=L.height)),f}async getPerformanceInfo(){try{const[s,r]=await Promise.all([this.launchMainService.getMainProcessInfo(),this.launchMainService.getRemoteDiagnostics({includeProcesses:!0,includeWorkspaceMetadata:!0})]);return await this.diagnosticsService.getPerformanceInfo(s,r)}catch(s){throw this.logService.warn("issueService#getPerformanceInfo ",s.message),s}}};c.DEFAULT_BACKGROUND_COLOR="#1E1E1E",c=ue([te(1,w.IEnvironmentMainService),te(2,E.ILaunchMainService),te(3,i.ILogService),te(4,n.IDiagnosticsService),te(5,P.IDialogMainService),te(6,k.INativeHostMainService),te(7,I.IProtocolMainService),te(8,o.IProductService)],c),e.IssueMainService=c}),define(J[231],Z([0,1,20,21,22,42,32,24,6,77,51,25,46]),function(j,e,g,M,D,S,E,n,w,v,i,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxUpdateService=void 0;let y=class extends v.AbstractUpdateService{constructor(m,k,I,l,h,o,c,t){super(m,k,l,h,o,t);this.telemetryService=I,this.nativeHostMainService=c}buildUpdateFeedUrl(m){return v.createUpdateURL(`linux-${process.arch}`,m,this.productService)}doCheckForUpdates(m){!this.url||(this.setState(S.State.CheckingForUpdates(m)),this.requestService.request({url:this.url},b.CancellationToken.None).then(i.asJson).then(k=>{!k||!k.url||!k.version||!k.productVersion?(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!m}),this.setState(S.State.Idle(1))):this.setState(S.State.AvailableForDownload(k))}).then(void 0,k=>{this.logService.error(k),this.telemetryService.publicLog2("update:notAvailable",{explicit:!!m});const I=m?k.message||k:void 0;this.setState(S.State.Idle(1,I))}))}async doDownloadUpdate(m){this.productService.downloadUrl&&this.productService.downloadUrl.length>0?this.nativeHostMainService.openExternal(void 0,this.productService.downloadUrl):m.update.url&&this.nativeHostMainService.openExternal(void 0,m.update.url),this.setState(S.State.Idle(1))}};y=ue([te(0,D.ILifecycleMainService),te(1,M.IConfigurationService),te(2,E.ITelemetryService),te(3,n.IEnvironmentMainService),te(4,i.IRequestService),te(5,w.ILogService),te(6,P.INativeHostMainService),te(7,g.IProductService)],y),e.LinuxUpdateService=y}),define(J[232],Z([0,1,29,8,18,47,21,22,20,42,32,24,6,77,51,113,26,41,25,9,19,7,46]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m,k,I,l,h,o,c,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Win32UpdateService=void 0;async function s(p,f=1e3){for(;!p();)await h.timeout(f)}let r;function a(){return typeof r=="undefined"&&(r=g.existsSync(M.join(M.dirname(process.execPath),"unins000.exe"))?0:1),r}let u=class extends y.AbstractUpdateService{constructor(f,L,T,W,N,V,ee,q,x){super(f,L,W,N,V,x);this.telemetryService=T,this.fileService=ee,this.nativeHostMainService=q}get cachePath(){const f=M.join(k.tmpdir(),`vscode-update-${this.productService.target}-${process.arch}`);return D.Promises.mkdir(f,{recursive:!0}).then(()=>f)}initialize(){super.initialize(),a()===0&&this.telemetryService.publicLog("update:win32SetupTarget",{target:this.productService.target})}buildUpdateFeedUrl(f){let L="win32";return process.arch!=="ia32"&&(L+=`-${process.arch}`),a()===1?L+="-archive":this.productService.target==="user"&&(L+="-user"),y.createUpdateURL(L,f,this.productService)}doCheckForUpdates(f){!this.url||(this.setState(v.State.CheckingForUpdates(f)),this.requestService.request({url:this.url},l.CancellationToken.None).then(d.asJson).then(L=>{const T=a();return!L||!L.url||!L.version||!L.productVersion?(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!f}),this.setState(v.State.Idle(T)),Promise.resolve(null)):T===1?(this.setState(v.State.AvailableForDownload(L)),Promise.resolve(null)):(this.setState(v.State.Downloading(L)),this.cleanup(L.version).then(()=>this.getUpdatePackagePath(L.version).then(W=>D.Promises.exists(W).then(N=>{if(N)return Promise.resolve(W);const V=L.url,ee=L.hash,q=`${W}.tmp`;return this.requestService.request({url:V},l.CancellationToken.None).then(x=>this.fileService.writeFile(c.URI.file(q),x.stream)).then(ee?()=>m.checksum(q,L.hash):()=>{}).then(()=>D.Promises.rename(q,W)).then(()=>W)})).then(W=>{const N=this.configurationService.getValue("update.enableWindowsBackgroundUpdates");this.availableUpdate={packagePath:W},N&&L.supportsFastUpdate?this.productService.target==="user"?this.doApplyUpdate():this.setState(v.State.Downloaded(L)):this.setState(v.State.Ready(L))})))}).then(void 0,L=>{this.logService.error(L),this.telemetryService.publicLog2("update:notAvailable",{explicit:!!f});const T=f?L.message||L:void 0;this.setState(v.State.Idle(a(),T))}))}async doDownloadUpdate(f){f.update.url&&this.nativeHostMainService.openExternal(void 0,f.update.url),this.setState(v.State.Idle(a()))}async getUpdatePackagePath(f){const L=await this.cachePath;return M.join(L,`CodeSetup-${this.productService.quality}-${f}.exe`)}async cleanup(f=null){const L=f?V=>!new RegExp(`${this.productService.quality}-${f}\\.exe$`).test(V):()=>!0,T=await this.cachePath,N=(await D.Promises.readdir(T)).filter(L).map(async V=>{try{await D.Promises.unlink(M.join(T,V))}catch(ee){}});await Promise.all(N)}async doApplyUpdate(){if(this.state.type!=="downloaded"&&this.state.type!=="downloading"||!this.availableUpdate)return Promise.resolve(void 0);const f=this.state.update;this.setState(v.State.Updating(f));const L=await this.cachePath;this.availableUpdate.updateFilePath=M.join(L,`CodeSetup-${this.productService.quality}-${f.version}.flag`),await D.Promises.writeFile(this.availableUpdate.updateFilePath,"flag"),I.spawn(this.availableUpdate.packagePath,["/verysilent",`/update="${this.availableUpdate.updateFilePath}"`,"/nocloseapplications","/mergetasks=runcode,!desktopicon,!quicklaunchicon"],{detached:!0,stdio:["ignore","ignore","ignore"],windowsVerbatimArguments:!0}).once("exit",()=>{this.availableUpdate=void 0,this.setState(v.State.Idle(a()))});const W=`${this.productService.win32MutexName}-ready`,N=await new Promise((V,ee)=>{j(["windows-mutex"],V,ee)});s(()=>N.isActive(W)).then(()=>this.setState(v.State.Ready(f)))}doQuitAndInstall(){this.state.type!=="ready"||!this.availableUpdate||(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.state.update.supportsFastUpdate&&this.availableUpdate.updateFilePath?g.unlinkSync(this.availableUpdate.updateFilePath):I.spawn(this.availableUpdate.packagePath,["/silent","/mergetasks=runcode,!desktopicon,!quicklaunchicon"],{detached:!0,stdio:["ignore","ignore","ignore"]}))}getUpdateType(){return a()}};ue([S.memoize],u.prototype,"cachePath",null),u=ue([te(0,n.ILifecycleMainService),te(1,E.IConfigurationService),te(2,i.ITelemetryService),te(3,b.IEnvironmentMainService),te(4,d.IRequestService),te(5,P.ILogService),te(6,o.IFileService),te(7,t.INativeHostMainService),te(8,w.IProductService)],u),e.Win32UpdateService=u}),define(J[233],Z([0,1,8,150,72,5,7,14,24,6,21,20,61,2,3,35,27,45,52,200,60,32,53,31,204,22,99,19,10,54,25,55]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m,k,I,l,h,o,c,t,s,r,a,u,p,f,L,T,W){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeWindow=void 0;var N;(function(ee){ee[ee.NONE=0]="NONE",ee[ee.LOADING=1]="LOADING",ee[ee.NAVIGATING=2]="NAVIGATING",ee[ee.READY=3]="READY"})(N||(N={}));let V=class extends y.Disposable{constructor(q,x,Q,C,B,U,$,F,R,_,O,A,z,K){super();this.logService=x,this.environmentMainService=Q,this.fileService=C,this.configurationService=U,this.themeMainService=$,this.workspacesManagementMainService=F,this.backupMainService=R,this.telemetryService=_,this.dialogMainService=O,this.lifecycleMainService=A,this.productService=z,this.protocolMainService=K,this._onWillLoad=this._register(new S.Emitter),this.onWillLoad=this._onWillLoad.event,this._onDidSignalReady=this._register(new S.Emitter),this.onDidSignalReady=this._onDidSignalReady.event,this._onDidClose=this._register(new S.Emitter),this.onDidClose=this._onDidClose.event,this._onDidDestroy=this._register(new S.Emitter),this.onDidDestroy=this._onDidDestroy.event,this.whenReadyCallbacks=[],this.touchBarGroups=[],this.currentHttpProxy=void 0,this.currentNoProxy=void 0,this._lastFocusTime=-1,this.configObjectUrl=this._register(this.protocolMainService.createIPCObjectUrl()),this.readyState=0;{const[Y,G]=this.restoreWindowState(q.state);this.windowState=Y,this.logService.trace("window#ctor: using window state",Y);const X=this.windowState.mode===0||this.windowState.mode===3,ne=this.configurationService.getValue("window"),se={width:this.windowState.width,height:this.windowState.height,x:this.windowState.x,y:this.windowState.y,backgroundColor:this.themeMainService.getBackgroundColor(),minWidth:P.WindowMinimumSize.WIDTH,minHeight:P.WindowMinimumSize.HEIGHT,show:!X,title:this.productService.nameLong,webPreferences:{preload:f.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",j).fsPath,additionalArguments:this.environmentMainService.sandbox?[`--vscode-window-config=${this.configObjectUrl.resource.toString()}`,"--context-isolation"]:[`--vscode-window-config=${this.configObjectUrl.resource.toString()}`],v8CacheOptions:d.browserCodeLoadingCacheStrategy,enableWebSQL:!1,spellcheck:!1,nativeWindowOpen:!0,webviewTag:!0,zoomFactor:P.zoomLevelToZoomFactor(ne?.zoomLevel),...this.environmentMainService.sandbox?{sandbox:!0}:{nodeIntegration:!0,contextIsolation:!1}}};d.browserCodeLoadingCacheStrategy?this.logService.info(`window: using vscode-file:// protocol and V8 cache options: ${d.browserCodeLoadingCacheStrategy}`):this.logService.info("window: vscode-file:// protocol is explicitly disabled"),d.isLinux?se.icon=g.join(this.environmentMainService.appRoot,"resources/linux/code.png"):d.isWindows&&!this.environmentMainService.isBuilt&&(se.icon=g.join(this.environmentMainService.appRoot,"resources/win32/code_150x150.png")),d.isMacintosh&&!this.useNativeFullScreen()&&(se.fullscreenable=!1),d.isMacintosh&&(se.acceptFirstMouse=!0,ne?.clickThroughInactive===!1&&(se.acceptFirstMouse=!1));const he=d.isMacintosh&&ne?.nativeTabs===!0;he&&(se.tabbingIdentifier=this.productService.nameShort);const de=P.getTitleBarStyle(this.configurationService)==="custom";if(de&&(se.titleBarStyle="hidden",this.hiddenTitleBarStyle=!0,d.isMacintosh||(se.frame=!1)),D.mark("code/willCreateCodeBrowserWindow"),this._win=new n.BrowserWindow(se),D.mark("code/didCreateCodeBrowserWindow"),this._id=this._win.id,this.environmentMainService.args["open-devtools"]===!0&&this._win.webContents.openDevTools(),d.isMacintosh&&de&&this._win.setSheetOffset(22),d.isMacintosh&&G&&(!he||n.BrowserWindow.getAllWindows().length===1)&&[this.windowState.width,this.windowState.height,this.windowState.x,this.windowState.y].every(re=>typeof re=="number")){const re=this.windowState;this._win.setBounds({width:re.width,height:re.height,x:re.x,y:re.y})}X&&(D.mark("code/willMaximizeCodeWindow"),this._win.maximize(),this.windowState.mode===3&&this.setFullScreen(!0),this._win.isVisible()||this._win.show(),D.mark("code/didMaximizeCodeWindow")),this._lastFocusTime=Date.now()}this.onConfigurationUpdated(),this.createTouchBar(),this.marketplaceHeadersPromise=h.resolveMarketplaceHeaders(this.productService.version,this.environmentMainService,this.fileService,{get:Y=>B.globalStorage.get(Y),store:(Y,G)=>B.globalStorage.set(Y,G)}),this.registerListeners()}get id(){return this._id}get win(){return this._win}get lastFocusTime(){return this._lastFocusTime}get backupPath(){return this.currentConfig?.backupPath}get openedWorkspace(){return this.currentConfig?.workspace}get remoteAuthority(){return this.currentConfig?.remoteAuthority}get config(){return this.currentConfig}get hasHiddenTitleBarStyle(){return!!this.hiddenTitleBarStyle}get isExtensionDevelopmentHost(){return!!this.currentConfig?.extensionDevelopmentPath}get isExtensionTestHost(){return!!this.currentConfig?.extensionTestsPath}get isExtensionDevelopmentTestFromCli(){return this.isExtensionDevelopmentHost&&this.isExtensionTestHost&&!this.currentConfig?.debugId}setRepresentedFilename(q){d.isMacintosh?this._win.setRepresentedFilename(q):this.representedFilename=q}getRepresentedFilename(){return d.isMacintosh?this._win.getRepresentedFilename():this.representedFilename}setDocumentEdited(q){d.isMacintosh&&this._win.setDocumentEdited(q),this.documentEdited=q}isDocumentEdited(){return d.isMacintosh?this._win.isDocumentEdited():!!this.documentEdited}focus(q){d.isMacintosh&&q?.force&&n.app.focus({steal:!0}),!!this._win&&(this._win.isMinimized()&&this._win.restore(),this._win.focus())}setReady(){for(this.readyState=3;this.whenReadyCallbacks.length;)this.whenReadyCallbacks.pop()(this);this._onDidSignalReady.fire()}ready(){return new Promise(q=>{if(this.isReady)return q(this);this.whenReadyCallbacks.push(q)})}get isReady(){return this.readyState===3}get whenClosedOrLoaded(){return new Promise(q=>{function x(){Q.dispose(),C.dispose(),q()}const Q=this.onDidClose(()=>x()),C=this.onWillLoad(()=>x())})}registerListeners(){this._win.on("unresponsive",()=>this.onWindowError(1)),this._win.webContents.on("render-process-gone",(B,U)=>this.onWindowError(2,U)),this._win.webContents.on("did-fail-load",(B,U,$)=>this.onWindowError(3,{reason:$,exitCode:U})),this._win.webContents.on("will-prevent-unload",B=>{B.preventDefault()}),this._win.on("closed",()=>{this._onDidClose.fire(),this.dispose()});const q=new Set([f.Schemas.file,f.Schemas.vscodeFileResource,f.Schemas.vscodeRemoteResource,"devtools"]),x=B=>{for(let U=B;U;U=U.parent)if(U.url.startsWith(`${f.Schemas.vscodeWebview}://`))return!0;return!1},Q=B=>B.resourceType==="xhr"||x(B.frame);this._win.webContents.session.webRequest.onBeforeRequest((B,U)=>{const $=E.URI.parse(B.url);return $.path.endsWith(".svg")&&!(q.has($.scheme)||$.path.includes(f.Schemas.vscodeRemoteResource))?U({cancel:!Q(B)}):U({cancel:!1})}),this._win.webContents.session.webRequest.onHeadersReceived((B,U)=>{const $=B.responseHeaders,F=$["content-type"]||$["Content-Type"];if(F&&Array.isArray(F)){const R=E.URI.parse(B.url);if(R.path.endsWith(".svg")&&q.has(R.scheme))return $["Content-Type"]=["image/svg+xml"],U({cancel:!1,responseHeaders:$});if(!R.path.includes(f.Schemas.vscodeRemoteResource)&&F.some(_=>_.toLowerCase().includes("image/svg")))return U({cancel:!Q(B)})}return U({cancel:!1})}),this._win.webContents.on("did-finish-load",()=>{this.readyState=1,this.pendingLoadConfig&&(this.currentConfig=this.pendingLoadConfig,this.pendingLoadConfig=void 0)}),this._win.on("focus",()=>{this._lastFocusTime=Date.now()}),this._win.on("maximize",B=>{this.currentConfig&&(this.currentConfig.maximized=!0),n.app.emit("browser-window-maximize",B,this._win)}),this._win.on("unmaximize",B=>{this.currentConfig&&(this.currentConfig.maximized=!1),n.app.emit("browser-window-unmaximize",B,this._win)}),this._win.on("enter-full-screen",()=>{this.sendWhenReady("vscode:enterFullScreen",T.CancellationToken.None)}),this._win.on("leave-full-screen",()=>{this.sendWhenReady("vscode:leaveFullScreen",T.CancellationToken.None)}),this._register(this.configurationService.onDidChangeConfiguration(()=>this.onConfigurationUpdated())),this._register(this.workspacesManagementMainService.onDidDeleteUntitledWorkspace(B=>this.onDidDeleteUntitledWorkspace(B)));const C=["https://marketplace.visualstudio.com/*","https://*.vsassets.io/*"];this._win.webContents.session.webRequest.onBeforeSendHeaders({urls:C},async(B,U)=>{const $=await this.marketplaceHeadersPromise;U({cancel:!1,requestHeaders:Object.assign(B.requestHeaders,$)})})}async onWindowError(q,x){switch(q){case 2:this.logService.error(`CodeWindow: renderer process crashed (reason: ${x?.reason||"<unknown>"}, code: ${x?.exitCode||"<unknown>"})`);break;case 1:this.logService.error("CodeWindow: detected unresponsive");break;case 3:this.logService.error(`CodeWindow: failed to load (reason: ${x?.reason||"<unknown>"}, code: ${x?.exitCode||"<unknown>"})`);break}switch(this.telemetryService.publicLog2("windowerror",{type:q,reason:x?.reason,code:x?.exitCode}),q){case 1:case 2:if(this.isExtensionDevelopmentTestFromCli){this.lifecycleMainService.kill(1);return}if(q===1){if(this.isExtensionDevelopmentHost||this.isExtensionTestHost||this._win&&this._win.webContents&&this._win.webContents.isDevToolsOpened())return;const Q=await this.dialogMainService.showMessageBox({title:this.productService.nameLong,type:"warning",buttons:[s.mnemonicButtonLabel(M.localize(0,null)),s.mnemonicButtonLabel(M.localize(1,null)),s.mnemonicButtonLabel(M.localize(2,null))],message:M.localize(3,null),detail:M.localize(4,null),noLink:!0,defaultId:0,cancelId:1},this._win);if(!this._win)return;Q.response===0?(this._win.webContents.forcefullyCrashRenderer(),this.reload()):Q.response===2&&this.destroyWindow()}else if(q===2){let Q;x?Q=M.localize(6,null,x.reason,x.exitCode??"<unknown>"):Q=M.localize(5,null);const C=await this.dialogMainService.showMessageBox({title:this.productService.nameLong,type:"warning",buttons:[s.mnemonicButtonLabel(M.localize(7,null)),s.mnemonicButtonLabel(M.localize(8,null))],message:Q,detail:M.localize(9,null),noLink:!0,defaultId:0},this._win);if(!this._win)return;C.response===0?this.reload():C.response===1&&this.destroyWindow()}break}}destroyWindow(){this._onDidDestroy.fire(),this._win.destroy()}onDidDeleteUntitledWorkspace(q){this.openedWorkspace?.id===q.id&&this.currentConfig&&(this.currentConfig.workspace=void 0)}onConfigurationUpdated(){const q=this.getMenuBarVisibility();q!==this.currentMenuBarVisibility&&(this.currentMenuBarVisibility=q,this.setMenuBarVisibility(q));let x=(this.configurationService.getValue("http.proxy")||"").trim()||(process.env.https_proxy||process.env.HTTPS_PROXY||process.env.http_proxy||process.env.HTTP_PROXY||"").trim()||void 0;x?.endsWith("/")&&(x=x.substr(0,x.length-1));const Q=(process.env.no_proxy||process.env.NO_PROXY||"").trim()||void 0;if((x||"").indexOf("@")===-1&&(x!==this.currentHttpProxy||Q!==this.currentNoProxy)){this.currentHttpProxy=x,this.currentNoProxy=Q;const C=x||"",B=Q?`${Q},<local>`:"<local>";this.logService.trace(`Setting proxy to '${C}', bypassing '${B}'`),this._win.webContents.session.setProxy({proxyRules:C,proxyBypassRules:B,pacScript:""})}}addTabbedWindow(q){d.isMacintosh&&q.win&&this._win.addTabbedWindow(q.win)}load(q,x=Object.create(null)){this.isDocumentEdited()&&(!x.isReload||!this.backupMainService.isHotExitEnabled())&&this.setDocumentEdited(!1),x.isReload||(this.getRepresentedFilename()&&this.setRepresentedFilename(""),this._win.setTitle(this.productService.nameLong)),this.updateConfiguration(q,x),this.readyState===0?this.currentConfig=q:(this.pendingLoadConfig=q,this.readyState=2),this._win.loadURL(f.FileAccess.asBrowserUri(this.environmentMainService.sandbox?"vs/code/electron-sandbox/workbench/workbench.html":"vs/code/electron-browser/workbench/workbench.html",j).toString(!0)),!this.environmentMainService.isBuilt&&!this.environmentMainService.extensionTestsLocationURI&&(this.showTimeoutHandle=setTimeout(()=>{this._win&&!this._win.isVisible()&&!this._win.isMinimized()&&(this._win.show(),this.focus({force:!0}),this._win.webContents.openDevTools())},1e4)),this._onWillLoad.fire({workspace:q.workspace,isReload:x.isReload??!1})}updateConfiguration(q,x){const Q=(this.currentConfig??this.pendingLoadConfig)?.userEnv;Q&&L.isLaunchedFromCli(Q)&&!L.isLaunchedFromCli(q.userEnv)&&(q.userEnv={...Q,...q.userEnv}),process.env.CHROME_CRASHPAD_PIPE_NAME&&Object.assign(q.userEnv,{CHROME_CRASHPAD_PIPE_NAME:process.env.CHROME_CRASHPAD_PIPE_NAME}),x.disableExtensions!==void 0&&(q["disable-extensions"]=x.disableExtensions),q.fullscreen=this.isFullScreen,q.maximized=this._win.isMaximized(),q.partsSplash=this.themeMainService.getWindowSplash(),D.mark("code/willOpenNewWindow"),q.perfMarks=D.getMarks(),this.configObjectUrl.update(q)}async reload(q){const x=Object.assign({},this.currentConfig);x.workspace=await this.validateWorkspaceBeforeReload(x),delete x.filesToOpenOrCreate,delete x.filesToDiff,delete x.filesToWait,this.isExtensionDevelopmentHost&&q&&(x.verbose=q.verbose,x.debugId=q.debugId,x["inspect-extensions"]=q["inspect-extensions"],x["inspect-brk-extensions"]=q["inspect-brk-extensions"],x["extensions-dir"]=q["extensions-dir"]),x.isInitialStartup=!1,this.load(x,{isReload:!0,disableExtensions:q?.["disable-extensions"]})}async validateWorkspaceBeforeReload(q){if(k.isWorkspaceIdentifier(q.workspace)){const x=q.workspace.configPath;if(x.scheme===f.Schemas.file&&!await this.fileService.exists(x))return}else if(k.isSingleFolderWorkspaceIdentifier(q.workspace)){const x=q.workspace.uri;if(x.scheme===f.Schemas.file&&!await this.fileService.exists(x))return}return q.workspace}serializeWindowState(){if(!this._win)return m.defaultWindowState();if(this.isFullScreen){let Q;try{Q=n.screen.getDisplayMatching(this.getBounds())}catch(U){}const C=m.defaultWindowState();return{mode:3,display:Q?Q.id:void 0,width:this.windowState.width||C.width,height:this.windowState.height||C.height,x:this.windowState.x||0,y:this.windowState.y||0}}const q=Object.create(null);let x;if(!d.isMacintosh&&this._win.isMaximized()?x=0:x=1,x===0?q.mode=0:q.mode=1,x===1||x===0){let Q;x===1?Q=this.getBounds():Q=this._win.getNormalBounds(),q.x=Q.x,q.y=Q.y,q.width=Q.width,q.height=Q.height}return q}restoreWindowState(q){D.mark("code/willRestoreCodeWindowState");let x=!1;if(q)try{const Q=n.screen.getAllDisplays();x=Q.length>1,q=this.validateWindowState(q,Q)}catch(Q){this.logService.warn(`Unexpected error validating window state: ${Q}
${Q.stack}`)}return D.mark("code/didRestoreCodeWindowState"),[q||m.defaultWindowState(),x]}validateWindowState(q,x){if(this.logService.trace(`window#validateWindowState: validating window state on ${x.length} display(s)`,q),typeof q.x!="number"||typeof q.y!="number"||typeof q.width!="number"||typeof q.height!="number"){this.logService.trace("window#validateWindowState: unexpected type of state values");return}if(q.width<=0||q.height<=0){this.logService.trace("window#validateWindowState: unexpected negative values");return}if(x.length===1){const B=this.getWorkingArea(x[0]);if(B){let U=function(){!q||typeof q.x!="number"||typeof q.y!="number"||!B||(q.x<B.x&&(q.x=B.x),q.y<B.y&&(q.y=B.y))};this.logService.trace("window#validateWindowState: 1 monitor working area",B),U(),q.width>B.width&&(q.width=B.width),q.height>B.height&&(q.height=B.height),q.x>B.x+B.width-128&&(q.x=B.x+B.width-q.width),q.y>B.y+B.height-128&&(q.y=B.y+B.height-q.height),U()}return q}if(q.display&&q.mode===3){const B=x.find(U=>U.id===q.display);if(B&&typeof B.bounds?.x=="number"&&typeof B.bounds?.y=="number"){this.logService.trace("window#validateWindowState: restoring fullscreen to previous display");const U=m.defaultWindowState(3);return U.x=B.bounds.x,U.y=B.bounds.y,U}}let Q,C;try{Q=n.screen.getDisplayMatching({x:q.x,y:q.y,width:q.width,height:q.height}),C=this.getWorkingArea(Q)}catch(B){}if(Q&&C&&q.x+q.width>C.x&&q.y+q.height>C.y&&q.x<C.x+C.width&&q.y<C.y+C.height)return this.logService.trace("window#validateWindowState: multi-monitor working area",C),q}getWorkingArea(q){if(q.workArea.width>0&&q.workArea.height>0)return q.workArea;if(q.bounds.width>0&&q.bounds.height>0)return q.bounds}getBounds(){const[q,x]=this._win.getPosition(),[Q,C]=this._win.getSize();return{x:q,y:x,width:Q,height:C}}toggleFullScreen(){this.setFullScreen(!this.isFullScreen)}setFullScreen(q){this.useNativeFullScreen()?this.setNativeFullScreen(q):this.setSimpleFullScreen(q),this.sendWhenReady(q?"vscode:enterFullScreen":"vscode:leaveFullScreen",T.CancellationToken.None),this.currentMenuBarVisibility&&this.setMenuBarVisibility(this.currentMenuBarVisibility,!1)}get isFullScreen(){return this._win.isFullScreen()||this._win.isSimpleFullScreen()}setNativeFullScreen(q){this._win.isSimpleFullScreen()&&this._win.setSimpleFullScreen(!1),this._win.setFullScreen(q)}setSimpleFullScreen(q){this._win.isFullScreen()&&this._win.setFullScreen(!1),this._win.setSimpleFullScreen(q),this._win.webContents.focus()}useNativeFullScreen(){const q=this.configurationService.getValue("window");return!q||typeof q.nativeFullScreen!="boolean"||q.nativeTabs?!0:q.nativeFullScreen!==!1}isMinimized(){return this._win.isMinimized()}getMenuBarVisibility(){let q=P.getMenuBarVisibility(this.configurationService);return["visible","toggle","hidden"].indexOf(q)<0&&(q="classic"),q}setMenuBarVisibility(q,x=!0){d.isMacintosh||(q==="toggle"&&x&&this.send("vscode:showInfoMessage",M.localize(10,null)),q==="hidden"?setTimeout(()=>{this.doSetMenuBarVisibility(q)}):this.doSetMenuBarVisibility(q))}doSetMenuBarVisibility(q){const x=this.isFullScreen;switch(q){case"classic":this._win.setMenuBarVisibility(!x),this._win.autoHideMenuBar=x;break;case"visible":this._win.setMenuBarVisibility(!0),this._win.autoHideMenuBar=!1;break;case"toggle":this._win.setMenuBarVisibility(!1),this._win.autoHideMenuBar=!0;break;case"hidden":this._win.setMenuBarVisibility(!1),this._win.autoHideMenuBar=!1;break}}handleTitleDoubleClick(){if(d.isMacintosh)switch(n.systemPreferences.getUserDefault("AppleActionOnDoubleClick","string")){case"Minimize":this._win.minimize();break;case"None":break;case"Maximize":default:this._win.isMaximized()?this._win.unmaximize():this._win.maximize()}else this._win.isMaximized()?this._win.unmaximize():this._win.maximize()}close(){this._win&&this._win.close()}sendWhenReady(q,x,...Q){this.isReady?this.send(q,...Q):this.ready().then(()=>{x.isCancellationRequested||this.send(q,...Q)})}send(q,...x){if(this._win){if(this._win.isDestroyed()||this._win.webContents.isDestroyed()){this.logService.warn(`Sending IPC message to channel ${q} for window that is destroyed`);return}this._win.webContents.send(q,...x)}}updateTouchBar(q){!d.isMacintosh||this.touchBarGroups.forEach((x,Q)=>{const C=q[Q];x.segments=this.createTouchBarGroupSegments(C)})}createTouchBar(){if(!!d.isMacintosh){for(let q=0;q<10;q++){const x=this.createTouchBarGroup();this.touchBarGroups.push(x)}this._win.setTouchBar(new n.TouchBar({items:this.touchBarGroups}))}}createTouchBarGroup(q=[]){const x=this.createTouchBarGroupSegments(q),Q=new n.TouchBar.TouchBarSegmentedControl({segments:x,mode:"buttons",segmentStyle:"automatic",change:C=>{this.sendWhenReady("vscode:runAction",T.CancellationToken.None,{id:Q.segments[C].id,from:"touchbar"})}});return Q}createTouchBarGroupSegments(q=[]){return q.map(Q=>{let C;Q.icon&&!r.ThemeIcon.isThemeIcon(Q.icon)&&Q.icon?.dark?.scheme===f.Schemas.file&&(C=n.nativeImage.createFromPath(E.URI.revive(Q.icon.dark).fsPath),C.isEmpty()&&(C=void 0));let B;return typeof Q.title=="string"?B=Q.title:B=Q.title.value,{id:Q.id,label:C?void 0:B,icon:C}})}dispose(){super.dispose(),this.showTimeoutHandle&&clearTimeout(this.showTimeoutHandle),this._win=null}};V=ue([te(1,v.ILogService),te(2,w.IEnvironmentMainService),te(3,p.IFileService),te(4,u.IStorageMainService),te(5,i.IConfigurationService),te(6,o.IThemeMainService),te(7,I.IWorkspacesManagementMainService),te(8,l.IBackupMainService),te(9,c.ITelemetryService),te(10,t.IDialogMainService),te(11,a.ILifecycleMainService),te(12,b.IProductService),te(13,W.IProtocolMainService)],V),e.CodeWindow=V}),define(J[62],Z([0,1,153,36,39,14,6,31,5,3,27,45,9,15,7,10,18,22,4,2]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m,k,I,l,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesHistoryMainService=e.IWorkspacesHistoryMainService=void 0,e.IWorkspacesHistoryMainService=l.createDecorator("workspacesHistoryMainService");let o=class ze extends h.Disposable{constructor(p,f,L,T){super();this.stateMainService=p,this.logService=f,this.workspacesManagementMainService=L,this.lifecycleMainService=T,this._onDidChangeRecentlyOpened=this._register(new w.Emitter),this.onDidChangeRecentlyOpened=this._onDidChangeRecentlyOpened.event,this.macOSRecentDocumentsUpdater=this._register(new P.ThrottledDelayer(800)),this.registerListeners()}registerListeners(){this.lifecycleMainService.when(3).then(()=>this.handleWindowsJumpList()),this._register(this.workspacesManagementMainService.onDidEnterWorkspace(p=>this.addRecentlyOpened([{workspace:p.workspace}])))}handleWindowsJumpList(){!v.isWindows||(this.updateWindowsJumpList(),this._register(this.onDidChangeRecentlyOpened(()=>this.updateWindowsJumpList())))}addRecentlyOpened(p){const f=[],L=[];for(let T of p)if(i.isRecentWorkspace(T))!this.workspacesManagementMainService.isUntitledWorkspace(T.workspace)&&s(f,T.workspace)===-1&&f.push(T);else if(i.isRecentFolder(T))r(f,T.folderUri)===-1&&f.push(T);else{const W=a(L,T.fileUri)>=0,N=T.fileUri.scheme===m.Schemas.file&&ze.COMMON_FILES_FILTER.indexOf(y.basename(T.fileUri))>=0;!W&&!N&&(L.push(T),v.isWindows&&T.fileUri.scheme===m.Schemas.file&&S.app.addRecentDocument(T.fileUri.fsPath))}this.addEntriesFromStorage(f,L),f.length>ze.MAX_TOTAL_RECENT_ENTRIES&&(f.length=ze.MAX_TOTAL_RECENT_ENTRIES),L.length>ze.MAX_TOTAL_RECENT_ENTRIES&&(L.length=ze.MAX_TOTAL_RECENT_ENTRIES),this.saveRecentlyOpened({workspaces:f,files:L}),this._onDidChangeRecentlyOpened.fire(),v.isMacintosh&&this.macOSRecentDocumentsUpdater.trigger(()=>this.updateMacOSRecentDocuments())}removeRecentlyOpened(p){const f=N=>{const V=t(N);for(const ee of p)if(y.extUriBiasedIgnorePathCase.isEqual(ee,V))return!1;return!0},L=this.getRecentlyOpened(),T=L.workspaces.filter(f),W=L.files.filter(f);(T.length!==L.workspaces.length||W.length!==L.files.length)&&(this.saveRecentlyOpened({files:W,workspaces:T}),this._onDidChangeRecentlyOpened.fire(),v.isMacintosh&&this.macOSRecentDocumentsUpdater.trigger(()=>this.updateMacOSRecentDocuments()))}async updateMacOSRecentDocuments(){if(!v.isMacintosh)return;S.app.clearRecentDocuments();const p=this.getRecentlyOpened(),f=[];let L=0;for(let W=0;W<p.workspaces.length&&L<ze.MAX_MACOS_DOCK_RECENT_WORKSPACES;W++){const N=t(p.workspaces[W]);if(N.scheme===m.Schemas.file){const V=y.originalFSPath(N);await k.Promises.exists(V)&&(f.push(V),L++)}}const T=[];for(let W=0;W<p.files.length&&L<ze.MAX_MACOS_DOCK_RECENT_ENTRIES_TOTAL;W++){const N=t(p.files[W]);if(N.scheme===m.Schemas.file){const V=y.originalFSPath(N);if(ze.COMMON_FILES_FILTER.includes(y.basename(N))||f.includes(V))continue;await k.Promises.exists(V)&&(T.push(V),L++)}}T.reverse().forEach(W=>S.app.addRecentDocument(W)),f.reverse().forEach(W=>S.app.addRecentDocument(W))}clearRecentlyOpened(){this.saveRecentlyOpened({workspaces:[],files:[]}),S.app.clearRecentDocuments(),this._onDidChangeRecentlyOpened.fire()}getRecentlyOpened(p){const f=[],L=[],T=p?.config?.workspace;i.isWorkspaceIdentifier(T)&&!this.workspacesManagementMainService.isUntitledWorkspace(T)?f.push({workspace:T}):i.isSingleFolderWorkspaceIdentifier(T)&&f.push({folderUri:T.uri});const W=p?.config?.filesToOpenOrCreate;if(W)for(let N of W){const V=N.fileUri;V&&a(L,V)===-1&&L.push({fileUri:V})}return this.addEntriesFromStorage(f,L),{workspaces:f,files:L}}addEntriesFromStorage(p,f){let L=this.getRecentlyOpenedFromStorage();for(let T of L.workspaces){let W=i.isRecentFolder(T)?r(p,T.folderUri):s(p,T.workspace);W>=0?p[W].label=p[W].label||T.label:p.push(T)}for(let T of L.files){let W=a(f,T.fileUri);W>=0?f[W].label=f[W].label||T.label:f.push(T)}}getRecentlyOpenedFromStorage(){const p=this.stateMainService.getItem(ze.recentlyOpenedStorageKey);return i.restoreRecentlyOpened(p,this.logService)}saveRecentlyOpened(p){const f=i.toStoreData(p);this.stateMainService.setItem(ze.recentlyOpenedStorageKey,f)}updateWindowsJumpList(){if(!v.isWindows)return;const p=[];if(p.push({type:"tasks",items:[{type:"task",title:g.localize(0,null),description:g.localize(1,null),program:process.execPath,args:"-n",iconPath:process.execPath,iconIndex:0}]}),this.getRecentlyOpened().workspaces.length>0){let f=[];for(let W of S.app.getJumpListSettings().removedItems){const N=W.args;if(N){const V=/^--(folder|file)-uri\s+"([^"]+)"$/.exec(N);V&&f.push(d.URI.parse(V[2]))}}this.removeRecentlyOpened(f);let L=!1;const T=M.coalesce(this.getRecentlyOpened().workspaces.slice(0,7).map(W=>{const N=i.isRecentWorkspace(W)?W.workspace:W.folderUri,{title:V,description:ee}=this.getWindowsJumpListLabel(N,W.label);let q;return d.URI.isUri(N)?q=`--folder-uri "${N.toString()}"`:(L=!0,q=`--file-uri "${N.configPath.toString()}"`),{type:"task",title:V.substr(0,255),description:ee.substr(0,255),program:process.execPath,args:q,iconPath:"explorer.exe",iconIndex:0}}));T.length>0&&p.push({type:"custom",name:L?g.localize(2,null):g.localize(3,null),items:T})}p.push({type:"recent"});try{S.app.setJumpList(p)}catch(f){this.logService.warn("updateWindowsJumpList#setJumpList",f)}}getWindowsJumpListLabel(p,f){if(f)return{title:n.splitName(f).name,description:f};if(d.URI.isUri(p))return{title:y.basename(p),description:c(p)};if(this.workspacesManagementMainService.isUntitledWorkspace(p))return{title:g.localize(4,null),description:""};let L=y.basename(p.configPath);return L.endsWith(i.WORKSPACE_EXTENSION)&&(L=L.substr(0,L.length-i.WORKSPACE_EXTENSION.length-1)),{title:g.localize(5,null,L),description:c(p.configPath)}}};o.MAX_TOTAL_RECENT_ENTRIES=100,o.MAX_MACOS_DOCK_RECENT_WORKSPACES=7,o.MAX_MACOS_DOCK_RECENT_ENTRIES_TOTAL=10,o.COMMON_FILES_FILTER=["COMMIT_EDITMSG","MERGE_MSG"],o.recentlyOpenedStorageKey="openedPathsList",o=ue([te(0,D.IStateMainService),te(1,E.ILogService),te(2,b.IWorkspacesManagementMainService),te(3,I.ILifecycleMainService)],o),e.WorkspacesHistoryMainService=o;function c(u){return u.scheme==="file"?n.normalizeDriveLetter(u.fsPath):u.toString()}function t(u){return i.isRecentFolder(u)?u.folderUri:i.isRecentFile(u)?u.fileUri:u.workspace.configPath}function s(u,p){return u.findIndex(f=>i.isRecentWorkspace(f)&&f.workspace.id===p.id)}function r(u,p){return u.findIndex(f=>i.isRecentFolder(f)&&y.extUriBiasedIgnorePathCase.isEqual(f.folderUri,p))}function a(u,p){return u.findIndex(f=>y.extUriBiasedIgnorePathCase.isEqual(f.fileUri,p))}}),define(J[234],Z([0,1,145,3,24,14,61,21,32,42,20,9,6,31,35,62,183,7,39,22,46,25]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m,k,I,l,h,o,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Menubar=void 0;const t="menu";let s=class wt{constructor(u,p,f,L,T,W,N,V,ee,q,x){this.updateService=u,this.configurationService=p,this.windowsMainService=f,this.environmentMainService=L,this.telemetryService=T,this.workspacesHistoryMainService=W,this.stateMainService=N,this.lifecycleMainService=V,this.logService=ee,this.nativeHostMainService=q,this.productService=x,this.fallbackMenuHandlers=Object.create(null),this.menuUpdater=new b.RunOnceScheduler(()=>this.doUpdateMenu(),0),this.menuGC=new b.RunOnceScheduler(()=>{this.oldMenus=[]},1e4),this.menubarMenus=Object.create(null),this.keybindings=Object.create(null),(M.isMacintosh||E.getTitleBarStyle(this.configurationService)==="native")&&this.restoreCachedMenubarData(),this.addFallbackHandlers(),this.closedLastWindow=!1,this.noActiveWindow=!1,this.oldMenus=[],this.install(),this.registerListeners()}restoreCachedMenubarData(){const u=this.stateMainService.getItem(wt.lastKnownMenubarStorageKey);u&&(u.menus&&(this.menubarMenus=u.menus),u.keybindings&&(this.keybindings=u.keybindings))}addFallbackHandlers(){this.fallbackMenuHandlers["workbench.action.files.newUntitledFile"]=(W,N,V)=>this.windowsMainService.openEmptyWindow({context:2,contextWindowId:N?.id}),this.fallbackMenuHandlers["workbench.action.newWindow"]=(W,N,V)=>this.windowsMainService.openEmptyWindow({context:2,contextWindowId:N?.id}),this.fallbackMenuHandlers["workbench.action.files.openFileFolder"]=(W,N,V)=>this.nativeHostMainService.pickFileFolderAndOpen(void 0,{forceNewWindow:this.isOptionClick(V),telemetryExtraData:{from:t}}),this.fallbackMenuHandlers["workbench.action.openWorkspace"]=(W,N,V)=>this.nativeHostMainService.pickWorkspaceAndOpen(void 0,{forceNewWindow:this.isOptionClick(V),telemetryExtraData:{from:t}}),this.fallbackMenuHandlers["workbench.action.clearRecentFiles"]=()=>this.workspacesHistoryMainService.clearRecentlyOpened();const u=this.productService.twitterUrl;u&&(this.fallbackMenuHandlers["workbench.action.openTwitterUrl"]=()=>this.openUrl(u,"openTwitterUrl"));const p=this.productService.requestFeatureUrl;p&&(this.fallbackMenuHandlers["workbench.action.openRequestFeatureUrl"]=()=>this.openUrl(p,"openUserVoiceUrl"));const f=this.productService.reportIssueUrl;f&&(this.fallbackMenuHandlers["workbench.action.openIssueReporter"]=()=>this.openUrl(f,"openReportIssues"));const L=this.productService.licenseUrl;L&&(this.fallbackMenuHandlers["workbench.action.openLicenseUrl"]=()=>{if(M.language){const W=L.indexOf("?")>0?"&":"?";this.openUrl(`${L}${W}lang=${M.language}`,"openLicenseUrl")}else this.openUrl(L,"openLicenseUrl")});const T=this.productService.privacyStatementUrl;T&&L&&(this.fallbackMenuHandlers["workbench.action.openPrivacyStatementUrl"]=()=>{if(M.language){const W=L.indexOf("?")>0?"&":"?";this.openUrl(`${T}${W}lang=${M.language}`,"openPrivacyStatement")}else this.openUrl(T,"openPrivacyStatement")})}registerListeners(){this.lifecycleMainService.onWillShutdown(()=>this.willShutdown=!0),this.windowsMainService.onDidChangeWindowsCount(u=>this.onDidChangeWindowsCount(u)),this.nativeHostMainService.onDidBlurWindow(()=>this.onDidChangeWindowFocus()),this.nativeHostMainService.onDidFocusWindow(()=>this.onDidChangeWindowFocus())}get currentEnableMenuBarMnemonics(){let u=this.configurationService.getValue("window.enableMenuBarMnemonics");return typeof u!="boolean"&&(u=!0),u}get currentEnableNativeTabs(){if(!M.isMacintosh)return!1;let u=this.configurationService.getValue("window.nativeTabs");return typeof u!="boolean"&&(u=!1),u}updateMenu(u,p){this.menubarMenus=u.menus,this.keybindings=u.keybindings,this.stateMainService.setItem(wt.lastKnownMenubarStorageKey,u),this.scheduleUpdateMenu()}scheduleUpdateMenu(){this.menuUpdater.schedule()}doUpdateMenu(){this.willShutdown||setTimeout(()=>{this.willShutdown||this.install()},10)}onDidChangeWindowsCount(u){!M.isMacintosh||(u.oldCount===0&&u.newCount>0||u.oldCount>0&&u.newCount===0)&&(this.closedLastWindow=u.newCount===0,this.scheduleUpdateMenu())}onDidChangeWindowFocus(){!M.isMacintosh||(this.noActiveWindow=!S.BrowserWindow.getFocusedWindow(),this.scheduleUpdateMenu())}install(){const u=S.Menu.getApplicationMenu();if(u&&this.oldMenus.push(u),Object.keys(this.menubarMenus).length===0){S.Menu.setApplicationMenu(M.isMacintosh?new S.Menu:null);return}const p=new S.Menu;let f;if(M.isMacintosh){const T=new S.Menu;f=new S.MenuItem({label:this.productService.nameShort,submenu:T}),this.setMacApplicationMenu(T),p.append(f)}if(M.isMacintosh&&!this.appMenuInstalled){this.appMenuInstalled=!0;const T=new S.Menu;T.append(new S.MenuItem({label:this.mnemonicLabel(g.localize(0,null)),click:()=>this.windowsMainService.openEmptyWindow({context:1})})),S.app.dock.setMenu(T)}if(this.shouldDrawMenu("File")){const T=new S.Menu,W=new S.MenuItem({label:this.mnemonicLabel(g.localize(1,null)),submenu:T});this.setMenuById(T,"File"),p.append(W)}if(this.shouldDrawMenu("Edit")){const T=new S.Menu,W=new S.MenuItem({label:this.mnemonicLabel(g.localize(2,null)),submenu:T});this.setMenuById(T,"Edit"),p.append(W)}if(this.shouldDrawMenu("Selection")){const T=new S.Menu,W=new S.MenuItem({label:this.mnemonicLabel(g.localize(3,null)),submenu:T});this.setMenuById(T,"Selection"),p.append(W)}if(this.shouldDrawMenu("View")){const T=new S.Menu,W=new S.MenuItem({label:this.mnemonicLabel(g.localize(4,null)),submenu:T});this.setMenuById(T,"View"),p.append(W)}if(this.shouldDrawMenu("Go")){const T=new S.Menu,W=new S.MenuItem({label:this.mnemonicLabel(g.localize(5,null)),submenu:T});this.setMenuById(T,"Go"),p.append(W)}if(this.shouldDrawMenu("Run")){const T=new S.Menu,W=new S.MenuItem({label:this.mnemonicLabel(g.localize(6,null)),submenu:T});this.setMenuById(T,"Run"),p.append(W)}if(this.shouldDrawMenu("Terminal")){const T=new S.Menu,W=new S.MenuItem({label:this.mnemonicLabel(g.localize(7,null)),submenu:T});this.setMenuById(T,"Terminal"),p.append(W)}let L;if(this.shouldDrawMenu("Window")){const T=new S.Menu;L=new S.MenuItem({label:this.mnemonicLabel(g.localize(8,null)),submenu:T,role:"window"}),this.setMacWindowMenu(T)}if(L&&p.append(L),this.shouldDrawMenu("Help")){const T=new S.Menu,W=new S.MenuItem({label:this.mnemonicLabel(g.localize(9,null)),submenu:T,role:"help"});this.setMenuById(T,"Help"),p.append(W)}p.items&&p.items.length>0?S.Menu.setApplicationMenu(p):S.Menu.setApplicationMenu(null),this.menuGC.schedule()}setMacApplicationMenu(u){const p=this.createMenuItem(g.localize(10,null,this.productService.nameLong),"workbench.action.showAboutDialog"),f=this.getUpdateMenuItems();let L;if(this.shouldDrawMenu("Preferences")){const Q=new S.Menu;this.setMenuById(Q,"Preferences"),L=new S.MenuItem({label:this.mnemonicLabel(g.localize(11,null)),submenu:Q})}const T=new S.Menu,W=new S.MenuItem({label:g.localize(12,null),role:"services",submenu:T}),N=new S.MenuItem({label:g.localize(13,null,this.productService.nameLong),role:"hide",accelerator:"Command+H"}),V=new S.MenuItem({label:g.localize(14,null),role:"hideOthers",accelerator:"Command+Alt+H"}),ee=new S.MenuItem({label:g.localize(15,null),role:"unhide"}),q=new S.MenuItem(this.likeAction("workbench.action.quit",{label:g.localize(16,null,this.productService.nameLong),click:()=>{const Q=this.windowsMainService.getLastActiveWindow();(this.windowsMainService.getWindowCount()===0||!!S.BrowserWindow.getFocusedWindow()||Q?.isMinimized())&&this.nativeHostMainService.quit(void 0)}})),x=[p];x.push(...f),L&&x.push(r(),L),x.push(r(),W,r(),N,V,ee,r(),q),x.forEach(Q=>u.append(Q))}shouldDrawMenu(u){if(!M.isMacintosh&&E.getTitleBarStyle(this.configurationService)==="custom")return!1;switch(u){case"File":case"Help":if(M.isMacintosh)return this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow||!!this.menubarMenus&&!!this.menubarMenus[u];case"Window":if(M.isMacintosh)return this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow||!!this.menubarMenus;default:return this.windowsMainService.getWindowCount()>0&&!!this.menubarMenus&&!!this.menubarMenus[u]}}setMenu(u,p){p.forEach(f=>{if(k.isMenubarMenuItemSeparator(f))u.append(r());else if(k.isMenubarMenuItemSubmenu(f)){const L=new S.Menu,T=new S.MenuItem({label:this.mnemonicLabel(f.label),submenu:L});this.setMenu(L,f.submenu.items),u.append(T)}else k.isMenubarMenuItemRecentAction(f)?u.append(this.createOpenRecentMenuItem(f)):k.isMenubarMenuItemAction(f)&&(f.id==="workbench.action.showAboutDialog"&&this.insertCheckForUpdatesItems(u),M.isMacintosh?this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow?this.fallbackMenuHandlers[f.id]?u.append(new S.MenuItem(this.likeAction(f.id,{label:this.mnemonicLabel(f.label),click:this.fallbackMenuHandlers[f.id]}))):u.append(this.createMenuItem(f.label,f.id,!1,f.checked)):u.append(this.createMenuItem(f.label,f.id,f.enabled!==!1,!!f.checked)):u.append(this.createMenuItem(f.label,f.id,f.enabled!==!1,!!f.checked)))})}setMenuById(u,p){this.menubarMenus&&this.menubarMenus[p]&&this.setMenu(u,this.menubarMenus[p].items)}insertCheckForUpdatesItems(u){const p=this.getUpdateMenuItems();p.length&&(p.forEach(f=>u.append(f)),u.append(r()))}createOpenRecentMenuItem(u){const p=I.URI.revive(u.uri),f=u.id,L=f==="openRecentFile"?{fileUri:p}:f==="openRecentWorkspace"?{workspaceUri:p}:{folderUri:p};return new S.MenuItem(this.likeAction(f,{label:u.label,click:(T,W,N)=>{const V=this.isOptionClick(N);this.windowsMainService.open({context:2,cli:this.environmentMainService.args,urisToOpen:[L],forceNewWindow:V,gotoLineMode:!1,remoteAuthority:u.remoteAuthority}).length>0||this.workspacesHistoryMainService.removeRecentlyOpened([p])}},!1))}isOptionClick(u){return!!(u&&(!M.isMacintosh&&(u.ctrlKey||u.shiftKey)||M.isMacintosh&&(u.metaKey||u.altKey)))}createRoleMenuItem(u,p,f){const L={label:this.mnemonicLabel(u),role:f,enabled:!0};return new S.MenuItem(this.withKeybinding(p,L))}setMacWindowMenu(u){const p=new S.MenuItem({label:g.localize(17,null),role:"minimize",accelerator:"Command+M",enabled:this.windowsMainService.getWindowCount()>0}),f=new S.MenuItem({label:g.localize(18,null),role:"zoom",enabled:this.windowsMainService.getWindowCount()>0}),L=new S.MenuItem({label:g.localize(19,null),role:"front",enabled:this.windowsMainService.getWindowCount()>0}),T=this.createMenuItem(g.localize(20,null),"workbench.action.switchWindow"),W=[];this.currentEnableNativeTabs&&(W.push(r()),W.push(this.createMenuItem(g.localize(21,null),"workbench.action.newWindowTab")),W.push(this.createRoleMenuItem(g.localize(22,null),"workbench.action.showPreviousWindowTab","selectPreviousTab")),W.push(this.createRoleMenuItem(g.localize(23,null),"workbench.action.showNextWindowTab","selectNextTab")),W.push(this.createRoleMenuItem(g.localize(24,null),"workbench.action.moveWindowTabToNewWindow","moveTabToNewWindow")),W.push(this.createRoleMenuItem(g.localize(25,null),"workbench.action.mergeAllWindowTabs","mergeAllWindows"))),[p,f,r(),T,...W,r(),L].forEach(N=>u.append(N))}getUpdateMenuItems(){switch(this.updateService.state.type){case"uninitialized":return[];case"idle":return[new S.MenuItem({label:this.mnemonicLabel(g.localize(26,null)),click:()=>setTimeout(()=>{this.reportMenuActionTelemetry("CheckForUpdate"),this.updateService.checkForUpdates(!0)},0)})];case"checking for updates":return[new S.MenuItem({label:g.localize(27,null),enabled:!1})];case"available for download":return[new S.MenuItem({label:this.mnemonicLabel(g.localize(28,null)),click:()=>{this.updateService.downloadUpdate()}})];case"downloading":return[new S.MenuItem({label:g.localize(29,null),enabled:!1})];case"downloaded":return[new S.MenuItem({label:this.mnemonicLabel(g.localize(30,null)),click:()=>{this.reportMenuActionTelemetry("InstallUpdate"),this.updateService.applyUpdate()}})];case"updating":return[new S.MenuItem({label:g.localize(31,null),enabled:!1})];case"ready":return[new S.MenuItem({label:this.mnemonicLabel(g.localize(32,null)),click:()=>{this.reportMenuActionTelemetry("RestartToUpdate"),this.updateService.quitAndInstall()}})]}}createMenuItem(u,p,f,L){const T=this.mnemonicLabel(u),W=typeof p=="function"?p:(x,Q,C)=>{const B=x?x.userSettingsLabel:null;let U=p;Array.isArray(p)&&(U=this.isOptionClick(C)?p[1]:p[0]),B&&C.triggeredByAccelerator?this.runActionInRenderer({type:"keybinding",userSettingsLabel:B}):this.runActionInRenderer({type:"commandId",commandId:U})},N=typeof f=="boolean"?f:this.windowsMainService.getWindowCount()>0,V=typeof L=="boolean"?L:!1,ee={label:T,click:W,enabled:N};V&&(ee.type="checkbox",ee.checked=V);let q;return typeof p=="string"?q=p:Array.isArray(p)&&(q=p[0]),M.isMacintosh&&(q==="editor.action.clipboardCutAction"?ee.role="cut":q==="editor.action.clipboardCopyAction"?ee.role="copy":q==="editor.action.clipboardPasteAction"&&(ee.role="paste"),q==="undo"?ee.click=this.makeContextAwareClickHandler(W,{inDevTools:x=>x.undo(),inNoWindow:()=>S.Menu.sendActionToFirstResponder("undo:")}):q==="redo"?ee.click=this.makeContextAwareClickHandler(W,{inDevTools:x=>x.redo(),inNoWindow:()=>S.Menu.sendActionToFirstResponder("redo:")}):q==="editor.action.selectAll"&&(ee.click=this.makeContextAwareClickHandler(W,{inDevTools:x=>x.selectAll(),inNoWindow:()=>S.Menu.sendActionToFirstResponder("selectAll:")}))),new S.MenuItem(this.withKeybinding(q,ee))}makeContextAwareClickHandler(u,p){return(f,L,T)=>{const W=S.BrowserWindow.getFocusedWindow();if(!W)return p.inNoWindow();if(W.webContents.isDevToolsFocused()&&W.webContents.devToolsWebContents)return p.inDevTools(W.webContents.devToolsWebContents);u(f,L||W,T)}}runActionInRenderer(u){let p=S.BrowserWindow.getFocusedWindow();if(!p){const L=this.windowsMainService.getLastActiveWindow();L?.isMinimized()&&(p=L.win)}const f=p?this.windowsMainService.getWindowById(p.id):void 0;if(f){if(this.logService.trace("menubar#runActionInRenderer",u),M.isMacintosh&&!this.environmentMainService.isBuilt&&!f.isReady&&(u.type==="commandId"&&u.commandId==="workbench.action.toggleDevTools"||u.type!=="commandId"&&u.userSettingsLabel==="alt+cmd+i"))return;if(u.type==="commandId"){const L={id:u.commandId,from:"menu"};f.sendWhenReady("vscode:runAction",c.CancellationToken.None,L)}else{const L={userSettingsLabel:u.userSettingsLabel};f.sendWhenReady("vscode:runKeybinding",c.CancellationToken.None,L)}}else this.logService.trace("menubar#runActionInRenderer: no active window found",u)}withKeybinding(u,p){const f=typeof u=="string"?this.keybindings[u]:void 0;if(f?.label){if(f.isNative!==!1)p.accelerator=f.label,p.userSettingsLabel=f.userSettingsLabel;else if(typeof p.label=="string"){const L=p.label.indexOf("[");L>=0?p.label=`${p.label.substr(0,L)} [${f.label}]`:p.label=`${p.label} [${f.label}]`}}else p.accelerator=void 0;return p}likeAction(u,p,f=!p.accelerator){f&&(p=this.withKeybinding(u,p));const L=p.click;return p.click=(T,W,N)=>{this.reportMenuActionTelemetry(u),L&&L(T,W,N)},p}openUrl(u,p){this.nativeHostMainService.openExternal(void 0,u),this.reportMenuActionTelemetry(p)}reportMenuActionTelemetry(u){this.telemetryService.publicLog2("workbenchActionExecuted",{id:u,from:t})}mnemonicLabel(u){return y.mnemonicMenuLabel(u,!this.currentEnableMenuBarMnemonics)}};s.lastKnownMenubarStorageKey="lastKnownMenubarData",s=ue([te(0,v.IUpdateService),te(1,n.IConfigurationService),te(2,d.IWindowsMainService),te(3,D.IEnvironmentMainService),te(4,w.ITelemetryService),te(5,m.IWorkspacesHistoryMainService),te(6,l.IStateMainService),te(7,h.ILifecycleMainService),te(8,P.ILogService),te(9,o.INativeHostMainService),te(10,i.IProductService)],s),e.Menubar=s;function r(){return new S.MenuItem({type:"separator"})}}),define(J[235],Z([0,1,234,6,4,22]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MenubarMainService=e.IMenubarMainService=void 0,e.IMenubarMainService=D.createDecorator("menubarMainService");let E=class{constructor(w,v,i){this.instantiationService=w,this.lifecycleMainService=v,this.logService=i,this.menubar=this.installMenuBarAfterWindowOpen()}async installMenuBarAfterWindowOpen(){return await this.lifecycleMainService.when(3),this.instantiationService.createInstance(g.Menubar)}async updateMenubar(w,v){this.logService.trace("menubarService#updateMenubar",w),(await this.menubar).updateMenu(v,w)}};E=ue([te(0,D.IInstantiationService),te(1,S.ILifecycleMainService),te(2,M.ILogService)],E),e.MenubarMainService=E}),define(J[236],Z([0,1,29,26,49,72,8,151,36,52,24,39,233,14,22,21,6,61,100,5,20,62,3,27,4,10,7,15,73,216,45,101,43,2,53,13,30,31,25,19,33,55]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m,k,I,l,h,o,c,t,s,r,a,u,p,f,L,T,W,N,V,ee,q,x,Q,C,B,U,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WindowsMainService=void 0;function F(O){return s.isWorkspaceIdentifier(O?.workspace)}function R(O){return s.isSingleFolderWorkspaceIdentifier(O?.workspace)}let _=class Qe extends V.Disposable{constructor(A,z,K,Y,G,X,ne,se,he,de,re,ce,Ie,ve,be){super();this.machineId=A,this.initialUserEnv=z,this.logService=K,this.stateMainService=Y,this.environmentMainService=G,this.lifecycleMainService=X,this.backupMainService=ne,this.configurationService=se,this.workspacesHistoryMainService=he,this.workspacesManagementMainService=de,this.instantiationService=re,this.dialogMainService=ce,this.fileService=Ie,this.productService=ve,this.protocolMainService=be,this._onDidOpenWindow=this._register(new h.Emitter),this.onDidOpenWindow=this._onDidOpenWindow.event,this._onDidSignalReadyWindow=this._register(new h.Emitter),this.onDidSignalReadyWindow=this._onDidSignalReadyWindow.event,this._onDidDestroyWindow=this._register(new h.Emitter),this.onDidDestroyWindow=this._onDidDestroyWindow.event,this._onDidChangeWindowsCount=this._register(new h.Emitter),this.onDidChangeWindowsCount=this._onDidChangeWindowsCount.event,this.windowsStateHandler=this._register(new L.WindowsStateHandler(this,this.stateMainService,this.lifecycleMainService,this.logService,this.configurationService)),this.registerListeners()}registerListeners(){this._register(this.workspacesManagementMainService.onDidEnterWorkspace(A=>this._onDidSignalReadyWindow.fire(A.window))),this._register(this.onDidSignalReadyWindow(A=>{if(A.config?.extensionDevelopmentPath||A.config?.extensionTestsPath){const z=new V.DisposableStore;if(z.add(h.Event.any(A.onDidClose,A.onDidDestroy)(()=>z.dispose())),A.config.extensionDevelopmentPath)for(const K of A.config.extensionDevelopmentPath)z.add(this.protocolMainService.addValidFileRoot(u.URI.file(K)));A.config.extensionTestsPath&&z.add(this.protocolMainService.addValidFileRoot(u.URI.file(A.config.extensionTestsPath)))}}))}openEmptyWindow(A,z){let K=this.environmentMainService.args;const Y=z?.remoteAuthority||void 0,G=!0,X=z?.forceReuseWindow,ne=!X;return this.open({...A,cli:K,forceEmpty:G,forceNewWindow:ne,forceReuseWindow:X,remoteAuthority:Y})}open(A){this.logService.trace("windowsManager#open"),A.addMode&&(A.initialStartup||!this.getLastActiveWindow())&&(A.addMode=!1);const z=[],K=[],Y=[],G=[],X=[];let ne,se=0;const he=this.getPathsToOpen(A);this.logService.trace("windowsManager#open pathsToOpen",he);for(const ve of he)R(ve)?A.addMode?z.push(ve):K.push(ve):F(ve)?Y.push(ve):ve.fileUri?(ne||(ne={filesToOpenOrCreate:[],filesToDiff:[],remoteAuthority:ve.remoteAuthority}),ne.filesToOpenOrCreate.push(ve)):ve.backupPath?X.push({backupFolder:E.basename(ve.backupPath),remoteAuthority:ve.remoteAuthority}):se++;A.diffMode&&ne?.filesToOpenOrCreate.length===2&&(ne.filesToDiff=ne.filesToOpenOrCreate,ne.filesToOpenOrCreate=[]),ne&&A.waitMarkerFileURI&&(ne.filesToWait={paths:[...ne.filesToDiff,...ne.filesToOpenOrCreate],waitMarkerFileUri:A.waitMarkerFileURI}),A.initialStartup?(G.push(...this.workspacesManagementMainService.getUntitledWorkspacesSync()),Y.push(...G),X.push(...this.backupMainService.getEmptyWindowBackupPaths())):X.length=0;const{windows:de,filesOpenedInWindow:re}=this.doOpen(A,Y,K,X,se,ne,z);if(this.logService.trace(`windowsManager#open used window count ${de.length} (workspacesToOpen: ${Y.length}, foldersToOpen: ${K.length}, emptyToRestore: ${X.length}, emptyToOpen: ${se})`),de.length>1)if(re)re.focus();else{const ve=this.windowsStateHandler.state.lastActiveWindow&&!A.forceEmpty&&!A.cli._.length&&!A.cli["file-uri"]&&!A.cli["folder-uri"]&&!(A.urisToOpen&&A.urisToOpen.length);let be=!0,Te=!0;if(ve){const ye=de.filter(we=>this.windowsStateHandler.state.lastActiveWindow&&we.backupPath===this.windowsStateHandler.state.lastActiveWindow.backupPath);ye.length&&(ye[0].focus(),be=!1,Te=!1)}if(be)for(let ye=de.length-1;ye>=0;ye--){const we=de[ye];if(!(we.openedWorkspace&&G.some(Ee=>we.openedWorkspace&&Ee.workspace.id===we.openedWorkspace.id)||we.backupPath&&X.some(Ee=>we.backupPath&&Ee.backupFolder===E.basename(we.backupPath)))){we.focus(),Te=!1;break}}Te&&de[de.length-1].focus()}const ce=ne&&ne.filesToDiff.length>0;if(!de.some(ve=>ve.isExtensionDevelopmentHost)&&!ce&&!A.noRecentEntry){const ve=[];for(const be of he)F(be)&&!be.transient?ve.push({label:be.label,workspace:be.workspace,remoteAuthority:be.remoteAuthority}):R(be)?ve.push({label:be.label,folderUri:be.workspace.uri,remoteAuthority:be.remoteAuthority}):be.fileUri&&ve.push({label:be.label,fileUri:be.fileUri,remoteAuthority:be.remoteAuthority});this.workspacesHistoryMainService.addRecentlyOpened(ve)}const Ie=A.waitMarkerFileURI;return A.context===0&&Ie&&de.length===1&&de[0]&&(async()=>{await de[0].whenClosedOrLoaded;try{await this.fileService.del(Ie)}catch(ve){}})(),de}doOpen(A,z,K,Y,G,X,ne){const se=[];let he;function de(ye,we){se.push(ye),we&&(he=ye,X=void 0)}let{openFolderInNewWindow:re,openFilesInNewWindow:ce}=this.shouldOpenNewWindow(A);if(!A.initialStartup&&ne.length>0){const ye=ne[0].remoteAuthority,we=this.getLastActiveWindowForAuthority(ye);we&&de(this.doAddFoldersToExistingWindow(we,ne.map(Ee=>Ee.workspace.uri)))}const Ie=K.length+z.length+Y.length;if(X&&Ie===0){const ye=X.filesToOpenOrCreate[0]||X.filesToDiff[0],we=this.getWindows().filter(Le=>X&&Le.remoteAuthority===X.remoteAuthority);let Ee;ye?.fileUri&&!ce&&((A.context===4||A.context===0||A.context===1)&&(Ee=l.findWindowOnFile(we,ye.fileUri,Le=>Le.configPath.scheme===a.Schemas.file?this.workspacesManagementMainService.resolveLocalWorkspaceSync(Le.configPath):void 0)),Ee||(Ee=this.doGetLastActiveWindow(we))),Ee?s.isWorkspaceIdentifier(Ee.openedWorkspace)?z.push({workspace:Ee.openedWorkspace,remoteAuthority:Ee.remoteAuthority}):s.isSingleFolderWorkspaceIdentifier(Ee.openedWorkspace)?K.push({workspace:Ee.openedWorkspace,remoteAuthority:Ee.remoteAuthority}):de(this.doOpenFilesInExistingWindow(A,Ee,X),!0):de(this.openInBrowserWindow({userEnv:A.userEnv,cli:A.cli,initialStartup:A.initialStartup,filesToOpen:X,forceNewWindow:!0,remoteAuthority:X.remoteAuthority,forceNewTabbedWindow:A.forceNewTabbedWindow}),!0)}const ve=w.distinct(z,ye=>ye.workspace.id);if(ve.length>0){const ye=w.coalesce(ve.map(we=>l.findWindowOnWorkspaceOrFolder(this.getWindows(),we.workspace.configPath)));if(ye.length>0){const we=ye[0],Ee=X?.remoteAuthority===we.remoteAuthority?X:void 0;de(this.doOpenFilesInExistingWindow(A,we,Ee),!!Ee),re=!0}ve.forEach(we=>{if(ye.some(Oe=>Oe.openedWorkspace&&Oe.openedWorkspace.id===we.workspace.id))return;const Ee=we.remoteAuthority,Le=X?.remoteAuthority===Ee?X:void 0;de(this.doOpenFolderOrWorkspace(A,we,re,Le),!!Le),re=!0})}const be=w.distinct(K,ye=>p.extUriBiasedIgnorePathCase.getComparisonKey(ye.workspace.uri));if(be.length>0){const ye=w.coalesce(be.map(we=>l.findWindowOnWorkspaceOrFolder(this.getWindows(),we.workspace.uri)));if(ye.length>0){const we=ye[0],Ee=X?.remoteAuthority===we.remoteAuthority?X:void 0;de(this.doOpenFilesInExistingWindow(A,we,Ee),!!Ee),re=!0}be.forEach(we=>{if(ye.some(Oe=>s.isSingleFolderWorkspaceIdentifier(Oe.openedWorkspace)&&p.extUriBiasedIgnorePathCase.isEqual(Oe.openedWorkspace.uri,we.workspace.uri)))return;const Ee=we.remoteAuthority,Le=X?.remoteAuthority===Ee?X:void 0;de(this.doOpenFolderOrWorkspace(A,we,re,Le),!!Le),re=!0})}const Te=w.distinct(Y,ye=>ye.backupFolder);if(Te.length>0&&Te.forEach(ye=>{const we=ye.remoteAuthority,Ee=X?.remoteAuthority===we?X:void 0;de(this.openInBrowserWindow({userEnv:A.userEnv,cli:A.cli,initialStartup:A.initialStartup,filesToOpen:Ee,remoteAuthority:we,forceNewWindow:!0,forceNewTabbedWindow:A.forceNewTabbedWindow,emptyWindowBackupInfo:ye}),!!Ee),re=!0}),se.length===0||X){X&&!G&&G++;const ye=X?X.remoteAuthority:A.remoteAuthority;for(let we=0;we<G;we++)de(this.doOpenEmpty(A,re,ye,X),!!X),re=!0}return{windows:w.distinct(se),filesOpenedInWindow:he}}doOpenFilesInExistingWindow(A,z,K){this.logService.trace("windowsManager#doOpenFilesInExistingWindow"),z.focus();const Y={filesToOpenOrCreate:K?.filesToOpenOrCreate,filesToDiff:K?.filesToDiff,filesToWait:K?.filesToWait,termProgram:A?.userEnv?.TERM_PROGRAM};return z.sendWhenReady("vscode:openFiles",C.CancellationToken.None,Y),z}doAddFoldersToExistingWindow(A,z){this.logService.trace("windowsManager#doAddFoldersToExistingWindow"),A.focus();const K={foldersToAdd:z};return A.sendWhenReady("vscode:addFolders",C.CancellationToken.None,K),A}doOpenEmpty(A,z,K,Y,G){return!z&&!G&&typeof A.contextWindowId=="number"&&(G=this.getWindowById(A.contextWindowId)),this.openInBrowserWindow({userEnv:A.userEnv,cli:A.cli,initialStartup:A.initialStartup,remoteAuthority:K,forceNewWindow:z,forceNewTabbedWindow:A.forceNewTabbedWindow,filesToOpen:Y,windowToUse:G})}doOpenFolderOrWorkspace(A,z,K,Y,G){return!K&&!G&&typeof A.contextWindowId=="number"&&(G=this.getWindowById(A.contextWindowId)),this.openInBrowserWindow({workspace:z.workspace,userEnv:A.userEnv,cli:A.cli,initialStartup:A.initialStartup,remoteAuthority:z.remoteAuthority,forceNewWindow:K,forceNewTabbedWindow:A.forceNewTabbedWindow,filesToOpen:Y,windowToUse:G})}getPathsToOpen(A){let z,K=!1,Y=!1;if(A.urisToOpen&&A.urisToOpen.length>0?(z=this.doExtractPathsFromAPI(A),K=!0):A.forceEmpty?z=[Object.create(null)]:A.cli._.length||A.cli["folder-uri"]||A.cli["file-uri"]?(z=this.doExtractPathsFromCLI(A.cli),z.length===0&&z.push(Object.create(null)),K=!0):(z=this.doGetPathsFromLastSession(),z.length===0&&z.push(Object.create(null)),Y=!0),!A.addMode&&K){const G=z.filter(X=>R(X));if(G.length>1){const X=G[0].remoteAuthority;if(G.every(ne=>ne.remoteAuthority===X)){const ne=this.workspacesManagementMainService.createUntitledWorkspaceSync(G.map(se=>({uri:se.workspace.uri})));z.push({workspace:ne,remoteAuthority:X}),z=z.filter(se=>!R(se))}}}return A.initialStartup&&!Y&&this.configurationService.getValue("window")?.restoreWindows==="preserve"&&z.unshift(...this.doGetPathsFromLastSession().filter(G=>F(G)||R(G)||G.backupPath)),z}doExtractPathsFromAPI(A){const z=[],K={gotoLineMode:A.gotoLineMode,remoteAuthority:A.remoteAuthority};for(const Y of w.coalesce(A.urisToOpen||[])){const G=this.resolveOpenable(Y,K);if(G)G.label=Y.label,z.push(G);else{const X=this.resourceFromOpenable(Y),ne={title:this.productService.nameLong,type:"info",buttons:[Q.mnemonicButtonLabel(n.localize(0,null))],defaultId:0,message:X.scheme===a.Schemas.file?n.localize(1,null):n.localize(2,null),detail:X.scheme===a.Schemas.file?n.localize(3,null,Q.getPathLabel(X.fsPath,this.environmentMainService)):n.localize(4,null,X.toString()),noLink:!0};this.dialogMainService.showMessageBox(ne,q.withNullAsUndefined(y.BrowserWindow.getFocusedWindow()))}}return z}doExtractPathsFromCLI(A){const z=[],K={ignoreFileNotFound:!0,gotoLineMode:A.goto,remoteAuthority:A.remote||void 0,forceOpenWorkspaceAsFile:!1},Y=A["folder-uri"];if(Y)for(const ne of Y){const se=this.cliArgToUri(ne);if(se){const he=this.resolveOpenable({folderUri:se},K);he&&z.push(he)}}const G=A["file-uri"];if(G)for(const ne of G){const se=this.cliArgToUri(ne);if(se){const he=this.resolveOpenable(s.hasWorkspaceFileExtension(ne)?{workspaceUri:se}:{fileUri:se},K);he&&z.push(he)}}const X=A._;for(const ne of X){const se=K.remoteAuthority?this.doResolvePathRemote(ne,K):this.doResolveFilePath(ne,K);se&&z.push(se)}return z}cliArgToUri(A){try{const z=u.URI.parse(A);if(!z.scheme){this.logService.error(`Invalid URI input string, scheme missing: ${A}`);return}return z}catch(z){this.logService.error(`Invalid URI input string: ${A}, ${z.message}`)}}doGetPathsFromLastSession(){const A=this.getRestoreWindowsSetting();switch(A){case"none":return[];case"one":case"all":case"preserve":case"folders":const z=[];A!=="one"&&z.push(...this.windowsStateHandler.state.openedWindows),this.windowsStateHandler.state.lastActiveWindow&&z.push(this.windowsStateHandler.state.lastActiveWindow);const K=[];for(const Y of z)if(Y.workspace){const G=this.resolveOpenable({workspaceUri:Y.workspace.configPath},{remoteAuthority:Y.remoteAuthority,rejectTransientWorkspaces:!0});F(G)&&K.push(G)}else if(Y.folderUri){const G=this.resolveOpenable({folderUri:Y.folderUri},{remoteAuthority:Y.remoteAuthority});R(G)&&K.push(G)}else A!=="folders"&&Y.backupPath&&K.push({backupPath:Y.backupPath,remoteAuthority:Y.remoteAuthority});return K}}getRestoreWindowsSetting(){let A;return this.lifecycleMainService.wasRestarted?A="all":(A=this.configurationService.getValue("window")?.restoreWindows||"all",["preserve","all","folders","one","none"].includes(A)||(A="all")),A}resolveOpenable(A,z=Object.create(null)){let K=this.resourceFromOpenable(A);return K.scheme===a.Schemas.file?(I.isFileToOpen(A)&&(z={...z,forceOpenWorkspaceAsFile:!0}),this.doResolveFilePath(K.fsPath,z)):this.doResolveRemoteOpenable(A,z)}doResolveRemoteOpenable(A,z){let K=this.resourceFromOpenable(A);const Y=f.getRemoteAuthority(K)||z.remoteAuthority;if(K=p.removeTrailingPathSeparator(p.normalizePath(K)),I.isFileToOpen(A)){if(z.gotoLineMode){const{path:G,line:X,column:ne}=x.parseLineAndColumnAware(K.path);return{fileUri:K.with({path:G}),lineNumber:X,columnNumber:ne,remoteAuthority:Y}}return{fileUri:K,remoteAuthority:Y}}else if(I.isWorkspaceToOpen(A))return{workspace:W.getWorkspaceIdentifier(K),remoteAuthority:Y};return{workspace:W.getSingleFolderWorkspaceIdentifier(K),remoteAuthority:Y}}resourceFromOpenable(A){return I.isWorkspaceToOpen(A)?A.workspaceUri:I.isFolderToOpen(A)?A.folderUri:A.fileUri}doResolveFilePath(A,z){let K,Y;z.gotoLineMode&&({path:A,line:K,column:Y}=x.parseLineAndColumnAware(A)),A=x.sanitizeFilePath(E.normalize(A),U.cwd());try{const G=g.statSync(A);if(G.isFile()){if(!z.forceOpenWorkspaceAsFile){const X=this.workspacesManagementMainService.resolveLocalWorkspaceSync(u.URI.file(A));if(X)return X.transient&&z.rejectTransientWorkspaces?void 0:{workspace:{id:X.id,configPath:X.configPath},remoteAuthority:X.remoteAuthority,exists:!0,transient:X.transient}}return{fileUri:u.URI.file(A),lineNumber:K,columnNumber:Y,exists:!0}}else if(G.isDirectory())return{workspace:W.getSingleFolderWorkspaceIdentifier(u.URI.file(A),G),exists:!0}}catch(G){const X=u.URI.file(A);if(this.workspacesHistoryMainService.removeRecentlyOpened([X]),z.ignoreFileNotFound)return{fileUri:X,exists:!1}}}doResolvePathRemote(A,z){const K=A.charCodeAt(0),Y=z.remoteAuthority;let G,X;z.gotoLineMode&&({path:A,line:G,column:X}=x.parseLineAndColumnAware(A)),K!==47&&(x.isWindowsDriveLetter(K)&&A.charCodeAt(A.charCodeAt(1))===58&&(A=x.toSlashes(A)),A=`/${A}`);const ne=u.URI.from({scheme:a.Schemas.vscodeRemote,authority:Y,path:A});if(A.charCodeAt(A.length-1)!==47){if(s.hasWorkspaceFileExtension(A))return z.forceOpenWorkspaceAsFile?{fileUri:ne,lineNumber:G,columnNumber:X,remoteAuthority:z.remoteAuthority}:{workspace:W.getWorkspaceIdentifier(ne),remoteAuthority:Y};if(z.gotoLineMode||E.posix.basename(A).indexOf(".")!==-1)return{fileUri:ne,lineNumber:G,columnNumber:X,remoteAuthority:Y}}return{workspace:W.getSingleFolderWorkspaceIdentifier(ne),remoteAuthority:Y}}shouldOpenNewWindow(A){const z=this.configurationService.getValue("window"),K=z?.openFoldersInNewWindow||"default",Y=z?.openFilesInNewWindow||"off";let G=(A.preferNewWindow||A.forceNewWindow)&&!A.forceReuseWindow;!A.forceNewWindow&&!A.forceReuseWindow&&(K==="on"||K==="off")&&(G=K==="on");let X=!1;return A.forceNewWindow||A.forceReuseWindow?X=!!A.forceNewWindow&&!A.forceReuseWindow:(t.isMacintosh?A.context===1&&(X=!0):A.context!==3&&A.context!==2&&!(A.userEnv&&A.userEnv.TERM_PROGRAM==="vscode")&&(X=!0),!A.cli.extensionDevelopmentPath&&(Y==="on"||Y==="off")&&(X=Y==="on")),{openFolderInNewWindow:!!G,openFilesInNewWindow:X}}openExtensionDevelopmentHostWindow(A,z){const K=l.findWindowOnExtensionDevelopmentPath(this.getWindows(),A);if(K)return this.lifecycleMainService.reload(K,z.cli),K.focus(),[K];let Y=z.cli["folder-uri"]||[],G=z.cli["file-uri"]||[],X=z.cli._;if(!X.length&&!Y.length&&!G.length&&!z.cli.extensionTestsPath){const de=this.windowsStateHandler.state.lastPluginDevelopmentHostWindow,re=de&&(de.workspace||de.folderUri);re&&(u.URI.isUri(re)?re.scheme===a.Schemas.file?X=[re.fsPath]:Y=[re.toString()]:re.configPath.scheme===a.Schemas.file?X=[p.originalFSPath(re.configPath)]:G=[re.configPath.toString()])}let ne=z.remoteAuthority;for(const de of A)if(de.match(/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/)){const re=u.URI.parse(de),ce=f.getRemoteAuthority(re);ce&&(ne?ce!==ne&&this.logService.error("more than one extension development path authority"):ne=ce)}X=X.filter(de=>{const re=u.URI.file(de);return l.findWindowOnWorkspaceOrFolder(this.getWindows(),re)?!1:f.getRemoteAuthority(re)===ne}),Y=Y.filter(de=>{const re=this.cliArgToUri(de);return re&&!!l.findWindowOnWorkspaceOrFolder(this.getWindows(),re)?!1:re?f.getRemoteAuthority(re)===ne:!1}),G=G.filter(de=>{const re=this.cliArgToUri(de);return re&&!!l.findWindowOnWorkspaceOrFolder(this.getWindows(),re)?!1:re?f.getRemoteAuthority(re)===ne:!1}),z.cli._=X,z.cli["folder-uri"]=Y,z.cli["file-uri"]=G;const se=!X.length&&!Y.length&&!G.length,he={context:z.context,cli:z.cli,forceNewWindow:!0,forceEmpty:se,userEnv:z.userEnv,noRecentEntry:!0,waitMarkerFileURI:z.waitMarkerFileURI,remoteAuthority:ne};return this.open(he)}openInBrowserWindow(A){const z=this.configurationService.getValue("window"),K={...this.environmentMainService.args,...A.cli,machineId:this.machineId,windowId:-1,mainPid:process.pid,appRoot:this.environmentMainService.appRoot,execPath:process.execPath,codeCachePath:this.environmentMainService.codeCachePath,backupPath:A.emptyWindowBackupInfo?E.join(this.environmentMainService.backupHome,A.emptyWindowBackupInfo.backupFolder):void 0,homeDir:this.environmentMainService.userHome.fsPath,tmpDir:this.environmentMainService.tmpDir.fsPath,userDataDir:this.environmentMainService.userDataPath,remoteAuthority:A.remoteAuthority,workspace:A.workspace,userEnv:{...this.initialUserEnv,...A.userEnv},filesToOpenOrCreate:A.filesToOpen?.filesToOpenOrCreate,filesToDiff:A.filesToOpen?.filesToDiff,filesToWait:A.filesToOpen?.filesToWait,logLevel:this.logService.getLevel(),logsPath:this.environmentMainService.logsPath,product:D.default,isInitialStartup:A.initialStartup,perfMarks:S.getMarks(),os:{release:M.release(),hostname:M.hostname()},zoomLevel:typeof z?.zoomLevel=="number"?z.zoomLevel:void 0,autoDetectHighContrast:z?.autoDetectHighContrast??!0,accessibilitySupport:y.app.accessibilitySupportEnabled,colorScheme:{dark:y.nativeTheme.shouldUseDarkColors,highContrast:y.nativeTheme.shouldUseInvertedColorScheme||y.nativeTheme.shouldUseHighContrastColors}};let Y;if(!A.forceNewWindow&&!A.forceNewTabbedWindow&&(Y=A.windowToUse||this.getLastActiveWindow(),Y&&Y.focus()),Y){const G=Y.config;!K.extensionDevelopmentPath&&G&&!!G.extensionDevelopmentPath&&(K.extensionDevelopmentPath=G.extensionDevelopmentPath,K.verbose=G.verbose,K["inspect-brk-extensions"]=G["inspect-brk-extensions"],K.debugId=G.debugId,K["inspect-extensions"]=G["inspect-extensions"],K["extensions-dir"]=G["extensions-dir"])}else{const G=this.windowsStateHandler.getNewWindowState(K);S.mark("code/willCreateCodeWindow");const X=Y=this.instantiationService.createInstance(P.CodeWindow,{state:G,extensionDevelopmentPath:K.extensionDevelopmentPath,isExtensionTestHost:!!K.extensionTestsPath});if(S.mark("code/didCreateCodeWindow"),A.forceNewTabbedWindow){const se=this.getLastActiveWindow();se&&se.addTabbedWindow(X)}Qe.WINDOWS.push(X),this._onDidOpenWindow.fire(X),this._onDidChangeWindowsCount.fire({oldCount:this.getWindowCount()-1,newCount:this.getWindowCount()}),N.once(X.onDidSignalReady)(()=>this._onDidSignalReadyWindow.fire(X)),N.once(X.onDidClose)(()=>this.onWindowClosed(X)),N.once(X.onDidDestroy)(()=>this._onDidDestroyWindow.fire(X));const ne=q.assertIsDefined(X.win?.webContents);ne.removeAllListeners("devtools-reload-page"),ne.on("devtools-reload-page",()=>this.lifecycleMainService.reload(X)),this.lifecycleMainService.registerWindow(X)}return K.windowId=Y.id,Y.isReady?this.lifecycleMainService.unload(Y,4).then(G=>{G||this.doOpenInBrowserWindow(Y,K,A)}):this.doOpenInBrowserWindow(Y,K,A),Y}doOpenInBrowserWindow(A,z,K){if(!z.extensionDevelopmentPath)if(s.isWorkspaceIdentifier(z.workspace))z.backupPath=this.backupMainService.registerWorkspaceBackupSync({workspace:z.workspace,remoteAuthority:z.remoteAuthority});else if(s.isSingleFolderWorkspaceIdentifier(z.workspace))z.backupPath=this.backupMainService.registerFolderBackupSync(z.workspace.uri);else{const Y=K.emptyWindowBackupInfo&&K.emptyWindowBackupInfo.backupFolder;z.backupPath=this.backupMainService.registerEmptyWindowBackupSync(Y,z.remoteAuthority)}A.load(z)}onWindowClosed(A){const z=Qe.WINDOWS.indexOf(A);Qe.WINDOWS.splice(z,1),this._onDidChangeWindowsCount.fire({oldCount:this.getWindowCount()+1,newCount:this.getWindowCount()})}getFocusedWindow(){const A=y.BrowserWindow.getFocusedWindow();if(A)return this.getWindowById(A.id)}getLastActiveWindow(){return this.doGetLastActiveWindow(this.getWindows())}getLastActiveWindowForAuthority(A){return this.doGetLastActiveWindow(this.getWindows().filter(z=>z.remoteAuthority===A))}doGetLastActiveWindow(A){const z=Math.max.apply(Math,A.map(K=>K.lastFocusTime));return A.find(K=>K.lastFocusTime===z)}sendToFocused(A,...z){const K=this.getFocusedWindow()||this.getLastActiveWindow();K&&K.sendWhenReady(A,C.CancellationToken.None,...z)}sendToAll(A,z,K){for(const Y of this.getWindows())K&&K.indexOf(Y.id)>=0||Y.sendWhenReady(A,C.CancellationToken.None,z)}getWindows(){return Qe.WINDOWS}getWindowCount(){return Qe.WINDOWS.length}getWindowById(A){const z=this.getWindows().filter(K=>K.id===A);return w.firstOrDefault(z)}getWindowByWebContents(A){const z=y.BrowserWindow.fromWebContents(A);if(!!z)return this.getWindowById(z.id)}};_.WINDOWS=[],_=ue([te(2,k.ILogService),te(3,b.IStateMainService),te(4,i.IEnvironmentMainService),te(5,d.ILifecycleMainService),te(6,v.IBackupMainService),te(7,m.IConfigurationService),te(8,c.IWorkspacesHistoryMainService),te(9,T.IWorkspacesManagementMainService),te(10,r.IInstantiationService),te(11,ee.IDialogMainService),te(12,B.IFileService),te(13,o.IProductService),te(14,$.IProtocolMainService)],_),e.WindowsMainService=_}),define(J[237],Z([0,1,45,35,62,52]),function(j,e,g,M,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesMainService=void 0;let E=class{constructor(w,v,i,b){this.workspacesManagementMainService=w,this.windowsMainService=v,this.workspacesHistoryMainService=i,this.backupMainService=b,this.onDidChangeRecentlyOpened=this.workspacesHistoryMainService.onDidChangeRecentlyOpened}async enterWorkspace(w,v){const i=this.windowsMainService.getWindowById(w);if(i)return this.workspacesManagementMainService.enterWorkspace(i,this.windowsMainService.getWindows(),v)}createUntitledWorkspace(w,v,i){return this.workspacesManagementMainService.createUntitledWorkspace(v,i)}deleteUntitledWorkspace(w,v){return this.workspacesManagementMainService.deleteUntitledWorkspace(v)}getWorkspaceIdentifier(w,v){return this.workspacesManagementMainService.getWorkspaceIdentifier(v)}async getRecentlyOpened(w){return this.workspacesHistoryMainService.getRecentlyOpened(this.windowsMainService.getWindowById(w))}async addRecentlyOpened(w,v){return this.workspacesHistoryMainService.addRecentlyOpened(v)}async removeRecentlyOpened(w,v){return this.workspacesHistoryMainService.removeRecentlyOpened(v)}async clearRecentlyOpened(w){return this.workspacesHistoryMainService.clearRecentlyOpened()}async getDirtyWorkspaces(){return this.backupMainService.getDirtyWorkspaces()}};E=ue([te(0,g.IWorkspacesManagementMainService),te(1,M.IWindowsMainService),te(2,D.IWorkspacesHistoryMainService),te(3,S.IBackupMainService)],E),e.WorkspacesMainService=E}),define(J[238],Z([0,1,26,29,14,3,236,22,91,42,206,34,123,85,224,102,4,71,69,6,39,24,21,98,207,32,97,201,202,198,20,228,2,35,7,27,237,66,232,231,226,230,181,16,209,229,235,120,8,15,132,10,227,99,214,219,52,62,208,45,70,158,46,53,13,31,211,76,19,40,28,17,89,212,197,54,30,170,186,43,73,75,90,173,179]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m,k,I,l,h,o,c,t,s,r,a,u,p,f,L,T,W,N,V,ee,q,x,Q,C,B,U,$,F,R,_,O,A,z,K,Y,G,X,ne,se,he,de,re,ce,Ie,ve,be,Te,ye,we,Ee,Le,Oe,Ue,qe,Je,$e,it,Ne,lt,Ze,ct,Ge,nt,rt,H,ie,oe,ae,fe,Se){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeApplication=void 0;let Pe=class extends N.Disposable{constructor(le,ge,pe,me,ke,Me,De,Re,Ae,Ce){super();this.mainProcessNodeIpcServer=le,this.userEnv=ge,this.mainInstantiationService=pe,this.logService=me,this.environmentMainService=ke,this.lifecycleMainService=Me,this.configurationService=De,this.stateMainService=Re,this.fileService=Ae,this.productService=Ce,this.configureSession(),this.registerListeners()}configureSession(){const le=pe=>pe.startsWith(`${X.Schemas.vscodeWebview}://`);D.session.defaultSession.setPermissionRequestHandler((pe,me,ke,Me)=>le(Me.requestingUrl)?ke(me==="clipboard-read"):ke(!1)),D.session.defaultSession.setPermissionCheckHandler((pe,me,ke,Me)=>le(Me.requestingUrl)?me==="clipboard-read":!1);const ge=D.session.defaultSession;typeof ge.setCodeCachePath=="function"&&this.environmentMainService.codeCachePath&&ge.setCodeCachePath(K.join(this.environmentMainService.codeCachePath,"chrome"))}registerListeners(){R.setUnexpectedErrorHandler(pe=>this.onUnexpectedError(pe)),process.on("uncaughtException",pe=>this.onUnexpectedError(pe)),process.on("unhandledRejection",pe=>R.onUnexpectedError(pe)),this.lifecycleMainService.onWillShutdown(()=>this.dispose()),z.registerContextMenuListener(),D.app.on("accessibility-support-changed",(pe,me)=>{this.windowsMainService?.sendToAll("vscode:accessibilitySupportChanged",me)}),D.app.on("activate",(pe,me)=>{this.logService.trace("app#activate"),me||this.windowsMainService?.openEmptyWindow({context:1})}),D.app.on("web-contents-created",(pe,me)=>{me.on("will-attach-webview",(ke,Me,De)=>{const Re=Ae=>{if(!Ae)return!1;const Ce=ee.URI.parse(Ae);if(Ce.scheme===X.Schemas.vscodeWebview)return Ce.path==="/index.html"||Ce.path==="/electron-browser-index.html";const He=Ce.fsPath.toLowerCase(),Ke=ee.URI.file(this.environmentMainService.appRoot).fsPath.toLowerCase();return He.startsWith(Ke+K.sep)};delete Me.preload,Me.nodeIntegration=!1,!(Re(De.src)&&Re(Me.preloadURL))&&(delete Me.preloadURL,this.logService.error("webContents#web-contents-created: Prevented webview attach"),ke.preventDefault())}),me.on("will-navigate",ke=>{this.logService.error("webContents#will-navigate: Prevented webcontent navigation"),ke.preventDefault()}),me.setWindowOpenHandler(({url:ke})=>(this.nativeHostMainService?.openExternal(void 0,ke),{action:"deny"}))});let le=[],ge;D.app.on("open-file",(pe,me)=>{this.logService.trace("app#open-file: ",me),pe.preventDefault(),le.push(this.getWindowOpenableFromPathSync(me)),ge!==void 0&&(clearTimeout(ge),ge=void 0),ge=setTimeout(()=>{this.windowsMainService?.open({context:1,cli:this.environmentMainService.args,urisToOpen:le,gotoLineMode:!1,preferNewWindow:!0}),le=[],ge=void 0},100)}),D.app.on("new-window-for-tab",()=>{this.windowsMainService?.openEmptyWindow({context:4})}),D.ipcMain.handle("vscode:fetchShellEnv",pe=>{const me=this.windowsMainService?.getWindowByWebContents(pe.sender);let ke,Me;return me?.config?(ke=me.config,Me={...process.env,...me.config.userEnv}):(ke=this.environmentMainService.args,Me=process.env),w.resolveShellEnv(this.logService,ke,Me)}),D.ipcMain.handle("vscode:writeNlsFile",(pe,me,ke)=>{const Me=this.validateNlsPath([me]);if(!Me||typeof ke!="string")throw new Error("Invalid operation (vscode:writeNlsFile)");return this.fileService.writeFile(Me,it.VSBuffer.fromString(ke))}),D.ipcMain.handle("vscode:readNlsFile",async(pe,...me)=>{const ke=this.validateNlsPath(me);if(!ke)throw new Error("Invalid operation (vscode:readNlsFile)");return(await this.fileService.readFile(ke)).value.toString()}),D.ipcMain.on("vscode:toggleDevTools",pe=>pe.sender.toggleDevTools()),D.ipcMain.on("vscode:openDevTools",pe=>pe.sender.openDevTools()),D.ipcMain.on("vscode:reloadWindow",pe=>pe.sender.reload())}validateNlsPath(le){let ge;for(const pe of le)typeof pe=="string"&&(typeof ge!="string"?ge=pe:ge=K.join(ge,pe));if(!(typeof ge!="string"||!K.isAbsolute(ge)||!Ge.isEqualOrParent(ge,this.environmentMainService.cachedLanguagesPath,!S.isLinux)))return ee.URI.file(ge)}onUnexpectedError(le){if(le){const ge={message:`[uncaught exception in main]: ${le.message}`,stack:le.stack};this.windowsMainService?.sendToFocused("vscode:reportError",JSON.stringify(ge))}this.logService.error(`[uncaught exception in main]: ${le}`),le.stack&&this.logService.error(le.stack)}async startup(){this.logService.debug("Starting VS Code"),this.logService.debug(`from: ${this.environmentMainService.appRoot}`),this.logService.debug("args:",this.environmentMainService.args);const le=this.productService.win32AppUserModelId;S.isWindows&&le&&D.app.setAppUserModelId(le);try{S.isMacintosh&&this.configurationService.getValue("window.nativeTabs")===!0&&!D.systemPreferences.getUserDefault("NSUseImprovedLayoutPass","boolean")&&D.systemPreferences.setUserDefault("NSUseImprovedLayoutPass","boolean",!0)}catch(Ae){this.logService.error(Ae)}const ge=new P.Server;this.logService.trace("Resolving machine identifier...");const pe=await this.resolveMachineId();this.logService.trace(`Resolved machine identifier: ${pe}`);const{sharedProcess:me,sharedProcessReady:ke,sharedProcessClient:Me}=this.setupSharedProcess(pe),De=await this.initServices(pe,me,ke);if(this.environmentMainService.driverHandle){const Ae=await O.serve(ge,this.environmentMainService.driverHandle,this.environmentMainService,De);this.logService.info("Driver started at:",this.environmentMainService.driverHandle),this._register(Ae)}this._register(De.createInstance(W.ProxyAuthHandler)),De.invokeFunction(Ae=>this.initChannels(Ae,ge,Me));const Re=De.invokeFunction(Ae=>this.openFirstWindow(Ae,ge));De.invokeFunction(Ae=>this.afterWindowOpen(Ae,me)),this.environmentMainService.args.trace&&De.invokeFunction(Ae=>this.stopTracingEventually(Ae,Re))}async resolveMachineId(){let le=this.stateMainService.getItem(a.machineIdKey);return(!le||S.isMacintosh&&le==="6c9d2bc8f91b89624add29c0abeae7fb42bf539fa1cdb2e3e57cd668fa9bcead")&&(le=await Q.getMachineId(),this.stateMainService.setItem(a.machineIdKey,le)),le}setupSharedProcess(le){const ge=this._register(this.mainInstantiationService.createInstance(d.SharedProcess,le,this.userEnv)),pe=(async()=>{this.logService.trace("Main->SharedProcess#connect");const ke=await ge.connect();return this.logService.trace("Main->SharedProcess#connect: connection established"),new y.Client(ke,"main")})(),me=(async()=>(await ge.whenReady(),pe))();return{sharedProcess:ge,sharedProcessReady:me,sharedProcessClient:pe}}async initServices(le,ge,pe){const me=new I.ServiceCollection;switch(process.platform){case"win32":me.set(v.IUpdateService,new l.SyncDescriptor(C.Win32UpdateService));break;case"linux":S.isLinuxSnap?me.set(v.IUpdateService,new l.SyncDescriptor(ne.SnapUpdateService,[process.env.SNAP,process.env.SNAP_REVISION])):me.set(v.IUpdateService,new l.SyncDescriptor(B.LinuxUpdateService));break;case"darwin":me.set(v.IUpdateService,new l.SyncDescriptor(U.DarwinUpdateService));break}me.set(V.IWindowsMainService,new l.SyncDescriptor(E.WindowsMainService,[le,this.userEnv])),me.set(we.IDialogMainService,new l.SyncDescriptor(we.DialogMainService)),me.set(m.ILaunchMainService,new l.SyncDescriptor(m.LaunchMainService)),me.set(be.IDiagnosticsService,b.ProxyChannel.toService(b.getDelayedChannel(pe.then(Me=>Me.getChannel("diagnostics"))))),me.set($.IIssueMainService,new l.SyncDescriptor($.IssueMainService,[this.userEnv])),me.set(Ne.IEncryptionMainService,new l.SyncDescriptor(Ne.EncryptionMainService,[le])),me.set(Ze.IKeyboardLayoutMainService,new l.SyncDescriptor(Ze.KeyboardLayoutMainService)),me.set(ye.INativeHostMainService,new l.SyncDescriptor(ye.NativeHostMainService,[ge])),me.set(Ue.IWebviewManagerService,new l.SyncDescriptor(Oe.WebviewMainService)),me.set(q.IWorkspacesService,new l.SyncDescriptor(x.WorkspacesMainService)),me.set(ve.IWorkspacesManagementMainService,new l.SyncDescriptor(ve.WorkspacesManagementMainService)),me.set(ce.IWorkspacesHistoryMainService,new l.SyncDescriptor(ce.WorkspacesHistoryMainService)),me.set(A.IMenubarMainService,new l.SyncDescriptor(A.MenubarMainService)),me.set(nt.IExtensionUrlTrustService,new l.SyncDescriptor(rt.ExtensionUrlTrustService)),me.set(se.IStorageMainService,new l.SyncDescriptor(se.StorageMainService)),S.isWindows?me.set(ae.IExternalTerminalMainService,new l.SyncDescriptor(fe.WindowsExternalTerminalService)):S.isMacintosh?me.set(ae.IExternalTerminalMainService,new l.SyncDescriptor(fe.MacExternalTerminalService)):S.isLinux&&me.set(ae.IExternalTerminalMainService,new l.SyncDescriptor(fe.LinuxExternalTerminalService));const ke=new de.BackupMainService(this.environmentMainService,this.configurationService,this.logService);if(me.set(re.IBackupMainService,ke),me.set(s.IURLService,new l.SyncDescriptor(Ie.NativeURLService)),!this.environmentMainService.isExtensionDevelopment&&!this.environmentMainService.args["disable-telemetry"]&&!!this.productService.enableTelemetry){const Me=b.getDelayedChannel(pe.then(He=>He.getChannel("telemetryAppender"))),De=new p.TelemetryAppenderClient(Me),Re=L.resolveCommonProperties(this.fileService,g.release(),g.hostname(),process.arch,this.productService.commit,this.productService.version,le,this.productService.msftInternalDomains,this.environmentMainService.installSourcePath),Ae=[this.environmentMainService.appRoot,this.environmentMainService.extensionsPath],Ce={appender:De,commonProperties:Re,piiPaths:Ae,sendErrorTelemetry:!0};me.set(a.ITelemetryService,new l.SyncDescriptor(f.TelemetryService,[Ce]))}else me.set(a.ITelemetryService,u.NullTelemetryService);return await ke.initialize(),this.mainInstantiationService.createChild(me)}initChannels(le,ge,pe){const me=b.ProxyChannel.fromService(le.get(m.ILaunchMainService),{disableMarshalling:!0});this.mainProcessNodeIpcServer.registerChannel("launch",me),ge.registerChannel(Se.UserConfigurationFileServiceId,b.ProxyChannel.fromService(new Se.UserConfigurationFileService(this.environmentMainService,this.fileService,this.logService)));const ke=new i.UpdateChannel(le.get(v.IUpdateService));ge.registerChannel("update",ke);const Me=b.ProxyChannel.fromService(le.get($.IIssueMainService));ge.registerChannel("issue",Me);const De=b.ProxyChannel.fromService(le.get(Ne.IEncryptionMainService));ge.registerChannel("encryption",De);const Re=b.ProxyChannel.fromService(le.get(oe.ISignService));ge.registerChannel("sign",Re);const Ae=b.ProxyChannel.fromService(le.get(Ze.IKeyboardLayoutMainService));ge.registerChannel("keyboardLayout",Ae),this.nativeHostMainService=le.get(ye.INativeHostMainService);const Ce=b.ProxyChannel.fromService(this.nativeHostMainService);ge.registerChannel("nativeHost",Ce),pe.then(Be=>Be.registerChannel("nativeHost",Ce));const He=b.ProxyChannel.fromService(le.get(q.IWorkspacesService));ge.registerChannel("workspaces",He);const Ke=b.ProxyChannel.fromService(le.get(A.IMenubarMainService));ge.registerChannel("menubar",Ke);const ut=b.ProxyChannel.fromService(le.get(s.IURLService));ge.registerChannel("url",ut);const ht=b.ProxyChannel.fromService(le.get(nt.IExtensionUrlTrustService));ge.registerChannel("extensionUrlTrust",ht);const _e=b.ProxyChannel.fromService(le.get(Ue.IWebviewManagerService));ge.registerChannel("webview",_e);const xe=this._register(new he.StorageDatabaseChannel(this.logService,le.get(se.IStorageMainService)));ge.registerChannel("storage",xe),pe.then(Be=>Be.registerChannel("storage",xe));const et=b.ProxyChannel.fromService(le.get(ae.IExternalTerminalMainService));ge.registerChannel("externalTerminal",et);const Ye=new F.LogLevelChannel(le.get(h.ILogService));ge.registerChannel("logLevel",Ye),pe.then(Be=>Be.registerChannel("logLevel",Ye));const tt=new F.LoggerChannel(le.get(h.ILoggerService));ge.registerChannel("logger",tt),pe.then(Be=>Be.registerChannel("logger",tt));const st=new Te.ElectronExtensionHostDebugBroadcastChannel(le.get(V.IWindowsMainService));ge.registerChannel("extensionhostdebugservice",st)}openFirstWindow(le,ge){const pe=this.windowsMainService=le.get(V.IWindowsMainService),me=le.get(s.IURLService),ke=le.get(ye.INativeHostMainService);this.lifecycleMainService.phase=2;const Me=[],De=[...this.environmentMainService.args["open-url"]?this.environmentMainService.args._urls||[]:[],...global.getOpenUrls()||[]].map(We=>{try{return{uri:ee.URI.parse(We),url:We}}catch{return}}).filter(We=>{if(!We||this.shouldBlockURI(We.uri))return!1;const Xe=this.getWindowOpenableFromProtocolLink(We.uri);return Xe?(Me.push(Xe),!1):!0}),Re=this,Ae=this.environmentMainService,Ce=this.productService;me.registerHandler({async handleURL(We,Xe){if(We.scheme===Ce.urlProtocol&&We.path==="workspace"&&(We=We.with({authority:"file",path:ee.URI.parse(We.query).path,query:""})),Re.shouldBlockURI(We))return!0;const vt=Re.getWindowOpenableFromProtocolLink(We);if(vt){const[ft]=pe.open({context:5,cli:{...Ae.args},urisToOpen:[vt],gotoLineMode:!0});return ft.focus(),!0}if(S.isMacintosh&&pe.getWindowCount()===0){const[ft]=pe.open({context:5,cli:{...Ae.args},forceEmpty:!0,gotoLineMode:!0,remoteAuthority:ie.getRemoteAuthority(We)});return await ft.ready(),me.open(We,Xe)}return!1}});const He=this._register(new lt.ActiveWindowManager({onDidOpenWindow:ke.onDidOpenWindow,onDidFocusWindow:ke.onDidFocusWindow,getActiveWindowId:()=>ke.getActiveWindowId(-1)})),Ke=new b.StaticRouter(We=>He.getActiveClientId().then(Xe=>We===Xe)),ut=new r.URLHandlerRouter(Ke),ht=ge.getChannel("urlHandler",ut);me.registerHandler(new r.URLHandlerChannelClient(ht)),this._register(new _.ElectronURLListener(De,me,pe,this.environmentMainService,this.productService));const _e=this.environmentMainService.args,xe=global.macOpenFiles,et=ct.isLaunchedFromCli(process.env)?0:4,Ye=_e._.length,tt=!!_e["folder-uri"],st=!!_e["file-uri"],Be=_e["skip-add-to-recently-opened"]===!0,dt=_e.wait&&_e.waitMarkerFilePath?ee.URI.file(_e.waitMarkerFilePath):void 0,pt=_e.remote||void 0;return Me.length>0?pe.open({context:et,cli:_e,urisToOpen:Me,gotoLineMode:!0,initialStartup:!0}):_e["new-window"]&&!Ye&&!tt&&!st?pe.open({context:et,cli:_e,forceNewWindow:!0,forceEmpty:!0,noRecentEntry:Be,waitMarkerFileURI:dt,initialStartup:!0,remoteAuthority:pt}):xe.length&&!Ye&&!tt&&!st?pe.open({context:1,cli:_e,urisToOpen:xe.map(We=>this.getWindowOpenableFromPathSync(We)),noRecentEntry:Be,waitMarkerFileURI:dt,initialStartup:!0}):pe.open({context:et,cli:_e,forceNewWindow:_e["new-window"]||!Ye&&_e["unity-launch"],diffMode:_e.diff,noRecentEntry:Be,waitMarkerFileURI:dt,gotoLineMode:_e.goto,initialStartup:!0,remoteAuthority:pt})}shouldBlockURI(le){return!!(le.authority===X.Schemas.file&&S.isWindows&&D.dialog.showMessageBoxSync({title:this.productService.nameLong,type:"question",buttons:[Le.mnemonicButtonLabel(G.localize(0,null)),Le.mnemonicButtonLabel(G.localize(1,null))],defaultId:0,cancelId:1,message:G.localize(2,null,Le.getPathLabel(le.fsPath,this.environmentMainService),this.productService.nameShort),detail:G.localize(3,null),noLink:!0})===1)}getWindowOpenableFromProtocolLink(le){if(!!le.path){if(le.authority===X.Schemas.file)return{fileUri:ee.URI.file(le.fsPath)};if(le.authority===X.Schemas.vscodeRemote){const ge=le.path.indexOf(K.posix.sep,1);if(ge!==-1){const pe=le.path.substring(1,ge),me=le.path.substring(ge),ke=ee.URI.from({scheme:X.Schemas.vscodeRemote,authority:pe,path:me,query:le.query,fragment:le.fragment});return q.hasWorkspaceFileExtension(me)?{workspaceUri:ke}:/:[\d]+$/.test(me)?{fileUri:ke}:{folderUri:ke}}}}}getWindowOpenableFromPathSync(le){try{if(M.statSync(le).isDirectory())return{folderUri:ee.URI.file(le)};if(q.hasWorkspaceFileExtension(le))return{workspaceUri:ee.URI.file(le)}}catch(ge){}return{fileUri:ee.URI.file(le)}}async afterWindowOpen(le,ge){this.lifecycleMainService.phase=3;let pe=!1;H.once(this.lifecycleMainService.onWillShutdown)(()=>pe=!0);const me=le.get(a.ITelemetryService);this._register(ge.onDidError(({type:De,details:Re})=>{let Ae;switch(De){case 1:Ae="SharedProcess: detected unresponsive window";break;case 2:Ae=`SharedProcess: crashed (detail: ${Re?.reason??"<unknown>"}, code: ${Re?.exitCode??"<unknown>"})`;break;case 3:Ae=`SharedProcess: failed to load (detail: ${Re?.reason??"<unknown>"}, code: ${Re?.exitCode??"<unknown>"})`;break}R.onUnexpectedError(new Error(Ae)),me.publicLog2("sharedprocesserror",{type:De,reason:Re?.reason,code:Re?.exitCode,visible:ge.isVisible(),shuttingdown:pe})}));const ke=this.productService.win32MutexName;if(S.isWindows&&ke)try{const De=j.__$__nodeRequire("windows-mutex").Mutex,Re=new De(ke);H.once(this.lifecycleMainService.onWillShutdown)(()=>Re.release())}catch(De){this.logService.error(De)}D.protocol.registerHttpProtocol(X.Schemas.vscodeRemoteResource,(De,Re)=>{Re({url:De.url.replace(/^vscode-remote-resource:/,"http:"),method:De.method})});const Me=le.get(v.IUpdateService);(Me instanceof C.Win32UpdateService||Me instanceof B.LinuxUpdateService||Me instanceof U.DarwinUpdateService)&&Me.initialize(),w.resolveShellEnv(this.logService,this.environmentMainService.args,process.env);try{const Re=(await this.fileService.readFile(this.environmentMainService.argvResource)).value.toString();if(JSON.parse(Je.stripComments(Re))["enable-crash-reporter"]===void 0){const Ce=this.configurationService.getValue("telemetry.enableCrashReporter")??!0,He=["","	// Allows to disable crash reporting.","	// Should restart the app if the value is changed.",`	"enable-crash-reporter": ${Ce},`,"","	// Unique id used for correlating crash reports sent from this instance.","	// Do not edit this value.",`	"crash-reporter-id": "${$e.generateUuid()}"`,"}"],Ke=Re.substring(0,Re.length-2).concat(`,
`,He.join(`
`));await this.fileService.writeFile(this.environmentMainService.argvResource,it.VSBuffer.fromString(Ke))}}catch(De){this.logService.error(De)}}stopTracingEventually(le,ge){this.logService.info("Tracing: waiting for windows to get ready...");const pe=le.get(we.IDialogMainService);let me=!1;const ke=async De=>{if(me)return;me=!0;const Re=await D.contentTracing.stopRecording(Y.joinPath(this.environmentMainService.userHome,`${this.productService.applicationName}-${Math.random().toString(16).slice(-4)}.trace.txt`).fsPath);De?this.logService.info(`Tracing: data recorded (after 30s timeout) to ${Re}`):pe.showMessageBox({title:this.productService.nameLong,type:"info",message:G.localize(4,null),detail:G.localize(5,null,Re),buttons:[Le.mnemonicButtonLabel(G.localize(6,null))],defaultId:0,noLink:!0},Ee.withNullAsUndefined(D.BrowserWindow.getFocusedWindow()))},Me=setTimeout(()=>ke(!0),3e4);Promise.all(ge.map(De=>De.ready())).then(()=>{clearTimeout(Me),ke(!1)})}};Pe=ue([te(2,k.IInstantiationService),te(3,h.ILogService),te(4,c.IEnvironmentMainService),te(5,n.ILifecycleMainService),te(6,t.IConfigurationService),te(7,o.IStateMainService),te(8,qe.IFileService),te(9,T.IProductService)],Pe),e.CodeApplication=Pe}),define(J[242],Z([0,1,14,29,18,11,3,72,49,54,162,22,34,56,175,71,69,6,225,39,21,190,51,223,238,31,94,93,16,60,43,75,196,199,184,185,10,19,74,221,20,30,23,8,36,24,67,97,182,33,55,187,9,205]),function(j,e,g,M,D,S,E,n,w,v,i,b,P,y,d,m,k,I,l,h,o,c,t,s,r,a,u,p,f,L,T,W,N,V,ee,q,x,Q,C,B,U,$,F,R,_,O,A,z,K,Y,G,X,ne){"use strict";Object.defineProperty(e,"__esModule",{value:!0});class se{main(){try{this.startup()}catch(re){console.error(re.message),g.app.exit(1)}}async startup(){f.setUnexpectedErrorHandler(we=>console.error(we));const[re,ce,Ie,ve,be,Te,ye]=this.createServices();try{try{await this.initServices(Ie,ve,be)}catch(we){throw this.handleStartupDataDirError(Ie,ye.nameLong,we),we}await re.invokeFunction(async we=>{const Ee=we.get(I.ILogService),Le=we.get(b.ILifecycleMainService),Oe=we.get(Q.IFileService),Ue=await this.claimInstance(Ee,Ie,Le,re,ye,!0);return Te.logger=new u.SpdLogLogger("main",R.join(Ie.logsPath,"main.log"),!0,Te.getLevel()),T.once(Le.onWillShutdown)(()=>{Oe.dispose(),ve.dispose()}),re.createInstance(r.CodeApplication,Ue,ce).startup()})}catch(we){re.invokeFunction(this.quit,we)}}createServices(){const re=new m.ServiceCollection,ce={_serviceBrand:void 0,...w.default};re.set(U.IProductService,ce);const Ie=new O.EnvironmentMainService(this.resolveArgs(),ce),ve=this.patchEnvironment(Ie);re.set(O.IEnvironmentMainService,Ie);const be=new p.BufferLogService,Te=new I.MultiplexLogService([new I.ConsoleMainLogger(I.getLogLevel(Ie)),be]);process.once("exit",()=>Te.dispose()),re.set(I.ILogService,Te);const ye=new ee.FileService(Te);re.set(Q.IFileService,ye);const we=new q.DiskFileSystemProvider(Te);ye.registerProvider(x.Schemas.file,we),re.set(I.ILoggerService,new K.LoggerService(Te,ye));const Ee=new c.ConfigurationService(Ie.settingsResource,ye);re.set(o.IConfigurationService,Ee),re.set(b.ILifecycleMainService,new k.SyncDescriptor(b.LifecycleMainService));const Le=new l.StateMainService(Ie,Te,ye);return re.set(h.IStateMainService,Le),re.set(t.IRequestService,new k.SyncDescriptor(s.RequestMainService)),re.set(L.IThemeMainService,new k.SyncDescriptor(L.ThemeMainService)),re.set(W.ISignService,new k.SyncDescriptor(N.SignService)),re.set(C.ITunnelService,new k.SyncDescriptor(B.TunnelService)),re.set(G.IProtocolMainService,new k.SyncDescriptor(X.ProtocolMainService)),[new d.InstantiationService(re,!0),ve,Ie,Ee,Le,be,ce]}patchEnvironment(re){const ce={VSCODE_IPC_HOOK:re.mainIPCHandle};return["VSCODE_NLS_CONFIG","VSCODE_PORTABLE"].forEach(Ie=>{const ve=process.env[Ie];typeof ve=="string"&&(ce[Ie]=ve)}),Object.assign(process.env,ce),ce}initServices(re,ce,Ie){return ne.Promises.settled([Promise.all([re.extensionsPath,re.codeCachePath,re.logsPath,re.globalStorageHome.fsPath,re.workspaceStorageHome.fsPath,re.backupHome].map(ve=>ve?D.Promises.mkdir(ve,{recursive:!0}):void 0)),ce.initialize(),Ie.init()])}async claimInstance(re,ce,Ie,ve,be,Te){let ye;try{n.mark("code/willStartMainServer"),ye=await y.serve(ce.mainIPCHandle),n.mark("code/didStartMainServer"),T.once(Ie.onWillShutdown)(()=>ye.dispose())}catch(we){if(we.code!=="EADDRINUSE")throw this.handleStartupDataDirError(ce,be.nameLong,we),we;let Ee;try{Ee=await y.connect(ce.mainIPCHandle,"main")}catch(Ue){if(!Te||E.isWindows||Ue.code!=="ECONNREFUSED")throw Ue.code==="EPERM"&&this.showStartupWarningDialog(S.localize(0,null,be.nameShort),S.localize(1,null),be.nameLong),Ue;try{M.unlinkSync(ce.mainIPCHandle)}catch(qe){throw re.warn("Could not delete obsolete instance handle",qe),qe}return this.claimInstance(re,ce,Ie,ve,be,!1)}if(ce.extensionTestsLocationURI&&!ce.debugExtensionHost.break){const Ue="Running extension tests from the command line is currently only supported if no other instance of Code is running.";throw re.error(Ue),Ee.dispose(),new Error(Ue)}let Le;!ce.args.wait&&!ce.args.status&&(Le=setTimeout(()=>{this.showStartupWarningDialog(S.localize(2,null,be.nameShort),S.localize(3,null),be.nameLong)},1e4));const Oe=P.ProxyChannel.toService(Ee.getChannel("launch"),{disableMarshalling:!0});if(ce.args.status)return ve.invokeFunction(async()=>{const Ue=new V.DiagnosticsService(z.NullTelemetryService,be),qe=await Oe.getMainProcessInfo(),Je=await Oe.getRemoteDiagnostics({includeProcesses:!0,includeWorkspaceMetadata:!0}),$e=await Ue.getDiagnostics(qe,Je);throw console.log($e),new f.ExpectedError});throw E.isWindows&&await this.windowsAllowSetForegroundWindow(Oe,re),re.trace("Sending env to running instance..."),await Oe.start(ce.args,process.env),Ee.dispose(),Le&&clearTimeout(Le),new f.ExpectedError("Sent env to running instance. Terminating...")}if(ce.args.status)throw re.warn("Warning: The --status argument can only be used if Code is already running. Please run it again after Code has started."),new f.ExpectedError("Terminating...");return process.env.VSCODE_PID=String(process.pid),ye}handleStartupDataDirError(re,ce,Ie){if(Ie.code==="EACCES"||Ie.code==="EPERM"){const ve=_.coalesce([re.userDataPath,re.extensionsPath,y.XDG_RUNTIME_DIR]).map(be=>a.getPathLabel(be,re));this.showStartupWarningDialog(S.localize(4,null),S.localize(5,null,A.toErrorMessage(Ie),ve.join(`
`)),ce)}}showStartupWarningDialog(re,ce,Ie){g.dialog.showMessageBoxSync({title:Ie,type:"warning",buttons:[a.mnemonicButtonLabel(S.localize(6,null))],message:re,detail:ce,defaultId:0,noLink:!0})}async windowsAllowSetForegroundWindow(re,ce){if(E.isWindows){const Ie=await re.getMainProcessId();ce.trace("Sending some foreground love to the running instance:",Ie);try{(await new Promise((ve,be)=>{j(["windows-foreground-love"],ve,be)})).allowSetForegroundWindow(Ie)}catch(ve){ce.error(ve)}}}quit(re,ce){const Ie=re.get(I.ILogService),ve=re.get(b.ILifecycleMainService);let be=0;ce&&(ce.isExpected?ce.message&&Ie.trace(ce.message):(be=1,ce.stack?Ie.error(ce.stack):Ie.error(`Startup error: ${ce.toString()}`))),ve.kill(be)}resolveArgs(){const re=this.validatePaths(v.parseMainProcessArgv(process.argv));if(re.wait&&!re.waitMarkerFilePath){const ce=i.createWaitMarkerFile(re.verbose);ce&&(v.addArg(process.argv,"--waitMarkerFilePath",ce),re.waitMarkerFilePath=ce)}return re}validatePaths(re){if(re["open-url"]&&(re._urls=re._,re._=[]),!re.remote){const ce=this.doValidatePaths(re._,re.goto);re._=ce}return re}doValidatePaths(re,ce){const Ie=Y.cwd(),ve=re.map(ye=>{let we=String(ye),Ee;ce&&(Ee=$.parseLineAndColumnAware(we),we=Ee.path),we&&(we=this.preparePath(Ie,we));const Le=$.sanitizeFilePath(we,Ie),Oe=R.basename(Le);return Oe&&!$.isValidBasename(Oe)?null:ce&&Ee?(Ee.path=Le,this.toPath(Ee)):Le}),be=E.isWindows||E.isMacintosh,Te=_.distinct(ve,ye=>ye&&be?ye.toLowerCase():ye||"");return _.coalesce(Te)}preparePath(re,ce){return E.isWindows&&(ce=F.rtrim(ce,'"')),ce=F.trim(F.trim(ce," "),"	"),E.isWindows&&(ce=R.resolve(re,ce),ce=F.rtrim(ce,".")),ce}toPath(re){const ce=[re.path];return typeof re.line=="number"&&ce.push(String(re.line)),typeof re.column=="number"&&ce.push(String(re.column)),ce.join(":")}}new se().main()})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/c3f126316369cd610563c75b1b1725e0679adfb3/core/vs/code/electron-main/main.js.map
