/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var Z=["require","exports","vs/base/common/lifecycle","vs/base/common/path","vs/base/common/async","vs/nls","vs/nls!vs/code/node/cliProcessMain","vs/base/common/uri","vs/base/common/network","vs/base/node/pfs","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/base/common/errors","vs/base/common/types","vs/base/common/platform","vs/platform/log/common/log","vs/base/common/buffer","vs/platform/files/common/files","vs/base/common/strings","vs/base/common/objects","vs/base/common/resources","vs/platform/environment/common/environment","vs/base/common/arrays","vs/platform/extensionManagement/common/extensionManagement","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/registry/common/platform","vs/base/common/cancellation","vs/platform/configuration/common/configuration","vs/base/common/errorMessage","vs/base/common/uuid","vs/platform/configuration/common/configurationRegistry","os","child_process","vs/base/common/process","vs/base/common/stream","vs/base/common/extpath","fs","vs/base/parts/ipc/common/ipc","vs/platform/extensions/common/extensions","vs/base/common/semver/semver","vs/platform/product/common/product","vs/platform/product/common/productService","vs/platform/telemetry/common/telemetry","vs/base/node/zip","vs/base/common/decorators","vs/base/common/map","vs/base/node/decoder","vs/base/node/processes","vs/base/parts/ipc/node/ipc.cp","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/descriptors","vs/platform/files/node/watcher/watcher","vs/platform/instantiation/common/serviceCollection","vs/platform/localizations/common/localizations","vs/platform/files/common/io","vs/platform/request/common/request","vs/platform/telemetry/common/telemetryUtils","vs/base/common/assert","vs/base/common/json","vs/base/common/console","vs/base/common/marshalling","vs/base/common/glob","vs/base/common/labels","vs/base/node/extpath","vs/base/node/powershell","vs/base/node/watcher","vs/base/parts/storage/common/storage","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/nls!vs/base/node/zip","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/common/extensionManagementCLIService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensionManagement/node/extensionsScanner","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/telemetry/common/telemetryService","vs/platform/environment/common/environmentService","vs/platform/environment/node/userDataPath","path","vs/platform/environment/node/environmentService","vs/platform/extensionManagement/common/extensionNls","vs/platform/files/node/watcher/nsfw/watcherService","vs/platform/files/node/watcher/unix/watcherService","vs/platform/files/node/watcher/win32/csharpWatcherService","vs/platform/files/node/watcher/win32/watcherService","vs/platform/instantiation/common/graph","vs/platform/download/common/download","vs/platform/extensionManagement/common/extensionManagementCLIService","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/environment/node/shellEnv","vs/platform/files/node/watcher/nodejs/watcherService","vs/platform/instantiation/common/instantiationService","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/extensionManagement/node/extensionsWatcher","vs/platform/localizations/node/localizations","vs/platform/log/node/spdlogLog","vs/platform/files/common/fileService","vs/platform/files/node/diskFileSystemProvider","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/configuration/common/configurationService","vs/platform/request/node/proxy","url","vs/platform/serviceMachineId/common/serviceMachineId","vs/platform/storage/common/storage","vs/platform/telemetry/common/commonProperties","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/telemetry/common/telemetryService","vs/platform/telemetry/node/appInsightsAppender","vs/platform/telemetry/node/telemetry","vs/platform/extensionManagement/node/extensionManagementUtil","vs/platform/extensionManagement/node/extensionsScanner","vs/platform/extensionManagement/node/extensionManagementService","vs/platform/request/node/requestService","string_decoder","vs/base/common/normalization","vs/platform/environment/node/argvHelper","crypto","vs/base/common/performance","vs/base/common/iterator","yauzl","yazl","zlib","vs/code/node/cliProcessMain","graceful-fs"],te=function(_){for(var t=[],m=0,F=_.length;m<F;m++)t[m]=Z[_[m]];return t};define(Z[57],te([0,1]),function(_,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ok=void 0;function m(F,D){if(!F)throw new Error(D?`Assertion failed (${D})`:"Assertion Failed")}t.ok=m}),define(Z[44],te([0,1]),function(_,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.throttle=t.debounce=t.memoize=t.createDecorator=void 0;function m(O){return(T,u,d)=>{let w=null,y=null;if(typeof d.value=="function"?(w="value",y=d.value):typeof d.get=="function"&&(w="get",y=d.get),!y)throw new Error("not supported");d[w]=O(y,u)}}t.createDecorator=m;function F(O,T,u){let d=null,w=null;if(typeof u.value=="function"?(d="value",w=u.value,w.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof u.get=="function"&&(d="get",w=u.get),!w)throw new Error("not supported");const y=`$memoize$${T}`;u[d]=function(...b){return this.hasOwnProperty(y)||Object.defineProperty(this,y,{configurable:!1,enumerable:!1,writable:!1,value:w.apply(this,b)}),this[y]}}t.memoize=F;function D(O,T,u){return m((d,w)=>{const y=`$debounce$${w}`,b=`$debounce$result$${w}`;return function(...k){this[b]||(this[b]=u?u():void 0),clearTimeout(this[y]),T&&(this[b]=T(this[b],...k),k=[this[b]]),this[y]=setTimeout(()=>{d.apply(this,k),this[b]=u?u():void 0},O)}})}t.debounce=D;function C(O,T,u){return m((d,w)=>{const y=`$throttle$timer$${w}`,b=`$throttle$result$${w}`,k=`$throttle$lastRun$${w}`,c=`$throttle$pending$${w}`;return function(...h){if(this[b]||(this[b]=u?u():void 0),(this[k]===null||this[k]===void 0)&&(this[k]=-Number.MAX_VALUE),T&&(this[b]=T(this[b],...h)),this[c])return;const S=this[k]+O;S<=Date.now()?(this[k]=Date.now(),d.apply(this,[this[b]]),this[b]=u?u():void 0):(this[c]=!0,this[y]=setTimeout(()=>{this[c]=!1,this[k]=Date.now(),d.apply(this,[this[b]]),this[b]=u?u():void 0},S-Date.now()))}})}t.throttle=C}),define(Z[22],te([0,1,12]),function(_,t,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ArrayQueue=t.maxIndex=t.minIndex=t.mapFind=t.getRandomElement=t.asArray=t.mapArrayOrNot=t.pushToEnd=t.pushToStart=t.shuffle=t.arrayInsert=t.remove=t.insert=t.index=t.range=t.flatten=t.commonPrefixLength=t.firstOrDefault=t.lastIndex=t.uniqueFilter=t.distinctES6=t.distinct=t.isNonEmptyArray=t.isFalsyOrEmpty=t.move=t.coalesceInPlace=t.coalesce=t.topAsync=t.top=t.delta=t.sortedDiff=t.groupBy=t.quickSelect=t.findFirstInSorted=t.binarySearch=t.equals=t.tail2=t.tail=void 0;function F(l,a=0){return l[l.length-(1+a)]}t.tail=F;function D(l){if(l.length===0)throw new Error("Invalid tail call");return[l.slice(0,l.length-1),l[l.length-1]]}t.tail2=D;function C(l,a,g=(E,L)=>E===L){if(l===a)return!0;if(!l||!a||l.length!==a.length)return!1;for(let E=0,L=l.length;E<L;E++)if(!g(l[E],a[E]))return!1;return!0}t.equals=C;function O(l,a,g){let E=0,L=l.length-1;for(;E<=L;){const N=(E+L)/2|0,V=g(l[N],a);if(V<0)E=N+1;else if(V>0)L=N-1;else return N}return-(E+1)}t.binarySearch=O;function T(l,a){let g=0,E=l.length;if(E===0)return 0;for(;g<E;){const L=Math.floor((g+E)/2);a(l[L])?E=L:g=L+1}return g}t.findFirstInSorted=T;function u(l,a,g){if(l=l|0,l>=a.length)throw new TypeError("invalid index");let E=a[Math.floor(a.length*Math.random())],L=[],N=[],V=[];for(let j of a){const W=g(j,E);W<0?L.push(j):W>0?N.push(j):V.push(j)}return l<L.length?u(l,L,g):l<L.length+V.length?V[0]:u(l-(L.length+V.length),N,g)}t.quickSelect=u;function d(l,a){const g=[];let E;for(const L of l.slice(0).sort(a))!E||a(E[0],L)!==0?(E=[L],g.push(E)):E.push(L);return g}t.groupBy=d;function w(l,a,g){const E=[];function L(j,W,$){if(W===0&&$.length===0)return;const X=E[E.length-1];X&&X.start+X.deleteCount===j?(X.deleteCount+=W,X.toInsert.push(...$)):E.push({start:j,deleteCount:W,toInsert:$})}let N=0,V=0;for(;;){if(N===l.length){L(N,0,a.slice(V));break}if(V===a.length){L(N,l.length-N,[]);break}const j=l[N],W=a[V],$=g(j,W);$===0?(N+=1,V+=1):$<0?(L(N,1,[]),N+=1):$>0&&(L(N,0,[W]),V+=1)}return E}t.sortedDiff=w;function y(l,a,g){const E=w(l,a,g),L=[],N=[];for(const V of E)L.push(...l.slice(V.start,V.start+V.deleteCount)),N.push(...V.toInsert);return{removed:L,added:N}}t.delta=y;function b(l,a,g){if(g===0)return[];const E=l.slice(0,g).sort(a);return c(l,a,E,g,l.length),E}t.top=b;function k(l,a,g,E,L){return g===0?Promise.resolve([]):new Promise((N,V)=>{(async()=>{const j=l.length,W=l.slice(0,g).sort(a);for(let $=g,X=Math.min(g+E,j);$<j;$=X,X=Math.min(X+E,j)){if($>g&&await new Promise(J=>setTimeout(J)),L&&L.isCancellationRequested)throw m.canceled();c(l,a,W,$,X)}return W})().then(N,V)})}t.topAsync=k;function c(l,a,g,E,L){for(const N=g.length;E<L;E++){const V=l[E];if(a(V,g[N-1])<0){g.pop();const j=T(g,W=>a(V,W)<0);g.splice(j,0,V)}}}function h(l){return l.filter(a=>!!a)}t.coalesce=h;function S(l){let a=0;for(let g=0;g<l.length;g++)l[g]&&(l[a]=l[g],a+=1);l.length=a}t.coalesceInPlace=S;function R(l,a,g){l.splice(g,0,l.splice(a,1)[0])}t.move=R;function P(l){return!Array.isArray(l)||l.length===0}t.isFalsyOrEmpty=P;function v(l){return Array.isArray(l)&&l.length>0}t.isNonEmptyArray=v;function r(l,a){if(!a)return l.filter((E,L)=>l.indexOf(E)===L);const g=Object.create(null);return l.filter(E=>{const L=a(E);return g[L]?!1:(g[L]=!0,!0)})}t.distinct=r;function o(l){const a=new Set;return l.filter(g=>a.has(g)?!1:(a.add(g),!0))}t.distinctES6=o;function e(l){const a=Object.create(null);return g=>{const E=l(g);return a[E]?!1:(a[E]=!0,!0)}}t.uniqueFilter=e;function i(l,a){for(let g=l.length-1;g>=0;g--){const E=l[g];if(a(E))return g}return-1}t.lastIndex=i;function n(l,a){return l.length>0?l[0]:a}t.firstOrDefault=n;function s(l,a,g=(E,L)=>E===L){let E=0;for(let L=0,N=Math.min(l.length,a.length);L<N&&g(l[L],a[L]);L++)E++;return E}t.commonPrefixLength=s;function f(l){return[].concat(...l)}t.flatten=f;function p(l,a){let g=typeof a=="number"?l:0;typeof a=="number"?g=l:(g=0,a=l);const E=[];if(g<=a)for(let L=g;L<a;L++)E.push(L);else for(let L=g;L>a;L--)E.push(L);return E}t.range=p;function I(l,a,g){return l.reduce((E,L)=>(E[a(L)]=g?g(L):L,E),Object.create(null))}t.index=I;function U(l,a){return l.push(a),()=>A(l,a)}t.insert=U;function A(l,a){const g=l.indexOf(a);if(g>-1)return l.splice(g,1),a}t.remove=A;function M(l,a,g){const E=l.slice(0,a),L=l.slice(a);return E.concat(g,L)}t.arrayInsert=M;function x(l,a){let g;if(typeof a=="number"){let E=a;g=()=>{const L=Math.sin(E++)*179426549;return L-Math.floor(L)}}else g=Math.random;for(let E=l.length-1;E>0;E-=1){const L=Math.floor(g()*(E+1)),N=l[E];l[E]=l[L],l[L]=N}}t.shuffle=x;function q(l,a){const g=l.indexOf(a);g>-1&&(l.splice(g,1),l.unshift(a))}t.pushToStart=q;function Q(l,a){const g=l.indexOf(a);g>-1&&(l.splice(g,1),l.push(a))}t.pushToEnd=Q;function ie(l,a){return Array.isArray(l)?l.map(a):a(l)}t.mapArrayOrNot=ie;function re(l){return Array.isArray(l)?l:[l]}t.asArray=re;function ee(l){return l[Math.floor(Math.random()*l.length)]}t.getRandomElement=ee;function ae(l,a){for(const g of l){const E=a(g);if(E!==void 0)return E}}t.mapFind=ae;function H(l,a){let g=Number.MAX_SAFE_INTEGER,E=0;return l.forEach((L,N)=>{const V=a(L);V<g&&(g=V,E=N)}),E}t.minIndex=H;function B(l,a){let g=Number.MIN_SAFE_INTEGER,E=0;return l.forEach((L,N)=>{const V=a(L);V>g&&(g=V,E=N)}),E}t.maxIndex=B;class Y{constructor(a){this.items=a,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(a){let g=this.firstIdx;for(;g<this.items.length&&a(this.items[g]);)g++;const E=g===this.firstIdx?null:this.items.slice(this.firstIdx,g);return this.firstIdx=g,E}takeFromEndWhile(a){let g=this.lastIdx;for(;g>=0&&a(this.items[g]);)g--;const E=g===this.lastIdx?null:this.items.slice(g+1,this.lastIdx+1);return this.lastIdx=g,E}}t.ArrayQueue=Y}),define(Z[58],te([0,1]),function(_,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getNodeType=t.stripComments=t.visit=t.findNodeAtOffset=t.contains=t.getNodeValue=t.getNodePath=t.findNodeAtLocation=t.parseTree=t.parse=t.getLocation=t.createScanner=t.ParseOptions=t.ParseErrorCode=t.SyntaxKind=t.ScanError=void 0;var m;(function(e){e[e.None=0]="None",e[e.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",e[e.UnexpectedEndOfString=2]="UnexpectedEndOfString",e[e.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",e[e.InvalidUnicode=4]="InvalidUnicode",e[e.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",e[e.InvalidCharacter=6]="InvalidCharacter"})(m=t.ScanError||(t.ScanError={}));var F;(function(e){e[e.OpenBraceToken=1]="OpenBraceToken",e[e.CloseBraceToken=2]="CloseBraceToken",e[e.OpenBracketToken=3]="OpenBracketToken",e[e.CloseBracketToken=4]="CloseBracketToken",e[e.CommaToken=5]="CommaToken",e[e.ColonToken=6]="ColonToken",e[e.NullKeyword=7]="NullKeyword",e[e.TrueKeyword=8]="TrueKeyword",e[e.FalseKeyword=9]="FalseKeyword",e[e.StringLiteral=10]="StringLiteral",e[e.NumericLiteral=11]="NumericLiteral",e[e.LineCommentTrivia=12]="LineCommentTrivia",e[e.BlockCommentTrivia=13]="BlockCommentTrivia",e[e.LineBreakTrivia=14]="LineBreakTrivia",e[e.Trivia=15]="Trivia",e[e.Unknown=16]="Unknown",e[e.EOF=17]="EOF"})(F=t.SyntaxKind||(t.SyntaxKind={}));var D;(function(e){e[e.InvalidSymbol=1]="InvalidSymbol",e[e.InvalidNumberFormat=2]="InvalidNumberFormat",e[e.PropertyNameExpected=3]="PropertyNameExpected",e[e.ValueExpected=4]="ValueExpected",e[e.ColonExpected=5]="ColonExpected",e[e.CommaExpected=6]="CommaExpected",e[e.CloseBraceExpected=7]="CloseBraceExpected",e[e.CloseBracketExpected=8]="CloseBracketExpected",e[e.EndOfFileExpected=9]="EndOfFileExpected",e[e.InvalidCommentToken=10]="InvalidCommentToken",e[e.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",e[e.UnexpectedEndOfString=12]="UnexpectedEndOfString",e[e.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",e[e.InvalidUnicode=14]="InvalidUnicode",e[e.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",e[e.InvalidCharacter=16]="InvalidCharacter"})(D=t.ParseErrorCode||(t.ParseErrorCode={}));var C;(function(e){e.DEFAULT={allowTrailingComma:!0}})(C=t.ParseOptions||(t.ParseOptions={}));function O(e,i=!1){let n=0,s=e.length,f="",p=0,I=16,U=0;function A(ee){let ae=0,H=0;for(;ae<ee;){const B=e.charCodeAt(n);if(B>=48&&B<=57)H=H*16+B-48;else if(B>=65&&B<=70)H=H*16+B-65+10;else if(B>=97&&B<=102)H=H*16+B-97+10;else break;n++,ae++}return ae<ee&&(H=-1),H}function M(ee){n=ee,f="",p=0,I=16,U=0}function x(){const ee=n;if(e.charCodeAt(n)===48)n++;else for(n++;n<e.length&&d(e.charCodeAt(n));)n++;if(n<e.length&&e.charCodeAt(n)===46)if(n++,n<e.length&&d(e.charCodeAt(n)))for(n++;n<e.length&&d(e.charCodeAt(n));)n++;else return U=3,e.substring(ee,n);let ae=n;if(n<e.length&&(e.charCodeAt(n)===69||e.charCodeAt(n)===101))if(n++,(n<e.length&&e.charCodeAt(n)===43||e.charCodeAt(n)===45)&&n++,n<e.length&&d(e.charCodeAt(n))){for(n++;n<e.length&&d(e.charCodeAt(n));)n++;ae=n}else U=3;return e.substring(ee,ae)}function q(){let ee="",ae=n;for(;;){if(n>=s){ee+=e.substring(ae,n),U=2;break}const H=e.charCodeAt(n);if(H===34){ee+=e.substring(ae,n),n++;break}if(H===92){if(ee+=e.substring(ae,n),n++,n>=s){U=2;break}switch(e.charCodeAt(n++)){case 34:ee+='"';break;case 92:ee+="\\";break;case 47:ee+="/";break;case 98:ee+="\b";break;case 102:ee+="\f";break;case 110:ee+=`
`;break;case 114:ee+="\r";break;case 116:ee+="	";break;case 117:const Y=A(4);Y>=0?ee+=String.fromCharCode(Y):U=4;break;default:U=5}ae=n;continue}if(H>=0&&H<=31)if(u(H)){ee+=e.substring(ae,n),U=2;break}else U=6;n++}return ee}function Q(){if(f="",U=0,p=n,n>=s)return p=s,I=17;let ee=e.charCodeAt(n);if(T(ee)){do n++,f+=String.fromCharCode(ee),ee=e.charCodeAt(n);while(T(ee));return I=15}if(u(ee))return n++,f+=String.fromCharCode(ee),ee===13&&e.charCodeAt(n)===10&&(n++,f+=`
`),I=14;switch(ee){case 123:return n++,I=1;case 125:return n++,I=2;case 91:return n++,I=3;case 93:return n++,I=4;case 58:return n++,I=6;case 44:return n++,I=5;case 34:return n++,f=q(),I=10;case 47:const ae=n-1;if(e.charCodeAt(n+1)===47){for(n+=2;n<s&&!u(e.charCodeAt(n));)n++;return f=e.substring(ae,n),I=12}if(e.charCodeAt(n+1)===42){n+=2;const H=s-1;let B=!1;for(;n<H;){if(e.charCodeAt(n)===42&&e.charCodeAt(n+1)===47){n+=2,B=!0;break}n++}return B||(n++,U=1),f=e.substring(ae,n),I=13}return f+=String.fromCharCode(ee),n++,I=16;case 45:if(f+=String.fromCharCode(ee),n++,n===s||!d(e.charCodeAt(n)))return I=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return f+=x(),I=11;default:for(;n<s&&ie(ee);)n++,ee=e.charCodeAt(n);if(p!==n){switch(f=e.substring(p,n),f){case"true":return I=8;case"false":return I=9;case"null":return I=7}return I=16}return f+=String.fromCharCode(ee),n++,I=16}}function ie(ee){if(T(ee)||u(ee))return!1;switch(ee){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function re(){let ee;do ee=Q();while(ee>=12&&ee<=15);return ee}return{setPosition:M,getPosition:()=>n,scan:i?re:Q,getToken:()=>I,getTokenValue:()=>f,getTokenOffset:()=>p,getTokenLength:()=>n-p,getTokenError:()=>U}}t.createScanner=O;function T(e){return e===32||e===9||e===11||e===12||e===160||e===5760||e>=8192&&e<=8203||e===8239||e===8287||e===12288||e===65279}function u(e){return e===10||e===13||e===8232||e===8233}function d(e){return e>=48&&e<=57}var w;(function(e){e[e.nullCharacter=0]="nullCharacter",e[e.maxAsciiCharacter=127]="maxAsciiCharacter",e[e.lineFeed=10]="lineFeed",e[e.carriageReturn=13]="carriageReturn",e[e.lineSeparator=8232]="lineSeparator",e[e.paragraphSeparator=8233]="paragraphSeparator",e[e.nextLine=133]="nextLine",e[e.space=32]="space",e[e.nonBreakingSpace=160]="nonBreakingSpace",e[e.enQuad=8192]="enQuad",e[e.emQuad=8193]="emQuad",e[e.enSpace=8194]="enSpace",e[e.emSpace=8195]="emSpace",e[e.threePerEmSpace=8196]="threePerEmSpace",e[e.fourPerEmSpace=8197]="fourPerEmSpace",e[e.sixPerEmSpace=8198]="sixPerEmSpace",e[e.figureSpace=8199]="figureSpace",e[e.punctuationSpace=8200]="punctuationSpace",e[e.thinSpace=8201]="thinSpace",e[e.hairSpace=8202]="hairSpace",e[e.zeroWidthSpace=8203]="zeroWidthSpace",e[e.narrowNoBreakSpace=8239]="narrowNoBreakSpace",e[e.ideographicSpace=12288]="ideographicSpace",e[e.mathematicalSpace=8287]="mathematicalSpace",e[e.ogham=5760]="ogham",e[e._=95]="_",e[e.$=36]="$",e[e._0=48]="_0",e[e._1=49]="_1",e[e._2=50]="_2",e[e._3=51]="_3",e[e._4=52]="_4",e[e._5=53]="_5",e[e._6=54]="_6",e[e._7=55]="_7",e[e._8=56]="_8",e[e._9=57]="_9",e[e.a=97]="a",e[e.b=98]="b",e[e.c=99]="c",e[e.d=100]="d",e[e.e=101]="e",e[e.f=102]="f",e[e.g=103]="g",e[e.h=104]="h",e[e.i=105]="i",e[e.j=106]="j",e[e.k=107]="k",e[e.l=108]="l",e[e.m=109]="m",e[e.n=110]="n",e[e.o=111]="o",e[e.p=112]="p",e[e.q=113]="q",e[e.r=114]="r",e[e.s=115]="s",e[e.t=116]="t",e[e.u=117]="u",e[e.v=118]="v",e[e.w=119]="w",e[e.x=120]="x",e[e.y=121]="y",e[e.z=122]="z",e[e.A=65]="A",e[e.B=66]="B",e[e.C=67]="C",e[e.D=68]="D",e[e.E=69]="E",e[e.F=70]="F",e[e.G=71]="G",e[e.H=72]="H",e[e.I=73]="I",e[e.J=74]="J",e[e.K=75]="K",e[e.L=76]="L",e[e.M=77]="M",e[e.N=78]="N",e[e.O=79]="O",e[e.P=80]="P",e[e.Q=81]="Q",e[e.R=82]="R",e[e.S=83]="S",e[e.T=84]="T",e[e.U=85]="U",e[e.V=86]="V",e[e.W=87]="W",e[e.X=88]="X",e[e.Y=89]="Y",e[e.Z=90]="Z",e[e.ampersand=38]="ampersand",e[e.asterisk=42]="asterisk",e[e.at=64]="at",e[e.backslash=92]="backslash",e[e.bar=124]="bar",e[e.caret=94]="caret",e[e.closeBrace=125]="closeBrace",e[e.closeBracket=93]="closeBracket",e[e.closeParen=41]="closeParen",e[e.colon=58]="colon",e[e.comma=44]="comma",e[e.dot=46]="dot",e[e.doubleQuote=34]="doubleQuote",e[e.equals=61]="equals",e[e.exclamation=33]="exclamation",e[e.greaterThan=62]="greaterThan",e[e.lessThan=60]="lessThan",e[e.minus=45]="minus",e[e.openBrace=123]="openBrace",e[e.openBracket=91]="openBracket",e[e.openParen=40]="openParen",e[e.percent=37]="percent",e[e.plus=43]="plus",e[e.question=63]="question",e[e.semicolon=59]="semicolon",e[e.singleQuote=39]="singleQuote",e[e.slash=47]="slash",e[e.tilde=126]="tilde",e[e.backspace=8]="backspace",e[e.formFeed=12]="formFeed",e[e.byteOrderMark=65279]="byteOrderMark",e[e.tab=9]="tab",e[e.verticalTab=11]="verticalTab"})(w||(w={}));function y(e,i){const n=[],s=new Object;let f;const p={value:{},offset:0,length:0,type:"object",parent:void 0};let I=!1;function U(A,M,x,q){p.value=A,p.offset=M,p.length=x,p.type=q,p.colonOffset=void 0,f=p}try{v(e,{onObjectBegin:(A,M)=>{if(i<=A)throw s;f=void 0,I=i>A,n.push("")},onObjectProperty:(A,M,x)=>{if(i<M||(U(A,M,x,"property"),n[n.length-1]=A,i<=M+x))throw s},onObjectEnd:(A,M)=>{if(i<=A)throw s;f=void 0,n.pop()},onArrayBegin:(A,M)=>{if(i<=A)throw s;f=void 0,n.push(0)},onArrayEnd:(A,M)=>{if(i<=A)throw s;f=void 0,n.pop()},onLiteralValue:(A,M,x)=>{if(i<M||(U(A,M,x,o(A)),i<=M+x))throw s},onSeparator:(A,M,x)=>{if(i<=M)throw s;if(A===":"&&f&&f.type==="property")f.colonOffset=M,I=!1,f=void 0;else if(A===","){const q=n[n.length-1];typeof q=="number"?n[n.length-1]=q+1:(I=!0,n[n.length-1]=""),f=void 0}}})}catch(A){if(A!==s)throw A}return{path:n,previousNode:f,isAtPropertyKey:I,matches:A=>{let M=0;for(let x=0;M<A.length&&x<n.length;x++)if(A[M]===n[x]||A[M]==="*")M++;else if(A[M]!=="**")return!1;return M===A.length}}}t.getLocation=y;function b(e,i=[],n=C.DEFAULT){let s=null,f=[];const p=[];function I(A){Array.isArray(f)?f.push(A):s!==null&&(f[s]=A)}return v(e,{onObjectBegin:()=>{const A={};I(A),p.push(f),f=A,s=null},onObjectProperty:A=>{s=A},onObjectEnd:()=>{f=p.pop()},onArrayBegin:()=>{const A=[];I(A),p.push(f),f=A,s=null},onArrayEnd:()=>{f=p.pop()},onLiteralValue:I,onError:(A,M,x)=>{i.push({error:A,offset:M,length:x})}},n),f[0]}t.parse=b;function k(e,i=[],n=C.DEFAULT){let s={type:"array",offset:-1,length:-1,children:[],parent:void 0};function f(A){s.type==="property"&&(s.length=A-s.offset,s=s.parent)}function p(A){return s.children.push(A),A}v(e,{onObjectBegin:A=>{s=p({type:"object",offset:A,length:-1,parent:s,children:[]})},onObjectProperty:(A,M,x)=>{s=p({type:"property",offset:M,length:-1,parent:s,children:[]}),s.children.push({type:"string",value:A,offset:M,length:x,parent:s})},onObjectEnd:(A,M)=>{s.length=A+M-s.offset,s=s.parent,f(A+M)},onArrayBegin:(A,M)=>{s=p({type:"array",offset:A,length:-1,parent:s,children:[]})},onArrayEnd:(A,M)=>{s.length=A+M-s.offset,s=s.parent,f(A+M)},onLiteralValue:(A,M,x)=>{p({type:o(A),offset:M,length:x,parent:s,value:A}),f(M+x)},onSeparator:(A,M,x)=>{s.type==="property"&&(A===":"?s.colonOffset=M:A===","&&f(M))},onError:(A,M,x)=>{i.push({error:A,offset:M,length:x})}},n);const U=s.children[0];return U&&delete U.parent,U}t.parseTree=k;function c(e,i){if(!e)return;let n=e;for(let s of i)if(typeof s=="string"){if(n.type!=="object"||!Array.isArray(n.children))return;let f=!1;for(const p of n.children)if(Array.isArray(p.children)&&p.children[0].value===s){n=p.children[1],f=!0;break}if(!f)return}else{const f=s;if(n.type!=="array"||f<0||!Array.isArray(n.children)||f>=n.children.length)return;n=n.children[f]}return n}t.findNodeAtLocation=c;function h(e){if(!e.parent||!e.parent.children)return[];const i=h(e.parent);if(e.parent.type==="property"){const n=e.parent.children[0].value;i.push(n)}else if(e.parent.type==="array"){const n=e.parent.children.indexOf(e);n!==-1&&i.push(n)}return i}t.getNodePath=h;function S(e){switch(e.type){case"array":return e.children.map(S);case"object":const i=Object.create(null);for(let n of e.children){const s=n.children[1];s&&(i[n.children[0].value]=S(s))}return i;case"null":case"string":case"number":case"boolean":return e.value;default:return}}t.getNodeValue=S;function R(e,i,n=!1){return i>=e.offset&&i<e.offset+e.length||n&&i===e.offset+e.length}t.contains=R;function P(e,i,n=!1){if(R(e,i,n)){const s=e.children;if(Array.isArray(s))for(let f=0;f<s.length&&s[f].offset<=i;f++){const p=P(s[f],i,n);if(p)return p}return e}}t.findNodeAtOffset=P;function v(e,i,n=C.DEFAULT){const s=O(e,!1);function f(N){return N?()=>N(s.getTokenOffset(),s.getTokenLength()):()=>!0}function p(N){return N?V=>N(V,s.getTokenOffset(),s.getTokenLength()):()=>!0}const I=f(i.onObjectBegin),U=p(i.onObjectProperty),A=f(i.onObjectEnd),M=f(i.onArrayBegin),x=f(i.onArrayEnd),q=p(i.onLiteralValue),Q=p(i.onSeparator),ie=f(i.onComment),re=p(i.onError),ee=n&&n.disallowComments,ae=n&&n.allowTrailingComma;function H(){for(;;){const N=s.scan();switch(s.getTokenError()){case 4:B(14);break;case 5:B(15);break;case 3:B(13);break;case 1:ee||B(11);break;case 2:B(12);break;case 6:B(16);break}switch(N){case 12:case 13:ee?B(10):ie();break;case 16:B(1);break;case 15:case 14:break;default:return N}}}function B(N,V=[],j=[]){if(re(N),V.length+j.length>0){let W=s.getToken();for(;W!==17;){if(V.indexOf(W)!==-1){H();break}else if(j.indexOf(W)!==-1)break;W=H()}}}function Y(N){const V=s.getTokenValue();return N?q(V):U(V),H(),!0}function l(){switch(s.getToken()){case 11:let N=0;try{N=JSON.parse(s.getTokenValue()),typeof N!="number"&&(B(2),N=0)}catch(V){B(2)}q(N);break;case 7:q(null);break;case 8:q(!0);break;case 9:q(!1);break;default:return!1}return H(),!0}function a(){return s.getToken()!==10?(B(3,[],[2,5]),!1):(Y(!1),s.getToken()===6?(Q(":"),H(),L()||B(4,[],[2,5])):B(5,[],[2,5]),!0)}function g(){I(),H();let N=!1;for(;s.getToken()!==2&&s.getToken()!==17;){if(s.getToken()===5){if(N||B(4,[],[]),Q(","),H(),s.getToken()===2&&ae)break}else N&&B(6,[],[]);a()||B(4,[],[2,5]),N=!0}return A(),s.getToken()!==2?B(7,[2],[]):H(),!0}function E(){M(),H();let N=!1;for(;s.getToken()!==4&&s.getToken()!==17;){if(s.getToken()===5){if(N||B(4,[],[]),Q(","),H(),s.getToken()===4&&ae)break}else N&&B(6,[],[]);L()||B(4,[],[4,5]),N=!0}return x(),s.getToken()!==4?B(8,[4],[]):H(),!0}function L(){switch(s.getToken()){case 3:return E();case 1:return g();case 10:return Y(!0);default:return l()}}return H(),s.getToken()===17?n.allowEmptyContent?!0:(B(4,[],[]),!1):L()?(s.getToken()!==17&&B(9,[],[]),!0):(B(4,[],[]),!1)}t.visit=v;function r(e,i){let n=O(e),s=[],f,p=0,I;do switch(I=n.getPosition(),f=n.scan(),f){case 12:case 13:case 17:p!==I&&s.push(e.substring(p,I)),i!==void 0&&s.push(n.getTokenValue().replace(/[^\r\n]/g,i)),p=n.getPosition();break}while(f!==17);return s.join("")}t.stripComments=r;function o(e){switch(typeof e){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(e){if(Array.isArray(e))return"array"}else return"null";return"object"}default:return"null"}}t.getNodeType=o}),function(){function _(D){const C=[];typeof D=="number"&&C.push("code/timeOrigin",D);function O(u){C.push(u,Date.now())}function T(){const u=[];for(let d=0;d<C.length;d+=2)u.push({name:C[d],startTime:C[d+1]});return u}return{mark:O,getMarks:T}}function t(){if(typeof performance=="object"&&typeof performance.mark=="function")return typeof performance.timeOrigin!="number"&&!performance.timing?_():{mark(D){performance.mark(D)},getMarks(){let D=performance.timeOrigin;typeof D!="number"&&(D=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const C=[{name:"code/timeOrigin",startTime:Math.round(D)}];for(const O of performance.getEntriesByType("mark"))C.push({name:O.name,startTime:Math.round(D+O.startTime)});return C}};if(typeof process=="object"){const D=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return _(D)}else return console.trace("perf-util loaded in UNKNOWN environment"),_()}function m(D){return D.MonacoPerformanceMarks||(D.MonacoPerformanceMarks=t()),D.MonacoPerformanceMarks}var F;typeof global=="object"?F=global:typeof self=="object"?F=self:F={},typeof define=="function"?define("vs/base/common/performance",[],function(){return m(F)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=m(F):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),F.perf=m(F))}(),function(_,t){if(typeof exports=="object"&&typeof module=="object")module.exports=t();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],t);else{var m=t();for(var F in m)(typeof exports=="object"?exports:_)[F]=m[F]}}(typeof self!="undefined"?self:this,function(){return function(_){var t={};function m(F){if(t[F])return t[F].exports;var D=t[F]={i:F,l:!1,exports:{}};return _[F].call(D.exports,D,D.exports,m),D.l=!0,D.exports}return m.m=_,m.c=t,m.d=function(F,D,C){m.o(F,D)||Object.defineProperty(F,D,{enumerable:!0,get:C})},m.r=function(F){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(F,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(F,"__esModule",{value:!0})},m.t=function(F,D){if(1&D&&(F=m(F)),8&D||4&D&&typeof F=="object"&&F&&F.__esModule)return F;var C=Object.create(null);if(m.r(C),Object.defineProperty(C,"default",{enumerable:!0,value:F}),2&D&&typeof F!="string")for(var O in F)m.d(C,O,function(T){return F[T]}.bind(null,O));return C},m.n=function(F){var D=F&&F.__esModule?function(){return F.default}:function(){return F};return m.d(D,"a",D),D},m.o=function(F,D){return Object.prototype.hasOwnProperty.call(F,D)},m.p="",m(m.s=0)}([function(_,t,m){(function(F){var D;t=_.exports=j,D=typeof F=="object"&&F.env&&F.env.NODE_DEBUG&&/\bsemver\b/i.test(F.env.NODE_DEBUG)?function(){var z=Array.prototype.slice.call(arguments,0);z.unshift("SEMVER"),console.log.apply(console,z)}:function(){},t.SEMVER_SPEC_VERSION="2.0.0";var C=256,O=Number.MAX_SAFE_INTEGER||9007199254740991,T=t.re=[],u=t.src=[],d=0,w=d++;u[w]="0|[1-9]\\d*";var y=d++;u[y]="[0-9]+";var b=d++;u[b]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var k=d++;u[k]="("+u[w]+")\\.("+u[w]+")\\.("+u[w]+")";var c=d++;u[c]="("+u[y]+")\\.("+u[y]+")\\.("+u[y]+")";var h=d++;u[h]="(?:"+u[w]+"|"+u[b]+")";var S=d++;u[S]="(?:"+u[y]+"|"+u[b]+")";var R=d++;u[R]="(?:-("+u[h]+"(?:\\."+u[h]+")*))";var P=d++;u[P]="(?:-?("+u[S]+"(?:\\."+u[S]+")*))";var v=d++;u[v]="[0-9A-Za-z-]+";var r=d++;u[r]="(?:\\+("+u[v]+"(?:\\."+u[v]+")*))";var o=d++,e="v?"+u[k]+u[R]+"?"+u[r]+"?";u[o]="^"+e+"$";var i="[v=\\s]*"+u[c]+u[P]+"?"+u[r]+"?",n=d++;u[n]="^"+i+"$";var s=d++;u[s]="((?:<|>)?=?)";var f=d++;u[f]=u[y]+"|x|X|\\*";var p=d++;u[p]=u[w]+"|x|X|\\*";var I=d++;u[I]="[v=\\s]*("+u[p]+")(?:\\.("+u[p]+")(?:\\.("+u[p]+")(?:"+u[R]+")?"+u[r]+"?)?)?";var U=d++;u[U]="[v=\\s]*("+u[f]+")(?:\\.("+u[f]+")(?:\\.("+u[f]+")(?:"+u[P]+")?"+u[r]+"?)?)?";var A=d++;u[A]="^"+u[s]+"\\s*"+u[I]+"$";var M=d++;u[M]="^"+u[s]+"\\s*"+u[U]+"$";var x=d++;u[x]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var q=d++;u[q]="(?:~>?)";var Q=d++;u[Q]="(\\s*)"+u[q]+"\\s+",T[Q]=new RegExp(u[Q],"g");var ie=d++;u[ie]="^"+u[q]+u[I]+"$";var re=d++;u[re]="^"+u[q]+u[U]+"$";var ee=d++;u[ee]="(?:\\^)";var ae=d++;u[ae]="(\\s*)"+u[ee]+"\\s+",T[ae]=new RegExp(u[ae],"g");var H=d++;u[H]="^"+u[ee]+u[I]+"$";var B=d++;u[B]="^"+u[ee]+u[U]+"$";var Y=d++;u[Y]="^"+u[s]+"\\s*("+i+")$|^$";var l=d++;u[l]="^"+u[s]+"\\s*("+e+")$|^$";var a=d++;u[a]="(\\s*)"+u[s]+"\\s*("+i+"|"+u[I]+")",T[a]=new RegExp(u[a],"g");var g=d++;u[g]="^\\s*("+u[I]+")\\s+-\\s+("+u[I]+")\\s*$";var E=d++;u[E]="^\\s*("+u[U]+")\\s+-\\s+("+u[U]+")\\s*$";var L=d++;u[L]="(<|>)?=?\\s*\\*";for(var N=0;N<35;N++)D(N,u[N]),T[N]||(T[N]=new RegExp(u[N]));function V(z,G){if(z instanceof j)return z;if(typeof z!="string"||z.length>C||!(G?T[n]:T[o]).test(z))return null;try{return new j(z,G)}catch(K){return null}}function j(z,G){if(z instanceof j){if(z.loose===G)return z;z=z.version}else if(typeof z!="string")throw new TypeError("Invalid Version: "+z);if(z.length>C)throw new TypeError("version is longer than "+C+" characters");if(!(this instanceof j))return new j(z,G);D("SemVer",z,G),this.loose=G;var K=z.trim().match(G?T[n]:T[o]);if(!K)throw new TypeError("Invalid Version: "+z);if(this.raw=z,this.major=+K[1],this.minor=+K[2],this.patch=+K[3],this.major>O||this.major<0)throw new TypeError("Invalid major version");if(this.minor>O||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>O||this.patch<0)throw new TypeError("Invalid patch version");K[4]?this.prerelease=K[4].split(".").map(function(se){if(/^[0-9]+$/.test(se)){var oe=+se;if(oe>=0&&oe<O)return oe}return se}):this.prerelease=[],this.build=K[5]?K[5].split("."):[],this.format()}t.parse=V,t.valid=function(z,G){var K=V(z,G);return K?K.version:null},t.clean=function(z,G){var K=V(z.trim().replace(/^[=v]+/,""),G);return K?K.version:null},t.SemVer=j,j.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},j.prototype.toString=function(){return this.version},j.prototype.compare=function(z){return D("SemVer.compare",this.version,this.loose,z),z instanceof j||(z=new j(z,this.loose)),this.compareMain(z)||this.comparePre(z)},j.prototype.compareMain=function(z){return z instanceof j||(z=new j(z,this.loose)),$(this.major,z.major)||$(this.minor,z.minor)||$(this.patch,z.patch)},j.prototype.comparePre=function(z){if(z instanceof j||(z=new j(z,this.loose)),this.prerelease.length&&!z.prerelease.length)return-1;if(!this.prerelease.length&&z.prerelease.length)return 1;if(!this.prerelease.length&&!z.prerelease.length)return 0;var G=0;do{var K=this.prerelease[G],se=z.prerelease[G];if(D("prerelease compare",G,K,se),K===void 0&&se===void 0)return 0;if(se===void 0)return 1;if(K===void 0)return-1;if(K!==se)return $(K,se)}while(++G)},j.prototype.inc=function(z,G){switch(z){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",G);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",G);break;case"prepatch":this.prerelease.length=0,this.inc("patch",G),this.inc("pre",G);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",G),this.inc("pre",G);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var K=this.prerelease.length;--K>=0;)typeof this.prerelease[K]=="number"&&(this.prerelease[K]++,K=-2);K===-1&&this.prerelease.push(0)}G&&(this.prerelease[0]===G?isNaN(this.prerelease[1])&&(this.prerelease=[G,0]):this.prerelease=[G,0]);break;default:throw new Error("invalid increment argument: "+z)}return this.format(),this.raw=this.version,this},t.inc=function(z,G,K,se){typeof K=="string"&&(se=K,K=void 0);try{return new j(z,K).inc(G,se).version}catch(oe){return null}},t.diff=function(z,G){if(ue(z,G))return null;var K=V(z),se=V(G);if(K.prerelease.length||se.prerelease.length){for(var oe in K)if((oe==="major"||oe==="minor"||oe==="patch")&&K[oe]!==se[oe])return"pre"+oe;return"prerelease"}for(var oe in K)if((oe==="major"||oe==="minor"||oe==="patch")&&K[oe]!==se[oe])return oe},t.compareIdentifiers=$;var W=/^[0-9]+$/;function $(z,G){var K=W.test(z),se=W.test(G);return K&&se&&(z=+z,G=+G),K&&!se?-1:se&&!K?1:z<G?-1:z>G?1:0}function X(z,G,K){return new j(z,K).compare(new j(G,K))}function J(z,G,K){return X(z,G,K)>0}function ne(z,G,K){return X(z,G,K)<0}function ue(z,G,K){return X(z,G,K)===0}function me(z,G,K){return X(z,G,K)!==0}function we(z,G,K){return X(z,G,K)>=0}function Fe(z,G,K){return X(z,G,K)<=0}function Te(z,G,K,se){var oe;switch(G){case"===":typeof z=="object"&&(z=z.version),typeof K=="object"&&(K=K.version),oe=z===K;break;case"!==":typeof z=="object"&&(z=z.version),typeof K=="object"&&(K=K.version),oe=z!==K;break;case"":case"=":case"==":oe=ue(z,K,se);break;case"!=":oe=me(z,K,se);break;case">":oe=J(z,K,se);break;case">=":oe=we(z,K,se);break;case"<":oe=ne(z,K,se);break;case"<=":oe=Fe(z,K,se);break;default:throw new TypeError("Invalid operator: "+G)}return oe}function Se(z,G){if(z instanceof Se){if(z.loose===G)return z;z=z.value}if(!(this instanceof Se))return new Se(z,G);D("comparator",z,G),this.loose=G,this.parse(z),this.semver===Ae?this.value="":this.value=this.operator+this.semver.version,D("comp",this)}t.rcompareIdentifiers=function(z,G){return $(G,z)},t.major=function(z,G){return new j(z,G).major},t.minor=function(z,G){return new j(z,G).minor},t.patch=function(z,G){return new j(z,G).patch},t.compare=X,t.compareLoose=function(z,G){return X(z,G,!0)},t.rcompare=function(z,G,K){return X(G,z,K)},t.sort=function(z,G){return z.sort(function(K,se){return t.compare(K,se,G)})},t.rsort=function(z,G){return z.sort(function(K,se){return t.rcompare(K,se,G)})},t.gt=J,t.lt=ne,t.eq=ue,t.neq=me,t.gte=we,t.lte=Fe,t.cmp=Te,t.Comparator=Se;var Ae={};function ve(z,G){if(z instanceof ve)return z.loose===G?z:new ve(z.raw,G);if(z instanceof Se)return new ve(z.value,G);if(!(this instanceof ve))return new ve(z,G);if(this.loose=G,this.raw=z,this.set=z.split(/\s*\|\|\s*/).map(function(K){return this.parseRange(K.trim())},this).filter(function(K){return K.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+z);this.format()}function Le(z){return!z||z.toLowerCase()==="x"||z==="*"}function je(z,G,K,se,oe,be,de,Re,ye,De,ke,Ee,Pe){return((G=Le(K)?"":Le(se)?">="+K+".0.0":Le(oe)?">="+K+"."+se+".0":">="+G)+" "+(Re=Le(ye)?"":Le(De)?"<"+(+ye+1)+".0.0":Le(ke)?"<"+ye+"."+(+De+1)+".0":Ee?"<="+ye+"."+De+"."+ke+"-"+Ee:"<="+Re)).trim()}function Be(z,G){for(var K=0;K<z.length;K++)if(!z[K].test(G))return!1;if(G.prerelease.length){for(K=0;K<z.length;K++)if(D(z[K].semver),z[K].semver!==Ae&&z[K].semver.prerelease.length>0){var se=z[K].semver;if(se.major===G.major&&se.minor===G.minor&&se.patch===G.patch)return!0}return!1}return!0}function ze(z,G,K){try{G=new ve(G,K)}catch(se){return!1}return G.test(z)}function xe(z,G,K,se){var oe,be,de,Re,ye;switch(z=new j(z,se),G=new ve(G,se),K){case">":oe=J,be=Fe,de=ne,Re=">",ye=">=";break;case"<":oe=ne,be=we,de=J,Re="<",ye="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(ze(z,G,se))return!1;for(var De=0;De<G.set.length;++De){var ke=G.set[De],Ee=null,Pe=null;if(ke.forEach(function(Ce){Ce.semver===Ae&&(Ce=new Se(">=0.0.0")),Ee=Ee||Ce,Pe=Pe||Ce,oe(Ce.semver,Ee.semver,se)?Ee=Ce:de(Ce.semver,Pe.semver,se)&&(Pe=Ce)}),Ee.operator===Re||Ee.operator===ye||(!Pe.operator||Pe.operator===Re)&&be(z,Pe.semver)||Pe.operator===ye&&de(z,Pe.semver))return!1}return!0}Se.prototype.parse=function(z){var G=this.loose?T[Y]:T[l],K=z.match(G);if(!K)throw new TypeError("Invalid comparator: "+z);this.operator=K[1],this.operator==="="&&(this.operator=""),K[2]?this.semver=new j(K[2],this.loose):this.semver=Ae},Se.prototype.toString=function(){return this.value},Se.prototype.test=function(z){return D("Comparator.test",z,this.loose),this.semver===Ae||(typeof z=="string"&&(z=new j(z,this.loose)),Te(z,this.operator,this.semver,this.loose))},Se.prototype.intersects=function(z,G){if(!(z instanceof Se))throw new TypeError("a Comparator is required");var K;if(this.operator==="")return K=new ve(z.value,G),ze(this.value,K,G);if(z.operator==="")return K=new ve(this.value,G),ze(z.semver,K,G);var se=!(this.operator!==">="&&this.operator!==">"||z.operator!==">="&&z.operator!==">"),oe=!(this.operator!=="<="&&this.operator!=="<"||z.operator!=="<="&&z.operator!=="<"),be=this.semver.version===z.semver.version,de=!(this.operator!==">="&&this.operator!=="<="||z.operator!==">="&&z.operator!=="<="),Re=Te(this.semver,"<",z.semver,G)&&(this.operator===">="||this.operator===">")&&(z.operator==="<="||z.operator==="<"),ye=Te(this.semver,">",z.semver,G)&&(this.operator==="<="||this.operator==="<")&&(z.operator===">="||z.operator===">");return se||oe||be&&de||Re||ye},t.Range=ve,ve.prototype.format=function(){return this.range=this.set.map(function(z){return z.join(" ").trim()}).join("||").trim(),this.range},ve.prototype.toString=function(){return this.range},ve.prototype.parseRange=function(z){var G=this.loose;z=z.trim(),D("range",z,G);var K=G?T[E]:T[g];z=z.replace(K,je),D("hyphen replace",z),z=z.replace(T[a],"$1$2$3"),D("comparator trim",z,T[a]),z=(z=(z=z.replace(T[Q],"$1~")).replace(T[ae],"$1^")).split(/\s+/).join(" ");var se=G?T[Y]:T[l],oe=z.split(" ").map(function(be){return function(de,Re){return D("comp",de),de=function(ye,De){return ye.trim().split(/\s+/).map(function(ke){return function(Ee,Pe){D("caret",Ee,Pe);var Ce=Pe?T[B]:T[H];return Ee.replace(Ce,function(Oe,le,he,ge,pe){var Ie;return D("caret",Ee,Oe,le,he,ge,pe),Le(le)?Ie="":Le(he)?Ie=">="+le+".0.0 <"+(+le+1)+".0.0":Le(ge)?Ie=le==="0"?">="+le+"."+he+".0 <"+le+"."+(+he+1)+".0":">="+le+"."+he+".0 <"+(+le+1)+".0.0":pe?(D("replaceCaret pr",pe),pe.charAt(0)!=="-"&&(pe="-"+pe),Ie=le==="0"?he==="0"?">="+le+"."+he+"."+ge+pe+" <"+le+"."+he+"."+(+ge+1):">="+le+"."+he+"."+ge+pe+" <"+le+"."+(+he+1)+".0":">="+le+"."+he+"."+ge+pe+" <"+(+le+1)+".0.0"):(D("no pr"),Ie=le==="0"?he==="0"?">="+le+"."+he+"."+ge+" <"+le+"."+he+"."+(+ge+1):">="+le+"."+he+"."+ge+" <"+le+"."+(+he+1)+".0":">="+le+"."+he+"."+ge+" <"+(+le+1)+".0.0"),D("caret return",Ie),Ie})}(ke,De)}).join(" ")}(de,Re),D("caret",de),de=function(ye,De){return ye.trim().split(/\s+/).map(function(ke){return function(Ee,Pe){var Ce=Pe?T[re]:T[ie];return Ee.replace(Ce,function(Oe,le,he,ge,pe){var Ie;return D("tilde",Ee,Oe,le,he,ge,pe),Le(le)?Ie="":Le(he)?Ie=">="+le+".0.0 <"+(+le+1)+".0.0":Le(ge)?Ie=">="+le+"."+he+".0 <"+le+"."+(+he+1)+".0":pe?(D("replaceTilde pr",pe),pe.charAt(0)!=="-"&&(pe="-"+pe),Ie=">="+le+"."+he+"."+ge+pe+" <"+le+"."+(+he+1)+".0"):Ie=">="+le+"."+he+"."+ge+" <"+le+"."+(+he+1)+".0",D("tilde return",Ie),Ie})}(ke,De)}).join(" ")}(de,Re),D("tildes",de),de=function(ye,De){return D("replaceXRanges",ye,De),ye.split(/\s+/).map(function(ke){return function(Ee,Pe){Ee=Ee.trim();var Ce=Pe?T[M]:T[A];return Ee.replace(Ce,function(Oe,le,he,ge,pe,Ie){D("xRange",Ee,Oe,le,he,ge,pe,Ie);var Ve=Le(he),Me=Ve||Le(ge),Ue=Me||Le(pe);return le==="="&&Ue&&(le=""),Ve?Oe=le===">"||le==="<"?"<0.0.0":"*":le&&Ue?(Me&&(ge=0),Ue&&(pe=0),le===">"?(le=">=",Me?(he=+he+1,ge=0,pe=0):Ue&&(ge=+ge+1,pe=0)):le==="<="&&(le="<",Me?he=+he+1:ge=+ge+1),Oe=le+he+"."+ge+"."+pe):Me?Oe=">="+he+".0.0 <"+(+he+1)+".0.0":Ue&&(Oe=">="+he+"."+ge+".0 <"+he+"."+(+ge+1)+".0"),D("xRange return",Oe),Oe})}(ke,De)}).join(" ")}(de,Re),D("xrange",de),de=function(ye,De){return D("replaceStars",ye,De),ye.trim().replace(T[L],"")}(de,Re),D("stars",de),de}(be,G)}).join(" ").split(/\s+/);return this.loose&&(oe=oe.filter(function(be){return!!be.match(se)})),oe=oe.map(function(be){return new Se(be,G)})},ve.prototype.intersects=function(z,G){if(!(z instanceof ve))throw new TypeError("a Range is required");return this.set.some(function(K){return K.every(function(se){return z.set.some(function(oe){return oe.every(function(be){return se.intersects(be,G)})})})})},t.toComparators=function(z,G){return new ve(z,G).set.map(function(K){return K.map(function(se){return se.value}).join(" ").trim().split(" ")})},ve.prototype.test=function(z){if(!z)return!1;typeof z=="string"&&(z=new j(z,this.loose));for(var G=0;G<this.set.length;G++)if(Be(this.set[G],z))return!0;return!1},t.satisfies=ze,t.maxSatisfying=function(z,G,K){var se=null,oe=null;try{var be=new ve(G,K)}catch(de){return null}return z.forEach(function(de){be.test(de)&&(se&&oe.compare(de)!==-1||(oe=new j(se=de,K)))}),se},t.minSatisfying=function(z,G,K){var se=null,oe=null;try{var be=new ve(G,K)}catch(de){return null}return z.forEach(function(de){be.test(de)&&(se&&oe.compare(de)!==1||(oe=new j(se=de,K)))}),se},t.validRange=function(z,G){try{return new ve(z,G).range||"*"}catch(K){return null}},t.ltr=function(z,G,K){return xe(z,G,"<",K)},t.gtr=function(z,G,K){return xe(z,G,">",K)},t.outside=xe,t.prerelease=function(z,G){var K=V(z,G);return K&&K.prerelease.length?K.prerelease:null},t.intersects=function(z,G,K){return z=new ve(z,K),G=new ve(G,K),z.intersects(G)},t.coerce=function(z){if(z instanceof j)return z;if(typeof z!="string")return null;var G=z.match(T[x]);return G==null?null:V((G[1]||"0")+"."+(G[2]||"0")+"."+(G[3]||"0"))}}).call(this,m(1))},function(_,t){var m,F,D=_.exports={};function C(){throw new Error("setTimeout has not been defined")}function O(){throw new Error("clearTimeout has not been defined")}function T(S){if(m===setTimeout)return setTimeout(S,0);if((m===C||!m)&&setTimeout)return m=setTimeout,setTimeout(S,0);try{return m(S,0)}catch(R){try{return m.call(null,S,0)}catch(P){return m.call(this,S,0)}}}(function(){try{m=typeof setTimeout=="function"?setTimeout:C}catch(S){m=C}try{F=typeof clearTimeout=="function"?clearTimeout:O}catch(S){F=O}})();var u,d=[],w=!1,y=-1;function b(){w&&u&&(w=!1,u.length?d=u.concat(d):y=-1,d.length&&k())}function k(){if(!w){var S=T(b);w=!0;for(var R=d.length;R;){for(u=d,d=[];++y<R;)u&&u[y].run();y=-1,R=d.length}u=null,w=!1,function(P){if(F===clearTimeout)return clearTimeout(P);if((F===O||!F)&&clearTimeout)return F=clearTimeout,clearTimeout(P);try{F(P)}catch(v){try{return F.call(null,P)}catch(r){return F.call(this,P)}}}(S)}}function c(S,R){this.fun=S,this.array=R}function h(){}D.nextTick=function(S){var R=new Array(arguments.length-1);if(arguments.length>1)for(var P=1;P<arguments.length;P++)R[P-1]=arguments[P];d.push(new c(S,R)),d.length!==1||w||T(k)},c.prototype.run=function(){this.fun.apply(null,this.array)},D.title="browser",D.browser=!0,D.env={},D.argv=[],D.version="",D.versions={},D.on=h,D.addListener=h,D.once=h,D.off=h,D.removeListener=h,D.removeAllListeners=h,D.emit=h,D.prependListener=h,D.prependOnceListener=h,D.listeners=function(S){return[]},D.binding=function(S){throw new Error("process.binding is not supported")},D.cwd=function(){return"/"},D.chdir=function(S){throw new Error("process.chdir is not supported")},D.umask=function(){return 0}}])}),define(Z[34],te([0,1,12,2]),function(_,t,m,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.prefixedStream=t.prefixedReadable=t.transform=t.toReadable=t.emptyStream=t.toStream=t.peekStream=t.listenStream=t.consumeStream=t.peekReadable=t.consumeReadable=t.newWriteableStream=t.isReadableBufferedStream=t.isReadableStream=void 0;function D(v){const r=v;return r?[r.on,r.pause,r.resume,r.destroy].every(o=>typeof o=="function"):!1}t.isReadableStream=D;function C(v){const r=v;return r?D(r.stream)&&Array.isArray(r.buffer)&&typeof r.ended=="boolean":!1}t.isReadableBufferedStream=C;function O(v,r){return new T(v,r)}t.newWriteableStream=O;class T{constructor(r,o){this.reducer=r,this.options=o,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(r){if(!this.state.destroyed){if(this.state.flowing)this.emitData(r);else if(this.buffer.data.push(r),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(o=>this.pendingWritePromises.push(o))}}error(r){this.state.destroyed||(this.state.flowing?this.emitError(r):this.buffer.error.push(r))}end(r){this.state.destroyed||(typeof r!="undefined"&&this.write(r),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(r){this.listeners.data.slice(0).forEach(o=>o(r))}emitError(r){this.listeners.error.length===0?m.onUnexpectedError(r):this.listeners.error.slice(0).forEach(o=>o(r))}emitEnd(){this.listeners.end.slice(0).forEach(r=>r())}on(r,o){if(!this.state.destroyed)switch(r){case"data":this.listeners.data.push(o),this.resume();break;case"end":this.listeners.end.push(o),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(o),this.state.flowing&&this.flowErrors();break}}removeListener(r,o){if(this.state.destroyed)return;let e;switch(r){case"data":e=this.listeners.data;break;case"end":e=this.listeners.end;break;case"error":e=this.listeners.error;break}if(e){const i=e.indexOf(o);i>=0&&e.splice(i,1)}}flowData(){if(this.buffer.data.length>0){const r=this.reducer(this.buffer.data);this.emitData(r),this.buffer.data.length=0;const o=[...this.pendingWritePromises];this.pendingWritePromises.length=0,o.forEach(e=>e())}}flowErrors(){if(this.listeners.error.length>0){for(const r of this.buffer.error)this.emitError(r);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function u(v,r){const o=[];let e;for(;(e=v.read())!==null;)o.push(e);return r(o)}t.consumeReadable=u;function d(v,r,o){const e=[];let i;for(;(i=v.read())!==null&&e.length<o;)e.push(i);return i===null&&e.length>0?r(e):{read:()=>{if(e.length>0)return e.shift();if(typeof i!="undefined"){const n=i;return i=void 0,n}return v.read()}}}t.peekReadable=d;function w(v,r){return new Promise((o,e)=>{const i=[];y(v,{onData:n=>{r&&i.push(n)},onError:n=>{r?e(n):o(void 0)},onEnd:()=>{o(r?r(i):void 0)}})})}t.consumeStream=w;function y(v,r){v.on("error",o=>r.onError(o)),v.on("end",()=>r.onEnd()),v.on("data",o=>r.onData(o))}t.listenStream=y;function b(v,r){return new Promise((o,e)=>{const i=new F.DisposableStore,n=[],s=I=>{if(n.push(I),n.length>r)return i.dispose(),v.pause(),o({stream:v,buffer:n,ended:!1})},f=I=>e(I),p=()=>o({stream:v,buffer:n,ended:!0});i.add(F.toDisposable(()=>v.removeListener("error",f))),v.on("error",f),i.add(F.toDisposable(()=>v.removeListener("end",p))),v.on("end",p),i.add(F.toDisposable(()=>v.removeListener("data",s))),v.on("data",s)})}t.peekStream=b;function k(v,r){const o=O(r);return o.end(v),o}t.toStream=k;function c(){const v=O(()=>{throw new Error("not supported")});return v.end(),v}t.emptyStream=c;function h(v){let r=!1;return{read:()=>r?null:(r=!0,v)}}t.toReadable=h;function S(v,r,o){const e=O(o);return y(v,{onData:i=>e.write(r.data(i)),onError:i=>e.error(r.error?r.error(i):i),onEnd:()=>e.end()}),e}t.transform=S;function R(v,r,o){let e=!1;return{read:()=>{const i=r.read();return e?i:(e=!0,i!==null?o([v,i]):v)}}}t.prefixedReadable=R;function P(v,r,o){let e=!1;const i=O(o);return y(r,{onData:n=>e?i.write(n):(e=!0,i.write(o([v,n]))),onError:n=>i.error(n),onEnd:()=>{e||(e=!0,i.write(v)),i.end()}}),i}t.prefixedStream=P}),define(Z[16],te([0,1,18,34]),function(_,t,m,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.prefixedBufferStream=t.prefixedBufferReadable=t.newWriteableBufferStream=t.streamToBufferReadableStream=t.bufferToStream=t.bufferedStreamToBuffer=t.streamToBuffer=t.bufferToReadable=t.readableToBuffer=t.writeUInt8=t.readUInt8=t.writeUInt32LE=t.readUInt32LE=t.writeUInt32BE=t.readUInt32BE=t.writeUInt16LE=t.readUInt16LE=t.VSBuffer=void 0;const D=typeof Buffer!="undefined",C=typeof TextEncoder!="undefined",O=typeof TextDecoder!="undefined";let T,u;class d{constructor(I){this.buffer=I,this.byteLength=this.buffer.byteLength}static alloc(I){return D?new d(Buffer.allocUnsafe(I)):new d(new Uint8Array(I))}static wrap(I){return D&&!Buffer.isBuffer(I)&&(I=Buffer.from(I.buffer,I.byteOffset,I.byteLength)),new d(I)}static fromString(I,U){return!(U?.dontUseNodeBuffer||!1)&&D?new d(Buffer.from(I)):C?(T||(T=new TextEncoder),new d(T.encode(I))):new d(m.encodeUTF8(I))}static concat(I,U){if(typeof U=="undefined"){U=0;for(let x=0,q=I.length;x<q;x++)U+=I[x].byteLength}const A=d.alloc(U);let M=0;for(let x=0,q=I.length;x<q;x++){const Q=I[x];A.set(Q,M),M+=Q.byteLength}return A}toString(){return D?this.buffer.toString():O?(u||(u=new TextDecoder),u.decode(this.buffer)):m.decodeUTF8(this.buffer)}slice(I,U){return new d(this.buffer.subarray(I,U))}set(I,U){I instanceof d?this.buffer.set(I.buffer,U):this.buffer.set(I,U)}readUInt32BE(I){return b(this.buffer,I)}writeUInt32BE(I,U){k(this.buffer,I,U)}readUInt32LE(I){return c(this.buffer,I)}writeUInt32LE(I,U){h(this.buffer,I,U)}readUInt8(I){return S(this.buffer,I)}writeUInt8(I,U){R(this.buffer,I,U)}}t.VSBuffer=d;function w(p,I){return p[I+0]<<0>>>0|p[I+1]<<8>>>0}t.readUInt16LE=w;function y(p,I,U){p[U+0]=I&255,I=I>>>8,p[U+1]=I&255}t.writeUInt16LE=y;function b(p,I){return p[I]*2**24+p[I+1]*2**16+p[I+2]*2**8+p[I+3]}t.readUInt32BE=b;function k(p,I,U){p[U+3]=I,I=I>>>8,p[U+2]=I,I=I>>>8,p[U+1]=I,I=I>>>8,p[U]=I}t.writeUInt32BE=k;function c(p,I){return p[I+0]<<0>>>0|p[I+1]<<8>>>0|p[I+2]<<16>>>0|p[I+3]<<24>>>0}t.readUInt32LE=c;function h(p,I,U){p[U+0]=I&255,I=I>>>8,p[U+1]=I&255,I=I>>>8,p[U+2]=I&255,I=I>>>8,p[U+3]=I&255}t.writeUInt32LE=h;function S(p,I){return p[I]}t.readUInt8=S;function R(p,I,U){p[U]=I}t.writeUInt8=R;function P(p){return F.consumeReadable(p,I=>d.concat(I))}t.readableToBuffer=P;function v(p){return F.toReadable(p)}t.bufferToReadable=v;function r(p){return F.consumeStream(p,I=>d.concat(I))}t.streamToBuffer=r;async function o(p){return p.ended?d.concat(p.buffer):d.concat([...p.buffer,await r(p.stream)])}t.bufferedStreamToBuffer=o;function e(p){return F.toStream(p,I=>d.concat(I))}t.bufferToStream=e;function i(p){return F.transform(p,{data:I=>typeof I=="string"?d.fromString(I):d.wrap(I)},I=>d.concat(I))}t.streamToBufferReadableStream=i;function n(p){return F.newWriteableStream(I=>d.concat(I),p)}t.newWriteableBufferStream=n;function s(p,I){return F.prefixedReadable(p,I,U=>d.concat(U))}t.prefixedBufferReadable=s;function f(p,I){return F.prefixedStream(p,I,U=>d.concat(U))}t.prefixedBufferStream=f}),define(Z[19],te([0,1,13]),function(_,t,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.filter=t.getCaseInsensitive=t.distinct=t.getOrDefault=t.safeStringify=t.equals=t.mixin=t.cloneAndChange=t.deepFreeze=t.deepClone=void 0;function F(h){if(!h||typeof h!="object"||h instanceof RegExp)return h;const S=Array.isArray(h)?[]:{};return Object.keys(h).forEach(R=>{h[R]&&typeof h[R]=="object"?S[R]=F(h[R]):S[R]=h[R]}),S}t.deepClone=F;function D(h){if(!h||typeof h!="object")return h;const S=[h];for(;S.length>0;){const R=S.shift();Object.freeze(R);for(const P in R)if(C.call(R,P)){const v=R[P];typeof v=="object"&&!Object.isFrozen(v)&&S.push(v)}}return h}t.deepFreeze=D;const C=Object.prototype.hasOwnProperty;function O(h,S){return T(h,S,new Set)}t.cloneAndChange=O;function T(h,S,R){if(m.isUndefinedOrNull(h))return h;const P=S(h);if(typeof P!="undefined")return P;if(m.isArray(h)){const v=[];for(const r of h)v.push(T(r,S,R));return v}if(m.isObject(h)){if(R.has(h))throw new Error("Cannot clone recursive data-structure");R.add(h);const v={};for(let r in h)C.call(h,r)&&(v[r]=T(h[r],S,R));return R.delete(h),v}return h}function u(h,S,R=!0){return m.isObject(h)?(m.isObject(S)&&Object.keys(S).forEach(P=>{P in h?R&&(m.isObject(h[P])&&m.isObject(S[P])?u(h[P],S[P],R):h[P]=S[P]):h[P]=S[P]}),h):S}t.mixin=u;function d(h,S){if(h===S)return!0;if(h==null||S===null||S===void 0||typeof h!=typeof S||typeof h!="object"||Array.isArray(h)!==Array.isArray(S))return!1;let R,P;if(Array.isArray(h)){if(h.length!==S.length)return!1;for(R=0;R<h.length;R++)if(!d(h[R],S[R]))return!1}else{const v=[];for(P in h)v.push(P);v.sort();const r=[];for(P in S)r.push(P);if(r.sort(),!d(v,r))return!1;for(R=0;R<v.length;R++)if(!d(h[v[R]],S[v[R]]))return!1}return!0}t.equals=d;function w(h){const S=new Set;return JSON.stringify(h,(R,P)=>{if(m.isObject(P)||Array.isArray(P)){if(S.has(P))return"[Circular]";S.add(P)}return P})}t.safeStringify=w;function y(h,S,R){const P=S(h);return typeof P=="undefined"?R:P}t.getOrDefault=y;function b(h,S){const R=Object.create(null);return!h||!S||Object.keys(S).forEach(v=>{const r=h[v],o=S[v];d(r,o)||(R[v]=o)}),R}t.distinct=b;function k(h,S){const R=S.toLowerCase(),P=Object.keys(h).find(v=>v.toLowerCase()===R);return P?h[P]:h[S]}t.getCaseInsensitive=k;function c(h,S){const R=Object.create(null);for(const P of Object.keys(h))S(P,h[P])&&(R[P]=h[P]);return R}t.filter=c}),define(Z[59],te([0,1,7]),function(_,t,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.log=t.getFirstFrame=t.parse=t.isRemoteConsoleLog=void 0;function F(d){const w=d;return w&&typeof w.type=="string"&&typeof w.severity=="string"}t.isRemoteConsoleLog=F;function D(d){const w=[];let y;try{const b=JSON.parse(d.arguments),k=b[b.length-1];k&&k.__$stack&&(b.pop(),y=k.__$stack),w.push(...b)}catch(b){w.push("Unable to log remote console arguments",d.arguments)}return{args:w,stack:y}}t.parse=D;function C(d){if(typeof d!="string")return C(D(d).stack);const w=d;if(w){const y=O(w),b=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(y||"");if(b&&b.length===4)return{uri:m.URI.file(b[1]),line:Number(b[2]),column:Number(b[3])}}}t.getFirstFrame=C;function O(d){if(!d)return d;const w=d.indexOf(`
`);return w===-1?d:d.substring(0,w)}function T(d,w){const{args:y,stack:b}=D(d),k=typeof y[0]=="string"&&y.length===1;let c=O(b);c&&(c=`(${c.trim()})`);let h=[];if(typeof y[0]=="string"?c&&k?h=[`%c[${w}] %c${y[0]} %c${c}`,u("blue"),u(""),u("grey")]:h=[`%c[${w}] %c${y[0]}`,u("blue"),u(""),...y.slice(1)]:h=[`%c[${w}]%`,u("blue"),...y],c&&!k&&h.push(c),typeof console[d.severity]!="function")throw new Error("Unknown console method");console[d.severity].apply(console,h)}t.log=T;function u(d){return`color: ${d}`}}),define(Z[60],te([0,1,16,18,7]),function(_,t,m,F,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.revive=t.MarshalledId=t.parse=t.stringify=void 0;function C(w){return JSON.stringify(w,u)}t.stringify=C;function O(w){let y=JSON.parse(w);return y=d(y),y}t.parse=O;var T;(function(w){w[w.Uri=1]="Uri",w[w.Regexp=2]="Regexp",w[w.ScmResource=3]="ScmResource",w[w.ScmResourceGroup=4]="ScmResourceGroup",w[w.ScmProvider=5]="ScmProvider",w[w.CommentController=6]="CommentController",w[w.CommentThread=7]="CommentThread",w[w.CommentThreadReply=8]="CommentThreadReply",w[w.CommentNode=9]="CommentNode",w[w.CommentThreadNode=10]="CommentThreadNode",w[w.TimelineActionContext=11]="TimelineActionContext",w[w.NotebookCellActionContext=12]="NotebookCellActionContext",w[w.TestItemContext=13]="TestItemContext"})(T=t.MarshalledId||(t.MarshalledId={}));function u(w,y){return y instanceof RegExp?{$mid:2,source:y.source,flags:F.regExpFlags(y)}:y}function d(w,y=0){if(!w||y>200)return w;if(typeof w=="object"){switch(w.$mid){case 1:return D.URI.revive(w);case 2:return new RegExp(w.source,w.flags)}if(w instanceof m.VSBuffer||w instanceof Uint8Array)return w;if(Array.isArray(w))for(let b=0;b<w.length;++b)w[b]=d(w[b],y+1);else for(const b in w)Object.hasOwnProperty.call(w,b)&&(w[b]=d(w[b],y+1))}return w}t.revive=d}),define(Z[61],te([0,1,18,35,3,45,4]),function(_,t,m,F,D,C,O){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getPathTerms=t.getBasenameTerms=t.isRelativePattern=t.hasSiblingFn=t.hasSiblingPromiseFn=t.parse=t.match=t.splitGlobAware=t.getEmptyExpression=void 0;function T(){return Object.create(null)}t.getEmptyExpression=T;const u="**",d="/",w="[/\\\\]",y="[^/\\\\]",b=/\//g;function k(a){switch(a){case 0:return"";case 1:return`${y}*?`;default:return`(?:${w}|${y}+${w}|${w}${y}+)*?`}}function c(a,g){if(!a)return[];const E=[];let L=!1,N=!1,V="";for(const j of a){switch(j){case g:if(!L&&!N){E.push(V),V="";continue}break;case"{":L=!0;break;case"}":L=!1;break;case"[":N=!0;break;case"]":N=!1;break}V+=j}return V&&E.push(V),E}t.splitGlobAware=c;function h(a){if(!a)return"";let g="";const E=c(a,d);if(E.every(L=>L===u))g=".*";else{let L=!1;E.forEach((N,V)=>{if(N===u){L||(g+=k(2),L=!0);return}let j=!1,W="",$=!1,X="";for(const J of N){if(J!=="}"&&j){W+=J;continue}if($&&(J!=="]"||!X)){let ne;J==="-"?ne=J:(J==="^"||J==="!")&&!X?ne="^":J===d?ne="":ne=m.escapeRegExpCharacters(J),X+=ne;continue}switch(J){case"{":j=!0;continue;case"[":$=!0;continue;case"}":g+=`(?:${c(W,",").map(me=>h(me)).join("|")})`,j=!1,W="";break;case"]":g+="["+X+"]",$=!1,X="";break;case"?":g+=y;continue;case"*":g+=k(1);continue;default:g+=m.escapeRegExpCharacters(J)}}V<E.length-1&&(E[V+1]!==u||V+2<E.length)&&(g+=w),L=!1})}return g}const S=/^\*\*\/\*\.[\w\.-]+$/,R=/^\*\*\/([\w\.-]+)\/?$/,P=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,v=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,r=/^\*\*((\/[\w\.-]+)+)\/?$/,o=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,e=new C.LRUCache(1e4),i=function(){return!1},n=function(){return null};function s(a,g){if(!a)return n;let E;typeof a!="string"?E=a.pattern:E=a,E=E.trim();const L=`${E}_${!!g.trimForExclusions}`;let N=e.get(L);if(N)return f(N,a);let V;if(S.test(E)){const j=E.substr(4);N=function(W,$){return typeof W=="string"&&W.endsWith(j)?E:null}}else(V=R.exec(p(E,g)))?N=I(V[1],E):(g.trimForExclusions?v:P).test(E)?N=U(E,g):(V=r.exec(p(E,g)))?N=A(V[1].substr(1),E,!0):(V=o.exec(p(E,g)))?N=A(V[1],E,!1):N=M(E);return e.set(L,N),f(N,a)}function f(a,g){return typeof g=="string"?a:function(E,L){return F.isEqualOrParent(E,g.base)?a(D.relative(g.base,E),L):null}}function p(a,g){return g.trimForExclusions&&a.endsWith("/**")?a.substr(0,a.length-2):a}function I(a,g){const E=`/${a}`,L=`\\${a}`,N=function(j,W){return typeof j!="string"?null:W?W===a?g:null:j===a||j.endsWith(E)||j.endsWith(L)?g:null},V=[a];return N.basenames=V,N.patterns=[g],N.allBasenames=V,N}function U(a,g){const E=l(a.slice(1,-1).split(",").map(W=>s(W,g)).filter(W=>W!==n),a),L=E.length;if(!L)return n;if(L===1)return E[0];const N=function(W,$){for(let X=0,J=E.length;X<J;X++)if(E[X](W,$))return a;return null},V=E.find(W=>!!W.allBasenames);V&&(N.allBasenames=V.allBasenames);const j=E.reduce((W,$)=>$.allPaths?W.concat($.allPaths):W,[]);return j.length&&(N.allPaths=j),N}function A(a,g,E){const L=D.sep===D.posix.sep,N=L?a:a.replace(b,D.sep),V=D.sep+N,j=D.posix.sep+a,W=E?function($,X){return typeof $=="string"&&($===N||$.endsWith(V)||!L&&($===a||$.endsWith(j)))?g:null}:function($,X){return typeof $=="string"&&($===N||!L&&$===a)?g:null};return W.allPaths=[(E?"*/":"./")+a],W}function M(a){try{const g=new RegExp(`^${h(a)}$`);return function(E){return g.lastIndex=0,typeof E=="string"&&g.test(E)?a:null}}catch(g){return n}}function x(a,g,E){return!a||typeof g!="string"?!1:q(a)(g,void 0,E)}t.match=x;function q(a,g={}){if(!a)return i;if(typeof a=="string"||ee(a)){const E=s(a,g);if(E===n)return i;const L=function(N,V){return!!E(N,V)};return E.allBasenames&&(L.allBasenames=E.allBasenames),E.allPaths&&(L.allPaths=E.allPaths),L}return B(a,g)}t.parse=q;function Q(a){if(!a)return;let g;return E=>(g||(g=(a()||Promise.resolve([])).then(L=>L?re(L):{})),g.then(L=>!!L[E]))}t.hasSiblingPromiseFn=Q;function ie(a){if(!a)return;let g;return E=>{if(!g){const L=a();g=L?re(L):{}}return!!g[E]}}t.hasSiblingFn=ie;function re(a){const g={};for(const E of a)g[E]=!0;return g}function ee(a){const g=a;return g&&typeof g.base=="string"&&typeof g.pattern=="string"}t.isRelativePattern=ee;function ae(a){return a.allBasenames||[]}t.getBasenameTerms=ae;function H(a){return a.allPaths||[]}t.getPathTerms=H;function B(a,g){const E=l(Object.getOwnPropertyNames(a).map(W=>Y(W,a[W],g)).filter(W=>W!==n)),L=E.length;if(!L)return n;if(!E.some(W=>!!W.requiresSiblings)){if(L===1)return E[0];const W=function(J,ne){for(let ue=0,me=E.length;ue<me;ue++){const we=E[ue](J,ne);if(we)return we}return null},$=E.find(J=>!!J.allBasenames);$&&(W.allBasenames=$.allBasenames);const X=E.reduce((J,ne)=>ne.allPaths?J.concat(ne.allPaths):J,[]);return X.length&&(W.allPaths=X),W}const N=function(W,$,X){let J;for(let ne=0,ue=E.length;ne<ue;ne++){const me=E[ne];me.requiresSiblings&&X&&($||($=D.basename(W)),J||(J=$.substr(0,$.length-D.extname(W).length)));const we=me(W,$,J,X);if(we)return we}return null},V=E.find(W=>!!W.allBasenames);V&&(N.allBasenames=V.allBasenames);const j=E.reduce((W,$)=>$.allPaths?W.concat($.allPaths):W,[]);return j.length&&(N.allPaths=j),N}function Y(a,g,E){if(g===!1)return n;const L=s(a,E);if(L===n)return n;if(typeof g=="boolean")return L;if(g){const N=g.when;if(typeof N=="string"){const V=(j,W,$,X)=>{if(!X||!L(j,W))return null;const J=N.replace("$(basename)",$),ne=X(J);return O.isThenable(ne)?ne.then(ue=>ue?a:null):ne?a:null};return V.requiresSiblings=!0,V}}return L}function l(a,g){const E=a.filter(W=>!!W.basenames);if(E.length<2)return a;const L=E.reduce((W,$)=>{const X=$.basenames;return X?W.concat(X):W},[]);let N;if(g){N=[];for(let W=0,$=L.length;W<$;W++)N.push(g)}else N=E.reduce((W,$)=>{const X=$.patterns;return X?W.concat(X):W},[]);const V=function(W,$){if(typeof W!="string")return null;if(!$){let J;for(J=W.length;J>0;J--){const ne=W.charCodeAt(J-1);if(ne===47||ne===92)break}$=W.substr(J)}const X=L.indexOf($);return X!==-1?N[X]:null};V.basenames=L,V.patterns=N,V.allBasenames=L;const j=a.filter(W=>!W.basenames);return j.push(V),j}}),define(Z[62],te([0,1,7,3,18,8,14,20,35]),function(_,t,m,F,D,C,O,T,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.splitName=t.unmnemonicLabel=t.mnemonicButtonLabel=t.mnemonicMenuLabel=t.template=t.shorten=t.untildify=t.tildify=t.normalizeDriveLetter=t.getBaseLabel=t.getPathLabel=void 0;function d(s,f,p){if(typeof s=="string"&&(s=m.URI.file(s)),p){const U=p.getWorkspaceFolder(s);if(U){const A=p.getWorkspace().folders.length>1;let M;if(T.isEqual(U.uri,s)?M="":M=T.relativePath(U.uri,s),A){const x=U.name?U.name:T.basename(U.uri);M=M?x+" \u2022 "+M:x}return M}}if(s.scheme!==C.Schemas.file&&s.scheme!==C.Schemas.untitled)return s.with({query:null,fragment:null}).toString(!0);if(u.hasDriveLetter(s.fsPath))return F.normalize(y(s.fsPath));let I=F.normalize(s.fsPath);return!O.isWindows&&f?.userHome&&(I=k(I,f.userHome.fsPath)),I}t.getPathLabel=d;function w(s){if(!s)return;typeof s=="string"&&(s=m.URI.file(s));const f=T.basename(s)||(s.scheme===C.Schemas.file?s.fsPath:s.path);return O.isWindows&&u.isRootOrDriveLetter(f)?y(f):f}t.getBaseLabel=w;function y(s){return u.hasDriveLetter(s)?s.charAt(0).toUpperCase()+s.slice(1):s}t.normalizeDriveLetter=y;let b=Object.create(null);function k(s,f){if(O.isWindows||!s||!f)return s;let p=b.original===f?b.normalized:void 0;return p||(p=`${D.rtrim(f,F.posix.sep)}${F.posix.sep}`,b={original:f,normalized:p}),(O.isLinux?s.startsWith(p):D.startsWithIgnoreCase(s,p))&&(s=`~/${s.substr(p.length)}`),s}t.tildify=k;function c(s,f){return s.replace(/^~($|\/|\\)/,`${f}$1`)}t.untildify=c;const h="\u2026",S="\\\\",R="~";function P(s,f=F.sep){const p=new Array(s.length);let I=!1;for(let U=0;U<s.length;U++){let A=s[U];if(A===""){p[U]=`.${f}`;continue}if(!A){p[U]=A;continue}I=!0;let M="";A.indexOf(S)===0?(M=A.substr(0,A.indexOf(S)+S.length),A=A.substr(A.indexOf(S)+S.length)):A.indexOf(f)===0?(M=A.substr(0,A.indexOf(f)+f.length),A=A.substr(A.indexOf(f)+f.length)):A.indexOf(R)===0&&(M=A.substr(0,A.indexOf(R)+R.length),A=A.substr(A.indexOf(R)+R.length));const x=A.split(f);for(let q=1;I&&q<=x.length;q++)for(let Q=x.length-q;I&&Q>=0;Q--){I=!1;let ie=x.slice(Q,Q+q).join(f);for(let re=0;!I&&re<s.length;re++)if(re!==U&&s[re]&&s[re].indexOf(ie)>-1){const ee=Q+q===x.length,ae=Q>0&&s[re].indexOf(f)>-1?f+ie:ie,H=s[re].endsWith(ae);I=!ee||H}if(!I){let re="";(x[0].endsWith(":")||M!=="")&&(Q===1&&(Q=0,q++,ie=x[0]+f+ie),Q>0&&(re=x[0]+f),re=M+re),Q>0&&(re=re+h+f),re=re+ie,Q+q<x.length&&(re=re+f+h),p[U]=re}}I&&(p[U]=A)}return p}t.shorten=P;var v;(function(s){s[s.TEXT=0]="TEXT",s[s.VARIABLE=1]="VARIABLE",s[s.SEPARATOR=2]="SEPARATOR"})(v||(v={}));function r(s,f=Object.create(null)){const p=[];let I=!1,U="";for(const A of s)if(A==="$"||I&&A==="{")U&&p.push({value:U,type:v.TEXT}),U="",I=!0;else if(A==="}"&&I){const M=f[U];if(typeof M=="string")M.length&&p.push({value:M,type:v.VARIABLE});else if(M){const x=p[p.length-1];(!x||x.type!==v.SEPARATOR)&&p.push({value:M.label,type:v.SEPARATOR})}U="",I=!1}else U+=A;return U&&!I&&p.push({value:U,type:v.TEXT}),p.filter((A,M)=>{if(A.type===v.SEPARATOR){const x=p[M-1],q=p[M+1];return[x,q].every(Q=>Q&&(Q.type===v.VARIABLE||Q.type===v.TEXT)&&Q.value.length>0)}return!0}).map(A=>A.value).join("")}t.template=r;function o(s,f){return O.isMacintosh||f?s.replace(/\(&&\w\)|&&/g,"").replace(/&/g,O.isMacintosh?"&":"&&"):s.replace(/&&|&/g,p=>p==="&"?"&&":"&")}t.mnemonicMenuLabel=o;function e(s,f){return O.isMacintosh||f?s.replace(/\(&&\w\)|&&/g,""):O.isWindows?s.replace(/&&|&/g,p=>p==="&"?"&&":"&"):s.replace(/&&/g,"_")}t.mnemonicButtonLabel=e;function i(s){return s.replace(/&/g,"&&")}t.unmnemonicLabel=i;function n(s){const f=s.indexOf("/")!==-1?F.posix:F.win32,p=f.basename(s),I=f.dirname(s);return p.length?{name:p,parentPath:I}:{name:I,parentPath:""}}t.splitName=n}),define(Z[46],te([0,1,124]),function(_,t,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LineDecoder=void 0;class F{constructor(C="utf8"){this.stringDecoder=new m.StringDecoder(C),this.remaining=null}write(C){const O=[],T=this.remaining?this.remaining+this.stringDecoder.write(C):this.stringDecoder.write(C);if(T.length<1)return O;let u=0,d,w=u;for(;w<T.length;)if(d=T.charCodeAt(w),d===13||d===10){if(O.push(T.substring(u,w)),w++,w<T.length){const y=d;d=T.charCodeAt(w),(y===13&&d===10||y===10&&d===13)&&w++}u=w}else w++;return this.remaining=u<T.length?T.substr(u):null,O}end(){return this.remaining}}t.LineDecoder=F}),define(Z[63],te([0,1,36,18,3,9]),function(_,t,m,F,D,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.realpathSync=t.realpath=t.realcaseSync=void 0;function O(w){const y=D.dirname(w);if(w===y)return w;const b=(D.basename(w)||w).toLowerCase();try{const c=C.readdirSync(y).filter(h=>h.toLowerCase()===b);if(c.length===1){const h=O(y);if(h)return D.join(h,c[0])}else if(c.length>1){const h=c.indexOf(b);if(h>=0){const S=O(y);if(S)return D.join(S,c[h])}}}catch(k){}return null}t.realcaseSync=O;async function T(w){try{return await C.Promises.realpath(w)}catch(y){const b=d(w);return await C.Promises.access(b,m.constants.R_OK),b}}t.realpath=T;function u(w){try{return m.realpathSync(w)}catch(y){const b=d(w);return m.accessSync(b,m.constants.R_OK),b}}t.realpathSync=u;function d(w){return F.rtrim(D.normalize(w),D.sep)}}),define(Z[64],te([0,1,9,31,3]),function(_,t,m,F,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getFirstAvailablePowerShellInstallation=t.enumeratePowerShellInstallations=void 0;const C=/^\d+$/,O=/^Microsoft.PowerShell_.*/,T=/^Microsoft.PowerShellPreview_.*/;var u;(function(r){r[r.x64=0]="x64",r[r.x86=1]="x86",r[r.ARM=2]="ARM"})(u||(u={}));let d;switch(process.arch){case"ia32":case"x32":d=1;break;case"arm":case"arm64":d=2;break;default:d=0;break}let w;process.env.PROCESSOR_ARCHITEW6432?w=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?w=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?w=1:w=0;class y{constructor(o,e,i){this.exePath=o,this.displayName=e,this.knownToExist=i}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await m.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function b({useAlternateBitness:r=!1}={}){return r?d===0?process.env["ProgramFiles(x86)"]||null:w===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function k({useAlternateBitness:r=!1,findPreview:o=!1}={}){const e=b({useAlternateBitness:r});if(!e)return null;const i=D.join(e,"PowerShell");if(!await m.SymlinkSupport.existsDirectory(i))return null;let n=-1,s=null;for(const I of await m.Promises.readdir(i)){let U=-1;if(o){const M=I.indexOf("-");if(M<0)continue;const x=I.substring(0,M);if(!C.test(x)||I.substring(M+1)!=="preview")continue;U=parseInt(x,10)}else{if(!C.test(I))continue;U=parseInt(I,10)}if(U<=n)continue;const A=D.join(i,I,"pwsh.exe");!await m.SymlinkSupport.existsFile(A)||(s=A,n=U)}if(!s)return null;const f=e.includes("x86")?" (x86)":"",p=o?" Preview":"";return new y(s,`PowerShell${p}${f}`,!0)}async function c({findPreview:r}={}){if(!process.env.LOCALAPPDATA)return null;const o=D.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await m.SymlinkSupport.existsDirectory(o))return null;const{pwshMsixDirRegex:e,pwshMsixName:i}=r?{pwshMsixDirRegex:T,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:O,pwshMsixName:"PowerShell (Store)"};for(const n of await m.Promises.readdir(o))if(e.test(n)){const s=D.join(o,n,"pwsh.exe");return new y(s,i)}return null}function h(){const r=D.join(F.homedir(),".dotnet","tools","pwsh.exe");return new y(r,".NET Core PowerShell Global Tool")}function S(){const r=D.join(process.env.windir,d===1&&w!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new y(r,"Windows PowerShell",!0)}async function*R(){let r=await k();r&&(yield r),r=await k({useAlternateBitness:!0}),r&&(yield r),r=await c(),r&&(yield r),r=h(),r&&(yield r),r=await k({findPreview:!0}),r&&(yield r),r=await c({findPreview:!0}),r&&(yield r),r=await k({useAlternateBitness:!0,findPreview:!0}),r&&(yield r),r=S(),r&&(yield r)}async function*P(){for await(const r of R())await r.exists()&&(yield r)}t.enumeratePowerShellInstallations=P;async function v(){for await(const r of P())return r;return null}t.getFirstAvailablePowerShellInstallation=v}),define(Z[65],te([0,1,3,36,14,125,2,9]),function(_,t,m,F,D,C,O,T){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CHANGE_BUFFER_DELAY=t.watchFolder=t.watchFile=void 0;function u(y,b,k){return w({path:y,isDirectory:!1},b,k)}t.watchFile=u;function d(y,b,k){return w({path:y,isDirectory:!0},b,k)}t.watchFolder=d,t.CHANGE_BUFFER_DELAY=100;function w(y,b,k){const c=m.basename(y.path),h=new Map;let S=!1,R=[O.toDisposable(()=>{h.forEach(P=>O.dispose(P)),h.clear()})];try{const P=F.watch(y.path);R.push(O.toDisposable(()=>{P.removeAllListeners(),P.close()}));const v=new Set;y.isDirectory&&T.Promises.readdir(y.path).then(r=>r.forEach(o=>v.add(o))),P.on("error",(r,o)=>{S||k(`Failed to watch ${y.path} for changes using fs.watch() (${r}, ${o})`)}),P.on("change",(r,o)=>{if(S)return;let e="";if(o&&(e=o.toString(),D.isMacintosh&&(e=C.normalizeNFC(e))),!e||r!=="change"&&r!=="rename")return;const i=y.isDirectory?m.join(y.path,e):y.path;if(y.isDirectory)if(r==="rename"){const n=h.get(i);n&&O.dispose(n);const s=setTimeout(async()=>{h.delete(i);const f=await T.Promises.exists(i);if(S)return;let p;f?v.has(e)?p="changed":(p="added",v.add(e)):(v.delete(e),p="deleted"),b(p,i)},t.CHANGE_BUFFER_DELAY);h.set(i,O.toDisposable(()=>clearTimeout(s)))}else{let n;v.has(e)?n="changed":(n="added",v.add(e)),b(n,i)}else if(r==="rename"||e!==c){const n=setTimeout(async()=>{const s=await T.Promises.exists(i);S||(s?(b("changed",i),R=[w(y,b,k)]):b("deleted",i))},t.CHANGE_BUFFER_DELAY);O.dispose(R),R=[O.toDisposable(()=>clearTimeout(n))]}else b("changed",i)})}catch(P){T.Promises.exists(y.path).then(v=>{v&&!S&&k(`Failed to watch ${y.path} for changes using fs.watch() (${P.toString()})`)})}return O.toDisposable(()=>{S=!0,R=O.dispose(R)})}});var ce=this&&this.__decorate||function(_,t,m,F){var D=arguments.length,C=D<3?t:F===null?F=Object.getOwnPropertyDescriptor(t,m):F,O;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")C=Reflect.decorate(_,t,m,F);else for(var T=_.length-1;T>=0;T--)(O=_[T])&&(C=(D<3?O(C):D>3?O(t,m,C):O(t,m))||C);return D>3&&C&&Object.defineProperty(t,m,C),C};define(Z[37],te([0,1,10,2,4,26,12,16,22,13,60,18,44]),function(_,t,m,F,D,C,O,T,u,d,w,y,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IPCLogger=t.logWithColors=t.ProxyChannel=t.StaticRouter=t.getNextTickChannel=t.getDelayedChannel=t.IPCClient=t.IPCServer=t.ChannelClient=t.RequestInitiator=t.ChannelServer=t.ResponseType=t.RequestType=void 0;var k;(function(l){l[l.Promise=100]="Promise",l[l.PromiseCancel=101]="PromiseCancel",l[l.EventListen=102]="EventListen",l[l.EventDispose=103]="EventDispose"})(k=t.RequestType||(t.RequestType={}));function c(l){switch(l){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var h;(function(l){l[l.Initialize=200]="Initialize",l[l.PromiseSuccess=201]="PromiseSuccess",l[l.PromiseError=202]="PromiseError",l[l.PromiseErrorObj=203]="PromiseErrorObj",l[l.EventFire=204]="EventFire"})(h=t.ResponseType||(t.ResponseType={}));function S(l){switch(l){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var R;(function(l){l[l.Uninitialized=0]="Uninitialized",l[l.Idle=1]="Idle"})(R||(R={}));class P{constructor(a){this.buffer=a,this.pos=0}read(a){const g=this.buffer.slice(this.pos,this.pos+a);return this.pos+=g.byteLength,g}}class v{constructor(){this.buffers=[]}get buffer(){return T.VSBuffer.concat(this.buffers)}write(a){this.buffers.push(a)}}var r;(function(l){l[l.Undefined=0]="Undefined",l[l.String=1]="String",l[l.Buffer=2]="Buffer",l[l.VSBuffer=3]="VSBuffer",l[l.Array=4]="Array",l[l.Object=5]="Object"})(r||(r={}));function o(l){const a=T.VSBuffer.alloc(4);return a.writeUInt32BE(l,0),a}function e(l){return l.read(4).readUInt32BE(0)}function i(l){const a=T.VSBuffer.alloc(1);return a.writeUInt8(l,0),a}const n={Undefined:i(r.Undefined),String:i(r.String),Buffer:i(r.Buffer),VSBuffer:i(r.VSBuffer),Array:i(r.Array),Object:i(r.Object)},s=typeof Buffer!="undefined";function f(l,a){if(typeof a=="undefined")l.write(n.Undefined);else if(typeof a=="string"){const g=T.VSBuffer.fromString(a);l.write(n.String),l.write(o(g.byteLength)),l.write(g)}else if(s&&Buffer.isBuffer(a)){const g=T.VSBuffer.wrap(a);l.write(n.Buffer),l.write(o(g.byteLength)),l.write(g)}else if(a instanceof T.VSBuffer)l.write(n.VSBuffer),l.write(o(a.byteLength)),l.write(a);else if(Array.isArray(a)){l.write(n.Array),l.write(o(a.length));for(const g of a)f(l,g)}else{const g=T.VSBuffer.fromString(JSON.stringify(a));l.write(n.Object),l.write(o(g.byteLength)),l.write(g)}}function p(l){switch(l.read(1).readUInt8(0)){case r.Undefined:return;case r.String:return l.read(e(l)).toString();case r.Buffer:return l.read(e(l)).buffer;case r.VSBuffer:return l.read(e(l));case r.Array:{const g=e(l),E=[];for(let L=0;L<g;L++)E.push(p(l));return E}case r.Object:return JSON.parse(l.read(e(l)).toString())}}class I{constructor(a,g,E=null,L=1e3){this.protocol=a,this.ctx=g,this.logger=E,this.timeoutDelay=L,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(N=>this.onRawMessage(N)),this.sendResponse({type:200})}registerChannel(a,g){this.channels.set(a,g),setTimeout(()=>this.flushPendingRequests(a),0)}sendResponse(a){switch(a.type){case 200:{const g=this.send([a.type]);this.logger&&this.logger.logOutgoing(g,0,1,S(a.type));return}case 201:case 202:case 204:case 203:{const g=this.send([a.type,a.id],a.data);this.logger&&this.logger.logOutgoing(g,a.id,1,S(a.type),a.data);return}}}send(a,g=void 0){const E=new v;return f(E,a),f(E,g),this.sendBuffer(E.buffer)}sendBuffer(a){try{return this.protocol.send(a),a.byteLength}catch(g){return 0}}onRawMessage(a){const g=new P(a),E=p(g),L=p(g),N=E[0];switch(N){case 100:return this.logger&&this.logger.logIncoming(a.byteLength,E[1],1,`${c(N)}: ${E[2]}.${E[3]}`,L),this.onPromise({type:N,id:E[1],channelName:E[2],name:E[3],arg:L});case 102:return this.logger&&this.logger.logIncoming(a.byteLength,E[1],1,`${c(N)}: ${E[2]}.${E[3]}`,L),this.onEventListen({type:N,id:E[1],channelName:E[2],name:E[3],arg:L});case 101:return this.logger&&this.logger.logIncoming(a.byteLength,E[1],1,`${c(N)}`),this.disposeActiveRequest({type:N,id:E[1]});case 103:return this.logger&&this.logger.logIncoming(a.byteLength,E[1],1,`${c(N)}`),this.disposeActiveRequest({type:N,id:E[1]})}}onPromise(a){const g=this.channels.get(a.channelName);if(!g){this.collectPendingRequest(a);return}const E=new C.CancellationTokenSource;let L;try{L=g.call(this.ctx,a.name,a.arg,E.token)}catch(j){L=Promise.reject(j)}const N=a.id;L.then(j=>{this.sendResponse({id:N,data:j,type:201}),this.activeRequests.delete(a.id)},j=>{j instanceof Error?this.sendResponse({id:N,data:{message:j.message,name:j.name,stack:j.stack?j.stack.split?j.stack.split(`
`):j.stack:void 0},type:202}):this.sendResponse({id:N,data:j,type:203}),this.activeRequests.delete(a.id)});const V=F.toDisposable(()=>E.cancel());this.activeRequests.set(a.id,V)}onEventListen(a){const g=this.channels.get(a.channelName);if(!g){this.collectPendingRequest(a);return}const E=a.id,N=g.listen(this.ctx,a.name,a.arg)(V=>this.sendResponse({id:E,data:V,type:204}));this.activeRequests.set(a.id,N)}disposeActiveRequest(a){const g=this.activeRequests.get(a.id);g&&(g.dispose(),this.activeRequests.delete(a.id))}collectPendingRequest(a){let g=this.pendingRequests.get(a.channelName);g||(g=[],this.pendingRequests.set(a.channelName,g));const E=setTimeout(()=>{console.error(`Unknown channel: ${a.channelName}`),a.type===100&&this.sendResponse({id:a.id,data:{name:"Unknown channel",message:`Channel name '${a.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);g.push({request:a,timeoutTimer:E})}flushPendingRequests(a){const g=this.pendingRequests.get(a);if(g){for(const E of g)switch(clearTimeout(E.timeoutTimer),E.request.type){case 100:this.onPromise(E.request);break;case 102:this.onEventListen(E.request);break}this.pendingRequests.delete(a)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(a=>a.dispose()),this.activeRequests.clear()}}t.ChannelServer=I;var U;(function(l){l[l.LocalSide=0]="LocalSide",l[l.OtherSide=1]="OtherSide"})(U=t.RequestInitiator||(t.RequestInitiator={}));class A{constructor(a,g=null){this.protocol=a,this.isDisposed=!1,this.state=R.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new m.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(E=>this.onBuffer(E)),this.logger=g}getChannel(a){const g=this;return{call(E,L,N){return g.isDisposed?Promise.reject(O.canceled()):g.requestPromise(a,E,L,N)},listen(E,L){return g.isDisposed?Promise.reject(O.canceled()):g.requestEvent(a,E,L)}}}requestPromise(a,g,E,L=C.CancellationToken.None){const N=this.lastRequestId++,j={id:N,type:100,channelName:a,name:g,arg:E};if(L.isCancellationRequested)return Promise.reject(O.canceled());let W;return new Promise((X,J)=>{if(L.isCancellationRequested)return J(O.canceled());const ne=()=>{const Fe=Te=>{switch(Te.type){case 201:this.handlers.delete(N),X(Te.data);break;case 202:this.handlers.delete(N);const Se=new Error(Te.data.message);Se.stack=Te.data.stack,Se.name=Te.data.name,J(Se);break;case 203:this.handlers.delete(N),J(Te.data);break}};this.handlers.set(N,Fe),this.sendRequest(j)};let ue=null;this.state===R.Idle?ne():(ue=D.createCancelablePromise(Fe=>this.whenInitialized()),ue.then(()=>{ue=null,ne()}));const me=()=>{ue?(ue.cancel(),ue=null):this.sendRequest({id:N,type:101}),J(O.canceled())},we=L.onCancellationRequested(me);W=F.combinedDisposable(F.toDisposable(me),we),this.activeRequests.add(W)}).finally(()=>{this.activeRequests.delete(W)})}requestEvent(a,g,E){const L=this.lastRequestId++,V={id:L,type:102,channelName:a,name:g,arg:E};let j=null;const W=new m.Emitter({onFirstListenerAdd:()=>{j=D.createCancelablePromise(X=>this.whenInitialized()),j.then(()=>{j=null,this.activeRequests.add(W),this.sendRequest(V)})},onLastListenerRemove:()=>{j?(j.cancel(),j=null):(this.activeRequests.delete(W),this.sendRequest({id:L,type:103}))}}),$=X=>W.fire(X.data);return this.handlers.set(L,$),W.event}sendRequest(a){switch(a.type){case 100:case 102:{const g=this.send([a.type,a.id,a.channelName,a.name],a.arg);this.logger&&this.logger.logOutgoing(g,a.id,0,`${c(a.type)}: ${a.channelName}.${a.name}`,a.arg);return}case 101:case 103:{const g=this.send([a.type,a.id]);this.logger&&this.logger.logOutgoing(g,a.id,0,c(a.type));return}}}send(a,g=void 0){const E=new v;return f(E,a),f(E,g),this.sendBuffer(E.buffer)}sendBuffer(a){try{return this.protocol.send(a),a.byteLength}catch(g){return 0}}onBuffer(a){const g=new P(a),E=p(g),L=p(g),N=E[0];switch(N){case 200:return this.logger&&this.logger.logIncoming(a.byteLength,0,0,S(N)),this.onResponse({type:E[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(a.byteLength,E[1],0,S(N),L),this.onResponse({type:E[0],id:E[1],data:L})}}onResponse(a){if(a.type===200){this.state=R.Idle,this._onDidInitialize.fire();return}const g=this.handlers.get(a.id);g&&g(a)}get onDidInitializePromise(){return m.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===R.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(a=>a.dispose()),this.activeRequests.clear()}}ce([b.memoize],A.prototype,"onDidInitializePromise",null),t.ChannelClient=A;class M{constructor(a){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new m.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new m.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,a(({protocol:g,onDidClientDisconnect:E})=>{m.Event.once(g.onMessage)(N=>{const V=new P(N),j=p(V),W=new I(g,j),$=new A(g);this.channels.forEach((J,ne)=>W.registerChannel(ne,J));const X={channelServer:W,channelClient:$,ctx:j};this._connections.add(X),this._onDidAddConnection.fire(X),E(()=>{W.dispose(),$.dispose(),this._connections.delete(X),this._onDidRemoveConnection.fire(X)})})})}get connections(){const a=[];return this._connections.forEach(g=>a.push(g)),a}getChannel(a,g){const E=this;return{call(L,N,V){let j;if(d.isFunction(g)){let $=u.getRandomElement(E.connections.filter(g));j=$?Promise.resolve($):m.Event.toPromise(m.Event.filter(E.onDidAddConnection,g))}else j=g.routeCall(E,L,N);const W=j.then($=>$.channelClient.getChannel(a));return q(W).call(L,N,V)},listen(L,N){if(d.isFunction(g))return E.getMulticastEvent(a,g,L,N);const V=g.routeEvent(E,L,N).then(j=>j.channelClient.getChannel(a));return q(V).listen(L,N)}}}getMulticastEvent(a,g,E,L){const N=this;let V=new F.DisposableStore;const j=new m.Emitter({onFirstListenerAdd:()=>{V=new F.DisposableStore;const W=new m.EventMultiplexer,$=new Map,X=ne=>{const me=ne.channelClient.getChannel(a).listen(E,L),we=W.add(me);$.set(ne,we)},J=ne=>{const ue=$.get(ne);!ue||(ue.dispose(),$.delete(ne))};N.connections.filter(g).forEach(X),m.Event.filter(N.onDidAddConnection,g)(X,void 0,V),N.onDidRemoveConnection(J,void 0,V),W.event(j.fire,j,V),V.add(W)},onLastListenerRemove:()=>{V.dispose()}});return j.event}registerChannel(a,g){this.channels.set(a,g),this._connections.forEach(E=>{E.channelServer.registerChannel(a,g)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}t.IPCServer=M;class x{constructor(a,g,E=null){const L=new v;f(L,g),a.send(L.buffer),this.channelClient=new A(a,E),this.channelServer=new I(a,g,E)}getChannel(a){return this.channelClient.getChannel(a)}registerChannel(a,g){this.channelServer.registerChannel(a,g)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}t.IPCClient=x;function q(l){return{call(a,g,E){return l.then(L=>L.call(a,g,E))},listen(a,g){const E=new m.Relay;return l.then(L=>E.input=L.listen(a,g)),E.event}}}t.getDelayedChannel=q;function Q(l){let a=!1;return{call(g,E,L){return a?l.call(g,E,L):D.timeout(0).then(()=>a=!0).then(()=>l.call(g,E,L))},listen(g,E){if(a)return l.listen(g,E);const L=new m.Relay;return D.timeout(0).then(()=>a=!0).then(()=>L.input=l.listen(g,E)),L.event}}}t.getNextTickChannel=Q;class ie{constructor(a){this.fn=a}routeCall(a){return this.route(a)}routeEvent(a){return this.route(a)}async route(a){for(const g of a.connections)if(await Promise.resolve(this.fn(g.ctx)))return Promise.resolve(g);return await m.Event.toPromise(a.onDidAddConnection),await this.route(a)}}t.StaticRouter=ie;var re;(function(l){function a(L,N){const V=L,j=N&&N.disableMarshalling,W=new Map;for(const $ in V)E($)&&W.set($,m.Event.buffer(V[$],!0));return new class{listen($,X){const J=W.get(X);if(J)return J;throw new Error(`Event not found: ${X}`)}call($,X,J){const ne=V[X];if(typeof ne=="function"){if(!j&&Array.isArray(J))for(let ue=0;ue<J.length;ue++)J[ue]=w.revive(J[ue]);return ne.apply(V,J)}throw new Error(`Method not found: ${X}`)}}}l.fromService=a;function g(L,N){const V=N&&N.disableMarshalling;return new Proxy({},{get(j,W){if(typeof W=="string")return N?.properties?.has(W)?N.properties.get(W):E(W)?L.listen(W):async function(...$){let X;N&&!d.isUndefinedOrNull(N.context)?X=[N.context,...$]:X=$;const J=await L.call(W,X);return V?J:w.revive(J)};throw new Error(`Property not found: ${String(W)}`)}})}l.toService=g;function E(L){return L[0]==="o"&&L[1]==="n"&&y.isUpperAsciiLetter(L.charCodeAt(2))}})(re=t.ProxyChannel||(t.ProxyChannel={}));const ee=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function ae(l){if(Array.isArray(l))return l;if(l&&typeof l=="object"&&typeof l.toString=="function"){let a=l.toString();if(a!=="[object Object]")return a}return l}function H(l){return Array.isArray(l)?l.map(ae):ae(l)}function B(l,a,g,E,L,N,V){V=H(V);const j=ee[L],W=j[E%j.length];let $=[`%c[${l}]%c[${String(a).padStart(7," ")}]%c[len: ${String(g).padStart(5," ")}]%c${String(E).padStart(5," ")} - ${N}`,"color: darkgreen","color: grey","color: grey",`color: ${W}`];/\($/.test(N)?($=$.concat(V),$.push(")")):$.push(V),console.log.apply(console,$)}t.logWithColors=B;class Y{constructor(a,g){this._outgoingPrefix=a,this._incomingPrefix=g,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(a,g,E,L,N){this._totalOutgoing+=a,B(this._outgoingPrefix,this._totalOutgoing,a,g,E,L,N)}logIncoming(a,g,E,L,N){this._totalIncoming+=a,B(this._incomingPrefix,this._totalIncoming,a,g,E,L,N)}}t.IPCLogger=Y}),define(Z[66],te([0,1,2,10,4,13]),function(_,t,m,F,D,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.InMemoryStorageDatabase=t.Storage=t.StorageHint=void 0;var O;(function(w){w[w.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(O=t.StorageHint||(t.StorageHint={}));var T;(function(w){w[w.None=0]="None",w[w.Initialized=1]="Initialized",w[w.Closed=2]="Closed"})(T||(T={}));class u extends m.Disposable{constructor(y,b=Object.create(null)){super();this.database=y,this.options=b,this._onDidChangeStorage=this._register(new F.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=T.None,this.cache=new Map,this.flushDelayer=new D.ThrottledDelayer(u.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(y=>this.onDidChangeItemsExternal(y)))}onDidChangeItemsExternal(y){y.changed?.forEach((b,k)=>this.accept(k,b)),y.deleted?.forEach(b=>this.accept(b,void 0))}accept(y,b){if(this.state===T.Closed)return;let k=!1;C.isUndefinedOrNull(b)?k=this.cache.delete(y):this.cache.get(y)!==b&&(this.cache.set(y,b),k=!0),k&&this._onDidChangeStorage.fire(y)}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===T.None&&(this.state=T.Initialized,this.options.hint!==O.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(y,b){const k=this.cache.get(y);return C.isUndefinedOrNull(k)?b:k}getBoolean(y,b){const k=this.get(y);return C.isUndefinedOrNull(k)?b:k==="true"}getNumber(y,b){const k=this.get(y);return C.isUndefinedOrNull(k)?b:parseInt(k,10)}async set(y,b){if(this.state===T.Closed)return;if(C.isUndefinedOrNull(b))return this.delete(y);const k=String(b);if(this.cache.get(y)!==k)return this.cache.set(y,k),this.pendingInserts.set(y,k),this.pendingDeletes.delete(y),this._onDidChangeStorage.fire(y),this.flushDelayer.trigger(()=>this.flushPending())}async delete(y){if(!(this.state===T.Closed||!this.cache.delete(y)))return this.pendingDeletes.has(y)||this.pendingDeletes.add(y),this.pendingInserts.delete(y),this._onDidChangeStorage.fire(y),this.flushDelayer.trigger(()=>this.flushPending())}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=T.Closed;try{await this.flushDelayer.trigger(()=>this.flushPending(),0)}catch(y){}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!this.hasPending)return;const y={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(y).finally(()=>{if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)this.whenFlushedCallbacks.pop()?.()})}async whenFlushed(){if(!!this.hasPending)return new Promise(y=>this.whenFlushedCallbacks.push(y))}dispose(){this.flushDelayer.dispose(),super.dispose()}}t.Storage=u,u.DEFAULT_FLUSH_DELAY=100;class d{constructor(){this.onDidChangeItemsExternal=F.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(y){y.insert&&y.insert.forEach((b,k)=>this.items.set(k,b)),y.delete&&y.delete.forEach(b=>this.items.delete(b))}async close(){}}t.InMemoryStorageDatabase=d}),define(Z[67],te([5,6]),function(_,t){return _.create("vs/base/common/date",t)}),define(Z[68],te([0,1,67]),function(_,t,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.toLocalISOString=t.fromNow=void 0;const F=60,D=F*60,C=D*24,O=C*7,T=C*30,u=C*365;function d(y,b){typeof y!="number"&&(y=y.getTime());const k=Math.round((new Date().getTime()-y)/1e3);if(k<-30)return m.localize(0,null,d(new Date().getTime()+k*1e3,!1));if(k<30)return m.localize(1,null);let c;return k<F?(c=k,b?c===1?m.localize(2,null,c):m.localize(3,null,c):c===1?m.localize(4,null,c):m.localize(5,null,c)):k<D?(c=Math.floor(k/F),b?c===1?m.localize(6,null,c):m.localize(7,null,c):c===1?m.localize(8,null,c):m.localize(9,null,c)):k<C?(c=Math.floor(k/D),b?c===1?m.localize(10,null,c):m.localize(11,null,c):c===1?m.localize(12,null,c):m.localize(13,null,c)):k<O?(c=Math.floor(k/C),b?c===1?m.localize(14,null,c):m.localize(15,null,c):c===1?m.localize(16,null,c):m.localize(17,null,c)):k<T?(c=Math.floor(k/O),b?c===1?m.localize(18,null,c):m.localize(19,null,c):c===1?m.localize(20,null,c):m.localize(21,null,c)):k<u?(c=Math.floor(k/T),b?c===1?m.localize(22,null,c):m.localize(23,null,c):c===1?m.localize(24,null,c):m.localize(25,null,c)):(c=Math.floor(k/u),b?c===1?m.localize(26,null,c):m.localize(27,null,c):c===1?m.localize(28,null,c):m.localize(29,null,c))}t.fromNow=d;function w(y){return y.getFullYear()+"-"+String(y.getMonth()+1).padStart(2,"0")+"-"+String(y.getDate()).padStart(2,"0")+"T"+String(y.getHours()).padStart(2,"0")+":"+String(y.getMinutes()).padStart(2,"0")+":"+String(y.getSeconds()).padStart(2,"0")+"."+(y.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}t.toLocalISOString=w}),define(Z[69],te([5,6]),function(_,t){return _.create("vs/base/common/errorMessage",t)}),define(Z[28],te([0,1,69,13,22]),function(_,t,m,F,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.toErrorMessage=void 0;function C(d,w){return w&&(d.stack||d.stacktrace)?m.localize(0,null,T(d),O(d.stack)||O(d.stacktrace)):T(d)}function O(d){return Array.isArray(d)?d.join(`
`):d}function T(d){return typeof d.code=="string"&&typeof d.errno=="number"&&typeof d.syscall=="string"?m.localize(1,null,d.message):d.message||m.localize(2,null)}function u(d=null,w=!1){if(!d)return m.localize(3,null);if(Array.isArray(d)){const y=D.coalesce(d),b=u(y[0],w);return y.length>1?m.localize(4,null,b,y.length):b}if(F.isString(d))return d;if(d.detail){const y=d.detail;if(y.error)return C(y.error,w);if(y.exception)return C(y.exception,w)}return d.stack?C(d,w):d.message?d.message:m.localize(5,null)}t.toErrorMessage=u}),define(Z[70],te([5,6]),function(_,t){return _.create("vs/base/node/processes",t)}),define(Z[47],te([0,1,3,9,32,70,33,13,19,35,14,46,8]),function(_,t,m,F,D,C,O,T,u,d,w,y,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.win32=t.createQueuedSender=t.LineProcess=t.AbstractProcess=t.getWindowsShell=t.TerminateResponseCode=t.Source=void 0;function k(r){switch(r){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function c(r,o){if(w.isWindows)try{const e={stdio:["pipe","pipe","ignore"]};o&&(e.cwd=o);const i=D.execFile("taskkill",["/T","/F","/PID",r.pid.toString()],e);return new Promise(n=>{i.once("error",s=>{n({success:!1,error:s})}),i.once("exit",(s,f)=>{n(s===0?{success:!0}:{success:!1,code:s!==null?s:1})})})}catch(e){return Promise.resolve({success:!1,error:e,code:e.status?k(e.status):1})}else if(w.isLinux||w.isMacintosh)try{const e=b.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",_).fsPath;return new Promise(i=>{D.execFile(e,[r.pid.toString()],{encoding:"utf8",shell:!0},(n,s,f)=>{i(n?{success:!1,error:n}:{success:!0})})})}catch(e){return Promise.resolve({success:!1,error:e})}else r.kill("SIGKILL");return Promise.resolve({success:!0})}function h(r=O.env){return r.comspec||"cmd.exe"}t.getWindowsShell=h;class S{constructor(o,e,i,n){if(e!==void 0&&i!==void 0&&n!==void 0)this.cmd=o,this.args=e,this.shell=i,this.options=n;else{const s=o;this.cmd=s.command,this.shell=s.isShellCommand,this.args=s.args.slice(0),this.options=s.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const s=Object.create(null);Object.keys(O.env).forEach(f=>{s[f]=O.env[f]}),Object.keys(this.options.env).forEach(f=>{s[f]=this.options.env[f]}),this.options.env=s}}getSanitizedCommand(){let o=this.cmd.toLowerCase();const e=o.lastIndexOf(m.sep);return e!==-1&&(o=o.substring(e+1)),S.WellKnowCommands[o]?o:"other"}start(o){return w.isWindows&&(this.options&&this.options.cwd&&d.isUNC(this.options.cwd)||!this.options&&d.isUNC(O.cwd()))?Promise.reject(new Error(C.localize(0,null))):this.useExec().then(e=>{let i,n;const s=new Promise((f,p)=>{i=f,n=p});if(e){let f=this.cmd;this.args&&(f=f+" "+this.args.join(" ")),this.childProcess=D.exec(f,this.options,(p,I,U)=>{this.childProcess=null;const A=p;A&&A.killed?n({killed:this.terminateRequested,stdout:I.toString(),stderr:U.toString()}):this.handleExec(i,o,p,I,U)})}else{let f=null;const p=I=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(I,i,o,n);const U={terminated:this.terminateRequested};T.isNumber(I)&&(U.cmdCode=I),i(U)};if(this.shell&&w.isWindows){const I=u.deepClone(this.options);I.windowsVerbatimArguments=!0,I.detached=!1;let U=!1,A=!1;const M=[];let x=this.ensureQuotes(this.cmd);M.push(x.value),U=x.quoted,this.args&&this.args.forEach(Q=>{x=this.ensureQuotes(Q),M.push(x.value),A=A&&x.quoted});const q=["/s","/c"];U?A?q.push('"'+M.join(" ")+'"'):M.length>1?q.push('"'+M[0]+'" '+M.slice(1).join(" ")):q.push('"'+M[0]+'"'):q.push(M.join(" ")),f=D.spawn(h(),q,I)}else this.cmd&&(f=D.spawn(this.cmd,this.args,this.options));f&&(this.childProcess=f,this.childProcessPromise=Promise.resolve(f),this.pidResolve&&(this.pidResolve(T.isNumber(f.pid)?f.pid:-1),this.pidResolve=void 0),f.on("error",I=>{this.childProcess=null,n({terminated:this.terminateRequested,error:I})}),f.pid&&(this.childProcess.on("close",p),this.handleSpawn(f,i,o,n,!0)))}return s})}handleClose(o,e,i,n){}ensureQuotes(o){return S.regexp.test(o)?{value:'"'+o+'"',quoted:!0}:{value:o,quoted:o.length>0&&o[0]==='"'&&o[o.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(o=>o.pid,o=>-1):new Promise(o=>{this.pidResolve=o})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(o=>(this.terminateRequested=!0,c(o,this.options.cwd).then(e=>(e.success&&(this.childProcess=null),e))),o=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(o=>{if(!this.shell||!w.isWindows)return o(!1);const e=D.spawn(h(),["/s","/c"]);e.on("error",i=>o(!0)),e.on("exit",i=>o(!1))})}}t.AbstractProcess=S,S.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},S.regexp=/^[^"].* .*[^"]/;class R extends S{constructor(o,e,i,n){super(o,e,i,n);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(o,e,i,n,s){[n,s].forEach((f,p)=>{const I=new y.LineDecoder;I.write(f).forEach(M=>{e({line:M,source:p===0?0:1})});const A=I.end();A&&e({line:A,source:p===0?0:1})}),o({terminated:this.terminateRequested,error:i})}handleSpawn(o,e,i,n,s){const f=new y.LineDecoder,p=new y.LineDecoder;o.stdout.on("data",I=>{f.write(I).forEach(A=>i({line:A,source:0}))}),o.stderr.on("data",I=>{p.write(I).forEach(A=>i({line:A,source:1}))}),this.stdoutLineDecoder=f,this.stderrLineDecoder=p}handleClose(o,e,i,n){const s=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;s&&i({line:s,source:0});const f=this.stderrLineDecoder?this.stderrLineDecoder.end():null;f&&i({line:f,source:1})}}t.LineProcess=R;function P(r){let o=[],e=!1;const i=function(n){if(e){o.push(n);return}(!r.send(n,f=>{if(f&&console.error(f),e=!1,o.length>0){const p=o.slice(0);o=[],p.forEach(I=>i(I))}})||w.isWindows)&&(e=!0)};return{send:i}}t.createQueuedSender=P;var v;(function(r){async function o(e,i,n){if(m.isAbsolute(e))return e;if(i===void 0&&(i=O.cwd()),m.dirname(e)!=="."||(n===void 0&&T.isString(O.env.PATH)&&(n=O.env.PATH.split(m.delimiter)),n===void 0||n.length===0))return m.join(i,e);async function f(p){return await F.Promises.exists(p)?!(await F.Promises.stat(p)).isDirectory():!1}for(let p of n){let I;if(m.isAbsolute(p)?I=m.join(p,e):I=m.join(i,p,e),await f(I))return I;let U=I+".com";if(await f(U)||(U=I+".exe",await f(U)))return U}return m.join(i,e)}r.findExecutable=o})(v=t.win32||(t.win32={}))}),define(Z[71],te([0,1,31,14,64,47]),function(_,t,m,F,D,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getSystemShellSync=t.getSystemShell=void 0;async function O(k,c){return k===1?F.isWindows?y():C.getWindowsShell(c):d(k,c)}t.getSystemShell=O;function T(k,c){return k===1?F.isWindows?b(c):C.getWindowsShell(c):d(k,c)}t.getSystemShellSync=T;let u=null;function d(k,c){if(F.isLinux&&k===2||F.isMacintosh&&k===3)return"/bin/bash";if(!u){let h;if(F.isWindows)h="/bin/bash";else{if(h=c.SHELL,!h)try{h=m.userInfo().shell}catch(S){}h||(h="sh"),h==="/bin/false"&&(h="/bin/bash")}u=h}return u}let w=null;async function y(){return w||(w=(await D.getFirstAvailablePowerShellInstallation()).exePath),w}function b(k){if(w)return w;const c=F.isWindows&&parseFloat(m.release())>=10,h=k.hasOwnProperty("PROCESSOR_ARCHITEW6432"),S=`${k.windir}\\${h?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return c?S:C.getWindowsShell(k)}}),define(Z[48],te([0,1,32,2,4,19,10,47,37,59,26,12,16,14]),function(_,t,m,F,D,C,O,T,u,d,w,y,b,k){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Client=t.Server=void 0;class c extends u.ChannelServer{constructor(R){super({send:P=>{try{process.send&&process.send(P.buffer.toString("base64"))}catch(v){}},onMessage:O.Event.fromNodeEventEmitter(process,"message",P=>b.VSBuffer.wrap(Buffer.from(P,"base64")))},R);process.once("disconnect",()=>this.dispose())}}t.Server=c;class h{constructor(R,P){this.modulePath=R,this.options=P,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new O.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const v=P&&P.timeout?P.timeout:6e4;this.disposeDelayer=new D.Delayer(v),this.child=null,this._client=null}getChannel(R){const P=this;return{call(v,r,o){return P.requestPromise(R,v,r,o)},listen(v,r){return P.requestEvent(R,v,r)}}}requestPromise(R,P,v,r=w.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(r.isCancellationRequested)return Promise.reject(y.canceled());this.disposeDelayer.cancel();const o=this.getCachedChannel(R),e=D.createCancelablePromise(s=>o.call(P,v,s)),i=r.onCancellationRequested(()=>e.cancel()),n=F.toDisposable(()=>e.cancel());return this.activeRequests.add(n),e.finally(()=>{i.dispose(),this.activeRequests.delete(n),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),e}requestEvent(R,P,v){if(!this.disposeDelayer)return O.Event.None;this.disposeDelayer.cancel();let r;const o=new O.Emitter({onFirstListenerAdd:()=>{r=this.getCachedChannel(R).listen(P,v)(o.fire,o),this.activeRequests.add(r)},onLastListenerRemove:()=>{this.activeRequests.delete(r),r.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return o.event}get client(){if(!this._client){const R=this.options&&this.options.args?this.options.args:[],P=Object.create(null);P.env={...C.deepClone(process.env),VSCODE_PARENT_PID:String(process.pid)},this.options&&this.options.env&&(P.env={...P.env,...this.options.env}),this.options&&this.options.freshExecArgv&&(P.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(P.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(P.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),P.execArgv===void 0&&(P.execArgv=process.execArgv.filter(f=>!/^--inspect(-brk)?=/.test(f))),k.isMacintosh&&P.env&&delete P.env.DYLD_LIBRARY_PATH,this.child=m.fork(this.modulePath,R,P);const v=new O.Emitter;O.Event.fromNodeEventEmitter(this.child,"message",f=>f)(f=>{if(d.isRemoteConsoleLog(f)){d.log(f,`IPC Library: ${this.options.serverName}`);return}v.fire(b.VSBuffer.wrap(Buffer.from(f,"base64")))});const o=this.options.useQueue?T.createQueuedSender(this.child):this.child,e=f=>this.child&&this.child.connected&&o.send(f.buffer.toString("base64")),i=v.event,n={send:e,onMessage:i};this._client=new u.ChannelClient(n);const s=()=>this.disposeClient();process.once("exit",s),this.child.on("error",f=>console.warn('IPC "'+this.options.serverName+'" errored with '+f)),this.child.on("exit",(f,p)=>{process.removeListener("exit",s),this.activeRequests.forEach(I=>F.dispose(I)),this.activeRequests.clear(),f!==0&&p!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+f+" and signal "+p),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:f,signal:p})})}return this._client}getCachedChannel(R){let P=this.channels.get(R);return P||(P=this.client.getChannel(R),this.channels.set(R,P)),P}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}t.Client=h}),define(Z[72],te([5,6]),function(_,t){return _.create("vs/base/node/zip",t)}),define(Z[73],te([5,6]),function(_,t){return _.create("vs/platform/configuration/common/configurationRegistry",t)}),define(Z[74],te([5,6]),function(_,t){return _.create("vs/platform/extensionManagement/common/extensionManagement",t)}),define(Z[75],te([5,6]),function(_,t){return _.create("vs/platform/extensionManagement/common/extensionManagementCLIService",t)}),define(Z[76],te([5,6]),function(_,t){return _.create("vs/platform/extensionManagement/node/extensionManagementService",t)}),define(Z[77],te([5,6]),function(_,t){return _.create("vs/platform/extensionManagement/node/extensionManagementUtil",t)}),define(Z[78],te([5,6]),function(_,t){return _.create("vs/platform/extensionManagement/node/extensionsScanner",t)}),define(Z[79],te([5,6]),function(_,t){return _.create("vs/platform/extensions/common/extensionValidator",t)}),define(Z[80],te([5,6]),function(_,t){return _.create("vs/platform/files/common/fileService",t)}),define(Z[81],te([5,6]),function(_,t){return _.create("vs/platform/files/common/io",t)}),define(Z[82],te([5,6]),function(_,t){return _.create("vs/platform/files/node/diskFileSystemProvider",t)}),define(Z[83],te([5,6]),function(_,t){return _.create("vs/platform/request/common/request",t)}),define(Z[84],te([5,6]),function(_,t){return _.create("vs/platform/telemetry/common/telemetryService",t)}),define(Z[85],te([0,1,3,20,44,68,8,7,33]),function(_,t,m,F,D,C,O,T,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.parseSearchPort=t.parseExtensionHostPort=t.AbstractNativeEnvironmentService=void 0;class d{constructor(c,h,S){this._args=c,this.paths=h,this.productService=S}get appRoot(){return m.dirname(O.FileAccess.asFileUri("",_).fsPath)}get userHome(){return T.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return T.URI.file(m.join(this.userDataPath,"User"))}get tmpDir(){return T.URI.file(this.paths.tmpDir)}get userRoamingDataHome(){return this.appSettingsHome}get settingsResource(){return F.joinPath(this.userRoamingDataHome,"settings.json")}get userDataSyncHome(){return F.joinPath(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const c=C.toLocalISOString(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=m.join(this.userDataPath,"logs",c)}return this.args.logsPath}get userDataSyncLogResource(){return T.URI.file(m.join(this.logsPath,"userDataSync.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return F.joinPath(T.URI.file(m.join(this.userDataPath,"Machine")),"settings.json")}get globalStorageHome(){return T.URI.joinPath(this.appSettingsHome,"globalStorage")}get workspaceStorageHome(){return T.URI.joinPath(this.appSettingsHome,"workspaceStorage")}get keybindingsResource(){return F.joinPath(this.userRoamingDataHome,"keybindings.json")}get keyboardLayoutResource(){return F.joinPath(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const c=u.env.VSCODE_PORTABLE;return c?T.URI.file(m.join(c,"argv.json")):F.joinPath(this.userHome,this.productService.dataFolderName,"argv.json")}get snippetsHome(){return F.joinPath(this.userRoamingDataHome,"snippets")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return T.URI.file(m.join(this.userDataPath,"Workspaces"))}get installSourcePath(){return m.join(this.userDataPath,"installSource")}get builtinExtensionsPath(){const c=this.args["builtin-extensions-dir"];return c?m.resolve(c):m.normalize(m.join(O.FileAccess.asFileUri("",_).fsPath,"..","extensions"))}get extensionsDownloadPath(){const c=this.args["extensions-download-dir"];return c?m.resolve(c):m.join(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const c=this.args["extensions-dir"];if(c)return m.resolve(c);const h=u.env.VSCODE_EXTENSIONS;if(h)return h;const S=u.env.VSCODE_PORTABLE;return S?m.join(S,"extensions"):F.joinPath(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const c=this.args.extensionDevelopmentPath;if(Array.isArray(c))return c.map(h=>/^[^:/?#]+?:\/\//.test(h)?T.URI.parse(h):T.URI.file(m.normalize(h)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(c=>c==="ui"||c==="workspace"||c==="web"?c:"workspace")}get extensionTestsLocationURI(){const c=this.args.extensionTestsPath;if(c)return/^[^:/?#]+?:\/\//.test(c)?T.URI.parse(c):T.URI.file(m.normalize(c))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const c=this.args["disable-extension"];if(c){if(typeof c=="string")return[c];if(Array.isArray(c)&&c.length>0)return c}return!1}get debugExtensionHost(){return w(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!u.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return F.joinPath(T.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get driverHandle(){return this.args.driver}get telemetryLogResource(){return T.URI.file(m.join(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get args(){return this._args}}ce([D.memoize],d.prototype,"appRoot",null),ce([D.memoize],d.prototype,"userHome",null),ce([D.memoize],d.prototype,"userDataPath",null),ce([D.memoize],d.prototype,"appSettingsHome",null),ce([D.memoize],d.prototype,"tmpDir",null),ce([D.memoize],d.prototype,"userRoamingDataHome",null),ce([D.memoize],d.prototype,"settingsResource",null),ce([D.memoize],d.prototype,"userDataSyncHome",null),ce([D.memoize],d.prototype,"userDataSyncLogResource",null),ce([D.memoize],d.prototype,"sync",null),ce([D.memoize],d.prototype,"machineSettingsResource",null),ce([D.memoize],d.prototype,"globalStorageHome",null),ce([D.memoize],d.prototype,"workspaceStorageHome",null),ce([D.memoize],d.prototype,"keybindingsResource",null),ce([D.memoize],d.prototype,"keyboardLayoutResource",null),ce([D.memoize],d.prototype,"argvResource",null),ce([D.memoize],d.prototype,"snippetsHome",null),ce([D.memoize],d.prototype,"isExtensionDevelopment",null),ce([D.memoize],d.prototype,"untitledWorkspacesHome",null),ce([D.memoize],d.prototype,"installSourcePath",null),ce([D.memoize],d.prototype,"builtinExtensionsPath",null),ce([D.memoize],d.prototype,"extensionsPath",null),ce([D.memoize],d.prototype,"extensionDevelopmentLocationURI",null),ce([D.memoize],d.prototype,"extensionDevelopmentKind",null),ce([D.memoize],d.prototype,"extensionTestsLocationURI",null),ce([D.memoize],d.prototype,"debugExtensionHost",null),ce([D.memoize],d.prototype,"serviceMachineIdResource",null),ce([D.memoize],d.prototype,"telemetryLogResource",null),ce([D.memoize],d.prototype,"disableWorkspaceTrust",null),t.AbstractNativeEnvironmentService=d;function w(k,c){return b(k["inspect-extensions"],k["inspect-brk-extensions"],5870,c,k.debugId)}t.parseExtensionHostPort=w;function y(k,c){return b(k["inspect-search"],k["inspect-brk-search"],5876,c)}t.parseSearchPort=y;function b(k,c,h,S,R){const v=Number(c||k)||(S?null:h),r=v?Boolean(!!c):!1;return{port:v,break:r,debugId:R}}}),function(){"use strict";function _(t,m,F,D){function C(T){const u=O(T),d=[u];return t.isAbsolute(u)||d.unshift(D),t.resolve(...d)}function O(T){const u=process.env.VSCODE_PORTABLE;if(u)return t.join(u,"user-data");const d=T["user-data-dir"];if(d)return d;let w=process.env.VSCODE_APPDATA;if(!w)switch(process.platform){case"win32":if(w=process.env.APPDATA,!w){const y=process.env.USERPROFILE;if(typeof y!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");w=t.join(y,"AppData","Roaming")}break;case"darwin":w=t.join(m.homedir(),"Library","Application Support");break;case"linux":w=process.env.XDG_CONFIG_HOME||t.join(m.homedir(),".config");break;default:throw new Error("Platform not supported")}return t.join(w,F)}return{getUserDataPath:C}}if(typeof define=="function")define(Z[86],te([0,87,31,8,20,33]),function(t,m,F,D,C,O){const T=C.dirname(D.FileAccess.asFileUri("",t)),u=t.__$__nodeRequire(C.joinPath(T,"package.json").fsPath);return _(m,F,u.name,O.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const t=require("../../../../../package.json"),m=require("path"),F=require("os");module.exports=_(m,F,t.name,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(Z[88],te([0,1,31,86,85]),function(_,t,m,F,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.NativeEnvironmentService=void 0;class C extends D.AbstractNativeEnvironmentService{constructor(T,u){super(T,{homeDir:m.homedir(),tmpDir:m.tmpdir(),userDataDir:F.getUserDataPath(T)},u)}}t.NativeEnvironmentService=C}),define(Z[89],te([0,1,19]),function(_,t,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.localizeManifest=void 0;const F=/^%([\w\d.-]+)%$/i;function D(C,O){const T=u=>{if(typeof u!="string")return;const d=F.exec(u);if(!d)return;const w=O[d[1]]??u;return typeof w=="string"?w:typeof w.message=="string"?w.message:u};return m.cloneAndChange(C,T)}t.localizeManifest=D}),define(Z[49],te([0,1,79]),function(_,t,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isEngineValid=t.isValidExtensionVersion=t.isValidVersion=t.normalizeVersion=t.parseVersion=t.isValidVersionStr=void 0;const F=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,D=/^-(\d{4})(\d{2})(\d{2})$/;function C(b){return b=b.trim(),b==="*"||F.test(b)}t.isValidVersionStr=C;function O(b){if(!C(b))return null;if(b=b.trim(),b==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let k=b.match(F);return k?{hasCaret:k[1]==="^",hasGreaterEquals:k[1]===">=",majorBase:k[2]==="x"?0:parseInt(k[2],10),majorMustEqual:k[2]!=="x",minorBase:k[4]==="x"?0:parseInt(k[4],10),minorMustEqual:k[4]!=="x",patchBase:k[6]==="x"?0:parseInt(k[6],10),patchMustEqual:k[6]!=="x",preRelease:k[8]||null}:null}t.parseVersion=O;function T(b){if(!b)return null;let k=b.majorBase,c=b.majorMustEqual,h=b.minorBase,S=b.minorMustEqual,R=b.patchBase,P=b.patchMustEqual;b.hasCaret&&(k===0||(S=!1),P=!1);let v=0;if(b.preRelease){const r=D.exec(b.preRelease);if(r){const[,o,e,i]=r;v=Date.UTC(Number(o),Number(e)-1,Number(i))}}return{majorBase:k,majorMustEqual:c,minorBase:h,minorMustEqual:S,patchBase:R,patchMustEqual:P,isMinimum:b.hasGreaterEquals,notBefore:v}}t.normalizeVersion=T;function u(b,k,c){let h;typeof b=="string"?h=T(O(b)):h=b;let S;k instanceof Date?S=k.getTime():typeof k=="string"&&(S=new Date(k).getTime());let R;if(typeof c=="string"?R=T(O(c)):R=c,!h||!R)return!1;let P=h.majorBase,v=h.minorBase,r=h.patchBase,o=R.majorBase,e=R.minorBase,i=R.patchBase,n=R.notBefore,s=R.majorMustEqual,f=R.minorMustEqual,p=R.patchMustEqual;return R.isMinimum?P>o?!0:P<o?!1:v>e?!0:v<e||S&&S<n?!1:r>=i:(P===1&&o===0&&(!s||!f||!p)&&(o=1,e=0,i=0,s=!0,f=!1,p=!1),P<o?!1:P>o?!s:v<e?!1:v>e?!f:r<i?!1:r>i?!p:!(S&&S<n))}t.isValidVersion=u;function d(b,k,c,h){return c.isBuiltin||typeof c.main=="undefined"?!0:y(b,k,c.engines.vscode,h)}t.isValidExtensionVersion=d;function w(b,k,c){return b==="*"||y(k,c,b)}t.isEngineValid=w;function y(b,k,c,h=[]){let S=T(O(c));if(!S)return h.push(m.localize(0,null,c)),!1;if(S.majorBase===0){if(!S.majorMustEqual||!S.minorMustEqual)return h.push(m.localize(1,null,c)),!1}else if(!S.majorMustEqual)return h.push(m.localize(2,null,c)),!1;return u(b,k,S)?!0:(h.push(m.localize(3,null,b,c)),!1)}}),define(Z[90],te([0,1,37,48,2,8]),function(_,t,m,F,D,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FileWatcher=void 0;class O extends D.Disposable{constructor(u,d,w,y){super();this.folders=u,this.onDidFilesChange=d,this.onLogMessage=w,this.verboseLogging=y,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const u=this._register(new F.Client(C.FileAccess.asFileUri("bootstrap-fork",_).fsPath,{serverName:"File Watcher (nsfw)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/nsfw/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(u.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=O.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=m.ProxyChannel.toService(m.getNextTickChannel(u.getChannel("watcher"))),this.service.setVerboseLogging(this.verboseLogging),this._register(this.service.onDidChangeFile(d=>!this.isDisposed&&this.onDidFilesChange(d))),this._register(this.service.onDidLogMessage(d=>this.onLogMessage(d))),this.setFolders(this.folders)}setVerboseLogging(u){this.verboseLogging=u,!this.isDisposed&&this.service&&this.service.setVerboseLogging(u)}error(u){this.onLogMessage({type:"error",message:`[File Watcher (nsfw)] ${u}`})}setFolders(u){this.folders=u,this.service&&this.service.setRoots(u)}dispose(){this.isDisposed=!0,super.dispose()}}t.FileWatcher=O,O.MAX_RESTARTS=5}),define(Z[91],te([0,1,37,48,2,8]),function(_,t,m,F,D,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FileWatcher=void 0;class O extends D.Disposable{constructor(u,d,w,y,b={}){super();this.folders=u,this.onDidFilesChange=d,this.onLogMessage=w,this.verboseLogging=y,this.watcherOptions=b,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const u=this._register(new F.Client(C.FileAccess.asFileUri("bootstrap-fork",_).fsPath,{serverName:"File Watcher (chokidar)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/unix/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(u.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=O.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=m.ProxyChannel.toService(m.getNextTickChannel(u.getChannel("watcher"))),this.service.init({...this.watcherOptions,verboseLogging:this.verboseLogging}),this._register(this.service.onDidChangeFile(d=>!this.isDisposed&&this.onDidFilesChange(d))),this._register(this.service.onDidLogMessage(d=>this.onLogMessage(d))),this.service.setRoots(this.folders)}error(u){this.onLogMessage({type:"error",message:`[File Watcher (chokidar)] ${u}`})}setVerboseLogging(u){this.verboseLogging=u,this.service&&this.service.setVerboseLogging(u)}setFolders(u){this.folders=u,this.service&&this.service.setRoots(u)}dispose(){this.isDisposed=!0,super.dispose()}}t.FileWatcher=O,O.MAX_RESTARTS=5}),define(Z[92],te([0,1,32,46,61,8]),function(_,t,m,F,D,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OutOfProcessWin32FolderWatcher=void 0;class O{constructor(u,d,w,y,b){this.watchedFolder=u,this.eventCallback=w,this.logCallback=y,this.verboseLogging=b,this.restartCounter=0,Array.isArray(d)?this.ignored=d.map(k=>D.parse(k)):this.ignored=[],this.verboseLogging&&this.log(`Start watching: ${u}, excludes: ${d.join(",")}`),this.startWatcher()}startWatcher(){const u=[this.watchedFolder];this.verboseLogging&&u.push("-verbose"),this.handle=m.spawn(C.FileAccess.asFileUri("vs/platform/files/node/watcher/win32/CodeHelper.exe",_).fsPath,u);const d=new F.LineDecoder;this.handle.stdout.on("data",w=>{const y=[];for(const b of d.write(w)){const k=b.split("|");if(k.length===2){const c=Number(k[0]),h=k[1];if(c>=0&&c<3){if(this.ignored&&this.ignored.some(S=>S(h))){this.verboseLogging&&this.log(h);continue}y.push({type:O.changeTypeMap[c],path:h})}else this.log(k[1])}}y.length>0&&this.eventCallback(y)}),this.handle.on("error",w=>this.onError(w)),this.handle.stderr.on("data",w=>this.onError(w)),this.handle.on("exit",(w,y)=>this.onExit(w,y))}onError(u){this.error("process error: "+u.toString())}onExit(u,d){this.handle&&(this.error(`terminated unexpectedly (code: ${u}, signal: ${d})`),this.restartCounter<=O.MAX_RESTARTS?(this.error("is restarted again..."),this.restartCounter++,this.startWatcher()):this.error("Watcher failed to start after retrying for some time, giving up. Please report this as a bug report!"))}error(u){this.logCallback({type:"error",message:`[File Watcher (C#)] ${u}`})}log(u){this.logCallback({type:"trace",message:`[File Watcher (C#)] ${u}`})}dispose(){this.handle&&(this.handle.kill(),this.handle=void 0)}}t.OutOfProcessWin32FolderWatcher=O,O.MAX_RESTARTS=5,O.changeTypeMap=[0,1,2]}),define(Z[93],te([0,1,92,3,18]),function(_,t,m,F,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FileWatcher=void 0;class C{constructor(T,u,d,w){this.onDidFilesChange=u,this.onLogMessage=d,this.verboseLogging=w,this.service=void 0,this.folder=T[0],this.folder.path.indexOf("\\\\")===0&&this.folder.path.endsWith(F.posix.sep)&&(this.folder.path=D.rtrim(this.folder.path,F.posix.sep)),this.service=this.startWatching()}get isDisposed(){return!this.service}startWatching(){return new m.OutOfProcessWin32FolderWatcher(this.folder.path,this.folder.excludes,T=>this.onFileEvents(T),T=>this.onLogMessage(T),this.verboseLogging)}setVerboseLogging(T){this.verboseLogging=T,this.service&&(this.service.dispose(),this.service=this.startWatching())}onFileEvents(T){this.isDisposed||T.length>0&&this.onDidFilesChange(T)}dispose(){this.service&&(this.service.dispose(),this.service=void 0)}}t.FileWatcher=C}),define(Z[50],te([0,1]),function(_,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SyncDescriptor=void 0;class m{constructor(D,C=[],O=!1){this.ctor=D,this.staticArguments=C,this.supportsDelayedInstantiation=O}}t.SyncDescriptor=m}),define(Z[94],te([0,1]),function(_,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Graph=t.Node=void 0;class m{constructor(C){this.incoming=new Map,this.outgoing=new Map,this.data=C}}t.Node=m;class F{constructor(C){this._hashFn=C,this._nodes=new Map}roots(){const C=[];for(let O of this._nodes.values())O.outgoing.size===0&&C.push(O);return C}insertEdge(C,O){const T=this.lookupOrInsertNode(C),u=this.lookupOrInsertNode(O);T.outgoing.set(this._hashFn(O),u),u.incoming.set(this._hashFn(C),T)}removeNode(C){const O=this._hashFn(C);this._nodes.delete(O);for(let T of this._nodes.values())T.outgoing.delete(O),T.incoming.delete(O)}lookupOrInsertNode(C){const O=this._hashFn(C);let T=this._nodes.get(O);return T||(T=new m(C),this._nodes.set(O,T)),T}lookup(C){return this._nodes.get(this._hashFn(C))}isEmpty(){return this._nodes.size===0}toString(){let C=[];for(let[O,T]of this._nodes)C.push(`${O}, (incoming)[${[...T.incoming.keys()].join(", ")}], (outgoing)[${[...T.outgoing.keys()].join(",")}]`);return C.join(`
`)}findCycleSlow(){for(let[C,O]of this._nodes){const T=new Set([C]),u=this._findCycle(O,T);if(u)return u}}_findCycle(C,O){for(let[T,u]of C.outgoing){if(O.has(T))return[...O,T].join(" -> ");O.add(T);const d=this._findCycle(u,O);if(d)return d;O.delete(T)}}}t.Graph=F}),define(Z[95],te([0,1,11]),function(_,t,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IDownloadService=void 0,t.IDownloadService=m.createDecorator("downloadService")}),define(Z[21],te([0,1,11]),function(_,t,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.INativeEnvironmentService=t.IEnvironmentService=void 0,t.IEnvironmentService=m.createDecorator("environmentService"),t.INativeEnvironmentService=m.refineServiceDecorator(t.IEnvironmentService)}),define(Z[23],te([0,1,74,11,8]),function(_,t,m,F,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IExtensionManagementCLIService=t.PreferencesLocalizedLabel=t.PreferencesLabel=t.ExtensionsChannelId=t.ExtensionsLocalizedLabel=t.ExtensionsLabel=t.DefaultIconPath=t.IExtensionTipsService=t.IGlobalExtensionEnablementService=t.ENABLED_EXTENSIONS_STORAGE_PATH=t.DISABLED_EXTENSIONS_STORAGE_PATH=t.IExtensionManagementService=t.ExtensionManagementError=t.INSTALL_ERROR_INCOMPATIBLE=t.INSTALL_ERROR_MALICIOUS=t.INSTALL_ERROR_NOT_SUPPORTED=t.IExtensionGalleryService=t.InstallOperation=t.StatisticType=t.SortOrder=t.SortBy=t.isIExtensionIdentifier=t.WEB_EXTENSION_TAG=t.EXTENSION_IDENTIFIER_REGEX=t.EXTENSION_IDENTIFIER_PATTERN=void 0,t.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",t.EXTENSION_IDENTIFIER_REGEX=new RegExp(t.EXTENSION_IDENTIFIER_PATTERN),t.WEB_EXTENSION_TAG="__web_extension";function C(y){return y&&typeof y=="object"&&typeof y.id=="string"&&(!y.uuid||typeof y.uuid=="string")}t.isIExtensionIdentifier=C;var O;(function(y){y[y.NoneOrRelevance=0]="NoneOrRelevance",y[y.LastUpdatedDate=1]="LastUpdatedDate",y[y.Title=2]="Title",y[y.PublisherName=3]="PublisherName",y[y.InstallCount=4]="InstallCount",y[y.PublishedDate=5]="PublishedDate",y[y.AverageRating=6]="AverageRating",y[y.WeightedRating=12]="WeightedRating"})(O=t.SortBy||(t.SortBy={}));var T;(function(y){y[y.Default=0]="Default",y[y.Ascending=1]="Ascending",y[y.Descending=2]="Descending"})(T=t.SortOrder||(t.SortOrder={}));var u;(function(y){y.Uninstall="uninstall"})(u=t.StatisticType||(t.StatisticType={}));var d;(function(y){y[y.None=0]="None",y[y.Install=1]="Install",y[y.Update=2]="Update"})(d=t.InstallOperation||(t.InstallOperation={})),t.IExtensionGalleryService=F.createDecorator("extensionGalleryService"),t.INSTALL_ERROR_NOT_SUPPORTED="notsupported",t.INSTALL_ERROR_MALICIOUS="malicious",t.INSTALL_ERROR_INCOMPATIBLE="incompatible";class w extends Error{constructor(b,k){super(b);this.code=k,this.name=k}}t.ExtensionManagementError=w,t.IExtensionManagementService=F.createDecorator("extensionManagementService"),t.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",t.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",t.IGlobalExtensionEnablementService=F.createDecorator("IGlobalExtensionEnablementService"),t.IExtensionTipsService=F.createDecorator("IExtensionTipsService"),t.DefaultIconPath=D.FileAccess.asBrowserUri("./media/defaultIcon.png",_).toString(!0),t.ExtensionsLabel=m.localize(0,null),t.ExtensionsLocalizedLabel={value:t.ExtensionsLabel,original:"Extensions"},t.ExtensionsChannelId="extensions",t.PreferencesLabel=m.localize(1,null),t.PreferencesLocalizedLabel={value:t.PreferencesLabel,original:"Preferences"},t.IExtensionManagementCLIService=F.createDecorator("IExtensionManagementCLIService")}),define(Z[38],te([0,1,18,11]),function(_,t,m,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IBuiltinExtensionsScannerService=t.isAuthenticaionProviderExtension=t.isLanguagePackExtension=t.ExtensionIdentifier=t.ExtensionType=t.EXTENSION_CATEGORIES=t.isIExtensionIdentifier=t.getWorkspaceSupportTypeMessage=t.BUILTIN_MANIFEST_CACHE_FILE=t.USER_MANIFEST_CACHE_FILE=t.MANIFEST_CACHE_FOLDER=void 0,t.MANIFEST_CACHE_FOLDER="CachedExtensions",t.USER_MANIFEST_CACHE_FILE="user",t.BUILTIN_MANIFEST_CACHE_FILE="builtin";function D(w){if(typeof w=="object"&&w!==null&&w.supported!==!0)return w.description}t.getWorkspaceSupportTypeMessage=D;function C(w){return w&&typeof w=="object"&&typeof w.id=="string"&&(!w.uuid||typeof w.uuid=="string")}t.isIExtensionIdentifier=C,t.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var O;(function(w){w[w.System=0]="System",w[w.User=1]="User"})(O=t.ExtensionType||(t.ExtensionType={}));class T{constructor(y){this.value=y,this._lower=y.toLowerCase()}static equals(y,b){if(typeof y=="undefined"||y===null)return typeof b=="undefined"||b===null;if(typeof b=="undefined"||b===null)return!1;if(typeof y=="string"||typeof b=="string"){let k=typeof y=="string"?y:y.value,c=typeof b=="string"?b:b.value;return m.equalsIgnoreCase(k,c)}return y._lower===b._lower}static toKey(y){return typeof y=="string"?y.toLowerCase():y._lower}}t.ExtensionIdentifier=T;function u(w){return w.contributes&&w.contributes.localizations?w.contributes.localizations.length>0:!1}t.isLanguagePackExtension=u;function d(w){return w.contributes&&w.contributes.authentication?w.contributes.authentication.length>0:!1}t.isAuthenticaionProviderExtension=d,t.IBuiltinExtensionsScannerService=F.createDecorator("IBuiltinExtensionsScannerService")}),define(Z[24],te([0,1,18,38]),function(_,t,m,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getExtensionDependencies=t.getMaliciousExtensionsSet=t.BetterMergeId=t.getGalleryExtensionTelemetryData=t.getLocalExtensionTelemetryData=t.groupByExtension=t.getGalleryExtensionId=t.adoptToGalleryExtensionId=t.getExtensionId=t.ExtensionIdentifierWithVersion=t.areSameExtensions=void 0;function D(c,h){return c.uuid&&h.uuid?c.uuid===h.uuid:c.id===h.id?!0:m.compareIgnoreCase(c.id,h.id)===0}t.areSameExtensions=D;class C{constructor(h,S){this.version=S,this.id=h.id,this.uuid=h.uuid}key(){return`${this.id}-${this.version}`}equals(h){return h instanceof C?D(this,h)&&this.version===h.version:!1}}t.ExtensionIdentifierWithVersion=C;function O(c,h){return`${c}.${h}`}t.getExtensionId=O;function T(c){return c.toLocaleLowerCase()}t.adoptToGalleryExtensionId=T;function u(c,h){return T(O(c,h))}t.getGalleryExtensionId=u;function d(c,h){const S=[],R=P=>{for(const v of S)if(v.some(r=>D(h(r),h(P))))return v;return null};for(const P of c){const v=R(P);v?v.push(P):S.push([P])}return S}t.groupByExtension=d;function w(c){return{id:c.identifier.id,name:c.manifest.name,galleryId:null,publisherId:c.publisherId,publisherName:c.manifest.publisher,publisherDisplayName:c.publisherDisplayName,dependencies:c.manifest.extensionDependencies&&c.manifest.extensionDependencies.length>0}}t.getLocalExtensionTelemetryData=w;function y(c){return{id:c.identifier.id,name:c.name,galleryId:c.identifier.uuid,publisherId:c.publisherId,publisherName:c.publisher,publisherDisplayName:c.publisherDisplayName,dependencies:!!(c.properties.dependencies&&c.properties.dependencies.length>0),...c.telemetryData}}t.getGalleryExtensionTelemetryData=y,t.BetterMergeId=new F.ExtensionIdentifier("pprice.better-merge");function b(c){const h=new Set;for(const S of c)S.malicious&&h.add(S.id.id);return h}t.getMaliciousExtensionsSet=b;function k(c,h){const S=[],R=h.manifest.extensionDependencies?.slice(0)??[];for(;R.length;){const P=R.shift();if(P&&S.every(v=>!D(v.identifier,{id:P}))){const v=c.filter(r=>D(r.identifier,{id:P}));v.length===1&&(S.push(v[0]),R.push(...v[0].manifest.extensionDependencies?.slice(0)??[]))}}return S}t.getExtensionDependencies=k});var fe=this&&this.__param||function(_,t){return function(m,F){t(m,F,_)}};define(Z[96],te([0,1,75,12,7,39,23,24,38,62,26,8]),function(_,t,m,F,D,C,O,T,u,d,w,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionManagementCLIService=t.getIdAndVersion=void 0;const b=P=>m.localize(0,null,P),k=m.localize(1,null,"ms-dotnettools.csharp");function c(P,v){return v?`${P.publisher}.${P.name}@${P.version}`:`${P.publisher}.${P.name}`}const h=/^([^.]+\..+)@(\d+\.\d+\.\d+(-.*)?)$/;function S(P){const v=h.exec(P);return v&&v[1]?[T.adoptToGalleryExtensionId(v[1]),v[2]]:[T.adoptToGalleryExtensionId(P),void 0]}t.getIdAndVersion=S;let R=class{constructor(v,r){this.extensionManagementService=v,this.extensionGalleryService=r}get location(){}async listExtensions(v,r,o=console){let e=await this.extensionManagementService.getInstalled(1);const i=u.EXTENSION_CATEGORIES.map(s=>s.toLowerCase());if(r&&r!==""){if(i.indexOf(r.toLowerCase())<0){o.log("Invalid category please enter a valid category. To list valid categories run --category without a category specified");return}e=e.filter(s=>s.manifest.categories?s.manifest.categories.map(p=>p.toLowerCase()).indexOf(r.toLowerCase())>-1:!1)}else if(r===""){o.log("Possible Categories: "),i.forEach(s=>{o.log(s)});return}this.location&&o.log(m.localize(2,null,this.location)),e=e.sort((s,f)=>s.identifier.id.localeCompare(f.identifier.id));let n;for(let s of e)n!==s.identifier.id&&(n=s.identifier.id,o.log(c(s.manifest,v)))}async installExtensions(v,r,o,e,i=console){const n=[],s=[];v.length&&i.log(this.location?m.localize(3,null,this.location):m.localize(4,null));const f=await this.extensionManagementService.getInstalled(1),p=(A,M)=>{const x=f.find(q=>T.areSameExtensions(q.identifier,{id:A}));if(x){if(!M&&!e)return i.log(m.localize(5,null,A,x.manifest.version,A)),!1;if(M&&x.manifest.version===M)return i.log(m.localize(6,null,`${A}@${M}`)),!1}return!0},I=[],U=[];for(const A of v)if(A instanceof D.URI)I.push(A);else{const[M,x]=S(A);p(M,x)&&U.push({id:M,version:x,installOptions:{isBuiltin:!1,isMachineScoped:o}})}for(const A of r){const[M,x]=S(A);p(M,x)&&U.push({id:M,version:x,installOptions:{isBuiltin:!0,isMachineScoped:!1}})}if(I.length&&await Promise.all(I.map(async A=>{try{const M=await this.installVSIX(A,{isBuiltin:!1,isMachineScoped:o},e,i);M&&s.push(M)}catch(M){i.error(M.message||M.stack||M),n.push(A.toString())}})),U.length){const A=await this.getGalleryExtensions(U);await Promise.all(U.map(async M=>{const x=A.get(M.id.toLowerCase());if(x)try{const q=await this.installFromGallery(M,x,f,e,i);q&&s.push(q)}catch(q){i.error(q.message||q.stack||q),n.push(M.id)}else i.error(`${b(M.version?`${M.id}@${M.version}`:M.id)}
${k}`),n.push(M.id)}))}if(n.length)throw new Error(m.localize(7,null,n.join(", ")))}async installVSIX(v,r,o,e){const i=await this.extensionManagementService.getManifest(v);if(!i)throw new Error("Invalid vsix");if(await this.validateVSIX(i,o,e))try{return await this.extensionManagementService.install(v,r),e.log(m.localize(8,null,d.getBaseLabel(v))),i}catch(s){if(F.isPromiseCanceledError(s))return e.log(m.localize(9,null,d.getBaseLabel(v))),null;throw s}return null}async getGalleryExtensions(v){const r=v.filter(({version:i})=>i===void 0).map(({id:i})=>i),o=v.filter(({version:i})=>i!==void 0),e=new Map;return await Promise.all([(async()=>{(await this.extensionGalleryService.getExtensions(r,w.CancellationToken.None)).forEach(n=>e.set(n.identifier.id.toLowerCase(),n))})(),Promise.all(o.map(async({id:i,version:n})=>{const s=await this.extensionGalleryService.getCompatibleExtension({id:i},n);s&&e.set(s.identifier.id.toLowerCase(),s)}))]),e}async installFromGallery({id:v,version:r,installOptions:o},e,i,n,s){const f=await this.extensionGalleryService.getManifest(e,w.CancellationToken.None);if(f&&!this.validateExtensionKind(f,s))return null;const p=i.find(I=>T.areSameExtensions(I.identifier,e.identifier));if(p){if(e.version===p.manifest.version)return s.log(m.localize(10,null,r?`${v}@${r}`:v)),null;s.log(m.localize(11,null,v,e.version))}try{return o.isBuiltin?s.log(r?m.localize(12,null,v,r):m.localize(13,null,v)):s.log(r?m.localize(14,null,v,r):m.localize(15,null,v)),await this.extensionManagementService.installFromGallery(e,o),s.log(m.localize(16,null,v,e.version)),f}catch(I){if(F.isPromiseCanceledError(I))return s.log(m.localize(17,null,v)),null;throw I}}validateExtensionKind(v,r){return!0}async validateVSIX(v,r,o){const e={id:T.getGalleryExtensionId(v.publisher,v.name)},n=(await this.extensionManagementService.getInstalled(1)).find(s=>T.areSameExtensions(e,s.identifier)&&C.gt(s.manifest.version,v.version));return n&&!r?(o.log(m.localize(18,null,n.identifier.id,n.manifest.version,v.version)),!1):this.validateExtensionKind(v,o)}async uninstallExtensions(v,r,o=console){const e=async n=>{if(n instanceof D.URI){const s=await this.extensionManagementService.getManifest(n);return c(s)}return n},i=[];for(const n of v){const s=await e(n),p=(await this.extensionManagementService.getInstalled()).filter(I=>T.areSameExtensions(I.identifier,{id:s}));if(!p.length)throw new Error(`${this.notInstalled(s)}
${k}`);if(p.some(I=>I.type===0)){o.log(m.localize(19,null,s));return}if(!r&&p.some(I=>I.isBuiltin)){o.log(m.localize(20,null,s));return}o.log(m.localize(21,null,s));for(const I of p)await this.extensionManagementService.uninstall(I),i.push(I);this.location?o.log(m.localize(22,null,s,this.location)):o.log(m.localize(23,null,s))}}async locateExtension(v,r=console){const o=await this.extensionManagementService.getInstalled();v.forEach(e=>{o.forEach(i=>{if(i.identifier.id===e&&i.location.scheme===y.Schemas.file){r.log(i.location.fsPath);return}})})}notInstalled(v){return this.location?m.localize(24,null,v,this.location):m.localize(25,null,v)}};R=ce([fe(0,O.IExtensionManagementService),fe(1,O.IExtensionGalleryService)],R),t.ExtensionManagementCLIService=R}),define(Z[97],te([0,1,2,3,38,9]),function(_,t,m,F,D,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsManifestCache=void 0;class O extends m.Disposable{constructor(u,d){super();this.environmentService=u,this.extensionsManifestCache=F.join(this.environmentService.userDataPath,D.MANIFEST_CACHE_FOLDER,D.USER_MANIFEST_CACHE_FILE),this._register(d.onDidInstallExtension(w=>this.onDidInstallExtension(w))),this._register(d.onDidUninstallExtension(w=>this.onDidUnInstallExtension(w)))}onDidInstallExtension(u){u.error||this.invalidate()}onDidUnInstallExtension(u){u.error||this.invalidate()}invalidate(){C.Promises.rm(this.extensionsManifestCache,C.RimRafMode.MOVE).then(()=>{},()=>{})}}t.ExtensionsManifestCache=O}),define(Z[98],te([0,1,87,32,29,14,126,28,71,26,12]),function(_,t,m,F,D,C,O,T,u,d,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.resolveShellEnv=void 0;async function y(c,h,S){return h["force-disable-user-env"]?(c.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):C.isWindows?(c.trace("resolveShellEnv(): skipped (Windows)"),{}):O.isLaunchedFromCli(S)&&!h["force-user-env"]?(c.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):(O.isLaunchedFromCli(S)?c.trace("resolveShellEnv(): running (--force-user-env)"):c.trace("resolveShellEnv(): running (macOS/Linux)"),b||(b=new Promise(async R=>{const P=new d.CancellationTokenSource,v=setTimeout(()=>{c.error("[resolve shell env] Could not resolve shell environment within 10 seconds. Proceeding without shell environment..."),P.dispose(!0),R({})},1e4);try{const r=await k(c,P.token);R(r)}catch(r){w.isPromiseCanceledError(r)||c.error(`[resolve shell env] Unable to resolve shell environment (${r}). Proceeding without shell environment...`),R({})}finally{clearTimeout(v),P.dispose()}})),b)}t.resolveShellEnv=y;let b;async function k(c,h){const S=new Promise(async(R,P)=>{const v=process.env.ELECTRON_RUN_AS_NODE;c.trace("getUnixShellEnvironment#runAsNode",v);const r=process.env.ELECTRON_NO_ATTACH_CONSOLE;c.trace("getUnixShellEnvironment#noAttach",r);const o=D.generateUuid().replace(/-/g,"").substr(0,12),e=new RegExp(o+"(.*)"+o),i={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1"};c.trace("getUnixShellEnvironment#env",i);const n=await u.getSystemShell(C.OS,i);if(c.trace("getUnixShellEnvironment#shell",n),h.isCancellationRequested)return P(w.canceled);const s=m.basename(n);let f,p;/^pwsh(-preview)?$/.test(s)?(f=`& '${process.execPath}' -p '''${o}'' + JSON.stringify(process.env) + ''${o}'''`,p=["-Login","-Command"]):(f=`'${process.execPath}' -p '"${o}" + JSON.stringify(process.env) + "${o}"'`,p=["-ilc"]),c.trace("getUnixShellEnvironment#spawn",JSON.stringify(p),f);const I=F.spawn(n,[...p,f],{detached:!0,stdio:["ignore","pipe","pipe"],env:i});h.onCancellationRequested(()=>(I.kill(),P(w.canceled))),I.on("error",M=>{c.error("getUnixShellEnvironment#errorChildProcess",T.toErrorMessage(M)),R({})});const U=[];I.stdout.on("data",M=>U.push(M));const A=[];I.stderr.on("data",M=>A.push(M)),I.on("close",(M,x)=>{const q=Buffer.concat(U).toString("utf8");c.trace("getUnixShellEnvironment#raw",q);const Q=Buffer.concat(A).toString("utf8");if(Q.trim()&&c.trace("getUnixShellEnvironment#stderr",Q),M||x)return P(new Error(`Failed to get environment (code ${M}, signal ${x})`));const ie=e.exec(q),re=ie?ie[1]:"{}";try{const ee=JSON.parse(re);v?ee.ELECTRON_RUN_AS_NODE=v:delete ee.ELECTRON_RUN_AS_NODE,r?ee.ELECTRON_NO_ATTACH_CONSOLE=r:delete ee.ELECTRON_NO_ATTACH_CONSOLE,delete ee.XDG_RUNTIME_DIR,c.trace("getUnixShellEnvironment#result",ee),R(ee)}catch(ee){c.error("getUnixShellEnvironment#errorCaught",T.toErrorMessage(ee)),P(ee)}})});try{return await S}catch(R){return c.error("getUnixShellEnvironment#error",T.toErrorMessage(R)),{}}}}),define(Z[51],te([0,1,7,17,14]),function(_,t,m,F,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.normalizeFileChanges=t.toFileChanges=void 0;function C(u){return u.map(d=>({type:d.type,resource:m.URI.file(d.path)}))}t.toFileChanges=C;function O(u){const d=new T;for(const w of u)d.processEvent(w);return d.normalize()}t.normalizeFileChanges=O;class T{constructor(){this.normalized=[],this.mapPathToChange=new Map}processEvent(d){const w=this.mapPathToChange.get(d.path);if(w){const y=w.type,b=d.type;y===1&&b===2?(this.mapPathToChange.delete(d.path),this.normalized.splice(this.normalized.indexOf(w),1)):y===2&&b===1?w.type=0:y===1&&b===0||(w.type=b)}else this.normalized.push(d),this.mapPathToChange.set(d.path,d)}normalize(){const d=[],w=[];return this.normalized.filter(y=>y.type!==2?(d.push(y),!1):!0).sort((y,b)=>y.path.length-b.path.length).filter(y=>w.some(b=>F.isParent(y.path,b,!D.isLinux))?!1:(w.push(y.path),!0)).concat(d)}}}),define(Z[99],te([0,1,51,2,9,63,65,4,3]),function(_,t,m,F,D,C,O,T,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FileWatcher=void 0;class d extends F.Disposable{constructor(y,b,k,c){super();this.path=y,this.onDidFilesChange=b,this.onLogMessage=k,this.verboseLogging=c,this.fileChangesDelayer=this._register(new T.ThrottledDelayer(O.CHANGE_BUFFER_DELAY*2)),this.fileChangesBuffer=[],this.startWatching()}setVerboseLogging(y){this.verboseLogging=y}async startWatching(){try{const{stat:y,symbolicLink:b}=await D.SymlinkSupport.stat(this.path);if(this.isDisposed)return;let k=this.path;if(b)try{k=await C.realpath(k)}catch(c){if(this.onError(c),b.dangling)return}y.isDirectory()?this._register(O.watchFolder(k,(c,h)=>{this.onFileChange({type:c==="changed"?0:c==="added"?1:2,path:u.join(this.path,u.basename(h))})},c=>this.onError(c))):this._register(O.watchFile(k,c=>{this.onFileChange({type:c==="changed"?0:2,path:this.path})},c=>this.onError(c)))}catch(y){y.code!=="ENOENT"&&this.onError(y)}}onFileChange(y){this.fileChangesBuffer.push(y),this.verboseLogging&&this.onVerbose(`${y.type===1?"[ADDED]":y.type===2?"[DELETED]":"[CHANGED]"} ${y.path}`),this.fileChangesDelayer.trigger(async()=>{const b=this.fileChangesBuffer;this.fileChangesBuffer=[];const k=m.normalizeFileChanges(b);if(this.verboseLogging)for(const c of k)this.onVerbose(`>> normalized ${c.type===1?"[ADDED]":c.type===2?"[DELETED]":"[CHANGED]"} ${c.path}`);k.length>0&&this.onDidFilesChange(k)})}onError(y){this.isDisposed||this.onLogMessage({type:"error",message:`[File Watcher (node.js)] ${y}`})}onVerbose(y){this.isDisposed||this.onLogMessage({type:"trace",message:`[File Watcher (node.js)] ${y}`})}dispose(){this.isDisposed=!0,super.dispose()}}t.FileWatcher=d}),define(Z[52],te([0,1]),function(_,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ServiceCollection=void 0;class m{constructor(...D){this._entries=new Map;for(let[C,O]of D)this.set(C,O)}set(D,C){const O=this._entries.get(D);return this._entries.set(D,C),O}has(D){return this._entries.has(D)}get(D){return this._entries.get(D)}}t.ServiceCollection=m}),define(Z[100],te([0,1,12,94,50,11,52,4]),function(_,t,m,F,D,C,O,T){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.InstantiationService=void 0;const u=!1;class d extends Error{constructor(c){super("cyclic dependency between services");this.message=c.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${c.toString()}`}}class w{constructor(c=new O.ServiceCollection,h=!1,S){this._activeInstantiations=new Set,this._services=c,this._strict=h,this._parent=S,this._services.set(C.IInstantiationService,this)}createChild(c){return new w(c,this._strict,this)}invokeFunction(c,...h){let S=b.traceInvocation(c),R=!1;try{return c({get:(v,r)=>{if(R)throw m.illegalState("service accessor is only valid during the invocation of its target method");const o=this._getOrCreateServiceInstance(v,S);if(!o&&r!==C.optional)throw new Error(`[invokeFunction] unknown service '${v}'`);return o}},...h)}finally{R=!0,S.stop()}}createInstance(c,...h){let S,R;return c instanceof D.SyncDescriptor?(S=b.traceCreation(c.ctor),R=this._createInstance(c.ctor,c.staticArguments.concat(h),S)):(S=b.traceCreation(c),R=this._createInstance(c,h,S)),S.stop(),R}_createInstance(c,h=[],S){let R=C._util.getServiceDependencies(c).sort((r,o)=>r.index-o.index),P=[];for(const r of R){let o=this._getOrCreateServiceInstance(r.id,S);if(!o&&this._strict&&!r.optional)throw new Error(`[createInstance] ${c.name} depends on UNKNOWN service ${r.id}.`);P.push(o)}let v=R.length>0?R[0].index:h.length;if(h.length!==v){console.warn(`[createInstance] First service dependency of ${c.name} at position ${v+1} conflicts with ${h.length} static arguments`);let r=v-h.length;r>0?h=h.concat(new Array(r)):h=h.slice(0,v)}return new c(...[...h,...P])}_setServiceInstance(c,h){if(this._services.get(c)instanceof D.SyncDescriptor)this._services.set(c,h);else if(this._parent)this._parent._setServiceInstance(c,h);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(c){let h=this._services.get(c);return!h&&this._parent?this._parent._getServiceInstanceOrDescriptor(c):h}_getOrCreateServiceInstance(c,h){let S=this._getServiceInstanceOrDescriptor(c);return S instanceof D.SyncDescriptor?this._safeCreateAndCacheServiceInstance(c,S,h.branch(c,!0)):(h.branch(c,!1),S)}_safeCreateAndCacheServiceInstance(c,h,S){if(this._activeInstantiations.has(c))throw new Error(`illegal state - RECURSIVELY instantiating service '${c}'`);this._activeInstantiations.add(c);try{return this._createAndCacheServiceInstance(c,h,S)}finally{this._activeInstantiations.delete(c)}}_createAndCacheServiceInstance(c,h,S){const R=new F.Graph(r=>r.id.toString());let P=0;const v=[{id:c,desc:h,_trace:S}];for(;v.length;){const r=v.pop();if(R.lookupOrInsertNode(r),P++>1e3)throw new d(R);for(let o of C._util.getServiceDependencies(r.desc.ctor)){let e=this._getServiceInstanceOrDescriptor(o.id);if(!e&&!o.optional&&console.warn(`[createInstance] ${c} depends on ${o.id} which is NOT registered.`),e instanceof D.SyncDescriptor){const i={id:o.id,desc:e,_trace:r._trace.branch(o.id,!0)};R.insertEdge(r,i),v.push(i)}}}for(;;){const r=R.roots();if(r.length===0){if(!R.isEmpty())throw new d(R);break}for(const{data:o}of r){if(this._getServiceInstanceOrDescriptor(o.id)instanceof D.SyncDescriptor){const i=this._createServiceInstanceWithOwner(o.id,o.desc.ctor,o.desc.staticArguments,o.desc.supportsDelayedInstantiation,o._trace);this._setServiceInstance(o.id,i)}R.removeNode(o)}}return this._getServiceInstanceOrDescriptor(c)}_createServiceInstanceWithOwner(c,h,S=[],R,P){if(this._services.get(c)instanceof D.SyncDescriptor)return this._createServiceInstance(h,S,R,P);if(this._parent)return this._parent._createServiceInstanceWithOwner(c,h,S,R,P);throw new Error(`illegalState - creating UNKNOWN service instance ${h.name}`)}_createServiceInstance(c,h=[],S,R){if(S){const P=new T.IdleValue(()=>this._createInstance(c,h,R));return new Proxy(Object.create(null),{get(v,r){if(r in v)return v[r];let o=P.value,e=o[r];return typeof e!="function"||(e=e.bind(o),v[r]=e),e},set(v,r,o){return P.value[r]=o,!0}})}else return this._createInstance(c,h,R)}}t.InstantiationService=w;var y;(function(k){k[k.Creation=0]="Creation",k[k.Invocation=1]="Invocation",k[k.Branch=2]="Branch"})(y||(y={}));class b{constructor(c,h){this.type=c,this.name=h,this._start=Date.now(),this._dep=[]}static traceInvocation(c){return u?new b(1,c.name||c.toString().substring(0,42).replace(/\n/g,"")):b._None}static traceCreation(c){return u?new b(0,c.name):b._None}branch(c,h){let S=new b(2,c.toString());return this._dep.push([c,h,S]),S}stop(){let c=Date.now()-this._start;b._totals+=c;let h=!1;function S(P,v){let r=[],o=new Array(P+1).join("	");for(const[e,i,n]of v._dep)if(i&&n){h=!0,r.push(`${o}CREATES -> ${e}`);let s=S(P+1,n);s&&r.push(s)}else r.push(`${o}uses -> ${e}`);return r.join(`
`)}let R=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${S(1,this)}`,`DONE, took ${c.toFixed(2)}ms (grand total ${b._totals.toFixed(2)}ms)`];(c>2||h)&&console.log(R.join(`
`))}}b._None=new class extends b{constructor(){super(-1,null)}stop(){}branch(){return this}},b._totals=0}),define(Z[53],te([0,1,11]),function(_,t,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isValidLocalization=t.ILocalizationsService=void 0,t.ILocalizationsService=m.createDecorator("localizationsService");function F(D){if(typeof D.languageId!="string"||!Array.isArray(D.translations)||D.translations.length===0)return!1;for(const C of D.translations)if(typeof C.id!="string"||typeof C.path!="string")return!1;return!(D.languageName&&typeof D.languageName!="string"||D.localizedLanguageName&&typeof D.localizedLanguageName!="string")}t.isValidLocalization=F}),define(Z[15],te([0,1,11,2,14,10,28]),function(_,t,m,F,D,C,O){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LogLevelToString=t.parseLogLevel=t.getLogLevel=t.NullLogService=t.AbstractLoggerService=t.LogService=t.MultiplexLogService=t.AdapterLogger=t.ConsoleLogger=t.ConsoleMainLogger=t.AbstractMessageLogger=t.AbstractLogger=t.DEFAULT_LOG_LEVEL=t.LogLevel=t.ILoggerService=t.ILogService=void 0,t.ILogService=m.createDecorator("logService"),t.ILoggerService=m.createDecorator("loggerService");function T(){return new Date().toISOString()}var u;(function(o){o[o.Trace=0]="Trace",o[o.Debug=1]="Debug",o[o.Info=2]="Info",o[o.Warning=3]="Warning",o[o.Error=4]="Error",o[o.Critical=5]="Critical",o[o.Off=6]="Off"})(u=t.LogLevel||(t.LogLevel={})),t.DEFAULT_LOG_LEVEL=u.Info;class d extends F.Disposable{constructor(){super(...arguments);this.level=t.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new C.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(e){this.level!==e&&(this.level=e,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}t.AbstractLogger=d;class w extends d{constructor(e){super();this.logAlways=e}checkLogLevel(e){return this.logAlways||this.getLevel()<=e}trace(e,...i){this.checkLogLevel(u.Trace)&&this.log(u.Trace,this.format([e,...i]))}debug(e,...i){this.checkLogLevel(u.Debug)&&this.log(u.Debug,this.format([e,...i]))}info(e,...i){this.checkLogLevel(u.Info)&&this.log(u.Info,this.format([e,...i]))}warn(e,...i){this.checkLogLevel(u.Warning)&&this.log(u.Warning,this.format([e,...i]))}error(e,...i){if(this.checkLogLevel(u.Error))if(e instanceof Error){const n=Array.prototype.slice.call(arguments);n[0]=e.stack,this.log(u.Error,this.format(n))}else this.log(u.Error,this.format([e,...i]))}critical(e,...i){this.checkLogLevel(u.Critical)&&this.log(u.Critical,this.format([e,...i]))}flush(){}format(e){let i="";for(let n=0;n<e.length;n++){let s=e[n];if(typeof s=="object")try{s=JSON.stringify(s)}catch(f){}i+=(n>0?" ":"")+s}return i}}t.AbstractMessageLogger=w;class y extends d{constructor(e=t.DEFAULT_LOG_LEVEL){super();this.setLevel(e),this.useColors=!D.isWindows}trace(e,...i){this.getLevel()<=u.Trace&&(this.useColors?console.log(`[90m[main ${T()}][0m`,e,...i):console.log(`[main ${T()}]`,e,...i))}debug(e,...i){this.getLevel()<=u.Debug&&(this.useColors?console.log(`[90m[main ${T()}][0m`,e,...i):console.log(`[main ${T()}]`,e,...i))}info(e,...i){this.getLevel()<=u.Info&&(this.useColors?console.log(`[90m[main ${T()}][0m`,e,...i):console.log(`[main ${T()}]`,e,...i))}warn(e,...i){this.getLevel()<=u.Warning&&(this.useColors?console.warn(`[93m[main ${T()}][0m`,e,...i):console.warn(`[main ${T()}]`,e,...i))}error(e,...i){this.getLevel()<=u.Error&&(this.useColors?console.error(`[91m[main ${T()}][0m`,e,...i):console.error(`[main ${T()}]`,e,...i))}critical(e,...i){this.getLevel()<=u.Critical&&(this.useColors?console.error(`[90m[main ${T()}][0m`,e,...i):console.error(`[main ${T()}]`,e,...i))}dispose(){}flush(){}}t.ConsoleMainLogger=y;class b extends d{constructor(e=t.DEFAULT_LOG_LEVEL){super();this.setLevel(e)}trace(e,...i){this.getLevel()<=u.Trace&&console.log("%cTRACE","color: #888",e,...i)}debug(e,...i){this.getLevel()<=u.Debug&&console.log("%cDEBUG","background: #eee; color: #888",e,...i)}info(e,...i){this.getLevel()<=u.Info&&console.log("%c INFO","color: #33f",e,...i)}warn(e,...i){this.getLevel()<=u.Warning&&console.log("%c WARN","color: #993",e,...i)}error(e,...i){this.getLevel()<=u.Error&&console.log("%c  ERR","color: #f33",e,...i)}critical(e,...i){this.getLevel()<=u.Critical&&console.log("%cCRITI","background: #f33; color: white",e,...i)}dispose(){}flush(){}}t.ConsoleLogger=b;class k extends d{constructor(e,i=t.DEFAULT_LOG_LEVEL){super();this.adapter=e,this.setLevel(i)}trace(e,...i){this.getLevel()<=u.Trace&&this.adapter.log(u.Trace,[this.extractMessage(e),...i])}debug(e,...i){this.getLevel()<=u.Debug&&this.adapter.log(u.Debug,[this.extractMessage(e),...i])}info(e,...i){this.getLevel()<=u.Info&&this.adapter.log(u.Info,[this.extractMessage(e),...i])}warn(e,...i){this.getLevel()<=u.Warning&&this.adapter.log(u.Warning,[this.extractMessage(e),...i])}error(e,...i){this.getLevel()<=u.Error&&this.adapter.log(u.Error,[this.extractMessage(e),...i])}critical(e,...i){this.getLevel()<=u.Critical&&this.adapter.log(u.Critical,[this.extractMessage(e),...i])}extractMessage(e){return typeof e=="string"?e:O.toErrorMessage(e,this.getLevel()<=u.Trace)}dispose(){}flush(){}}t.AdapterLogger=k;class c extends d{constructor(e){super();this.logServices=e,e.length&&this.setLevel(e[0].getLevel())}setLevel(e){for(const i of this.logServices)i.setLevel(e);super.setLevel(e)}trace(e,...i){for(const n of this.logServices)n.trace(e,...i)}debug(e,...i){for(const n of this.logServices)n.debug(e,...i)}info(e,...i){for(const n of this.logServices)n.info(e,...i)}warn(e,...i){for(const n of this.logServices)n.warn(e,...i)}error(e,...i){for(const n of this.logServices)n.error(e,...i)}critical(e,...i){for(const n of this.logServices)n.critical(e,...i)}flush(){for(const e of this.logServices)e.flush()}dispose(){for(const e of this.logServices)e.dispose()}}t.MultiplexLogService=c;class h extends F.Disposable{constructor(e){super();this.logger=e,this._register(e)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(e){this.logger.setLevel(e)}getLevel(){return this.logger.getLevel()}trace(e,...i){this.logger.trace(e,...i)}debug(e,...i){this.logger.debug(e,...i)}info(e,...i){this.logger.info(e,...i)}warn(e,...i){this.logger.warn(e,...i)}error(e,...i){this.logger.error(e,...i)}critical(e,...i){this.logger.critical(e,...i)}flush(){this.logger.flush()}}t.LogService=h;class S extends F.Disposable{constructor(e,i){super();this.logLevel=e,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(i(n=>{this.logLevel=n,this.logLevelChangeableLoggers.forEach(s=>s.setLevel(n))}))}createLogger(e,i){let n=this.loggers.get(e.toString());return n||(n=this.doCreateLogger(e,i?.always?u.Trace:this.logLevel,i),this.loggers.set(e.toString(),n),i?.always||this.logLevelChangeableLoggers.push(n)),n}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(e=>e.dispose()),this.loggers.clear(),super.dispose()}}t.AbstractLoggerService=S;class R{constructor(){this.onDidChangeLogLevel=new C.Emitter().event}setLevel(e){}getLevel(){return u.Info}trace(e,...i){}debug(e,...i){}info(e,...i){}warn(e,...i){}error(e,...i){}critical(e,...i){}dispose(){}flush(){}}t.NullLogService=R;function P(o){if(o.verbose)return u.Trace;if(typeof o.logLevel=="string"){const e=v(o.logLevel.toLowerCase());if(e!==void 0)return e}return t.DEFAULT_LOG_LEVEL}t.getLogLevel=P;function v(o){switch(o){case"trace":return u.Trace;case"debug":return u.Debug;case"info":return u.Info;case"warn":return u.Warning;case"error":return u.Error;case"critical":return u.Critical;case"off":return u.Off}}t.parseLogLevel=v;function r(o){switch(o){case u.Trace:return"trace";case u.Debug:return"debug";case u.Info:return"info";case u.Warning:return"warn";case u.Error:return"error";case u.Critical:return"critical";case u.Off:return"off"}}t.LogLevelToString=r}),define(Z[101],te([0,1,9,2,17,23,21,7,20,24,15,29,39,14,4,12]),function(_,t,m,F,D,C,O,T,u,d,w,y,b,k,c,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsDownloader=void 0;const S=/^([^.]+\..+)-(\d+\.\d+\.\d+)$/;let R=class extends F.Disposable{constructor(v,r,o,e){super();this.fileService=r,this.extensionGalleryService=o,this.logService=e,this.extensionsDownloadDir=T.URI.file(v.extensionsDownloadPath),this.cache=20,this.cleanUpPromise=this.cleanUp()}async downloadExtension(v,r){await this.cleanUpPromise;const o=this.getName(v),e=u.joinPath(this.extensionsDownloadDir,o);if(!await this.fileService.exists(e)){const i=u.joinPath(this.extensionsDownloadDir,`.${y.generateUuid()}`);await this.fileService.exists(i)||await this.extensionGalleryService.download(v,i,r);try{await this.rename(i,e,Date.now()+2*60*1e3)}catch(n){try{await this.fileService.del(i)}catch(s){}if(n.code==="ENOTEMPTY")this.logService.info("Rename failed because vsix was downloaded by another source. So ignoring renaming.",v.identifier.id);else throw this.logService.info(`Rename failed because of ${h.getErrorMessage(n)}. Deleted the vsix from downloaded location`,i.path),n}}return e}async delete(v){}async rename(v,r,o){try{await m.Promises.rename(v.fsPath,r.fsPath)}catch(e){if(k.isWindows&&e&&e.code==="EPERM"&&Date.now()<o)return this.logService.info(`Failed renaming ${v} to ${r} with 'EPERM' error. Trying again...`),this.rename(v,r,o);throw e}}async cleanUp(){try{if(!await this.fileService.exists(this.extensionsDownloadDir)){this.logService.trace("Extension VSIX downlads cache dir does not exist");return}const v=await this.fileService.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(v.children){const r=[],o=[];for(const n of v.children){const s=this.parse(n.name);s&&o.push([s,n])}const e=d.groupByExtension(o,([n])=>n),i=[];for(const n of e)n.sort((s,f)=>b.rcompare(s[0].version,f[0].version)),r.push(...n.slice(1).map(s=>s[1].resource)),i.push(n[0][1]);i.sort((n,s)=>n.mtime-s.mtime),r.push(...i.slice(0,Math.max(0,i.length-this.cache)).map(n=>n.resource)),await c.Promises.settled(r.map(n=>(this.logService.trace("Deleting vsix from cache",n.path),this.fileService.del(n))))}}catch(v){this.logService.error(v)}}getName(v){return this.cache?new d.ExtensionIdentifierWithVersion(v.identifier,v.version).key().toLowerCase():y.generateUuid()}parse(v){const r=S.exec(v);return r&&r[1]&&r[2]?new d.ExtensionIdentifierWithVersion({id:r[1]},r[2]):null}};R=ce([fe(0,O.INativeEnvironmentService),fe(1,D.IFileService),fe(2,C.IExtensionGalleryService),fe(3,w.ILogService)],R),t.ExtensionsDownloader=R}),define(Z[102],te([0,1,2,15,32,28,3,4,10,8,9,21]),function(_,t,m,F,D,C,O,T,u,d,w,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsLifecycle=void 0;let b=class extends m.Disposable{constructor(c,h){super();this.environmentService=c,this.logService=h,this.processesLimiter=new T.Limiter(5)}async postUninstall(c){const h=this.parseScript(c,"uninstall");return h&&(this.logService.info(c.identifier.id,c.manifest.version,"Running post uninstall script"),await this.processesLimiter.queue(()=>this.runLifecycleHook(h.script,"uninstall",h.args,!0,c).then(()=>this.logService.info(c.identifier.id,c.manifest.version,"Finished running post uninstall script"),S=>this.logService.error(c.identifier.id,c.manifest.version,`Failed to run post uninstall script: ${S}`)))),w.Promises.rm(this.getExtensionStoragePath(c)).then(void 0,S=>this.logService.error("Error while removing extension storage path",S))}parseScript(c,h){const S=`vscode:${h}`;if(c.location.scheme===d.Schemas.file&&c.manifest&&c.manifest.scripts&&typeof c.manifest.scripts[S]=="string"){const R=c.manifest.scripts[S].split(" ");return R.length<2||R[0]!=="node"||!R[1]?(this.logService.warn(c.identifier.id,c.manifest.version,`${S} should be a node script`),null):{script:O.join(c.location.fsPath,R[1]),args:R.slice(2)||[]}}return null}runLifecycleHook(c,h,S,R,P){return new Promise((v,r)=>{const o=this.start(c,h,S,P);let e;const i=n=>{e&&(clearTimeout(e),e=null),n?r(n):v(void 0)};o.on("error",n=>{i(C.toErrorMessage(n)||"Unknown")}),o.on("exit",(n,s)=>{i(n?`post-${h} process exited with code ${n}`:void 0)}),R&&(e=setTimeout(()=>{e=null,o.kill(),r("timed out")},5e3))})}start(c,h,S,R){const P={silent:!0,execArgv:void 0},v=D.fork(c,[`--type=extension-post-${h}`,...S],P);v.stdout.setEncoding("utf8"),v.stderr.setEncoding("utf8");const r=u.Event.fromNodeEventEmitter(v.stdout,"data"),o=u.Event.fromNodeEventEmitter(v.stderr,"data");r(n=>this.logService.info(R.identifier.id,R.manifest.version,`post-${h}`,n)),o(n=>this.logService.error(R.identifier.id,R.manifest.version,`post-${h}`,n));const e=u.Event.any(u.Event.map(r,n=>({data:`%c${n}`,format:[""]})),u.Event.map(o,n=>({data:`%c${n}`,format:["color: red"]})));return u.Event.debounce(e,(n,s)=>n?{data:n.data+s.data,format:[...n.format,...s.format]}:{data:s.data,format:s.format},100)(n=>{console.group(R.identifier.id),console.log(n.data,...n.format),console.groupEnd()}),v}getExtensionStoragePath(c){return O.join(this.environmentService.globalStorageHome.fsPath,c.identifier.id.toLowerCase())}};b=ce([fe(0,y.IEnvironmentService),fe(1,F.ILogService)],b),t.ExtensionsLifecycle=b}),define(Z[103],te([0,1,2,21,10,17,7,24,20,15]),function(_,t,m,F,D,C,O,T,u,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsWatcher=void 0;let w=class extends m.Disposable{constructor(b,k,c,h){super();this.extensionsManagementService=b,this.logService=h,this._onDidChangeExtensionsByAnotherSource=this._register(new D.Emitter),this.onDidChangeExtensionsByAnotherSource=this._onDidChangeExtensionsByAnotherSource.event,this.startTimestamp=0,this.installingExtensions=[],this.extensionsManagementService.getInstalled(1).then(P=>{this.installedExtensions=P.map(v=>v.identifier),this.startTimestamp=Date.now()}),this._register(b.onInstallExtension(P=>this.onInstallExtension(P))),this._register(b.onDidInstallExtension(P=>this.onDidInstallExtension(P))),this._register(b.onDidUninstallExtension(P=>this.onDidUninstallExtension(P)));const S=O.URI.file(c.extensionsPath),R=new u.ExtUri(P=>!k.hasCapability(P,1024));this._register(k.watch(S)),this._register(D.Event.filter(k.onDidChangeFilesRaw,P=>P.changes.some(v=>this.doesChangeAffects(v,S,R)))(()=>this.onDidChange()))}doesChangeAffects(b,k,c){return c.isEqual(c.dirname(b.resource),k)?c.isEqual(b.resource,c.joinPath(k,".obsolete"))?!0:!(b.type!==1&&b.type!==2||c.basename(b.resource).startsWith(".")):!1}onInstallExtension(b){this.addInstallingExtension(b.identifier)}onDidInstallExtension(b){this.removeInstallingExtension(b.identifier),b.error||this.addInstalledExtension(b.identifier)}onDidUninstallExtension(b){b.error||this.removeInstalledExtension(b.identifier)}addInstallingExtension(b){this.removeInstallingExtension(b),this.installingExtensions.push(b)}removeInstallingExtension(b){this.installingExtensions=this.installingExtensions.filter(k=>!T.areSameExtensions(k,b))}addInstalledExtension(b){this.installedExtensions&&(this.removeInstalledExtension(b),this.installedExtensions.push(b))}removeInstalledExtension(b){this.installedExtensions&&(this.installedExtensions=this.installedExtensions.filter(k=>!T.areSameExtensions(k,b)))}async onDidChange(){if(this.installedExtensions){const b=await this.extensionsManagementService.getInstalled(1),k=b.filter(h=>[...this.installingExtensions,...this.installedExtensions].some(S=>T.areSameExtensions(S,h.identifier))?!1:h.installedTimestamp&&h.installedTimestamp>this.startTimestamp?(this.logService.info("Detected extension installed from another source",h.identifier.id),!0):(this.logService.info("Ignored extension installed by another source because of invalid timestamp",h.identifier.id),!1)),c=this.installedExtensions.filter(h=>this.installingExtensions.some(S=>T.areSameExtensions(S,h))?!1:b.every(S=>!T.areSameExtensions(S.identifier,h))?(this.logService.info("Detected extension removed from another source",h.id),!0):!1);this.installedExtensions=b.map(h=>h.identifier),(k.length||c.length)&&this._onDidChangeExtensionsByAnotherSource.fire({added:k,removed:c})}}};w=ce([fe(1,C.IFileService),fe(2,F.INativeEnvironmentService),fe(3,d.ILogService)],w),t.ExtensionsWatcher=w}),define(Z[104],te([0,1,9,127,23,2,21,4,24,15,53,22,10,8,3]),function(_,t,m,F,D,C,O,T,u,d,w,y,b,k,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LocalizationsService=void 0;let h=class extends C.Disposable{constructor(P,v,r){super();this.extensionManagementService=P,this.logService=r,this._onDidLanguagesChange=this._register(new b.Emitter),this.onDidLanguagesChange=this._onDidLanguagesChange.event,this.cache=this._register(new S(v,r)),this._register(P.onDidInstallExtension(({local:o})=>this.onDidInstallExtension(o))),this._register(P.onDidUninstallExtension(({identifier:o})=>this.onDidUninstallExtension(o)))}getLanguageIds(){return this.cache.getLanguagePacks().then(P=>{const v=["en",...Object.keys(P)];return y.distinct(v)})}onDidInstallExtension(P){P&&P.manifest&&P.manifest.contributes&&P.manifest.contributes.localizations&&P.manifest.contributes.localizations.length&&(this.logService.debug("Adding language packs from the extension",P.identifier.id),this.update().then(v=>{v&&this._onDidLanguagesChange.fire()}))}onDidUninstallExtension(P){this.cache.getLanguagePacks().then(v=>{Object.keys(v).some(r=>v[r]&&v[r].extensions.some(o=>u.areSameExtensions(o.extensionIdentifier,P)))&&(this.logService.debug("Removing language packs from the extension",P.id),this.update().then(r=>{r&&this._onDidLanguagesChange.fire()}))})}async update(){const[P,v]=await Promise.all([this.cache.getLanguagePacks(),this.extensionManagementService.getInstalled()]),r=await this.cache.update(v);return!y.equals(Object.keys(P),Object.keys(r))}};h=ce([fe(0,D.IExtensionManagementService),fe(1,O.INativeEnvironmentService),fe(2,d.ILogService)],h),t.LocalizationsService=h;let S=class extends C.Disposable{constructor(P,v){super();this.logService=v,this.languagePacks={},this.languagePacksFilePath=c.join(P.userDataPath,"languagepacks.json"),this.languagePacksFileLimiter=new T.Queue}getLanguagePacks(){return this.languagePacksFileLimiter.size||!this.initializedCache?this.withLanguagePacks().then(()=>this.languagePacks):Promise.resolve(this.languagePacks)}update(P){return this.withLanguagePacks(v=>{Object.keys(v).forEach(r=>delete v[r]),this.createLanguagePacksFromExtensions(v,...P)}).then(()=>this.languagePacks)}createLanguagePacksFromExtensions(P,...v){for(const r of v)r&&r.manifest&&r.manifest.contributes&&r.manifest.contributes.localizations&&r.manifest.contributes.localizations.length&&this.createLanguagePacksFromExtension(P,r);Object.keys(P).forEach(r=>this.updateHash(P[r]))}createLanguagePacksFromExtension(P,v){const r=v.identifier,o=v.manifest.contributes&&v.manifest.contributes.localizations?v.manifest.contributes.localizations:[];for(const e of o)if(v.location.scheme===k.Schemas.file&&w.isValidLocalization(e)){let i=P[e.languageId];i||(i={hash:"",extensions:[],translations:{}},P[e.languageId]=i);let n=i.extensions.filter(s=>u.areSameExtensions(s.extensionIdentifier,r))[0];n?n.version=v.manifest.version:i.extensions.push({extensionIdentifier:r,version:v.manifest.version});for(const s of e.translations)i.translations[s.id]=c.join(v.location.fsPath,s.path)}}updateHash(P){if(P){const v=F.createHash("md5");for(const r of P.extensions)v.update(r.extensionIdentifier.uuid||r.extensionIdentifier.id).update(r.version);P.hash=v.digest("hex")}}withLanguagePacks(P=()=>null){return this.languagePacksFileLimiter.queue(()=>{let v=null;return m.Promises.readFile(this.languagePacksFilePath,"utf8").then(void 0,r=>r.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(r)).then(r=>{try{return JSON.parse(r)}catch(o){return{}}}).then(r=>(v=P(r),r)).then(r=>{for(const e of Object.keys(r))r[e]||delete r[e];this.languagePacks=r,this.initializedCache=!0;const o=JSON.stringify(this.languagePacks);return this.logService.debug("Writing language packs",o),m.Promises.writeFile(this.languagePacksFilePath,o)}).then(()=>v,r=>this.logService.error(r))})}};S=ce([fe(0,O.INativeEnvironmentService),fe(1,d.ILogService)],S)}),define(Z[105],te([0,1,15,17]),function(_,t,m,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SpdLogLogger=t.createRotatingLogger=void 0;async function D(u,d,w,y){try{const b=await new Promise((k,c)=>{_(["spdlog"],k,c)});return b.setFlushOn(m.LogLevel.Trace),b.createAsyncRotatingLogger(u,d,w,y)}catch(b){console.error(b)}return null}function C(u,d,w,y){const b=_.__$__nodeRequire("spdlog");return b.setFlushOn(m.LogLevel.Trace),b.createRotatingLogger(u,d,w,y)}t.createRotatingLogger=C;function O(u,d,w){switch(d){case m.LogLevel.Trace:u.trace(w);break;case m.LogLevel.Debug:u.debug(w);break;case m.LogLevel.Info:u.info(w);break;case m.LogLevel.Warning:u.warn(w);break;case m.LogLevel.Error:u.error(w);break;case m.LogLevel.Critical:u.critical(w);break;default:throw new Error("Invalid log level")}}class T extends m.AbstractMessageLogger{constructor(d,w,y,b){super();this.name=d,this.filepath=w,this.rotating=y,this.buffer=[],this.setLevel(b),this._loggerCreationPromise=this._createSpdLogLogger(),this._register(this.onDidChangeLogLevel(k=>{this._logger&&this._logger.setLevel(k)}))}_createSpdLogLogger(){const d=this.rotating?6:1,w=30/d*F.ByteSize.MB;return D(this.name,this.filepath,w,d).then(y=>{if(y){this._logger=y,this._logger.setLevel(this.getLevel());for(const{level:b,message:k}of this.buffer)O(this._logger,b,k);this.buffer=[]}})}log(d,w){this._logger?O(this._logger,d,w):this.getLevel()<=d&&this.buffer.push({level:d,message:w})}clearFormatters(){this._logger?this._logger.clearFormatters():this._loggerCreationPromise.then(()=>this.clearFormatters())}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}t.SpdLogLogger=T}),define(Z[54],te([0,1,81,16,17,12,40]),function(_,t,m,F,D,C,O){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.readFileIntoStream=void 0;async function T(y,b,k,c,h,S){let R;try{await u(y,b,k,c,h,S)}catch(P){R=P}finally{R&&h.errorTransformer&&(R=h.errorTransformer(R)),typeof R!="undefined"&&k.error(R),k.end()}}t.readFileIntoStream=T;async function u(y,b,k,c,h,S){d(S);const R=await y.open(b,{create:!1});try{d(S);let P=0,v=0,r=h&&typeof h.length=="number"?h.length:void 0,o=F.VSBuffer.alloc(Math.min(h.bufferSize,typeof r=="number"?r:h.bufferSize)),e=h&&typeof h.position=="number"?h.position:0,i=0;do v=await y.read(R,e,o.buffer,i,o.byteLength-i),e+=v,i+=v,P+=v,typeof r=="number"&&(r-=v),i===o.byteLength&&(await k.write(c(o)),o=F.VSBuffer.alloc(Math.min(h.bufferSize,typeof r=="number"?r:h.bufferSize)),i=0);while(v>0&&(typeof r!="number"||r>0)&&d(S)&&w(P,h));if(i>0){let n=i;typeof r=="number"&&(n=Math.min(i,r)),k.write(c(o.slice(0,n)))}}catch(P){throw D.ensureFileSystemProviderError(P)}finally{await y.close(R)}}function d(y){if(y.isCancellationRequested)throw C.canceled();return!0}function w(y,b){if(b?.limits){if(typeof b.limits.memory=="number"&&y>b.limits.memory)throw D.createFileSystemProviderError(m.localize(0,null,O.default.nameShort),D.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof b.limits.size=="number"&&y>b.limits.size)throw D.createFileSystemProviderError(m.localize(1,null),D.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(Z[106],te([0,1,80,128,2,17,10,20,45,22,15,16,34,4,26,8,54,129]),function(_,t,m,F,D,C,O,T,u,d,w,y,b,k,c,h,S,R){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FileService=void 0;let P=class Ne extends D.Disposable{constructor(r){super();this.logService=r,this.BUFFER_SIZE=64*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new O.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new O.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new O.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new O.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onError=this._register(new O.Emitter),this.onError=this._onError.event,this._onDidFilesChange=this._register(new O.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this._onDidChangeFilesRaw=this._register(new O.Emitter),this.onDidChangeFilesRaw=this._onDidChangeFilesRaw.event,this.activeWatchers=new Map,this.caseSensitiveFileEventsWorker=this._register(new k.ThrottledWorker(Ne.FILE_EVENTS_THROTTLING.maxChangesChunkSize,Ne.FILE_EVENTS_THROTTLING.maxChangesBufferSize,Ne.FILE_EVENTS_THROTTLING.coolDownDelay,o=>this._onDidFilesChange.fire(new C.FileChangesEvent(o,!1)))),this.caseInsensitiveFileEventsWorker=this._register(new k.ThrottledWorker(Ne.FILE_EVENTS_THROTTLING.maxChangesChunkSize,Ne.FILE_EVENTS_THROTTLING.maxChangesBufferSize,Ne.FILE_EVENTS_THROTTLING.coolDownDelay,o=>this._onDidFilesChange.fire(new C.FileChangesEvent(o,!0)))),this.watchedResources=u.TernarySearchTree.forUris(o=>{const e=this.getProvider(o.scheme);return e?!this.isPathCaseSensitive(e):!1}),this.writeQueue=this._register(new k.ResourceQueue)}registerProvider(r,o){if(this.provider.has(r))throw new Error(`A filesystem provider for the scheme '${r}' is already registered.`);F.mark(`code/registerFilesystem/${r}`),this.provider.set(r,o),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:r,provider:o});const e=new D.DisposableStore;return e.add(o.onDidChangeFile(i=>this.onDidChangeFile(i,this.isPathCaseSensitive(o)))),e.add(o.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:o,scheme:r}))),typeof o.onDidErrorOccur=="function"&&e.add(o.onDidErrorOccur(i=>this._onError.fire(new Error(i)))),D.toDisposable(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:r,provider:o}),this.provider.delete(r),D.dispose(e)})}getProvider(r){return this.provider.get(r)}async activateProvider(r){const o=[];this._onWillActivateFileSystemProvider.fire({scheme:r,join(e){o.push(e)}}),!this.provider.has(r)&&await k.Promises.settled(o)}canHandleResource(r){return this.provider.has(r.scheme)}hasCapability(r,o){const e=this.provider.get(r.scheme);return!!(e&&e.capabilities&o)}listCapabilities(){return R.Iterable.map(this.provider,([r,o])=>({scheme:r,capabilities:o.capabilities}))}async withProvider(r){if(!T.isAbsolutePath(r))throw new C.FileOperationError(m.localize(0,null,this.resourceForError(r)),8);await this.activateProvider(r.scheme);const o=this.provider.get(r.scheme);if(!o){const e=new Error;throw e.name="ENOPRO",e.message=m.localize(1,null,r.toString()),e}return o}async withReadProvider(r){const o=await this.withProvider(r);if(C.hasOpenReadWriteCloseCapability(o)||C.hasReadWriteCapability(o)||C.hasFileReadStreamCapability(o))return o;throw new Error(`Filesystem provider for scheme '${r.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(r){const o=await this.withProvider(r);if(C.hasOpenReadWriteCloseCapability(o)||C.hasReadWriteCapability(o))return o;throw new Error(`Filesystem provider for scheme '${r.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(r,o){try{return await this.doResolveFile(r,o)}catch(e){throw C.toFileSystemProviderErrorCode(e)===C.FileSystemProviderErrorCode.FileNotFound?new C.FileOperationError(m.localize(2,null,this.resourceForError(r)),1):C.ensureFileSystemProviderError(e)}}async doResolveFile(r,o){const e=await this.withProvider(r),i=this.isPathCaseSensitive(e),n=o?.resolveTo,s=o?.resolveSingleChildDescendants,f=o?.resolveMetadata,p=await e.stat(r);let I;return this.toFileStat(e,r,p,void 0,!!f,(U,A)=>(I||(I=u.TernarySearchTree.forUris(()=>!i),I.set(r,!0),d.isNonEmptyArray(n)&&n.forEach(M=>I.set(M,!0))),Boolean(I.findSuperstr(U.resource)||I.get(U.resource))?!0:U.isDirectory&&s?A===1:!1))}async toFileStat(r,o,e,i,n,s){const{providerExtUri:f}=this.getExtUri(r),p={resource:o,name:f.basename(o),isFile:(e.type&C.FileType.File)!=0,isDirectory:(e.type&C.FileType.Directory)!=0,isSymbolicLink:(e.type&C.FileType.SymbolicLink)!=0,mtime:e.mtime,ctime:e.ctime,size:e.size,readonly:Boolean((e.permissions??0)&C.FilePermission.Readonly)||Boolean(r.capabilities&2048),etag:C.etag({mtime:e.mtime,size:e.size})};if(p.isDirectory&&s(p,i)){try{const I=await r.readdir(o),U=await k.Promises.settled(I.map(async([A,M])=>{try{const x=f.joinPath(o,A),q=n?await r.stat(x):{type:M};return await this.toFileStat(r,x,q,I.length,n,s)}catch(x){return this.logService.trace(x),null}}));p.children=d.coalesce(U)}catch(I){this.logService.trace(I),p.children=[]}return p}return p}async resolveAll(r){return k.Promises.settled(r.map(async o=>{try{return{stat:await this.doResolveFile(o.resource,o.options),success:!0}}catch(e){return this.logService.trace(e),{stat:void 0,success:!1}}}))}async exists(r){const o=await this.withProvider(r);try{return!!await o.stat(r)}catch(e){return!1}}async canCreateFile(r,o){try{await this.doValidateCreateFile(r,o)}catch(e){return e}return!0}async doValidateCreateFile(r,o){if(!o?.overwrite&&await this.exists(r))throw new C.FileOperationError(m.localize(3,null,this.resourceForError(r)),3,o)}async createFile(r,o=y.VSBuffer.fromString(""),e){await this.doValidateCreateFile(r,e);const i=await this.writeFile(r,o);return this._onDidRunOperation.fire(new C.FileOperationEvent(r,0,i)),i}async writeFile(r,o,e){const i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(r),r),{providerExtUri:n}=this.getExtUri(i);try{await this.validateWriteFile(i,r,e)||await this.mkdirp(i,n.dirname(r));let f;if(C.hasReadWriteCapability(i)&&!(o instanceof y.VSBuffer))if(b.isReadableStream(o)){const p=await b.peekStream(o,3);p.ended?f=y.VSBuffer.concat(p.buffer):f=p}else f=b.peekReadable(o,p=>y.VSBuffer.concat(p),3);else f=o;!C.hasOpenReadWriteCloseCapability(i)||C.hasReadWriteCapability(i)&&f instanceof y.VSBuffer?await this.doWriteUnbuffered(i,r,e,f):await this.doWriteBuffered(i,r,e,f instanceof y.VSBuffer?y.bufferToReadable(f):f)}catch(s){throw new C.FileOperationError(m.localize(4,null,this.resourceForError(r),C.ensureFileSystemProviderError(s).toString()),C.toFileOperationResult(s),e)}return this.resolve(r,{resolveMetadata:!0})}async validateWriteFile(r,o,e){if(!!e?.unlock&&!(r.capabilities&8192))throw new Error(m.localize(5,null,this.resourceForError(o)));let n;try{n=await r.stat(o)}catch(s){return}if((n.type&C.FileType.Directory)!=0)throw new C.FileOperationError(m.localize(6,null,this.resourceForError(o)),0,e);if(this.throwIfFileIsReadonly(o,n),e&&typeof e.mtime=="number"&&typeof e.etag=="string"&&e.etag!==C.ETAG_DISABLED&&typeof n.mtime=="number"&&typeof n.size=="number"&&e.mtime<n.mtime&&e.etag!==C.etag({mtime:e.mtime,size:n.size}))throw new C.FileOperationError(m.localize(7,null),3,e);return n}async readFile(r,o){const e=await this.withReadProvider(r);return o?.atomic?this.doReadFileAtomic(e,r,o):this.doReadFile(e,r,o)}async doReadFileAtomic(r,o,e){return new Promise((i,n)=>{this.writeQueue.queueFor(o,this.getExtUri(r).providerExtUri).queue(async()=>{try{const s=await this.doReadFile(r,o,e);i(s)}catch(s){n(s)}})})}async doReadFile(r,o,e){const i=await this.doReadFileStream(r,o,{...e,preferUnbuffered:!0});return{...i,value:await y.streamToBuffer(i.value)}}async readFileStream(r,o){const e=await this.withReadProvider(r);return this.doReadFileStream(e,r,o)}async doReadFileStream(r,o,e){const i=new c.CancellationTokenSource,n=this.validateReadFile(o,e).then(f=>f,f=>{throw i.cancel(),f});let s;try{return e&&typeof e.etag=="string"&&e.etag!==C.ETAG_DISABLED&&await n,!(C.hasOpenReadWriteCloseCapability(r)||C.hasFileReadStreamCapability(r))||C.hasReadWriteCapability(r)&&e?.preferUnbuffered?s=this.readFileUnbuffered(r,o,e):C.hasFileReadStreamCapability(r)?s=this.readFileStreamed(r,o,i.token,e):s=this.readFileBuffered(r,o,i.token,e),{...await n,value:s}}catch(f){s&&await b.consumeStream(s);const p=m.localize(8,null,this.resourceForError(o),C.ensureFileSystemProviderError(f).toString());throw f instanceof C.NotModifiedSinceFileOperationError?new C.NotModifiedSinceFileOperationError(p,f.stat,e):new C.FileOperationError(p,C.toFileOperationResult(f),e)}}readFileStreamed(r,o,e,i=Object.create(null)){const n=r.readFileStream(o,i,e);return b.transform(n,{data:s=>s instanceof y.VSBuffer?s:y.VSBuffer.wrap(s),error:s=>new C.FileOperationError(m.localize(9,null,this.resourceForError(o),C.ensureFileSystemProviderError(s).toString()),C.toFileOperationResult(s),i)},s=>y.VSBuffer.concat(s))}readFileBuffered(r,o,e,i=Object.create(null)){const n=y.newWriteableBufferStream();return S.readFileIntoStream(r,o,n,s=>s,{...i,bufferSize:this.BUFFER_SIZE,errorTransformer:s=>new C.FileOperationError(m.localize(10,null,this.resourceForError(o),C.ensureFileSystemProviderError(s).toString()),C.toFileOperationResult(s),i)},e),n}readFileUnbuffered(r,o,e){const i=b.newWriteableStream(n=>y.VSBuffer.concat(n));return(async()=>{try{let n=await r.readFile(o);e&&typeof e.position=="number"&&(n=n.slice(e.position)),e&&typeof e.length=="number"&&(n=n.slice(0,e.length)),this.validateReadFileLimits(o,n.byteLength,e),i.end(y.VSBuffer.wrap(n))}catch(n){i.error(n),i.end()}})(),i}async validateReadFile(r,o){const e=await this.resolve(r,{resolveMetadata:!0});if(e.isDirectory)throw new C.FileOperationError(m.localize(11,null,this.resourceForError(r)),0,o);if(o&&typeof o.etag=="string"&&o.etag!==C.ETAG_DISABLED&&o.etag===e.etag)throw new C.NotModifiedSinceFileOperationError(m.localize(12,null),e,o);return this.validateReadFileLimits(r,e.size,o),e}validateReadFileLimits(r,o,e){if(e?.limits){let i;if(typeof e.limits.memory=="number"&&o>e.limits.memory&&(i=9),typeof e.limits.size=="number"&&o>e.limits.size&&(i=7),typeof i=="number")throw new C.FileOperationError(m.localize(13,null,this.resourceForError(r)),i)}}async canMove(r,o,e){return this.doCanMoveCopy(r,o,"move",e)}async canCopy(r,o,e){return this.doCanMoveCopy(r,o,"copy",e)}async doCanMoveCopy(r,o,e,i){if(r.toString()!==o.toString())try{const n=e==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(r),r):await this.withReadProvider(r),s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o);await this.doValidateMoveCopy(n,r,s,o,e,i)}catch(n){return n}return!0}async move(r,o,e){const i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(r),r),n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),s=await this.doMoveCopy(i,r,n,o,"move",!!e),f=await this.resolve(o,{resolveMetadata:!0});return this._onDidRunOperation.fire(new C.FileOperationEvent(r,s==="move"?2:3,f)),f}async copy(r,o,e){const i=await this.withReadProvider(r),n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),s=await this.doMoveCopy(i,r,n,o,"copy",!!e),f=await this.resolve(o,{resolveMetadata:!0});return this._onDidRunOperation.fire(new C.FileOperationEvent(r,s==="copy"?3:2,f)),f}async doMoveCopy(r,o,e,i,n,s){if(o.toString()===i.toString())return n;const{exists:f,isSameResourceWithDifferentPathCase:p}=await this.doValidateMoveCopy(r,o,e,i,n,s);if(f&&!p&&s&&await this.del(i,{recursive:!0}),await this.mkdirp(e,this.getExtUri(e).providerExtUri.dirname(i)),n==="copy"){if(r===e&&C.hasFileFolderCopyCapability(r))await r.copy(o,i,{overwrite:s});else{const I=await this.resolve(o);I.isDirectory?await this.doCopyFolder(r,I,e,i):await this.doCopyFile(r,o,e,i)}return n}else return r===e?(await r.rename(o,i,{overwrite:s}),n):(await this.doMoveCopy(r,o,e,i,"copy",s),await this.del(o,{recursive:!0}),"copy")}async doCopyFile(r,o,e,i){if(C.hasOpenReadWriteCloseCapability(r)&&C.hasOpenReadWriteCloseCapability(e))return this.doPipeBuffered(r,o,e,i);if(C.hasOpenReadWriteCloseCapability(r)&&C.hasReadWriteCapability(e))return this.doPipeBufferedToUnbuffered(r,o,e,i);if(C.hasReadWriteCapability(r)&&C.hasOpenReadWriteCloseCapability(e))return this.doPipeUnbufferedToBuffered(r,o,e,i);if(C.hasReadWriteCapability(r)&&C.hasReadWriteCapability(e))return this.doPipeUnbuffered(r,o,e,i)}async doCopyFolder(r,o,e,i){await e.mkdir(i),Array.isArray(o.children)&&await k.Promises.settled(o.children.map(async n=>{const s=this.getExtUri(e).providerExtUri.joinPath(i,n.name);return n.isDirectory?this.doCopyFolder(r,await this.resolve(n.resource),e,s):this.doCopyFile(r,n.resource,e,s)}))}async doValidateMoveCopy(r,o,e,i,n,s){let f=!1;if(r===e){const{providerExtUri:I,isPathCaseSensitive:U}=this.getExtUri(r);if(U||(f=I.isEqual(o,i)),f&&n==="copy")throw new Error(m.localize(14,null,this.resourceForError(o),this.resourceForError(i)));if(!f&&I.isEqualOrParent(i,o))throw new Error(m.localize(15,null,this.resourceForError(o),this.resourceForError(i)))}const p=await this.exists(i);if(p&&!f){if(!s)throw new C.FileOperationError(m.localize(16,null,this.resourceForError(o),this.resourceForError(i)),4);if(r===e){const{providerExtUri:I}=this.getExtUri(r);if(I.isEqualOrParent(o,i))throw new Error(m.localize(17,null,this.resourceForError(o),this.resourceForError(i)))}}return{exists:p,isSameResourceWithDifferentPathCase:f}}getExtUri(r){const o=this.isPathCaseSensitive(r);return{providerExtUri:o?T.extUri:T.extUriIgnorePathCase,isPathCaseSensitive:o}}isPathCaseSensitive(r){return!!(r.capabilities&1024)}async createFolder(r){const o=this.throwIfFileSystemIsReadonly(await this.withProvider(r),r);await this.mkdirp(o,r);const e=await this.resolve(r,{resolveMetadata:!0});return this._onDidRunOperation.fire(new C.FileOperationEvent(r,0,e)),e}async mkdirp(r,o){const e=[],{providerExtUri:i}=this.getExtUri(r);for(;!i.isEqual(o,i.dirname(o));)try{if(((await r.stat(o)).type&C.FileType.Directory)==0)throw new Error(m.localize(18,null,this.resourceForError(o)));break}catch(n){if(C.toFileSystemProviderErrorCode(n)!==C.FileSystemProviderErrorCode.FileNotFound)throw n;e.push(i.basename(o)),o=i.dirname(o)}for(let n=e.length-1;n>=0;n--){o=i.joinPath(o,e[n]);try{await r.mkdir(o)}catch(s){if(C.toFileSystemProviderErrorCode(s)!==C.FileSystemProviderErrorCode.FileExists)throw s}}}async canDelete(r,o){try{await this.doValidateDelete(r,o)}catch(e){return e}return!0}async doValidateDelete(r,o){const e=this.throwIfFileSystemIsReadonly(await this.withProvider(r),r);if(!!o?.useTrash&&!(e.capabilities&4096))throw new Error(m.localize(19,null,this.resourceForError(r)));let n;try{n=await e.stat(r)}catch(f){}if(n)this.throwIfFileIsReadonly(r,n);else throw new C.FileOperationError(m.localize(20,null,this.resourceForError(r)),1);if(!!!o?.recursive){const f=await this.resolve(r);if(f.isDirectory&&Array.isArray(f.children)&&f.children.length>0)throw new Error(m.localize(21,null,this.resourceForError(r)))}return e}async del(r,o){const e=await this.doValidateDelete(r,o),i=!!o?.useTrash,n=!!o?.recursive;await e.delete(r,{recursive:n,useTrash:i}),this._onDidRunOperation.fire(new C.FileOperationEvent(r,1))}onDidChangeFile(r,o){this._onDidChangeFilesRaw.fire({changes:r});let e,i;{for(const n of r)this.watchedResources.has(n.resource)?(e||(e=[]),e.push(n)):(i||(i=[]),i.push(n));e&&this._onDidFilesChange.fire(new C.FileChangesEvent(e,!o))}if(i){const n=o?this.caseSensitiveFileEventsWorker:this.caseInsensitiveFileEventsWorker;!n.work(i)&&Ne.FILE_EVENTS_THROTTLING.warningscounter++<10&&this.logService.warn(`[File watcher]: started ignoring events due to too many file change events at once (incoming: ${i.length}, most recent change: ${i[0].resource.toString()}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`),n.pending>0&&this.logService.trace(`[File watcher]: started throttling events due to large amount of file change events at once (pending: ${n.pending}, most recent change: ${i[0].resource.toString()}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`)}}watch(r,o={recursive:!1,excludes:[]}){const e=new D.DisposableStore;{let i=!1,n=()=>{i=!0};e.add(D.toDisposable(()=>n())),this.doWatch(r,o).then(s=>{i?D.dispose(s):n=()=>D.dispose(s)},s=>this.logService.error(s))}return o.recursive||(this.watchedResources.set(r,(this.watchedResources.get(r)??0)+1),e.add(D.toDisposable(()=>{const i=this.watchedResources.get(r);typeof i=="number"&&(i<=1?this.watchedResources.delete(r):this.watchedResources.set(r,i-1))}))),e}async doWatch(r,o){const e=await this.withProvider(r),i=this.toWatchKey(e,r,o),n=this.activeWatchers.get(i)||{count:0,disposable:e.watch(r,o)};return this.activeWatchers.has(i)||this.activeWatchers.set(i,n),n.count+=1,D.toDisposable(()=>{n.count--,n.count===0&&(D.dispose(n.disposable),this.activeWatchers.delete(i))})}toWatchKey(r,o,e){const{providerExtUri:i}=this.getExtUri(r);return[i.getComparisonKey(o),String(e.recursive),e.excludes.join()].join()}dispose(){super.dispose(),this.activeWatchers.forEach(r=>D.dispose(r.disposable)),this.activeWatchers.clear()}async doWriteBuffered(r,o,e,i){return this.writeQueue.queueFor(o,this.getExtUri(r).providerExtUri).queue(async()=>{const n=await r.open(o,{create:!0,unlock:e?.unlock??!1});try{b.isReadableStream(i)||b.isReadableBufferedStream(i)?await this.doWriteStreamBufferedQueued(r,n,i):await this.doWriteReadableBufferedQueued(r,n,i)}catch(s){throw C.ensureFileSystemProviderError(s)}finally{await r.close(n)}})}async doWriteStreamBufferedQueued(r,o,e){let i=0,n;if(b.isReadableBufferedStream(e)){if(e.buffer.length>0){const s=y.VSBuffer.concat(e.buffer);await this.doWriteBuffer(r,o,s,s.byteLength,i,0),i+=s.byteLength}if(e.ended)return;n=e.stream}else n=e;return new Promise(async(s,f)=>{b.listenStream(n,{onData:async p=>{n.pause();try{await this.doWriteBuffer(r,o,p,p.byteLength,i,0)}catch(I){return f(I)}i+=p.byteLength,setTimeout(()=>n.resume())},onError:p=>f(p),onEnd:()=>s()})})}async doWriteReadableBufferedQueued(r,o,e){let i=0,n;for(;(n=e.read())!==null;)await this.doWriteBuffer(r,o,n,n.byteLength,i,0),i+=n.byteLength}async doWriteBuffer(r,o,e,i,n,s){let f=0;for(;f<i;)f+=await r.write(o,n+f,e.buffer,s+f,i-f)}async doWriteUnbuffered(r,o,e,i){return this.writeQueue.queueFor(o,this.getExtUri(r).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(r,o,e,i))}async doWriteUnbufferedQueued(r,o,e,i){let n;i instanceof y.VSBuffer?n=i:b.isReadableStream(i)?n=await y.streamToBuffer(i):b.isReadableBufferedStream(i)?n=await y.bufferedStreamToBuffer(i):n=y.readableToBuffer(i),await r.writeFile(o,n.buffer,{create:!0,overwrite:!0,unlock:e?.unlock??!1})}async doPipeBuffered(r,o,e,i){return this.writeQueue.queueFor(i,this.getExtUri(e).providerExtUri).queue(()=>this.doPipeBufferedQueued(r,o,e,i))}async doPipeBufferedQueued(r,o,e,i){let n,s;try{n=await r.open(o,{create:!1}),s=await e.open(i,{create:!0,unlock:!1});const f=y.VSBuffer.alloc(this.BUFFER_SIZE);let p=0,I=0,U=0;do U=await r.read(n,p,f.buffer,I,f.byteLength-I),await this.doWriteBuffer(e,s,f,U,p,I),p+=U,I+=U,I===f.byteLength&&(I=0);while(U>0)}catch(f){throw C.ensureFileSystemProviderError(f)}finally{await k.Promises.settled([typeof n=="number"?r.close(n):Promise.resolve(),typeof s=="number"?e.close(s):Promise.resolve()])}}async doPipeUnbuffered(r,o,e,i){return this.writeQueue.queueFor(i,this.getExtUri(e).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(r,o,e,i))}async doPipeUnbufferedQueued(r,o,e,i){return e.writeFile(i,await r.readFile(o),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(r,o,e,i){return this.writeQueue.queueFor(i,this.getExtUri(e).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(r,o,e,i))}async doPipeUnbufferedToBufferedQueued(r,o,e,i){const n=await e.open(i,{create:!0,unlock:!1});try{const s=await r.readFile(o);await this.doWriteBuffer(e,n,y.VSBuffer.wrap(s),s.byteLength,0,0)}catch(s){throw C.ensureFileSystemProviderError(s)}finally{await e.close(n)}}async doPipeBufferedToUnbuffered(r,o,e,i){const n=await y.streamToBuffer(this.readFileBuffered(r,o,c.CancellationToken.None));await this.doWriteUnbuffered(e,i,void 0,n)}throwIfFileSystemIsReadonly(r,o){if(r.capabilities&2048)throw new C.FileOperationError(m.localize(22,null,this.resourceForError(o)),6);return r}throwIfFileIsReadonly(r,o){if((o.permissions??0)&C.FilePermission.Readonly)throw new C.FileOperationError(m.localize(23,null,this.resourceForError(r)),6)}resourceForError(r){return r.scheme===h.Schemas.file?r.fsPath:r.toString(!0)}};P.FILE_EVENTS_THROTTLING={maxChangesChunkSize:500,maxChangesBufferSize:3e4,coolDownDelay:200,warningscounter:0},P=ce([fe(0,w.ILogService)],P),t.FileService=P}),define(Z[107],te([0,1,2,17,10,14,9,3,20,35,4,15,82,51,91,93,90,99,34,54,22,16]),function(_,t,m,F,D,C,O,T,u,d,w,y,b,k,c,h,S,R,P,v,r,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DiskFileSystemProvider=void 0;class e extends m.Disposable{constructor(n,s){super();this.logService=n,this.options=s,this.BUFFER_SIZE=this.options?.bufferSize||64*1024,this.onDidChangeCapabilities=D.Event.None,this.mapHandleToPos=new Map,this.writeHandles=new Map,this.canFlush=!0,this._onDidWatchErrorOccur=this._register(new D.Emitter),this.onDidErrorOccur=this._onDidWatchErrorOccur.event,this._onDidChangeFile=this._register(new D.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this.recursiveFoldersToWatch=[],this.recursiveWatchRequestDelayer=this._register(new w.ThrottledDelayer(0))}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192,C.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(n){try{const{stat:s,symbolicLink:f}=await O.SymlinkSupport.stat(this.toFilePath(n));return{type:this.toType(s,f),ctime:s.birthtime.getTime(),mtime:s.mtime.getTime(),size:s.size}}catch(s){throw this.toFileSystemProviderError(s)}}async readdir(n){try{const s=await O.Promises.readdir(this.toFilePath(n),{withFileTypes:!0}),f=[];return await Promise.all(s.map(async p=>{try{let I;p.isSymbolicLink()?I=(await this.stat(u.joinPath(n,p.name))).type:I=this.toType(p),f.push([p.name,I])}catch(I){this.logService.trace(I)}})),f}catch(s){throw this.toFileSystemProviderError(s)}}toType(n,s){let f;return s?.dangling?f=F.FileType.Unknown:n.isFile()?f=F.FileType.File:n.isDirectory()?f=F.FileType.Directory:f=F.FileType.Unknown,s&&(f|=F.FileType.SymbolicLink),f}async readFile(n){try{const s=this.toFilePath(n);return await O.Promises.readFile(s)}catch(s){throw this.toFileSystemProviderError(s)}}readFileStream(n,s,f){const p=P.newWriteableStream(I=>o.VSBuffer.concat(I.map(U=>o.VSBuffer.wrap(U))).buffer);return v.readFileIntoStream(this,n,p,I=>I.buffer,{...s,bufferSize:this.BUFFER_SIZE},f),p}async writeFile(n,s,f){let p;try{const I=this.toFilePath(n);if(!f.create||!f.overwrite){if(await O.Promises.exists(I)){if(!f.overwrite)throw F.createFileSystemProviderError(b.localize(0,null),F.FileSystemProviderErrorCode.FileExists)}else if(!f.create)throw F.createFileSystemProviderError(b.localize(1,null),F.FileSystemProviderErrorCode.FileNotFound)}p=await this.open(n,{create:!0,unlock:f.unlock}),await this.write(p,0,s,0,s.byteLength)}catch(I){throw await this.toFileSystemProviderWriteError(n,I)}finally{typeof p=="number"&&await this.close(p)}}async open(n,s){try{const f=this.toFilePath(n);if(F.isFileOpenForWriteOptions(s)&&s.unlock)try{const{stat:U}=await O.SymlinkSupport.stat(f);U.mode&128||await O.Promises.chmod(f,U.mode|128)}catch(U){this.logService.trace(U)}let p;if(F.isFileOpenForWriteOptions(s)){if(C.isWindows)try{await O.Promises.truncate(f,0),p="r+"}catch(U){U.code!=="ENOENT"&&this.logService.trace(U)}p||(p="w")}else p="r";const I=await O.Promises.open(f,p);return this.mapHandleToPos.set(I,0),F.isFileOpenForWriteOptions(s)&&this.writeHandles.set(I,n),I}catch(f){throw F.isFileOpenForWriteOptions(s)?await this.toFileSystemProviderWriteError(n,f):this.toFileSystemProviderError(f)}}async close(n){try{if(this.mapHandleToPos.delete(n),this.writeHandles.delete(n)&&this.canFlush)try{await O.Promises.fdatasync(n)}catch(s){this.canFlush=!1,this.logService.error(s)}return await O.Promises.close(n)}catch(s){throw this.toFileSystemProviderError(s)}}async read(n,s,f,p,I){const U=this.normalizePos(n,s);let A=null;try{const M=await O.Promises.read(n,f,p,I,U);return typeof M=="number"?A=M:A=M.bytesRead,A}catch(M){throw this.toFileSystemProviderError(M)}finally{this.updatePos(n,U,A)}}normalizePos(n,s){return s===this.mapHandleToPos.get(n)?null:s}updatePos(n,s,f){const p=this.mapHandleToPos.get(n);typeof p=="number"&&(typeof s=="number"||(typeof f=="number"?this.mapHandleToPos.set(n,p+f):this.mapHandleToPos.delete(n)))}async write(n,s,f,p,I){return w.retry(()=>this.doWrite(n,s,f,p,I),100,3)}async doWrite(n,s,f,p,I){const U=this.normalizePos(n,s);let A=null;try{const M=await O.Promises.write(n,f,p,I,U);return typeof M=="number"?A=M:A=M.bytesWritten,A}catch(M){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(n),M)}finally{this.updatePos(n,U,A)}}async mkdir(n){try{await O.Promises.mkdir(this.toFilePath(n))}catch(s){throw this.toFileSystemProviderError(s)}}async delete(n,s){try{const f=this.toFilePath(n);await this.doDelete(f,s)}catch(f){throw this.toFileSystemProviderError(f)}}async doDelete(n,s){s.recursive?await O.Promises.rm(n,O.RimRafMode.MOVE):await O.Promises.unlink(n)}async rename(n,s,f){const p=this.toFilePath(n),I=this.toFilePath(s);if(p!==I)try{await this.validateTargetDeleted(n,s,"move",f.overwrite),await O.Promises.move(p,I)}catch(U){throw(U.code==="EINVAL"||U.code==="EBUSY"||U.code==="ENAMETOOLONG")&&(U=new Error(b.localize(2,null,T.basename(p),T.basename(T.dirname(I)),U.toString()))),this.toFileSystemProviderError(U)}}async copy(n,s,f){const p=this.toFilePath(n),I=this.toFilePath(s);if(p!==I)try{await this.validateTargetDeleted(n,s,"copy",f.overwrite),await O.Promises.copy(p,I,{preserveSymlinks:!0})}catch(U){throw(U.code==="EINVAL"||U.code==="EBUSY"||U.code==="ENAMETOOLONG")&&(U=new Error(b.localize(3,null,T.basename(p),T.basename(T.dirname(I)),U.toString()))),this.toFileSystemProviderError(U)}}async validateTargetDeleted(n,s,f,p){const I=this.toFilePath(n),U=this.toFilePath(s);let A=!1;if(!!(this.capabilities&1024)||(A=d.isEqual(I,U,!0)),A&&f==="copy")throw F.createFileSystemProviderError(b.localize(4,null),F.FileSystemProviderErrorCode.FileExists);if(!A&&await O.Promises.exists(U)){if(!p)throw F.createFileSystemProviderError(b.localize(5,null),F.FileSystemProviderErrorCode.FileExists);await this.delete(s,{recursive:!0,useTrash:!1})}}watch(n,s){return s.recursive?this.watchRecursive(n,s.excludes):this.watchNonRecursive(n)}watchRecursive(n,s){const f={path:this.toFilePath(n),excludes:s},p=r.insert(this.recursiveFoldersToWatch,f);return this.refreshRecursiveWatchers(),m.toDisposable(()=>{p(),this.refreshRecursiveWatchers()})}refreshRecursiveWatchers(){this.recursiveWatchRequestDelayer.trigger(async()=>{this.doRefreshRecursiveWatchers()})}doRefreshRecursiveWatchers(){if(this.recursiveWatcher instanceof S.FileWatcher)this.recursiveWatcher.setFolders(this.recursiveFoldersToWatch);else if(m.dispose(this.recursiveWatcher),this.recursiveWatcher=void 0,this.recursiveFoldersToWatch.length>0){let n,s;this.options?.watcher?.usePolling?(n=c.FileWatcher,s=this.options?.watcher):this.recursiveFoldersToWatch.length===1?C.isWindows?n=h.FileWatcher:n=c.FileWatcher:n=S.FileWatcher,this.recursiveWatcher=new n(this.recursiveFoldersToWatch,f=>this._onDidChangeFile.fire(k.toFileChanges(f)),f=>{f.type==="error"&&this._onDidWatchErrorOccur.fire(f.message),this.logService[f.type](f.message)},this.logService.getLevel()===y.LogLevel.Trace,s),this.recursiveWatcherLogLevelListener||(this.recursiveWatcherLogLevelListener=this.logService.onDidChangeLogLevel(()=>{this.recursiveWatcher&&this.recursiveWatcher.setVerboseLogging(this.logService.getLevel()===y.LogLevel.Trace)}))}}watchNonRecursive(n){const s=new R.FileWatcher(this.toFilePath(n),p=>this._onDidChangeFile.fire(k.toFileChanges(p)),p=>{p.type==="error"&&this._onDidWatchErrorOccur.fire(p.message),this.logService[p.type](p.message)},this.logService.getLevel()===y.LogLevel.Trace),f=this.logService.onDidChangeLogLevel(()=>{s.setVerboseLogging(this.logService.getLevel()===y.LogLevel.Trace)});return m.combinedDisposable(s,f)}toFilePath(n){return T.normalize(n.fsPath)}toFileSystemProviderError(n){if(n instanceof F.FileSystemProviderError)return n;let s;switch(n.code){case"ENOENT":s=F.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":s=F.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":s=F.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":s=F.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":s=F.FileSystemProviderErrorCode.NoPermissions;break;default:s=F.FileSystemProviderErrorCode.Unknown}return F.createFileSystemProviderError(n,s)}async toFileSystemProviderWriteError(n,s){let f=this.toFileSystemProviderError(s);if(n&&f.code===F.FileSystemProviderErrorCode.NoPermissions)try{const{stat:p}=await O.SymlinkSupport.stat(this.toFilePath(n));p.mode&128||(f=F.createFileSystemProviderError(s,F.FileSystemProviderErrorCode.FileWriteLocked))}catch(p){this.logService.trace(p)}return f}dispose(){super.dispose(),m.dispose(this.recursiveWatcher),this.recursiveWatcher=void 0,m.dispose(this.recursiveWatcherLogLevelListener),this.recursiveWatcherLogLevelListener=void 0}}t.DiskFileSystemProvider=e}),define(Z[41],te([0,1,11]),function(_,t,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IProductService=void 0,t.IProductService=m.createDecorator("productService")}),define(Z[25],te([0,1,13,57]),function(_,t,m,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Registry=void 0;class D{constructor(){this.data=new Map}add(O,T){F.ok(m.isString(O)),F.ok(m.isObject(T)),F.ok(!this.data.has(O),"There is already an extension with this id"),this.data.set(O,T)}knows(O){return this.data.has(O)}as(O){return this.data.get(O)||null}}t.Registry=new D}),define(Z[108],te([0,1,25,10]),function(_,t,m,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Extensions=void 0,t.Extensions={JSONContribution:"base.contributions.json"};function D(T){return T.length>0&&T.charAt(T.length-1)==="#"?T.substring(0,T.length-1):T}class C{constructor(){this._onDidChangeSchema=new F.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(u,d){this.schemasById[D(u)]=d,this._onDidChangeSchema.fire(u)}notifySchemaChanged(u){this._onDidChangeSchema.fire(u)}getSchemaContributions(){return{schemas:this.schemasById}}}const O=new C;m.Registry.add(t.Extensions.JSONContribution,O)}),define(Z[30],te([0,1,73,10,25,13,108]),function(_,t,m,F,D,C,O){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getScopes=t.validateProperty=t.getDefaultValue=t.overrideIdentifierFromKey=t.OVERRIDE_PROPERTY_PATTERN=t.resourceLanguageSettingsSchemaId=t.resourceSettings=t.windowSettings=t.machineOverridableSettings=t.machineSettings=t.applicationSettings=t.allSettings=t.ConfigurationScope=t.Extensions=void 0,t.Extensions={Configuration:"base.contributions.configuration"};var T;(function(S){S[S.APPLICATION=1]="APPLICATION",S[S.MACHINE=2]="MACHINE",S[S.WINDOW=3]="WINDOW",S[S.RESOURCE=4]="RESOURCE",S[S.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",S[S.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(T=t.ConfigurationScope||(t.ConfigurationScope={})),t.allSettings={properties:{},patternProperties:{}},t.applicationSettings={properties:{},patternProperties:{}},t.machineSettings={properties:{},patternProperties:{}},t.machineOverridableSettings={properties:{},patternProperties:{}},t.windowSettings={properties:{},patternProperties:{}},t.resourceSettings={properties:{},patternProperties:{}},t.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const u=D.Registry.as(O.Extensions.JSONContribution);class d{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new F.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new F.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultValues={},this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:m.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},u.registerSchema(t.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(R,P=!0){this.registerConfigurations([R],P)}registerConfigurations(R,P=!0){const v=[];R.forEach(r=>{v.push(...this.validateAndRegisterProperties(r,P,r.extensionInfo)),this.configurationContributors.push(r),this.registerJSONConfiguration(r)}),u.registerSchema(t.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(v)}deregisterConfigurations(R){const P=[],v=r=>{if(r.properties)for(const o in r.properties)P.push(o),delete this.configurationProperties[o],this.removeFromSchema(o,r.properties[o]);r.allOf&&r.allOf.forEach(o=>v(o))};for(const r of R){v(r);const o=this.configurationContributors.indexOf(r);o!==-1&&this.configurationContributors.splice(o,1)}u.registerSchema(t.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(P)}registerDefaultConfigurations(R){const P=[],v=[];for(const r of R)for(const o in r)if(P.push(o),t.OVERRIDE_PROPERTY_PATTERN.test(o)){this.defaultValues[o]={...this.defaultValues[o]||{},...r[o]};const e={type:"object",default:this.defaultValues[o],description:m.localize(1,null,o),$ref:t.resourceLanguageSettingsSchemaId};v.push(y(o)),this.configurationProperties[o]=e,this.defaultLanguageConfigurationOverridesNode.properties[o]=e}else{this.defaultValues[o]=r[o];const e=this.configurationProperties[o];e&&(this.updatePropertyDefaultValue(o,e),this.updateSchema(o,e))}this.registerOverrideIdentifiers(v),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(P)}deregisterDefaultConfigurations(R){const P=[];for(const v of R)for(const r in v)if(P.push(r),delete this.defaultValues[r],t.OVERRIDE_PROPERTY_PATTERN.test(r))delete this.configurationProperties[r],delete this.defaultLanguageConfigurationOverridesNode.properties[r];else{const o=this.configurationProperties[r];o&&(this.updatePropertyDefaultValue(r,o),this.updateSchema(r,o))}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(P)}notifyConfigurationSchemaUpdated(...R){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(R){for(const P of R)this.overrideIdentifiers.add(P);this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(R,P=!0,v,r=3){r=C.isUndefinedOrNull(R.scope)?r:R.scope;let o=[],e=R.properties;if(e)for(let n in e){if(P&&c(n)){delete e[n];continue}const s=e[n];if(this.updatePropertyDefaultValue(n,s),t.OVERRIDE_PROPERTY_PATTERN.test(n)?s.scope=void 0:(s.scope=C.isUndefinedOrNull(s.scope)?r:s.scope,s.restricted=C.isUndefinedOrNull(s.restricted)?!!v?.restrictedConfigurations?.includes(n):s.restricted),e[n].hasOwnProperty("included")&&!e[n].included){this.excludedConfigurationProperties[n]=e[n],delete e[n];continue}else this.configurationProperties[n]=e[n];!e[n].deprecationMessage&&e[n].markdownDeprecationMessage&&(e[n].deprecationMessage=e[n].markdownDeprecationMessage),o.push(n)}let i=R.allOf;if(i)for(let n of i)o.push(...this.validateAndRegisterProperties(n,P,v,r));return o}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(R){const P=v=>{let r=v.properties;if(r)for(const e in r)this.updateSchema(e,r[e]);let o=v.allOf;o&&o.forEach(P)};P(R)}updateSchema(R,P){switch(t.allSettings.properties[R]=P,P.scope){case 1:t.applicationSettings.properties[R]=P;break;case 2:t.machineSettings.properties[R]=P;break;case 6:t.machineOverridableSettings.properties[R]=P;break;case 3:t.windowSettings.properties[R]=P;break;case 4:t.resourceSettings.properties[R]=P;break;case 5:t.resourceSettings.properties[R]=P,this.resourceLanguageSettingsSchema.properties[R]=P;break}}removeFromSchema(R,P){switch(delete t.allSettings.properties[R],P.scope){case 1:delete t.applicationSettings.properties[R];break;case 2:delete t.machineSettings.properties[R];break;case 6:delete t.machineOverridableSettings.properties[R];break;case 3:delete t.windowSettings.properties[R];break;case 4:case 5:delete t.resourceSettings.properties[R];break}}updateOverridePropertyPatternKey(){for(const R of this.overrideIdentifiers.values()){const P=`[${R}]`,v={type:"object",description:m.localize(2,null),errorMessage:m.localize(3,null),$ref:t.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(P,v),t.allSettings.properties[P]=v,t.applicationSettings.properties[P]=v,t.machineSettings.properties[P]=v,t.machineOverridableSettings.properties[P]=v,t.windowSettings.properties[P]=v,t.resourceSettings.properties[P]=v}this._onDidSchemaChange.fire()}updatePropertyDefaultValue(R,P){let v=this.defaultValues[R];C.isUndefined(v)&&(v=P.default),C.isUndefined(v)&&(v=b(P.type)),P.default=v}}const w="\\[.*\\]$";t.OVERRIDE_PROPERTY_PATTERN=new RegExp(w);function y(S){return S.substring(1,S.length-1)}t.overrideIdentifierFromKey=y;function b(S){switch(Array.isArray(S)?S[0]:S){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}t.getDefaultValue=b;const k=new d;D.Registry.add(t.Extensions.Configuration,k);function c(S){return S.trim()?t.OVERRIDE_PROPERTY_PATTERN.test(S)?m.localize(5,null,S):k.getConfigurationProperties()[S]!==void 0?m.localize(6,null,S):null:m.localize(4,null)}t.validateProperty=c;function h(){const S=[],R=k.getConfigurationProperties();for(const P of Object.keys(R))S.push([P,R[P].scope]);return S.push(["launch",4]),S.push(["task",4]),S}t.getScopes=h}),define(Z[27],te([0,1,19,13,7,25,11,30]),function(_,t,m,F,D,C,O,T){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getMigratedSettingValue=t.keyFromOverrideIdentifier=t.getDefaultValues=t.getConfigurationKeys=t.merge=t.getConfigurationValue=t.removeFromValueTree=t.addToValueTree=t.toValuesTree=t.toOverrides=t.compare=t.ConfigurationTargetToString=t.ConfigurationTarget=t.isConfigurationOverrides=t.IConfigurationService=void 0,t.IConfigurationService=O.createDecorator("configurationService");function u(i){return i&&typeof i=="object"&&(!i.overrideIdentifier||typeof i.overrideIdentifier=="string")&&(!i.resource||i.resource instanceof D.URI)}t.isConfigurationOverrides=u;var d;(function(i){i[i.USER=1]="USER",i[i.USER_LOCAL=2]="USER_LOCAL",i[i.USER_REMOTE=3]="USER_REMOTE",i[i.WORKSPACE=4]="WORKSPACE",i[i.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",i[i.DEFAULT=6]="DEFAULT",i[i.MEMORY=7]="MEMORY"})(d=t.ConfigurationTarget||(t.ConfigurationTarget={}));function w(i){switch(i){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}t.ConfigurationTargetToString=w;function y(i,n){const s=n?i?n.keys.filter(x=>i.keys.indexOf(x)===-1):[...n.keys]:[],f=i?n?i.keys.filter(x=>n.keys.indexOf(x)===-1):[...i.keys]:[],p=[];if(n&&i){for(const x of i.keys)if(n.keys.indexOf(x)!==-1){const q=R(i.contents,x),Q=R(n.contents,x);m.equals(q,Q)||p.push(x)}}const I=[],U=x=>{const q={};for(const Q of x)for(const ie of Q.identifiers)q[o(ie)]=Q;return q},A=n?U(n.overrides):{},M=i?U(i.overrides):{};if(Object.keys(A).length)for(const x of s){const q=A[x];q&&I.push([T.overrideIdentifierFromKey(x),q.keys])}if(Object.keys(M).length)for(const x of f){const q=M[x];q&&I.push([T.overrideIdentifierFromKey(x),q.keys])}if(Object.keys(A).length&&Object.keys(M).length)for(const x of p){const q=M[x],Q=A[x];if(q&&Q){const ie=y({contents:q.contents,keys:q.keys,overrides:[]},{contents:Q.contents,keys:Q.keys,overrides:[]});I.push([T.overrideIdentifierFromKey(x),[...ie.added,...ie.removed,...ie.updated]])}}return{added:s,removed:f,updated:p,overrides:I}}t.compare=y;function b(i,n){const s=[];for(const f of Object.keys(i))if(T.OVERRIDE_PROPERTY_PATTERN.test(f)){const p={};for(const I in i[f])p[I]=i[f][I];s.push({identifiers:[T.overrideIdentifierFromKey(f).trim()],keys:Object.keys(p),contents:k(p,n)})}return s}t.toOverrides=b;function k(i,n){const s=Object.create(null);for(let f in i)c(s,f,i[f],n);return s}t.toValuesTree=k;function c(i,n,s,f){const p=n.split("."),I=p.pop();let U=i;for(let A=0;A<p.length;A++){let M=p[A],x=U[M];switch(typeof x){case"undefined":x=U[M]=Object.create(null);break;case"object":break;default:f(`Ignoring ${n} as ${p.slice(0,A+1).join(".")} is ${JSON.stringify(x)}`);return}U=x}if(typeof U=="object"&&U!==null)try{U[I]=s}catch(A){f(`Ignoring ${n} as ${p.join(".")} is ${JSON.stringify(U)}`)}else f(`Ignoring ${n} as ${p.join(".")} is ${JSON.stringify(U)}`)}t.addToValueTree=c;function h(i,n){const s=n.split(".");S(i,s)}t.removeFromValueTree=h;function S(i,n){const s=n.shift();if(n.length===0){delete i[s];return}if(Object.keys(i).indexOf(s)!==-1){const f=i[s];typeof f=="object"&&!Array.isArray(f)&&(S(f,n),Object.keys(f).length===0&&delete i[s])}}function R(i,n,s){function f(U,A){let M=U;for(const x of A){if(typeof M!="object"||M===null)return;M=M[x]}return M}const p=n.split("."),I=f(i,p);return typeof I=="undefined"?s:I}t.getConfigurationValue=R;function P(i,n,s){Object.keys(n).forEach(f=>{f!=="__proto__"&&(f in i?F.isObject(i[f])&&F.isObject(n[f])?P(i[f],n[f],s):s&&(i[f]=n[f]):i[f]=n[f])})}t.merge=P;function v(){const i=C.Registry.as(T.Extensions.Configuration).getConfigurationProperties();return Object.keys(i)}t.getConfigurationKeys=v;function r(){const i=Object.create(null),n=C.Registry.as(T.Extensions.Configuration).getConfigurationProperties();for(let s in n){let f=n[s].default;c(i,s,f,p=>console.error(`Conflict in default settings: ${p}`))}return i}t.getDefaultValues=r;function o(i){return`[${i}]`}t.keyFromOverrideIdentifier=o;function e(i,n,s){const f=i.inspect(n),p=i.inspect(s);return typeof f.userValue!="undefined"||typeof f.workspaceValue!="undefined"||typeof f.workspaceFolderValue!="undefined"?f.value:typeof p.userValue!="undefined"||typeof p.workspaceValue!="undefined"||typeof p.workspaceFolderValue!="undefined"?p.value:f.defaultValue}t.getMigratedSettingValue=e}),define(Z[109],te([0,1,58,45,22,13,19,7,30,27,25,2,10]),function(_,t,m,F,D,C,O,T,u,d,w,y,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.AllKeysConfigurationChangeEvent=t.ConfigurationChangeEvent=t.mergeChanges=t.Configuration=t.UserSettings=t.ConfigurationModelParser=t.DefaultConfigurationModel=t.ConfigurationModel=void 0;class k{constructor(e={},i=[],n=[]){this._contents=e,this._keys=i,this._overrides=n,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(e){return e?d.getConfigurationValue(this.contents,e):this.contents}getOverrideValue(e,i){const n=this.getContentsForOverrideIdentifer(i);return n?e?d.getConfigurationValue(n,e):n:void 0}getKeysForOverrideIdentifier(e){for(const i of this.overrides)if(i.identifiers.indexOf(e)!==-1)return i.keys;return[]}override(e){const i=this.getContentsForOverrideIdentifer(e);if(!i||typeof i!="object"||!Object.keys(i).length)return this;let n={};for(const s of D.distinct([...Object.keys(this.contents),...Object.keys(i)])){let f=this.contents[s],p=i[s];p&&(typeof f=="object"&&typeof p=="object"?(f=O.deepClone(f),this.mergeContents(f,p)):f=p),n[s]=f}return new k(n,this.keys,this.overrides)}merge(...e){const i=O.deepClone(this.contents),n=O.deepClone(this.overrides),s=[...this.keys];for(const f of e){this.mergeContents(i,f.contents);for(const p of f.overrides){const[I]=n.filter(U=>D.equals(U.identifiers,p.identifiers));I?this.mergeContents(I.contents,p.contents):n.push(O.deepClone(p))}for(const p of f.keys)s.indexOf(p)===-1&&s.push(p)}return new k(i,s,n)}freeze(){return this.isFrozen=!0,this}mergeContents(e,i){for(const n of Object.keys(i)){if(n in e&&C.isObject(e[n])&&C.isObject(i[n])){this.mergeContents(e[n],i[n]);continue}e[n]=O.deepClone(i[n])}}checkAndFreeze(e){return this.isFrozen&&!Object.isFrozen(e)?O.deepFreeze(e):e}getContentsForOverrideIdentifer(e){for(const i of this.overrides)if(i.identifiers.indexOf(e)!==-1)return i.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(e,i){this.addKey(e),d.addToValueTree(this.contents,e,i,n=>{throw new Error(n)})}removeValue(e){this.removeKey(e)&&d.removeFromValueTree(this.contents,e)}addKey(e){let i=this.keys.length;for(let n=0;n<i;n++)e.indexOf(this.keys[n])===0&&(i=n);this.keys.splice(i,1,e)}removeKey(e){let i=this.keys.indexOf(e);return i!==-1?(this.keys.splice(i,1),!0):!1}}t.ConfigurationModel=k;class c extends k{constructor(){const e=d.getDefaultValues(),i=d.getConfigurationKeys(),n=[];for(const s of Object.keys(e))u.OVERRIDE_PROPERTY_PATTERN.test(s)&&n.push({identifiers:[u.overrideIdentifierFromKey(s).trim()],keys:Object.keys(e[s]),contents:d.toValuesTree(e[s],f=>console.error(`Conflict in default settings file: ${f}`))});super(e,i,n)}}t.DefaultConfigurationModel=c;class h{constructor(e){this._name=e,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new k}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(e,i){if(!C.isUndefinedOrNull(e)){const n=this.doParseContent(e);this.parseRaw(n,i)}}reparse(e){this._raw&&this.parseRaw(this._raw,e)}parseRaw(e,i){this._raw=e;const{contents:n,keys:s,overrides:f,restricted:p}=this.doParseRaw(e,i);this._configurationModel=new k(n,s,f),this._restrictedConfigurations=p||[]}doParseContent(e){let i={},n=null,s=[],f=[],p=[];function I(A){Array.isArray(s)?s.push(A):n&&(s[n]=A)}let U={onObjectBegin:()=>{let A={};I(A),f.push(s),s=A,n=null},onObjectProperty:A=>{n=A},onObjectEnd:()=>{s=f.pop()},onArrayBegin:()=>{let A=[];I(A),f.push(s),s=A,n=null},onArrayEnd:()=>{s=f.pop()},onLiteralValue:I,onError:(A,M,x)=>{p.push({error:A,offset:M,length:x})}};if(e)try{m.visit(e,U),i=s[0]||{}}catch(A){console.error(`Error while parsing settings file ${this._name}: ${A}`),this._parseErrors=[A]}return i}doParseRaw(e,i){const n=w.Registry.as(u.Extensions.Configuration).getConfigurationProperties(),s=this.filter(e,n,!0,i);e=s.raw;const f=d.toValuesTree(e,U=>console.error(`Conflict in settings file ${this._name}: ${U}`)),p=Object.keys(e),I=d.toOverrides(e,U=>console.error(`Conflict in settings file ${this._name}: ${U}`));return{contents:f,keys:p,overrides:I,restricted:s.restricted}}filter(e,i,n,s){if(!s?.scopes&&!s?.skipRestricted)return{raw:e,restricted:[]};const f={},p=[];for(let I in e)if(u.OVERRIDE_PROPERTY_PATTERN.test(I)&&n){const U=this.filter(e[I],i,!1,s);f[I]=U.raw,p.push(...U.restricted)}else{const U=i[I],A=U?typeof U.scope!="undefined"?U.scope:3:void 0;U?.restricted&&p.push(I),(A===void 0||s.scopes===void 0||s.scopes.includes(A))&&(s.skipRestricted&&U?.restricted||(f[I]=e[I]))}return{raw:f,restricted:p}}}t.ConfigurationModelParser=h;class S extends y.Disposable{constructor(e,i,n,s){super();this.userSettingsResource=e,this.scopes=i,this.fileService=s,this._onDidChange=this._register(new b.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new h(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(n.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(b.Event.filter(this.fileService.onDidFilesChange,f=>f.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const e=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(e.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch(e){return new k}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}t.UserSettings=S;class R{constructor(e,i,n=new k,s=new k,f=new F.ResourceMap,p=new k,I=new F.ResourceMap,U=!0){this._defaultConfiguration=e,this._localUserConfiguration=i,this._remoteUserConfiguration=n,this._workspaceConfiguration=s,this._folderConfigurations=f,this._memoryConfiguration=p,this._memoryConfigurationByResource=I,this._freeze=U,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new F.ResourceMap,this._userConfiguration=null}getValue(e,i,n){return this.getConsolidateConfigurationModel(i,n).getValue(e)}updateValue(e,i,n={}){let s;n.resource?(s=this._memoryConfigurationByResource.get(n.resource),s||(s=new k,this._memoryConfigurationByResource.set(n.resource,s))):s=this._memoryConfiguration,i===void 0?s.removeValue(e):s.setValue(e,i),n.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(e,i,n){const s=this.getConsolidateConfigurationModel(i,n),f=this.getFolderConfigurationModelForResource(i.resource,n),p=i.resource?this._memoryConfigurationByResource.get(i.resource)||this._memoryConfiguration:this._memoryConfiguration,I=i.overrideIdentifier?this._defaultConfiguration.freeze().override(i.overrideIdentifier).getValue(e):this._defaultConfiguration.freeze().getValue(e),U=i.overrideIdentifier?this.userConfiguration.freeze().override(i.overrideIdentifier).getValue(e):this.userConfiguration.freeze().getValue(e),A=i.overrideIdentifier?this.localUserConfiguration.freeze().override(i.overrideIdentifier).getValue(e):this.localUserConfiguration.freeze().getValue(e),M=i.overrideIdentifier?this.remoteUserConfiguration.freeze().override(i.overrideIdentifier).getValue(e):this.remoteUserConfiguration.freeze().getValue(e),x=n?i.overrideIdentifier?this._workspaceConfiguration.freeze().override(i.overrideIdentifier).getValue(e):this._workspaceConfiguration.freeze().getValue(e):void 0,q=f?i.overrideIdentifier?f.freeze().override(i.overrideIdentifier).getValue(e):f.freeze().getValue(e):void 0,Q=i.overrideIdentifier?p.override(i.overrideIdentifier).getValue(e):p.getValue(e),ie=s.getValue(e),re=D.distinct(D.flatten(s.overrides.map(ee=>ee.identifiers))).filter(ee=>s.getOverrideValue(e,ee)!==void 0);return{defaultValue:I,userValue:U,userLocalValue:A,userRemoteValue:M,workspaceValue:x,workspaceFolderValue:q,memoryValue:Q,value:ie,default:I!==void 0?{value:this._defaultConfiguration.freeze().getValue(e),override:i.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(e,i.overrideIdentifier):void 0}:void 0,user:U!==void 0?{value:this.userConfiguration.freeze().getValue(e),override:i.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(e,i.overrideIdentifier):void 0}:void 0,userLocal:A!==void 0?{value:this.localUserConfiguration.freeze().getValue(e),override:i.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(e,i.overrideIdentifier):void 0}:void 0,userRemote:M!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(e),override:i.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(e,i.overrideIdentifier):void 0}:void 0,workspace:x!==void 0?{value:this._workspaceConfiguration.freeze().getValue(e),override:i.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(e,i.overrideIdentifier):void 0}:void 0,workspaceFolder:q!==void 0?{value:f?.freeze().getValue(e),override:i.overrideIdentifier?f?.freeze().getOverrideValue(e,i.overrideIdentifier):void 0}:void 0,memory:Q!==void 0?{value:p.getValue(e),override:i.overrideIdentifier?p.getOverrideValue(e,i.overrideIdentifier):void 0}:void 0,overrideIdentifiers:re.length?re:void 0}}keys(e){const i=this.getFolderConfigurationModelForResource(void 0,e);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:i?i.freeze().keys:[]}}updateDefaultConfiguration(e){this._defaultConfiguration=e,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(e){this._localUserConfiguration=e,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(e){this._remoteUserConfiguration=e,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(e){this._workspaceConfiguration=e,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(e,i){this._folderConfigurations.set(e,i),this._foldersConsolidatedConfigurations.delete(e)}deleteFolderConfiguration(e){this.folderConfigurations.delete(e),this._foldersConsolidatedConfigurations.delete(e)}compareAndUpdateDefaultConfiguration(e,i){const n=i.filter(s=>u.OVERRIDE_PROPERTY_PATTERN.test(s)).map(s=>{const f=u.overrideIdentifierFromKey(s),p=this._defaultConfiguration.getKeysForOverrideIdentifier(f),I=e.getKeysForOverrideIdentifier(f),U=[...I.filter(A=>p.indexOf(A)===-1),...p.filter(A=>I.indexOf(A)===-1),...p.filter(A=>!O.equals(this._defaultConfiguration.override(f).getValue(A),e.override(f).getValue(A)))];return[f,U]});return this.updateDefaultConfiguration(e),{keys:i,overrides:n}}compareAndUpdateLocalUserConfiguration(e){const{added:i,updated:n,removed:s,overrides:f}=d.compare(this.localUserConfiguration,e),p=[...i,...n,...s];return p.length&&this.updateLocalUserConfiguration(e),{keys:p,overrides:f}}compareAndUpdateRemoteUserConfiguration(e){const{added:i,updated:n,removed:s,overrides:f}=d.compare(this.remoteUserConfiguration,e);let p=[...i,...n,...s];return p.length&&this.updateRemoteUserConfiguration(e),{keys:p,overrides:f}}compareAndUpdateWorkspaceConfiguration(e){const{added:i,updated:n,removed:s,overrides:f}=d.compare(this.workspaceConfiguration,e);let p=[...i,...n,...s];return p.length&&this.updateWorkspaceConfiguration(e),{keys:p,overrides:f}}compareAndUpdateFolderConfiguration(e,i){const n=this.folderConfigurations.get(e),{added:s,updated:f,removed:p,overrides:I}=d.compare(n,i);let U=[...s,...f,...p];return(U.length||!n)&&this.updateFolderConfiguration(e,i),{keys:U,overrides:I}}compareAndDeleteFolderConfiguration(e){const i=this.folderConfigurations.get(e);if(!i)throw new Error("Unknown folder");this.deleteFolderConfiguration(e);const{added:n,updated:s,removed:f,overrides:p}=d.compare(i,void 0);return{keys:[...n,...s,...f],overrides:p}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(e,i){let n=this.getConsolidatedConfigurationModelForResource(e,i);return e.overrideIdentifier?n.override(e.overrideIdentifier):n}getConsolidatedConfigurationModelForResource({resource:e},i){let n=this.getWorkspaceConsolidatedConfiguration();if(i&&e){const s=i.getFolder(e);s&&(n=this.getFolderConsolidatedConfiguration(s.uri)||n);const f=this._memoryConfigurationByResource.get(e);f&&(n=n.merge(f))}return n}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(e){let i=this._foldersConsolidatedConfigurations.get(e);if(!i){const n=this.getWorkspaceConsolidatedConfiguration(),s=this._folderConfigurations.get(e);s?(i=n.merge(s),this._freeze&&(i=i.freeze()),this._foldersConsolidatedConfigurations.set(e,i)):i=n}return i}getFolderConfigurationModelForResource(e,i){if(i&&e){const n=i.getFolder(e);if(n)return this._folderConfigurations.get(n.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((e,i)=>{const{contents:n,overrides:s,keys:f}=this._folderConfigurations.get(i);return e.push([i,{contents:n,overrides:s,keys:f}]),e},[])}}allKeys(){const e=new Set;return this._defaultConfiguration.freeze().keys.forEach(i=>e.add(i)),this.userConfiguration.freeze().keys.forEach(i=>e.add(i)),this._workspaceConfiguration.freeze().keys.forEach(i=>e.add(i)),this._folderConfigurations.forEach(i=>i.freeze().keys.forEach(n=>e.add(n))),[...e.values()]}getAllKeysForOverrideIdentifier(e){const i=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(e).forEach(n=>i.add(n)),this.userConfiguration.getKeysForOverrideIdentifier(e).forEach(n=>i.add(n)),this._workspaceConfiguration.getKeysForOverrideIdentifier(e).forEach(n=>i.add(n)),this._folderConfigurations.forEach(n=>n.getKeysForOverrideIdentifier(e).forEach(s=>i.add(s))),[...i.values()]}static parse(e){const i=this.parseConfigurationModel(e.defaults),n=this.parseConfigurationModel(e.user),s=this.parseConfigurationModel(e.workspace),f=e.folders.reduce((p,I)=>(p.set(T.URI.revive(I[0]),this.parseConfigurationModel(I[1])),p),new F.ResourceMap);return new R(i,n,new k,s,f,new k,new F.ResourceMap,!1)}static parseConfigurationModel(e){return new k(e.contents,e.keys,e.overrides).freeze()}}t.Configuration=R;function P(...o){if(o.length===0)return{keys:[],overrides:[]};if(o.length===1)return o[0];const e=new Set,i=new Map;for(const s of o)s.keys.forEach(f=>e.add(f)),s.overrides.forEach(([f,p])=>{const I=F.getOrSet(i,f,new Set);p.forEach(U=>I.add(U))});const n=[];return i.forEach((s,f)=>n.push([f,[...s.values()]])),{keys:[...e.values()],overrides:n}}t.mergeChanges=P;class v{constructor(e,i,n,s){this.change=e,this.previous=i,this.currentConfiguraiton=n,this.currentWorkspace=s,this._previousConfiguration=void 0;const f=new Set;e.keys.forEach(I=>f.add(I)),e.overrides.forEach(([,I])=>I.forEach(U=>f.add(U))),this.affectedKeys=[...f.values()];const p=new k;this.affectedKeys.forEach(I=>p.setValue(I,{})),this.affectedKeysTree=p.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=R.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(e,i){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,e)){if(i){const n=this.previousConfiguration?this.previousConfiguration.getValue(e,i,this.previous?.workspace):void 0,s=this.currentConfiguraiton.getValue(e,i,this.currentWorkspace);return!O.equals(n,s)}return!0}return!1}doesAffectedKeysTreeContains(e,i){let n=d.toValuesTree({[i]:!0},()=>{}),s;for(;typeof n=="object"&&(s=Object.keys(n)[0]);){if(e=e[s],!e)return!1;n=n[s]}return!0}}t.ConfigurationChangeEvent=v;class r extends v{constructor(e,i,n,s){super({keys:e.allKeys(),overrides:[]},void 0,e,i);this.source=n,this.sourceConfig=s}}t.AllKeysConfigurationChangeEvent=r}),define(Z[110],te([0,1,25,30,2,27,109,10,4,20]),function(_,t,m,F,D,C,O,T,u,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ConfigurationService=void 0;class w extends D.Disposable{constructor(b,k){super();this.settingsResource=b,this._onDidChangeConfiguration=this._register(new T.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.userConfiguration=this._register(new O.UserSettings(this.settingsResource,void 0,d.extUriBiasedIgnorePathCase,k)),this.configuration=new O.Configuration(new O.DefaultConfigurationModel,new O.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new u.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(m.Registry.as(F.Extensions.Configuration).onDidUpdateConfiguration(c=>this.onDidDefaultConfigurationChange(c))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const b=await this.userConfiguration.loadConfiguration();this.configuration=new O.Configuration(new O.DefaultConfigurationModel,b)}getConfigurationData(){return this.configuration.toData()}getValue(b,k){const c=typeof b=="string"?b:void 0,h=C.isConfigurationOverrides(b)?b:C.isConfigurationOverrides(k)?k:{};return this.configuration.getValue(c,h,void 0)}updateValue(b,k,c,h){return Promise.reject(new Error("not supported"))}inspect(b){return this.configuration.inspect(b,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const b=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(b)}onDidChangeUserConfiguration(b){const k=this.configuration.toData(),c=this.configuration.compareAndUpdateLocalUserConfiguration(b);this.trigger(c,k,1)}onDidDefaultConfigurationChange(b){const k=this.configuration.toData(),c=this.configuration.compareAndUpdateDefaultConfiguration(new O.DefaultConfigurationModel,b);this.trigger(c,k,6)}trigger(b,k,c){const h=new O.ConfigurationChangeEvent(b,{data:k},this.configuration);h.source=c,h.sourceConfig=this.getTargetConfiguration(c),this._onDidChangeConfiguration.fire(h)}getTargetConfiguration(b){switch(b){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}t.ConfigurationService=w}),define(Z[55],te([0,1,83,11,30,25,16]),function(_,t,m,F,D,C,O){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.updateProxyConfigurationsScope=t.asJson=t.asText=t.isSuccess=t.IRequestService=void 0,t.IRequestService=F.createDecorator("requestService");function T(c){return c.res.statusCode&&c.res.statusCode>=200&&c.res.statusCode<300||c.res.statusCode===1223}t.isSuccess=T;function u(c){return c.res.statusCode===204}async function d(c){if(!T(c))throw new Error("Server returned "+c.res.statusCode);return u(c)?null:(await O.streamToBuffer(c.stream)).toString()}t.asText=d;async function w(c){if(!T(c))throw new Error("Server returned "+c.res.statusCode);if(u(c))return null;const S=(await O.streamToBuffer(c.stream)).toString();try{return JSON.parse(S)}catch(R){throw R.message+=`:
`+S,R}}t.asJson=w;function y(c){k(c)}t.updateProxyConfigurationsScope=y;let b;function k(c){const h=C.Registry.as(D.Extensions.Configuration);b&&h.deregisterConfigurations([b]),b={id:"http",order:15,title:m.localize(0,null),type:"object",scope:c,properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:m.localize(1,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:m.localize(2,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:m.localize(3,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[m.localize(4,null),m.localize(5,null),m.localize(6,null),m.localize(7,null)],default:"override",description:m.localize(8,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:m.localize(9,null),restricted:!0}}},h.registerConfiguration(b)}k(2)}),define(Z[111],te([0,1,112,13]),function(_,t,m,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getProxyAgent=void 0;function D(O,T){return O.protocol==="http:"?T.HTTP_PROXY||T.http_proxy||null:O.protocol==="https:"&&(T.HTTPS_PROXY||T.https_proxy||T.HTTP_PROXY||T.http_proxy)||null}async function C(O,T,u={}){const d=m.parse(O),w=u.proxyUrl||D(d,T);if(!w)return null;const y=m.parse(w);if(!/^https?:$/.test(y.protocol||""))return null;const b={host:y.hostname||"",port:y.port||(y.protocol==="https"?"443":"80"),auth:y.auth,rejectUnauthorized:F.isBoolean(u.strictSSL)?u.strictSSL:!0};return d.protocol==="http:"?new(await new Promise((k,c)=>{_(["http-proxy-agent"],k,c)}))(b):new(await new Promise((k,c)=>{_(["https-proxy-agent"],k,c)}))(b)}t.getProxyAgent=C}),define(Z[113],te([0,1,29,16]),function(_,t,m,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getServiceMachineId=void 0;async function D(C,O,T){let u=T&&T.get("storage.serviceMachineId",0)||null;if(u)return u;try{const w=(await O.readFile(C.serviceMachineIdResource)).value.toString();u=m.isUUID(w)?w:null}catch(d){u=null}if(!u){u=m.generateUuid();try{await O.writeFile(C.serviceMachineIdResource,F.VSBuffer.fromString(u))}catch(d){}}return T&&T.store("storage.serviceMachineId",u,0,1),u}t.getServiceMachineId=D}),define(Z[114],te([0,1,11,10,2,13,66,4]),function(_,t,m,F,D,C,O,T){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.logStorage=t.InMemoryStorageService=t.AbstractStorageService=t.StorageTarget=t.StorageScope=t.WillSaveStateReason=t.IStorageService=t.IS_NEW_KEY=void 0,t.IS_NEW_KEY="__$__isNewStorageMarker";const u="__$__targetStorageMarker";t.IStorageService=m.createDecorator("storageService");var d;(function(h){h[h.NONE=0]="NONE",h[h.SHUTDOWN=1]="SHUTDOWN"})(d=t.WillSaveStateReason||(t.WillSaveStateReason={}));var w;(function(h){h[h.GLOBAL=0]="GLOBAL",h[h.WORKSPACE=1]="WORKSPACE"})(w=t.StorageScope||(t.StorageScope={}));var y;(function(h){h[h.USER=0]="USER",h[h.MACHINE=1]="MACHINE"})(y=t.StorageTarget||(t.StorageTarget={}));class b extends D.Disposable{constructor(S={flushInterval:b.DEFAULT_FLUSH_INTERVAL}){super();this.options=S,this._onDidChangeValue=this._register(new F.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new F.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new F.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new T.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new D.MutableDisposable),this._workspaceKeyTargets=void 0,this._globalKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=T.runWhenIdle(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){D.dispose([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{await this.doInitialize(),this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(S,R){R===u?(S===0?this._globalKeyTargets=void 0:S===1&&(this._workspaceKeyTargets=void 0),this._onDidChangeTarget.fire({scope:S})):this._onDidChangeValue.fire({scope:S,key:R,target:this.getKeyTargets(S)[R]})}emitWillSaveState(S){this._onWillSaveState.fire({reason:S})}get(S,R,P){return this.getStorage(R)?.get(S,P)}getBoolean(S,R,P){return this.getStorage(R)?.getBoolean(S,P)}getNumber(S,R,P){return this.getStorage(R)?.getNumber(S,P)}store(S,R,P,v){if(C.isUndefinedOrNull(R)){this.remove(S,P);return}this.withPausedEmitters(()=>{this.updateKeyTarget(S,P,v),this.getStorage(P)?.set(S,R)})}remove(S,R){this.withPausedEmitters(()=>{this.updateKeyTarget(S,R,void 0),this.getStorage(R)?.delete(S)})}withPausedEmitters(S){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{S()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(S,R){const P=[],v=this.getKeyTargets(S);for(const r of Object.keys(v))v[r]===R&&P.push(r);return P}updateKeyTarget(S,R,P){const v=this.getKeyTargets(R);typeof P=="number"?v[S]!==P&&(v[S]=P,this.getStorage(R)?.set(u,JSON.stringify(v))):typeof v[S]=="number"&&(delete v[S],this.getStorage(R)?.set(u,JSON.stringify(v)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get globalKeyTargets(){return this._globalKeyTargets||(this._globalKeyTargets=this.loadKeyTargets(0)),this._globalKeyTargets}getKeyTargets(S){return S===0?this.globalKeyTargets:this.workspaceKeyTargets}loadKeyTargets(S){const R=this.get(u,S);if(R)try{return JSON.parse(R)}catch(P){}return Object.create(null)}isNew(S){return this.getBoolean(t.IS_NEW_KEY,S)===!0}async flush(){this._onWillSaveState.fire({reason:d.NONE}),await T.Promises.settled([this.getStorage(0)?.whenFlushed()??Promise.resolve(),this.getStorage(1)?.whenFlushed()??Promise.resolve()])}async logStorage(){const S=this.getStorage(0)?.items??new Map,R=this.getStorage(1)?.items??new Map;return c(S,R,this.getLogDetails(0)??"",this.getLogDetails(1)??"")}}t.AbstractStorageService=b,b.DEFAULT_FLUSH_INTERVAL=60*1e3;class k extends b{constructor(){super();this.globalStorage=this._register(new O.Storage(new O.InMemoryStorageDatabase)),this.workspaceStorage=this._register(new O.Storage(new O.InMemoryStorageDatabase)),this._register(this.workspaceStorage.onDidChangeStorage(S=>this.emitDidChangeValue(1,S))),this._register(this.globalStorage.onDidChangeStorage(S=>this.emitDidChangeValue(0,S)))}getStorage(S){return S===0?this.globalStorage:this.workspaceStorage}getLogDetails(S){return S===0?"inMemory (global)":"inMemory (workspace)"}async doInitialize(){}async migrate(S){}}t.InMemoryStorageService=k;async function c(h,S,R,P){const v=f=>{try{return JSON.parse(f)}catch(p){return f}},r=new Map,o=new Map;h.forEach((f,p)=>{r.set(p,f),o.set(p,v(f))});const e=new Map,i=new Map;S.forEach((f,p)=>{e.set(p,f),i.set(p,v(f))}),console.group(`Storage: Global (path: ${R})`);let n=[];r.forEach((f,p)=>{n.push({key:p,value:f})}),console.table(n),console.groupEnd(),console.log(o),console.group(`Storage: Workspace (path: ${P})`);let s=[];e.forEach((f,p)=>{s.push({key:p,value:f})}),console.table(s),console.groupEnd(),console.log(i)}t.logStorage=c}),define(Z[115],te([0,1,14,33,29,7]),function(_,t,m,F,D,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.verifyMicrosoftInternalDomain=t.resolveCommonProperties=void 0;function O(d){if(m.platform===2&&/^penguin(\.|$)/i.test(d))return"chromebook"}async function T(d,w,y,b,k,c,h,S,R,P){const v=Object.create(null);v["common.machineId"]=h,v.sessionID=D.generateUuid()+Date.now(),v.commitHash=k,v.version=c,v["common.platformVersion"]=(w||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),v["common.platform"]=m.PlatformToString(m.platform),v["common.nodePlatform"]=F.platform,v["common.nodeArch"]=b,v["common.product"]=P||"desktop";const r=u(S||[]);r&&(v["common.msftInternal"]=r);let o=0;const e=Date.now();Object.defineProperties(v,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-e,enumerable:!0},"common.sequence":{get:()=>o++,enumerable:!0}}),m.isLinuxSnap&&(v["common.snap"]="true");const i=O(y);i&&(v["common.platformDetail"]=i);try{const n=await d.readFile(C.URI.file(R));v["common.source"]=n.value.toString().slice(0,30)}catch(n){}return v}t.resolveCommonProperties=T;function u(d){const w=F.env.USERDNSDOMAIN;if(!w)return!1;const y=w.toLowerCase();return d.some(b=>y===b)}t.verifyMicrosoftInternalDomain=u}),define(Z[42],te([0,1,11]),function(_,t,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.machineIdKey=t.lastSessionDateStorageKey=t.firstSessionDateStorageKey=t.currentSessionDateStorageKey=t.instanceStorageKey=t.ICustomEndpointTelemetryService=t.ITelemetryService=void 0,t.ITelemetryService=m.createDecorator("telemetryService"),t.ICustomEndpointTelemetryService=m.createDecorator("customEndpointTelemetryService"),t.instanceStorageKey="telemetry.instanceId",t.currentSessionDateStorageKey="telemetry.currentSessionDate",t.firstSessionDateStorageKey="telemetry.firstSessionDate",t.lastSessionDateStorageKey="telemetry.lastSessionDate",t.machineIdKey="telemetry.machineId"}),define(Z[116],te([0,1,12,23,24,19,42,55,49,21,26,15,17,7,41,114,113,11]),function(_,t,m,F,D,C,O,T,u,d,w,y,b,k,c,h,S,R){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.resolveMarketplaceHeaders=t.ExtensionGalleryService=void 0;var P;(function(H){H[H.None=0]="None",H[H.IncludeVersions=1]="IncludeVersions",H[H.IncludeFiles=2]="IncludeFiles",H[H.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",H[H.IncludeSharedAccounts=8]="IncludeSharedAccounts",H[H.IncludeVersionProperties=16]="IncludeVersionProperties",H[H.ExcludeNonValidated=32]="ExcludeNonValidated",H[H.IncludeInstallationTargets=64]="IncludeInstallationTargets",H[H.IncludeAssetUri=128]="IncludeAssetUri",H[H.IncludeStatistics=256]="IncludeStatistics",H[H.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",H[H.Unpublished=4096]="Unpublished"})(P||(P={}));function v(...H){return String(H.reduce((B,Y)=>B|Y,0))}var r;(function(H){H[H.Tag=1]="Tag",H[H.ExtensionId=4]="ExtensionId",H[H.Category=5]="Category",H[H.ExtensionName=7]="ExtensionName",H[H.Target=8]="Target",H[H.Featured=9]="Featured",H[H.SearchText=10]="SearchText",H[H.ExcludeWithFlags=12]="ExcludeWithFlags"})(r||(r={}));const o={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},e={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension"},n={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:P.None,criteria:[],assetTypes:[]};class s{constructor(B=n){this.state=B}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(B,Y=this.state.pageSize){return new s({...this.state,pageNumber:B,pageSize:Y})}withFilter(B,...Y){const l=[...this.state.criteria,...Y.length?Y.map(a=>({filterType:B,value:a})):[{filterType:B}]];return new s({...this.state,criteria:l})}withSortBy(B){return new s({...this.state,sortBy:B})}withSortOrder(B){return new s({...this.state,sortOrder:B})}withFlags(...B){return new s({...this.state,flags:B.reduce((Y,l)=>Y|l,0)})}withAssetTypes(...B){return new s({...this.state,assetTypes:B})}get raw(){const{criteria:B,pageNumber:Y,pageSize:l,sortBy:a,sortOrder:g,flags:E,assetTypes:L}=this.state;return{filters:[{criteria:B,pageNumber:Y,pageSize:l,sortBy:a,sortOrder:g}],assetTypes:L,flags:E}}get searchText(){const B=this.state.criteria.filter(Y=>Y.filterType===r.SearchText)[0];return B&&B.value?B.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(B=>String(B.filterType)),sortBy:String(this.sortBy),sortOrder:String(this.sortOrder)}}}function f(H,B){const Y=(H||[]).filter(l=>l.statisticName===B)[0];return Y?Y.value:0}function p(H){const B="Microsoft.VisualStudio.Code.Translation.";return H.files.filter(l=>l.assetType.indexOf(B)===0).reduce((l,a)=>{const g=M(H,a.assetType);return g&&l.push([a.assetType.substring(B.length),g]),l},[])}function I(H){if(H.properties){const B=H.properties.filter(a=>a.key===o.Repository),Y=new RegExp("((git|ssh|http(s)?)|(git@[\\w.]+))(:(//)?)([\\w.@:/\\-~]+)(.git)(/)?"),l=B.filter(a=>Y.test(a.value))[0];return l?{uri:l.value,fallbackUri:l.value}:null}return M(H,o.Repository)}function U(H){return{uri:`${H.fallbackAssetUri}/${o.VSIX}?redirect=true`,fallbackUri:`${H.fallbackAssetUri}/${o.VSIX}`}}function A(H){const B=M(H,o.Icon);if(B)return B;const Y=F.DefaultIconPath;return{uri:Y,fallbackUri:Y}}function M(H,B){return H.files.filter(l=>l.assetType===B)[0]?{uri:`${H.assetUri}/${B}`,fallbackUri:`${H.fallbackAssetUri}/${B}`}:null}function x(H,B){const Y=H.properties?H.properties.filter(a=>a.key===B):[],l=Y.length>0&&Y[0].value;return l?l.split(",").map(a=>D.adoptToGalleryExtensionId(a)):[]}function q(H){const B=H.properties?H.properties.filter(Y=>Y.key===e.Engine):[];return B.length>0&&B[0].value||""}function Q(H){const B=H.properties?H.properties.filter(l=>l.key===e.LocalizedLanguages):[],Y=B.length>0&&B[0].value||"";return Y?Y.split(","):[]}function ie(H){return H.indexOf("preview")!==-1}function re(H,B,Y,l,a){const g={manifest:M(B,o.Manifest),readme:M(B,o.Details),changelog:M(B,o.Changelog),license:M(B,o.License),repository:I(B),download:U(B),icon:A(B),coreTranslations:p(B)};return{identifier:{id:D.getGalleryExtensionId(H.publisher.publisherName,H.extensionName),uuid:H.extensionId},name:H.extensionName,version:B.version,date:B.lastUpdated,displayName:H.displayName,publisherId:H.publisher.publisherId,publisher:H.publisher.publisherName,publisherDisplayName:H.publisher.displayName,description:H.shortDescription||"",installCount:f(H.statistics,"install"),rating:f(H.statistics,"averagerating"),ratingCount:f(H.statistics,"ratingcount"),assetUri:k.URI.parse(B.assetUri),webExtension:!!H.tags?.includes(F.WEB_EXTENSION_TAG),assetTypes:B.files.map(({assetType:E})=>E),assets:g,properties:{dependencies:x(B,e.Dependency),extensionPack:x(B,e.ExtensionPack),engine:q(B),localizedLanguages:Q(B)},telemetryData:{index:(l.pageNumber-1)*l.pageSize+Y,querySource:a},preview:ie(H.flags)}}let ee=class{constructor(B,Y,l,a,g,E,L){this.requestService=B,this.logService=Y,this.environmentService=l,this.telemetryService=a,this.fileService=g,this.productService=E;const N=E.extensionsGallery;this.extensionsGalleryUrl=N&&N.serviceUrl,this.extensionsControlUrl=N&&N.controlUrl,this.commonHeadersPromise=ae(E.version,this.environmentService,this.fileService,L)}api(B=""){return`${this.extensionsGalleryUrl}${B}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(B,Y){const l=[];let{total:a,firstPage:g,getPage:E}=await this.query({names:B,pageSize:B.length},Y);l.push(...g);for(let L=1;l.length<a&&(g=await E(L,Y),g.length);L++)l.push(...g);return l}async getCompatibleExtension(B,Y){return this.getCompatibleExtensionByEngine(B,Y)}async getCompatibleExtensionByEngine(B,Y){const l=F.isIExtensionIdentifier(B)?null:B;if(l&&l.properties.engine&&u.isEngineValid(l.properties.engine,this.productService.version,this.productService.date))return l;const{id:a,uuid:g}=l?l.identifier:B;let E=new s().withFlags(P.IncludeAssetUri,P.IncludeStatistics,P.IncludeCategoryAndTags,P.IncludeFiles,P.IncludeVersionProperties).withPage(1,1).withFilter(r.Target,"Microsoft.VisualStudio.Code");g?E=E.withFilter(r.ExtensionId,g):E=E.withFilter(r.ExtensionName,a);const{galleryExtensions:L}=await this.queryGallery(E,w.CancellationToken.None),[N]=L;if(!N||!N.versions.length)return null;if(Y){const j=N.versions.filter(W=>W.version===Y)[0];if(j){const W=re(N,j,0,E);if(W.properties.engine&&u.isEngineValid(W.properties.engine,this.productService.version,this.productService.date))return W}return null}const V=await this.getLastValidExtensionVersion(N,N.versions);return V?re(N,V,0,E):null}async query(B,Y){const l=w.CancellationToken.isCancellationToken(B)?{}:B,a=w.CancellationToken.isCancellationToken(B)?B:Y;if(!this.isEnabled())throw new Error("No extension gallery service configured.");let g=l.text||"";const E=C.getOrDefault(l,$=>$.pageSize,50);let L=new s().withFlags(P.IncludeLatestVersionOnly,P.IncludeAssetUri,P.IncludeStatistics,P.IncludeCategoryAndTags,P.IncludeFiles,P.IncludeVersionProperties).withPage(1,E).withFilter(r.Target,"Microsoft.VisualStudio.Code");g?(g=g.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,($,X,J)=>(L=L.withFilter(r.Category,J||X),"")),g=g.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,($,X,J)=>(L=L.withFilter(r.Tag,J||X),"")),g=g.replace(/\bfeatured(\s+|\b|$)/g,()=>(L=L.withFilter(r.Featured),"")),g=g.trim(),g&&(g=g.length<200?g:g.substring(0,200),L=L.withFilter(r.SearchText,g)),L=L.withSortBy(0)):l.ids?L=L.withFilter(r.ExtensionId,...l.ids):l.names?L=L.withFilter(r.ExtensionName,...l.names):L=L.withSortBy(4),typeof l.sortBy=="number"&&(L=L.withSortBy(l.sortBy)),typeof l.sortOrder=="number"&&(L=L.withSortOrder(l.sortOrder));const{galleryExtensions:N,total:V}=await this.queryGallery(L,a),j=N.map(($,X)=>re($,$.versions[0],X,L,l.source)),W=async($,X)=>{if(X.isCancellationRequested)throw m.canceled();const J=L.withPage($+1),{galleryExtensions:ne}=await this.queryGallery(J,X);return ne.map((ue,me)=>re(ue,ue.versions[0],me,J,l.source))};return{firstPage:j,total:V,pageSize:L.pageSize,getPage:W}}async queryGallery(B,Y){if(!this.isEnabled())throw new Error("No extension gallery service configured.");B=B.withFlags(B.flags,P.ExcludeNonValidated).withFilter(r.ExcludeWithFlags,v(P.Unpublished));const l=await this.commonHeadersPromise,a=JSON.stringify(B.raw),g={...l,"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(a.length)},E=new Date().getTime();let L,N,V=0;try{if(L=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:a,headers:g},Y),L.res.statusCode&&L.res.statusCode>=400&&L.res.statusCode<500)return{galleryExtensions:[],total:V};const j=await T.asJson(L);if(j){const W=j.results[0],$=W.extensions,X=W.resultMetadata&&W.resultMetadata.filter(J=>J.metadataType==="ResultCount")[0];return V=X&&X.metadataItems.filter(J=>J.name==="TotalCount")[0].count||0,{galleryExtensions:$,total:V}}return{galleryExtensions:[],total:V}}catch(j){throw N=j,j}finally{this.telemetryService.publicLog2("galleryService:query",{...B.telemetryData,requestBodySize:String(a.length),duration:new Date().getTime()-E,success:!!L&&T.isSuccess(L),responseBodySize:L?.res.headers["Content-Length"],statusCode:L?String(L.res.statusCode):void 0,errorCode:N?m.isPromiseCanceledError(N)?"canceled":m.getErrorMessage(N).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(V)})}}async reportStatistic(B,Y,l,a){if(!this.isEnabled())return;const E={...await this.commonHeadersPromise,Accept:"*/*;api-version=4.0-preview.1"};try{await this.requestService.request({type:"POST",url:this.api(`/publishers/${B}/extensions/${Y}/${l}/stats?statType=${a}`),headers:E},w.CancellationToken.None)}catch(L){}}async download(B,Y,l){this.logService.trace("ExtensionGalleryService#download",B.identifier.id);const a=D.getGalleryExtensionTelemetryData(B),g=new Date().getTime(),E=j=>this.telemetryService.publicLog("galleryService:downloadVSIX",{...a,duration:j}),L=l===1?"install":l===2?"update":"",N=L?{uri:`${B.assets.download.uri}&${L}=true`,fallbackUri:`${B.assets.download.fallbackUri}?${L}=true`}:B.assets.download,V=await this.getAsset(N);await this.fileService.writeFile(Y,V.stream),E(new Date().getTime()-g)}async getReadme(B,Y){if(B.assets.readme){const l=await this.getAsset(B.assets.readme,{},Y);return await T.asText(l)||""}return""}async getManifest(B,Y){if(B.assets.manifest){const l=await this.getAsset(B.assets.manifest,{},Y),a=await T.asText(l);return a?JSON.parse(a):null}return null}async getCoreTranslation(B,Y){const l=B.assets.coreTranslations.filter(a=>a[0]===Y.toUpperCase())[0];if(l){const a=await this.getAsset(l[1]),g=await T.asText(a);return g?JSON.parse(g):null}return null}async getChangelog(B,Y){if(B.assets.changelog){const l=await this.getAsset(B.assets.changelog,{},Y);return await T.asText(l)||""}return""}async getAllVersions(B,Y){let l=new s().withFlags(P.IncludeVersions,P.IncludeCategoryAndTags,P.IncludeFiles,P.IncludeVersionProperties).withPage(1,1).withFilter(r.Target,"Microsoft.VisualStudio.Code");B.identifier.uuid?l=l.withFilter(r.ExtensionId,B.identifier.uuid):l=l.withFilter(r.ExtensionName,B.identifier.id);const a=[],{galleryExtensions:g}=await this.queryGallery(l,w.CancellationToken.None);return g.length&&(Y?await Promise.all(g[0].versions.map(async E=>{let L;try{L=await this.getEngine(E)}catch(N){}L&&u.isEngineValid(L,this.productService.version,this.productService.date)&&a.push({version:E.version,date:E.lastUpdated})})):a.push(...g[0].versions.map(E=>({version:E.version,date:E.lastUpdated})))),a}async getAsset(B,Y={},l=w.CancellationToken.None){const a=await this.commonHeadersPromise,g={type:"GET"},E={...a,...Y.headers||{}};Y={...Y,...g,headers:E};const L=B.uri,N=B.fallbackUri,V={...Y,url:L};try{const j=await this.requestService.request(V,l);if(j.res.statusCode===200)return j;const W=await T.asText(j);throw new Error(`Expected 200, got back ${j.res.statusCode} instead.

${W}`)}catch(j){if(m.isPromiseCanceledError(j))throw j;const W=m.getErrorMessage(j);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:L,message:W});const $={...Y,url:N};return this.requestService.request($,l)}}async getLastValidExtensionVersion(B,Y){const l=this.getLastValidExtensionVersionFromProperties(B,Y);return l||this.getLastValidExtensionVersionRecursively(B,Y)}getLastValidExtensionVersionFromProperties(B,Y){for(const l of Y){const a=q(l);if(!a)return null;if(u.isEngineValid(a,this.productService.version,this.productService.date))return l}return null}async getEngine(B){const Y=q(B);if(Y)return Y;const l=M(B,o.Manifest);if(!l)throw new Error("Manifest was not found");const a={"Accept-Encoding":"gzip"},g=await this.getAsset(l,{headers:a}),E=await T.asJson(g);if(E)return E.engines.vscode;throw new Error("Error while reading manifest")}async getLastValidExtensionVersionRecursively(B,Y){if(!Y.length)return null;const l=Y[0],a=await this.getEngine(l);return u.isEngineValid(a,this.productService.version,this.productService.date)?{...l,properties:[...l.properties||[],{key:e.Engine,value:a}]}:this.getLastValidExtensionVersionRecursively(B,Y.slice(1))}async getExtensionsReport(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return[];const B=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},w.CancellationToken.None);if(B.res.statusCode!==200)throw new Error("Could not get extensions report.");const Y=await T.asJson(B),l=new Map;if(Y)for(const a of Y.malicious){const g=l.get(a)||{id:{id:a},malicious:!0,slow:!1};g.malicious=!0,l.set(a,g)}return[...l.values()]}};ee=ce([fe(0,T.IRequestService),fe(1,y.ILogService),fe(2,d.IEnvironmentService),fe(3,O.ITelemetryService),fe(4,b.IFileService),fe(5,c.IProductService),fe(6,R.optional(h.IStorageService))],ee),t.ExtensionGalleryService=ee;async function ae(H,B,Y,l){const a={"X-Market-Client-Id":`VSCode ${H}`,"User-Agent":`VSCode ${H}`},g=await S.getServiceMachineId(B,Y,l);return a["X-Market-User-Id"]=g,a}t.resolveMarketplaceHeaders=ae}),define(Z[117],te([0,1,40,84,18,11,27,30,2,19,25]),function(_,t,m,F,D,C,O,T,u,d,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.TelemetryService=void 0;let y=class{constructor(c,h){this._configurationService=h,this._experimentProperties={},this._disposables=new u.DisposableStore,this._cleanupPatterns=[],this._appender=c.appender,this._commonProperties=c.commonProperties||Promise.resolve({}),this._piiPaths=c.piiPaths||[],this._userOptIn=!0,this._enabled=!0,this.sendErrorTelemetry=!!c.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(let S of this._piiPaths)this._cleanupPatterns.push(new RegExp(D.escapeRegExpCharacters(S),"gi"));this._configurationService&&(this._updateUserOptIn(),this._configurationService.onDidChangeConfiguration(this._updateUserOptIn,this,this._disposables),this.publicLog2("optInStatus",{optIn:this._userOptIn}),this._commonProperties.then(S=>{const R=/^[a-f0-9]+$/i.test(S["common.machineId"]);this.publicLog2("machineIdFallback",{usingFallbackGuid:!R})}))}setExperimentProperty(c,h){this._experimentProperties[c]=h}setEnabled(c){this._enabled=c}_updateUserOptIn(){const c=this._configurationService?.getValue(b);this._userOptIn=c?c.enableTelemetry:this._userOptIn}get isOptedIn(){return this._userOptIn&&this._enabled}async getTelemetryInfo(){const c=await this._commonProperties;let h=c.sessionID,S=c["common.instanceId"],R=c["common.machineId"],P=c["common.firstSessionDate"],v=c["common.msftInternal"];return{sessionId:h,instanceId:S,machineId:R,firstSessionDate:P,msftInternal:v}}dispose(){this._disposables.dispose()}publicLog(c,h,S){return this.isOptedIn?this._commonProperties.then(R=>{h=d.mixin(h,R),h=d.mixin(h,this._experimentProperties),h=d.cloneAndChange(h,P=>{if(typeof P=="string")return this._cleanupInfo(P,S)}),this._appender.log(c,h)},R=>{console.error(R)}):Promise.resolve(void 0)}publicLog2(c,h,S){return this.publicLog(c,h,S)}publicLogError(c,h){return this.sendErrorTelemetry?this.publicLog(c,h,!0):Promise.resolve(void 0)}publicLogError2(c,h){return this.publicLogError(c,h)}_cleanupInfo(c,h){let S=c;if(h){const R=[];for(let o of this._cleanupPatterns)for(;;){const e=o.exec(c);if(!e)break;R.push([e.index,o.lastIndex])}const P=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,v=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let r=0;for(S="";;){const o=v.exec(c);if(!o)break;!P.test(o[0])&&R.every(([e,i])=>o.index<e||o.index>=i)&&(S+=c.substring(r,o.index)+"<REDACTED: user-file-path>",r=v.lastIndex)}r<c.length&&(S+=c.substr(r))}for(let R of this._cleanupPatterns)S=S.replace(R,"");return S}};y.IDLE_START_EVENT_NAME="UserIdleStart",y.IDLE_STOP_EVENT_NAME="UserIdleStop",y=ce([fe(1,C.optional(O.IConfigurationService))],y),t.TelemetryService=y;const b="telemetry";w.Registry.as(T.Extensions.Configuration).registerConfiguration({id:b,order:110,type:"object",title:F.localize(0,null),properties:{"telemetry.enableTelemetry":{type:"boolean",markdownDescription:m.default.privacyStatementUrl?F.localize(2,null,m.default.privacyStatementUrl):F.localize(1,null),default:!0,restricted:!0,scope:1,tags:["usesOnlineServices"]}}})}),define(Z[56],te([0,1,27,19,13,4]),function(_,t,m,F,D,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.cleanRemoteAuthority=t.validateTelemetryData=t.configurationTelemetry=t.NullAppender=t.combinedAppender=t.NullEndpointTelemetryService=t.NullTelemetryService=void 0,t.NullTelemetryService=new class{constructor(){this.sendErrorTelemetry=!1,this.isOptedIn=!0}publicLog(c,h){return Promise.resolve(void 0)}publicLog2(c,h){return this.publicLog(c,h)}publicLogError(c,h){return Promise.resolve(void 0)}publicLogError2(c,h){return this.publicLogError(c,h)}setExperimentProperty(){}setEnabled(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}};class O{async publicLog(h,S,R){}async publicLogError(h,S,R){}}t.NullEndpointTelemetryService=O;function T(...c){return{log:(h,S)=>c.forEach(R=>R.log(h,S)),flush:()=>C.Promises.settled(c.map(h=>h.flush()))}}t.combinedAppender=T,t.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function u(c,h){return h.onDidChangeConfiguration(S=>{S.source!==6&&c.publicLog2("updateConfiguration",{configurationSource:m.ConfigurationTargetToString(S.source),configurationKeys:b(S.sourceConfig)})})}t.configurationTelemetry=u;function d(c){const h=Object.create(null),S=Object.create(null),R=Object.create(null);y(c,R);for(let P in R){P=P.length>150?P.substr(P.length-149):P;const v=R[P];typeof v=="number"?S[P]=v:typeof v=="boolean"?S[P]=v?1:0:typeof v=="string"?h[P]=v.substring(0,1023):typeof v!="undefined"&&v!==null&&(h[P]=v)}return{properties:h,measurements:S}}t.validateTelemetryData=d;function w(c){if(!c)return"none";let h="other";return["ssh-remote","dev-container","attached-container","wsl"].forEach(R=>{c.indexOf(`${R}+`)===0&&(h=R)}),h}t.cleanRemoteAuthority=w;function y(c,h,S=0,R){if(!!c)for(let P of Object.getOwnPropertyNames(c)){const v=c[P],r=R?R+P:P;Array.isArray(v)?h[r]=F.safeStringify(v):v instanceof Date?h[r]=v.toISOString():D.isObject(v)?S<2?y(v,h,S+1,r+"."):h[r]=F.safeStringify(v):h[r]=v}}function b(c){if(!c)return[];const h=[];return k(h,"",c),h}function k(c,h,S){S&&typeof S=="object"&&!Array.isArray(S)?Object.keys(S).forEach(R=>k(c,h?`${h}.${R}`:R,S[R])):c.push(h)}}),define(Z[118],te([0,1,12,19,56]),function(_,t,m,F,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.AppInsightsAppender=void 0;async function C(T){const u=await new Promise((w,y)=>{_(["applicationinsights"],w,y)});let d;return u.defaultClient?(d=new u.TelemetryClient(T),d.channel.setUseDiskRetryCaching(!0)):(u.setup(T).setAutoCollectRequests(!1).setAutoCollectPerformance(!1).setAutoCollectExceptions(!1).setAutoCollectDependencies(!1).setAutoDependencyCorrelation(!1).setAutoCollectConsole(!1).setInternalLogging(!1,!1).setUseDiskRetryCaching(!0).start(),d=u.defaultClient),T.indexOf("AIF-")===0&&(d.config.endpointUrl="https://vortex.data.microsoft.com/collect/v1"),d}class O{constructor(u,d,w){this._eventPrefix=u,this._defaultData=d,this._defaultData||(this._defaultData=Object.create(null)),typeof w=="function"?this._aiClient=w():this._aiClient=w,this._asyncAIClient=null}_withAIClient(u){if(!!this._aiClient){if(typeof this._aiClient!="string"){u(this._aiClient);return}this._asyncAIClient||(this._asyncAIClient=C(this._aiClient)),this._asyncAIClient.then(d=>{u(d)},d=>{m.onUnexpectedError(d),console.error(d)})}}log(u,d){!this._aiClient||(d=F.mixin(d,this._defaultData),d=D.validateTelemetryData(d),this._withAIClient(w=>w.trackEvent({name:this._eventPrefix+"/"+u,properties:d.properties,measurements:d.measurements})))}flush(){return this._aiClient?new Promise(u=>{this._withAIClient(d=>{d.flush({callback:()=>{this._aiClient=void 0,u(void 0)}})})}):Promise.resolve(void 0)}}t.AppInsightsAppender=O}),define(Z[119],te([0,1,9,3]),function(_,t,m,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.buildTelemetryMessage=void 0;async function D(C,O){const T=Object.create(null),u=(w,y)=>{const b=JSON.parse(w);T[y]=b};if(O){const w=[],y=await m.Promises.readdir(O);for(const k of y)try{(await m.Promises.stat(F.join(O,k))).isDirectory()&&w.push(k)}catch{}const b=[];for(const k of w)(await m.Promises.readdir(F.join(O,k))).filter(h=>h==="telemetry.json").length===1&&b.push(k);for(const k of b){const c=(await m.Promises.readFile(F.join(O,k,"telemetry.json"))).toString();u(c,k)}}let d=(await m.Promises.readFile(F.join(C,"telemetry-core.json"))).toString();return u(d,"vscode-core"),d=(await m.Promises.readFile(F.join(C,"telemetry-extensions.json"))).toString(),u(d,"vscode-extensions"),JSON.stringify(T,null,4)}t.buildTelemetryMessage=D}),define(Z[43],te([0,1,72,3,36,4,9,130,131,13]),function(_,t,m,F,D,C,O,T,u,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.buffer=t.extract=t.zip=t.ExtractError=void 0;class w extends Error{constructor(e,i){let n=i.message;switch(e){case"CorruptZip":n=`Corrupt ZIP: ${n}`;break}super(n);this.type=e,this.cause=i}}t.ExtractError=w;function y(o){const e=o.externalFileAttributes>>16||33188;return[448,56,7].map(i=>e&i).reduce((i,n)=>i+n,e&61440)}function b(o){if(o instanceof w)return o;let e;return/end of central directory record signature not found/.test(o.message)&&(e="CorruptZip"),new w(e,o)}function k(o,e,i,n,s,f){const p=F.dirname(e),I=F.join(n,p);if(!I.startsWith(n))return Promise.reject(new Error(m.localize(0,null,e)));const U=F.join(n,e);let A;return f.onCancellationRequested(()=>{A&&A.destroy()}),Promise.resolve(O.Promises.mkdir(I,{recursive:!0})).then(()=>new Promise((M,x)=>{if(!f.isCancellationRequested)try{A=D.createWriteStream(U,{mode:i}),A.once("close",()=>M()),A.once("error",x),o.once("error",x),o.pipe(A)}catch(q){x(q)}}))}function c(o,e,i,n){let s=C.createCancelablePromise(()=>Promise.resolve()),f=0;return n.onCancellationRequested(()=>{s.cancel(),o.close()}),new Promise((p,I)=>{const U=new C.Sequencer,A=M=>{M.isCancellationRequested||(f++,o.readEntry())};o.once("error",I),o.once("close",()=>s.then(()=>{n.isCancellationRequested||o.entryCount===f?p():I(new w("Incomplete",new Error(m.localize(1,null,f,o.entryCount))))},I)),o.readEntry(),o.on("entry",M=>{if(n.isCancellationRequested)return;if(!i.sourcePathRegex.test(M.fileName)){A(n);return}const x=M.fileName.replace(i.sourcePathRegex,"");if(/\/$/.test(x)){const ie=F.join(e,x);s=C.createCancelablePromise(re=>O.Promises.mkdir(ie,{recursive:!0}).then(()=>A(re)).then(void 0,I));return}const q=S(o,M),Q=y(M);s=C.createCancelablePromise(ie=>U.queue(()=>q.then(re=>k(re,x,Q,e,i,ie).then(()=>A(ie)))).then(null,I))})})}function h(o,e=!1){return new Promise((i,n)=>{T.open(o,e?{lazyEntries:!0}:void 0,(s,f)=>{s?n(b(s)):i(d.assertIsDefined(f))})})}function S(o,e){return new Promise((i,n)=>{o.openReadStream(e,(s,f)=>{s?n(b(s)):i(d.assertIsDefined(f))})})}function R(o,e){return new Promise((i,n)=>{const s=new u.ZipFile;e.forEach(p=>{p.contents?s.addBuffer(typeof p.contents=="string"?Buffer.from(p.contents,"utf8"):p.contents,p.path):p.localPath&&s.addFile(p.localPath,p.path)}),s.end();const f=D.createWriteStream(o);s.outputStream.pipe(f),s.outputStream.once("error",n),f.once("error",n),f.once("finish",()=>i(o))})}t.zip=R;function P(o,e,i={},n){const s=new RegExp(i.sourcePath?`^${i.sourcePath}`:"");let f=h(o,!0);return i.overwrite&&(f=f.then(p=>O.Promises.rm(e).then(()=>p))),f.then(p=>c(p,e,{sourcePathRegex:s},n))}t.extract=P;function v(o,e){return h(o).then(i=>new Promise((n,s)=>{i.on("entry",f=>{f.fileName===e&&S(i,f).then(p=>n(p),p=>s(p))}),i.once("close",()=>s(new Error(m.localize(2,null,e))))}))}function r(o,e){return v(o,e).then(i=>new Promise((n,s)=>{const f=[];i.once("error",s),i.on("data",p=>f.push(p)),i.on("end",()=>n(Buffer.concat(f)))}))}t.buffer=r}),define(Z[120],te([0,1,43,77]),function(_,t,m,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getManifest=void 0;function D(C){return m.buffer(C,"extension/package.json").then(O=>{try{return JSON.parse(O.toString("utf8"))}catch(T){throw new Error(F.localize(0,null))}})}t.getManifest=D}),define(Z[121],te([0,1,39,2,9,3,15,23,24,4,7,21,89,78,41,43,14,22,8,17,20,29,12]),function(_,t,m,F,D,C,O,T,u,d,w,y,b,k,c,h,S,R,P,v,r,o,e){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsScanner=void 0;const i="scanningSystem",n="scanningUser",s="extracting",f="deleting",p="renaming";let I=class extends F.Disposable{constructor(A,M,x,q,Q){super();this.beforeRemovingExtension=A,this.fileService=M,this.logService=x,this.environmentService=q,this.productService=Q,this._devSystemExtensionsPath=null,this.systemExtensionsPath=q.builtinExtensionsPath,this.extensionsPath=q.extensionsPath,this.uninstalledPath=C.join(this.extensionsPath,".obsolete"),this.uninstalledFileLimiter=new d.Queue}async cleanUp(){await this.removeUninstalledExtensions(),await this.removeOutdatedExtensions()}async scanExtensions(A){const M=[];(A===null||A===0)&&M.push(this.scanSystemExtensions().then(null,x=>Promise.reject(new T.ExtensionManagementError(this.joinErrors(x).message,i)))),(A===null||A===1)&&M.push(this.scanUserExtensions(!0).then(null,x=>Promise.reject(new T.ExtensionManagementError(this.joinErrors(x).message,n))));try{const x=await Promise.all(M);return R.flatten(x)}catch(x){throw this.joinErrors(x)}}async scanUserExtensions(A){this.logService.trace("Started scanning user extensions");let[M,x]=await Promise.all([this.getUninstalledExtensions(),this.scanAllUserExtensions()]);return x=x.filter(q=>!M[new u.ExtensionIdentifierWithVersion(q.identifier,q.manifest.version).key()]),A&&(x=u.groupByExtension(x,Q=>Q.identifier).map(Q=>Q.sort((ie,re)=>m.rcompare(ie.manifest.version,re.manifest.version))[0])),this.logService.trace("Scanned user extensions:",x.length),x}async scanAllUserExtensions(){return this.scanExtensionsInDir(this.extensionsPath,1)}async extractUserExtension(A,M,x){const q=A.key(),Q=C.join(this.extensionsPath,`.${o.generateUuid()}`),ie=C.join(this.extensionsPath,q);try{await D.Promises.rm(ie)}catch(ee){try{await D.Promises.rm(ie)}catch(ae){}throw new T.ExtensionManagementError(k.localize(0,null,ie,A.id),f)}await this.extractAtLocation(A,M,Q,x);let re=await this.scanExtension(w.URI.file(Q),1);if(!re)throw new Error(k.localize(1,null,Q));await this.storeMetadata(re,{installedTimestamp:Date.now()});try{await this.rename(A,Q,ie,Date.now()+2*60*1e3),this.logService.info("Renamed to",ie)}catch(ee){try{await D.Promises.rm(Q)}catch(ae){}if(ee.code==="ENOTEMPTY")this.logService.info("Rename failed because extension was installed by another source. So ignoring renaming.",A.id);else throw this.logService.info(`Rename failed because of ${e.getErrorMessage(ee)}. Deleted from extracted location`,Q),ee}try{re=await this.scanExtension(w.URI.file(ie),1)}catch(ee){}if(re)return re;throw new Error(k.localize(2,null,this.extensionsPath))}async saveMetadataForLocalExtension(A,M){return this.setMetadata(A,M),await this.storeMetadata(A,{...M,installedTimestamp:A.installedTimestamp}),A}async storeMetadata(A,M){M.isMachineScoped=M.isMachineScoped||void 0,M.isBuiltin=M.isBuiltin||void 0,M.installedTimestamp=M.installedTimestamp||void 0;const x=C.join(A.location.fsPath,"package.json"),q=await D.Promises.readFile(x,"utf8"),{manifest:Q}=await this.parseManifest(q);return Q.__metadata=M,await D.Promises.writeFile(x,JSON.stringify(Q,null,"	")),A}getUninstalledExtensions(){return this.withUninstalledExtensions()}async setUninstalled(...A){const M=A.map(x=>new u.ExtensionIdentifierWithVersion(x.identifier,x.manifest.version));await this.withUninstalledExtensions(x=>{M.forEach(q=>x[q.key()]=!0)})}async setInstalled(A){await this.withUninstalledExtensions(q=>delete q[A.key()]);const x=(await this.scanExtensions(1)).find(q=>new u.ExtensionIdentifierWithVersion(q.identifier,q.manifest.version).equals(A))||null;return x?(await this.storeMetadata(x,{installedTimestamp:Date.now()}),this.scanExtension(x.location,1)):null}async withUninstalledExtensions(A){return this.uninstalledFileLimiter.queue(async()=>{let M;try{M=await D.Promises.readFile(this.uninstalledPath,"utf8")}catch(q){if(q.code!=="ENOENT")throw q}let x={};if(M)try{x=JSON.parse(M)}catch(q){}return A&&(A(x),Object.keys(x).length?await D.Promises.writeFile(this.uninstalledPath,JSON.stringify(x)):await D.Promises.rm(this.uninstalledPath)),x})}async removeExtension(A,M){this.logService.trace(`Deleting ${M} extension from disk`,A.identifier.id,A.location.fsPath),await D.Promises.rm(A.location.fsPath),this.logService.info("Deleted from disk",A.identifier.id,A.location.fsPath)}async removeUninstalledExtension(A){await this.removeExtension(A,"uninstalled"),await this.withUninstalledExtensions(M=>delete M[new u.ExtensionIdentifierWithVersion(A.identifier,A.manifest.version).key()])}async extractAtLocation(A,M,x,q){this.logService.trace(`Started extracting the extension from ${M} to ${x}`);try{await D.Promises.rm(x)}catch(Q){throw new T.ExtensionManagementError(this.joinErrors(Q).message,f)}try{await h.extract(M,x,{sourcePath:"extension",overwrite:!0},q),this.logService.info(`Extracted extension to ${x}:`,A.id)}catch(Q){try{await D.Promises.rm(x)}catch(ie){}throw new T.ExtensionManagementError(Q.message,Q instanceof h.ExtractError&&Q.type?Q.type:s)}}async rename(A,M,x,q){try{await D.Promises.rename(M,x)}catch(Q){if(S.isWindows&&Q&&Q.code==="EPERM"&&Date.now()<q)return this.logService.info(`Failed renaming ${M} to ${x} with 'EPERM' error. Trying again...`,A.id),this.rename(A,M,x,q);throw new T.ExtensionManagementError(Q.message||k.localize(3,null,M,x),Q.code||p)}}async scanSystemExtensions(){this.logService.trace("Started scanning system extensions");const A=this.scanDefaultSystemExtensions();if(this.environmentService.isBuilt)return A;const M=this.scanDevSystemExtensions(),[x,q]=await Promise.all([A,M]);return[...x,...q]}async scanExtensionsInDir(A,M){const x=new d.Limiter(10),q=await this.fileService.resolve(w.URI.file(A));return q.children?(await Promise.all(q.children.filter(ie=>ie.isDirectory).map(ie=>x.queue(async()=>M===1&&r.basename(ie.resource).indexOf(".")===0?null:this.scanExtension(ie.resource,M))))).filter(ie=>ie&&ie.identifier):[]}async scanExtension(A,M){try{const x=await this.fileService.resolve(A);if(x.children){const{manifest:q,metadata:Q}=await this.readManifest(A.fsPath),ie=x.children.find(({name:H})=>/^readme(\.txt|\.md|)$/i.test(H))?.resource,re=x.children.find(({name:H})=>/^changelog(\.txt|\.md|)$/i.test(H))?.resource,ee={id:u.getGalleryExtensionId(q.publisher,q.name)},ae={type:M,identifier:ee,manifest:q,location:A,readmeUrl:ie,changelogUrl:re,publisherDisplayName:null,publisherId:null,isMachineScoped:!1,isBuiltin:M===0};return Q&&(this.setMetadata(ae,Q),ae.installedTimestamp=Q.installedTimestamp),ae}}catch(x){M!==0&&this.logService.trace(x)}return null}async scanDefaultSystemExtensions(){const A=await this.scanExtensionsInDir(this.systemExtensionsPath,0);return this.logService.trace("Scanned system extensions:",A.length),A}async scanDevSystemExtensions(){const A=this.getDevSystemExtensionsList();if(A.length){const M=await this.scanExtensionsInDir(this.devSystemExtensionsPath,0);return this.logService.trace("Scanned dev system extensions:",M.length),M.filter(x=>A.some(q=>u.areSameExtensions(x.identifier,{id:q})))}else return[]}setMetadata(A,M){A.publisherDisplayName=M.publisherDisplayName||null,A.publisherId=M.publisherId||null,A.identifier.uuid=M.id,A.isMachineScoped=!!M.isMachineScoped,A.isBuiltin=A.type===0||!!M.isBuiltin}async removeUninstalledExtensions(){const A=await this.getUninstalledExtensions(),M=await this.scanAllUserExtensions(),x=new Set;for(const ie of M)A[new u.ExtensionIdentifierWithVersion(ie.identifier,ie.manifest.version).key()]||x.add(ie.identifier.id.toLowerCase());const q=u.groupByExtension(M,ie=>ie.identifier);await d.Promises.settled(q.map(async ie=>{const re=ie.sort((ee,ae)=>m.rcompare(ee.manifest.version,ae.manifest.version))[0];x.has(re.identifier.id.toLowerCase())||await this.beforeRemovingExtension(re)}));const Q=M.filter(ie=>A[new u.ExtensionIdentifierWithVersion(ie.identifier,ie.manifest.version).key()]);await d.Promises.settled(Q.map(ie=>this.removeUninstalledExtension(ie)))}async removeOutdatedExtensions(){const A=await this.scanAllUserExtensions(),M=[],x=u.groupByExtension(A,q=>q.identifier);M.push(...R.flatten(x.map(q=>q.sort((Q,ie)=>m.rcompare(Q.manifest.version,ie.manifest.version)).slice(1)))),await d.Promises.settled(M.map(q=>this.removeExtension(q,"outdated")))}getDevSystemExtensionsList(){return(this.productService.builtInExtensions||[]).map(A=>A.name)}joinErrors(A){const M=Array.isArray(A)?A:[A];return M.length===1?M[0]instanceof Error?M[0]:new Error(M[0]):M.reduce((x,q)=>new Error(`${x.message}${x.message?",":""}${q instanceof Error?q.message:q}`),new Error(""))}get devSystemExtensionsPath(){return this._devSystemExtensionsPath||(this._devSystemExtensionsPath=C.normalize(C.join(P.FileAccess.asFileUri("",_).fsPath,"..",".build","builtInExtensions"))),this._devSystemExtensionsPath}async readManifest(A){const M=[D.Promises.readFile(C.join(A,"package.json"),"utf8").then(ie=>this.parseManifest(ie)),D.Promises.readFile(C.join(A,"package.nls.json"),"utf8").then(void 0,ie=>ie.code!=="ENOENT"?Promise.reject(ie):"{}").then(ie=>JSON.parse(ie))],[{manifest:x,metadata:q},Q]=await Promise.all(M);return{manifest:b.localizeManifest(x,Q),metadata:q}}parseManifest(A){return new Promise((M,x)=>{try{const q=JSON.parse(A),Q=q.__metadata||null;M({manifest:q,metadata:Q})}catch(q){x(new Error(k.localize(4,null)))}})}};I=ce([fe(1,v.IFileService),fe(2,O.ILogService),fe(3,y.INativeEnvironmentService),fe(4,c.IProductService)],I),t.ExtensionsScanner=I}),define(Z[122],te([0,1,76,3,9,2,22,43,23,24,21,4,10,39,7,40,14,15,97,28,42,49,20,29,95,11,8,26,120,101,121,102,103,17]),function(_,t,m,F,D,C,O,T,u,d,w,y,b,k,c,h,S,R,P,v,r,o,e,i,n,s,f,p,I,U,A,M,x,q){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionManagementService=void 0;const Q="unsetUninstalled",ie="downloading",re="validating",ee="local",ae="cancelled",H="unknown";let B=class extends C.Disposable{constructor(l,a,g,E,L,N,V){super();this.environmentService=l,this.galleryService=a,this.logService=g,this.downloadService=E,this.telemetryService=L,this.lastReportTimestamp=0,this.installingExtensions=new Map,this.uninstallingExtensions=new Map,this._onInstallExtension=this._register(new b.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtension=this._register(new b.Emitter),this.onDidInstallExtension=this._onDidInstallExtension.event,this._onDidInstallExtensions=this._register(new b.Emitter),this.onDidInstallExtensions=this._onDidInstallExtensions.event,this._onUninstallExtension=this._register(new b.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new b.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event;const j=this._register(N.createInstance(M.ExtensionsLifecycle));this.extensionsScanner=this._register(N.createInstance(A.ExtensionsScanner,$=>j.postUninstall($))),this.manifestCache=this._register(new P.ExtensionsManifestCache(l,this)),this.extensionsDownloader=this._register(N.createInstance(U.ExtensionsDownloader));const W=this._register(new x.ExtensionsWatcher(this,V,l,g));this._register(W.onDidChangeExtensionsByAnotherSource(({added:$,removed:X})=>{$.forEach(J=>this._onDidInstallExtension.fire({identifier:J.identifier,operation:0,local:J})),X.forEach(J=>this._onDidUninstallExtension.fire({identifier:J}))})),this._register(C.toDisposable(()=>{this.installingExtensions.forEach($=>$.cancel()),this.uninstallingExtensions.forEach($=>$.cancel()),this.installingExtensions.clear(),this.uninstallingExtensions.clear()}))}async zip(l){this.logService.trace("ExtensionManagementService#zip",l.identifier.id);const a=await this.collectFiles(l),g=await T.zip(e.joinPath(this.environmentService.tmpDir,i.generateUuid()).fsPath,a);return c.URI.file(g)}async unzip(l){return this.logService.trace("ExtensionManagementService#unzip",l.toString()),(await this.install(l)).identifier}async getManifest(l){const a=await this.downloadVsix(l),g=F.resolve(a.fsPath);return I.getManifest(g)}async collectFiles(l){const a=async E=>{let L=await D.Promises.readdir(E);L=L.map(j=>F.join(E,j));const N=await Promise.all(L.map(j=>D.Promises.stat(j)));let V=Promise.resolve([]);return N.forEach((j,W)=>{const $=L[W];j.isFile()&&(V=V.then(X=>[...X,$])),j.isDirectory()&&(V=V.then(X=>a($).then(J=>[...X,...J])))}),V};return(await a(l.location.fsPath)).map(E=>({path:`extension/${F.relative(l.location.fsPath,E)}`,localPath:E}))}async install(l,a={}){return this.logService.trace("ExtensionManagementService#install",l.toString()),y.createCancelablePromise(async g=>{const E=await this.downloadVsix(l),L=F.resolve(E.fsPath),N=await I.getManifest(L),V={id:d.getGalleryExtensionId(N.publisher,N.name)};let j=1;if(N.engines&&N.engines.vscode&&!o.isEngineValid(N.engines.vscode,h.default.version,h.default.date))throw new Error(m.localize(0,null,V.id,h.default.version));const W=new d.ExtensionIdentifierWithVersion(V,N.version),X=(await this.getInstalled(1)).find(ne=>d.areSameExtensions(V,ne.identifier));if(X)if(a.isMachineScoped=a.isMachineScoped||X.isMachineScoped,a.isBuiltin=a.isBuiltin||X.isBuiltin,j=2,W.equals(new d.ExtensionIdentifierWithVersion(X.identifier,X.manifest.version)))try{await this.extensionsScanner.removeExtension(X,"existing")}catch(ne){throw new Error(m.localize(1,null,N.displayName||N.name))}else k.gt(X.manifest.version,N.version)&&await this.uninstallExtension(X);else{const ne=await this.unsetUninstalledAndGetLocal(W);if(ne)try{await this.extensionsScanner.removeExtension(ne,"existing")}catch(ue){throw new Error(m.localize(2,null,N.displayName||N.name))}}this.logService.info("Installing the extension:",V.id),this._onInstallExtension.fire({identifier:V,zipPath:L});let J;try{J=await this.getGalleryMetadata(d.getGalleryExtensionId(N.publisher,N.name))}catch(ne){}try{const ne=await this.installFromZipPath(W,L,a.installOnlyNewlyAddedFromExtensionPack?X:void 0,{...J||{},...a},a,j,g);return this.logService.info("Successfully installed the extension:",V.id),ne}catch(ne){throw this.logService.error("Failed to install the extension:",V.id,ne.message),ne}})}async downloadVsix(l){if(l.scheme===f.Schemas.file)return l;if(!this.downloadService)throw new Error("Download service is not available");const a=e.joinPath(this.environmentService.tmpDir,i.generateUuid());return await this.downloadService.download(l,a),a}async installFromZipPath(l,a,g,E,L,N,V){try{const j=await this.installExtension({zipPath:a,identifierWithVersion:l,metadata:E},V);try{L.donotIncludePackAndDependencies||await this.installDependenciesAndPackExtensions(j,g,L)}catch(W){O.isNonEmptyArray(j.manifest.extensionDependencies)&&this.logService.warn("Cannot install dependencies of extension:",j.identifier.id,W.message),O.isNonEmptyArray(j.manifest.extensionPack)&&this.logService.warn("Cannot install packed extensions of extension:",j.identifier.id,W.message)}return this._onDidInstallExtension.fire({identifier:l,zipPath:a,local:j,operation:N}),j}catch(j){throw this._onDidInstallExtension.fire({identifier:l,zipPath:a,operation:N,error:j}),j}}async canInstall(l){return!0}async installFromGallery(l,a={}){if(!this.galleryService.isEnabled())throw new Error(m.localize(3,null));try{l=await this.checkAndGetCompatibleVersion(l)}catch(E){const L=E&&E.code?E.code:H;throw this.logService.error("Failed to install extension:",l.identifier.id,E?E.message:L),this.reportTelemetry(this.getTelemetryEvent(1),d.getGalleryExtensionTelemetryData(l),void 0,E),E instanceof Error&&(E.name=L),E}let g=this.installingExtensions.get(new d.ExtensionIdentifierWithVersion(l.identifier,l.version).key());if(g)return this.logService.info("Extensions is already requested to install",l.identifier.id),(await g.resultPromise).local;{const E=["ms-python.python","ms-python.vscode-pylance"].includes(l.identifier.id.toLowerCase());return g=this.createInstallFromGalleryExtensionTask(l,a,E),(await this.runInstallGalleryExtensionTask(g,a,E)).local}}createInstallFromGalleryExtensionTask(l,a,g){const E=new d.ExtensionIdentifierWithVersion(l.identifier,l.version).key();this._onInstallExtension.fire({identifier:l.identifier,gallery:l}),this.logService.info("Installing extension:",l.identifier.id);let L;const N=new y.Barrier,V={extension:l,get resultPromise(){return N.wait().then(()=>L)},run:async()=>(L||(L=y.createCancelablePromise(async j=>{try{const W=await this.installGalleryExtension(l,a,j);return this.logService.info("Extensions installed successfully:",l.identifier.id),this._onDidInstallExtension.fire({identifier:l.identifier,gallery:W.gallery,local:W.local,operation:W.operation,isBulkInstall:g}),W}catch(W){const $=W&&W.code?W.code:H;throw this.logService.error("Failed to install extension:",l.identifier.id,W?W.message:$),this._onDidInstallExtension.fire({identifier:l.identifier,gallery:l,operation:1,error:$}),W instanceof Error&&(W.name=$),W}})),N.open(),L.finally(()=>this.installingExtensions.delete(E)),L),cancel:()=>{L?L.cancel():this._onDidInstallExtension.fire({identifier:l.identifier,gallery:l,operation:1,error:ae})}};return this.installingExtensions.set(E,V),V}async runInstallGalleryExtensionTask(l,a,g){if(a.donotIncludePackAndDependencies)return this.logService.info("Installing the extension without checking dependencies and pack",l.extension.identifier.id),l.run();const E=new Map,L=[];try{const N=await this.galleryService.getManifest(l.extension,p.CancellationToken.None);if(N===null){const $=new u.ExtensionManagementError(`Missing manifest for extension ${l.extension.identifier.id}`,re);throw this.logService.error("Failed to install extension:",l.extension.identifier.id,$.message),$}E.set(l.extension.identifier.id.toLowerCase(),{task:l,manifest:N});const V=await this.getAllDepsAndPackExtensionsToInstall(l.extension.identifier,N,p.CancellationToken.None);let j=!1;for(const{gallery:$,manifest:X}of V)if(j=j||!!X.extensionDependencies?.some(J=>d.areSameExtensions({id:J},l.extension.identifier)),this.installingExtensions.has(new d.ExtensionIdentifierWithVersion($.identifier,$.version).key()))this.logService.info("Extension is already requested to install",$.identifier.id);else{const J=this.createInstallFromGalleryExtensionTask($,{...a,donotIncludePackAndDependencies:!0},g);E.set($.identifier.id.toLowerCase(),{task:J,manifest:X})}for(;E.size;){const $=[...E.values()].filter(({manifest:J})=>!J.extensionDependencies?.some(ne=>E.has(ne.toLowerCase())));let X;$.length?X=E.size===1?$:$.filter(({task:J})=>!(J===l&&!j)):(this.logService.info("Found extensions with circular dependencies",$.map(({task:J})=>J.extension.identifier.id)),X=[...E.values()]),await Promise.all(X.map(async({task:J})=>{L.push(await J.run()),E.delete(J.extension.identifier.id.toLowerCase())}))}const W=L.find(({local:$})=>d.areSameExtensions($.identifier,l.extension.identifier));if(W)return W;throw new Error("Extension is not installed")}catch(N){throw E.size?E.forEach(({task:V})=>V.cancel()):l.cancel(),N}finally{L.length&&g&&this._onDidInstallExtensions.fire(L.map(({gallery:N,local:V,operation:j})=>({identifier:V.identifier,gallery:N,local:V,operation:j})))}}async installGalleryExtension(l,a,g){const E=new Date().getTime();let L=1;try{const V=(await this.getInstalled()).find($=>d.areSameExtensions($.identifier,l.identifier));V&&(L=2);const j=await this.downloadInstallableExtension(l,L);j.metadata.isMachineScoped=a.isMachineScoped||V?.isMachineScoped,j.metadata.isBuiltin=a.isBuiltin||V?.isBuiltin;const W=await this.installExtension(j,g);V&&k.neq(V.manifest.version,l.version)&&await this.extensionsScanner.setUninstalled(V);try{await this.extensionsDownloader.delete(c.URI.file(j.zipPath))}catch($){}return this.reportTelemetry(this.getTelemetryEvent(L),d.getGalleryExtensionTelemetryData(l),new Date().getTime()-E,void 0),{local:W,operation:L,gallery:l}}catch(N){throw this.reportTelemetry(this.getTelemetryEvent(L),d.getGalleryExtensionTelemetryData(l),new Date().getTime()-E,N),N}}async getAllDepsAndPackExtensionsToInstall(l,a,g){let E=await this.getInstalled();const L=[l,...E.map(j=>j.identifier)],N=[],V=async(j,W)=>{const $=W.extensionDependencies||[];if(W.extensionPack){const X=E.find(J=>d.areSameExtensions(J.identifier,j));for(const J of W.extensionPack)X&&X.manifest.extensionPack&&X.manifest.extensionPack.some(ne=>d.areSameExtensions({id:ne},{id:J}))||$.every(ne=>!d.areSameExtensions({id:ne},{id:J}))&&$.push(J)}if($.length){const X=[...L,...N.map(ne=>ne.gallery.identifier)],J=$.filter(ne=>X.every(ue=>!d.areSameExtensions(ue,{id:ne})));if(J.length){const ne=await this.galleryService.query({names:J,pageSize:$.length},p.CancellationToken.None);for(const ue of ne.firstPage){if(X.find(Fe=>d.areSameExtensions(Fe,ue.identifier)))continue;const me=await this.checkAndGetCompatibleVersion(ue),we=await this.galleryService.getManifest(me,p.CancellationToken.None);if(we===null)throw new u.ExtensionManagementError(`Missing manifest for extension ${me.identifier.id}`,re);N.push({gallery:me,manifest:we}),await V(me.identifier,we)}}}};return await V(l,a),E=await this.getInstalled(),N.filter(j=>!E.some(W=>d.areSameExtensions(W.identifier,j.gallery.identifier)))}async checkAndGetCompatibleVersion(l){if(await this.isMalicious(l))throw new u.ExtensionManagementError(m.localize(4,null),u.INSTALL_ERROR_MALICIOUS);const a=await this.galleryService.getCompatibleExtension(l);if(!a)throw new u.ExtensionManagementError(m.localize(5,null,l.identifier.id,h.default.version),u.INSTALL_ERROR_INCOMPATIBLE);return a}async reinstallFromGallery(l){if(this.logService.trace("ExtensionManagementService#reinstallFromGallery",l.identifier.id),!this.galleryService.isEnabled())throw new Error(m.localize(6,null));const a=await this.findGalleryExtension(l);if(!a)throw new Error(m.localize(7,null));await this.extensionsScanner.setUninstalled(l);try{await this.extensionsScanner.removeUninstalledExtension(l)}catch(g){throw new Error(m.localize(8,null,v.toErrorMessage(g)))}await this.installFromGallery(a)}getTelemetryEvent(l){return l===2?"extensionGallery:update":"extensionGallery:install"}async isMalicious(l){const a=await this.getExtensionsReport();return d.getMaliciousExtensionsSet(a).has(l.identifier.id)}async downloadInstallableExtension(l,a){const g={id:l.identifier.uuid,publisherId:l.publisherId,publisherDisplayName:l.publisherDisplayName};let E;try{this.logService.trace("Started downloading extension:",l.identifier.id),E=(await this.extensionsDownloader.downloadExtension(l,a)).fsPath,this.logService.info("Downloaded extension:",l.identifier.id,E)}catch(L){throw new u.ExtensionManagementError(this.joinErrors(L).message,ie)}try{const L=await I.getManifest(E);return{zipPath:E,identifierWithVersion:new d.ExtensionIdentifierWithVersion(l.identifier,L.version),metadata:g}}catch(L){throw new u.ExtensionManagementError(this.joinErrors(L).message,re)}}async installExtension(l,a){try{const g=await this.unsetUninstalledAndGetLocal(l.identifierWithVersion);if(g)return l.metadata?this.extensionsScanner.saveMetadataForLocalExtension(g,l.metadata):g}catch(g){throw S.isMacintosh?new u.ExtensionManagementError(m.localize(9,null),Q):new u.ExtensionManagementError(m.localize(10,null),Q)}return this.extractAndInstall(l,a)}async unsetUninstalledAndGetLocal(l){if(!await this.isUninstalled(l))return null;this.logService.trace("Removing the extension from uninstalled list:",l.id);const g=await this.extensionsScanner.setInstalled(l);return this.logService.info("Removed the extension from uninstalled list:",l.id),g}async extractAndInstall({zipPath:l,identifierWithVersion:a,metadata:g},E){let L=await this.extensionsScanner.extractUserExtension(a,l,E);return this.logService.info("Installation completed.",a.id),g&&(L=await this.extensionsScanner.saveMetadataForLocalExtension(L,g)),L}async installDependenciesAndPackExtensions(l,a,g){if(!this.galleryService.isEnabled())return;const E=l.manifest.extensionDependencies||[];if(l.manifest.extensionPack)for(const L of l.manifest.extensionPack)a&&a.manifest.extensionPack&&a.manifest.extensionPack.some(N=>d.areSameExtensions({id:N},{id:L}))||E.every(N=>!d.areSameExtensions({id:N},{id:L}))&&E.push(L);if(E.length){const L=await this.getInstalled(),N=E.filter(V=>L.every(({identifier:j})=>!d.areSameExtensions(j,{id:V})));if(N.length){const j=(await this.galleryService.query({names:N,pageSize:E.length},p.CancellationToken.None)).firstPage;try{await y.Promises.settled(j.map(W=>this.installFromGallery(W,g)))}catch(W){try{await this.rollback(j)}catch($){}throw W}}}}async rollback(l){const g=(await this.getInstalled(1)).filter(E=>l.some(L=>new d.ExtensionIdentifierWithVersion(E.identifier,E.manifest.version).equals(new d.ExtensionIdentifierWithVersion(L.identifier,L.version))));await y.Promises.settled(g.map(E=>this.uninstall(E)))}async uninstall(l,a={}){this.logService.trace("ExtensionManagementService#uninstall",l.identifier.id);const g=await this.getInstalled(1),E=g.find(L=>d.areSameExtensions(L.identifier,l.identifier));if(!E)throw new Error(m.localize(11,null,l.manifest.displayName||l.manifest.name));try{await this.checkForDependenciesAndUninstall(E,g,a)}catch(L){throw this.joinErrors(L)}}async updateMetadata(l,a){return this.logService.trace("ExtensionManagementService#updateMetadata",l.identifier.id),l=await this.extensionsScanner.saveMetadataForLocalExtension(l,{...l.manifest.__metadata||{},...a}),this.manifestCache.invalidate(),l}async updateExtensionScope(l,a){return this.logService.trace("ExtensionManagementService#updateExtensionScope",l.identifier.id),l=await this.extensionsScanner.saveMetadataForLocalExtension(l,{...l.manifest.__metadata||{},isMachineScoped:a}),this.manifestCache.invalidate(),l}async getGalleryMetadata(l){const a=await this.findGalleryExtensionByName(l);return a?{id:a.identifier.uuid,publisherDisplayName:a.publisherDisplayName,publisherId:a.publisherId}:void 0}async findGalleryExtension(l){if(l.identifier.uuid){const a=await this.findGalleryExtensionById(l.identifier.uuid);return a||this.findGalleryExtensionByName(l.identifier.id)}return this.findGalleryExtensionByName(l.identifier.id)}async findGalleryExtensionById(l){return(await this.galleryService.query({ids:[l],pageSize:1},p.CancellationToken.None)).firstPage[0]}async findGalleryExtensionByName(l){return(await this.galleryService.query({names:[l],pageSize:1},p.CancellationToken.None)).firstPage[0]}joinErrors(l){const a=Array.isArray(l)?l:[l];return a.length===1?a[0]instanceof Error?a[0]:new Error(a[0]):a.reduce((g,E)=>new Error(`${g.message}${g.message?",":""}${E instanceof Error?E.message:E}`),new Error(""))}async checkForDependenciesAndUninstall(l,a,g){try{await this.preUninstallExtension(l);const E=g.donotIncludePack?[]:this.getAllPackExtensionsToUninstall(l,a);await this.uninstallExtensions(l,E,a,g)}catch(E){throw await this.postUninstallExtension(l,new u.ExtensionManagementError(E instanceof Error?E.message:E,ee)),E}await this.postUninstallExtension(l)}async uninstallExtensions(l,a,g,E){const L=[l,...a];if(!E.donotCheckDependents)for(const N of L)this.checkForDependents(N,L,g,l);await y.Promises.settled([this.uninstallExtension(l),...a.map(N=>this.doUninstall(N))])}checkForDependents(l,a,g,E){const L=this.getDependents(l,g);if(L.length){const N=L.filter(V=>a.indexOf(V)===-1);if(N.length)throw new Error(this.getDependentsErrorMessage(l,N,E))}}getDependentsErrorMessage(l,a,g){return g===l?a.length===1?m.localize(12,null,g.manifest.displayName||g.manifest.name,a[0].manifest.displayName||a[0].manifest.name):a.length===2?m.localize(13,null,g.manifest.displayName||g.manifest.name,a[0].manifest.displayName||a[0].manifest.name,a[1].manifest.displayName||a[1].manifest.name):m.localize(14,null,g.manifest.displayName||g.manifest.name,a[0].manifest.displayName||a[0].manifest.name,a[1].manifest.displayName||a[1].manifest.name):a.length===1?m.localize(15,null,g.manifest.displayName||g.manifest.name,l.manifest.displayName||l.manifest.name,a[0].manifest.displayName||a[0].manifest.name):a.length===2?m.localize(16,null,g.manifest.displayName||g.manifest.name,l.manifest.displayName||l.manifest.name,a[0].manifest.displayName||a[0].manifest.name,a[1].manifest.displayName||a[1].manifest.name):m.localize(17,null,g.manifest.displayName||g.manifest.name,l.manifest.displayName||l.manifest.name,a[0].manifest.displayName||a[0].manifest.name,a[1].manifest.displayName||a[1].manifest.name)}getAllPackExtensionsToUninstall(l,a,g=[]){if(g.indexOf(l)!==-1)return[];g.push(l);const E=l.manifest.extensionPack?l.manifest.extensionPack:[];if(E.length){const L=a.filter(V=>!V.isBuiltin&&E.some(j=>d.areSameExtensions({id:j},V.identifier))),N=[];for(const V of L)N.push(...this.getAllPackExtensionsToUninstall(V,a,g));return[...L,...N]}return[]}getDependents(l,a){return a.filter(g=>g.manifest.extensionDependencies&&g.manifest.extensionDependencies.some(E=>d.areSameExtensions({id:E},l.identifier)))}async doUninstall(l){try{await this.preUninstallExtension(l),await this.uninstallExtension(l)}catch(a){throw await this.postUninstallExtension(l,new u.ExtensionManagementError(a instanceof Error?a.message:a,ee)),a}await this.postUninstallExtension(l)}async preUninstallExtension(l){if(!await D.Promises.exists(l.location.fsPath))throw new Error(m.localize(18,null));this.logService.info("Uninstalling extension:",l.identifier.id),this._onUninstallExtension.fire(l.identifier)}async uninstallExtension(l){let a=this.uninstallingExtensions.get(l.identifier.id);return a||(a=y.createCancelablePromise(async()=>{const g=await this.extensionsScanner.scanUserExtensions(!1);await this.extensionsScanner.setUninstalled(...g.filter(E=>d.areSameExtensions(E.identifier,l.identifier)))}),this.uninstallingExtensions.set(l.identifier.id,a),a.finally(()=>this.uninstallingExtensions.delete(l.identifier.id))),a}async postUninstallExtension(l,a){if(a)this.logService.error("Failed to uninstall extension:",l.identifier.id,a.message);else if(this.logService.info("Successfully uninstalled extension:",l.identifier.id),l.identifier.uuid)try{await this.galleryService.reportStatistic(l.manifest.publisher,l.manifest.name,l.manifest.version,"uninstall")}catch(E){}this.reportTelemetry("extensionGallery:uninstall",d.getLocalExtensionTelemetryData(l),void 0,a);const g=a?a instanceof u.ExtensionManagementError?a.code:H:void 0;this._onDidUninstallExtension.fire({identifier:l.identifier,error:g})}getInstalled(l=null){return this.extensionsScanner.scanExtensions(l)}removeDeprecatedExtensions(){return this.extensionsScanner.cleanUp()}async isUninstalled(l){return(await this.filterUninstalled(l)).length===1}async filterUninstalled(...l){const a=[],g=await this.extensionsScanner.getUninstalledExtensions();for(const E of l)g[E.key()]&&a.push(E.key());return a}getExtensionsReport(){const l=new Date().getTime();return(!this.reportedExtensions||l-this.lastReportTimestamp>1e3*60*5)&&(this.reportedExtensions=this.updateReportCache(),this.lastReportTimestamp=l),this.reportedExtensions}async updateReportCache(){try{this.logService.trace("ExtensionManagementService.refreshReportedCache");const l=await this.galleryService.getExtensionsReport();return this.logService.trace(`ExtensionManagementService.refreshReportedCache - got ${l.length} reported extensions from service`),l}catch(l){return this.logService.trace("ExtensionManagementService.refreshReportedCache - failed to get extension report"),[]}}reportTelemetry(l,a,g,E){const L=E?E instanceof u.ExtensionManagementError?E.code:H:void 0;this.telemetryService.publicLogError(l,{...a,success:!E,duration:g,errorcode:L})}};B=ce([fe(0,w.INativeEnvironmentService),fe(1,u.IExtensionGalleryService),fe(2,R.ILogService),fe(3,s.optional(n.IDownloadService)),fe(4,r.ITelemetryService),fe(5,s.IInstantiationService),fe(6,q.IFileService)],B),t.ExtensionManagementService=B}),define(Z[123],te([0,1,132,112,2,13,12,111,27,15,16,21,98]),function(_,t,m,F,D,C,O,T,u,d,w,y,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.RequestService=void 0;let k=class extends D.Disposable{constructor(h,S,R){super();this.environmentService=S,this.logService=R,this.configure(h.getValue()),this._register(h.onDidChangeConfiguration(()=>this.configure(h.getValue()),this))}configure(h){this.proxyUrl=h.http&&h.http.proxy,this.strictSSL=!!(h.http&&h.http.proxyStrictSSL),this.authorization=h.http&&h.http.proxyAuthorization}async request(h,S){this.logService.trace("RequestService#request",h.url);const{proxyUrl:R,strictSSL:P}=this,v={...process.env,...await b.resolveShellEnv(this.logService,this.environmentService.args,process.env)},r=h.agent?h.agent:await T.getProxyAgent(h.url||"",v,{proxyUrl:R,strictSSL:P});return h.agent=r,h.strictSSL=P,this.authorization&&(h.headers={...h.headers||{},"Proxy-Authorization":this.authorization}),this._request(h,S)}async getNodeRequest(h){return(F.parse(h.url).protocol==="https:"?await new Promise((P,v)=>{_(["https"],P,v)}):await new Promise((P,v)=>{_(["http"],P,v)})).request}_request(h,S){return new Promise(async(R,P)=>{let v;const r=F.parse(h.url),o=h.getRawRequest?h.getRawRequest(h):await this.getNodeRequest(h),e={hostname:r.hostname,port:r.port?parseInt(r.port):r.protocol==="https:"?443:80,protocol:r.protocol,path:r.path,method:h.type||"GET",headers:h.headers,agent:h.agent,rejectUnauthorized:C.isBoolean(h.strictSSL)?h.strictSSL:!0};h.user&&h.password&&(e.auth=h.user+":"+h.password),v=o(e,i=>{const n=C.isNumber(h.followRedirects)?h.followRedirects:3;if(i.statusCode&&i.statusCode>=300&&i.statusCode<400&&n>0&&i.headers.location)this._request({...h,url:i.headers.location,followRedirects:n-1},S).then(R,P);else{let s=i;i.headers["content-encoding"]==="gzip"&&(s=i.pipe(m.createGunzip())),R({res:i,stream:w.streamToBufferReadableStream(s)})}}),v.on("error",P),h.timeout&&v.setTimeout(h.timeout),h.data&&typeof h.data=="string"&&v.write(h.data),v.end(),S.onCancellationRequested(()=>{v.abort(),P(O.canceled())})})}async resolveProxy(h){}};k=ce([fe(0,u.IConfigurationService),fe(1,y.INativeEnvironmentService),fe(2,d.ILogService)],k),t.RequestService=k}),define(Z[133],te([0,1,31,36,134,9,3,4,40,52,50,100,21,88,23,122,116,42,56,117,115,55,123,27,110,118,15,8,105,119,106,17,107,2,41,96,7,104,53,12,28,16,33]),function(_,t,m,F,D,C,O,T,u,d,w,y,b,k,c,h,S,R,P,v,r,o,e,i,n,s,f,p,I,U,A,M,x,q,Q,ie,re,ee,ae,H,B,Y,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.main=void 0;class a extends q.Disposable{constructor(L){super();this.argv=L,D.gracefulify(F),this.registerListeners()}registerListeners(){process.once("exit",()=>this.dispose())}async run(){const[L,N]=await this.initServices();return L.invokeFunction(async V=>{const j=V.get(f.ILogService),W=V.get(M.IFileService),$=V.get(b.INativeEnvironmentService),X=V.get(c.IExtensionManagementCLIService);return j.info("CLI main",this.argv),this.registerErrorHandler(j),await this.doRun($,X,W),T.raceTimeout(P.combinedAppender(...N).flush(),1e3)})}async initServices(){const L=new d.ServiceCollection,N={_serviceBrand:void 0,...u.default};L.set(Q.IProductService,N);const V=new k.NativeEnvironmentService(this.argv,N);L.set(b.INativeEnvironmentService,V),await Promise.all([V.appSettingsHome.fsPath,V.extensionsPath].map(me=>me?C.Promises.mkdir(me,{recursive:!0}):void 0));const j=f.getLogLevel(V),W=[];W.push(new I.SpdLogLogger("cli",O.join(V.logsPath,"cli.log"),!0,j)),j===f.LogLevel.Trace&&W.push(new f.ConsoleLogger(j));const $=this._register(new f.MultiplexLogService(W));L.set(f.ILogService,$);const X=this._register(new A.FileService($));L.set(M.IFileService,X);const J=this._register(new x.DiskFileSystemProvider($));X.registerProvider(p.Schemas.file,J);const ne=this._register(new n.ConfigurationService(V.settingsResource,X));L.set(i.IConfigurationService,ne),await ne.initialize(),L.set(o.IRequestService,new w.SyncDescriptor(e.RequestService)),L.set(c.IExtensionManagementService,new w.SyncDescriptor(h.ExtensionManagementService)),L.set(c.IExtensionGalleryService,new w.SyncDescriptor(S.ExtensionGalleryService)),L.set(c.IExtensionManagementCLIService,new w.SyncDescriptor(ie.ExtensionManagementCLIService)),L.set(ae.ILocalizationsService,new w.SyncDescriptor(ee.LocalizationsService));const ue=[];if(V.isBuilt&&!V.isExtensionDevelopment&&!V.disableTelemetry&&N.enableTelemetry){N.aiConfig&&N.aiConfig.asimovKey&&ue.push(new s.AppInsightsAppender("monacoworkbench",null,N.aiConfig.asimovKey));const{appRoot:me,extensionsPath:we,installSourcePath:Fe}=V,Te={appender:P.combinedAppender(...ue),sendErrorTelemetry:!1,commonProperties:(async()=>{let Se;try{const Ae=await C.Promises.readFile(O.join(V.userDataPath,"storage.json"));Se=JSON.parse(Ae.toString())[R.machineIdKey]}catch(Ae){Ae.code!=="ENOENT"&&$.error(Ae)}return r.resolveCommonProperties(X,m.release(),m.hostname(),process.arch,N.commit,N.version,Se,N.msftInternalDomains,Fe)})(),piiPaths:[me,we]};L.set(R.ITelemetryService,new w.SyncDescriptor(v.TelemetryService,[Te]))}else L.set(R.ITelemetryService,P.NullTelemetryService);return[new y.InstantiationService(L),ue]}registerErrorHandler(L){H.setUnexpectedErrorHandler(N=>{const V=B.toErrorMessage(N,!0);!V||L.error(`[uncaught exception in CLI]: ${V}`)})}async doRun(L,N,V){if(this.argv["install-source"])return this.setInstallSource(L,V,this.argv["install-source"]);if(this.argv["list-extensions"])return N.listExtensions(!!this.argv["show-versions"],this.argv.category);if(this.argv["install-extension"]||this.argv["install-builtin-extension"])return N.installExtensions(this.asExtensionIdOrVSIX(this.argv["install-extension"]||[]),this.argv["install-builtin-extension"]||[],!!this.argv["do-not-sync"],!!this.argv.force);if(this.argv["uninstall-extension"])return N.uninstallExtensions(this.asExtensionIdOrVSIX(this.argv["uninstall-extension"]),!!this.argv.force);if(this.argv["locate-extension"])return N.locateExtension(this.argv["locate-extension"]);this.argv.telemetry&&console.log(await U.buildTelemetryMessage(L.appRoot,L.extensionsPath))}asExtensionIdOrVSIX(L){return L.map(N=>/\.vsix$/i.test(N)?re.URI.file(O.isAbsolute(N)?N:O.join(l.cwd(),N)):N)}async setInstallSource(L,N,V){await N.writeFile(re.URI.file(L.installSourcePath),Y.VSBuffer.fromString(V.slice(0,30)))}}async function g(E){const L=new a(E);try{await L.run()}finally{L.dispose()}}t.main=g})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/c3f126316369cd610563c75b1b1725e0679adfb3/core/vs/code/node/cliProcessMain.js.map
