/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var fe=["require","exports","vs/base/common/uri","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/workbench/api/common/extHost.protocol","vs/base/common/lifecycle","vs/workbench/api/common/extHostTypes","vs/base/common/strings","vs/base/common/path","vs/base/common/network","vs/base/common/platform","vs/platform/log/common/log","vs/workbench/api/common/extHostRpcService","vs/base/common/types","vs/base/common/errors","vs/base/common/async","vs/workbench/api/common/extHostTypeConverters","vs/base/common/arrays","vs/nls","vs/nls!vs/workbench/services/extensions/node/extensionHostProcess","vs/base/common/cancellation","vs/base/common/resources","vs/base/common/buffer","vs/base/common/map","vs/base/common/objects","vs/platform/extensions/common/extensions","vs/workbench/api/common/extHostInitDataService","vs/base/node/pfs","vs/base/common/extpath","vs/base/common/glob","vs/workbench/services/search/common/search","vs/base/common/uuid","vs/workbench/api/common/extHostTerminalService","vs/workbench/services/extensions/common/extensions","vs/workbench/api/common/extHostWorkspace","vs/workbench/api/common/extHostConfiguration","vs/base/common/process","child_process","vs/workbench/api/common/extHostExtensionService","vs/editor/common/core/range","vs/platform/files/common/files","vs/workbench/api/common/extHostDocumentsAndEditors","vs/base/common/stopwatch","fs","vs/editor/common/core/position","vs/platform/registry/common/platform","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostEditorTabs","vs/workbench/api/common/extHostTunnelService","vs/workbench/api/common/extHostCommands","vs/workbench/api/common/extHostDebugService","vs/base/common/assert","vs/base/common/decorators","vs/base/common/iterator","vs/base/common/json","vs/base/common/severity","vs/base/common/marshalling","vs/base/common/errorMessage","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostOutput","vs/workbench/api/common/extHostStoragePaths","vs/workbench/api/common/extHostWebview","vs/workbench/services/search/common/searchExtTypes","vs/workbench/api/common/extHostTask","vs/base/common/performance","vs/workbench/api/common/extHostSearch","vs/base/common/collections","vs/base/common/functional","vs/base/common/idGenerator","vs/base/common/numbers","vs/base/common/hash","vs/base/common/normalization","vs/base/common/labels","vs/editor/common/modes/languageSelector","vs/platform/instantiation/common/extensions","vs/editor/common/modes","vs/platform/contextkey/common/contextkey","vs/platform/instantiation/common/serviceCollection","vs/platform/configuration/common/configurationRegistry","vs/platform/remote/common/remoteHosts","vs/workbench/api/common/cache","vs/workbench/api/common/shared/webview","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/api/common/exHostSecretState","vs/workbench/api/common/extHostFileSystemConsumer","vs/workbench/api/common/extHostStorage","vs/workbench/services/search/node/ripgrepSearchUtils","vs/base/common/linkedList","vs/base/common/codicons","vs/base/common/stream","vs/base/common/uint","vs/base/common/filters","vs/base/common/htmlContent","vs/base/common/comparers","vs/base/common/fuzzyScorer","vs/base/common/mime","vs/base/common/uriIpc","string_decoder","os","vs/base/node/extpath","vs/base/parts/ipc/common/ipc","vs/base/parts/ipc/common/ipc.net","vs/editor/common/core/characterClassifier","vs/editor/common/model","vs/editor/common/model/wordHelper","vs/editor/common/services/semanticTokensDto","vs/editor/common/viewModel/prefixSumComputer","vs/base/node/processes","vs/editor/common/config/editorOptions","vs/platform/instantiation/common/descriptors","vs/platform/log/node/spdlogLog","vs/platform/markers/common/markers","vs/platform/progress/common/progress","vs/platform/configuration/common/configuration","vs/platform/remote/common/remoteAuthorityResolver","vs/workbench/api/common/extHostTelemetry","vs/workbench/api/common/extHostTestingPrivateApi","vs/workbench/api/common/extHostDocumentData","vs/workbench/contrib/debug/common/abstractDebugAdapter","net","vs/workbench/contrib/testing/common/testCollection","vs/workbench/services/editor/common/editorService","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostTextEditor","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/api/common/extHostDecorations","vs/workbench/api/common/extHostWindow","vs/workbench/services/search/common/textSearchManager","vs/workbench/services/search/node/textSearchManager","vs/workbench/services/search/node/ripgrepTextSearchEngine","vs/base/parts/ipc/node/ipc.net","vs/base/common/jsonFormatter","vs/base/common/jsonEdit","vs/base/common/lazy","vs/base/common/processes","vs/base/common/iconLabels","vs/base/node/decoder","vs/editor/common/controller/wordCharacterClassifier","vs/editor/common/core/selection","vs/editor/common/model/textModelSearch","vs/editor/common/modes/languageConfiguration","vs/editor/common/modes/linkComputer","vs/editor/common/modes/tokenizationRegistry","vs/editor/common/model/mirrorTextModel","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/node/processes","vs/nls!vs/editor/common/config/editorOptions","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/externalTerminal/node/externalTerminalService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/workspaces/common/workspaces","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostProgress","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/api/node/extHostDebugService","vs/nls!vs/workbench/common/editor","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/debug/node/debugAdapter","vs/nls!vs/workbench/contrib/search/common/queryBuilder","vs/nls!vs/workbench/contrib/tasks/common/taskService","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/platform/editor/common/editor","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/graph","vs/editor/common/services/modelService","vs/editor/common/modes/languageFeatureRegistry","vs/platform/environment/common/environment","vs/platform/extensionManagement/common/extensionManagement","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/externalTerminal/common/externalTerminal","vs/platform/externalTerminal/node/externalTerminalService","vs/platform/instantiation/common/instantiationService","vs/platform/notification/common/notification","vs/platform/opener/common/opener","vs/platform/product/common/product","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/remote/common/tunnel","vs/platform/sign/node/signService","vs/platform/terminal/common/terminalDataBuffering","vs/platform/workspaces/common/workspaces","vs/workbench/api/common/extHostInteractive","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostNotebookDocuments","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostNotebookConcatDocument","vs/workbench/api/common/extHostTheming","vs/workbench/api/common/extHostWebviewMessaging","vs/workbench/api/common/extHostCodeInsets","vs/workbench/contrib/debug/common/debugUtils","vs/workbench/contrib/debug/node/debugAdapter","vs/workbench/contrib/debug/node/terminals","vs/workbench/contrib/tasks/common/taskService","vs/workbench/contrib/terminal/common/environmentVariableShared","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostProgress","vs/workbench/api/common/extHostTreeViews","vs/workbench/common/editor","vs/workbench/common/editor/editorInput","vs/workbench/contrib/testing/common/ownedTestCollection","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/services/environment/common/environmentService","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/api/node/extHostLogService","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostDocuments","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLanguageFeatures","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostNotebook","vs/workbench/api/common/extHostNotebookEditors","vs/workbench/api/common/extHostNotebookKernels","vs/workbench/api/common/extHostNotebookRenderers","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostTesting","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/api/node/extHostDownloadService","vs/workbench/api/node/extHostOutputService","vs/workbench/api/node/extHostStoragePaths","vs/workbench/api/node/extHostTerminalService","vs/workbench/api/node/extHostTunnelService","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/path/common/pathService","vs/workbench/contrib/search/common/queryBuilder","vs/workbench/api/common/shared/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/api/node/extHostDebugService","vs/workbench/api/node/extHostTask","vs/workbench/services/extensions/common/extensionHostMain","vs/workbench/services/search/common/fileSearchManager","vs/workbench/api/common/extHost.api.impl","vs/workbench/api/common/extHost.common.services","vs/workbench/services/textfile/common/encoding","vs/workbench/services/extensions/node/proxyResolver","http","vs/workbench/services/search/node/ripgrepFileSearch","vscode-ripgrep","vs/workbench/services/search/node/fileSearch","vs/workbench/services/search/node/ripgrepSearchProvider","vs/workbench/services/search/node/textSearchAdapter","vs/workbench/services/search/node/rawSearchService","vs/workbench/api/node/extHostSearch","vs/workbench/api/node/extHostCLIServer","vs/workbench/api/node/extHostExtensionService","vs/workbench/api/node/extHost.node.services","vs/workbench/services/extensions/node/extensionHostProcessSetup","util","vs/base/common/marked/marked","path","https","tls","vscode-proxy-agent","events","vscode-regexpp","graceful-fs","crypto","zlib","minimist","vs/workbench/services/extensions/node/extensionHostProcess"],me=function(X){for(var e=[],g=0,R=X.length;g<R;g++)e[g]=fe[X[g]];return e};define(fe[52],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function g(R,k){if(!R)throw new Error(k?`Assertion failed (${k})`:"Assertion Failed")}e.ok=g}),define(fe[69],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.fromMap=e.groupBy=e.forEach=e.values=void 0;const g=Object.prototype.hasOwnProperty;function R(n){const P=[];for(let d in n)g.call(n,d)&&P.push(n[d]);return P}e.values=R;function k(n,P){for(let d in n)if(g.call(n,d)&&P({key:d,value:n[d]},function(){delete n[d]})===!1)return}e.forEach=k;function y(n,P){const d=Object.create(null);for(const m of n){const l=P(m);let u=d[l];u||(u=d[l]=[]),u.push(m)}return d}e.groupBy=y;function A(n){const P=Object.create(null);return n&&n.forEach((d,m)=>{P[m]=d}),P}e.fromMap=A;function I(n,P){const d=[],m=[];for(let l of n)P.has(l)||d.push(l);for(let l of P)n.has(l)||m.push(l);return{removed:d,added:m}}e.diffSets=I;function E(n,P){const d=[],m=[];for(let[l,u]of n)P.has(l)||d.push(u);for(let[l,u]of P)n.has(l)||m.push(u);return{removed:d,added:m}}e.diffMaps=E;class C{constructor(){this.map=new Map}add(P,d){let m=this.map.get(P);m||(m=new Set,this.map.set(P,m)),m.add(d)}delete(P,d){const m=this.map.get(P);!m||(m.delete(d),m.size===0&&this.map.delete(P))}forEach(P,d){const m=this.map.get(P);!m||m.forEach(d)}}e.SetMap=C}),define(fe[53],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function g(A){return(I,E,C)=>{let n=null,P=null;if(typeof C.value=="function"?(n="value",P=C.value):typeof C.get=="function"&&(n="get",P=C.get),!P)throw new Error("not supported");C[n]=A(P,E)}}e.createDecorator=g;function R(A,I,E){let C=null,n=null;if(typeof E.value=="function"?(C="value",n=E.value,n.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof E.get=="function"&&(C="get",n=E.get),!n)throw new Error("not supported");const P=`$memoize$${I}`;E[C]=function(...d){return this.hasOwnProperty(P)||Object.defineProperty(this,P,{configurable:!1,enumerable:!1,writable:!1,value:n.apply(this,d)}),this[P]}}e.memoize=R;function k(A,I,E){return g((C,n)=>{const P=`$debounce$${n}`,d=`$debounce$result$${n}`;return function(...m){this[d]||(this[d]=E?E():void 0),clearTimeout(this[P]),I&&(this[d]=I(this[d],...m),m=[this[d]]),this[P]=setTimeout(()=>{C.apply(this,m),this[d]=E?E():void 0},A)}})}e.debounce=k;function y(A,I,E){return g((C,n)=>{const P=`$throttle$timer$${n}`,d=`$throttle$result$${n}`,m=`$throttle$lastRun$${n}`,l=`$throttle$pending$${n}`;return function(...u){if(this[d]||(this[d]=E?E():void 0),(this[m]===null||this[m]===void 0)&&(this[m]=-Number.MAX_VALUE),I&&(this[d]=I(this[d],...u)),this[l])return;const S=this[m]+A;S<=Date.now()?(this[m]=Date.now(),C.apply(this,[this[d]]),this[d]=E?E():void 0):(this[l]=!0,this[P]=setTimeout(()=>{this[l]=!1,this[m]=Date.now(),C.apply(this,[this[d]]),this[d]=E?E():void 0},S-Date.now()))}})}e.throttle=y}),define(fe[15],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class g{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(t){setTimeout(()=>{throw t.stack?new Error(t.message+`

`+t.stack):t},0)}}addListener(t){return this.listeners.push(t),()=>{this._removeListener(t)}}emit(t){this.listeners.forEach(r=>{r(t)})}_removeListener(t){this.listeners.splice(this.listeners.indexOf(t),1)}setUnexpectedErrorHandler(t){this.unexpectedErrorHandler=t}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(t){this.unexpectedErrorHandler(t),this.emit(t)}onUnexpectedExternalError(t){this.unexpectedErrorHandler(t)}}e.ErrorHandler=g,e.errorHandler=new g;function R(f){e.errorHandler.setUnexpectedErrorHandler(f)}e.setUnexpectedErrorHandler=R;function k(f){E(f)||e.errorHandler.onUnexpectedError(f)}e.onUnexpectedError=k;function y(f){E(f)||e.errorHandler.onUnexpectedExternalError(f)}e.onUnexpectedExternalError=y;function A(f){if(f instanceof Error){let{name:t,message:r}=f;const s=f.stacktrace||f.stack;return{$isError:!0,name:t,message:r,stack:s}}return f}e.transformErrorForSerialization=A;const I="Canceled";function E(f){return f instanceof Error&&f.name===I&&f.message===I}e.isPromiseCanceledError=E;class C extends Error{constructor(){super(I);this.name=this.message}}e.CancellationError=C;function n(){const f=new Error(I);return f.name=f.message,f}e.canceled=n;function P(f){return f?new Error(`Illegal argument: ${f}`):new Error("Illegal argument")}e.illegalArgument=P;function d(f){return f?new Error(`Illegal state: ${f}`):new Error("Illegal state")}e.illegalState=d;function m(f){return f?new Error(`readonly property '${f} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=m;function l(f){const t=new Error(`${f} has been disposed`);return t.name="DISPOSED",t}e.disposed=l;function u(f){return f?f.message?f.message:f.stack?f.stack.split(`
`)[0]:String(f):"Error"}e.getErrorMessage=u;class S extends Error{constructor(t){super("NotImplemented");t&&(this.message=t)}}e.NotImplementedError=S;class w extends Error{constructor(t){super("NotSupported");t&&(this.message=t)}}e.NotSupportedError=w;class b extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=b;function h(f){const t=f;return t instanceof Error&&Array.isArray(t.actions)}e.isErrorWithActions=h;function c(f,t=Object.create(null)){const r=new Error(f);return t.actions&&(r.actions=t.actions),r}e.createErrorWithActions=c}),define(fe[18],me([0,1,15]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ArrayQueue=e.maxIndex=e.minIndex=e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.uniqueFilter=e.distinctES6=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function R(M,O=0){return M[M.length-(1+O)]}e.tail=R;function k(M){if(M.length===0)throw new Error("Invalid tail call");return[M.slice(0,M.length-1),M[M.length-1]]}e.tail2=k;function y(M,O,x=($,J)=>$===J){if(M===O)return!0;if(!M||!O||M.length!==O.length)return!1;for(let $=0,J=M.length;$<J;$++)if(!x(M[$],O[$]))return!1;return!0}e.equals=y;function A(M,O,x){let $=0,J=M.length-1;for(;$<=J;){const de=($+J)/2|0,Ee=x(M[de],O);if(Ee<0)$=de+1;else if(Ee>0)J=de-1;else return de}return-($+1)}e.binarySearch=A;function I(M,O){let x=0,$=M.length;if($===0)return 0;for(;x<$;){const J=Math.floor((x+$)/2);O(M[J])?$=J:x=J+1}return x}e.findFirstInSorted=I;function E(M,O,x){if(M=M|0,M>=O.length)throw new TypeError("invalid index");let $=O[Math.floor(O.length*Math.random())],J=[],de=[],Ee=[];for(let Fe of O){const Re=x(Fe,$);Re<0?J.push(Fe):Re>0?de.push(Fe):Ee.push(Fe)}return M<J.length?E(M,J,x):M<J.length+Ee.length?Ee[0]:E(M-(J.length+Ee.length),de,x)}e.quickSelect=E;function C(M,O){const x=[];let $;for(const J of M.slice(0).sort(O))!$||O($[0],J)!==0?($=[J],x.push($)):$.push(J);return x}e.groupBy=C;function n(M,O,x){const $=[];function J(Fe,Re,Ne){if(Re===0&&Ne.length===0)return;const qe=$[$.length-1];qe&&qe.start+qe.deleteCount===Fe?(qe.deleteCount+=Re,qe.toInsert.push(...Ne)):$.push({start:Fe,deleteCount:Re,toInsert:Ne})}let de=0,Ee=0;for(;;){if(de===M.length){J(de,0,O.slice(Ee));break}if(Ee===O.length){J(de,M.length-de,[]);break}const Fe=M[de],Re=O[Ee],Ne=x(Fe,Re);Ne===0?(de+=1,Ee+=1):Ne<0?(J(de,1,[]),de+=1):Ne>0&&(J(de,0,[Re]),Ee+=1)}return $}e.sortedDiff=n;function P(M,O,x){const $=n(M,O,x),J=[],de=[];for(const Ee of $)J.push(...M.slice(Ee.start,Ee.start+Ee.deleteCount)),de.push(...Ee.toInsert);return{removed:J,added:de}}e.delta=P;function d(M,O,x){if(x===0)return[];const $=M.slice(0,x).sort(O);return l(M,O,$,x,M.length),$}e.top=d;function m(M,O,x,$,J){return x===0?Promise.resolve([]):new Promise((de,Ee)=>{(async()=>{const Fe=M.length,Re=M.slice(0,x).sort(O);for(let Ne=x,qe=Math.min(x+$,Fe);Ne<Fe;Ne=qe,qe=Math.min(qe+$,Fe)){if(Ne>x&&await new Promise(Ve=>setTimeout(Ve)),J&&J.isCancellationRequested)throw g.canceled();l(M,O,Re,Ne,qe)}return Re})().then(de,Ee)})}e.topAsync=m;function l(M,O,x,$,J){for(const de=x.length;$<J;$++){const Ee=M[$];if(O(Ee,x[de-1])<0){x.pop();const Fe=I(x,Re=>O(Ee,Re)<0);x.splice(Fe,0,Ee)}}}function u(M){return M.filter(O=>!!O)}e.coalesce=u;function S(M){let O=0;for(let x=0;x<M.length;x++)M[x]&&(M[O]=M[x],O+=1);M.length=O}e.coalesceInPlace=S;function w(M,O,x){M.splice(x,0,M.splice(O,1)[0])}e.move=w;function b(M){return!Array.isArray(M)||M.length===0}e.isFalsyOrEmpty=b;function h(M){return Array.isArray(M)&&M.length>0}e.isNonEmptyArray=h;function c(M,O){if(!O)return M.filter(($,J)=>M.indexOf($)===J);const x=Object.create(null);return M.filter($=>{const J=O($);return x[J]?!1:(x[J]=!0,!0)})}e.distinct=c;function f(M){const O=new Set;return M.filter(x=>O.has(x)?!1:(O.add(x),!0))}e.distinctES6=f;function t(M){const O=Object.create(null);return x=>{const $=M(x);return O[$]?!1:(O[$]=!0,!0)}}e.uniqueFilter=t;function r(M,O){for(let x=M.length-1;x>=0;x--){const $=M[x];if(O($))return x}return-1}e.lastIndex=r;function s(M,O){return M.length>0?M[0]:O}e.firstOrDefault=s;function i(M,O,x=($,J)=>$===J){let $=0;for(let J=0,de=Math.min(M.length,O.length);J<de&&x(M[J],O[J]);J++)$++;return $}e.commonPrefixLength=i;function a(M){return[].concat(...M)}e.flatten=a;function v(M,O){let x=typeof O=="number"?M:0;typeof O=="number"?x=M:(x=0,O=M);const $=[];if(x<=O)for(let J=x;J<O;J++)$.push(J);else for(let J=x;J>O;J--)$.push(J);return $}e.range=v;function p(M,O,x){return M.reduce(($,J)=>($[O(J)]=x?x(J):J,$),Object.create(null))}e.index=p;function _(M,O){return M.push(O),()=>D(M,O)}e.insert=_;function D(M,O){const x=M.indexOf(O);if(x>-1)return M.splice(x,1),O}e.remove=D;function o(M,O,x){const $=M.slice(0,O),J=M.slice(O);return $.concat(x,J)}e.arrayInsert=o;function T(M,O){let x;if(typeof O=="number"){let $=O;x=()=>{const J=Math.sin($++)*179426549;return J-Math.floor(J)}}else x=Math.random;for(let $=M.length-1;$>0;$-=1){const J=Math.floor(x()*($+1)),de=M[$];M[$]=M[J],M[J]=de}}e.shuffle=T;function L(M,O){const x=M.indexOf(O);x>-1&&(M.splice(x,1),M.unshift(O))}e.pushToStart=L;function H(M,O){const x=M.indexOf(O);x>-1&&(M.splice(x,1),M.push(O))}e.pushToEnd=H;function B(M,O){return Array.isArray(M)?M.map(O):O(M)}e.mapArrayOrNot=B;function Q(M){return Array.isArray(M)?M:[M]}e.asArray=Q;function z(M){return M[Math.floor(Math.random()*M.length)]}e.getRandomElement=z;function N(M,O){for(const x of M){const $=O(x);if($!==void 0)return $}}e.mapFind=N;function W(M,O){let x=Number.MAX_SAFE_INTEGER,$=0;return M.forEach((J,de)=>{const Ee=O(J);Ee<x&&(x=Ee,$=de)}),$}e.minIndex=W;function F(M,O){let x=Number.MIN_SAFE_INTEGER,$=0;return M.forEach((J,de)=>{const Ee=O(J);Ee>x&&(x=Ee,$=de)}),$}e.maxIndex=F;class q{constructor(O){this.items=O,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(O){let x=this.firstIdx;for(;x<this.items.length&&O(this.items[x]);)x++;const $=x===this.firstIdx?null:this.items.slice(this.firstIdx,x);return this.firstIdx=x,$}takeFromEndWhile(O){let x=this.lastIdx;for(;x>=0&&O(this.items[x]);)x--;const $=x===this.lastIdx?null:this.items.slice(x+1,this.lastIdx+1);return this.lastIdx=x,$}}e.ArrayQueue=q}),define(fe[70],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function g(R){const k=this;let y=!1,A;return function(){return y||(y=!0,A=R.apply(k,arguments)),A}}e.once=g}),define(fe[71],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.defaultGenerator=e.IdGenerator=void 0;class g{constructor(k){this._prefix=k,this._lastId=0}nextId(){return this._prefix+ ++this._lastId}}e.IdGenerator=g,e.defaultGenerator=new g("id#")}),define(fe[54],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var g;(function(R){function k(f){return f&&typeof f=="object"&&typeof f[Symbol.iterator]=="function"}R.is=k;const y=Object.freeze([]);function A(){return y}R.empty=A;function*I(f){yield f}R.single=I;function E(f){return f||y}R.from=E;function C(f){return!f||f[Symbol.iterator]().next().done===!0}R.isEmpty=C;function n(f){return f[Symbol.iterator]().next().value}R.first=n;function P(f,t){for(const r of f)if(t(r))return!0;return!1}R.some=P;function d(f,t){for(const r of f)if(t(r))return r}R.find=d;function*m(f,t){for(const r of f)t(r)&&(yield r)}R.filter=m;function*l(f,t){let r=0;for(const s of f)yield t(s,r++)}R.map=l;function*u(...f){for(const t of f)for(const r of t)yield r}R.concat=u;function*S(f){for(const t of f)for(const r of t)yield r}R.concatNested=S;function w(f,t,r){let s=r;for(const i of f)s=t(s,i);return s}R.reduce=w;function*b(f,t,r=f.length){for(t<0&&(t+=f.length),r<0?r+=f.length:r>f.length&&(r=f.length);t<r;t++)yield f[t]}R.slice=b;function h(f,t=Number.POSITIVE_INFINITY){const r=[];if(t===0)return[r,f];const s=f[Symbol.iterator]();for(let i=0;i<t;i++){const a=s.next();if(a.done)return[r,R.empty()];r.push(a.value)}return[r,{[Symbol.iterator](){return s}}]}R.consume=h;function c(f,t,r=(s,i)=>s===i){const s=f[Symbol.iterator](),i=t[Symbol.iterator]();for(;;){const a=s.next(),v=i.next();if(a.done!==v.done)return!1;if(a.done)return!0;if(!r(a.value,v.value))return!1}}R.equals=c})(g=e.Iterable||(e.Iterable={}))}),define(fe[55],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var g;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(g=e.ScanError||(e.ScanError={}));var R;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(R=e.SyntaxKind||(e.SyntaxKind={}));var k;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(k=e.ParseErrorCode||(e.ParseErrorCode={}));var y;(function(t){t.DEFAULT={allowTrailingComma:!0}})(y=e.ParseOptions||(e.ParseOptions={}));function A(t,r=!1){let s=0,i=t.length,a="",v=0,p=16,_=0;function D(z){let N=0,W=0;for(;N<z;){const F=t.charCodeAt(s);if(F>=48&&F<=57)W=W*16+F-48;else if(F>=65&&F<=70)W=W*16+F-65+10;else if(F>=97&&F<=102)W=W*16+F-97+10;else break;s++,N++}return N<z&&(W=-1),W}function o(z){s=z,a="",v=0,p=16,_=0}function T(){const z=s;if(t.charCodeAt(s)===48)s++;else for(s++;s<t.length&&C(t.charCodeAt(s));)s++;if(s<t.length&&t.charCodeAt(s)===46)if(s++,s<t.length&&C(t.charCodeAt(s)))for(s++;s<t.length&&C(t.charCodeAt(s));)s++;else return _=3,t.substring(z,s);let N=s;if(s<t.length&&(t.charCodeAt(s)===69||t.charCodeAt(s)===101))if(s++,(s<t.length&&t.charCodeAt(s)===43||t.charCodeAt(s)===45)&&s++,s<t.length&&C(t.charCodeAt(s))){for(s++;s<t.length&&C(t.charCodeAt(s));)s++;N=s}else _=3;return t.substring(z,N)}function L(){let z="",N=s;for(;;){if(s>=i){z+=t.substring(N,s),_=2;break}const W=t.charCodeAt(s);if(W===34){z+=t.substring(N,s),s++;break}if(W===92){if(z+=t.substring(N,s),s++,s>=i){_=2;break}switch(t.charCodeAt(s++)){case 34:z+='"';break;case 92:z+="\\";break;case 47:z+="/";break;case 98:z+="\b";break;case 102:z+="\f";break;case 110:z+=`
`;break;case 114:z+="\r";break;case 116:z+="	";break;case 117:const q=D(4);q>=0?z+=String.fromCharCode(q):_=4;break;default:_=5}N=s;continue}if(W>=0&&W<=31)if(E(W)){z+=t.substring(N,s),_=2;break}else _=6;s++}return z}function H(){if(a="",_=0,v=s,s>=i)return v=i,p=17;let z=t.charCodeAt(s);if(I(z)){do s++,a+=String.fromCharCode(z),z=t.charCodeAt(s);while(I(z));return p=15}if(E(z))return s++,a+=String.fromCharCode(z),z===13&&t.charCodeAt(s)===10&&(s++,a+=`
`),p=14;switch(z){case 123:return s++,p=1;case 125:return s++,p=2;case 91:return s++,p=3;case 93:return s++,p=4;case 58:return s++,p=6;case 44:return s++,p=5;case 34:return s++,a=L(),p=10;case 47:const N=s-1;if(t.charCodeAt(s+1)===47){for(s+=2;s<i&&!E(t.charCodeAt(s));)s++;return a=t.substring(N,s),p=12}if(t.charCodeAt(s+1)===42){s+=2;const W=i-1;let F=!1;for(;s<W;){if(t.charCodeAt(s)===42&&t.charCodeAt(s+1)===47){s+=2,F=!0;break}s++}return F||(s++,_=1),a=t.substring(N,s),p=13}return a+=String.fromCharCode(z),s++,p=16;case 45:if(a+=String.fromCharCode(z),s++,s===i||!C(t.charCodeAt(s)))return p=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return a+=T(),p=11;default:for(;s<i&&B(z);)s++,z=t.charCodeAt(s);if(v!==s){switch(a=t.substring(v,s),a){case"true":return p=8;case"false":return p=9;case"null":return p=7}return p=16}return a+=String.fromCharCode(z),s++,p=16}}function B(z){if(I(z)||E(z))return!1;switch(z){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function Q(){let z;do z=H();while(z>=12&&z<=15);return z}return{setPosition:o,getPosition:()=>s,scan:r?Q:H,getToken:()=>p,getTokenValue:()=>a,getTokenOffset:()=>v,getTokenLength:()=>s-v,getTokenError:()=>_}}e.createScanner=A;function I(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function E(t){return t===10||t===13||t===8232||t===8233}function C(t){return t>=48&&t<=57}var n;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(n||(n={}));function P(t,r){const s=[],i=new Object;let a;const v={value:{},offset:0,length:0,type:"object",parent:void 0};let p=!1;function _(D,o,T,L){v.value=D,v.offset=o,v.length=T,v.type=L,v.colonOffset=void 0,a=v}try{h(t,{onObjectBegin:(D,o)=>{if(r<=D)throw i;a=void 0,p=r>D,s.push("")},onObjectProperty:(D,o,T)=>{if(r<o||(_(D,o,T,"property"),s[s.length-1]=D,r<=o+T))throw i},onObjectEnd:(D,o)=>{if(r<=D)throw i;a=void 0,s.pop()},onArrayBegin:(D,o)=>{if(r<=D)throw i;a=void 0,s.push(0)},onArrayEnd:(D,o)=>{if(r<=D)throw i;a=void 0,s.pop()},onLiteralValue:(D,o,T)=>{if(r<o||(_(D,o,T,f(D)),r<=o+T))throw i},onSeparator:(D,o,T)=>{if(r<=o)throw i;if(D===":"&&a&&a.type==="property")a.colonOffset=o,p=!1,a=void 0;else if(D===","){const L=s[s.length-1];typeof L=="number"?s[s.length-1]=L+1:(p=!0,s[s.length-1]=""),a=void 0}}})}catch(D){if(D!==i)throw D}return{path:s,previousNode:a,isAtPropertyKey:p,matches:D=>{let o=0;for(let T=0;o<D.length&&T<s.length;T++)if(D[o]===s[T]||D[o]==="*")o++;else if(D[o]!=="**")return!1;return o===D.length}}}e.getLocation=P;function d(t,r=[],s=y.DEFAULT){let i=null,a=[];const v=[];function p(D){Array.isArray(a)?a.push(D):i!==null&&(a[i]=D)}return h(t,{onObjectBegin:()=>{const D={};p(D),v.push(a),a=D,i=null},onObjectProperty:D=>{i=D},onObjectEnd:()=>{a=v.pop()},onArrayBegin:()=>{const D=[];p(D),v.push(a),a=D,i=null},onArrayEnd:()=>{a=v.pop()},onLiteralValue:p,onError:(D,o,T)=>{r.push({error:D,offset:o,length:T})}},s),a[0]}e.parse=d;function m(t,r=[],s=y.DEFAULT){let i={type:"array",offset:-1,length:-1,children:[],parent:void 0};function a(D){i.type==="property"&&(i.length=D-i.offset,i=i.parent)}function v(D){return i.children.push(D),D}h(t,{onObjectBegin:D=>{i=v({type:"object",offset:D,length:-1,parent:i,children:[]})},onObjectProperty:(D,o,T)=>{i=v({type:"property",offset:o,length:-1,parent:i,children:[]}),i.children.push({type:"string",value:D,offset:o,length:T,parent:i})},onObjectEnd:(D,o)=>{i.length=D+o-i.offset,i=i.parent,a(D+o)},onArrayBegin:(D,o)=>{i=v({type:"array",offset:D,length:-1,parent:i,children:[]})},onArrayEnd:(D,o)=>{i.length=D+o-i.offset,i=i.parent,a(D+o)},onLiteralValue:(D,o,T)=>{v({type:f(D),offset:o,length:T,parent:i,value:D}),a(o+T)},onSeparator:(D,o,T)=>{i.type==="property"&&(D===":"?i.colonOffset=o:D===","&&a(o))},onError:(D,o,T)=>{r.push({error:D,offset:o,length:T})}},s);const _=i.children[0];return _&&delete _.parent,_}e.parseTree=m;function l(t,r){if(!t)return;let s=t;for(let i of r)if(typeof i=="string"){if(s.type!=="object"||!Array.isArray(s.children))return;let a=!1;for(const v of s.children)if(Array.isArray(v.children)&&v.children[0].value===i){s=v.children[1],a=!0;break}if(!a)return}else{const a=i;if(s.type!=="array"||a<0||!Array.isArray(s.children)||a>=s.children.length)return;s=s.children[a]}return s}e.findNodeAtLocation=l;function u(t){if(!t.parent||!t.parent.children)return[];const r=u(t.parent);if(t.parent.type==="property"){const s=t.parent.children[0].value;r.push(s)}else if(t.parent.type==="array"){const s=t.parent.children.indexOf(t);s!==-1&&r.push(s)}return r}e.getNodePath=u;function S(t){switch(t.type){case"array":return t.children.map(S);case"object":const r=Object.create(null);for(let s of t.children){const i=s.children[1];i&&(r[s.children[0].value]=S(i))}return r;case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.getNodeValue=S;function w(t,r,s=!1){return r>=t.offset&&r<t.offset+t.length||s&&r===t.offset+t.length}e.contains=w;function b(t,r,s=!1){if(w(t,r,s)){const i=t.children;if(Array.isArray(i))for(let a=0;a<i.length&&i[a].offset<=r;a++){const v=b(i[a],r,s);if(v)return v}return t}}e.findNodeAtOffset=b;function h(t,r,s=y.DEFAULT){const i=A(t,!1);function a(de){return de?()=>de(i.getTokenOffset(),i.getTokenLength()):()=>!0}function v(de){return de?Ee=>de(Ee,i.getTokenOffset(),i.getTokenLength()):()=>!0}const p=a(r.onObjectBegin),_=v(r.onObjectProperty),D=a(r.onObjectEnd),o=a(r.onArrayBegin),T=a(r.onArrayEnd),L=v(r.onLiteralValue),H=v(r.onSeparator),B=a(r.onComment),Q=v(r.onError),z=s&&s.disallowComments,N=s&&s.allowTrailingComma;function W(){for(;;){const de=i.scan();switch(i.getTokenError()){case 4:F(14);break;case 5:F(15);break;case 3:F(13);break;case 1:z||F(11);break;case 2:F(12);break;case 6:F(16);break}switch(de){case 12:case 13:z?F(10):B();break;case 16:F(1);break;case 15:case 14:break;default:return de}}}function F(de,Ee=[],Fe=[]){if(Q(de),Ee.length+Fe.length>0){let Re=i.getToken();for(;Re!==17;){if(Ee.indexOf(Re)!==-1){W();break}else if(Fe.indexOf(Re)!==-1)break;Re=W()}}}function q(de){const Ee=i.getTokenValue();return de?L(Ee):_(Ee),W(),!0}function M(){switch(i.getToken()){case 11:let de=0;try{de=JSON.parse(i.getTokenValue()),typeof de!="number"&&(F(2),de=0)}catch(Ee){F(2)}L(de);break;case 7:L(null);break;case 8:L(!0);break;case 9:L(!1);break;default:return!1}return W(),!0}function O(){return i.getToken()!==10?(F(3,[],[2,5]),!1):(q(!1),i.getToken()===6?(H(":"),W(),J()||F(4,[],[2,5])):F(5,[],[2,5]),!0)}function x(){p(),W();let de=!1;for(;i.getToken()!==2&&i.getToken()!==17;){if(i.getToken()===5){if(de||F(4,[],[]),H(","),W(),i.getToken()===2&&N)break}else de&&F(6,[],[]);O()||F(4,[],[2,5]),de=!0}return D(),i.getToken()!==2?F(7,[2],[]):W(),!0}function $(){o(),W();let de=!1;for(;i.getToken()!==4&&i.getToken()!==17;){if(i.getToken()===5){if(de||F(4,[],[]),H(","),W(),i.getToken()===4&&N)break}else de&&F(6,[],[]);J()||F(4,[],[4,5]),de=!0}return T(),i.getToken()!==4?F(8,[4],[]):W(),!0}function J(){switch(i.getToken()){case 3:return $();case 1:return x();case 10:return q(!0);default:return M()}}return W(),i.getToken()===17?s.allowEmptyContent?!0:(F(4,[],[]),!1):J()?(i.getToken()!==17&&F(9,[],[]),!0):(F(4,[],[]),!1)}e.visit=h;function c(t,r){let s=A(t),i=[],a,v=0,p;do switch(p=s.getPosition(),a=s.scan(),a){case 12:case 13:case 17:v!==p&&i.push(t.substring(v,p)),r!==void 0&&i.push(s.getTokenValue().replace(/[^\r\n]/g,r)),v=s.getPosition();break}while(a!==17);return i.join("")}e.stripComments=c;function f(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=f}),define(fe[134],me([0,1,55]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.format=void 0;function R(E,C,n){let P,d,m,l,u;if(C){for(l=C.offset,u=l+C.length,m=l;m>0&&!I(E,m-1);)m--;let v=u;for(;v<E.length&&!I(E,v);)v++;d=E.substring(m,v),P=y(d,n)}else d=E,P=0,m=0,l=0,u=E.length;const S=A(n,E);let w=!1,b=0,h;n.insertSpaces?h=k(" ",n.tabSize||4):h="	";const c=g.createScanner(d,!1);let f=!1;function t(){return S+k(h,P+b)}function r(){let v=c.scan();for(w=!1;v===15||v===14;)w=w||v===14,v=c.scan();return f=v===16||c.getTokenError()!==0,v}const s=[];function i(v,p,_){!f&&p<u&&_>l&&E.substring(p,_)!==v&&s.push({offset:p,length:_-p,content:v})}let a=r();if(a!==17){const v=c.getTokenOffset()+m,p=k(h,P);i(p,m,v)}for(;a!==17;){let v=c.getTokenOffset()+c.getTokenLength()+m,p=r(),_="";for(;!w&&(p===12||p===13);){const o=c.getTokenOffset()+m;i(" ",v,o),v=c.getTokenOffset()+c.getTokenLength()+m,_=p===12?t():"",p=r()}if(p===2)a!==1&&(b--,_=t());else if(p===4)a!==3&&(b--,_=t());else{switch(a){case 3:case 1:b++,_=t();break;case 5:case 12:_=t();break;case 13:w?_=t():_=" ";break;case 6:_=" ";break;case 10:if(p===6){_="";break}case 7:case 8:case 9:case 11:case 2:case 4:p===12||p===13?_=" ":p!==5&&p!==17&&(f=!0);break;case 16:f=!0;break}w&&(p===12||p===13)&&(_=t())}const D=c.getTokenOffset()+m;i(_,v,D),a=p}return s}e.format=R;function k(E,C){let n="";for(let P=0;P<C;P++)n+=E;return n}function y(E,C){let n=0,P=0;const d=C.tabSize||4;for(;n<E.length;){const m=E.charAt(n);if(m===" ")P++;else if(m==="	")P+=d;else break;n++}return Math.floor(P/d)}function A(E,C){for(let n=0;n<C.length;n++){const P=C.charAt(n);if(P==="\r")return n+1<C.length&&C.charAt(n+1)===`
`?`\r
`:"\r";if(P===`
`)return`
`}return E&&E.eol||`
`}e.getEOL=A;function I(E,C){return`\r
`.indexOf(E.charAt(C))!==-1}e.isEOL=I}),define(fe[135],me([0,1,55,134]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function k(C,n,P){return y(C,n,void 0,P)}e.removeProperty=k;function y(C,n,P,d,m){const l=n.slice(),u=[],S=g.parseTree(C,u);let w,b;for(;l.length>0&&(b=l.pop(),w=g.findNodeAtLocation(S,l),w===void 0&&P!==void 0);)typeof b=="string"?P={[b]:P}:P=[P];if(w)if(w.type==="object"&&typeof b=="string"&&Array.isArray(w.children)){const h=g.findNodeAtLocation(w,[b]);if(h!==void 0)if(P===void 0){if(!h.parent)throw new Error("Malformed AST");const c=w.children.indexOf(h.parent);let f,t=h.parent.offset+h.parent.length;if(c>0){const r=w.children[c-1];f=r.offset+r.length}else f=w.offset+1,w.children.length>1&&(t=w.children[1].offset);return A(C,{offset:f,length:t-f,content:""},d)}else return A(C,{offset:h.offset,length:h.length,content:JSON.stringify(P)},d);else{if(P===void 0)return[];const c=`${JSON.stringify(b)}: ${JSON.stringify(P)}`,f=m?m(w.children.map(r=>r.children[0].value)):w.children.length;let t;if(f>0){const r=w.children[f-1];t={offset:r.offset+r.length,length:0,content:","+c}}else w.children.length===0?t={offset:w.offset+1,length:0,content:c}:t={offset:w.offset+1,length:0,content:c+","};return A(C,t,d)}}else if(w.type==="array"&&typeof b=="number"&&Array.isArray(w.children))if(P!==void 0){const h=`${JSON.stringify(P)}`;let c;if(w.children.length===0||b===0)c={offset:w.offset+1,length:0,content:w.children.length===0?h:h+","};else{const f=b===-1||b>w.children.length?w.children.length:b,t=w.children[f-1];c={offset:t.offset+t.length,length:0,content:","+h}}return A(C,c,d)}else{const h=b,c=w.children[h];let f;if(w.children.length===1)f={offset:w.offset+1,length:w.length-2,content:""};else if(w.children.length-1===h){const t=w.children[h-1],r=t.offset+t.length,s=w.offset+w.length;f={offset:r,length:s-2-r,content:""}}else f={offset:c.offset,length:w.children[h+1].offset-c.offset,content:""};return A(C,f,d)}else throw new Error(`Can not add ${typeof b!="number"?"index":"property"} to parent of type ${w.type}`);else{if(P===void 0)throw new Error("Can not delete in empty document");return A(C,{offset:S?S.offset:0,length:S?S.length:0,content:JSON.stringify(P)},d)}}e.setProperty=y;function A(C,n,P){let d=I(C,n),m=n.offset,l=n.offset+n.content.length;if(n.length===0||n.content.length===0){for(;m>0&&!R.isEOL(d,m-1);)m--;for(;l<d.length&&!R.isEOL(d,l);)l++}const u=R.format(d,{offset:m,length:l-m},P);for(let w=u.length-1;w>=0;w--){const b=u[w];d=I(d,b),m=Math.min(m,b.offset),l=Math.max(l,b.offset+b.length),l+=b.content.length-b.length}const S=C.length-(d.length-l)-m;return[{offset:m,length:S,content:d.substring(m,l)}]}e.withFormatting=A;function I(C,n){return C.substring(0,n.offset)+n.content+C.substring(n.offset+n.length)}e.applyEdit=I;function E(C,n){let P=n.slice(0).sort((m,l)=>{const u=m.offset-l.offset;return u===0?m.length-l.length:u}),d=C.length;for(let m=P.length-1;m>=0;m--){let l=P[m];if(l.offset+l.length<=d)C=I(C,l);else throw new Error("Overlapping edit");d=l.offset}return C}e.applyEdits=E}),define(fe[136],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class g{constructor(k){this.executor=k,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(k){this._error=k}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(k){return new g(()=>k(this.getValue()))}}e.Lazy=g}),define(fe[6],me([0,1,70,54]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ImmortalReference=e.AsyncReferenceCollection=e.ReferenceCollection=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.trackDisposable=e.setDisposableTracker=void 0;const k=!1;let y=null;function A(c){y=c}if(e.setDisposableTracker=A,k){const c="__is_disposable_tracked__";y=new class{trackDisposable(f){const t=new Error("Potentially leaked disposable").stack;setTimeout(()=>{f[c]||console.log(t)},3e3)}markTracked(f){if(f&&f!==u.None)try{f[c]=!0}catch{}}}}function I(c){!y||y.markTracked(c)}function E(c){return y&&y.trackDisposable(c),c}e.trackDisposable=E;class C extends Error{constructor(f){super(`Encountered errors while disposing of store. Errors: [${f.join(", ")}]`);this.errors=f}}e.MultiDisposeError=C;function n(c){return typeof c.dispose=="function"&&c.dispose.length===0}e.isDisposable=n;function P(c){if(R.Iterable.is(c)){let f=[];for(const t of c)if(t){I(t);try{t.dispose()}catch(r){f.push(r)}}if(f.length===1)throw f[0];if(f.length>1)throw new C(f);return Array.isArray(c)?[]:c}else if(c)return I(c),c.dispose(),c}e.dispose=P;function d(...c){return c.forEach(I),m(()=>P(c))}e.combinedDisposable=d;function m(c){const f=E({dispose:()=>{I(f),c()}});return f}e.toDisposable=m;class l{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(I(this),this._isDisposed=!0,this.clear())}clear(){try{P(this._toDispose.values())}finally{this._toDispose.clear()}}add(f){if(!f)return f;if(f===this)throw new Error("Cannot register a disposable on itself!");return I(f),this._isDisposed?l.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(f),f}}e.DisposableStore=l,l.DISABLE_DISPOSED_WARNING=!1;class u{constructor(){this._store=new l,E(this)}dispose(){I(this),this._store.dispose()}_register(f){if(f===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(f)}}e.Disposable=u,u.None=Object.freeze({dispose(){}});class S{constructor(){this._isDisposed=!1,E(this)}get value(){return this._isDisposed?void 0:this._value}set value(f){this._isDisposed||f===this._value||(this._value?.dispose(),f&&I(f),this._value=f)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,I(this),this._value?.dispose(),this._value=void 0}}e.MutableDisposable=S;class w{constructor(){this.references=new Map}acquire(f,...t){let r=this.references.get(f);r||(r={counter:0,object:this.createReferencedObject(f,...t)},this.references.set(f,r));const{object:s}=r,i=g.once(()=>{--r.counter==0&&(this.destroyReferencedObject(f,r.object),this.references.delete(f))});return r.counter++,{object:s,dispose:i}}}e.ReferenceCollection=w;class b{constructor(f){this.referenceCollection=f}async acquire(f,...t){const r=this.referenceCollection.acquire(f,...t);try{return{object:await r.object,dispose:()=>r.dispose()}}catch(s){throw r.dispose(),s}}}e.AsyncReferenceCollection=b;class h{constructor(f){this.object=f}dispose(){}}e.ImmortalReference=h}),define(fe[90],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class g{constructor(y){this.element=y,this.next=g.Undefined,this.prev=g.Undefined}}g.Undefined=new g(void 0);class R{constructor(){this._first=g.Undefined,this._last=g.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===g.Undefined}clear(){let y=this._first;for(;y!==g.Undefined;){const A=y.next;y.prev=g.Undefined,y.next=g.Undefined,y=A}this._first=g.Undefined,this._last=g.Undefined,this._size=0}unshift(y){return this._insert(y,!1)}push(y){return this._insert(y,!0)}_insert(y,A){const I=new g(y);if(this._first===g.Undefined)this._first=I,this._last=I;else if(A){const C=this._last;this._last=I,I.prev=C,C.next=I}else{const C=this._first;this._first=I,I.next=C,C.prev=I}this._size+=1;let E=!1;return()=>{E||(E=!0,this._remove(I))}}shift(){if(this._first!==g.Undefined){const y=this._first.element;return this._remove(this._first),y}}pop(){if(this._last!==g.Undefined){const y=this._last.element;return this._remove(this._last),y}}_remove(y){if(y.prev!==g.Undefined&&y.next!==g.Undefined){const A=y.prev;A.next=y.next,y.next.prev=A}else y.prev===g.Undefined&&y.next===g.Undefined?(this._first=g.Undefined,this._last=g.Undefined):y.next===g.Undefined?(this._last=this._last.prev,this._last.next=g.Undefined):y.prev===g.Undefined&&(this._first=this._first.next,this._first.prev=g.Undefined);this._size-=1}*[Symbol.iterator](){let y=this._first;for(;y!==g.Undefined;)yield y.element,y=y.next}}e.LinkedList=R}),function(X,e){typeof exports=="object"&&typeof module!="undefined"?module.exports=e():typeof define=="function"&&define.amd?define("vs/base/common/marked/marked",e):(X=typeof globalThis!="undefined"?globalThis:X||self,X.marked=e())}(this,function(){"use strict";function X(ke,Ce){for(var Pe=0;Pe<Ce.length;Pe++){var oe=Ce[Pe];oe.enumerable=oe.enumerable||!1,oe.configurable=!0,"value"in oe&&(oe.writable=!0),Object.defineProperty(ke,oe.key,oe)}}function e(ke,Ce,Pe){return Ce&&X(ke.prototype,Ce),Pe&&X(ke,Pe),ke}function g(ke,Ce){if(!!ke){if(typeof ke=="string")return R(ke,Ce);var Pe=Object.prototype.toString.call(ke).slice(8,-1);if(Pe==="Object"&&ke.constructor&&(Pe=ke.constructor.name),Pe==="Map"||Pe==="Set")return Array.from(ke);if(Pe==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(Pe))return R(ke,Ce)}}function R(ke,Ce){(Ce==null||Ce>ke.length)&&(Ce=ke.length);for(var Pe=0,oe=new Array(Ce);Pe<Ce;Pe++)oe[Pe]=ke[Pe];return oe}function k(ke,Ce){var Pe;if(typeof Symbol=="undefined"||ke[Symbol.iterator]==null){if(Array.isArray(ke)||(Pe=g(ke))||Ce&&ke&&typeof ke.length=="number"){Pe&&(ke=Pe);var oe=0;return function(){return oe>=ke.length?{done:!0}:{done:!1,value:ke[oe++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}return Pe=ke[Symbol.iterator](),Pe.next.bind(Pe)}function y(ke){var Ce={exports:{}};return ke(Ce,Ce.exports),Ce.exports}var A=y(function(ke){function Ce(){return{baseUrl:null,breaks:!1,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}function Pe(oe){ke.exports.defaults=oe}ke.exports={defaults:Ce(),getDefaults:Ce,changeDefaults:Pe}}),I=/[&<>"']/,E=/[&<>"']/g,C=/[<>"']|&(?!#?\w+;)/,n=/[<>"']|&(?!#?\w+;)/g,P={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},d=function(Ce){return P[Ce]};function m(ke,Ce){if(Ce){if(I.test(ke))return ke.replace(E,d)}else if(C.test(ke))return ke.replace(n,d);return ke}var l=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function u(ke){return ke.replace(l,function(Ce,Pe){return Pe=Pe.toLowerCase(),Pe==="colon"?":":Pe.charAt(0)==="#"?Pe.charAt(1)==="x"?String.fromCharCode(parseInt(Pe.substring(2),16)):String.fromCharCode(+Pe.substring(1)):""})}var S=/(^|[^\[])\^/g;function w(ke,Ce){ke=ke.source||ke,Ce=Ce||"";var Pe={replace:function(ce,ge){return ge=ge.source||ge,ge=ge.replace(S,"$1"),ke=ke.replace(ce,ge),Pe},getRegex:function(){return new RegExp(ke,Ce)}};return Pe}var b=/[^\w:]/g,h=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function c(ke,Ce,Pe){if(ke){var oe;try{oe=decodeURIComponent(u(Pe)).replace(b,"").toLowerCase()}catch(ce){return null}if(oe.indexOf("javascript:")===0||oe.indexOf("vbscript:")===0||oe.indexOf("data:")===0)return null}Ce&&!h.test(Pe)&&(Pe=i(Ce,Pe));try{Pe=encodeURI(Pe).replace(/%25/g,"%")}catch(ce){return null}return Pe}var f={},t=/^[^:]+:\/*[^/]*$/,r=/^([^:]+:)[\s\S]*$/,s=/^([^:]+:\/*[^/]*)[\s\S]*$/;function i(ke,Ce){f[" "+ke]||(t.test(ke)?f[" "+ke]=ke+"/":f[" "+ke]=_(ke,"/",!0)),ke=f[" "+ke];var Pe=ke.indexOf(":")===-1;return Ce.substring(0,2)==="//"?Pe?Ce:ke.replace(r,"$1")+Ce:Ce.charAt(0)==="/"?Pe?Ce:ke.replace(s,"$1")+Ce:ke+Ce}var a={exec:function(){}};function v(ke){for(var Ce=1,Pe,oe;Ce<arguments.length;Ce++){Pe=arguments[Ce];for(oe in Pe)Object.prototype.hasOwnProperty.call(Pe,oe)&&(ke[oe]=Pe[oe])}return ke}function p(ke,Ce){var Pe=ke.replace(/\|/g,function(ge,we,G){for(var pe=!1,Se=we;--Se>=0&&G[Se]==="\\";)pe=!pe;return pe?"|":" |"}),oe=Pe.split(/ \|/),ce=0;if(oe.length>Ce)oe.splice(Ce);else for(;oe.length<Ce;)oe.push("");for(;ce<oe.length;ce++)oe[ce]=oe[ce].trim().replace(/\\\|/g,"|");return oe}function _(ke,Ce,Pe){var oe=ke.length;if(oe===0)return"";for(var ce=0;ce<oe;){var ge=ke.charAt(oe-ce-1);if(ge===Ce&&!Pe)ce++;else if(ge!==Ce&&Pe)ce++;else break}return ke.substr(0,oe-ce)}function D(ke,Ce){if(ke.indexOf(Ce[1])===-1)return-1;for(var Pe=ke.length,oe=0,ce=0;ce<Pe;ce++)if(ke[ce]==="\\")ce++;else if(ke[ce]===Ce[0])oe++;else if(ke[ce]===Ce[1]&&(oe--,oe<0))return ce;return-1}function o(ke){ke&&ke.sanitize&&!ke.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function T(ke,Ce){if(Ce<1)return"";for(var Pe="";Ce>1;)Ce&1&&(Pe+=ke),Ce>>=1,ke+=ke;return Pe+ke}var L={escape:m,unescape:u,edit:w,cleanUrl:c,resolveUrl:i,noopTest:a,merge:v,splitCells:p,rtrim:_,findClosingBracket:D,checkSanitizeDeprecation:o,repeatString:T},H=A.defaults,B=L.rtrim,Q=L.splitCells,z=L.escape,N=L.findClosingBracket;function W(ke,Ce,Pe){var oe=Ce.href,ce=Ce.title?z(Ce.title):null,ge=ke[1].replace(/\\([\[\]])/g,"$1");return ke[0].charAt(0)!=="!"?{type:"link",raw:Pe,href:oe,title:ce,text:ge}:{type:"image",raw:Pe,href:oe,title:ce,text:z(ge)}}function F(ke,Ce){var Pe=ke.match(/^(\s+)(?:```)/);if(Pe===null)return Ce;var oe=Pe[1];return Ce.split(`
`).map(function(ce){var ge=ce.match(/^\s+/);if(ge===null)return ce;var we=ge[0];return we.length>=oe.length?ce.slice(oe.length):ce}).join(`
`)}var q=function(){function ke(Pe){this.options=Pe||H}var Ce=ke.prototype;return Ce.space=function(oe){var ce=this.rules.block.newline.exec(oe);if(ce)return ce[0].length>1?{type:"space",raw:ce[0]}:{raw:`
`}},Ce.code=function(oe){var ce=this.rules.block.code.exec(oe);if(ce){var ge=ce[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:ce[0],codeBlockStyle:"indented",text:this.options.pedantic?ge:B(ge,`
`)}}},Ce.fences=function(oe){var ce=this.rules.block.fences.exec(oe);if(ce){var ge=ce[0],we=F(ge,ce[3]||"");return{type:"code",raw:ge,lang:ce[2]?ce[2].trim():ce[2],text:we}}},Ce.heading=function(oe){var ce=this.rules.block.heading.exec(oe);if(ce){var ge=ce[2].trim();if(/#$/.test(ge)){var we=B(ge,"#");(this.options.pedantic||!we||/ $/.test(we))&&(ge=we.trim())}return{type:"heading",raw:ce[0],depth:ce[1].length,text:ge}}},Ce.nptable=function(oe){var ce=this.rules.block.nptable.exec(oe);if(ce){var ge={type:"table",header:Q(ce[1].replace(/^ *| *\| *$/g,"")),align:ce[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:ce[3]?ce[3].replace(/\n$/,"").split(`
`):[],raw:ce[0]};if(ge.header.length===ge.align.length){var we=ge.align.length,G;for(G=0;G<we;G++)/^ *-+: *$/.test(ge.align[G])?ge.align[G]="right":/^ *:-+: *$/.test(ge.align[G])?ge.align[G]="center":/^ *:-+ *$/.test(ge.align[G])?ge.align[G]="left":ge.align[G]=null;for(we=ge.cells.length,G=0;G<we;G++)ge.cells[G]=Q(ge.cells[G],ge.header.length);return ge}}},Ce.hr=function(oe){var ce=this.rules.block.hr.exec(oe);if(ce)return{type:"hr",raw:ce[0]}},Ce.blockquote=function(oe){var ce=this.rules.block.blockquote.exec(oe);if(ce){var ge=ce[0].replace(/^ *> ?/gm,"");return{type:"blockquote",raw:ce[0],text:ge}}},Ce.list=function(oe){var ce=this.rules.block.list.exec(oe);if(ce){var ge=ce[0],we=ce[2],G=we.length>1,pe={type:"list",raw:ge,ordered:G,start:G?+we.slice(0,-1):"",loose:!1,items:[]},Se=ce[0].match(this.rules.block.item),Ae=!1,Me,je,tt,Xe,Ye,lt,ut,_e,ye=Se.length;tt=this.rules.block.listItemStart.exec(Se[0]);for(var le=0;le<ye;le++){if(Me=Se[le],ge=Me,le!==ye-1){if(Xe=this.rules.block.listItemStart.exec(Se[le+1]),this.options.pedantic?Xe[1].length>tt[1].length:Xe[1].length>tt[0].length||Xe[1].length>3){Se.splice(le,2,Se[le]+`
`+Se[le+1]),le--,ye--;continue}else(!this.options.pedantic||this.options.smartLists?Xe[2][Xe[2].length-1]!==we[we.length-1]:G===(Xe[2].length===1))&&(Ye=Se.slice(le+1).join(`
`),pe.raw=pe.raw.substring(0,pe.raw.length-Ye.length),le=ye-1);tt=Xe}je=Me.length,Me=Me.replace(/^ *([*+-]|\d+[.)]) ?/,""),~Me.indexOf(`
 `)&&(je-=Me.length,Me=this.options.pedantic?Me.replace(/^ {1,4}/gm,""):Me.replace(new RegExp("^ {1,"+je+"}","gm"),"")),lt=Ae||/\n\n(?!\s*$)/.test(Me),le!==ye-1&&(Ae=Me.charAt(Me.length-1)===`
`,lt||(lt=Ae)),lt&&(pe.loose=!0),this.options.gfm&&(ut=/^\[[ xX]\] /.test(Me),_e=void 0,ut&&(_e=Me[1]!==" ",Me=Me.replace(/^\[[ xX]\] +/,""))),pe.items.push({type:"list_item",raw:ge,task:ut,checked:_e,loose:lt,text:Me})}return pe}},Ce.html=function(oe){var ce=this.rules.block.html.exec(oe);if(ce)return{type:this.options.sanitize?"paragraph":"html",raw:ce[0],pre:!this.options.sanitizer&&(ce[1]==="pre"||ce[1]==="script"||ce[1]==="style"),text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(ce[0]):z(ce[0]):ce[0]}},Ce.def=function(oe){var ce=this.rules.block.def.exec(oe);if(ce){ce[3]&&(ce[3]=ce[3].substring(1,ce[3].length-1));var ge=ce[1].toLowerCase().replace(/\s+/g," ");return{tag:ge,raw:ce[0],href:ce[2],title:ce[3]}}},Ce.table=function(oe){var ce=this.rules.block.table.exec(oe);if(ce){var ge={type:"table",header:Q(ce[1].replace(/^ *| *\| *$/g,"")),align:ce[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:ce[3]?ce[3].replace(/\n$/,"").split(`
`):[]};if(ge.header.length===ge.align.length){ge.raw=ce[0];var we=ge.align.length,G;for(G=0;G<we;G++)/^ *-+: *$/.test(ge.align[G])?ge.align[G]="right":/^ *:-+: *$/.test(ge.align[G])?ge.align[G]="center":/^ *:-+ *$/.test(ge.align[G])?ge.align[G]="left":ge.align[G]=null;for(we=ge.cells.length,G=0;G<we;G++)ge.cells[G]=Q(ge.cells[G].replace(/^ *\| *| *\| *$/g,""),ge.header.length);return ge}}},Ce.lheading=function(oe){var ce=this.rules.block.lheading.exec(oe);if(ce)return{type:"heading",raw:ce[0],depth:ce[2].charAt(0)==="="?1:2,text:ce[1]}},Ce.paragraph=function(oe){var ce=this.rules.block.paragraph.exec(oe);if(ce)return{type:"paragraph",raw:ce[0],text:ce[1].charAt(ce[1].length-1)===`
`?ce[1].slice(0,-1):ce[1]}},Ce.text=function(oe){var ce=this.rules.block.text.exec(oe);if(ce)return{type:"text",raw:ce[0],text:ce[0]}},Ce.escape=function(oe){var ce=this.rules.inline.escape.exec(oe);if(ce)return{type:"escape",raw:ce[0],text:z(ce[1])}},Ce.tag=function(oe,ce,ge){var we=this.rules.inline.tag.exec(oe);if(we)return!ce&&/^<a /i.test(we[0])?ce=!0:ce&&/^<\/a>/i.test(we[0])&&(ce=!1),!ge&&/^<(pre|code|kbd|script)(\s|>)/i.test(we[0])?ge=!0:ge&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(we[0])&&(ge=!1),{type:this.options.sanitize?"text":"html",raw:we[0],inLink:ce,inRawBlock:ge,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(we[0]):z(we[0]):we[0]}},Ce.link=function(oe){var ce=this.rules.inline.link.exec(oe);if(ce){var ge=ce[2].trim();if(!this.options.pedantic&&/^</.test(ge)){if(!/>$/.test(ge))return;var we=B(ge.slice(0,-1),"\\");if((ge.length-we.length)%2==0)return}else{var G=N(ce[2],"()");if(G>-1){var pe=ce[0].indexOf("!")===0?5:4,Se=pe+ce[1].length+G;ce[2]=ce[2].substring(0,G),ce[0]=ce[0].substring(0,Se).trim(),ce[3]=""}}var Ae=ce[2],Me="";if(this.options.pedantic){var je=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(Ae);je&&(Ae=je[1],Me=je[3])}else Me=ce[3]?ce[3].slice(1,-1):"";return Ae=Ae.trim(),/^</.test(Ae)&&(this.options.pedantic&&!/>$/.test(ge)?Ae=Ae.slice(1):Ae=Ae.slice(1,-1)),W(ce,{href:Ae&&Ae.replace(this.rules.inline._escapes,"$1"),title:Me&&Me.replace(this.rules.inline._escapes,"$1")},ce[0])}},Ce.reflink=function(oe,ce){var ge;if((ge=this.rules.inline.reflink.exec(oe))||(ge=this.rules.inline.nolink.exec(oe))){var we=(ge[2]||ge[1]).replace(/\s+/g," ");if(we=ce[we.toLowerCase()],!we||!we.href){var G=ge[0].charAt(0);return{type:"text",raw:G,text:G}}return W(ge,we,ge[0])}},Ce.emStrong=function(oe,ce,ge){ge===void 0&&(ge="");var we=this.rules.inline.emStrong.lDelim.exec(oe);if(!!we&&!(we[3]&&ge.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u08A0-\u08B4\u08B6-\u08C7\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\u9FFC\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7BF\uA7C2-\uA7CA\uA7F5-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEC0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82C[\uDC00-\uDD1E\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDD\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var G=we[1]||we[2]||"";if(!G||G&&(ge===""||this.rules.inline.punctuation.exec(ge))){var pe=we[0].length-1,Se,Ae,Me=pe,je=0,tt=we[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(tt.lastIndex=0,ce=ce.slice(-1*oe.length+pe);(we=tt.exec(ce))!=null;)if(Se=we[1]||we[2]||we[3]||we[4]||we[5]||we[6],!!Se){if(Ae=Se.length,we[3]||we[4]){Me+=Ae;continue}else if((we[5]||we[6])&&pe%3&&!((pe+Ae)%3)){je+=Ae;continue}if(Me-=Ae,!(Me>0)){if(Me+je-Ae<=0&&!ce.slice(tt.lastIndex).match(tt)&&(Ae=Math.min(Ae,Ae+Me+je)),Math.min(pe,Ae)%2)return{type:"em",raw:oe.slice(0,pe+we.index+Ae+1),text:oe.slice(1,pe+we.index+Ae)};if(Math.min(pe,Ae)%2==0)return{type:"strong",raw:oe.slice(0,pe+we.index+Ae+1),text:oe.slice(2,pe+we.index+Ae-1)}}}}}},Ce.codespan=function(oe){var ce=this.rules.inline.code.exec(oe);if(ce){var ge=ce[2].replace(/\n/g," "),we=/[^ ]/.test(ge),G=/^ /.test(ge)&&/ $/.test(ge);return we&&G&&(ge=ge.substring(1,ge.length-1)),ge=z(ge,!0),{type:"codespan",raw:ce[0],text:ge}}},Ce.br=function(oe){var ce=this.rules.inline.br.exec(oe);if(ce)return{type:"br",raw:ce[0]}},Ce.del=function(oe){var ce=this.rules.inline.del.exec(oe);if(ce)return{type:"del",raw:ce[0],text:ce[2]}},Ce.autolink=function(oe,ce){var ge=this.rules.inline.autolink.exec(oe);if(ge){var we,G;return ge[2]==="@"?(we=z(this.options.mangle?ce(ge[1]):ge[1]),G="mailto:"+we):(we=z(ge[1]),G=we),{type:"link",raw:ge[0],text:we,href:G,tokens:[{type:"text",raw:we,text:we}]}}},Ce.url=function(oe,ce){var ge;if(ge=this.rules.inline.url.exec(oe)){var we,G;if(ge[2]==="@")we=z(this.options.mangle?ce(ge[0]):ge[0]),G="mailto:"+we;else{var pe;do pe=ge[0],ge[0]=this.rules.inline._backpedal.exec(ge[0])[0];while(pe!==ge[0]);we=z(ge[0]),ge[1]==="www."?G="http://"+we:G=we}return{type:"link",raw:ge[0],text:we,href:G,tokens:[{type:"text",raw:we,text:we}]}}},Ce.inlineText=function(oe,ce,ge){var we=this.rules.inline.text.exec(oe);if(we){var G;return ce?G=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(we[0]):z(we[0]):we[0]:G=z(this.options.smartypants?ge(we[0]):we[0]),{type:"text",raw:we[0],text:G}}},ke}(),M=L.noopTest,O=L.edit,x=L.merge,$={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?:\n+|$)|$)/,hr:/^ {0,3}((?:- *){3,}|(?:_ *){3,}|(?:\* *){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3})(bull) [\s\S]+?(?:hr|def|\n{2,}(?! )(?! {0,3}bull )\n*|\s*$)/,html:"^ {0,3}(?:<(script|pre|style)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:\\n{2,}|$)|<(?!script|pre|style)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$)|</(?!script|pre|style)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$))",def:/^ {0,3}\[(label)\]: *\n? *<?([^\s>]+)>?(?:(?: +\n? *| *\n *)(title))? *(?:\n+|$)/,nptable:M,table:M,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html| +\n)[^\n]+)*)/,text:/^[^\n]+/};$._label=/(?!\s*\])(?:\\[\[\]]|[^\[\]])+/,$._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,$.def=O($.def).replace("label",$._label).replace("title",$._title).getRegex(),$.bullet=/(?:[*+-]|\d{1,9}[.)])/,$.item=/^( *)(bull) ?[^\n]*(?:\n(?! *bull ?)[^\n]*)*/,$.item=O($.item,"gm").replace(/bull/g,$.bullet).getRegex(),$.listItemStart=O(/^( *)(bull)/).replace("bull",$.bullet).getRegex(),$.list=O($.list).replace(/bull/g,$.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+$.def.source+")").getRegex(),$._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",$._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,$.html=O($.html,"i").replace("comment",$._comment).replace("tag",$._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),$.paragraph=O($._paragraph).replace("hr",$.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",$._tag).getRegex(),$.blockquote=O($.blockquote).replace("paragraph",$.paragraph).getRegex(),$.normal=x({},$),$.gfm=x({},$.normal,{nptable:"^ *([^|\\n ].*\\|.*)\\n {0,3}([-:]+ *\\|[-| :]*)(?:\\n((?:(?!\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)",table:"^ *\\|(.+)\\n {0,3}\\|?( *[-:]+[-| :]*)(?:\\n *((?:(?!\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),$.gfm.nptable=O($.gfm.nptable).replace("hr",$.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",$._tag).getRegex(),$.gfm.table=O($.gfm.table).replace("hr",$.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",$._tag).getRegex(),$.pedantic=x({},$.normal,{html:O(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",$._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:M,paragraph:O($.normal._paragraph).replace("hr",$.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",$.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var J={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:M,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(?!\s*\])((?:\\[\[\]]?|[^\[\]\\])+)\]/,nolink:/^!?\[(?!\s*\])((?:\[[^\[\]]*\]|\\[\[\]]|[^\[\]])*)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/\_\_[^_]*?\*[^_]*?\_\_|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/\*\*[^*]*?\_[^*]*?\*\*|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:M,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};J._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",J.punctuation=O(J.punctuation).replace(/punctuation/g,J._punctuation).getRegex(),J.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,J.escapedEmSt=/\\\*|\\_/g,J._comment=O($._comment).replace("(?:-->|$)","-->").getRegex(),J.emStrong.lDelim=O(J.emStrong.lDelim).replace(/punct/g,J._punctuation).getRegex(),J.emStrong.rDelimAst=O(J.emStrong.rDelimAst,"g").replace(/punct/g,J._punctuation).getRegex(),J.emStrong.rDelimUnd=O(J.emStrong.rDelimUnd,"g").replace(/punct/g,J._punctuation).getRegex(),J._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,J._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,J._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,J.autolink=O(J.autolink).replace("scheme",J._scheme).replace("email",J._email).getRegex(),J._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,J.tag=O(J.tag).replace("comment",J._comment).replace("attribute",J._attribute).getRegex(),J._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,J._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,J._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,J.link=O(J.link).replace("label",J._label).replace("href",J._href).replace("title",J._title).getRegex(),J.reflink=O(J.reflink).replace("label",J._label).getRegex(),J.reflinkSearch=O(J.reflinkSearch,"g").replace("reflink",J.reflink).replace("nolink",J.nolink).getRegex(),J.normal=x({},J),J.pedantic=x({},J.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:O(/^!?\[(label)\]\((.*?)\)/).replace("label",J._label).getRegex(),reflink:O(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",J._label).getRegex()}),J.gfm=x({},J.normal,{escape:O(J.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))/}),J.gfm.url=O(J.gfm.url,"i").replace("email",J.gfm._extended_email).getRegex(),J.breaks=x({},J.gfm,{br:O(J.br).replace("{2,}","*").getRegex(),text:O(J.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});var de={block:$,inline:J},Ee=A.defaults,Fe=de.block,Re=de.inline,Ne=L.repeatString;function qe(ke){return ke.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function Ve(ke){var Ce="",Pe,oe,ce=ke.length;for(Pe=0;Pe<ce;Pe++)oe=ke.charCodeAt(Pe),Math.random()>.5&&(oe="x"+oe.toString(16)),Ce+="&#"+oe+";";return Ce}var Ge=function(){function ke(Pe){this.tokens=[],this.tokens.links=Object.create(null),this.options=Pe||Ee,this.options.tokenizer=this.options.tokenizer||new q,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options;var oe={block:Fe.normal,inline:Re.normal};this.options.pedantic?(oe.block=Fe.pedantic,oe.inline=Re.pedantic):this.options.gfm&&(oe.block=Fe.gfm,this.options.breaks?oe.inline=Re.breaks:oe.inline=Re.gfm),this.tokenizer.rules=oe}ke.lex=function(oe,ce){var ge=new ke(ce);return ge.lex(oe)},ke.lexInline=function(oe,ce){var ge=new ke(ce);return ge.inlineTokens(oe)};var Ce=ke.prototype;return Ce.lex=function(oe){return oe=oe.replace(/\r\n|\r/g,`
`).replace(/\t/g,"    "),this.blockTokens(oe,this.tokens,!0),this.inline(this.tokens),this.tokens},Ce.blockTokens=function(oe,ce,ge){ce===void 0&&(ce=[]),ge===void 0&&(ge=!0),this.options.pedantic&&(oe=oe.replace(/^ +$/gm,""));for(var we,G,pe,Se;oe;){if(we=this.tokenizer.space(oe)){oe=oe.substring(we.raw.length),we.type&&ce.push(we);continue}if(we=this.tokenizer.code(oe)){oe=oe.substring(we.raw.length),Se=ce[ce.length-1],Se&&Se.type==="paragraph"?(Se.raw+=`
`+we.raw,Se.text+=`
`+we.text):ce.push(we);continue}if(we=this.tokenizer.fences(oe)){oe=oe.substring(we.raw.length),ce.push(we);continue}if(we=this.tokenizer.heading(oe)){oe=oe.substring(we.raw.length),ce.push(we);continue}if(we=this.tokenizer.nptable(oe)){oe=oe.substring(we.raw.length),ce.push(we);continue}if(we=this.tokenizer.hr(oe)){oe=oe.substring(we.raw.length),ce.push(we);continue}if(we=this.tokenizer.blockquote(oe)){oe=oe.substring(we.raw.length),we.tokens=this.blockTokens(we.text,[],ge),ce.push(we);continue}if(we=this.tokenizer.list(oe)){for(oe=oe.substring(we.raw.length),pe=we.items.length,G=0;G<pe;G++)we.items[G].tokens=this.blockTokens(we.items[G].text,[],!1);ce.push(we);continue}if(we=this.tokenizer.html(oe)){oe=oe.substring(we.raw.length),ce.push(we);continue}if(ge&&(we=this.tokenizer.def(oe))){oe=oe.substring(we.raw.length),this.tokens.links[we.tag]||(this.tokens.links[we.tag]={href:we.href,title:we.title});continue}if(we=this.tokenizer.table(oe)){oe=oe.substring(we.raw.length),ce.push(we);continue}if(we=this.tokenizer.lheading(oe)){oe=oe.substring(we.raw.length),ce.push(we);continue}if(ge&&(we=this.tokenizer.paragraph(oe))){oe=oe.substring(we.raw.length),ce.push(we);continue}if(we=this.tokenizer.text(oe)){oe=oe.substring(we.raw.length),Se=ce[ce.length-1],Se&&Se.type==="text"?(Se.raw+=`
`+we.raw,Se.text+=`
`+we.text):ce.push(we);continue}if(oe){var Ae="Infinite loop on byte: "+oe.charCodeAt(0);if(this.options.silent){console.error(Ae);break}else throw new Error(Ae)}}return ce},Ce.inline=function(oe){var ce,ge,we,G,pe,Se,Ae=oe.length;for(ce=0;ce<Ae;ce++)switch(Se=oe[ce],Se.type){case"paragraph":case"text":case"heading":{Se.tokens=[],this.inlineTokens(Se.text,Se.tokens);break}case"table":{for(Se.tokens={header:[],cells:[]},G=Se.header.length,ge=0;ge<G;ge++)Se.tokens.header[ge]=[],this.inlineTokens(Se.header[ge],Se.tokens.header[ge]);for(G=Se.cells.length,ge=0;ge<G;ge++)for(pe=Se.cells[ge],Se.tokens.cells[ge]=[],we=0;we<pe.length;we++)Se.tokens.cells[ge][we]=[],this.inlineTokens(pe[we],Se.tokens.cells[ge][we]);break}case"blockquote":{this.inline(Se.tokens);break}case"list":{for(G=Se.items.length,ge=0;ge<G;ge++)this.inline(Se.items[ge].tokens);break}}return oe},Ce.inlineTokens=function(oe,ce,ge,we){ce===void 0&&(ce=[]),ge===void 0&&(ge=!1),we===void 0&&(we=!1);var G,pe,Se=oe,Ae,Me,je;if(this.tokens.links){var tt=Object.keys(this.tokens.links);if(tt.length>0)for(;(Ae=this.tokenizer.rules.inline.reflinkSearch.exec(Se))!=null;)tt.includes(Ae[0].slice(Ae[0].lastIndexOf("[")+1,-1))&&(Se=Se.slice(0,Ae.index)+"["+Ne("a",Ae[0].length-2)+"]"+Se.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(Ae=this.tokenizer.rules.inline.blockSkip.exec(Se))!=null;)Se=Se.slice(0,Ae.index)+"["+Ne("a",Ae[0].length-2)+"]"+Se.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(Ae=this.tokenizer.rules.inline.escapedEmSt.exec(Se))!=null;)Se=Se.slice(0,Ae.index)+"++"+Se.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;oe;){if(Me||(je=""),Me=!1,G=this.tokenizer.escape(oe)){oe=oe.substring(G.raw.length),ce.push(G);continue}if(G=this.tokenizer.tag(oe,ge,we)){oe=oe.substring(G.raw.length),ge=G.inLink,we=G.inRawBlock;var Xe=ce[ce.length-1];Xe&&G.type==="text"&&Xe.type==="text"?(Xe.raw+=G.raw,Xe.text+=G.text):ce.push(G);continue}if(G=this.tokenizer.link(oe)){oe=oe.substring(G.raw.length),G.type==="link"&&(G.tokens=this.inlineTokens(G.text,[],!0,we)),ce.push(G);continue}if(G=this.tokenizer.reflink(oe,this.tokens.links)){oe=oe.substring(G.raw.length);var Ye=ce[ce.length-1];G.type==="link"?(G.tokens=this.inlineTokens(G.text,[],!0,we),ce.push(G)):Ye&&G.type==="text"&&Ye.type==="text"?(Ye.raw+=G.raw,Ye.text+=G.text):ce.push(G);continue}if(G=this.tokenizer.emStrong(oe,Se,je)){oe=oe.substring(G.raw.length),G.tokens=this.inlineTokens(G.text,[],ge,we),ce.push(G);continue}if(G=this.tokenizer.codespan(oe)){oe=oe.substring(G.raw.length),ce.push(G);continue}if(G=this.tokenizer.br(oe)){oe=oe.substring(G.raw.length),ce.push(G);continue}if(G=this.tokenizer.del(oe)){oe=oe.substring(G.raw.length),G.tokens=this.inlineTokens(G.text,[],ge,we),ce.push(G);continue}if(G=this.tokenizer.autolink(oe,Ve)){oe=oe.substring(G.raw.length),ce.push(G);continue}if(!ge&&(G=this.tokenizer.url(oe,Ve))){oe=oe.substring(G.raw.length),ce.push(G);continue}if(G=this.tokenizer.inlineText(oe,we,qe)){oe=oe.substring(G.raw.length),G.raw.slice(-1)!=="_"&&(je=G.raw.slice(-1)),Me=!0,pe=ce[ce.length-1],pe&&pe.type==="text"?(pe.raw+=G.raw,pe.text+=G.text):ce.push(G);continue}if(oe){var lt="Infinite loop on byte: "+oe.charCodeAt(0);if(this.options.silent){console.error(lt);break}else throw new Error(lt)}}return ce},e(ke,null,[{key:"rules",get:function(){return{block:Fe,inline:Re}}}]),ke}(),j=A.defaults,ee=L.cleanUrl,re=L.escape,ae=function(){function ke(Pe){this.options=Pe||j}var Ce=ke.prototype;return Ce.code=function(oe,ce,ge){var we=(ce||"").match(/\S*/)[0];if(this.options.highlight){var G=this.options.highlight(oe,we);G!=null&&G!==oe&&(ge=!0,oe=G)}return oe=oe.replace(/\n$/,"")+`
`,we?'<pre><code class="'+this.options.langPrefix+re(we,!0)+'">'+(ge?oe:re(oe,!0))+`</code></pre>
`:"<pre><code>"+(ge?oe:re(oe,!0))+`</code></pre>
`},Ce.blockquote=function(oe){return`<blockquote>
`+oe+`</blockquote>
`},Ce.html=function(oe){return oe},Ce.heading=function(oe,ce,ge,we){return this.options.headerIds?"<h"+ce+' id="'+this.options.headerPrefix+we.slug(ge)+'">'+oe+"</h"+ce+`>
`:"<h"+ce+">"+oe+"</h"+ce+`>
`},Ce.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},Ce.list=function(oe,ce,ge){var we=ce?"ol":"ul",G=ce&&ge!==1?' start="'+ge+'"':"";return"<"+we+G+`>
`+oe+"</"+we+`>
`},Ce.listitem=function(oe){return"<li>"+oe+`</li>
`},Ce.checkbox=function(oe){return"<input "+(oe?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},Ce.paragraph=function(oe){return"<p>"+oe+`</p>
`},Ce.table=function(oe,ce){return ce&&(ce="<tbody>"+ce+"</tbody>"),`<table>
<thead>
`+oe+`</thead>
`+ce+`</table>
`},Ce.tablerow=function(oe){return`<tr>
`+oe+`</tr>
`},Ce.tablecell=function(oe,ce){var ge=ce.header?"th":"td",we=ce.align?"<"+ge+' align="'+ce.align+'">':"<"+ge+">";return we+oe+"</"+ge+`>
`},Ce.strong=function(oe){return"<strong>"+oe+"</strong>"},Ce.em=function(oe){return"<em>"+oe+"</em>"},Ce.codespan=function(oe){return"<code>"+oe+"</code>"},Ce.br=function(){return this.options.xhtml?"<br/>":"<br>"},Ce.del=function(oe){return"<del>"+oe+"</del>"},Ce.link=function(oe,ce,ge){if(oe=ee(this.options.sanitize,this.options.baseUrl,oe),oe===null)return ge;var we='<a href="'+re(oe)+'"';return ce&&(we+=' title="'+ce+'"'),we+=">"+ge+"</a>",we},Ce.image=function(oe,ce,ge){if(oe=ee(this.options.sanitize,this.options.baseUrl,oe),oe===null)return ge;var we='<img src="'+oe+'" alt="'+ge+'"';return ce&&(we+=' title="'+ce+'"'),we+=this.options.xhtml?"/>":">",we},Ce.text=function(oe){return oe},ke}(),Z=function(){function ke(){}var Ce=ke.prototype;return Ce.strong=function(oe){return oe},Ce.em=function(oe){return oe},Ce.codespan=function(oe){return oe},Ce.del=function(oe){return oe},Ce.html=function(oe){return oe},Ce.text=function(oe){return oe},Ce.link=function(oe,ce,ge){return""+ge},Ce.image=function(oe,ce,ge){return""+ge},Ce.br=function(){return""},ke}(),se=function(){function ke(){this.seen={}}var Ce=ke.prototype;return Ce.serialize=function(oe){return oe.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},Ce.getNextSafeSlug=function(oe,ce){var ge=oe,we=0;if(this.seen.hasOwnProperty(ge)){we=this.seen[oe];do we++,ge=oe+"-"+we;while(this.seen.hasOwnProperty(ge))}return ce||(this.seen[oe]=we,this.seen[ge]=0),ge},Ce.slug=function(oe,ce){ce===void 0&&(ce={});var ge=this.serialize(oe);return this.getNextSafeSlug(ge,ce.dryrun)},ke}(),ve=A.defaults,Le=L.unescape,He=function(){function ke(Pe){this.options=Pe||ve,this.options.renderer=this.options.renderer||new ae,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new Z,this.slugger=new se}ke.parse=function(oe,ce){var ge=new ke(ce);return ge.parse(oe)},ke.parseInline=function(oe,ce){var ge=new ke(ce);return ge.parseInline(oe)};var Ce=ke.prototype;return Ce.parse=function(oe,ce){ce===void 0&&(ce=!0);var ge="",we,G,pe,Se,Ae,Me,je,tt,Xe,Ye,lt,ut,_e,ye,le,Y,Be,De,Ze=oe.length;for(we=0;we<Ze;we++)switch(Ye=oe[we],Ye.type){case"space":continue;case"hr":{ge+=this.renderer.hr();continue}case"heading":{ge+=this.renderer.heading(this.parseInline(Ye.tokens),Ye.depth,Le(this.parseInline(Ye.tokens,this.textRenderer)),this.slugger);continue}case"code":{ge+=this.renderer.code(Ye.text,Ye.lang,Ye.escaped);continue}case"table":{for(tt="",je="",Se=Ye.header.length,G=0;G<Se;G++)je+=this.renderer.tablecell(this.parseInline(Ye.tokens.header[G]),{header:!0,align:Ye.align[G]});for(tt+=this.renderer.tablerow(je),Xe="",Se=Ye.cells.length,G=0;G<Se;G++){for(Me=Ye.tokens.cells[G],je="",Ae=Me.length,pe=0;pe<Ae;pe++)je+=this.renderer.tablecell(this.parseInline(Me[pe]),{header:!1,align:Ye.align[pe]});Xe+=this.renderer.tablerow(je)}ge+=this.renderer.table(tt,Xe);continue}case"blockquote":{Xe=this.parse(Ye.tokens),ge+=this.renderer.blockquote(Xe);continue}case"list":{for(lt=Ye.ordered,ut=Ye.start,_e=Ye.loose,Se=Ye.items.length,Xe="",G=0;G<Se;G++)le=Ye.items[G],Y=le.checked,Be=le.task,ye="",le.task&&(De=this.renderer.checkbox(Y),_e?le.tokens.length>0&&le.tokens[0].type==="text"?(le.tokens[0].text=De+" "+le.tokens[0].text,le.tokens[0].tokens&&le.tokens[0].tokens.length>0&&le.tokens[0].tokens[0].type==="text"&&(le.tokens[0].tokens[0].text=De+" "+le.tokens[0].tokens[0].text)):le.tokens.unshift({type:"text",text:De}):ye+=De),ye+=this.parse(le.tokens,_e),Xe+=this.renderer.listitem(ye,Be,Y);ge+=this.renderer.list(Xe,lt,ut);continue}case"html":{ge+=this.renderer.html(Ye.text);continue}case"paragraph":{ge+=this.renderer.paragraph(this.parseInline(Ye.tokens));continue}case"text":{for(Xe=Ye.tokens?this.parseInline(Ye.tokens):Ye.text;we+1<Ze&&oe[we+1].type==="text";)Ye=oe[++we],Xe+=`
`+(Ye.tokens?this.parseInline(Ye.tokens):Ye.text);ge+=ce?this.renderer.paragraph(Xe):Xe;continue}default:{var Ke='Token with "'+Ye.type+'" type was not found.';if(this.options.silent){console.error(Ke);return}else throw new Error(Ke)}}return ge},Ce.parseInline=function(oe,ce){ce=ce||this.renderer;var ge="",we,G,pe=oe.length;for(we=0;we<pe;we++)switch(G=oe[we],G.type){case"escape":{ge+=ce.text(G.text);break}case"html":{ge+=ce.html(G.text);break}case"link":{ge+=ce.link(G.href,G.title,this.parseInline(G.tokens,ce));break}case"image":{ge+=ce.image(G.href,G.title,G.text);break}case"strong":{ge+=ce.strong(this.parseInline(G.tokens,ce));break}case"em":{ge+=ce.em(this.parseInline(G.tokens,ce));break}case"codespan":{ge+=ce.codespan(G.text);break}case"br":{ge+=ce.br();break}case"del":{ge+=ce.del(this.parseInline(G.tokens,ce));break}case"text":{ge+=ce.text(G.text);break}default:{var Se='Token with "'+G.type+'" type was not found.';if(this.options.silent){console.error(Se);return}else throw new Error(Se)}}return ge},ke}(),be=L.merge,Je=L.checkSanitizeDeprecation,K=L.escape,ne=A.getDefaults,he=A.changeDefaults,xe=A.defaults;function $e(ke,Ce,Pe){if(typeof ke=="undefined"||ke===null)throw new Error("marked(): input parameter is undefined or null");if(typeof ke!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(ke)+", string expected");if(typeof Ce=="function"&&(Pe=Ce,Ce=null),Ce=be({},$e.defaults,Ce||{}),Je(Ce),Pe){var oe=Ce.highlight,ce;try{ce=Ge.lex(ke,Ce)}catch(pe){return Pe(pe)}var ge=function(Se){var Ae;if(!Se)try{Ae=He.parse(ce,Ce)}catch(Me){Se=Me}return Ce.highlight=oe,Se?Pe(Se):Pe(null,Ae)};if(!oe||oe.length<3||(delete Ce.highlight,!ce.length))return ge();var we=0;$e.walkTokens(ce,function(pe){pe.type==="code"&&(we++,setTimeout(function(){oe(pe.text,pe.lang,function(Se,Ae){if(Se)return ge(Se);Ae!=null&&Ae!==pe.text&&(pe.text=Ae,pe.escaped=!0),we--,we===0&&ge()})},0))}),we===0&&ge();return}try{var G=Ge.lex(ke,Ce);return Ce.walkTokens&&$e.walkTokens(G,Ce.walkTokens),He.parse(G,Ce)}catch(pe){if(pe.message+=`
Please report this to https://github.com/markedjs/marked.`,Ce.silent)return"<p>An error occurred:</p><pre>"+K(pe.message+"",!0)+"</pre>";throw pe}}$e.options=$e.setOptions=function(ke){return be($e.defaults,ke),he($e.defaults),$e},$e.getDefaults=ne,$e.defaults=xe,$e.use=function(ke){var Ce=be({},ke);if(ke.renderer&&function(){var oe=$e.defaults.renderer||new ae,ce=function(G){var pe=oe[G];oe[G]=function(){for(var Se=arguments.length,Ae=new Array(Se),Me=0;Me<Se;Me++)Ae[Me]=arguments[Me];var je=ke.renderer[G].apply(oe,Ae);return je===!1&&(je=pe.apply(oe,Ae)),je}};for(var ge in ke.renderer)ce(ge);Ce.renderer=oe}(),ke.tokenizer&&function(){var oe=$e.defaults.tokenizer||new q,ce=function(G){var pe=oe[G];oe[G]=function(){for(var Se=arguments.length,Ae=new Array(Se),Me=0;Me<Se;Me++)Ae[Me]=arguments[Me];var je=ke.tokenizer[G].apply(oe,Ae);return je===!1&&(je=pe.apply(oe,Ae)),je}};for(var ge in ke.tokenizer)ce(ge);Ce.tokenizer=oe}(),ke.walkTokens){var Pe=$e.defaults.walkTokens;Ce.walkTokens=function(oe){ke.walkTokens(oe),Pe&&Pe(oe)}}$e.setOptions(Ce)},$e.walkTokens=function(ke,Ce){for(var Pe=k(ke),oe;!(oe=Pe()).done;){var ce=oe.value;switch(Ce(ce),ce.type){case"table":{for(var ge=k(ce.tokens.header),we;!(we=ge()).done;){var G=we.value;$e.walkTokens(G,Ce)}for(var pe=k(ce.tokens.cells),Se;!(Se=pe()).done;)for(var Ae=Se.value,Me=k(Ae),je;!(je=Me()).done;){var tt=je.value;$e.walkTokens(tt,Ce)}break}case"list":{$e.walkTokens(ce.items,Ce);break}default:ce.tokens&&$e.walkTokens(ce.tokens,Ce)}}},$e.parseInline=function(ke,Ce){if(typeof ke=="undefined"||ke===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof ke!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(ke)+", string expected");Ce=be({},$e.defaults,Ce||{}),Je(Ce);try{var Pe=Ge.lexInline(ke,Ce);return Ce.walkTokens&&$e.walkTokens(Pe,Ce.walkTokens),He.parseInline(Pe,Ce)}catch(oe){if(oe.message+=`
Please report this to https://github.com/markedjs/marked.`,Ce.silent)return"<p>An error occurred:</p><pre>"+K(oe.message+"",!0)+"</pre>";throw oe}},$e.Parser=He,$e.parser=He.parse,$e.Renderer=ae,$e.TextRenderer=Z,$e.Lexer=Ge,$e.lexer=Ge.lex,$e.Tokenizer=q,$e.Slugger=se,$e.parse=$e;var et=$e;return et}),define(fe[72],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MovingAverage=e.Counter=e.rot=e.clamp=void 0;function g(A,I,E){return Math.min(Math.max(A,I),E)}e.clamp=g;function R(A,I){return(I+A%I)%I}e.rot=R;class k{constructor(){this._next=0}getNext(){return this._next++}}e.Counter=k;class y{constructor(){this._n=1,this._val=0}update(I){return this._val=this._val+(I-this._val)/this._n,this._n+=1,this}get value(){return this._val}}e.MovingAverage=y}),function(){function X(k){const y=[];typeof k=="number"&&y.push("code/timeOrigin",k);function A(E){y.push(E,Date.now())}function I(){const E=[];for(let C=0;C<y.length;C+=2)E.push({name:y[C],startTime:y[C+1]});return E}return{mark:A,getMarks:I}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function")return typeof performance.timeOrigin!="number"&&!performance.timing?X():{mark(k){performance.mark(k)},getMarks(){let k=performance.timeOrigin;typeof k!="number"&&(k=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const y=[{name:"code/timeOrigin",startTime:Math.round(k)}];for(const A of performance.getEntriesByType("mark"))y.push({name:A.name,startTime:Math.round(k+A.startTime)});return y}};if(typeof process=="object"){const k=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return X(k)}else return console.trace("perf-util loaded in UNKNOWN environment"),X()}function g(k){return k.MonacoPerformanceMarks||(k.MonacoPerformanceMarks=e()),k.MonacoPerformanceMarks}var R;typeof global=="object"?R=global:typeof self=="object"?R=self:R={},typeof define=="function"?define("vs/base/common/performance",[],function(){return g(R)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=g(R):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),R.perf=g(R))}(),define(fe[11],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setImmediate=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isPreferringBrowserCodeLoad=e.browserCodeLoadingCacheStrategy=e.isElectronSandboxed=e.globals=void 0;const g="en";let R=!1,k=!1,y=!1,A=!1,I=!1,E=!1,C=!1,n,P=g,d,m;e.globals=typeof self=="object"?self:typeof global=="object"?global:{};let l;typeof e.globals.vscode!="undefined"&&typeof e.globals.vscode.process!="undefined"?l=e.globals.vscode.process:typeof process!="undefined"&&(l=process);const u=typeof l?.versions?.electron=="string"&&l.type==="renderer";if(e.isElectronSandboxed=u&&l?.sandboxed,e.browserCodeLoadingCacheStrategy=(()=>{if(e.isElectronSandboxed)return"bypassHeatCheck";const s=l?.env.VSCODE_BROWSER_CODE_LOADING;if(typeof s=="string")return s==="none"||s==="code"||s==="bypassHeatCheck"||s==="bypassHeatCheckAndEagerCompile"?s:"bypassHeatCheck"})(),e.isPreferringBrowserCodeLoad=typeof e.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!u)m=navigator.userAgent,R=m.indexOf("Windows")>=0,k=m.indexOf("Macintosh")>=0,C=(m.indexOf("Macintosh")>=0||m.indexOf("iPad")>=0||m.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,y=m.indexOf("Linux")>=0,E=!0,n=navigator.language,P=n;else if(typeof l=="object"){R=l.platform==="win32",k=l.platform==="darwin",y=l.platform==="linux",A=y&&!!l.env.SNAP&&!!l.env.SNAP_REVISION,n=g,P=g;const s=l.env.VSCODE_NLS_CONFIG;if(s)try{const i=JSON.parse(s),a=i.availableLanguages["*"];n=i.locale,P=a||g,d=i._translationsConfigFile}catch(i){}I=!0}else console.error("Unable to resolve platform.");var S;(function(s){s[s.Web=0]="Web",s[s.Mac=1]="Mac",s[s.Linux=2]="Linux",s[s.Windows=3]="Windows"})(S=e.Platform||(e.Platform={}));function w(s){switch(s){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=w;let b=0;k?b=1:R?b=3:y&&(b=2),e.isWindows=R,e.isMacintosh=k,e.isLinux=y,e.isLinuxSnap=A,e.isNative=I,e.isWeb=E,e.isIOS=C,e.platform=b,e.userAgent=m,e.language=P;var h;(function(s){function i(){return e.language}s.value=i;function a(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}s.isDefaultVariant=a;function v(){return e.language==="en"}s.isDefault=v})(h=e.Language||(e.Language={})),e.locale=n,e.translationsConfigFile=d,e.setImmediate=function(){if(e.globals.setImmediate)return e.globals.setImmediate.bind(e.globals);if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let a=[];e.globals.addEventListener("message",p=>{if(p.data&&p.data.vscodeSetImmediateId)for(let _=0,D=a.length;_<D;_++){const o=a[_];if(o.id===p.data.vscodeSetImmediateId){a.splice(_,1),o.callback();return}}});let v=0;return p=>{const _=++v;a.push({id:_,callback:p}),e.globals.postMessage({vscodeSetImmediateId:_},"*")}}if(typeof l?.nextTick=="function")return l.nextTick.bind(l);const i=Promise.resolve();return a=>i.then(a)}();var c;(function(s){s[s.Windows=1]="Windows",s[s.Macintosh=2]="Macintosh",s[s.Linux=3]="Linux"})(c=e.OperatingSystem||(e.OperatingSystem={})),e.OS=k||C?2:R?1:3;let f=!0,t=!1;function r(){if(!t){t=!0;const s=new Uint8Array(2);s[0]=1,s[1]=2,f=new Uint16Array(s.buffer)[0]===(2<<8)+1}return f}e.isLittleEndian=r}),define(fe[37],me([0,1,11]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nextTick=e.platform=e.env=e.cwd=void 0;let R;if(typeof g.globals.vscode!="undefined"&&typeof g.globals.vscode.process!="undefined"){const k=g.globals.vscode.process;R={get platform(){return k.platform},get env(){return k.env},cwd(){return k.cwd()},nextTick(y){return g.setImmediate(y)}}}else typeof process!="undefined"?R={get platform(){return process.platform},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()},nextTick(k){return process.nextTick(k)}}:R={get platform(){return g.isWindows?"win32":g.isMacintosh?"darwin":"linux"},nextTick(k){return g.setImmediate(k)},get env(){return{}},cwd(){return"/"}};e.cwd=R.cwd,e.env=R.env,e.platform=R.platform,e.nextTick=R.nextTick}),define(fe[9],me([0,1,37]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const R=65,k=97,y=90,A=122,I=46,E=47,C=92,n=58,P=63;class d extends Error{constructor(c,f,t){let r;typeof f=="string"&&f.indexOf("not ")===0?(r="must not be",f=f.replace(/^not /,"")):r="must be";const s=c.indexOf(".")!==-1?"property":"argument";let i=`The "${c}" ${s} ${r} of type ${f}`;i+=`. Received type ${typeof t}`,super(i),this.code="ERR_INVALID_ARG_TYPE"}}function m(h,c){if(typeof h!="string")throw new d(c,"string",h)}function l(h){return h===E||h===C}function u(h){return h===E}function S(h){return h>=R&&h<=y||h>=k&&h<=A}function w(h,c,f,t){let r="",s=0,i=-1,a=0,v=0;for(let p=0;p<=h.length;++p){if(p<h.length)v=h.charCodeAt(p);else{if(t(v))break;v=E}if(t(v)){if(!(i===p-1||a===1))if(a===2){if(r.length<2||s!==2||r.charCodeAt(r.length-1)!==I||r.charCodeAt(r.length-2)!==I){if(r.length>2){const _=r.lastIndexOf(f);_===-1?(r="",s=0):(r=r.slice(0,_),s=r.length-1-r.lastIndexOf(f)),i=p,a=0;continue}else if(r.length!==0){r="",s=0,i=p,a=0;continue}}c&&(r+=r.length>0?`${f}..`:"..",s=2)}else r.length>0?r+=`${f}${h.slice(i+1,p)}`:r=h.slice(i+1,p),s=p-i-1;i=p,a=0}else v===I&&a!==-1?++a:a=-1}return r}function b(h,c){if(c===null||typeof c!="object")throw new d("pathObject","Object",c);const f=c.dir||c.root,t=c.base||`${c.name||""}${c.ext||""}`;return f?f===c.root?`${f}${t}`:`${f}${h}${t}`:t}e.win32={resolve(...h){let c="",f="",t=!1;for(let r=h.length-1;r>=-1;r--){let s;if(r>=0){if(s=h[r],m(s,"path"),s.length===0)continue}else c.length===0?s=g.cwd():(s=g.env[`=${c}`]||g.cwd(),(s===void 0||s.slice(0,2).toLowerCase()!==c.toLowerCase()&&s.charCodeAt(2)===C)&&(s=`${c}\\`));const i=s.length;let a=0,v="",p=!1;const _=s.charCodeAt(0);if(i===1)l(_)&&(a=1,p=!0);else if(l(_))if(p=!0,l(s.charCodeAt(1))){let D=2,o=D;for(;D<i&&!l(s.charCodeAt(D));)D++;if(D<i&&D!==o){const T=s.slice(o,D);for(o=D;D<i&&l(s.charCodeAt(D));)D++;if(D<i&&D!==o){for(o=D;D<i&&!l(s.charCodeAt(D));)D++;(D===i||D!==o)&&(v=`\\\\${T}\\${s.slice(o,D)}`,a=D)}}}else a=1;else S(_)&&s.charCodeAt(1)===n&&(v=s.slice(0,2),a=2,i>2&&l(s.charCodeAt(2))&&(p=!0,a=3));if(v.length>0)if(c.length>0){if(v.toLowerCase()!==c.toLowerCase())continue}else c=v;if(t){if(c.length>0)break}else if(f=`${s.slice(a)}\\${f}`,t=p,p&&c.length>0)break}return f=w(f,!t,"\\",l),t?`${c}\\${f}`:`${c}${f}`||"."},normalize(h){m(h,"path");const c=h.length;if(c===0)return".";let f=0,t,r=!1;const s=h.charCodeAt(0);if(c===1)return u(s)?"\\":h;if(l(s))if(r=!0,l(h.charCodeAt(1))){let a=2,v=a;for(;a<c&&!l(h.charCodeAt(a));)a++;if(a<c&&a!==v){const p=h.slice(v,a);for(v=a;a<c&&l(h.charCodeAt(a));)a++;if(a<c&&a!==v){for(v=a;a<c&&!l(h.charCodeAt(a));)a++;if(a===c)return`\\\\${p}\\${h.slice(v)}\\`;a!==v&&(t=`\\\\${p}\\${h.slice(v,a)}`,f=a)}}}else f=1;else S(s)&&h.charCodeAt(1)===n&&(t=h.slice(0,2),f=2,c>2&&l(h.charCodeAt(2))&&(r=!0,f=3));let i=f<c?w(h.slice(f),!r,"\\",l):"";return i.length===0&&!r&&(i="."),i.length>0&&l(h.charCodeAt(c-1))&&(i+="\\"),t===void 0?r?`\\${i}`:i:r?`${t}\\${i}`:`${t}${i}`},isAbsolute(h){m(h,"path");const c=h.length;if(c===0)return!1;const f=h.charCodeAt(0);return l(f)||c>2&&S(f)&&h.charCodeAt(1)===n&&l(h.charCodeAt(2))},join(...h){if(h.length===0)return".";let c,f;for(let s=0;s<h.length;++s){const i=h[s];m(i,"path"),i.length>0&&(c===void 0?c=f=i:c+=`\\${i}`)}if(c===void 0)return".";let t=!0,r=0;if(typeof f=="string"&&l(f.charCodeAt(0))){++r;const s=f.length;s>1&&l(f.charCodeAt(1))&&(++r,s>2&&(l(f.charCodeAt(2))?++r:t=!1))}if(t){for(;r<c.length&&l(c.charCodeAt(r));)r++;r>=2&&(c=`\\${c.slice(r)}`)}return e.win32.normalize(c)},relative(h,c){if(m(h,"from"),m(c,"to"),h===c)return"";const f=e.win32.resolve(h),t=e.win32.resolve(c);if(f===t||(h=f.toLowerCase(),c=t.toLowerCase(),h===c))return"";let r=0;for(;r<h.length&&h.charCodeAt(r)===C;)r++;let s=h.length;for(;s-1>r&&h.charCodeAt(s-1)===C;)s--;const i=s-r;let a=0;for(;a<c.length&&c.charCodeAt(a)===C;)a++;let v=c.length;for(;v-1>a&&c.charCodeAt(v-1)===C;)v--;const p=v-a,_=i<p?i:p;let D=-1,o=0;for(;o<_;o++){const L=h.charCodeAt(r+o);if(L!==c.charCodeAt(a+o))break;L===C&&(D=o)}if(o!==_){if(D===-1)return t}else{if(p>_){if(c.charCodeAt(a+o)===C)return t.slice(a+o+1);if(o===2)return t.slice(a+o)}i>_&&(h.charCodeAt(r+o)===C?D=o:o===2&&(D=3)),D===-1&&(D=0)}let T="";for(o=r+D+1;o<=s;++o)(o===s||h.charCodeAt(o)===C)&&(T+=T.length===0?"..":"\\..");return a+=D,T.length>0?`${T}${t.slice(a,v)}`:(t.charCodeAt(a)===C&&++a,t.slice(a,v))},toNamespacedPath(h){if(typeof h!="string")return h;if(h.length===0)return"";const c=e.win32.resolve(h);if(c.length<=2)return h;if(c.charCodeAt(0)===C){if(c.charCodeAt(1)===C){const f=c.charCodeAt(2);if(f!==P&&f!==I)return`\\\\?\\UNC\\${c.slice(2)}`}}else if(S(c.charCodeAt(0))&&c.charCodeAt(1)===n&&c.charCodeAt(2)===C)return`\\\\?\\${c}`;return h},dirname(h){m(h,"path");const c=h.length;if(c===0)return".";let f=-1,t=0;const r=h.charCodeAt(0);if(c===1)return l(r)?h:".";if(l(r)){if(f=t=1,l(h.charCodeAt(1))){let a=2,v=a;for(;a<c&&!l(h.charCodeAt(a));)a++;if(a<c&&a!==v){for(v=a;a<c&&l(h.charCodeAt(a));)a++;if(a<c&&a!==v){for(v=a;a<c&&!l(h.charCodeAt(a));)a++;if(a===c)return h;a!==v&&(f=t=a+1)}}}}else S(r)&&h.charCodeAt(1)===n&&(f=c>2&&l(h.charCodeAt(2))?3:2,t=f);let s=-1,i=!0;for(let a=c-1;a>=t;--a)if(l(h.charCodeAt(a))){if(!i){s=a;break}}else i=!1;if(s===-1){if(f===-1)return".";s=f}return h.slice(0,s)},basename(h,c){c!==void 0&&m(c,"ext"),m(h,"path");let f=0,t=-1,r=!0,s;if(h.length>=2&&S(h.charCodeAt(0))&&h.charCodeAt(1)===n&&(f=2),c!==void 0&&c.length>0&&c.length<=h.length){if(c===h)return"";let i=c.length-1,a=-1;for(s=h.length-1;s>=f;--s){const v=h.charCodeAt(s);if(l(v)){if(!r){f=s+1;break}}else a===-1&&(r=!1,a=s+1),i>=0&&(v===c.charCodeAt(i)?--i==-1&&(t=s):(i=-1,t=a))}return f===t?t=a:t===-1&&(t=h.length),h.slice(f,t)}for(s=h.length-1;s>=f;--s)if(l(h.charCodeAt(s))){if(!r){f=s+1;break}}else t===-1&&(r=!1,t=s+1);return t===-1?"":h.slice(f,t)},extname(h){m(h,"path");let c=0,f=-1,t=0,r=-1,s=!0,i=0;h.length>=2&&h.charCodeAt(1)===n&&S(h.charCodeAt(0))&&(c=t=2);for(let a=h.length-1;a>=c;--a){const v=h.charCodeAt(a);if(l(v)){if(!s){t=a+1;break}continue}r===-1&&(s=!1,r=a+1),v===I?f===-1?f=a:i!==1&&(i=1):f!==-1&&(i=-1)}return f===-1||r===-1||i===0||i===1&&f===r-1&&f===t+1?"":h.slice(f,r)},format:b.bind(null,"\\"),parse(h){m(h,"path");const c={root:"",dir:"",base:"",ext:"",name:""};if(h.length===0)return c;const f=h.length;let t=0,r=h.charCodeAt(0);if(f===1)return l(r)?(c.root=c.dir=h,c):(c.base=c.name=h,c);if(l(r)){if(t=1,l(h.charCodeAt(1))){let D=2,o=D;for(;D<f&&!l(h.charCodeAt(D));)D++;if(D<f&&D!==o){for(o=D;D<f&&l(h.charCodeAt(D));)D++;if(D<f&&D!==o){for(o=D;D<f&&!l(h.charCodeAt(D));)D++;D===f?t=D:D!==o&&(t=D+1)}}}}else if(S(r)&&h.charCodeAt(1)===n){if(f<=2)return c.root=c.dir=h,c;if(t=2,l(h.charCodeAt(2))){if(f===3)return c.root=c.dir=h,c;t=3}}t>0&&(c.root=h.slice(0,t));let s=-1,i=t,a=-1,v=!0,p=h.length-1,_=0;for(;p>=t;--p){if(r=h.charCodeAt(p),l(r)){if(!v){i=p+1;break}continue}a===-1&&(v=!1,a=p+1),r===I?s===-1?s=p:_!==1&&(_=1):s!==-1&&(_=-1)}return a!==-1&&(s===-1||_===0||_===1&&s===a-1&&s===i+1?c.base=c.name=h.slice(i,a):(c.name=h.slice(i,s),c.base=h.slice(i,a),c.ext=h.slice(s,a))),i>0&&i!==t?c.dir=h.slice(0,i-1):c.dir=c.root,c},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...h){let c="",f=!1;for(let t=h.length-1;t>=-1&&!f;t--){const r=t>=0?h[t]:g.cwd();m(r,"path"),r.length!==0&&(c=`${r}/${c}`,f=r.charCodeAt(0)===E)}return c=w(c,!f,"/",u),f?`/${c}`:c.length>0?c:"."},normalize(h){if(m(h,"path"),h.length===0)return".";const c=h.charCodeAt(0)===E,f=h.charCodeAt(h.length-1)===E;return h=w(h,!c,"/",u),h.length===0?c?"/":f?"./":".":(f&&(h+="/"),c?`/${h}`:h)},isAbsolute(h){return m(h,"path"),h.length>0&&h.charCodeAt(0)===E},join(...h){if(h.length===0)return".";let c;for(let f=0;f<h.length;++f){const t=h[f];m(t,"path"),t.length>0&&(c===void 0?c=t:c+=`/${t}`)}return c===void 0?".":e.posix.normalize(c)},relative(h,c){if(m(h,"from"),m(c,"to"),h===c||(h=e.posix.resolve(h),c=e.posix.resolve(c),h===c))return"";const f=1,t=h.length,r=t-f,s=1,i=c.length-s,a=r<i?r:i;let v=-1,p=0;for(;p<a;p++){const D=h.charCodeAt(f+p);if(D!==c.charCodeAt(s+p))break;D===E&&(v=p)}if(p===a)if(i>a){if(c.charCodeAt(s+p)===E)return c.slice(s+p+1);if(p===0)return c.slice(s+p)}else r>a&&(h.charCodeAt(f+p)===E?v=p:p===0&&(v=0));let _="";for(p=f+v+1;p<=t;++p)(p===t||h.charCodeAt(p)===E)&&(_+=_.length===0?"..":"/..");return`${_}${c.slice(s+v)}`},toNamespacedPath(h){return h},dirname(h){if(m(h,"path"),h.length===0)return".";const c=h.charCodeAt(0)===E;let f=-1,t=!0;for(let r=h.length-1;r>=1;--r)if(h.charCodeAt(r)===E){if(!t){f=r;break}}else t=!1;return f===-1?c?"/":".":c&&f===1?"//":h.slice(0,f)},basename(h,c){c!==void 0&&m(c,"ext"),m(h,"path");let f=0,t=-1,r=!0,s;if(c!==void 0&&c.length>0&&c.length<=h.length){if(c===h)return"";let i=c.length-1,a=-1;for(s=h.length-1;s>=0;--s){const v=h.charCodeAt(s);if(v===E){if(!r){f=s+1;break}}else a===-1&&(r=!1,a=s+1),i>=0&&(v===c.charCodeAt(i)?--i==-1&&(t=s):(i=-1,t=a))}return f===t?t=a:t===-1&&(t=h.length),h.slice(f,t)}for(s=h.length-1;s>=0;--s)if(h.charCodeAt(s)===E){if(!r){f=s+1;break}}else t===-1&&(r=!1,t=s+1);return t===-1?"":h.slice(f,t)},extname(h){m(h,"path");let c=-1,f=0,t=-1,r=!0,s=0;for(let i=h.length-1;i>=0;--i){const a=h.charCodeAt(i);if(a===E){if(!r){f=i+1;break}continue}t===-1&&(r=!1,t=i+1),a===I?c===-1?c=i:s!==1&&(s=1):c!==-1&&(s=-1)}return c===-1||t===-1||s===0||s===1&&c===t-1&&c===f+1?"":h.slice(c,t)},format:b.bind(null,"/"),parse(h){m(h,"path");const c={root:"",dir:"",base:"",ext:"",name:""};if(h.length===0)return c;const f=h.charCodeAt(0)===E;let t;f?(c.root="/",t=1):t=0;let r=-1,s=0,i=-1,a=!0,v=h.length-1,p=0;for(;v>=t;--v){const _=h.charCodeAt(v);if(_===E){if(!a){s=v+1;break}continue}i===-1&&(a=!1,i=v+1),_===I?r===-1?r=v:p!==1&&(p=1):r!==-1&&(p=-1)}if(i!==-1){const _=s===0&&f?1:s;r===-1||p===0||p===1&&r===i-1&&r===s+1?c.base=c.name=h.slice(_,i):(c.name=h.slice(_,r),c.base=h.slice(_,i),c.ext=h.slice(r,i))}return s>0?c.dir=h.slice(0,s-1):f&&(c.dir="/"),c},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=g.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=g.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=g.platform==="win32"?e.win32.join:e.posix.join,e.resolve=g.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=g.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=g.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=g.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=g.platform==="win32"?e.win32.extname:e.posix.extname,e.format=g.platform==="win32"?e.win32.format:e.posix.format,e.parse=g.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=g.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=g.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=g.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(fe[137],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var g;(function(y){y[y.stdout=0]="stdout",y[y.stderr=1]="stderr"})(g=e.Source||(e.Source={}));var R;(function(y){y[y.Success=0]="Success",y[y.Unknown=1]="Unknown",y[y.AccessDenied=2]="AccessDenied",y[y.ProcessNotFound=3]="ProcessNotFound"})(R=e.TerminateResponseCode||(e.TerminateResponseCode={}));function k(y,...A){const I=A.reduce((n,P)=>(n[P]=!0,n),{}),E=[/^ELECTRON_.+$/,/^VSCODE_.+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(y).filter(n=>!I[n]).forEach(n=>{for(let P=0;P<E.length;P++)if(n.search(E[P])!==-1){delete y[n];break}})}e.sanitizeProcessEnvironment=k}),define(fe[43],me([0,1,11]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const R=g.globals.performance&&typeof g.globals.performance.now=="function";class k{constructor(A){this._highResolution=R&&A,this._startTime=this._now(),this._stopTime=-1}static create(A=!0){return new k(A)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?g.globals.performance.now():Date.now()}}e.StopWatch=k}),define(fe[3],me([0,1,15,70,6,90,43]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.DebounceEmitter=e.PauseableEmitter=e.AsyncEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var I;(function(h){h.None=()=>k.Disposable.None;function c(z){return(N,W=null,F)=>{let q=!1,M;return M=z(O=>{if(!q)return M?M.dispose():q=!0,N.call(W,O)},null,F),q&&M.dispose(),M}}h.once=c;function f(z,N){return v((W,F=null,q)=>z(M=>W.call(F,N(M)),null,q))}h.map=f;function t(z,N){return v((W,F=null,q)=>z(M=>{N(M),W.call(F,M)},null,q))}h.forEach=t;function r(z,N){return v((W,F=null,q)=>z(M=>N(M)&&W.call(F,M),null,q))}h.filter=r;function s(z){return z}h.signal=s;function i(...z){return(N,W=null,F)=>k.combinedDisposable(...z.map(q=>q(M=>N.call(W,M),null,F)))}h.any=i;function a(z,N,W){let F=W;return f(z,q=>(F=N(F,q),F))}h.reduce=a;function v(z){let N;const W=new d({onFirstListenerAdd(){N=z(W.fire,W)},onLastListenerRemove(){N.dispose()}});return W.event}function p(z,N,W=100,F=!1,q){let M,O,x,$=0;const J=new d({leakWarningThreshold:q,onFirstListenerAdd(){M=z(de=>{$++,O=N(O,de),F&&!x&&(J.fire(O),O=void 0),clearTimeout(x),x=setTimeout(()=>{const Ee=O;O=void 0,x=void 0,(!F||$>1)&&J.fire(Ee),$=0},W)})},onLastListenerRemove(){M.dispose()}});return J.event}h.debounce=p;function _(z,N=(W,F)=>W===F){let W=!0,F;return r(z,q=>{const M=W||!N(q,F);return W=!1,F=q,M})}h.latch=_;function D(z,N){return[h.filter(z,N),h.filter(z,W=>!N(W))]}h.split=D;function o(z,N=!1,W=[]){let F=W.slice(),q=z(x=>{F?F.push(x):O.fire(x)});const M=()=>{F&&F.forEach(x=>O.fire(x)),F=null},O=new d({onFirstListenerAdd(){q||(q=z(x=>O.fire(x)))},onFirstListenerDidAdd(){F&&(N?setTimeout(M):M())},onLastListenerRemove(){q&&q.dispose(),q=null}});return O.event}h.buffer=o;class T{constructor(N){this.event=N}map(N){return new T(f(this.event,N))}forEach(N){return new T(t(this.event,N))}filter(N){return new T(r(this.event,N))}reduce(N,W){return new T(a(this.event,N,W))}latch(){return new T(_(this.event))}debounce(N,W=100,F=!1,q){return new T(p(this.event,N,W,F,q))}on(N,W,F){return this.event(N,W,F)}once(N,W,F){return c(this.event)(N,W,F)}}function L(z){return new T(z)}h.chain=L;function H(z,N,W=F=>F){const F=(...x)=>O.fire(W(...x)),q=()=>z.on(N,F),M=()=>z.removeListener(N,F),O=new d({onFirstListenerAdd:q,onLastListenerRemove:M});return O.event}h.fromNodeEventEmitter=H;function B(z,N,W=F=>F){const F=(...x)=>O.fire(W(...x)),q=()=>z.addEventListener(N,F),M=()=>z.removeEventListener(N,F),O=new d({onFirstListenerAdd:q,onLastListenerRemove:M});return O.event}h.fromDOMEventEmitter=B;function Q(z){return new Promise(N=>c(z)(N))}h.toPromise=Q})(I=e.Event||(e.Event={}));class E{constructor(c){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${c}_${E._idPool++}`}start(c){this._stopWatch=new A.StopWatch(!0),this._listenerCount=c}stop(){if(this._stopWatch){const c=this._stopWatch.elapsed();this._elapsedOverall+=c,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${c.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}E._idPool=0;let C=-1;function n(h){const c=C;return C=h,{dispose(){C=c}}}e.setGlobalLeakWarningThreshold=n;class P{constructor(c,f=Math.random().toString(18).slice(2,5)){this.customThreshold=c,this.name=f,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(c){let f=C;if(typeof this.customThreshold=="number"&&(f=this.customThreshold),f<=0||c<f)return;this._stacks||(this._stacks=new Map);const t=new Error().stack.split(`
`).slice(3).join(`
`),r=this._stacks.get(t)||0;if(this._stacks.set(t,r+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=f*.5;let s,i=0;for(const[a,v]of this._stacks)(!s||i<v)&&(s=a,i=v);console.warn(`[${this.name}] potential listener LEAK detected, having ${c} listeners already. MOST frequent listener (${i}):`),console.warn(s)}return()=>{const s=this._stacks.get(t)||0;this._stacks.set(t,s-1)}}}class d{constructor(c){this._disposed=!1,this._options=c,this._leakageMon=C>0?new P(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new E(this._options._profName):void 0}get event(){return this._event||(this._event=(c,f,t)=>{this._listeners||(this._listeners=new y.LinkedList);const r=this._listeners.isEmpty();r&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const s=this._listeners.push(f?[c,f]:c);r&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,c,f);const i=this._leakageMon?.check(this._listeners.size);let a;return a={dispose:()=>{i&&i(),a.dispose=d._noop,this._disposed||(s(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},t instanceof k.DisposableStore?t.add(a):Array.isArray(t)&&t.push(a),a}),this._event}fire(c){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new y.LinkedList);for(let f of this._listeners)this._deliveryQueue.push([f,c]);for(this._perfMon?.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[f,t]=this._deliveryQueue.shift();try{typeof f=="function"?f.call(void 0,t):f[0].call(f[1],t)}catch(r){g.onUnexpectedError(r)}}this._perfMon?.stop()}}dispose(){this._disposed||(this._disposed=!0,this._listeners?.clear(),this._deliveryQueue?.clear(),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose())}}e.Emitter=d,d._noop=function(){};class m extends d{async fireAsync(c,f,t){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new y.LinkedList);for(const r of this._listeners)this._asyncDeliveryQueue.push([r,c]);for(;this._asyncDeliveryQueue.size>0&&!f.isCancellationRequested;){const[r,s]=this._asyncDeliveryQueue.shift(),i=[],a={...s,waitUntil:v=>{if(Object.isFrozen(i))throw new Error("waitUntil can NOT be called asynchronous");t&&(v=t(v,typeof r=="function"?r:r[0])),i.push(v)}};try{typeof r=="function"?r.call(void 0,a):r[0].call(r[1],a)}catch(v){g.onUnexpectedError(v);continue}Object.freeze(i),await Promise.allSettled(i).then(v=>{for(const p of v)p.status==="rejected"&&g.onUnexpectedError(p.reason)})}}}}e.AsyncEmitter=m;class l extends d{constructor(c){super(c);this._isPaused=0,this._eventQueue=new y.LinkedList,this._mergeFn=c?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const c=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(c))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(c){this._listeners&&(this._isPaused!==0?this._eventQueue.push(c):super.fire(c))}}e.PauseableEmitter=l;class u extends l{constructor(c){super(c);this._delay=c.delay??100}fire(c){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(c)}}e.DebounceEmitter=u;class S{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new d({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(c){const f={event:c,listener:null};this.events.push(f),this.hasListeners&&this.hook(f);const t=()=>{this.hasListeners&&this.unhook(f);const r=this.events.indexOf(f);this.events.splice(r,1)};return k.toDisposable(R.once(t))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(c=>this.hook(c))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(c=>this.unhook(c))}hook(c){c.listener=c.event(f=>this.emitter.fire(f))}unhook(c){c.listener&&c.listener.dispose(),c.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=S;class w{constructor(){this.buffers=[]}wrapEvent(c){return(f,t,r)=>c(s=>{const i=this.buffers[this.buffers.length-1];i?i.push(()=>f.call(t,s)):f.call(t,s)},void 0,r)}bufferEvents(c){const f=[];this.buffers.push(f);const t=c();return this.buffers.pop(),f.forEach(r=>r()),t}}e.EventBufferer=w;class b{constructor(){this.listening=!1,this.inputEvent=I.None,this.inputEventListener=k.Disposable.None,this.emitter=new d({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(c){this.inputEvent=c,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=c(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=b}),define(fe[21],me([0,1,3]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const R=Object.freeze(function(I,E){const C=setTimeout(I.bind(E),0);return{dispose(){clearTimeout(C)}}});var k;(function(I){function E(C){return C===I.None||C===I.Cancelled||C instanceof y?!0:!C||typeof C!="object"?!1:typeof C.isCancellationRequested=="boolean"&&typeof C.onCancellationRequested=="function"}I.isCancellationToken=E,I.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:g.Event.None}),I.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:R})})(k=e.CancellationToken||(e.CancellationToken={}));class y{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?R:(this._emitter||(this._emitter=new g.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class A{constructor(E){this._token=void 0,this._parentListener=void 0,this._parentListener=E&&E.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new y),this._token}cancel(){this._token?this._token instanceof y&&this._token.cancel():this._token=k.Cancelled}dispose(E=!1){E&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof y&&this._token.dispose():this._token=k.None}}e.CancellationTokenSource=A}),define(fe[91],me([0,1,3]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.getCodiconAriaLabel=e.registerCodicon=e.iconRegistry=void 0;class R{constructor(){this._icons=new Map,this._onDidRegister=new g.Emitter}add(P){const d=this._icons.get(P.id);d?P.description?d.description=P.description:console.error(`Duplicate registration of codicon ${P.id}`):(this._icons.set(P.id,P),this._onDidRegister.fire(P))}get(P){return this._icons.get(P)}get all(){return this._icons.values()}get onDidRegister(){return this._onDidRegister.event}}const k=new R;e.iconRegistry=k;function y(n,P){return new I(n,P)}e.registerCodicon=y;function A(n){return n?n.replace(/\$\((.*?)\)/g,(P,d)=>` ${d} `).trim():""}e.getCodiconAriaLabel=A;class I{constructor(P,d,m){this.id=P,this.definition=d,this.description=m,k.add(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}}e.Codicon=I;function E(n,P){const d=["codicon","codicon-"+n];return P&&d.push("codicon-modifier-"+P),d}e.getClassNamesArray=E;var C;(function(n){n.iconNameSegment="[A-Za-z0-9]+",n.iconNameExpression="[A-Za-z0-9\\-]+",n.iconModifierExpression="~[A-Za-z]+";const P=new RegExp(`^(${n.iconNameExpression})(${n.iconModifierExpression})?$`);function d(u){if(u instanceof I)return["codicon","codicon-"+u.id];const S=P.exec(u.id);if(!S)return d(I.error);let[,w,b]=S;const h=["codicon","codicon-"+w];return b&&h.push("codicon-modifier-"+b.substr(1)),h}n.asClassNameArray=d;function m(u){return d(u).join(" ")}n.asClassName=m;function l(u){return"."+d(u).join(".")}n.asCSSSelector=l})(C=e.CSSIcon||(e.CSSIcon={})),function(n){n.add=new n("add",{fontCharacter:"\\ea60"}),n.plus=new n("plus",{fontCharacter:"\\ea60"}),n.gistNew=new n("gist-new",{fontCharacter:"\\ea60"}),n.repoCreate=new n("repo-create",{fontCharacter:"\\ea60"}),n.lightbulb=new n("lightbulb",{fontCharacter:"\\ea61"}),n.lightBulb=new n("light-bulb",{fontCharacter:"\\ea61"}),n.repo=new n("repo",{fontCharacter:"\\ea62"}),n.repoDelete=new n("repo-delete",{fontCharacter:"\\ea62"}),n.gistFork=new n("gist-fork",{fontCharacter:"\\ea63"}),n.repoForked=new n("repo-forked",{fontCharacter:"\\ea63"}),n.gitPullRequest=new n("git-pull-request",{fontCharacter:"\\ea64"}),n.gitPullRequestAbandoned=new n("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),n.recordKeys=new n("record-keys",{fontCharacter:"\\ea65"}),n.keyboard=new n("keyboard",{fontCharacter:"\\ea65"}),n.tag=new n("tag",{fontCharacter:"\\ea66"}),n.tagAdd=new n("tag-add",{fontCharacter:"\\ea66"}),n.tagRemove=new n("tag-remove",{fontCharacter:"\\ea66"}),n.person=new n("person",{fontCharacter:"\\ea67"}),n.personFollow=new n("person-follow",{fontCharacter:"\\ea67"}),n.personOutline=new n("person-outline",{fontCharacter:"\\ea67"}),n.personFilled=new n("person-filled",{fontCharacter:"\\ea67"}),n.gitBranch=new n("git-branch",{fontCharacter:"\\ea68"}),n.gitBranchCreate=new n("git-branch-create",{fontCharacter:"\\ea68"}),n.gitBranchDelete=new n("git-branch-delete",{fontCharacter:"\\ea68"}),n.sourceControl=new n("source-control",{fontCharacter:"\\ea68"}),n.mirror=new n("mirror",{fontCharacter:"\\ea69"}),n.mirrorPublic=new n("mirror-public",{fontCharacter:"\\ea69"}),n.star=new n("star",{fontCharacter:"\\ea6a"}),n.starAdd=new n("star-add",{fontCharacter:"\\ea6a"}),n.starDelete=new n("star-delete",{fontCharacter:"\\ea6a"}),n.starEmpty=new n("star-empty",{fontCharacter:"\\ea6a"}),n.comment=new n("comment",{fontCharacter:"\\ea6b"}),n.commentAdd=new n("comment-add",{fontCharacter:"\\ea6b"}),n.alert=new n("alert",{fontCharacter:"\\ea6c"}),n.warning=new n("warning",{fontCharacter:"\\ea6c"}),n.search=new n("search",{fontCharacter:"\\ea6d"}),n.searchSave=new n("search-save",{fontCharacter:"\\ea6d"}),n.logOut=new n("log-out",{fontCharacter:"\\ea6e"}),n.signOut=new n("sign-out",{fontCharacter:"\\ea6e"}),n.logIn=new n("log-in",{fontCharacter:"\\ea6f"}),n.signIn=new n("sign-in",{fontCharacter:"\\ea6f"}),n.eye=new n("eye",{fontCharacter:"\\ea70"}),n.eyeUnwatch=new n("eye-unwatch",{fontCharacter:"\\ea70"}),n.eyeWatch=new n("eye-watch",{fontCharacter:"\\ea70"}),n.circleFilled=new n("circle-filled",{fontCharacter:"\\ea71"}),n.primitiveDot=new n("primitive-dot",{fontCharacter:"\\ea71"}),n.closeDirty=new n("close-dirty",{fontCharacter:"\\ea71"}),n.debugBreakpoint=new n("debug-breakpoint",{fontCharacter:"\\ea71"}),n.debugBreakpointDisabled=new n("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),n.debugHint=new n("debug-hint",{fontCharacter:"\\ea71"}),n.primitiveSquare=new n("primitive-square",{fontCharacter:"\\ea72"}),n.edit=new n("edit",{fontCharacter:"\\ea73"}),n.pencil=new n("pencil",{fontCharacter:"\\ea73"}),n.info=new n("info",{fontCharacter:"\\ea74"}),n.issueOpened=new n("issue-opened",{fontCharacter:"\\ea74"}),n.gistPrivate=new n("gist-private",{fontCharacter:"\\ea75"}),n.gitForkPrivate=new n("git-fork-private",{fontCharacter:"\\ea75"}),n.lock=new n("lock",{fontCharacter:"\\ea75"}),n.mirrorPrivate=new n("mirror-private",{fontCharacter:"\\ea75"}),n.close=new n("close",{fontCharacter:"\\ea76"}),n.removeClose=new n("remove-close",{fontCharacter:"\\ea76"}),n.x=new n("x",{fontCharacter:"\\ea76"}),n.repoSync=new n("repo-sync",{fontCharacter:"\\ea77"}),n.sync=new n("sync",{fontCharacter:"\\ea77"}),n.clone=new n("clone",{fontCharacter:"\\ea78"}),n.desktopDownload=new n("desktop-download",{fontCharacter:"\\ea78"}),n.beaker=new n("beaker",{fontCharacter:"\\ea79"}),n.microscope=new n("microscope",{fontCharacter:"\\ea79"}),n.vm=new n("vm",{fontCharacter:"\\ea7a"}),n.deviceDesktop=new n("device-desktop",{fontCharacter:"\\ea7a"}),n.file=new n("file",{fontCharacter:"\\ea7b"}),n.fileText=new n("file-text",{fontCharacter:"\\ea7b"}),n.more=new n("more",{fontCharacter:"\\ea7c"}),n.ellipsis=new n("ellipsis",{fontCharacter:"\\ea7c"}),n.kebabHorizontal=new n("kebab-horizontal",{fontCharacter:"\\ea7c"}),n.mailReply=new n("mail-reply",{fontCharacter:"\\ea7d"}),n.reply=new n("reply",{fontCharacter:"\\ea7d"}),n.organization=new n("organization",{fontCharacter:"\\ea7e"}),n.organizationFilled=new n("organization-filled",{fontCharacter:"\\ea7e"}),n.organizationOutline=new n("organization-outline",{fontCharacter:"\\ea7e"}),n.newFile=new n("new-file",{fontCharacter:"\\ea7f"}),n.fileAdd=new n("file-add",{fontCharacter:"\\ea7f"}),n.newFolder=new n("new-folder",{fontCharacter:"\\ea80"}),n.fileDirectoryCreate=new n("file-directory-create",{fontCharacter:"\\ea80"}),n.trash=new n("trash",{fontCharacter:"\\ea81"}),n.trashcan=new n("trashcan",{fontCharacter:"\\ea81"}),n.history=new n("history",{fontCharacter:"\\ea82"}),n.clock=new n("clock",{fontCharacter:"\\ea82"}),n.folder=new n("folder",{fontCharacter:"\\ea83"}),n.fileDirectory=new n("file-directory",{fontCharacter:"\\ea83"}),n.symbolFolder=new n("symbol-folder",{fontCharacter:"\\ea83"}),n.logoGithub=new n("logo-github",{fontCharacter:"\\ea84"}),n.markGithub=new n("mark-github",{fontCharacter:"\\ea84"}),n.github=new n("github",{fontCharacter:"\\ea84"}),n.terminal=new n("terminal",{fontCharacter:"\\ea85"}),n.console=new n("console",{fontCharacter:"\\ea85"}),n.repl=new n("repl",{fontCharacter:"\\ea85"}),n.zap=new n("zap",{fontCharacter:"\\ea86"}),n.symbolEvent=new n("symbol-event",{fontCharacter:"\\ea86"}),n.error=new n("error",{fontCharacter:"\\ea87"}),n.stop=new n("stop",{fontCharacter:"\\ea87"}),n.variable=new n("variable",{fontCharacter:"\\ea88"}),n.symbolVariable=new n("symbol-variable",{fontCharacter:"\\ea88"}),n.array=new n("array",{fontCharacter:"\\ea8a"}),n.symbolArray=new n("symbol-array",{fontCharacter:"\\ea8a"}),n.symbolModule=new n("symbol-module",{fontCharacter:"\\ea8b"}),n.symbolPackage=new n("symbol-package",{fontCharacter:"\\ea8b"}),n.symbolNamespace=new n("symbol-namespace",{fontCharacter:"\\ea8b"}),n.symbolObject=new n("symbol-object",{fontCharacter:"\\ea8b"}),n.symbolMethod=new n("symbol-method",{fontCharacter:"\\ea8c"}),n.symbolFunction=new n("symbol-function",{fontCharacter:"\\ea8c"}),n.symbolConstructor=new n("symbol-constructor",{fontCharacter:"\\ea8c"}),n.symbolBoolean=new n("symbol-boolean",{fontCharacter:"\\ea8f"}),n.symbolNull=new n("symbol-null",{fontCharacter:"\\ea8f"}),n.symbolNumeric=new n("symbol-numeric",{fontCharacter:"\\ea90"}),n.symbolNumber=new n("symbol-number",{fontCharacter:"\\ea90"}),n.symbolStructure=new n("symbol-structure",{fontCharacter:"\\ea91"}),n.symbolStruct=new n("symbol-struct",{fontCharacter:"\\ea91"}),n.symbolParameter=new n("symbol-parameter",{fontCharacter:"\\ea92"}),n.symbolTypeParameter=new n("symbol-type-parameter",{fontCharacter:"\\ea92"}),n.symbolKey=new n("symbol-key",{fontCharacter:"\\ea93"}),n.symbolText=new n("symbol-text",{fontCharacter:"\\ea93"}),n.symbolReference=new n("symbol-reference",{fontCharacter:"\\ea94"}),n.goToFile=new n("go-to-file",{fontCharacter:"\\ea94"}),n.symbolEnum=new n("symbol-enum",{fontCharacter:"\\ea95"}),n.symbolValue=new n("symbol-value",{fontCharacter:"\\ea95"}),n.symbolRuler=new n("symbol-ruler",{fontCharacter:"\\ea96"}),n.symbolUnit=new n("symbol-unit",{fontCharacter:"\\ea96"}),n.activateBreakpoints=new n("activate-breakpoints",{fontCharacter:"\\ea97"}),n.archive=new n("archive",{fontCharacter:"\\ea98"}),n.arrowBoth=new n("arrow-both",{fontCharacter:"\\ea99"}),n.arrowDown=new n("arrow-down",{fontCharacter:"\\ea9a"}),n.arrowLeft=new n("arrow-left",{fontCharacter:"\\ea9b"}),n.arrowRight=new n("arrow-right",{fontCharacter:"\\ea9c"}),n.arrowSmallDown=new n("arrow-small-down",{fontCharacter:"\\ea9d"}),n.arrowSmallLeft=new n("arrow-small-left",{fontCharacter:"\\ea9e"}),n.arrowSmallRight=new n("arrow-small-right",{fontCharacter:"\\ea9f"}),n.arrowSmallUp=new n("arrow-small-up",{fontCharacter:"\\eaa0"}),n.arrowUp=new n("arrow-up",{fontCharacter:"\\eaa1"}),n.bell=new n("bell",{fontCharacter:"\\eaa2"}),n.bold=new n("bold",{fontCharacter:"\\eaa3"}),n.book=new n("book",{fontCharacter:"\\eaa4"}),n.bookmark=new n("bookmark",{fontCharacter:"\\eaa5"}),n.debugBreakpointConditionalUnverified=new n("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),n.debugBreakpointConditional=new n("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),n.debugBreakpointConditionalDisabled=new n("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),n.debugBreakpointDataUnverified=new n("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),n.debugBreakpointData=new n("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),n.debugBreakpointDataDisabled=new n("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),n.debugBreakpointLogUnverified=new n("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),n.debugBreakpointLog=new n("debug-breakpoint-log",{fontCharacter:"\\eaab"}),n.debugBreakpointLogDisabled=new n("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),n.briefcase=new n("briefcase",{fontCharacter:"\\eaac"}),n.broadcast=new n("broadcast",{fontCharacter:"\\eaad"}),n.browser=new n("browser",{fontCharacter:"\\eaae"}),n.bug=new n("bug",{fontCharacter:"\\eaaf"}),n.calendar=new n("calendar",{fontCharacter:"\\eab0"}),n.caseSensitive=new n("case-sensitive",{fontCharacter:"\\eab1"}),n.check=new n("check",{fontCharacter:"\\eab2"}),n.checklist=new n("checklist",{fontCharacter:"\\eab3"}),n.chevronDown=new n("chevron-down",{fontCharacter:"\\eab4"}),n.chevronLeft=new n("chevron-left",{fontCharacter:"\\eab5"}),n.chevronRight=new n("chevron-right",{fontCharacter:"\\eab6"}),n.chevronUp=new n("chevron-up",{fontCharacter:"\\eab7"}),n.chromeClose=new n("chrome-close",{fontCharacter:"\\eab8"}),n.chromeMaximize=new n("chrome-maximize",{fontCharacter:"\\eab9"}),n.chromeMinimize=new n("chrome-minimize",{fontCharacter:"\\eaba"}),n.chromeRestore=new n("chrome-restore",{fontCharacter:"\\eabb"}),n.circleOutline=new n("circle-outline",{fontCharacter:"\\eabc"}),n.debugBreakpointUnverified=new n("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),n.circleSlash=new n("circle-slash",{fontCharacter:"\\eabd"}),n.circuitBoard=new n("circuit-board",{fontCharacter:"\\eabe"}),n.clearAll=new n("clear-all",{fontCharacter:"\\eabf"}),n.clippy=new n("clippy",{fontCharacter:"\\eac0"}),n.closeAll=new n("close-all",{fontCharacter:"\\eac1"}),n.cloudDownload=new n("cloud-download",{fontCharacter:"\\eac2"}),n.cloudUpload=new n("cloud-upload",{fontCharacter:"\\eac3"}),n.code=new n("code",{fontCharacter:"\\eac4"}),n.collapseAll=new n("collapse-all",{fontCharacter:"\\eac5"}),n.colorMode=new n("color-mode",{fontCharacter:"\\eac6"}),n.commentDiscussion=new n("comment-discussion",{fontCharacter:"\\eac7"}),n.compareChanges=new n("compare-changes",{fontCharacter:"\\eafd"}),n.creditCard=new n("credit-card",{fontCharacter:"\\eac9"}),n.dash=new n("dash",{fontCharacter:"\\eacc"}),n.dashboard=new n("dashboard",{fontCharacter:"\\eacd"}),n.database=new n("database",{fontCharacter:"\\eace"}),n.debugContinue=new n("debug-continue",{fontCharacter:"\\eacf"}),n.debugDisconnect=new n("debug-disconnect",{fontCharacter:"\\ead0"}),n.debugPause=new n("debug-pause",{fontCharacter:"\\ead1"}),n.debugRestart=new n("debug-restart",{fontCharacter:"\\ead2"}),n.debugStart=new n("debug-start",{fontCharacter:"\\ead3"}),n.debugStepInto=new n("debug-step-into",{fontCharacter:"\\ead4"}),n.debugStepOut=new n("debug-step-out",{fontCharacter:"\\ead5"}),n.debugStepOver=new n("debug-step-over",{fontCharacter:"\\ead6"}),n.debugStop=new n("debug-stop",{fontCharacter:"\\ead7"}),n.debug=new n("debug",{fontCharacter:"\\ead8"}),n.deviceCameraVideo=new n("device-camera-video",{fontCharacter:"\\ead9"}),n.deviceCamera=new n("device-camera",{fontCharacter:"\\eada"}),n.deviceMobile=new n("device-mobile",{fontCharacter:"\\eadb"}),n.diffAdded=new n("diff-added",{fontCharacter:"\\eadc"}),n.diffIgnored=new n("diff-ignored",{fontCharacter:"\\eadd"}),n.diffModified=new n("diff-modified",{fontCharacter:"\\eade"}),n.diffRemoved=new n("diff-removed",{fontCharacter:"\\eadf"}),n.diffRenamed=new n("diff-renamed",{fontCharacter:"\\eae0"}),n.diff=new n("diff",{fontCharacter:"\\eae1"}),n.discard=new n("discard",{fontCharacter:"\\eae2"}),n.editorLayout=new n("editor-layout",{fontCharacter:"\\eae3"}),n.emptyWindow=new n("empty-window",{fontCharacter:"\\eae4"}),n.exclude=new n("exclude",{fontCharacter:"\\eae5"}),n.extensions=new n("extensions",{fontCharacter:"\\eae6"}),n.eyeClosed=new n("eye-closed",{fontCharacter:"\\eae7"}),n.fileBinary=new n("file-binary",{fontCharacter:"\\eae8"}),n.fileCode=new n("file-code",{fontCharacter:"\\eae9"}),n.fileMedia=new n("file-media",{fontCharacter:"\\eaea"}),n.filePdf=new n("file-pdf",{fontCharacter:"\\eaeb"}),n.fileSubmodule=new n("file-submodule",{fontCharacter:"\\eaec"}),n.fileSymlinkDirectory=new n("file-symlink-directory",{fontCharacter:"\\eaed"}),n.fileSymlinkFile=new n("file-symlink-file",{fontCharacter:"\\eaee"}),n.fileZip=new n("file-zip",{fontCharacter:"\\eaef"}),n.files=new n("files",{fontCharacter:"\\eaf0"}),n.filter=new n("filter",{fontCharacter:"\\eaf1"}),n.flame=new n("flame",{fontCharacter:"\\eaf2"}),n.foldDown=new n("fold-down",{fontCharacter:"\\eaf3"}),n.foldUp=new n("fold-up",{fontCharacter:"\\eaf4"}),n.fold=new n("fold",{fontCharacter:"\\eaf5"}),n.folderActive=new n("folder-active",{fontCharacter:"\\eaf6"}),n.folderOpened=new n("folder-opened",{fontCharacter:"\\eaf7"}),n.gear=new n("gear",{fontCharacter:"\\eaf8"}),n.gift=new n("gift",{fontCharacter:"\\eaf9"}),n.gistSecret=new n("gist-secret",{fontCharacter:"\\eafa"}),n.gist=new n("gist",{fontCharacter:"\\eafb"}),n.gitCommit=new n("git-commit",{fontCharacter:"\\eafc"}),n.gitCompare=new n("git-compare",{fontCharacter:"\\eafd"}),n.gitMerge=new n("git-merge",{fontCharacter:"\\eafe"}),n.githubAction=new n("github-action",{fontCharacter:"\\eaff"}),n.githubAlt=new n("github-alt",{fontCharacter:"\\eb00"}),n.globe=new n("globe",{fontCharacter:"\\eb01"}),n.grabber=new n("grabber",{fontCharacter:"\\eb02"}),n.graph=new n("graph",{fontCharacter:"\\eb03"}),n.gripper=new n("gripper",{fontCharacter:"\\eb04"}),n.heart=new n("heart",{fontCharacter:"\\eb05"}),n.home=new n("home",{fontCharacter:"\\eb06"}),n.horizontalRule=new n("horizontal-rule",{fontCharacter:"\\eb07"}),n.hubot=new n("hubot",{fontCharacter:"\\eb08"}),n.inbox=new n("inbox",{fontCharacter:"\\eb09"}),n.issueClosed=new n("issue-closed",{fontCharacter:"\\eb0a"}),n.issueReopened=new n("issue-reopened",{fontCharacter:"\\eb0b"}),n.issues=new n("issues",{fontCharacter:"\\eb0c"}),n.italic=new n("italic",{fontCharacter:"\\eb0d"}),n.jersey=new n("jersey",{fontCharacter:"\\eb0e"}),n.json=new n("json",{fontCharacter:"\\eb0f"}),n.kebabVertical=new n("kebab-vertical",{fontCharacter:"\\eb10"}),n.key=new n("key",{fontCharacter:"\\eb11"}),n.law=new n("law",{fontCharacter:"\\eb12"}),n.lightbulbAutofix=new n("lightbulb-autofix",{fontCharacter:"\\eb13"}),n.linkExternal=new n("link-external",{fontCharacter:"\\eb14"}),n.link=new n("link",{fontCharacter:"\\eb15"}),n.listOrdered=new n("list-ordered",{fontCharacter:"\\eb16"}),n.listUnordered=new n("list-unordered",{fontCharacter:"\\eb17"}),n.liveShare=new n("live-share",{fontCharacter:"\\eb18"}),n.loading=new n("loading",{fontCharacter:"\\eb19"}),n.location=new n("location",{fontCharacter:"\\eb1a"}),n.mailRead=new n("mail-read",{fontCharacter:"\\eb1b"}),n.mail=new n("mail",{fontCharacter:"\\eb1c"}),n.markdown=new n("markdown",{fontCharacter:"\\eb1d"}),n.megaphone=new n("megaphone",{fontCharacter:"\\eb1e"}),n.mention=new n("mention",{fontCharacter:"\\eb1f"}),n.milestone=new n("milestone",{fontCharacter:"\\eb20"}),n.mortarBoard=new n("mortar-board",{fontCharacter:"\\eb21"}),n.move=new n("move",{fontCharacter:"\\eb22"}),n.multipleWindows=new n("multiple-windows",{fontCharacter:"\\eb23"}),n.mute=new n("mute",{fontCharacter:"\\eb24"}),n.noNewline=new n("no-newline",{fontCharacter:"\\eb25"}),n.note=new n("note",{fontCharacter:"\\eb26"}),n.octoface=new n("octoface",{fontCharacter:"\\eb27"}),n.openPreview=new n("open-preview",{fontCharacter:"\\eb28"}),n.package_=new n("package",{fontCharacter:"\\eb29"}),n.paintcan=new n("paintcan",{fontCharacter:"\\eb2a"}),n.pin=new n("pin",{fontCharacter:"\\eb2b"}),n.play=new n("play",{fontCharacter:"\\eb2c"}),n.run=new n("run",{fontCharacter:"\\eb2c"}),n.plug=new n("plug",{fontCharacter:"\\eb2d"}),n.preserveCase=new n("preserve-case",{fontCharacter:"\\eb2e"}),n.preview=new n("preview",{fontCharacter:"\\eb2f"}),n.project=new n("project",{fontCharacter:"\\eb30"}),n.pulse=new n("pulse",{fontCharacter:"\\eb31"}),n.question=new n("question",{fontCharacter:"\\eb32"}),n.quote=new n("quote",{fontCharacter:"\\eb33"}),n.radioTower=new n("radio-tower",{fontCharacter:"\\eb34"}),n.reactions=new n("reactions",{fontCharacter:"\\eb35"}),n.references=new n("references",{fontCharacter:"\\eb36"}),n.refresh=new n("refresh",{fontCharacter:"\\eb37"}),n.regex=new n("regex",{fontCharacter:"\\eb38"}),n.remoteExplorer=new n("remote-explorer",{fontCharacter:"\\eb39"}),n.remote=new n("remote",{fontCharacter:"\\eb3a"}),n.remove=new n("remove",{fontCharacter:"\\eb3b"}),n.replaceAll=new n("replace-all",{fontCharacter:"\\eb3c"}),n.replace=new n("replace",{fontCharacter:"\\eb3d"}),n.repoClone=new n("repo-clone",{fontCharacter:"\\eb3e"}),n.repoForcePush=new n("repo-force-push",{fontCharacter:"\\eb3f"}),n.repoPull=new n("repo-pull",{fontCharacter:"\\eb40"}),n.repoPush=new n("repo-push",{fontCharacter:"\\eb41"}),n.report=new n("report",{fontCharacter:"\\eb42"}),n.requestChanges=new n("request-changes",{fontCharacter:"\\eb43"}),n.rocket=new n("rocket",{fontCharacter:"\\eb44"}),n.rootFolderOpened=new n("root-folder-opened",{fontCharacter:"\\eb45"}),n.rootFolder=new n("root-folder",{fontCharacter:"\\eb46"}),n.rss=new n("rss",{fontCharacter:"\\eb47"}),n.ruby=new n("ruby",{fontCharacter:"\\eb48"}),n.saveAll=new n("save-all",{fontCharacter:"\\eb49"}),n.saveAs=new n("save-as",{fontCharacter:"\\eb4a"}),n.save=new n("save",{fontCharacter:"\\eb4b"}),n.screenFull=new n("screen-full",{fontCharacter:"\\eb4c"}),n.screenNormal=new n("screen-normal",{fontCharacter:"\\eb4d"}),n.searchStop=new n("search-stop",{fontCharacter:"\\eb4e"}),n.server=new n("server",{fontCharacter:"\\eb50"}),n.settingsGear=new n("settings-gear",{fontCharacter:"\\eb51"}),n.settings=new n("settings",{fontCharacter:"\\eb52"}),n.shield=new n("shield",{fontCharacter:"\\eb53"}),n.smiley=new n("smiley",{fontCharacter:"\\eb54"}),n.sortPrecedence=new n("sort-precedence",{fontCharacter:"\\eb55"}),n.splitHorizontal=new n("split-horizontal",{fontCharacter:"\\eb56"}),n.splitVertical=new n("split-vertical",{fontCharacter:"\\eb57"}),n.squirrel=new n("squirrel",{fontCharacter:"\\eb58"}),n.starFull=new n("star-full",{fontCharacter:"\\eb59"}),n.starHalf=new n("star-half",{fontCharacter:"\\eb5a"}),n.symbolClass=new n("symbol-class",{fontCharacter:"\\eb5b"}),n.symbolColor=new n("symbol-color",{fontCharacter:"\\eb5c"}),n.symbolConstant=new n("symbol-constant",{fontCharacter:"\\eb5d"}),n.symbolEnumMember=new n("symbol-enum-member",{fontCharacter:"\\eb5e"}),n.symbolField=new n("symbol-field",{fontCharacter:"\\eb5f"}),n.symbolFile=new n("symbol-file",{fontCharacter:"\\eb60"}),n.symbolInterface=new n("symbol-interface",{fontCharacter:"\\eb61"}),n.symbolKeyword=new n("symbol-keyword",{fontCharacter:"\\eb62"}),n.symbolMisc=new n("symbol-misc",{fontCharacter:"\\eb63"}),n.symbolOperator=new n("symbol-operator",{fontCharacter:"\\eb64"}),n.symbolProperty=new n("symbol-property",{fontCharacter:"\\eb65"}),n.wrench=new n("wrench",{fontCharacter:"\\eb65"}),n.wrenchSubaction=new n("wrench-subaction",{fontCharacter:"\\eb65"}),n.symbolSnippet=new n("symbol-snippet",{fontCharacter:"\\eb66"}),n.tasklist=new n("tasklist",{fontCharacter:"\\eb67"}),n.telescope=new n("telescope",{fontCharacter:"\\eb68"}),n.textSize=new n("text-size",{fontCharacter:"\\eb69"}),n.threeBars=new n("three-bars",{fontCharacter:"\\eb6a"}),n.thumbsdown=new n("thumbsdown",{fontCharacter:"\\eb6b"}),n.thumbsup=new n("thumbsup",{fontCharacter:"\\eb6c"}),n.tools=new n("tools",{fontCharacter:"\\eb6d"}),n.triangleDown=new n("triangle-down",{fontCharacter:"\\eb6e"}),n.triangleLeft=new n("triangle-left",{fontCharacter:"\\eb6f"}),n.triangleRight=new n("triangle-right",{fontCharacter:"\\eb70"}),n.triangleUp=new n("triangle-up",{fontCharacter:"\\eb71"}),n.twitter=new n("twitter",{fontCharacter:"\\eb72"}),n.unfold=new n("unfold",{fontCharacter:"\\eb73"}),n.unlock=new n("unlock",{fontCharacter:"\\eb74"}),n.unmute=new n("unmute",{fontCharacter:"\\eb75"}),n.unverified=new n("unverified",{fontCharacter:"\\eb76"}),n.verified=new n("verified",{fontCharacter:"\\eb77"}),n.versions=new n("versions",{fontCharacter:"\\eb78"}),n.vmActive=new n("vm-active",{fontCharacter:"\\eb79"}),n.vmOutline=new n("vm-outline",{fontCharacter:"\\eb7a"}),n.vmRunning=new n("vm-running",{fontCharacter:"\\eb7b"}),n.watch=new n("watch",{fontCharacter:"\\eb7c"}),n.whitespace=new n("whitespace",{fontCharacter:"\\eb7d"}),n.wholeWord=new n("whole-word",{fontCharacter:"\\eb7e"}),n.window=new n("window",{fontCharacter:"\\eb7f"}),n.wordWrap=new n("word-wrap",{fontCharacter:"\\eb80"}),n.zoomIn=new n("zoom-in",{fontCharacter:"\\eb81"}),n.zoomOut=new n("zoom-out",{fontCharacter:"\\eb82"}),n.listFilter=new n("list-filter",{fontCharacter:"\\eb83"}),n.listFlat=new n("list-flat",{fontCharacter:"\\eb84"}),n.listSelection=new n("list-selection",{fontCharacter:"\\eb85"}),n.selection=new n("selection",{fontCharacter:"\\eb85"}),n.listTree=new n("list-tree",{fontCharacter:"\\eb86"}),n.debugBreakpointFunctionUnverified=new n("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),n.debugBreakpointFunction=new n("debug-breakpoint-function",{fontCharacter:"\\eb88"}),n.debugBreakpointFunctionDisabled=new n("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),n.debugStackframeActive=new n("debug-stackframe-active",{fontCharacter:"\\eb89"}),n.debugStackframeDot=new n("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),n.debugStackframe=new n("debug-stackframe",{fontCharacter:"\\eb8b"}),n.debugStackframeFocused=new n("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),n.debugBreakpointUnsupported=new n("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),n.symbolString=new n("symbol-string",{fontCharacter:"\\eb8d"}),n.debugReverseContinue=new n("debug-reverse-continue",{fontCharacter:"\\eb8e"}),n.debugStepBack=new n("debug-step-back",{fontCharacter:"\\eb8f"}),n.debugRestartFrame=new n("debug-restart-frame",{fontCharacter:"\\eb90"}),n.callIncoming=new n("call-incoming",{fontCharacter:"\\eb92"}),n.callOutgoing=new n("call-outgoing",{fontCharacter:"\\eb93"}),n.menu=new n("menu",{fontCharacter:"\\eb94"}),n.expandAll=new n("expand-all",{fontCharacter:"\\eb95"}),n.feedback=new n("feedback",{fontCharacter:"\\eb96"}),n.groupByRefType=new n("group-by-ref-type",{fontCharacter:"\\eb97"}),n.ungroupByRefType=new n("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),n.account=new n("account",{fontCharacter:"\\eb99"}),n.bellDot=new n("bell-dot",{fontCharacter:"\\eb9a"}),n.debugConsole=new n("debug-console",{fontCharacter:"\\eb9b"}),n.library=new n("library",{fontCharacter:"\\eb9c"}),n.output=new n("output",{fontCharacter:"\\eb9d"}),n.runAll=new n("run-all",{fontCharacter:"\\eb9e"}),n.syncIgnored=new n("sync-ignored",{fontCharacter:"\\eb9f"}),n.pinned=new n("pinned",{fontCharacter:"\\eba0"}),n.githubInverted=new n("github-inverted",{fontCharacter:"\\eba1"}),n.debugAlt=new n("debug-alt",{fontCharacter:"\\eb91"}),n.serverProcess=new n("server-process",{fontCharacter:"\\eba2"}),n.serverEnvironment=new n("server-environment",{fontCharacter:"\\eba3"}),n.pass=new n("pass",{fontCharacter:"\\eba4"}),n.stopCircle=new n("stop-circle",{fontCharacter:"\\eba5"}),n.playCircle=new n("play-circle",{fontCharacter:"\\eba6"}),n.record=new n("record",{fontCharacter:"\\eba7"}),n.debugAltSmall=new n("debug-alt-small",{fontCharacter:"\\eba8"}),n.vmConnect=new n("vm-connect",{fontCharacter:"\\eba9"}),n.cloud=new n("cloud",{fontCharacter:"\\ebaa"}),n.merge=new n("merge",{fontCharacter:"\\ebab"}),n.exportIcon=new n("export",{fontCharacter:"\\ebac"}),n.graphLeft=new n("graph-left",{fontCharacter:"\\ebad"}),n.magnet=new n("magnet",{fontCharacter:"\\ebae"}),n.notebook=new n("notebook",{fontCharacter:"\\ebaf"}),n.redo=new n("redo",{fontCharacter:"\\ebb0"}),n.checkAll=new n("check-all",{fontCharacter:"\\ebb1"}),n.pinnedDirty=new n("pinned-dirty",{fontCharacter:"\\ebb2"}),n.passFilled=new n("pass-filled",{fontCharacter:"\\ebb3"}),n.circleLargeFilled=new n("circle-large-filled",{fontCharacter:"\\ebb4"}),n.circleLargeOutline=new n("circle-large-outline",{fontCharacter:"\\ebb5"}),n.combine=new n("combine",{fontCharacter:"\\ebb6"}),n.gather=new n("gather",{fontCharacter:"\\ebb6"}),n.table=new n("table",{fontCharacter:"\\ebb7"}),n.variableGroup=new n("variable-group",{fontCharacter:"\\ebb8"}),n.typeHierarchy=new n("type-hierarchy",{fontCharacter:"\\ebb9"}),n.typeHierarchySub=new n("type-hierarchy-sub",{fontCharacter:"\\ebba"}),n.typeHierarchySuper=new n("type-hierarchy-super",{fontCharacter:"\\ebbb"}),n.gitPullRequestCreate=new n("git-pull-request-create",{fontCharacter:"\\ebbc"}),n.runAbove=new n("run-above",{fontCharacter:"\\ebbd"}),n.runBelow=new n("run-below",{fontCharacter:"\\ebbe"}),n.notebookTemplate=new n("notebook-template",{fontCharacter:"\\ebbf"}),n.debugRerun=new n("debug-rerun",{fontCharacter:"\\ebc0"}),n.workspaceTrusted=new n("workspace-trusted",{fontCharacter:"\\ebc1"}),n.workspaceUntrusted=new n("workspace-untrusted",{fontCharacter:"\\ebc2"}),n.workspaceUnspecified=new n("workspace-unspecified",{fontCharacter:"\\ebc3"}),n.terminalCmd=new n("terminal-cmd",{fontCharacter:"\\ebc4"}),n.terminalDebian=new n("terminal-debian",{fontCharacter:"\\ebc5"}),n.terminalLinux=new n("terminal-linux",{fontCharacter:"\\ebc6"}),n.terminalPowershell=new n("terminal-powershell",{fontCharacter:"\\ebc7"}),n.terminalTmux=new n("terminal-tmux",{fontCharacter:"\\ebc8"}),n.terminalUbuntu=new n("terminal-ubuntu",{fontCharacter:"\\ebc9"}),n.terminalBash=new n("terminal-bash",{fontCharacter:"\\ebca"}),n.arrowSwap=new n("arrow-swap",{fontCharacter:"\\ebcb"}),n.copy=new n("copy",{fontCharacter:"\\ebcc"}),n.personAdd=new n("person-add",{fontCharacter:"\\ebcd"}),n.filterFilled=new n("filter-filled",{fontCharacter:"\\ebce"}),n.wand=new n("wand",{fontCharacter:"\\ebcf"}),n.debugLineByLine=new n("debug-line-by-line",{fontCharacter:"\\ebd0"}),n.inspect=new n("inspect",{fontCharacter:"\\ebd1"}),n.dropDownButton=new n("drop-down-button",n.chevronDown.definition)}(I=e.Codicon||(e.Codicon={}))}),define(fe[92],me([0,1,15,6]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function k(h){const c=h;return c?[c.on,c.pause,c.resume,c.destroy].every(f=>typeof f=="function"):!1}e.isReadableStream=k;function y(h){const c=h;return c?k(c.stream)&&Array.isArray(c.buffer)&&typeof c.ended=="boolean":!1}e.isReadableBufferedStream=y;function A(h,c){return new I(h,c)}e.newWriteableStream=A;class I{constructor(c,f){this.reducer=c,this.options=f,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(c){if(!this.state.destroyed){if(this.state.flowing)this.emitData(c);else if(this.buffer.data.push(c),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(f=>this.pendingWritePromises.push(f))}}error(c){this.state.destroyed||(this.state.flowing?this.emitError(c):this.buffer.error.push(c))}end(c){this.state.destroyed||(typeof c!="undefined"&&this.write(c),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(c){this.listeners.data.slice(0).forEach(f=>f(c))}emitError(c){this.listeners.error.length===0?g.onUnexpectedError(c):this.listeners.error.slice(0).forEach(f=>f(c))}emitEnd(){this.listeners.end.slice(0).forEach(c=>c())}on(c,f){if(!this.state.destroyed)switch(c){case"data":this.listeners.data.push(f),this.resume();break;case"end":this.listeners.end.push(f),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(f),this.state.flowing&&this.flowErrors();break}}removeListener(c,f){if(this.state.destroyed)return;let t;switch(c){case"data":t=this.listeners.data;break;case"end":t=this.listeners.end;break;case"error":t=this.listeners.error;break}if(t){const r=t.indexOf(f);r>=0&&t.splice(r,1)}}flowData(){if(this.buffer.data.length>0){const c=this.reducer(this.buffer.data);this.emitData(c),this.buffer.data.length=0;const f=[...this.pendingWritePromises];this.pendingWritePromises.length=0,f.forEach(t=>t())}}flowErrors(){if(this.listeners.error.length>0){for(const c of this.buffer.error)this.emitError(c);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function E(h,c){const f=[];let t;for(;(t=h.read())!==null;)f.push(t);return c(f)}e.consumeReadable=E;function C(h,c,f){const t=[];let r;for(;(r=h.read())!==null&&t.length<f;)t.push(r);return r===null&&t.length>0?c(t):{read:()=>{if(t.length>0)return t.shift();if(typeof r!="undefined"){const s=r;return r=void 0,s}return h.read()}}}e.peekReadable=C;function n(h,c){return new Promise((f,t)=>{const r=[];P(h,{onData:s=>{c&&r.push(s)},onError:s=>{c?t(s):f(void 0)},onEnd:()=>{f(c?c(r):void 0)}})})}e.consumeStream=n;function P(h,c){h.on("error",f=>c.onError(f)),h.on("end",()=>c.onEnd()),h.on("data",f=>c.onData(f))}e.listenStream=P;function d(h,c){return new Promise((f,t)=>{const r=new R.DisposableStore,s=[],i=p=>{if(s.push(p),s.length>c)return r.dispose(),h.pause(),f({stream:h,buffer:s,ended:!1})},a=p=>t(p),v=()=>f({stream:h,buffer:s,ended:!0});r.add(R.toDisposable(()=>h.removeListener("error",a))),h.on("error",a),r.add(R.toDisposable(()=>h.removeListener("end",v))),h.on("end",v),r.add(R.toDisposable(()=>h.removeListener("data",i))),h.on("data",i)})}e.peekStream=d;function m(h,c){const f=A(c);return f.end(h),f}e.toStream=m;function l(){const h=A(()=>{throw new Error("not supported")});return h.end(),h}e.emptyStream=l;function u(h){let c=!1;return{read:()=>c?null:(c=!0,h)}}e.toReadable=u;function S(h,c,f){const t=A(f);return P(h,{onData:r=>t.write(c.data(r)),onError:r=>t.error(c.error?c.error(r):r),onEnd:()=>t.end()}),t}e.transform=S;function w(h,c,f){let t=!1;return{read:()=>{const r=c.read();return t?r:(t=!0,r!==null?f([h,r]):h)}}}e.prefixedReadable=w;function b(h,c,f){let t=!1;const r=A(f);return P(c,{onData:s=>t?r.write(s):(t=!0,r.write(f([h,s]))),onError:s=>r.error(s),onEnd:()=>{t||(t=!0,r.write(h)),r.end()}}),r}e.prefixedStream=b}),define(fe[8],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLeftDeleteOffset=e.GraphemeBreakType=e.breakBetweenGraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsEmoji=e.containsRTL=e.decodeUTF8=e.encodeUTF8=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format2=e.format=e.isFalsyOrWhitespace=void 0;function g(G){return!G||typeof G!="string"?!0:G.trim().length===0}e.isFalsyOrWhitespace=g;const R=/{(\d+)}/g;function k(G,...pe){return pe.length===0?G:G.replace(R,function(Se,Ae){const Me=parseInt(Ae,10);return isNaN(Me)||Me<0||Me>=pe.length?Se:pe[Me]})}e.format=k;const y=/{([^}]+)}/g;function A(G,pe){return G.replace(y,(Se,Ae)=>pe[Ae]??Se)}e.format2=A;function I(G){return G.replace(/[<>&]/g,function(pe){switch(pe){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return pe}})}e.escape=I;function E(G){return G.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=E;function C(G,pe){let Se=0;const Ae=pe.charCodeAt(0);for(let Me=G.length-1;Me>=0;Me--)G.charCodeAt(Me)===Ae&&Se++;return Se}e.count=C;function n(G,pe,Se="\u2026"){return G.length<=pe?G:`${G.substr(0,pe)}${Se}`}e.truncate=n;function P(G,pe=" "){const Se=d(G,pe);return m(Se,pe)}e.trim=P;function d(G,pe){if(!G||!pe)return G;const Se=pe.length;if(Se===0||G.length===0)return G;let Ae=0;for(;G.indexOf(pe,Ae)===Ae;)Ae=Ae+Se;return G.substring(Ae)}e.ltrim=d;function m(G,pe){if(!G||!pe)return G;const Se=pe.length,Ae=G.length;if(Se===0||Ae===0)return G;let Me=Ae,je=-1;for(;je=G.lastIndexOf(pe,Me-1),!(je===-1||je+Se!==Me);){if(je===0)return"";Me=je}return G.substring(0,Me)}e.rtrim=m;function l(G){return G.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=l;function u(G){return G.replace(/\*/g,"")}e.stripWildcards=u;function S(G,pe,Se={}){if(!G)throw new Error("Cannot create regex from empty string");pe||(G=E(G)),Se.wholeWord&&(/\B/.test(G.charAt(0))||(G="\\b"+G),/\B/.test(G.charAt(G.length-1))||(G=G+"\\b"));let Ae="";return Se.global&&(Ae+="g"),Se.matchCase||(Ae+="i"),Se.multiline&&(Ae+="m"),Se.unicode&&(Ae+="u"),new RegExp(G,Ae)}e.createRegExp=S;function w(G){return G.source==="^"||G.source==="^$"||G.source==="$"||G.source==="^\\s*$"?!1:!!(G.exec("")&&G.lastIndex===0)}e.regExpLeadsToEndlessLoop=w;function b(G){return!!G.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=b;function h(G){return(G.global?"g":"")+(G.ignoreCase?"i":"")+(G.multiline?"m":"")+(G.unicode?"u":"")}e.regExpFlags=h;function c(G){return G.split(/\r\n|\r|\n/)}e.splitLines=c;function f(G){for(let pe=0,Se=G.length;pe<Se;pe++){const Ae=G.charCodeAt(pe);if(Ae!==32&&Ae!==9)return pe}return-1}e.firstNonWhitespaceIndex=f;function t(G,pe=0,Se=G.length){for(let Ae=pe;Ae<Se;Ae++){const Me=G.charCodeAt(Ae);if(Me!==32&&Me!==9)return G.substring(pe,Ae)}return G.substring(pe,Se)}e.getLeadingWhitespace=t;function r(G,pe=G.length-1){for(let Se=pe;Se>=0;Se--){const Ae=G.charCodeAt(Se);if(Ae!==32&&Ae!==9)return Se}return-1}e.lastNonWhitespaceIndex=r;function s(G,pe){return G<pe?-1:G>pe?1:0}e.compare=s;function i(G,pe,Se=0,Ae=G.length,Me=0,je=pe.length){for(;Se<Ae&&Me<je;Se++,Me++){let Ye=G.charCodeAt(Se),lt=pe.charCodeAt(Me);if(Ye<lt)return-1;if(Ye>lt)return 1}const tt=Ae-Se,Xe=je-Me;return tt<Xe?-1:tt>Xe?1:0}e.compareSubstring=i;function a(G,pe){return v(G,pe,0,G.length,0,pe.length)}e.compareIgnoreCase=a;function v(G,pe,Se=0,Ae=G.length,Me=0,je=pe.length){for(;Se<Ae&&Me<je;Se++,Me++){let Ye=G.charCodeAt(Se),lt=pe.charCodeAt(Me);if(Ye===lt)continue;const ut=Ye-lt;if(!(ut===32&&_(lt))&&!(ut===-32&&_(Ye)))return p(Ye)&&p(lt)?ut:i(G.toLowerCase(),pe.toLowerCase(),Se,Ae,Me,je)}const tt=Ae-Se,Xe=je-Me;return tt<Xe?-1:tt>Xe?1:0}e.compareSubstringIgnoreCase=v;function p(G){return G>=97&&G<=122}e.isLowerAsciiLetter=p;function _(G){return G>=65&&G<=90}e.isUpperAsciiLetter=_;function D(G){return p(G)||_(G)}function o(G,pe){return G.length===pe.length&&T(G,pe)}e.equalsIgnoreCase=o;function T(G,pe,Se=G.length){for(let Ae=0;Ae<Se;Ae++){const Me=G.charCodeAt(Ae),je=pe.charCodeAt(Ae);if(Me!==je){if(D(Me)&&D(je)){const tt=Math.abs(Me-je);if(tt!==0&&tt!==32)return!1}else if(String.fromCharCode(Me).toLowerCase()!==String.fromCharCode(je).toLowerCase())return!1}}return!0}function L(G,pe){const Se=pe.length;return pe.length>G.length?!1:T(G,pe,Se)}e.startsWithIgnoreCase=L;function H(G,pe){let Se,Ae=Math.min(G.length,pe.length);for(Se=0;Se<Ae;Se++)if(G.charCodeAt(Se)!==pe.charCodeAt(Se))return Se;return Ae}e.commonPrefixLength=H;function B(G,pe){let Se,Ae=Math.min(G.length,pe.length);const Me=G.length-1,je=pe.length-1;for(Se=0;Se<Ae;Se++)if(G.charCodeAt(Me-Se)!==pe.charCodeAt(je-Se))return Se;return Ae}e.commonSuffixLength=B;function Q(G){return 55296<=G&&G<=56319}e.isHighSurrogate=Q;function z(G){return 56320<=G&&G<=57343}e.isLowSurrogate=z;function N(G,pe){return(G-55296<<10)+(pe-56320)+65536}e.computeCodePoint=N;function W(G,pe,Se){const Ae=G.charCodeAt(Se);if(Q(Ae)&&Se+1<pe){const Me=G.charCodeAt(Se+1);if(z(Me))return N(Ae,Me)}return Ae}e.getNextCodePoint=W;function F(G,pe){const Se=G.charCodeAt(pe-1);if(z(Se)&&pe>1){const Ae=G.charCodeAt(pe-2);if(Q(Ae))return N(Ae,Se)}return Se}function q(G,pe){const Se=ke.getInstance(),Ae=pe,Me=G.length,je=W(G,Me,pe);pe+=je>=65536?2:1;let tt=Se.getGraphemeBreakType(je);for(;pe<Me;){const Xe=W(G,Me,pe),Ye=Se.getGraphemeBreakType(Xe);if($e(tt,Ye))break;pe+=Xe>=65536?2:1,tt=Ye}return pe-Ae}e.nextCharLength=q;function M(G,pe){const Se=ke.getInstance(),Ae=pe,Me=F(G,pe);pe-=Me>=65536?2:1;let je=Se.getGraphemeBreakType(Me);for(;pe>0;){const tt=F(G,pe),Xe=Se.getGraphemeBreakType(tt);if($e(Xe,je))break;pe-=tt>=65536?2:1,je=Xe}return Ae-pe}e.prevCharLength=M;function O(G,pe){const Se=ke.getInstance(),Ae=G.length,Me=pe,je=W(G,Ae,pe),tt=Se.getGraphemeBreakType(je);pe+=je>=65536?2:1;let Xe=tt;for(;pe<Ae;){const lt=W(G,Ae,pe),ut=Se.getGraphemeBreakType(lt);if($e(Xe,ut))break;pe+=lt>=65536?2:1,Xe=ut}const Ye=pe;for(pe=Me,Xe=tt;pe>0;){const lt=F(G,pe),ut=Se.getGraphemeBreakType(lt);if($e(ut,Xe))break;pe-=lt>=65536?2:1,Xe=ut}return[pe,Ye]}function x(G,pe){return pe>0&&z(G.charCodeAt(pe))?O(G,pe-1):O(G,pe)}e.getCharContainingOffset=x;function $(G){const pe=G.length;let Se=0,Ae=0;for(;Ae<pe;){const tt=W(G,pe,Ae);Ae+=tt>=65536?2:1,tt<128?Se+=1:tt<2048?Se+=2:tt<65536?Se+=3:Se+=4}const Me=new Uint8Array(Se);Ae=0;let je=0;for(;Ae<pe;){const tt=W(G,pe,Ae);Ae+=tt>=65536?2:1,tt<128?Me[je++]=tt:tt<2048?(Me[je++]=192|(tt&1984)>>>6,Me[je++]=128|(tt&63)>>>0):tt<65536?(Me[je++]=224|(tt&61440)>>>12,Me[je++]=128|(tt&4032)>>>6,Me[je++]=128|(tt&63)>>>0):(Me[je++]=240|(tt&1835008)>>>18,Me[je++]=128|(tt&258048)>>>12,Me[je++]=128|(tt&4032)>>>6,Me[je++]=128|(tt&63)>>>0)}return Me}e.encodeUTF8=$;function J(G){const pe=G.byteLength,Se=[];let Ae=0;for(;Ae<pe;){const Me=G[Ae];let je;if(Me>=240&&Ae+3<pe?je=(G[Ae++]&7)<<18>>>0|(G[Ae++]&63)<<12>>>0|(G[Ae++]&63)<<6>>>0|(G[Ae++]&63)<<0>>>0:Me>=224&&Ae+2<pe?je=(G[Ae++]&15)<<12>>>0|(G[Ae++]&63)<<6>>>0|(G[Ae++]&63)<<0>>>0:Me>=192&&Ae+1<pe?je=(G[Ae++]&31)<<6>>>0|(G[Ae++]&63)<<0>>>0:je=G[Ae++],je>=0&&je<=55295||je>=57344&&je<=65535)Se.push(String.fromCharCode(je));else if(je>=65536&&je<=1114111){const tt=je-65536,Xe=55296+((tt&1047552)>>>10),Ye=56320+((tt&1023)>>>0);Se.push(String.fromCharCode(Xe)),Se.push(String.fromCharCode(Ye))}else Se.push(String.fromCharCode(65533))}return Se.join("")}e.decodeUTF8=J;const de=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function Ee(G){return de.test(G)}e.containsRTL=Ee;const Fe=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function Re(G){return Fe.test(G)}e.containsEmoji=Re;const Ne=/^[\t\n\r\x20-\x7E]*$/;function qe(G){return Ne.test(G)}e.isBasicASCII=qe,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function Ve(G){return e.UNUSUAL_LINE_TERMINATORS.test(G)}e.containsUnusualLineTerminators=Ve;function Ge(G){for(let pe=0,Se=G.length;pe<Se;pe++)if(j(G.charCodeAt(pe)))return!0;return!1}e.containsFullWidthCharacter=Ge;function j(G){return G=+G,G>=11904&&G<=55215||G>=63744&&G<=64255||G>=65281&&G<=65374}e.isFullWidthCharacter=j;function ee(G){return G>=127462&&G<=127487||G===8986||G===8987||G===9200||G===9203||G>=9728&&G<=10175||G===11088||G===11093||G>=127744&&G<=128591||G>=128640&&G<=128764||G>=128992&&G<=129003||G>=129280&&G<=129535||G>=129648&&G<=129750}e.isEmojiImprecise=ee;function re(G,pe){if(G.length<pe)return G;const Se=/\b/g;let Ae=0;for(;Se.test(G)&&!(G.length-Se.lastIndex<pe);)Ae=Se.lastIndex,Se.lastIndex+=1;return G.substring(Ae).replace(/^\s/,"")}e.lcut=re;const ae=/\x1B\x5B[12]?K/g,Z=/\x1b\[\d+m/g,se=/\x1b\[0?m/g;function ve(G){return G&&(G=G.replace(ae,""),G=G.replace(Z,""),G=G.replace(se,"")),G}e.removeAnsiEscapeCodes=ve,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function Le(G){return!!(G&&G.length>0&&G.charCodeAt(0)===65279)}e.startsWithUTF8BOM=Le;function He(G){return Le(G)?G.substr(1):G}e.stripUTF8BOM=He;function be(G,pe){if(!G||!pe||G.length<pe.length)return!1;const Se=pe.length,Ae=G.toLowerCase();let Me=0,je=-1;for(;Me<Se;){const tt=Ae.indexOf(pe[Me],je+1);if(tt<0)return!1;je=tt,Me++}return!0}e.fuzzyContains=be;function Je(G,pe=!1){return G?(pe&&(G=G.replace(/\\./g,"")),G.toLowerCase()!==G):!1}e.containsUppercaseCharacter=Je;function K(G){return G.charAt(0).toUpperCase()+G.slice(1)}e.uppercaseFirstLetter=K;function ne(G,pe=1){if(pe===0)return"";let Se=-1;do Se=G.indexOf(`
`,Se+1),pe--;while(pe>0&&Se>=0);return Se===-1?G:(G[Se-1]==="\r"&&Se--,G.substr(0,Se))}e.getNLines=ne;function he(G){const pe=90-65+1;return G=G%(2*pe),G<pe?String.fromCharCode(97+G):String.fromCharCode(65+G-pe)}e.singleLetterHash=he;function xe(G){return ke.getInstance().getGraphemeBreakType(G)}e.getGraphemeBreakType=xe;function $e(G,pe){return G===0?pe!==5&&pe!==7:G===2&&pe===3?!1:G===4||G===2||G===3||pe===4||pe===2||pe===3?!0:!(G===8&&(pe===8||pe===9||pe===11||pe===12)||(G===11||G===9)&&(pe===9||pe===10)||(G===12||G===10)&&pe===10||pe===5||pe===13||pe===7||G===1||G===13&&pe===14||G===6&&pe===6)}e.breakBetweenGraphemeBreakType=$e;var et;(function(G){G[G.Other=0]="Other",G[G.Prepend=1]="Prepend",G[G.CR=2]="CR",G[G.LF=3]="LF",G[G.Control=4]="Control",G[G.Extend=5]="Extend",G[G.Regional_Indicator=6]="Regional_Indicator",G[G.SpacingMark=7]="SpacingMark",G[G.L=8]="L",G[G.V=9]="V",G[G.T=10]="T",G[G.LV=11]="LV",G[G.LVT=12]="LVT",G[G.ZWJ=13]="ZWJ",G[G.Extended_Pictographic=14]="Extended_Pictographic"})(et=e.GraphemeBreakType||(e.GraphemeBreakType={}));class ke{constructor(){this._data=Ce()}static getInstance(){return ke._INSTANCE||(ke._INSTANCE=new ke),ke._INSTANCE}getGraphemeBreakType(pe){if(pe<32)return pe===10?3:pe===13?2:4;if(pe<127)return 0;const Se=this._data,Ae=Se.length/3;let Me=1;for(;Me<=Ae;)if(pe<Se[3*Me])Me=2*Me;else if(pe>Se[3*Me+1])Me=2*Me+1;else return Se[3*Me+2];return 0}}ke._INSTANCE=null;function Ce(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}function Pe(G,pe){if(G===0)return 0;const Se=oe(G,pe);if(Se!==void 0)return Se;const Ae=F(pe,G);return G-=ce(Ae),G}e.getLeftDeleteOffset=Pe;function oe(G,pe){let Se=F(pe,G);for(G-=ce(Se);ge(Se)||Se===65039||Se===8419;){if(G===0)return;Se=F(pe,G),G-=ce(Se)}if(!!ee(Se)){if(G>=0){const Ae=F(pe,G);Ae===8205&&(G-=ce(Ae))}return G}}function ce(G){return G>=65536?2:1}function ge(G){return 127995<=G&&G<=127999}var we;(function(G){G[G.zwj=8205]="zwj",G[G.emojiVariantSelector=65039]="emojiVariantSelector",G[G.enclosingKeyCap=8419]="enclosingKeyCap"})(we||(we={}))}),define(fe[23],me([0,1,8,92]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const k=typeof Buffer!="undefined",y=typeof TextEncoder!="undefined",A=typeof TextDecoder!="undefined";let I,E;class C{constructor(p){this.buffer=p,this.byteLength=this.buffer.byteLength}static alloc(p){return k?new C(Buffer.allocUnsafe(p)):new C(new Uint8Array(p))}static wrap(p){return k&&!Buffer.isBuffer(p)&&(p=Buffer.from(p.buffer,p.byteOffset,p.byteLength)),new C(p)}static fromString(p,_){return!(_?.dontUseNodeBuffer||!1)&&k?new C(Buffer.from(p)):y?(I||(I=new TextEncoder),new C(I.encode(p))):new C(g.encodeUTF8(p))}static concat(p,_){if(typeof _=="undefined"){_=0;for(let T=0,L=p.length;T<L;T++)_+=p[T].byteLength}const D=C.alloc(_);let o=0;for(let T=0,L=p.length;T<L;T++){const H=p[T];D.set(H,o),o+=H.byteLength}return D}toString(){return k?this.buffer.toString():A?(E||(E=new TextDecoder),E.decode(this.buffer)):g.decodeUTF8(this.buffer)}slice(p,_){return new C(this.buffer.subarray(p,_))}set(p,_){p instanceof C?this.buffer.set(p.buffer,_):this.buffer.set(p,_)}readUInt32BE(p){return d(this.buffer,p)}writeUInt32BE(p,_){m(this.buffer,p,_)}readUInt32LE(p){return l(this.buffer,p)}writeUInt32LE(p,_){u(this.buffer,p,_)}readUInt8(p){return S(this.buffer,p)}writeUInt8(p,_){w(this.buffer,p,_)}}e.VSBuffer=C;function n(v,p){return v[p+0]<<0>>>0|v[p+1]<<8>>>0}e.readUInt16LE=n;function P(v,p,_){v[_+0]=p&255,p=p>>>8,v[_+1]=p&255}e.writeUInt16LE=P;function d(v,p){return v[p]*2**24+v[p+1]*2**16+v[p+2]*2**8+v[p+3]}e.readUInt32BE=d;function m(v,p,_){v[_+3]=p,p=p>>>8,v[_+2]=p,p=p>>>8,v[_+1]=p,p=p>>>8,v[_]=p}e.writeUInt32BE=m;function l(v,p){return v[p+0]<<0>>>0|v[p+1]<<8>>>0|v[p+2]<<16>>>0|v[p+3]<<24>>>0}e.readUInt32LE=l;function u(v,p,_){v[_+0]=p&255,p=p>>>8,v[_+1]=p&255,p=p>>>8,v[_+2]=p&255,p=p>>>8,v[_+3]=p&255}e.writeUInt32LE=u;function S(v,p){return v[p]}e.readUInt8=S;function w(v,p,_){v[_]=p}e.writeUInt8=w;function b(v){return R.consumeReadable(v,p=>C.concat(p))}e.readableToBuffer=b;function h(v){return R.toReadable(v)}e.bufferToReadable=h;function c(v){return R.consumeStream(v,p=>C.concat(p))}e.streamToBuffer=c;async function f(v){return v.ended?C.concat(v.buffer):C.concat([...v.buffer,await c(v.stream)])}e.bufferedStreamToBuffer=f;function t(v){return R.toStream(v,p=>C.concat(p))}e.bufferToStream=t;function r(v){return R.transform(v,{data:p=>typeof p=="string"?C.fromString(p):C.wrap(p)},p=>C.concat(p))}e.streamToBufferReadableStream=r;function s(v){return R.newWriteableStream(p=>C.concat(p),v)}e.newWriteableBufferStream=s;function i(v,p){return R.prefixedReadable(v,p,_=>C.concat(_))}e.prefixedBufferReadable=i;function a(v,p){return R.prefixedStream(v,p,_=>C.concat(_))}e.prefixedBufferStream=a}),define(fe[73],me([0,1,8]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.doHash=e.hash=void 0;function R(w){return k(w,0)}e.hash=R;function k(w,b){switch(typeof w){case"object":return w===null?y(349,b):Array.isArray(w)?E(w,b):C(w,b);case"string":return I(w,b);case"boolean":return A(w,b);case"number":return y(w,b);case"undefined":return y(937,b);default:return y(617,b)}}e.doHash=k;function y(w,b){return(b<<5)-b+w|0}function A(w,b){return y(w?433:863,b)}function I(w,b){b=y(149417,b);for(let h=0,c=w.length;h<c;h++)b=y(w.charCodeAt(h),b);return b}e.stringHash=I;function E(w,b){return b=y(104579,b),w.reduce((h,c)=>k(c,h),b)}function C(w,b){return b=y(181387,b),Object.keys(w).sort().reduce((h,c)=>(h=I(c,h),k(w[c],h)),b)}class n{constructor(){this._value=0}get value(){return this._value}hash(b){return this._value=k(b,this._value),this._value}}e.Hasher=n;var P;(function(w){w[w.BLOCK_SIZE=64]="BLOCK_SIZE",w[w.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(P||(P={}));function d(w,b,h=32){const c=h-b,f=~((1<<c)-1);return(w<<b|(f&w)>>>c)>>>0}function m(w,b=0,h=w.byteLength,c=0){for(let f=0;f<h;f++)w[b+f]=c}function l(w,b,h="0"){for(;w.length<b;)w=h+w;return w}function u(w,b=32){return w instanceof ArrayBuffer?Array.from(new Uint8Array(w)).map(h=>h.toString(16).padStart(2,"0")).join(""):l((w>>>0).toString(16),b/4)}e.toHexString=u;class S{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(b){const h=b.length;if(h===0)return;const c=this._buff;let f=this._buffLen,t=this._leftoverHighSurrogate,r,s;for(t!==0?(r=t,s=-1,t=0):(r=b.charCodeAt(0),s=0);;){let i=r;if(g.isHighSurrogate(r))if(s+1<h){const a=b.charCodeAt(s+1);g.isLowSurrogate(a)?(s++,i=g.computeCodePoint(r,a)):i=65533}else{t=r;break}else g.isLowSurrogate(r)&&(i=65533);if(f=this._push(c,f,i),s++,s<h)r=b.charCodeAt(s);else break}this._buffLen=f,this._leftoverHighSurrogate=t}_push(b,h,c){return c<128?b[h++]=c:c<2048?(b[h++]=192|(c&1984)>>>6,b[h++]=128|(c&63)>>>0):c<65536?(b[h++]=224|(c&61440)>>>12,b[h++]=128|(c&4032)>>>6,b[h++]=128|(c&63)>>>0):(b[h++]=240|(c&1835008)>>>18,b[h++]=128|(c&258048)>>>12,b[h++]=128|(c&4032)>>>6,b[h++]=128|(c&63)>>>0),h>=64&&(this._step(),h-=64,this._totalLen+=64,b[0]=b[64+0],b[1]=b[64+1],b[2]=b[64+2]),h}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),u(this._h0)+u(this._h1)+u(this._h2)+u(this._h3)+u(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,m(this._buff,this._buffLen),this._buffLen>56&&(this._step(),m(this._buff));const b=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(b/4294967296),!1),this._buffDV.setUint32(60,b%4294967296,!1),this._step()}_step(){const b=S._bigBlock32,h=this._buffDV;for(let p=0;p<64;p+=4)b.setUint32(p,h.getUint32(p,!1),!1);for(let p=64;p<320;p+=4)b.setUint32(p,d(b.getUint32(p-12,!1)^b.getUint32(p-32,!1)^b.getUint32(p-56,!1)^b.getUint32(p-64,!1),1),!1);let c=this._h0,f=this._h1,t=this._h2,r=this._h3,s=this._h4,i,a,v;for(let p=0;p<80;p++)p<20?(i=f&t|~f&r,a=1518500249):p<40?(i=f^t^r,a=1859775393):p<60?(i=f&t|f&r|t&r,a=2400959708):(i=f^t^r,a=3395469782),v=d(c,5)+i+s+a+b.getUint32(p*4,!1)&4294967295,s=r,r=t,t=d(f,30),f=c,c=v;this._h0=this._h0+c&4294967295,this._h1=this._h1+f&4294967295,this._h2=this._h2+t&4294967295,this._h3=this._h3+r&4294967295,this._h4=this._h4+s&4294967295}}e.StringSHA1=S,S._bigBlock32=new DataView(new ArrayBuffer(320))}),define(fe[56],me([0,1,8]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var R;(function(k){k[k.Ignore=0]="Ignore",k[k.Info=1]="Info",k[k.Warning=2]="Warning",k[k.Error=3]="Error"})(R||(R={})),function(k){const y="error",A="warning",I="warn",E="info",C="ignore";function n(d){return d?g.equalsIgnoreCase(y,d)?k.Error:g.equalsIgnoreCase(A,d)||g.equalsIgnoreCase(I,d)?k.Warning:g.equalsIgnoreCase(E,d)?k.Info:k.Ignore:k.Ignore}k.fromValue=n;function P(d){switch(d){case k.Error:return y;case k.Warning:return A;case k.Info:return E;default:return C}}k.toString=P}(R||(R={})),e.default=R}),define(fe[14],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.assertNever=e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isIterable=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function g(p){return Array.isArray(p)}e.isArray=g;function R(p){return typeof p=="string"}e.isString=R;function k(p){return Array.isArray(p)&&p.every(_=>R(_))}e.isStringArray=k;function y(p){return typeof p=="object"&&p!==null&&!Array.isArray(p)&&!(p instanceof RegExp)&&!(p instanceof Date)}e.isObject=y;function A(p){return typeof p=="number"&&!isNaN(p)}e.isNumber=A;function I(p){return!!p&&typeof p[Symbol.iterator]=="function"}e.isIterable=I;function E(p){return p===!0||p===!1}e.isBoolean=E;function C(p){return typeof p=="undefined"}e.isUndefined=C;function n(p){return!P(p)}e.isDefined=n;function P(p){return C(p)||p===null}e.isUndefinedOrNull=P;function d(p,_){if(!p)throw new Error(_?`Unexpected type, expected '${_}'`:"Unexpected type")}e.assertType=d;function m(p){if(P(p))throw new Error("Assertion Failed: argument is undefined or null");return p}e.assertIsDefined=m;function l(...p){const _=[];for(let D=0;D<p.length;D++){const o=p[D];if(P(o))throw new Error(`Assertion Failed: argument at index ${D} is undefined or null`);_.push(o)}return _}e.assertAllDefined=l;const u=Object.prototype.hasOwnProperty;function S(p){if(!y(p))return!1;for(let _ in p)if(u.call(p,_))return!1;return!0}e.isEmptyObject=S;function w(p){return typeof p=="function"}e.isFunction=w;function b(...p){return p.length>0&&p.every(w)}e.areFunctions=b;function h(p,_){const D=Math.min(p.length,_.length);for(let o=0;o<D;o++)c(p[o],_[o])}e.validateConstraints=h;function c(p,_){if(R(_)){if(typeof p!==_)throw new Error(`argument does not match constraint: typeof ${_}`)}else if(w(_)){try{if(p instanceof _)return}catch{}if(!P(p)&&p.constructor===_||_.length===1&&_.call(void 0,p)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=c;function f(p){let _=[],D=Object.getPrototypeOf(p);for(;Object.prototype!==D;)_=_.concat(Object.getOwnPropertyNames(D)),D=Object.getPrototypeOf(D);return _}e.getAllPropertyNames=f;function t(p){const _=[];for(const D of f(p))typeof p[D]=="function"&&_.push(D);return _}e.getAllMethodNames=t;function r(p,_){const D=T=>function(){const L=Array.prototype.slice.call(arguments,0);return _(T,L)};let o={};for(const T of p)o[T]=D(T);return o}e.createProxyObject=r;function s(p){return p===null?void 0:p}e.withNullAsUndefined=s;function i(p){return typeof p=="undefined"?null:p}e.withUndefinedAsNull=i;function a(p){return class{constructor(){return new Proxy({},{get(_,D){if(_[D])return _[D];throw new Error(`Not Implemented: ${p}->${String(D)}`)}})}}}e.NotImplementedProxy=a;function v(p){throw new Error("Unreachable")}e.assertNever=v}),define(fe[29],me([0,1,11,8,9,14]),function(X,e,g,R,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function A(s){return s===47||s===92}e.isPathSeparator=A;function I(s){return s.replace(/[\\/]/g,k.posix.sep)}e.toSlashes=I;function E(s){return s.indexOf("/")===-1&&(s=I(s)),/^[a-zA-Z]:(\/|$)/.test(s)&&(s="/"+s),s}e.toPosixPath=E;function C(s,i=k.posix.sep){if(!s)return"";const a=s.length,v=s.charCodeAt(0);if(A(v)){if(A(s.charCodeAt(1))&&!A(s.charCodeAt(2))){let _=3;const D=_;for(;_<a&&!A(s.charCodeAt(_));_++);if(D!==_&&!A(s.charCodeAt(_+1))){for(_+=1;_<a;_++)if(A(s.charCodeAt(_)))return s.slice(0,_+1).replace(/[\\/]/g,i)}}return i}else if(w(v)&&s.charCodeAt(1)===58)return A(s.charCodeAt(2))?s.slice(0,2)+i:s.slice(0,2);let p=s.indexOf("://");if(p!==-1){for(p+=3;p<a;p++)if(A(s.charCodeAt(p)))return s.slice(0,p+1)}return""}e.getRoot=C;function n(s){if(!g.isWindows||!s||s.length<5)return!1;let i=s.charCodeAt(0);if(i!==92||(i=s.charCodeAt(1),i!==92))return!1;let a=2;const v=a;for(;a<s.length&&(i=s.charCodeAt(a),i!==92);a++);return!(v===a||(i=s.charCodeAt(a+1),isNaN(i)||i===92))}e.isUNC=n;const P=/[\\/:\*\?"<>\|]/g,d=/[\\/]/g,m=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function l(s,i=g.isWindows){const a=i?P:d;return!(!s||s.length===0||/^\s+$/.test(s)||(a.lastIndex=0,a.test(s))||i&&m.test(s)||s==="."||s===".."||i&&s[s.length-1]==="."||i&&s.length!==s.trim().length||s.length>255)}e.isValidBasename=l;function u(s,i,a){const v=s===i;return!a||v?v:!s||!i?!1:R.equalsIgnoreCase(s,i)}e.isEqual=u;function S(s,i,a,v=k.sep){if(s===i)return!0;if(!s||!i||i.length>s.length)return!1;if(a){if(!R.startsWithIgnoreCase(s,i))return!1;if(i.length===s.length)return!0;let _=i.length;return i.charAt(i.length-1)===v&&_--,s.charAt(_)===v}return i.charAt(i.length-1)!==v&&(i+=v),s.indexOf(i)===0}e.isEqualOrParent=S;function w(s){return s>=65&&s<=90||s>=97&&s<=122}e.isWindowsDriveLetter=w;function b(s,i){return g.isWindows&&s.endsWith(":")&&(s+=k.sep),k.isAbsolute(s)||(s=k.join(i,s)),s=k.normalize(s),g.isWindows?(s=R.rtrim(s,k.sep),s.endsWith(":")&&(s+=k.sep)):(s=R.rtrim(s,k.sep),s||(s=k.sep)),s}e.sanitizeFilePath=b;function h(s){const i=k.normalize(s);return g.isWindows?s.length>3?!1:c(i)&&(s.length===2||i.charCodeAt(2)===92):i===k.posix.sep}e.isRootOrDriveLetter=h;function c(s){return g.isWindows?w(s.charCodeAt(0))&&s.charCodeAt(1)===58:!1}e.hasDriveLetter=c;function f(s){return c(s)?s[0]:void 0}e.getDriveLetter=f;function t(s,i,a){return i.length>s.length?-1:s===i?0:(a&&(s=s.toLowerCase(),i=i.toLowerCase()),s.indexOf(i))}e.indexOfPath=t;function r(s){const i=s.split(":");let a,v,p;if(i.forEach(_=>{const D=Number(_);y.isNumber(D)?v===void 0?v=D:p===void 0&&(p=D):a=a?[a,_].join(":"):_}),!a)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:a,line:v!==void 0?v:void 0,column:p!==void 0?p:v!==void 0?1:void 0}}e.parseLineAndColumnAware=r}),define(fe[25],me([0,1,14]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.filter=e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function R(u){if(!u||typeof u!="object"||u instanceof RegExp)return u;const S=Array.isArray(u)?[]:{};return Object.keys(u).forEach(w=>{u[w]&&typeof u[w]=="object"?S[w]=R(u[w]):S[w]=u[w]}),S}e.deepClone=R;function k(u){if(!u||typeof u!="object")return u;const S=[u];for(;S.length>0;){const w=S.shift();Object.freeze(w);for(const b in w)if(y.call(w,b)){const h=w[b];typeof h=="object"&&!Object.isFrozen(h)&&S.push(h)}}return u}e.deepFreeze=k;const y=Object.prototype.hasOwnProperty;function A(u,S){return I(u,S,new Set)}e.cloneAndChange=A;function I(u,S,w){if(g.isUndefinedOrNull(u))return u;const b=S(u);if(typeof b!="undefined")return b;if(g.isArray(u)){const h=[];for(const c of u)h.push(I(c,S,w));return h}if(g.isObject(u)){if(w.has(u))throw new Error("Cannot clone recursive data-structure");w.add(u);const h={};for(let c in u)y.call(u,c)&&(h[c]=I(u[c],S,w));return w.delete(u),h}return u}function E(u,S,w=!0){return g.isObject(u)?(g.isObject(S)&&Object.keys(S).forEach(b=>{b in u?w&&(g.isObject(u[b])&&g.isObject(S[b])?E(u[b],S[b],w):u[b]=S[b]):u[b]=S[b]}),u):S}e.mixin=E;function C(u,S){if(u===S)return!0;if(u==null||S===null||S===void 0||typeof u!=typeof S||typeof u!="object"||Array.isArray(u)!==Array.isArray(S))return!1;let w,b;if(Array.isArray(u)){if(u.length!==S.length)return!1;for(w=0;w<u.length;w++)if(!C(u[w],S[w]))return!1}else{const h=[];for(b in u)h.push(b);h.sort();const c=[];for(b in S)c.push(b);if(c.sort(),!C(h,c))return!1;for(w=0;w<h.length;w++)if(!C(u[h[w]],S[h[w]]))return!1}return!0}e.equals=C;function n(u){const S=new Set;return JSON.stringify(u,(w,b)=>{if(g.isObject(b)||Array.isArray(b)){if(S.has(b))return"[Circular]";S.add(b)}return b})}e.safeStringify=n;function P(u,S,w){const b=S(u);return typeof b=="undefined"?w:b}e.getOrDefault=P;function d(u,S){const w=Object.create(null);return!u||!S||Object.keys(S).forEach(h=>{const c=u[h],f=S[h];C(c,f)||(w[h]=f)}),w}e.distinct=d;function m(u,S){const w=S.toLowerCase(),b=Object.keys(u).find(h=>h.toLowerCase()===w);return b?u[b]:u[S]}e.getCaseInsensitive=m;function l(u,S){const w=Object.create(null);for(const b of Object.keys(u))S(b,u[b])&&(w[b]=u[b]);return w}e.filter=l}),define(fe[93],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toUint32=e.toUint8=e.Constants=void 0;var g;(function(y){y[y.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",y[y.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",y[y.MAX_UINT_8=255]="MAX_UINT_8",y[y.MAX_UINT_16=65535]="MAX_UINT_16",y[y.MAX_UINT_32=4294967295]="MAX_UINT_32",y[y.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(g=e.Constants||(e.Constants={}));function R(y){return y<0?0:y>255?255:y|0}e.toUint8=R;function k(y){return y<0?0:y>4294967295?4294967295:y|0}e.toUint32=k}),define(fe[2],me([0,1,11,9]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const k=/^\w[\w\d+.-]*$/,y=/^\//,A=/^\/\//;function I(s,i){if(!s.scheme&&i)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${s.authority}", path: "${s.path}", query: "${s.query}", fragment: "${s.fragment}"}`);if(s.scheme&&!k.test(s.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(s.path){if(s.authority){if(!y.test(s.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(A.test(s.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function E(s,i){return!s&&!i?"file":s}function C(s,i){switch(s){case"https":case"http":case"file":i?i[0]!==P&&(i=P+i):i=P;break}return i}const n="",P="/",d=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class m{constructor(i,a,v,p,_,D=!1){typeof i=="object"?(this.scheme=i.scheme||n,this.authority=i.authority||n,this.path=i.path||n,this.query=i.query||n,this.fragment=i.fragment||n):(this.scheme=E(i,D),this.authority=a||n,this.path=C(this.scheme,v||n),this.query=p||n,this.fragment=_||n,I(this,D))}static isUri(i){return i instanceof m?!0:i?typeof i.authority=="string"&&typeof i.fragment=="string"&&typeof i.path=="string"&&typeof i.query=="string"&&typeof i.scheme=="string"&&typeof i.fsPath=="string"&&typeof i.with=="function"&&typeof i.toString=="function":!1}get fsPath(){return h(this,!1)}with(i){if(!i)return this;let{scheme:a,authority:v,path:p,query:_,fragment:D}=i;return a===void 0?a=this.scheme:a===null&&(a=n),v===void 0?v=this.authority:v===null&&(v=n),p===void 0?p=this.path:p===null&&(p=n),_===void 0?_=this.query:_===null&&(_=n),D===void 0?D=this.fragment:D===null&&(D=n),a===this.scheme&&v===this.authority&&p===this.path&&_===this.query&&D===this.fragment?this:new u(a,v,p,_,D)}static parse(i,a=!1){const v=d.exec(i);return v?new u(v[2]||n,r(v[4]||n),r(v[5]||n),r(v[7]||n),r(v[9]||n),a):new u(n,n,n,n,n)}static file(i){let a=n;if(g.isWindows&&(i=i.replace(/\\/g,P)),i[0]===P&&i[1]===P){const v=i.indexOf(P,2);v===-1?(a=i.substring(2),i=P):(a=i.substring(2,v),i=i.substring(v)||P)}return new u("file",a,i,n,n)}static from(i){const a=new u(i.scheme,i.authority,i.path,i.query,i.fragment);return I(a,!0),a}static joinPath(i,...a){if(!i.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let v;return g.isWindows&&i.scheme==="file"?v=m.file(R.win32.join(h(i,!0),...a)).path:v=R.posix.join(i.path,...a),i.with({path:v})}toString(i=!1){return c(this,i)}toJSON(){return this}static revive(i){if(i){if(i instanceof m)return i;{const a=new u(i);return a._formatted=i.external,a._fsPath=i._sep===l?i.fsPath:null,a}}else return i}}e.URI=m;const l=g.isWindows?1:void 0;class u extends m{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=h(this,!1)),this._fsPath}toString(i=!1){return i?c(this,!0):(this._formatted||(this._formatted=c(this,!1)),this._formatted)}toJSON(){const i={$mid:1};return this._fsPath&&(i.fsPath=this._fsPath,i._sep=l),this._formatted&&(i.external=this._formatted),this.path&&(i.path=this.path),this.scheme&&(i.scheme=this.scheme),this.authority&&(i.authority=this.authority),this.query&&(i.query=this.query),this.fragment&&(i.fragment=this.fragment),i}}const S={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function w(s,i){let a,v=-1;for(let p=0;p<s.length;p++){const _=s.charCodeAt(p);if(_>=97&&_<=122||_>=65&&_<=90||_>=48&&_<=57||_===45||_===46||_===95||_===126||i&&_===47)v!==-1&&(a+=encodeURIComponent(s.substring(v,p)),v=-1),a!==void 0&&(a+=s.charAt(p));else{a===void 0&&(a=s.substr(0,p));const D=S[_];D!==void 0?(v!==-1&&(a+=encodeURIComponent(s.substring(v,p)),v=-1),a+=D):v===-1&&(v=p)}}return v!==-1&&(a+=encodeURIComponent(s.substring(v))),a!==void 0?a:s}function b(s){let i;for(let a=0;a<s.length;a++){const v=s.charCodeAt(a);v===35||v===63?(i===void 0&&(i=s.substr(0,a)),i+=S[v]):i!==void 0&&(i+=s[a])}return i!==void 0?i:s}function h(s,i){let a;return s.authority&&s.path.length>1&&s.scheme==="file"?a=`//${s.authority}${s.path}`:s.path.charCodeAt(0)===47&&(s.path.charCodeAt(1)>=65&&s.path.charCodeAt(1)<=90||s.path.charCodeAt(1)>=97&&s.path.charCodeAt(1)<=122)&&s.path.charCodeAt(2)===58?i?a=s.path.substr(1):a=s.path[1].toLowerCase()+s.path.substr(2):a=s.path,g.isWindows&&(a=a.replace(/\//g,"\\")),a}e.uriToFsPath=h;function c(s,i){const a=i?b:w;let v="",{scheme:p,authority:_,path:D,query:o,fragment:T}=s;if(p&&(v+=p,v+=":"),(_||p==="file")&&(v+=P,v+=P),_){let L=_.indexOf("@");if(L!==-1){const H=_.substr(0,L);_=_.substr(L+1),L=H.indexOf(":"),L===-1?v+=a(H,!1):(v+=a(H.substr(0,L),!1),v+=":",v+=a(H.substr(L+1),!1)),v+="@"}_=_.toLowerCase(),L=_.indexOf(":"),L===-1?v+=a(_,!1):(v+=a(_.substr(0,L),!1),v+=_.substr(L))}if(D){if(D.length>=3&&D.charCodeAt(0)===47&&D.charCodeAt(2)===58){const L=D.charCodeAt(1);L>=65&&L<=90&&(D=`/${String.fromCharCode(L+32)}:${D.substr(3)}`)}else if(D.length>=2&&D.charCodeAt(1)===58){const L=D.charCodeAt(0);L>=65&&L<=90&&(D=`${String.fromCharCode(L+32)}:${D.substr(2)}`)}v+=a(D,!0)}return o&&(v+="?",v+=a(o,!1)),T&&(v+="#",v+=i?T:w(T,!1)),v}function f(s){try{return decodeURIComponent(s)}catch{return s.length>3?s.substr(0,3)+f(s.substr(3)):s}}const t=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function r(s){return s.match(t)?s.replace(t,i=>f(i)):s}});var it=this&&this.__classPrivateFieldSet||function(X,e,g,R,k){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!k)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!k:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?k.call(X,g):k?k.value=g:e.set(X,g),g},Ue=this&&this.__classPrivateFieldGet||function(X,e,g,R){if(g==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!R:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return g==="m"?R:g==="a"?R.call(X):R?R.value:e.get(X)};define(fe[24],me([0,1,2,8]),function(X,e,g,R){"use strict";var k,y,A;Object.defineProperty(e,"__esModule",{value:!0}),e.ReadonlyMapView=e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function I(t,r,s){let i=t.get(r);return i===void 0&&(i=s,t.set(r,i)),i}e.getOrSet=I;function E(t){const r=[];return t.forEach((s,i)=>{r.push(`${i} => ${s}`)}),`Map(${t.size}) {${r.join(", ")}}`}e.mapToString=E;function C(t){const r=[];return t.forEach(s=>{r.push(s)}),`Set(${t.size}) {${r.join(", ")}}`}e.setToString=C;class n{constructor(){this._value="",this._pos=0}reset(r){return this._value=r,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(r){const s=r.charCodeAt(0),i=this._value.charCodeAt(this._pos);return s-i}value(){return this._value[this._pos]}}e.StringIterator=n;class P{constructor(r=!0){this._caseSensitive=r}reset(r){return this._value=r,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let r=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(r)this._from++;else break;else r=!1;return this}cmp(r){return this._caseSensitive?R.compareSubstring(r,this._value,0,r.length,this._from,this._to):R.compareSubstringIgnoreCase(r,this._value,0,r.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=P;class d{constructor(r=!0,s=!0){this._splitOnBackslash=r,this._caseSensitive=s}reset(r){return this._value=r.replace(/\\$|\/$/,""),this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let r=!0;for(;this._to<this._value.length;this._to++){const s=this._value.charCodeAt(this._to);if(s===47||this._splitOnBackslash&&s===92)if(r)this._from++;else break;else r=!1}return this}cmp(r){return this._caseSensitive?R.compareSubstring(r,this._value,0,r.length,this._from,this._to):R.compareSubstringIgnoreCase(r,this._value,0,r.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=d;var m;(function(t){t[t.Scheme=1]="Scheme",t[t.Authority=2]="Authority",t[t.Path=3]="Path",t[t.Query=4]="Query",t[t.Fragment=5]="Fragment"})(m||(m={}));class l{constructor(r){this._ignorePathCasing=r,this._states=[],this._stateIdx=0}reset(r){return this._value=r,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new d(!1,!this._ignorePathCasing(r)),this._pathIterator.reset(r.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(r){if(this._states[this._stateIdx]===1)return R.compareIgnoreCase(r,this._value.scheme);if(this._states[this._stateIdx]===2)return R.compareIgnoreCase(r,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(r);if(this._states[this._stateIdx]===4)return R.compare(r,this._value.query);if(this._states[this._stateIdx]===5)return R.compare(r,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=l;class u{isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}}class S{constructor(r){this._iter=r}static forUris(r=()=>!1){return new S(new l(r))}static forPaths(){return new S(new d)}static forStrings(){return new S(new n)}static forConfigKeys(){return new S(new P)}clear(){this._root=void 0}set(r,s){const i=this._iter.reset(r);let a;for(this._root||(this._root=new u,this._root.segment=i.value()),a=this._root;;){const p=i.cmp(a.segment);if(p>0)a.left||(a.left=new u,a.left.segment=i.value()),a=a.left;else if(p<0)a.right||(a.right=new u,a.right.segment=i.value()),a=a.right;else if(i.hasNext())i.next(),a.mid||(a.mid=new u,a.mid.segment=i.value()),a=a.mid;else break}const v=a.value;return a.value=s,a.key=r,v}get(r){return this._getNode(r)?.value}_getNode(r){const s=this._iter.reset(r);let i=this._root;for(;i;){const a=s.cmp(i.segment);if(a>0)i=i.left;else if(a<0)i=i.right;else if(s.hasNext())s.next(),i=i.mid;else break}return i}has(r){const s=this._getNode(r);return!(s?.value===void 0&&s?.mid===void 0)}delete(r){return this._delete(r,!1)}deleteSuperstr(r){return this._delete(r,!0)}_delete(r,s){const i=this._iter.reset(r),a=[];let v=this._root;for(;v;){const p=i.cmp(v.segment);if(p>0)a.push([1,v]),v=v.left;else if(p<0)a.push([-1,v]),v=v.right;else if(i.hasNext())i.next(),a.push([0,v]),v=v.mid;else{for(s?(v.left=void 0,v.mid=void 0,v.right=void 0):v.value=void 0;a.length>0&&v.isEmpty();){let[_,D]=a.pop();switch(_){case 1:D.left=void 0;break;case 0:D.mid=void 0;break;case-1:D.right=void 0;break}v=D}break}}}findSubstr(r){const s=this._iter.reset(r);let i=this._root,a;for(;i;){const v=s.cmp(i.segment);if(v>0)i=i.left;else if(v<0)i=i.right;else if(s.hasNext())s.next(),a=i.value||a,i=i.mid;else break}return i&&i.value||a}findSuperstr(r){const s=this._iter.reset(r);let i=this._root;for(;i;){const a=s.cmp(i.segment);if(a>0)i=i.left;else if(a<0)i=i.right;else if(s.hasNext())s.next(),i=i.mid;else return i.mid?this._entries(i.mid):void 0}}forEach(r){for(const[s,i]of this)r(i,s)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(r){if(!r)return;const s=[r];for(;s.length>0;){const i=s.pop();i&&(i.value&&(yield[i.key,i.value]),i.left&&s.push(i.left),i.mid&&s.push(i.mid),i.right&&s.push(i.right))}}}e.TernarySearchTree=S;class w{constructor(r,s){this[k]="ResourceMap",r instanceof w?(this.map=new Map(r.map),this.toKey=s??w.defaultToKey):(this.map=new Map,this.toKey=r??w.defaultToKey)}set(r,s){return this.map.set(this.toKey(r),s),this}get(r){return this.map.get(this.toKey(r))}has(r){return this.map.has(this.toKey(r))}get size(){return this.map.size}clear(){this.map.clear()}delete(r){return this.map.delete(this.toKey(r))}forEach(r,s){typeof s!="undefined"&&(r=r.bind(s));for(let[i,a]of this.map)r(a,g.URI.parse(i),this)}values(){return this.map.values()}*keys(){for(let r of this.map.keys())yield g.URI.parse(r)}*entries(){for(let r of this.map.entries())yield[g.URI.parse(r[0]),r[1]]}*[(k=Symbol.toStringTag,Symbol.iterator)](){for(let r of this.map)yield[g.URI.parse(r[0]),r[1]]}}e.ResourceMap=w,w.defaultToKey=t=>t.toString();var b;(function(t){t[t.None=0]="None",t[t.AsOld=1]="AsOld",t[t.AsNew=2]="AsNew"})(b=e.Touch||(e.Touch={}));class h{constructor(){this[y]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(r){return this._map.has(r)}get(r,s=0){const i=this._map.get(r);if(!!i)return s!==0&&this.touch(i,s),i.value}set(r,s,i=0){let a=this._map.get(r);if(a)a.value=s,i!==0&&this.touch(a,i);else{switch(a={key:r,value:s,next:void 0,previous:void 0},i){case 0:this.addItemLast(a);break;case 1:this.addItemFirst(a);break;case 2:this.addItemLast(a);break;default:this.addItemLast(a);break}this._map.set(r,a),this._size++}return this}delete(r){return!!this.remove(r)}remove(r){const s=this._map.get(r);if(!!s)return this._map.delete(r),this.removeItem(s),this._size--,s.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const r=this._head;return this._map.delete(r.key),this.removeItem(r),this._size--,r.value}forEach(r,s){const i=this._state;let a=this._head;for(;a;){if(s?r.bind(s)(a.value,a.key,this):r(a.value,a.key,this),this._state!==i)throw new Error("LinkedMap got modified during iteration.");a=a.next}}keys(){const r=this,s=this._state;let i=this._head;const a={[Symbol.iterator](){return a},next(){if(r._state!==s)throw new Error("LinkedMap got modified during iteration.");if(i){const v={value:i.key,done:!1};return i=i.next,v}else return{value:void 0,done:!0}}};return a}values(){const r=this,s=this._state;let i=this._head;const a={[Symbol.iterator](){return a},next(){if(r._state!==s)throw new Error("LinkedMap got modified during iteration.");if(i){const v={value:i.value,done:!1};return i=i.next,v}else return{value:void 0,done:!0}}};return a}entries(){const r=this,s=this._state;let i=this._head;const a={[Symbol.iterator](){return a},next(){if(r._state!==s)throw new Error("LinkedMap got modified during iteration.");if(i){const v={value:[i.key,i.value],done:!1};return i=i.next,v}else return{value:void 0,done:!0}}};return a}[(y=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(r){if(r>=this.size)return;if(r===0){this.clear();return}let s=this._head,i=this.size;for(;s&&i>r;)this._map.delete(s.key),s=s.next,i--;this._head=s,this._size=i,s&&(s.previous=void 0),this._state++}addItemFirst(r){if(!this._head&&!this._tail)this._tail=r;else if(this._head)r.next=this._head,this._head.previous=r;else throw new Error("Invalid list");this._head=r,this._state++}addItemLast(r){if(!this._head&&!this._tail)this._head=r;else if(this._tail)r.previous=this._tail,this._tail.next=r;else throw new Error("Invalid list");this._tail=r,this._state++}removeItem(r){if(r===this._head&&r===this._tail)this._head=void 0,this._tail=void 0;else if(r===this._head){if(!r.next)throw new Error("Invalid list");r.next.previous=void 0,this._head=r.next}else if(r===this._tail){if(!r.previous)throw new Error("Invalid list");r.previous.next=void 0,this._tail=r.previous}else{const s=r.next,i=r.previous;if(!s||!i)throw new Error("Invalid list");s.previous=i,i.next=s}r.next=void 0,r.previous=void 0,this._state++}touch(r,s){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(s!==1&&s!==2)){if(s===1){if(r===this._head)return;const i=r.next,a=r.previous;r===this._tail?(a.next=void 0,this._tail=a):(i.previous=a,a.next=i),r.previous=void 0,r.next=this._head,this._head.previous=r,this._head=r,this._state++}else if(s===2){if(r===this._tail)return;const i=r.next,a=r.previous;r===this._head?(i.previous=void 0,this._head=i):(i.previous=a,a.next=i),r.next=void 0,r.previous=this._tail,this._tail.next=r,this._tail=r,this._state++}}}toJSON(){const r=[];return this.forEach((s,i)=>{r.push([i,s])}),r}fromJSON(r){this.clear();for(const[s,i]of r)this.set(s,i)}}e.LinkedMap=h;class c extends h{constructor(r,s=1){super();this._limit=r,this._ratio=Math.min(Math.max(0,s),1)}get limit(){return this._limit}set limit(r){this._limit=r,this.checkTrim()}get ratio(){return this._ratio}set ratio(r){this._ratio=Math.min(Math.max(0,r),1),this.checkTrim()}get(r,s=2){return super.get(r,s)}peek(r){return super.get(r,0)}set(r,s){return super.set(r,s,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=c;class f{constructor(r){A.set(this,void 0),it(this,A,r,"f")}get size(){return Ue(this,A,"f").size}forEach(r,s){Ue(this,A,"f").forEach(r,s)}get(r){return Ue(this,A,"f").get(r)}has(r){return Ue(this,A,"f").has(r)}entries(){return Ue(this,A,"f").entries()}keys(){return Ue(this,A,"f").keys()}values(){return Ue(this,A,"f").values()}[(A=new WeakMap,Symbol.iterator)](){return Ue(this,A,"f").entries()}}e.ReadonlyMapView=f}),define(fe[94],me([0,1,24,8]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fuzzyScoreGraceful=e.fuzzyScoreGracefulAggressive=e.fuzzyScore=e.FuzzyScore=e.isPatternInWord=e.createMatches=e.anyScore=e.matchesFuzzy2=e.matchesFuzzy=e.matchesWords=e.matchesCamelCase=e.isUpper=e.matchesSubString=e.matchesContiguousSubString=e.matchesPrefix=e.matchesStrictPrefix=e.or=void 0;function k(...Z){return function(se,ve){for(let Le=0,He=Z.length;Le<He;Le++){const be=Z[Le](se,ve);if(be)return be}return null}}e.or=k,e.matchesStrictPrefix=y.bind(void 0,!1),e.matchesPrefix=y.bind(void 0,!0);function y(Z,se,ve){if(!ve||ve.length<se.length)return null;let Le;return Z?Le=R.startsWithIgnoreCase(ve,se):Le=ve.indexOf(se)===0,Le?se.length>0?[{start:0,end:se.length}]:[]:null}function A(Z,se){const ve=se.toLowerCase().indexOf(Z.toLowerCase());return ve===-1?null:[{start:ve,end:ve+Z.length}]}e.matchesContiguousSubString=A;function I(Z,se){return E(Z.toLowerCase(),se.toLowerCase(),0,0)}e.matchesSubString=I;function E(Z,se,ve,Le){if(ve===Z.length)return[];if(Le===se.length)return null;if(Z[ve]===se[Le]){let He=null;return(He=E(Z,se,ve+1,Le+1))?w({start:Le,end:Le+1},He):null}return E(Z,se,ve,Le+1)}function C(Z){return 97<=Z&&Z<=122}function n(Z){return 65<=Z&&Z<=90}e.isUpper=n;function P(Z){return 48<=Z&&Z<=57}function d(Z){return Z===32||Z===9||Z===10||Z===13}const m=new Set;"`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?".split("").forEach(Z=>m.add(Z.charCodeAt(0)));function l(Z){return d(Z)||m.has(Z)}function u(Z,se){return Z===se||l(Z)&&l(se)}function S(Z){return C(Z)||n(Z)||P(Z)}function w(Z,se){return se.length===0?se=[Z]:Z.end===se[0].start?se[0].start=Z.start:se.unshift(Z),se}function b(Z,se){for(let ve=se;ve<Z.length;ve++){const Le=Z.charCodeAt(ve);if(n(Le)||P(Le)||ve>0&&!S(Z.charCodeAt(ve-1)))return ve}return Z.length}function h(Z,se,ve,Le){if(ve===Z.length)return[];if(Le===se.length)return null;if(Z[ve]!==se[Le].toLowerCase())return null;{let He=null,be=Le+1;for(He=h(Z,se,ve+1,Le+1);!He&&(be=b(se,be))<se.length;)He=h(Z,se,ve+1,be),be++;return He===null?null:w({start:Le,end:Le+1},He)}}function c(Z){let se=0,ve=0,Le=0,He=0,be=0;for(let xe=0;xe<Z.length;xe++)be=Z.charCodeAt(xe),n(be)&&se++,C(be)&&ve++,S(be)&&Le++,P(be)&&He++;const Je=se/Z.length,K=ve/Z.length,ne=Le/Z.length,he=He/Z.length;return{upperPercent:Je,lowerPercent:K,alphaPercent:ne,numericPercent:he}}function f(Z){const{upperPercent:se,lowerPercent:ve}=Z;return ve===0&&se>.6}function t(Z){const{upperPercent:se,lowerPercent:ve,alphaPercent:Le,numericPercent:He}=Z;return ve>.2&&se<.8&&Le>.6&&He<.2}function r(Z){let se=0,ve=0,Le=0,He=0;for(let be=0;be<Z.length;be++)Le=Z.charCodeAt(be),n(Le)&&se++,C(Le)&&ve++,d(Le)&&He++;return(se===0||ve===0)&&He===0?Z.length<=30:se<=5}function s(Z,se){if(!se||(se=se.trim(),se.length===0)||!r(Z)||se.length>60)return null;const ve=c(se);if(!t(ve)){if(!f(ve))return null;se=se.toLowerCase()}let Le=null,He=0;for(Z=Z.toLowerCase();He<se.length&&(Le=h(Z,se,0,He))===null;)He=b(se,He+1);return Le}e.matchesCamelCase=s;function i(Z,se,ve=!1){if(!se||se.length===0)return null;let Le=null,He=0;for(Z=Z.toLowerCase(),se=se.toLowerCase();He<se.length&&(Le=a(Z,se,0,He,ve))===null;)He=v(se,He+1);return Le}e.matchesWords=i;function a(Z,se,ve,Le,He){if(ve===Z.length)return[];if(Le===se.length)return null;if(u(Z.charCodeAt(ve),se.charCodeAt(Le))){let be=null,Je=Le+1;if(be=a(Z,se,ve+1,Le+1,He),!He)for(;!be&&(Je=v(se,Je))<se.length;)be=a(Z,se,ve+1,Je,He),Je++;return be===null?null:w({start:Le,end:Le+1},be)}else return null}function v(Z,se){for(let ve=se;ve<Z.length;ve++)if(l(Z.charCodeAt(ve))||ve>0&&l(Z.charCodeAt(ve-1)))return ve;return Z.length}const p=k(e.matchesPrefix,s,A),_=k(e.matchesPrefix,s,I),D=new g.LRUCache(1e4);function o(Z,se,ve=!1){if(typeof Z!="string"||typeof se!="string")return null;let Le=D.get(Z);Le||(Le=new RegExp(R.convertSimple2RegExpPattern(Z),"i"),D.set(Z,Le));const He=Le.exec(se);return He?[{start:He.index,end:He.index+He[0].length}]:ve?_(Z,se):p(Z,se)}e.matchesFuzzy=o;function T(Z,se){const ve=qe(Z,Z.toLowerCase(),0,se,se.toLowerCase(),0,!0);return ve?H(ve):null}e.matchesFuzzy2=T;function L(Z,se,ve,Le,He,be){const Je=Math.min(13,Z.length);for(;ve<Je;ve++){const K=qe(Z,se,ve,Le,He,be,!1);if(K)return K}return[0,be]}e.anyScore=L;function H(Z){if(typeof Z=="undefined")return[];const se=[],ve=Z[1];for(let Le=Z.length-1;Le>1;Le--){const He=Z[Le]+ve,be=se[se.length-1];be&&be.end===He?be.end=He+1:se.push({start:He,end:He+1})}return se}e.createMatches=H;const B=128;function Q(){const Z=[],se=[];for(let ve=0;ve<=B;ve++)se[ve]=0;for(let ve=0;ve<=B;ve++)Z.push(se.slice(0));return Z}function z(Z){const se=[];for(let ve=0;ve<=Z;ve++)se[ve]=0;return se}const N=z(2*B),W=z(2*B),F=Q(),q=Q(),M=Q(),O=!1;function x(Z,se,ve,Le,He){function be(K,ne,he=" "){for(;K.length<ne;)K=he+K;return K}let Je=` |   |${Le.split("").map(K=>be(K,3)).join("|")}
`;for(let K=0;K<=ve;K++)K===0?Je+=" |":Je+=`${se[K-1]}|`,Je+=Z[K].slice(0,He+1).map(ne=>be(ne.toString(),3)).join("|")+`
`;return Je}function $(Z,se,ve,Le){Z=Z.substr(se),ve=ve.substr(Le),console.log(x(q,Z,Z.length,ve,ve.length)),console.log(x(M,Z,Z.length,ve,ve.length)),console.log(x(F,Z,Z.length,ve,ve.length))}function J(Z,se){if(se<0||se>=Z.length)return!1;const ve=Z.codePointAt(se);switch(ve){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 40:case 91:return!0;case void 0:return!1;default:return!!R.isEmojiImprecise(ve)}}function de(Z,se){if(se<0||se>=Z.length)return!1;switch(Z.charCodeAt(se)){case 32:case 9:return!0;default:return!1}}function Ee(Z,se,ve){return se[Z]!==ve[Z]}function Fe(Z,se,ve,Le,He,be,Je=!1){for(;se<ve&&He<be;)Z[se]===Le[He]&&(Je&&(N[se]=He),se+=1),He+=1;return se===ve}e.isPatternInWord=Fe;var Re;(function(Z){Z[Z.Diag=1]="Diag",Z[Z.Left=2]="Left",Z[Z.LeftLeft=3]="LeftLeft"})(Re||(Re={}));var Ne;(function(Z){Z.Default=[-100,0];function se(ve){return!ve||ve.length===2&&ve[0]===-100&&ve[1]===0}Z.isDefault=se})(Ne=e.FuzzyScore||(e.FuzzyScore={}));function qe(Z,se,ve,Le,He,be,Je){const K=Z.length>B?B:Z.length,ne=Le.length>B?B:Le.length;if(ve>=K||be>=ne||K-ve>ne-be||!Fe(se,ve,K,He,be,ne,!0))return;Ve(K,ne,ve,be,se,He);let he=1,xe=1,$e=ve,et=be;const ke=[!1];for(he=1,$e=ve;$e<K;he++,$e++){const ge=N[$e],we=W[$e],G=$e+1<K?W[$e+1]:ne;for(xe=ge-be+1,et=ge;et<G;xe++,et++){let pe=Number.MIN_SAFE_INTEGER,Se=!1;et<=we&&(pe=Ge(Z,se,$e,ve,Le,He,et,ne,be,F[he-1][xe-1]===0,ke));let Ae=0;pe!==Number.MAX_SAFE_INTEGER&&(Se=!0,Ae=pe+q[he-1][xe-1]);const Me=et>ge,je=Me?q[he][xe-1]+(F[he][xe-1]>0?-5:0):0,tt=et>ge+1&&F[he][xe-1]>0,Xe=tt?q[he][xe-2]+(F[he][xe-2]>0?-5:0):0;if(tt&&(!Me||Xe>=je)&&(!Se||Xe>=Ae))q[he][xe]=Xe,M[he][xe]=3,F[he][xe]=0;else if(Me&&(!Se||je>=Ae))q[he][xe]=je,M[he][xe]=2,F[he][xe]=0;else if(Se)q[he][xe]=Ae,M[he][xe]=1,F[he][xe]=F[he-1][xe-1]+1;else throw new Error("not possible")}}if(O&&$(Z,ve,Le,be),!ke[0]&&!Je)return;he--,xe--;const Ce=[q[he][xe],be];let Pe=0,oe=0;for(;he>=1;){let ge=xe;do{const we=M[he][ge];if(we===3)ge=ge-2;else if(we===2)ge=ge-1;else break}while(ge>=1);Pe>1&&se[ve+he-1]===He[be+xe-1]&&!Ee(ge+be-1,Le,He)&&Pe+1>F[he][ge]&&(ge=xe),ge===xe?Pe++:Pe=1,oe||(oe=ge),he--,xe=ge-1,Ce.push(xe)}ne===K&&(Ce[0]+=2);const ce=oe-K;return Ce[0]-=ce,Ce}e.fuzzyScore=qe;function Ve(Z,se,ve,Le,He,be){let Je=Z-1,K=se-1;for(;Je>=ve&&K>=Le;)He[Je]===be[K]&&(W[Je]=K,Je--),K--}function Ge(Z,se,ve,Le,He,be,Je,K,ne,he,xe){if(se[ve]!==be[Je])return Number.MIN_SAFE_INTEGER;let $e=1,et=!1;return Je===ve-Le?$e=Z[ve]===He[Je]?7:5:Ee(Je,He,be)&&(Je===0||!Ee(Je-1,He,be))?($e=Z[ve]===He[Je]?7:5,et=!0):J(be,Je)&&(Je===0||!J(be,Je-1))?$e=5:(J(be,Je-1)||de(be,Je-1))&&($e=5,et=!0),$e>1&&ve===Le&&(xe[0]=!0),et||(et=Ee(Je,He,be)||J(be,Je-1)||de(be,Je-1)),ve===Le?Je>ne&&($e-=et?3:5):he?$e+=et?2:0:$e+=et?0:1,Je+1===K&&($e-=et?3:5),$e}function j(Z,se,ve,Le,He,be,Je){return re(Z,se,ve,Le,He,be,!0,Je)}e.fuzzyScoreGracefulAggressive=j;function ee(Z,se,ve,Le,He,be,Je){return re(Z,se,ve,Le,He,be,!1,Je)}e.fuzzyScoreGraceful=ee;function re(Z,se,ve,Le,He,be,Je,K){let ne=qe(Z,se,ve,Le,He,be,K);if(ne&&!Je)return ne;if(Z.length>=3){const he=Math.min(7,Z.length-1);for(let xe=ve+1;xe<he;xe++){const $e=ae(Z,xe);if($e){const et=qe($e,$e.toLowerCase(),ve,Le,He,be,K);et&&(et[0]-=3,(!ne||et[0]>ne[0])&&(ne=et))}}}return ne}function ae(Z,se){if(se+1>=Z.length)return;const ve=Z[se],Le=Z[se+1];if(ve!==Le)return Z.slice(0,se)+Le+ve+Z.slice(se+2)}}),define(fe[138],me([0,1,91,94,8]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesFuzzyIconAware=e.parseLabelWithIcons=e.stripIcons=e.markdownEscapeEscapedIcons=e.escapeIcons=e.iconStartMarker=void 0,e.iconStartMarker="$(";const y=new RegExp(`\\$\\(${g.CSSIcon.iconNameExpression}(?:${g.CSSIcon.iconModifierExpression})?\\)`,"g"),A=new RegExp(`(\\\\)?${y.source}`,"g");function I(u){return u.replace(A,(S,w)=>w?S:`\\${S}`)}e.escapeIcons=I;const E=new RegExp(`\\\\${y.source}`,"g");function C(u){return u.replace(E,S=>`\\${S}`)}e.markdownEscapeEscapedIcons=C;const n=new RegExp(`(\\s)?(\\\\)?${y.source}(\\s)?`,"g");function P(u){return u.indexOf(e.iconStartMarker)===-1?u:u.replace(n,(S,w,b,h)=>b?S:w||h||"")}e.stripIcons=P;function d(u){const S=u.indexOf(e.iconStartMarker);return S===-1?{text:u}:m(u,S)}e.parseLabelWithIcons=d;function m(u,S){const w=[];let b="";function h(v){if(v){b+=v;for(const p of v)w.push(t)}}let c=-1,f="",t=0,r,s,i=S;const a=u.length;for(h(u.substr(0,S));i<a;)r=u[i],s=u[i+1],r===e.iconStartMarker[0]&&s===e.iconStartMarker[1]?(c=i,h(f),f=e.iconStartMarker,i++):r===")"&&c!==-1?(t+=i-c+1,c=-1,f=""):c!==-1?/^[a-z0-9\-]$/i.test(r)?f+=r:(h(f),c=-1,f=""):h(r),i++;return h(f),{text:b,iconOffsets:w}}function l(u,S,w=!1){const{text:b,iconOffsets:h}=S;if(!h||h.length===0)return R.matchesFuzzy(u,b,w);const c=k.ltrim(b," "),f=b.length-c.length,t=R.matchesFuzzy(u,c,w);if(t)for(const r of t){const s=h[r.start+f]+f;r.start+=s,r.end+=s}return t}e.matchesFuzzyIconAware=l}),define(fe[95],me([0,1,138,15]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseHrefAndDimensions=e.removeMarkdownEscapes=e.escapeMarkdownSyntaxTokens=e.markdownStringEqual=e.isMarkdownString=e.isEmptyMarkdownString=e.MarkdownString=e.MarkdownStringTextNewlineStyle=void 0;var k;(function(d){d[d.Paragraph=0]="Paragraph",d[d.Break=1]="Break"})(k=e.MarkdownStringTextNewlineStyle||(e.MarkdownStringTextNewlineStyle={}));class y{constructor(m="",l=!1){if(this.value=m,typeof this.value!="string")throw R.illegalArgument("value");typeof l=="boolean"?(this.isTrusted=l,this.supportThemeIcons=!1):(this.isTrusted=l.isTrusted??void 0,this.supportThemeIcons=l.supportThemeIcons??!1)}appendText(m,l=0){return this.value+=C(this.supportThemeIcons?g.escapeIcons(m):m).replace(/([ \t]+)/g,(u,S)=>"&nbsp;".repeat(S.length)).replace(/^>/gm,"\\>").replace(/\n/g,l===1?`\\
`:`

`),this}appendMarkdown(m){return this.value+=m,this}appendCodeblock(m,l){return this.value+="\n```",this.value+=m,this.value+=`
`,this.value+=l,this.value+="\n```\n",this}}e.MarkdownString=y;function A(d){return I(d)?!d.value:Array.isArray(d)?d.every(A):!0}e.isEmptyMarkdownString=A;function I(d){return d instanceof y?!0:d&&typeof d=="object"?typeof d.value=="string"&&(typeof d.isTrusted=="boolean"||d.isTrusted===void 0)&&(typeof d.supportThemeIcons=="boolean"||d.supportThemeIcons===void 0):!1}e.isMarkdownString=I;function E(d,m){return d===m?!0:!d||!m?!1:d.value===m.value&&d.isTrusted===m.isTrusted&&d.supportThemeIcons===m.supportThemeIcons}e.markdownStringEqual=E;function C(d){return d.replace(/[\\`*_{}[\]()#+\-.!]/g,"\\$&")}e.escapeMarkdownSyntaxTokens=C;function n(d){return d&&d.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1")}e.removeMarkdownEscapes=n;function P(d){const m=[],l=d.split("|").map(S=>S.trim());d=l[0];const u=l[1];if(u){const S=/height=(\d+)/.exec(u),w=/width=(\d+)/.exec(u),b=S?S[1]:"",h=w?w[1]:"",c=isFinite(parseInt(h)),f=isFinite(parseInt(b));c&&m.push(`width="${h}"`),f&&m.push(`height="${b}"`)}return{href:d,dimensions:m}}e.parseHrefAndDimensions=P}),define(fe[57],me([0,1,23,8,2]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.MarshalledId=e.parse=e.stringify=void 0;function y(n){return JSON.stringify(n,E)}e.stringify=y;function A(n){let P=JSON.parse(n);return P=C(P),P}e.parse=A;var I;(function(n){n[n.Uri=1]="Uri",n[n.Regexp=2]="Regexp",n[n.ScmResource=3]="ScmResource",n[n.ScmResourceGroup=4]="ScmResourceGroup",n[n.ScmProvider=5]="ScmProvider",n[n.CommentController=6]="CommentController",n[n.CommentThread=7]="CommentThread",n[n.CommentThreadReply=8]="CommentThreadReply",n[n.CommentNode=9]="CommentNode",n[n.CommentThreadNode=10]="CommentThreadNode",n[n.TimelineActionContext=11]="TimelineActionContext",n[n.NotebookCellActionContext=12]="NotebookCellActionContext",n[n.TestItemContext=13]="TestItemContext"})(I=e.MarshalledId||(e.MarshalledId={}));function E(n,P){return P instanceof RegExp?{$mid:2,source:P.source,flags:R.regExpFlags(P)}:P}function C(n,P=0){if(!n||P>200)return n;if(typeof n=="object"){switch(n.$mid){case 1:return k.URI.revive(n);case 2:return new RegExp(n.source,n.flags)}if(n instanceof g.VSBuffer||n instanceof Uint8Array)return n;if(Array.isArray(n))for(let d=0;d<n.length;++d)n[d]=C(n[d],P+1);else for(const d in n)Object.hasOwnProperty.call(n,d)&&(n[d]=C(n[d],P+1))}return n}e.revive=C}),define(fe[10],me([0,1,2,11]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var k;(function(I){I.inMemory="inmemory",I.vscode="vscode",I.internal="private",I.walkThrough="walkThrough",I.walkThroughSnippet="walkThroughSnippet",I.http="http",I.https="https",I.file="file",I.mailto="mailto",I.untitled="untitled",I.data="data",I.command="command",I.vscodeRemote="vscode-remote",I.vscodeRemoteResource="vscode-remote-resource",I.userData="vscode-userdata",I.vscodeCustomEditor="vscode-custom-editor",I.vscodeNotebook="vscode-notebook",I.vscodeNotebookCell="vscode-notebook-cell",I.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",I.vscodeNotebookCellOutput="vscode-notebook-cell-output",I.vscodeInteractive="vscode-interactive",I.vscodeInteractiveInput="vscode-interactive-input",I.vscodeSettings="vscode-settings",I.vscodeWorkspaceTrust="vscode-workspace-trust",I.vscodeTerminal="vscode-terminal",I.webviewPanel="webview-panel",I.vscodeWebview="vscode-webview",I.extension="extension",I.vscodeFileResource="vscode-file",I.tmp="tmp"})(k=e.Schemas||(e.Schemas={}));class y{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(E){this._preferredWebSchema=E}setDelegate(E){this._delegate=E}set(E,C,n){this._hosts[E]=C,this._ports[E]=n}setConnectionToken(E,C){this._connectionTokens[E]=C}rewrite(E){if(this._delegate)return this._delegate(E);const C=E.authority;let n=this._hosts[C];n&&n.indexOf(":")!==-1&&(n=`[${n}]`);const P=this._ports[C],d=this._connectionTokens[C];let m=`path=${encodeURIComponent(E.path)}`;return typeof d=="string"&&(m+=`&tkn=${encodeURIComponent(d)}`),g.URI.from({scheme:R.isWeb?this._preferredWebSchema:k.vscodeRemoteResource,authority:`${n}:${P}`,path:"/vscode-remote-resource",query:m})}}e.RemoteAuthorities=new y;class A{constructor(){this.FALLBACK_AUTHORITY="vscode-app"}asBrowserUri(E,C,n){const P=this.toUri(E,C);if(P.scheme===k.vscodeRemote)return e.RemoteAuthorities.rewrite(P);let d=!1;return R.isNative&&(n||R.isPreferringBrowserCodeLoad)&&P.scheme===k.file&&(d=!0),P.scheme===k.file&&typeof R.globals.importScripts=="function"&&R.globals.origin==="vscode-file://vscode-app"&&(d=!0),d?P.with({scheme:k.vscodeFileResource,authority:P.authority||this.FALLBACK_AUTHORITY,query:null,fragment:null}):P}asFileUri(E,C){const n=this.toUri(E,C);return n.scheme===k.vscodeFileResource?n.with({scheme:k.file,authority:n.authority!==this.FALLBACK_AUTHORITY?n.authority:null,query:null,fragment:null}):n}toUri(E,C){return g.URI.isUri(E)?E:g.URI.parse(C.toUrl(E))}}e.FileAccess=new A}),define(fe[74],me([0,1,24]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=e.canNormalize=void 0,e.canNormalize=typeof String.prototype.normalize=="function";const R=new g.LRUCache(1e4);function k(C){return E(C,"NFC",R)}e.normalizeNFC=k;const y=new g.LRUCache(1e4);function A(C){return E(C,"NFD",y)}e.normalizeNFD=A;const I=/[^\u0000-\u0080]/;function E(C,n,P){if(!e.canNormalize||!C)return C;const d=P.get(C);if(d)return d;let m;return I.test(C)?m=C.normalize(n):m=C,P.set(C,m),m}e.removeAccents=function(){if(e.canNormalize){const C=/[\u0300-\u036f]/g;return function(n){return A(n).replace(C,"")}}else return function(C){return C}}()}),define(fe[22],me([0,1,29,9,2,8,10,11]),function(X,e,g,R,k,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function E(m){return k.uriToFsPath(m,!0)}e.originalFSPath=E;class C{constructor(l){this._ignorePathCasing=l}compare(l,u,S=!1){return l===u?0:y.compare(this.getComparisonKey(l,S),this.getComparisonKey(u,S))}isEqual(l,u,S=!1){return l===u?!0:!l||!u?!1:this.getComparisonKey(l,S)===this.getComparisonKey(u,S)}getComparisonKey(l,u=!1){return l.with({path:this._ignorePathCasing(l)?l.path.toLowerCase():void 0,fragment:u?null:void 0}).toString()}ignorePathCasing(l){return this._ignorePathCasing(l)}isEqualOrParent(l,u,S=!1){if(l.scheme===u.scheme){if(l.scheme===A.Schemas.file)return g.isEqualOrParent(E(l),E(u),this._ignorePathCasing(l))&&l.query===u.query&&(S||l.fragment===u.fragment);if(e.isEqualAuthority(l.authority,u.authority))return g.isEqualOrParent(l.path,u.path,this._ignorePathCasing(l),"/")&&l.query===u.query&&(S||l.fragment===u.fragment)}return!1}joinPath(l,...u){return k.URI.joinPath(l,...u)}basenameOrAuthority(l){return e.basename(l)||l.authority}basename(l){return R.posix.basename(l.path)}extname(l){return R.posix.extname(l.path)}dirname(l){if(l.path.length===0)return l;let u;return l.scheme===A.Schemas.file?u=k.URI.file(R.dirname(E(l))).path:(u=R.posix.dirname(l.path),l.authority&&u.length&&u.charCodeAt(0)!==47&&(console.error(`dirname("${l.toString})) resulted in a relative path`),u="/")),l.with({path:u})}normalizePath(l){if(!l.path.length)return l;let u;return l.scheme===A.Schemas.file?u=k.URI.file(R.normalize(E(l))).path:u=R.posix.normalize(l.path),l.with({path:u})}relativePath(l,u){if(l.scheme!==u.scheme||!e.isEqualAuthority(l.authority,u.authority))return;if(l.scheme===A.Schemas.file){const b=R.relative(E(l),E(u));return I.isWindows?g.toSlashes(b):b}let S=l.path||"/",w=u.path||"/";if(this._ignorePathCasing(l)){let b=0;for(const h=Math.min(S.length,w.length);b<h&&!(S.charCodeAt(b)!==w.charCodeAt(b)&&S.charAt(b).toLowerCase()!==w.charAt(b).toLowerCase());b++);S=w.substr(0,b)+S.substr(b)}return R.posix.relative(S,w)}resolvePath(l,u){if(l.scheme===A.Schemas.file){const S=k.URI.file(R.resolve(E(l),u));return l.with({authority:S.authority,path:S.path})}return u=g.toPosixPath(u),l.with({path:R.posix.resolve(l.path,u)})}isAbsolutePath(l){return!!l.path&&l.path[0]==="/"}isEqualAuthority(l,u){return l===u||y.equalsIgnoreCase(l,u)}hasTrailingPathSeparator(l,u=R.sep){if(l.scheme===A.Schemas.file){const S=E(l);return S.length>g.getRoot(S).length&&S[S.length-1]===u}else{const S=l.path;return S.length>1&&S.charCodeAt(S.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(l.fsPath)}}removeTrailingPathSeparator(l,u=R.sep){return e.hasTrailingPathSeparator(l,u)?l.with({path:l.path.substr(0,l.path.length-1)}):l}addTrailingPathSeparator(l,u=R.sep){let S=!1;if(l.scheme===A.Schemas.file){const w=E(l);S=w!==void 0&&w.length===g.getRoot(w).length&&w[w.length-1]===u}else{u="/";const w=l.path;S=w.length===1&&w.charCodeAt(w.length-1)===47}return!S&&!e.hasTrailingPathSeparator(l,u)?l.with({path:l.path+"/"}):l}}e.ExtUri=C,e.extUri=new C(()=>!1),e.extUriBiasedIgnorePathCase=new C(m=>m.scheme===A.Schemas.file?!I.isLinux:!0),e.extUriIgnorePathCase=new C(m=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function n(m,l){const u=[];for(let S=0;S<m.length;S++){const w=l(m[S]);m.some((b,h)=>h===S?!1:e.isEqualOrParent(w,l(b)))||u.push(m[S])}return u}e.distinctParents=n;var P;(function(m){m.META_DATA_LABEL="label",m.META_DATA_DESCRIPTION="description",m.META_DATA_SIZE="size",m.META_DATA_MIME="mime";function l(u){const S=new Map;u.path.substring(u.path.indexOf(";")+1,u.path.lastIndexOf(";")).split(";").forEach(h=>{const[c,f]=h.split(":");c&&f&&S.set(c,f)});const b=u.path.substring(0,u.path.indexOf(";"));return b&&S.set(m.META_DATA_MIME,b),S}m.parseMetaData=l})(P=e.DataUri||(e.DataUri={}));function d(m,l,u){if(l){let S=m.path;return S&&S[0]!==R.posix.sep&&(S=R.posix.sep+S),m.with({scheme:u,authority:l,path:S})}return m.with({scheme:u})}e.toLocalResource=d}),define(fe[16],me([0,1,21,15,3,6,22]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.ignoreErrors=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function I(F){return!!F&&typeof F.then=="function"}e.isThenable=I;function E(F){const q=new g.CancellationTokenSource,M=F(q.token),O=new Promise((x,$)=>{q.token.onCancellationRequested(()=>{$(R.canceled())}),Promise.resolve(M).then(J=>{q.dispose(),x(J)},J=>{q.dispose(),$(J)})});return new class{cancel(){q.cancel()}then(x,$){return O.then(x,$)}catch(x){return this.then(void 0,x)}finally(x){return O.finally(x)}}}e.createCancelablePromise=E;function C(F,q,M){return Promise.race([F,new Promise(O=>q.onCancellationRequested(()=>O(M)))])}e.raceCancellation=C;async function n(F){let q=-1;const M=F.map((x,$)=>x.then(J=>(q=$,J))),O=await Promise.race(M);return F.forEach((x,$)=>{$!==q&&x.cancel()}),O}e.raceCancellablePromises=n;function P(F,q,M){let O;const x=setTimeout(()=>{O?.(void 0),M?.()},q);return Promise.race([F.finally(()=>clearTimeout(x)),new Promise($=>O=$)])}e.raceTimeout=P;function d(F){return new Promise((q,M)=>{const O=F();I(O)?O.then(q,M):q(O)})}e.asPromise=d;class m{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(q){if(this.activePromise){if(this.queuedPromiseFactory=q,!this.queuedPromise){const M=()=>{this.queuedPromise=null;const O=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,O};this.queuedPromise=new Promise(O=>{this.activePromise.then(M,M).then(O)})}return new Promise((M,O)=>{this.queuedPromise.then(M,O)})}return this.activePromise=q(),new Promise((M,O)=>{this.activePromise.then(x=>{this.activePromise=null,M(x)},x=>{this.activePromise=null,O(x)})})}}e.Throttler=m;class l{constructor(){this.current=Promise.resolve(null)}queue(q){return this.current=this.current.then(()=>q(),()=>q())}}e.Sequencer=l;class u{constructor(){this.promiseMap=new Map}queue(q,M){const x=(this.promiseMap.get(q)??Promise.resolve()).catch(()=>{}).then(M).finally(()=>{this.promiseMap.get(q)===x&&this.promiseMap.delete(q)});return this.promiseMap.set(q,x),x}}e.SequencerByKey=u;class S{constructor(q){this.defaultDelay=q,this.timeout=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(q,M=this.defaultDelay){return this.task=q,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((O,x)=>{this.doResolve=O,this.doReject=x}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const O=this.task;return this.task=null,O()}})),this.timeout=setTimeout(()=>{this.timeout=null,this.doResolve&&this.doResolve(null)},M),this.completionPromise}isTriggered(){return this.timeout!==null}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject(R.canceled()),this.completionPromise=null)}cancelTimeout(){this.timeout!==null&&(clearTimeout(this.timeout),this.timeout=null)}dispose(){this.cancel()}}e.Delayer=S;class w{constructor(q){this.delayer=new S(q),this.throttler=new m}trigger(q,M){return this.delayer.trigger(()=>this.throttler.queue(q),M)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=w;class b{constructor(){this._isOpen=!1,this._promise=new Promise((q,M)=>{this._completePromise=q})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=b;class h extends b{constructor(q){super();this._timeout=setTimeout(()=>this.open(),q)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=h;function c(F,q){return q?new Promise((M,O)=>{const x=setTimeout(M,F);q.onCancellationRequested(()=>{clearTimeout(x),O(R.canceled())})}):E(M=>c(F,M))}e.timeout=c;function f(F,q=0){const M=setTimeout(F,q);return y.toDisposable(()=>clearTimeout(M))}e.disposableTimeout=f;function t(F){return F.then(void 0,q=>{})}e.ignoreErrors=t;function r(F){const q=[];let M=0;const O=F.length;function x(){return M<O?F[M++]():null}function $(J){J!=null&&q.push(J);const de=x();return de?de.then($):Promise.resolve(q)}return Promise.resolve(null).then($)}e.sequence=r;function s(F,q=O=>!!O,M=null){let O=0;const x=F.length,$=()=>{if(O>=x)return Promise.resolve(M);const J=F[O++];return Promise.resolve(J()).then(Ee=>q(Ee)?Promise.resolve(Ee):$())};return $()}e.first=s;function i(F,q=O=>!!O,M=null){if(F.length===0)return Promise.resolve(M);let O=F.length;const x=()=>{O=-1;for(const $ of F)$.cancel?.()};return new Promise(($,J)=>{for(const de of F)de.then(Ee=>{--O>=0&&q(Ee)?(x(),$(Ee)):O===0&&$(M)}).catch(Ee=>{--O>=0&&(x(),J(Ee))})})}e.firstParallel=i;class a{constructor(q){this._size=0,this.maxDegreeOfParalellism=q,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new k.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(q){return this._size++,new Promise((M,O)=>{this.outstandingPromises.push({factory:q,c:M,e:O}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const q=this.outstandingPromises.shift();this.runningPromises++;const M=q.factory();M.then(q.c,q.e),M.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=a;class v extends a{constructor(){super(1)}}e.Queue=v;class p{constructor(){this.queues=new Map}queueFor(q,M=A.extUri){const O=M.getComparisonKey(q);let x=this.queues.get(O);return x||(x=new v,k.Event.once(x.onFinished)(()=>{x?.dispose(),this.queues.delete(O)}),this.queues.set(O,x)),x}dispose(){this.queues.forEach(q=>q.dispose()),this.queues.clear()}}e.ResourceQueue=p;class _{constructor(q,M){this._token=-1,typeof q=="function"&&typeof M=="number"&&this.setIfNotSet(q,M)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(q,M){this.cancel(),this._token=setTimeout(()=>{this._token=-1,q()},M)}setIfNotSet(q,M){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,q()},M))}}e.TimeoutTimer=_;class D{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(q,M){this.cancel(),this._token=setInterval(()=>{q()},M)}}e.IntervalTimer=D;class o{constructor(q,M){this.timeoutToken=-1,this.runner=q,this.timeout=M,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(q=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,q)}get delay(){return this.timeout}set delay(q){this.timeout=q}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=o;class T extends o{constructor(q,M){super(q,M);this.units=[]}work(q){this.units.push(q),this.isScheduled()||this.schedule()}doRun(){const q=this.units;this.units=[],this.runner&&this.runner(q)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=T;class L extends y.Disposable{constructor(q,M,O,x){super();this.maxWorkChunkSize=q,this.maxPendingWork=M,this.throttleDelay=O,this.handler=x,this.pendingWork=[],this.throttler=this._register(new y.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(q){if(this.disposed)return!1;if(typeof this.maxPendingWork=="number"){if(this.throttler.value){if(this.pending+q.length>this.maxPendingWork)return!1}else if(this.pending+q.length-this.maxWorkChunkSize>this.maxPendingWork)return!1}return this.pendingWork.push(...q),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new o(()=>{this.throttler.clear(),this.doWork()},this.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=L,function(){if(typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"){const F=Object.freeze({didTimeout:!0,timeRemaining(){return 15}});e.runWhenIdle=q=>{const M=setTimeout(()=>q(F));let O=!1;return{dispose(){O||(O=!0,clearTimeout(M))}}}}else e.runWhenIdle=(F,q)=>{const M=requestIdleCallback(F,typeof q=="number"?{timeout:q}:void 0);let O=!1;return{dispose(){O||(O=!0,cancelIdleCallback(M))}}}}();class H{constructor(q){this._didRun=!1,this._executor=()=>{try{this._value=q()}catch(M){this._error=M}finally{this._didRun=!0}},this._handle=e.runWhenIdle(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}}e.IdleValue=H;async function B(F,q,M){let O;for(let x=0;x<M;x++)try{return await F()}catch($){O=$,await c(q)}throw O}e.retry=B;class Q{hasPending(q){return this._pending?typeof q=="number"?this._pending.taskId===q:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(q,M,O){return this._pending={taskId:q,cancel:()=>O?.(),promise:M},M.then(()=>this.donePending(q),()=>this.donePending(q)),M}donePending(q){this._pending&&q===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const q=this._next;this._next=void 0,q.run().then(q.promiseResolve,q.promiseReject)}}setNext(q){if(this._next)this._next.run=q;else{let M,O;const x=new Promise(($,J)=>{M=$,O=J});this._next={run:q,promise:x,promiseResolve:M,promiseReject:O}}return this._next.promise}}e.TaskSequentializer=Q;class z{constructor(q){this.interval=q,this.lastIncrementTime=0,this.value=0}increment(){const q=Date.now();return q-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=q,this.value=0),this.value++,this.value}}e.IntervalCounter=z;class N{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((q,M)=>{this.completeCallback=q,this.errorCallback=M})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(q){return new Promise(M=>{this.completeCallback(q),this.resolved=!0,M()})}error(q){return new Promise(M=>{this.errorCallback(q),this.rejected=!0,M()})}cancel(){new Promise(q=>{this.errorCallback(R.canceled()),this.rejected=!0,q()})}}e.DeferredPromise=N;var W;(function(F){async function q(M){let O;const x=await Promise.all(M.map($=>$.then(J=>J,J=>{O||(O=J)})));if(typeof O!="undefined")throw O;return x}F.settled=q})(W=e.Promises||(e.Promises={}))}),define(fe[96],me([0,1,9,16]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.compareByPrefix=e.compareAnything=e.comparePaths=e.compareFileExtensionsUnicode=e.compareFileExtensionsLower=e.compareFileExtensionsUpper=e.compareFileExtensionsDefault=e.compareFileExtensions=e.noIntlCompareFileNames=e.compareFileNamesUnicode=e.compareFileNamesLower=e.compareFileNamesUpper=e.compareFileNamesDefault=e.compareFileNames=void 0;const k=new R.IdleValue(()=>{const D=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:D,collatorIsNumeric:D.resolvedOptions().numeric}}),y=new R.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),A=new R.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function I(D,o,T=!1){const L=D||"",H=o||"",B=k.value.collator.compare(L,H);return k.value.collatorIsNumeric&&B===0&&L!==H?L<H?-1:1:B}e.compareFileNames=I;function E(D,o){const T=y.value.collator;return D=D||"",o=o||"",f(T,D,o)}e.compareFileNamesDefault=E;function C(D,o){const T=y.value.collator;return D=D||"",o=o||"",i(D,o)||f(T,D,o)}e.compareFileNamesUpper=C;function n(D,o){const T=y.value.collator;return D=D||"",o=o||"",s(D,o)||f(T,D,o)}e.compareFileNamesLower=n;function P(D,o){return D=D||"",o=o||"",D===o?0:D<o?-1:1}e.compareFileNamesUnicode=P;function d(D,o,T=!1){T||(D=D&&D.toLowerCase(),o=o&&o.toLowerCase());const[L,H]=h(D),[B,Q]=h(o);return L!==B?L<B?-1:1:H===Q?0:H<Q?-1:1}e.noIntlCompareFileNames=d;function m(D,o){const[T,L]=h(D),[H,B]=h(o);let Q=k.value.collator.compare(L,B);if(Q===0){if(k.value.collatorIsNumeric&&L!==B)return L<B?-1:1;if(Q=k.value.collator.compare(T,H),k.value.collatorIsNumeric&&Q===0&&T!==H)return T<H?-1:1}return Q}e.compareFileExtensions=m;function l(D,o){D=D||"",o=o||"";const T=c(D),L=c(o),H=y.value.collator,B=A.value.collator;return f(B,T,L)||f(H,D,o)}e.compareFileExtensionsDefault=l;function u(D,o){D=D||"",o=o||"";const T=c(D),L=c(o),H=y.value.collator,B=A.value.collator;return f(B,T,L)||i(D,o)||f(H,D,o)}e.compareFileExtensionsUpper=u;function S(D,o){D=D||"",o=o||"";const T=c(D),L=c(o),H=y.value.collator,B=A.value.collator;return f(B,T,L)||s(D,o)||f(H,D,o)}e.compareFileExtensionsLower=S;function w(D,o){D=D||"",o=o||"";const T=c(D).toLowerCase(),L=c(o).toLowerCase();return T!==L?T<L?-1:1:D!==o?D<o?-1:1:0}e.compareFileExtensionsUnicode=w;const b=/^(.*?)(\.([^.]*))?$/;function h(D,o=!1){const T=D?b.exec(D):[];let L=[T&&T[1]||"",T&&T[3]||""];return o&&(!L[0]&&L[1]||L[0]&&L[0].charAt(0)===".")&&(L=[L[0]+"."+L[1],""]),L}function c(D){const o=D?b.exec(D):[];return o&&o[1]&&o[1].charAt(0)!=="."&&o[3]||""}function f(D,o,T){let L=D.compare(o,T);return L!==0?L:o.length!==T.length?o.length<T.length?-1:1:0}function t(D){const o=D.charAt(0);return o.toLocaleUpperCase()!==o}function r(D){const o=D.charAt(0);return o.toLocaleLowerCase()!==o}function s(D,o){return t(D)&&r(o)?-1:r(D)&&t(o)?1:0}function i(D,o){return r(D)&&t(o)?-1:t(D)&&r(o)?1:0}function a(D,o,T=!1){return T||(D=D&&D.toLowerCase(),o=o&&o.toLowerCase()),D===o?0:D<o?-1:1}function v(D,o,T=!1){const L=D.split(g.sep),H=o.split(g.sep),B=L.length-1,Q=H.length-1;let z,N;for(let W=0;;W++){if(z=B===W,N=Q===W,z&&N)return I(L[W],H[W],T);if(z)return-1;if(N)return 1;const F=a(L[W],H[W],T);if(F!==0)return F}}e.comparePaths=v;function p(D,o,T){const L=D.toLowerCase(),H=o.toLowerCase(),B=_(D,o,T);if(B)return B;const Q=L.endsWith(T),z=H.endsWith(T);if(Q!==z)return Q?-1:1;const N=I(L,H);return N!==0?N:L.localeCompare(H)}e.compareAnything=p;function _(D,o,T){const L=D.toLowerCase(),H=o.toLowerCase(),B=L.startsWith(T),Q=H.startsWith(T);if(B!==Q)return B?-1:1;if(B&&Q){if(L.length<H.length)return-1;if(L.length>H.length)return 1}return 0}e.compareByPrefix=_}),define(fe[97],me([0,1,96,94,9,11,8]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.pieceToQuery=e.prepareQuery=e.compareItemsByFuzzyScore=e.scoreItemFuzzy=e.scoreFuzzy2=e.scoreFuzzy=void 0;const I=0,E=[I,[]];function C(z,N,W,F){if(!z||!N)return E;const q=z.length,M=N.length;if(q<M)return E;const O=z.toLowerCase();return!F&&!O.includes(W)?E:n(N,W,M,z,O,q)}e.scoreFuzzy=C;function n(z,N,W,F,q,M){const O=[],x=[];for(let Ee=0;Ee<W;Ee++){const Fe=Ee*M,Re=Fe-M,Ne=Ee>0,qe=z[Ee],Ve=N[Ee];for(let Ge=0;Ge<M;Ge++){const j=Ge>0,ee=Fe+Ge,re=ee-1,ae=Re+Ge-1,Z=j?O[re]:0,se=Ne&&j?O[ae]:0,ve=Ne&&j?x[ae]:0;let Le;!se&&Ne?Le=0:Le=P(qe,Ve,F,q,Ge,ve),Le&&se+Le>=Z?(x[ee]=ve+1,O[ee]=se+Le):(x[ee]=I,O[ee]=Z)}}const $=[];let J=W-1,de=M-1;for(;J>=0&&de>=0;){const Ee=J*M+de;x[Ee]===I||($.push(de),J--),de--}return[O[W*M-1],$.reverse()]}function P(z,N,W,F,q,M){let O=0;if(!d(N,F[q]))return O;if(O+=1,M>0&&(O+=M*5),z===W[q]&&(O+=1),q===0)O+=8;else{const x=m(W.charCodeAt(q-1));x?O+=x:R.isUpper(W.charCodeAt(q))&&(O+=2)}return O}function d(z,N){return z===N?!0:z==="/"||z==="\\"?N==="/"||N==="\\":!1}function m(z){switch(z){case 47:case 92:return 5;case 95:case 45:case 46:case 32:case 39:case 34:case 58:return 4;default:return 0}}const l=[void 0,[]];function u(z,N,W=0,F=0){const q=N;return q.values&&q.values.length>1?S(z,q.values,W,F):w(z,N,W,F)}e.scoreFuzzy2=u;function S(z,N,W,F){let q=0;const M=[];for(const O of N){const[x,$]=w(z,O,W,F);if(typeof x!="number")return l;q+=x,M.push(...$)}return[q,v(M)]}function w(z,N,W,F){const q=R.fuzzyScore(N.original,N.originalLowercase,W,z,z.toLowerCase(),F,!0);return q?[q[0],R.createMatches(q)]:l}const b=Object.freeze({score:0}),h=1<<18,c=1<<17,f=1<<16;function t(z,N,W,F,q){if(!z||!N.normalized)return b;const M=F.getItemLabel(z);if(!M)return b;const O=F.getItemDescription(z);let x;O?x=`${M}${O}${N.normalized}${Array.isArray(N.values)?N.values.length:""}${W}`:x=`${M}${N.normalized}${Array.isArray(N.values)?N.values.length:""}${W}`;const $=q[x];if($)return $;const J=r(M,O,F.getItemPath(z),N,W);return q[x]=J,J}e.scoreItemFuzzy=t;function r(z,N,W,F,q){const M=!W||!F.containsPathSeparator;return W&&(y.isLinux?F.pathNormalized===W:A.equalsIgnoreCase(F.pathNormalized,W))?{score:h,labelMatch:[{start:0,end:z.length}],descriptionMatch:N?[{start:0,end:N.length}]:void 0}:F.values&&F.values.length>1?s(z,N,W,F.values,M,q):i(z,N,W,F,M,q)}function s(z,N,W,F,q,M){let O=0;const x=[],$=[];for(const J of F){const{score:de,labelMatch:Ee,descriptionMatch:Fe}=i(z,N,W,J,q,M);if(de===I)return b;O+=de,Ee&&x.push(...Ee),Fe&&$.push(...Fe)}return{score:O,labelMatch:v(x),descriptionMatch:v($)}}function i(z,N,W,F,q,M){if(q||!N){const[O,x]=C(z,F.normalized,F.normalizedLowercase,M);if(O){const $=R.matchesPrefix(F.normalized,z);let J;return $?(J=c,J+=Math.round(F.normalized.length/z.length*100)):J=f,{score:J+O,labelMatch:$||a(x)}}}if(N){let O=N;W&&(O=`${N}${k.sep}`);const x=O.length,$=`${O}${z}`,[J,de]=C($,F.normalized,F.normalizedLowercase,M);if(J){const Ee=a(de),Fe=[],Re=[];return Ee.forEach(Ne=>{Ne.start<x&&Ne.end>x?(Fe.push({start:0,end:Ne.end-x}),Re.push({start:Ne.start,end:x})):Ne.start>=x?Fe.push({start:Ne.start-x,end:Ne.end-x}):Re.push(Ne)}),{score:J,labelMatch:Fe,descriptionMatch:Re}}}return b}function a(z){const N=[];if(!z)return N;let W;for(const F of z)W&&W.end===F?W.end+=1:(W={start:F,end:F+1},N.push(W));return N}function v(z){const N=z.sort((q,M)=>q.start-M.start),W=[];let F;for(const q of N)!F||!p(F,q)?(F=q,W.push(q)):(F.start=Math.min(F.start,q.start),F.end=Math.max(F.end,q.end));return W}function p(z,N){return!(z.end<N.start||N.end<z.start)}function _(z,N,W,F,q,M){const O=t(z,W,F,q,M),x=t(N,W,F,q,M),$=O.score,J=x.score;if(($===h||J===h)&&$!==J)return $===h?-1:1;if($>f||J>f){if($!==J)return $>J?-1:1;if($<c&&J<c){const Ve=o(O.labelMatch,x.labelMatch);if(Ve!==0)return Ve}const Ne=q.getItemLabel(z)||"",qe=q.getItemLabel(N)||"";if(Ne.length!==qe.length)return Ne.length-qe.length}if($!==J)return $>J?-1:1;const de=Array.isArray(O.labelMatch)&&O.labelMatch.length>0,Ee=Array.isArray(x.labelMatch)&&x.labelMatch.length>0;if(de&&!Ee)return-1;if(Ee&&!de)return 1;const Fe=D(z,O,q),Re=D(N,x,q);return Fe&&Re&&Fe!==Re?Re>Fe?-1:1:T(z,N,W,q)}e.compareItemsByFuzzyScore=_;function D(z,N,W){let F=-1,q=-1;if(N.descriptionMatch&&N.descriptionMatch.length?F=N.descriptionMatch[0].start:N.labelMatch&&N.labelMatch.length&&(F=N.labelMatch[0].start),N.labelMatch&&N.labelMatch.length){if(q=N.labelMatch[N.labelMatch.length-1].end,N.descriptionMatch&&N.descriptionMatch.length){const M=W.getItemDescription(z);M&&(q+=M.length)}}else N.descriptionMatch&&N.descriptionMatch.length&&(q=N.descriptionMatch[N.descriptionMatch.length-1].end);return q-F}function o(z,N){if(!z&&!N||(!z||!z.length)&&(!N||!N.length))return 0;if(!N||!N.length)return-1;if(!z||!z.length)return 1;const W=z[0].start,q=z[z.length-1].end-W,M=N[0].start,x=N[N.length-1].end-M;return q===x?0:x<q?1:-1}function T(z,N,W,F){const q=F.getItemLabel(z)||"",M=F.getItemLabel(N)||"",O=F.getItemDescription(z),x=F.getItemDescription(N),$=q.length+(O?O.length:0),J=M.length+(x?x.length:0);if($!==J)return $-J;const de=F.getItemPath(z),Ee=F.getItemPath(N);return de&&Ee&&de.length!==Ee.length?de.length-Ee.length:q!==M?g.compareAnything(q,M,W.normalized):O&&x&&O!==x?g.compareAnything(O,x,W.normalized):de&&Ee&&de!==Ee?g.compareAnything(de,Ee,W.normalized):0}const L=" ";function H(z){typeof z!="string"&&(z="");const N=z.toLowerCase(),{pathNormalized:W,normalized:F,normalizedLowercase:q}=B(z),M=W.indexOf(k.sep)>=0;let O;const x=z.split(L);if(x.length>1)for(const $ of x){const{pathNormalized:J,normalized:de,normalizedLowercase:Ee}=B($);de&&(O||(O=[]),O.push({original:$,originalLowercase:$.toLowerCase(),pathNormalized:J,normalized:de,normalizedLowercase:Ee}))}return{original:z,originalLowercase:N,pathNormalized:W,normalized:F,normalizedLowercase:q,values:O,containsPathSeparator:M}}e.prepareQuery=H;function B(z){let N;y.isWindows?N=z.replace(/\//g,k.sep):N=z.replace(/\\/g,k.sep);const W=A.stripWildcards(N).replace(/\s/g,"");return{pathNormalized:N,normalized:W,normalizedLowercase:W.toLowerCase()}}function Q(z){return Array.isArray(z)?H(z.map(N=>N.original).join(L)):H(z.original)}e.pieceToQuery=Q}),define(fe[30],me([0,1,8,29,9,24,16]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.getEmptyExpression=void 0;function I(){return Object.create(null)}e.getEmptyExpression=I;const E="**",C="/",n="[/\\\\]",P="[^/\\\\]",d=/\//g;function m(O){switch(O){case 0:return"";case 1:return`${P}*?`;default:return`(?:${n}|${P}+${n}|${n}${P}+)*?`}}function l(O,x){if(!O)return[];const $=[];let J=!1,de=!1,Ee="";for(const Fe of O){switch(Fe){case x:if(!J&&!de){$.push(Ee),Ee="";continue}break;case"{":J=!0;break;case"}":J=!1;break;case"[":de=!0;break;case"]":de=!1;break}Ee+=Fe}return Ee&&$.push(Ee),$}e.splitGlobAware=l;function u(O){if(!O)return"";let x="";const $=l(O,C);if($.every(J=>J===E))x=".*";else{let J=!1;$.forEach((de,Ee)=>{if(de===E){J||(x+=m(2),J=!0);return}let Fe=!1,Re="",Ne=!1,qe="";for(const Ve of de){if(Ve!=="}"&&Fe){Re+=Ve;continue}if(Ne&&(Ve!=="]"||!qe)){let Ge;Ve==="-"?Ge=Ve:(Ve==="^"||Ve==="!")&&!qe?Ge="^":Ve===C?Ge="":Ge=g.escapeRegExpCharacters(Ve),qe+=Ge;continue}switch(Ve){case"{":Fe=!0;continue;case"[":Ne=!0;continue;case"}":x+=`(?:${l(Re,",").map(ee=>u(ee)).join("|")})`,Fe=!1,Re="";break;case"]":x+="["+qe+"]",Ne=!1,qe="";break;case"?":x+=P;continue;case"*":x+=m(1);continue;default:x+=g.escapeRegExpCharacters(Ve)}}Ee<$.length-1&&($[Ee+1]!==E||Ee+2<$.length)&&(x+=n),J=!1})}return x}const S=/^\*\*\/\*\.[\w\.-]+$/,w=/^\*\*\/([\w\.-]+)\/?$/,b=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,h=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,c=/^\*\*((\/[\w\.-]+)+)\/?$/,f=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new y.LRUCache(1e4),r=function(){return!1},s=function(){return null};function i(O,x){if(!O)return s;let $;typeof O!="string"?$=O.pattern:$=O,$=$.trim();const J=`${$}_${!!x.trimForExclusions}`;let de=t.get(J);if(de)return a(de,O);let Ee;if(S.test($)){const Fe=$.substr(4);de=function(Re,Ne){return typeof Re=="string"&&Re.endsWith(Fe)?$:null}}else(Ee=w.exec(v($,x)))?de=p(Ee[1],$):(x.trimForExclusions?h:b).test($)?de=_($,x):(Ee=c.exec(v($,x)))?de=D(Ee[1].substr(1),$,!0):(Ee=f.exec(v($,x)))?de=D(Ee[1],$,!1):de=o($);return t.set(J,de),a(de,O)}function a(O,x){return typeof x=="string"?O:function($,J){return R.isEqualOrParent($,x.base)?O(k.relative(x.base,$),J):null}}function v(O,x){return x.trimForExclusions&&O.endsWith("/**")?O.substr(0,O.length-2):O}function p(O,x){const $=`/${O}`,J=`\\${O}`,de=function(Fe,Re){return typeof Fe!="string"?null:Re?Re===O?x:null:Fe===O||Fe.endsWith($)||Fe.endsWith(J)?x:null},Ee=[O];return de.basenames=Ee,de.patterns=[x],de.allBasenames=Ee,de}function _(O,x){const $=M(O.slice(1,-1).split(",").map(Re=>i(Re,x)).filter(Re=>Re!==s),O),J=$.length;if(!J)return s;if(J===1)return $[0];const de=function(Re,Ne){for(let qe=0,Ve=$.length;qe<Ve;qe++)if($[qe](Re,Ne))return O;return null},Ee=$.find(Re=>!!Re.allBasenames);Ee&&(de.allBasenames=Ee.allBasenames);const Fe=$.reduce((Re,Ne)=>Ne.allPaths?Re.concat(Ne.allPaths):Re,[]);return Fe.length&&(de.allPaths=Fe),de}function D(O,x,$){const J=k.sep===k.posix.sep,de=J?O:O.replace(d,k.sep),Ee=k.sep+de,Fe=k.posix.sep+O,Re=$?function(Ne,qe){return typeof Ne=="string"&&(Ne===de||Ne.endsWith(Ee)||!J&&(Ne===O||Ne.endsWith(Fe)))?x:null}:function(Ne,qe){return typeof Ne=="string"&&(Ne===de||!J&&Ne===O)?x:null};return Re.allPaths=[($?"*/":"./")+O],Re}function o(O){try{const x=new RegExp(`^${u(O)}$`);return function($){return x.lastIndex=0,typeof $=="string"&&x.test($)?O:null}}catch(x){return s}}function T(O,x,$){return!O||typeof x!="string"?!1:L(O)(x,void 0,$)}e.match=T;function L(O,x={}){if(!O)return r;if(typeof O=="string"||z(O)){const $=i(O,x);if($===s)return r;const J=function(de,Ee){return!!$(de,Ee)};return $.allBasenames&&(J.allBasenames=$.allBasenames),$.allPaths&&(J.allPaths=$.allPaths),J}return F(O,x)}e.parse=L;function H(O){if(!O)return;let x;return $=>(x||(x=(O()||Promise.resolve([])).then(J=>J?Q(J):{})),x.then(J=>!!J[$]))}e.hasSiblingPromiseFn=H;function B(O){if(!O)return;let x;return $=>{if(!x){const J=O();x=J?Q(J):{}}return!!x[$]}}e.hasSiblingFn=B;function Q(O){const x={};for(const $ of O)x[$]=!0;return x}function z(O){const x=O;return x&&typeof x.base=="string"&&typeof x.pattern=="string"}e.isRelativePattern=z;function N(O){return O.allBasenames||[]}e.getBasenameTerms=N;function W(O){return O.allPaths||[]}e.getPathTerms=W;function F(O,x){const $=M(Object.getOwnPropertyNames(O).map(Re=>q(Re,O[Re],x)).filter(Re=>Re!==s)),J=$.length;if(!J)return s;if(!$.some(Re=>!!Re.requiresSiblings)){if(J===1)return $[0];const Re=function(Ve,Ge){for(let j=0,ee=$.length;j<ee;j++){const re=$[j](Ve,Ge);if(re)return re}return null},Ne=$.find(Ve=>!!Ve.allBasenames);Ne&&(Re.allBasenames=Ne.allBasenames);const qe=$.reduce((Ve,Ge)=>Ge.allPaths?Ve.concat(Ge.allPaths):Ve,[]);return qe.length&&(Re.allPaths=qe),Re}const de=function(Re,Ne,qe){let Ve;for(let Ge=0,j=$.length;Ge<j;Ge++){const ee=$[Ge];ee.requiresSiblings&&qe&&(Ne||(Ne=k.basename(Re)),Ve||(Ve=Ne.substr(0,Ne.length-k.extname(Re).length)));const re=ee(Re,Ne,Ve,qe);if(re)return re}return null},Ee=$.find(Re=>!!Re.allBasenames);Ee&&(de.allBasenames=Ee.allBasenames);const Fe=$.reduce((Re,Ne)=>Ne.allPaths?Re.concat(Ne.allPaths):Re,[]);return Fe.length&&(de.allPaths=Fe),de}function q(O,x,$){if(x===!1)return s;const J=i(O,$);if(J===s)return s;if(typeof x=="boolean")return J;if(x){const de=x.when;if(typeof de=="string"){const Ee=(Fe,Re,Ne,qe)=>{if(!qe||!J(Fe,Re))return null;const Ve=de.replace("$(basename)",Ne),Ge=qe(Ve);return A.isThenable(Ge)?Ge.then(j=>j?O:null):Ge?O:null};return Ee.requiresSiblings=!0,Ee}}return J}function M(O,x){const $=O.filter(Re=>!!Re.basenames);if($.length<2)return O;const J=$.reduce((Re,Ne)=>{const qe=Ne.basenames;return qe?Re.concat(qe):Re},[]);let de;if(x){de=[];for(let Re=0,Ne=J.length;Re<Ne;Re++)de.push(x)}else de=$.reduce((Re,Ne)=>{const qe=Ne.patterns;return qe?Re.concat(qe):Re},[]);const Ee=function(Re,Ne){if(typeof Re!="string")return null;if(!Ne){let Ve;for(Ve=Re.length;Ve>0;Ve--){const Ge=Re.charCodeAt(Ve-1);if(Ge===47||Ge===92)break}Ne=Re.substr(Ve)}const qe=J.indexOf(Ne);return qe!==-1?de[qe]:null};Ee.basenames=J,Ee.patterns=de,Ee.allBasenames=J;const Fe=O.filter(Re=>!Re.basenames);return Fe.push(Ee),Fe}}),define(fe[75],me([0,1,2,9,8,10,11,22,29]),function(X,e,g,R,k,y,A,I,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function C(i,a,v){if(typeof i=="string"&&(i=g.URI.file(i)),v){const _=v.getWorkspaceFolder(i);if(_){const D=v.getWorkspace().folders.length>1;let o;if(I.isEqual(_.uri,i)?o="":o=I.relativePath(_.uri,i),D){const T=_.name?_.name:I.basename(_.uri);o=o?T+" \u2022 "+o:T}return o}}if(i.scheme!==y.Schemas.file&&i.scheme!==y.Schemas.untitled)return i.with({query:null,fragment:null}).toString(!0);if(E.hasDriveLetter(i.fsPath))return R.normalize(P(i.fsPath));let p=R.normalize(i.fsPath);return!A.isWindows&&a?.userHome&&(p=m(p,a.userHome.fsPath)),p}e.getPathLabel=C;function n(i){if(!i)return;typeof i=="string"&&(i=g.URI.file(i));const a=I.basename(i)||(i.scheme===y.Schemas.file?i.fsPath:i.path);return A.isWindows&&E.isRootOrDriveLetter(a)?P(a):a}e.getBaseLabel=n;function P(i){return E.hasDriveLetter(i)?i.charAt(0).toUpperCase()+i.slice(1):i}e.normalizeDriveLetter=P;let d=Object.create(null);function m(i,a){if(A.isWindows||!i||!a)return i;let v=d.original===a?d.normalized:void 0;return v||(v=`${k.rtrim(a,R.posix.sep)}${R.posix.sep}`,d={original:a,normalized:v}),(A.isLinux?i.startsWith(v):k.startsWithIgnoreCase(i,v))&&(i=`~/${i.substr(v.length)}`),i}e.tildify=m;function l(i,a){return i.replace(/^~($|\/|\\)/,`${a}$1`)}e.untildify=l;const u="\u2026",S="\\\\",w="~";function b(i,a=R.sep){const v=new Array(i.length);let p=!1;for(let _=0;_<i.length;_++){let D=i[_];if(D===""){v[_]=`.${a}`;continue}if(!D){v[_]=D;continue}p=!0;let o="";D.indexOf(S)===0?(o=D.substr(0,D.indexOf(S)+S.length),D=D.substr(D.indexOf(S)+S.length)):D.indexOf(a)===0?(o=D.substr(0,D.indexOf(a)+a.length),D=D.substr(D.indexOf(a)+a.length)):D.indexOf(w)===0&&(o=D.substr(0,D.indexOf(w)+w.length),D=D.substr(D.indexOf(w)+w.length));const T=D.split(a);for(let L=1;p&&L<=T.length;L++)for(let H=T.length-L;p&&H>=0;H--){p=!1;let B=T.slice(H,H+L).join(a);for(let Q=0;!p&&Q<i.length;Q++)if(Q!==_&&i[Q]&&i[Q].indexOf(B)>-1){const z=H+L===T.length,N=H>0&&i[Q].indexOf(a)>-1?a+B:B,W=i[Q].endsWith(N);p=!z||W}if(!p){let Q="";(T[0].endsWith(":")||o!=="")&&(H===1&&(H=0,L++,B=T[0]+a+B),H>0&&(Q=T[0]+a),Q=o+Q),H>0&&(Q=Q+u+a),Q=Q+B,H+L<T.length&&(Q=Q+a+u),v[_]=Q}}p&&(v[_]=D)}return v}e.shorten=b;var h;(function(i){i[i.TEXT=0]="TEXT",i[i.VARIABLE=1]="VARIABLE",i[i.SEPARATOR=2]="SEPARATOR"})(h||(h={}));function c(i,a=Object.create(null)){const v=[];let p=!1,_="";for(const D of i)if(D==="$"||p&&D==="{")_&&v.push({value:_,type:h.TEXT}),_="",p=!0;else if(D==="}"&&p){const o=a[_];if(typeof o=="string")o.length&&v.push({value:o,type:h.VARIABLE});else if(o){const T=v[v.length-1];(!T||T.type!==h.SEPARATOR)&&v.push({value:o.label,type:h.SEPARATOR})}_="",p=!1}else _+=D;return _&&!p&&v.push({value:_,type:h.TEXT}),v.filter((D,o)=>{if(D.type===h.SEPARATOR){const T=v[o-1],L=v[o+1];return[T,L].every(H=>H&&(H.type===h.VARIABLE||H.type===h.TEXT)&&H.value.length>0)}return!0}).map(D=>D.value).join("")}e.template=c;function f(i,a){return A.isMacintosh||a?i.replace(/\(&&\w\)|&&/g,"").replace(/&/g,A.isMacintosh?"&":"&&"):i.replace(/&&|&/g,v=>v==="&"?"&&":"&")}e.mnemonicMenuLabel=f;function t(i,a){return A.isMacintosh||a?i.replace(/\(&&\w\)|&&/g,""):A.isWindows?i.replace(/&&|&/g,v=>v==="&"?"&&":"&"):i.replace(/&&/g,"_")}e.mnemonicButtonLabel=t;function r(i){return i.replace(/&/g,"&&")}e.unmnemonicLabel=r;function s(i){const a=i.indexOf("/")!==-1?R.posix:R.win32,v=a.basename(i),p=a.dirname(i);return v.length?{name:v,parentPath:p}:{name:p,parentPath:""}}e.splitName=s}),define(fe[98],me([0,1,9,8,30,10,22]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeMimeType=e.getExtensionForMimeType=e.getMediaMime=e.isUnspecific=e.guessMimeTypes=e.clearTextMimes=e.registerTextMime=e.Mimes=void 0;var I;(function(r){r.text="text/plain",r.binary="application/octet-stream",r.unknown="application/unknown",r.markdown="text/markdown"})(I=e.Mimes||(e.Mimes={}));let E=[],C=[],n=[];function P(r,s=!1){const i=d(r);E.push(i),i.userConfigured?n.push(i):C.push(i),s&&!i.userConfigured&&E.forEach(a=>{a.mime===i.mime||a.userConfigured||(i.extension&&a.extension===i.extension&&console.warn(`Overwriting extension <<${i.extension}>> to now point to mime <<${i.mime}>>`),i.filename&&a.filename===i.filename&&console.warn(`Overwriting filename <<${i.filename}>> to now point to mime <<${i.mime}>>`),i.filepattern&&a.filepattern===i.filepattern&&console.warn(`Overwriting filepattern <<${i.filepattern}>> to now point to mime <<${i.mime}>>`),i.firstline&&a.firstline===i.firstline&&console.warn(`Overwriting firstline <<${i.firstline}>> to now point to mime <<${i.mime}>>`))})}e.registerTextMime=P;function d(r){return{id:r.id,mime:r.mime,filename:r.filename,extension:r.extension,filepattern:r.filepattern,firstline:r.firstline,userConfigured:r.userConfigured,filenameLowercase:r.filename?r.filename.toLowerCase():void 0,extensionLowercase:r.extension?r.extension.toLowerCase():void 0,filepatternLowercase:r.filepattern?r.filepattern.toLowerCase():void 0,filepatternOnPath:r.filepattern?r.filepattern.indexOf(g.posix.sep)>=0:!1}}function m(r){r?(E=E.filter(s=>!s.userConfigured),n=[]):(E=[],C=[],n=[])}e.clearTextMimes=m;function l(r,s){let i;if(r)switch(r.scheme){case y.Schemas.file:i=r.fsPath;break;case y.Schemas.data:i=A.DataUri.parseMetaData(r).get(A.DataUri.META_DATA_LABEL);break;default:i=r.path}if(!i)return[I.unknown];i=i.toLowerCase();const a=g.basename(i),v=u(i,a,n);if(v)return[v,I.text];const p=u(i,a,C);if(p)return[p,I.text];if(s){const _=S(s);if(_)return[_,I.text]}return[I.unknown]}e.guessMimeTypes=l;function u(r,s,i){let a=null,v=null,p=null;for(let _=i.length-1;_>=0;_--){const D=i[_];if(s===D.filenameLowercase){a=D;break}if(D.filepattern&&(!v||D.filepattern.length>v.filepattern.length)){const o=D.filepatternOnPath?r:s;k.match(D.filepatternLowercase,o)&&(v=D)}D.extension&&(!p||D.extension.length>p.extension.length)&&s.endsWith(D.extensionLowercase)&&(p=D)}return a?a.mime:v?v.mime:p?p.mime:null}function S(r){if(R.startsWithUTF8BOM(r)&&(r=r.substr(1)),r.length>0)for(let s=E.length-1;s>=0;s--){const i=E[s];if(!i.firstline)continue;const a=r.match(i.firstline);if(a&&a.length>0)return i.mime}return null}function w(r){return r?typeof r=="string"?r===I.binary||r===I.text||r===I.unknown:r.length===1&&w(r[0]):!0}e.isUnspecific=w;const b={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function h(r){const s=g.extname(r);return b[s.toLowerCase()]}e.getMediaMime=h;function c(r){for(const s in b)if(b[s]===r)return s}e.getExtensionForMimeType=c;const f=/^(.+)\/(.+?)(;.+)?$/;function t(r,s){const i=f.exec(r);return i?`${i[1].toLowerCase()}/${i[2].toLowerCase()}${i[3]??""}`:s?void 0:r}e.normalizeMimeType=t}),define(fe[99],me([0,1,2]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function R(n){return n.toJSON()}class k{constructor(P){this._uriTransformer=P}transformIncoming(P){const d=this._uriTransformer.transformIncoming(P);return d===P?P:R(g.URI.from(d))}transformOutgoing(P){const d=this._uriTransformer.transformOutgoing(P);return d===P?P:R(g.URI.from(d))}transformOutgoingURI(P){const d=this._uriTransformer.transformOutgoing(P);return d===P?P:g.URI.from(d)}transformOutgoingScheme(P){return this._uriTransformer.transformOutgoingScheme(P)}}e.URITransformer=k,e.DefaultURITransformer=new class{transformIncoming(n){return n}transformOutgoing(n){return n}transformOutgoingURI(n){return n}transformOutgoingScheme(n){return n}};function y(n,P,d){if(!n||d>200)return null;if(typeof n=="object"){if(n instanceof g.URI)return P.transformOutgoing(n);for(let m in n)if(Object.hasOwnProperty.call(n,m)){const l=y(n[m],P,d+1);l!==null&&(n[m]=l)}}return null}function A(n,P){const d=y(n,P,0);return d===null?n:d}e.transformOutgoingURIs=A;function I(n,P,d,m){if(!n||m>200)return null;if(typeof n=="object"){if(n.$mid===1)return d?g.URI.revive(P.transformIncoming(n)):P.transformIncoming(n);for(let l in n)if(Object.hasOwnProperty.call(n,l)){const u=I(n[l],P,d,m+1);u!==null&&(n[l]=u)}}return null}function E(n,P){const d=I(n,P,!1,0);return d===null?n:d}e.transformIncomingURIs=E;function C(n,P){const d=I(n,P,!0,0);return d===null?n:d}e.transformAndReviveIncomingURIs=C}),define(fe[32],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const g=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function R(E){return g.test(E)}e.isUUID=R;const k=new Uint8Array(16),y=[];for(let E=0;E<256;E++)y.push(E.toString(16).padStart(2,"0"));let A;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?A=crypto.getRandomValues.bind(crypto):A=function(E){for(let C=0;C<E.length;C++)E[C]=Math.floor(Math.random()*256);return E};function I(){A(k),k[6]=k[6]&15|64,k[8]=k[8]&63|128;let E=0,C="";return C+=y[k[E++]],C+=y[k[E++]],C+=y[k[E++]],C+=y[k[E++]],C+="-",C+=y[k[E++]],C+=y[k[E++]],C+="-",C+=y[k[E++]],C+=y[k[E++]],C+="-",C+=y[k[E++]],C+=y[k[E++]],C+="-",C+=y[k[E++]],C+=y[k[E++]],C+=y[k[E++]],C+=y[k[E++]],C+=y[k[E++]],C+=y[k[E++]],C}e.generateUuid=I}),define(fe[139],me([0,1,100]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class R{constructor(y="utf8"){this.stringDecoder=new g.StringDecoder(y),this.remaining=null}write(y){const A=[],I=this.remaining?this.remaining+this.stringDecoder.write(y):this.stringDecoder.write(y);if(I.length<1)return A;let E=0,C,n=E;for(;n<I.length;)if(C=I.charCodeAt(n),C===13||C===10){if(A.push(I.substring(E,n)),n++,n<I.length){const P=C;C=I.charCodeAt(n),(P===13&&C===10||P===10&&C===13)&&n++}E=n}else n++;return this.remaining=E<I.length?I.substr(E):null,A}end(){return this.remaining}}e.LineDecoder=R}),define(fe[28],me([0,1,44,101,282,9,16,11,29,32,74,22,2]),function(X,e,g,R,k,y,A,I,E,C,n,P,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var m;(function(N){N[N.UNLINK=0]="UNLINK",N[N.MOVE=1]="MOVE"})(m=e.RimRafMode||(e.RimRafMode={}));async function l(N,W=m.UNLINK){if(E.isRootOrDriveLetter(N))throw new Error("rimraf - will refuse to recursively delete root");return W===m.UNLINK?S(N):u(N)}async function u(N){try{const W=y.join(R.tmpdir(),C.generateUuid());try{await e.Promises.rename(N,W)}catch(F){return S(N)}S(W).catch(F=>{})}catch(W){if(W.code!=="ENOENT")throw W}}async function S(N){return e.Promises.rmdir(N,{recursive:!0,maxRetries:3})}function w(N){if(E.isRootOrDriveLetter(N))throw new Error("rimraf - will refuse to recursively delete root");g.rmdirSync(N,{recursive:!0})}e.rimrafSync=w;async function b(N,W){return f(await(W?h(N):k.promisify(g.readdir)(N)))}async function h(N){try{return await k.promisify(g.readdir)(N,{withFileTypes:!0})}catch(q){console.warn("[node.js fs] readdir with filetypes failed with error: ",q)}const W=[],F=await b(N);for(const q of F){let M=!1,O=!1,x=!1;try{const $=await e.Promises.lstat(y.join(N,q));M=$.isFile(),O=$.isDirectory(),x=$.isSymbolicLink()}catch($){console.warn("[node.js fs] unexpected error from lstat after readdir: ",$)}W.push({name:q,isFile:()=>M,isDirectory:()=>O,isSymbolicLink:()=>x})}return W}function c(N){return f(g.readdirSync(N))}e.readdirSync=c;function f(N){return N.map(W=>typeof W=="string"?I.isMacintosh?n.normalizeNFC(W):W:(W.name=I.isMacintosh?n.normalizeNFC(W.name):W.name,W))}async function t(N){const W=await b(N),F=[];for(const q of W)await s.existsDirectory(y.join(N,q))&&F.push(q);return F}function r(N,W=1e3){return new Promise(F=>{let q=!1;const M=setInterval(()=>{q||(q=!0,g.access(N,O=>{q=!1,O&&(clearInterval(M),F(void 0))}))},W)})}e.whenDeleted=r;var s;(function(N){async function W(M){let O;try{if(O=await e.Promises.lstat(M),!O.isSymbolicLink())return{stat:O}}catch(x){}try{return{stat:await e.Promises.stat(M),symbolicLink:O?.isSymbolicLink()?{dangling:!1}:void 0}}catch(x){if(x.code==="ENOENT"&&O)return{stat:O,symbolicLink:{dangling:!0}};if(I.isWindows&&x.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(M)),symbolicLink:{dangling:!1}}}catch($){if($.code==="ENOENT"&&O)return{stat:O,symbolicLink:{dangling:!0}};throw $}throw x}}N.stat=W;async function F(M){try{const{stat:O,symbolicLink:x}=await N.stat(M);return O.isFile()&&x?.dangling!==!0}catch(O){}return!1}N.existsFile=F;async function q(M){try{const{stat:O,symbolicLink:x}=await N.stat(M);return O.isDirectory()&&x?.dangling!==!0}catch(O){}return!1}N.existsDirectory=q})(s=e.SymlinkSupport||(e.SymlinkSupport={}));const i=new A.ResourceQueue;function a(N,W,F){return i.queueFor(d.URI.file(N),P.extUriBiasedIgnorePathCase).queue(()=>{const q=D(F);return new Promise((M,O)=>p(N,W,q,x=>x?O(x):M()))})}let v=!0;function p(N,W,F,q){if(!v)return g.writeFile(N,W,{mode:F.mode,flag:F.flag},q);g.open(N,F.flag,F.mode,(M,O)=>{if(M)return q(M);g.writeFile(O,W,x=>{if(x)return g.close(O,()=>q(x));g.fdatasync(O,$=>($&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",$),v=!1),g.close(O,J=>q(J))))})})}function _(N,W,F){const q=D(F);if(!v)return g.writeFileSync(N,W,{mode:q.mode,flag:q.flag});const M=g.openSync(N,q.flag,q.mode);try{g.writeFileSync(M,W);try{g.fdatasyncSync(M)}catch(O){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",O),v=!1}}finally{g.closeSync(M)}}e.writeFileSync=_;function D(N){return N?{mode:typeof N.mode=="number"?N.mode:438,flag:typeof N.flag=="string"?N.flag:"w"}:{mode:438,flag:"w"}}async function o(N,W){if(N===W)return;async function F(q){try{const M=await e.Promises.lstat(q);if(M.isDirectory()||M.isSymbolicLink())return;await e.Promises.utimes(q,M.atime,new Date)}catch(M){}}try{await e.Promises.rename(N,W),await F(W)}catch(q){if(N.toLowerCase()!==W.toLowerCase()&&q.code==="EXDEV"||N.endsWith("."))await T(N,W,{preserveSymlinks:!1}),await l(N,m.MOVE),await F(W);else throw q}}async function T(N,W,F){return H(N,W,{root:{source:N,target:W},options:F,handledSourcePaths:new Set})}const L=511;async function H(N,W,F){if(F.handledSourcePaths.has(N))return;F.handledSourcePaths.add(N);const{stat:q,symbolicLink:M}=await s.stat(N);if(M){if(F.options.preserveSymlinks)try{return await z(N,W,F)}catch(O){console.warn("[node.js fs] copy of symlink failed: ",O)}if(M.dangling)return}return q.isDirectory()?B(N,W,q.mode&L,F):Q(N,W,q.mode&L)}async function B(N,W,F,q){await e.Promises.mkdir(W,{recursive:!0,mode:F});const M=await b(N);for(const O of M)await H(y.join(N,O),y.join(W,O),q)}async function Q(N,W,F){await e.Promises.copyFile(N,W),await e.Promises.chmod(W,F)}async function z(N,W,F){let q=await e.Promises.readlink(N);E.isEqualOrParent(q,F.root.source,!I.isLinux)&&(q=y.join(F.root.target,q.substr(F.root.source.length+1))),await e.Promises.symlink(q,W)}e.Promises=new class{get access(){return k.promisify(g.access)}get stat(){return k.promisify(g.stat)}get lstat(){return k.promisify(g.lstat)}get utimes(){return k.promisify(g.utimes)}get read(){return k.promisify(g.read)}get readFile(){return k.promisify(g.readFile)}get write(){return k.promisify(g.write)}get appendFile(){return k.promisify(g.appendFile)}get fdatasync(){return k.promisify(g.fdatasync)}get truncate(){return k.promisify(g.truncate)}get rename(){return k.promisify(g.rename)}get copyFile(){return k.promisify(g.copyFile)}get open(){return k.promisify(g.open)}get close(){return k.promisify(g.close)}get symlink(){return k.promisify(g.symlink)}get readlink(){return k.promisify(g.readlink)}get chmod(){return k.promisify(g.chmod)}get mkdir(){return k.promisify(g.mkdir)}get unlink(){return k.promisify(g.unlink)}get rmdir(){return k.promisify(g.rmdir)}get realpath(){return k.promisify(g.realpath)}async exists(N){try{return await e.Promises.access(N),!0}catch{return!1}}get readdir(){return b}get readDirsInDir(){return t}get writeFile(){return a}get rm(){return l}get move(){return o}get copy(){return T}}}),define(fe[102],me([0,1,44,8,9,28]),function(X,e,g,R,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcaseSync=void 0;function A(n){const P=k.dirname(n);if(n===P)return n;const d=(k.basename(n)||n).toLowerCase();try{const l=y.readdirSync(P).filter(u=>u.toLowerCase()===d);if(l.length===1){const u=A(P);if(u)return k.join(u,l[0])}else if(l.length>1){const u=l.indexOf(d);if(u>=0){const S=A(P);if(S)return k.join(S,l[u])}}}catch(m){}return null}e.realcaseSync=A;async function I(n){try{return await y.Promises.realpath(n)}catch(P){const d=C(n);return await y.Promises.access(d,g.constants.R_OK),d}}e.realpath=I;function E(n){try{return g.realpathSync(n)}catch(P){const d=C(n);return g.accessSync(d,g.constants.R_OK),d}}e.realpathSync=E;function C(n){return R.rtrim(k.normalize(n),k.sep)}});var ze=this&&this.__decorate||function(X,e,g,R){var k=arguments.length,y=k<3?e:R===null?R=Object.getOwnPropertyDescriptor(e,g):R,A;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")y=Reflect.decorate(X,e,g,R);else for(var I=X.length-1;I>=0;I--)(A=X[I])&&(y=(k<3?A(y):k>3?A(e,g,y):A(e,g))||y);return k>3&&y&&Object.defineProperty(e,g,y),y};define(fe[103],me([0,1,3,6,16,21,15,23,18,14,57,8,53]),function(X,e,g,R,k,y,A,I,E,C,n,P,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var m;(function(M){M[M.Promise=100]="Promise",M[M.PromiseCancel=101]="PromiseCancel",M[M.EventListen=102]="EventListen",M[M.EventDispose=103]="EventDispose"})(m=e.RequestType||(e.RequestType={}));function l(M){switch(M){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var u;(function(M){M[M.Initialize=200]="Initialize",M[M.PromiseSuccess=201]="PromiseSuccess",M[M.PromiseError=202]="PromiseError",M[M.PromiseErrorObj=203]="PromiseErrorObj",M[M.EventFire=204]="EventFire"})(u=e.ResponseType||(e.ResponseType={}));function S(M){switch(M){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var w;(function(M){M[M.Uninitialized=0]="Uninitialized",M[M.Idle=1]="Idle"})(w||(w={}));class b{constructor(O){this.buffer=O,this.pos=0}read(O){const x=this.buffer.slice(this.pos,this.pos+O);return this.pos+=x.byteLength,x}}class h{constructor(){this.buffers=[]}get buffer(){return I.VSBuffer.concat(this.buffers)}write(O){this.buffers.push(O)}}var c;(function(M){M[M.Undefined=0]="Undefined",M[M.String=1]="String",M[M.Buffer=2]="Buffer",M[M.VSBuffer=3]="VSBuffer",M[M.Array=4]="Array",M[M.Object=5]="Object"})(c||(c={}));function f(M){const O=I.VSBuffer.alloc(4);return O.writeUInt32BE(M,0),O}function t(M){return M.read(4).readUInt32BE(0)}function r(M){const O=I.VSBuffer.alloc(1);return O.writeUInt8(M,0),O}const s={Undefined:r(c.Undefined),String:r(c.String),Buffer:r(c.Buffer),VSBuffer:r(c.VSBuffer),Array:r(c.Array),Object:r(c.Object)},i=typeof Buffer!="undefined";function a(M,O){if(typeof O=="undefined")M.write(s.Undefined);else if(typeof O=="string"){const x=I.VSBuffer.fromString(O);M.write(s.String),M.write(f(x.byteLength)),M.write(x)}else if(i&&Buffer.isBuffer(O)){const x=I.VSBuffer.wrap(O);M.write(s.Buffer),M.write(f(x.byteLength)),M.write(x)}else if(O instanceof I.VSBuffer)M.write(s.VSBuffer),M.write(f(O.byteLength)),M.write(O);else if(Array.isArray(O)){M.write(s.Array),M.write(f(O.length));for(const x of O)a(M,x)}else{const x=I.VSBuffer.fromString(JSON.stringify(O));M.write(s.Object),M.write(f(x.byteLength)),M.write(x)}}function v(M){switch(M.read(1).readUInt8(0)){case c.Undefined:return;case c.String:return M.read(t(M)).toString();case c.Buffer:return M.read(t(M)).buffer;case c.VSBuffer:return M.read(t(M));case c.Array:{const x=t(M),$=[];for(let J=0;J<x;J++)$.push(v(M));return $}case c.Object:return JSON.parse(M.read(t(M)).toString())}}class p{constructor(O,x,$=null,J=1e3){this.protocol=O,this.ctx=x,this.logger=$,this.timeoutDelay=J,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(de=>this.onRawMessage(de)),this.sendResponse({type:200})}registerChannel(O,x){this.channels.set(O,x),setTimeout(()=>this.flushPendingRequests(O),0)}sendResponse(O){switch(O.type){case 200:{const x=this.send([O.type]);this.logger&&this.logger.logOutgoing(x,0,1,S(O.type));return}case 201:case 202:case 204:case 203:{const x=this.send([O.type,O.id],O.data);this.logger&&this.logger.logOutgoing(x,O.id,1,S(O.type),O.data);return}}}send(O,x=void 0){const $=new h;return a($,O),a($,x),this.sendBuffer($.buffer)}sendBuffer(O){try{return this.protocol.send(O),O.byteLength}catch(x){return 0}}onRawMessage(O){const x=new b(O),$=v(x),J=v(x),de=$[0];switch(de){case 100:return this.logger&&this.logger.logIncoming(O.byteLength,$[1],1,`${l(de)}: ${$[2]}.${$[3]}`,J),this.onPromise({type:de,id:$[1],channelName:$[2],name:$[3],arg:J});case 102:return this.logger&&this.logger.logIncoming(O.byteLength,$[1],1,`${l(de)}: ${$[2]}.${$[3]}`,J),this.onEventListen({type:de,id:$[1],channelName:$[2],name:$[3],arg:J});case 101:return this.logger&&this.logger.logIncoming(O.byteLength,$[1],1,`${l(de)}`),this.disposeActiveRequest({type:de,id:$[1]});case 103:return this.logger&&this.logger.logIncoming(O.byteLength,$[1],1,`${l(de)}`),this.disposeActiveRequest({type:de,id:$[1]})}}onPromise(O){const x=this.channels.get(O.channelName);if(!x){this.collectPendingRequest(O);return}const $=new y.CancellationTokenSource;let J;try{J=x.call(this.ctx,O.name,O.arg,$.token)}catch(Fe){J=Promise.reject(Fe)}const de=O.id;J.then(Fe=>{this.sendResponse({id:de,data:Fe,type:201}),this.activeRequests.delete(O.id)},Fe=>{Fe instanceof Error?this.sendResponse({id:de,data:{message:Fe.message,name:Fe.name,stack:Fe.stack?Fe.stack.split?Fe.stack.split(`
`):Fe.stack:void 0},type:202}):this.sendResponse({id:de,data:Fe,type:203}),this.activeRequests.delete(O.id)});const Ee=R.toDisposable(()=>$.cancel());this.activeRequests.set(O.id,Ee)}onEventListen(O){const x=this.channels.get(O.channelName);if(!x){this.collectPendingRequest(O);return}const $=O.id,de=x.listen(this.ctx,O.name,O.arg)(Ee=>this.sendResponse({id:$,data:Ee,type:204}));this.activeRequests.set(O.id,de)}disposeActiveRequest(O){const x=this.activeRequests.get(O.id);x&&(x.dispose(),this.activeRequests.delete(O.id))}collectPendingRequest(O){let x=this.pendingRequests.get(O.channelName);x||(x=[],this.pendingRequests.set(O.channelName,x));const $=setTimeout(()=>{console.error(`Unknown channel: ${O.channelName}`),O.type===100&&this.sendResponse({id:O.id,data:{name:"Unknown channel",message:`Channel name '${O.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);x.push({request:O,timeoutTimer:$})}flushPendingRequests(O){const x=this.pendingRequests.get(O);if(x){for(const $ of x)switch(clearTimeout($.timeoutTimer),$.request.type){case 100:this.onPromise($.request);break;case 102:this.onEventListen($.request);break}this.pendingRequests.delete(O)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(O=>O.dispose()),this.activeRequests.clear()}}e.ChannelServer=p;var _;(function(M){M[M.LocalSide=0]="LocalSide",M[M.OtherSide=1]="OtherSide"})(_=e.RequestInitiator||(e.RequestInitiator={}));class D{constructor(O,x=null){this.protocol=O,this.isDisposed=!1,this.state=w.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new g.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage($=>this.onBuffer($)),this.logger=x}getChannel(O){const x=this;return{call($,J,de){return x.isDisposed?Promise.reject(A.canceled()):x.requestPromise(O,$,J,de)},listen($,J){return x.isDisposed?Promise.reject(A.canceled()):x.requestEvent(O,$,J)}}}requestPromise(O,x,$,J=y.CancellationToken.None){const de=this.lastRequestId++,Fe={id:de,type:100,channelName:O,name:x,arg:$};if(J.isCancellationRequested)return Promise.reject(A.canceled());let Re;return new Promise((qe,Ve)=>{if(J.isCancellationRequested)return Ve(A.canceled());const Ge=()=>{const ae=Z=>{switch(Z.type){case 201:this.handlers.delete(de),qe(Z.data);break;case 202:this.handlers.delete(de);const se=new Error(Z.data.message);se.stack=Z.data.stack,se.name=Z.data.name,Ve(se);break;case 203:this.handlers.delete(de),Ve(Z.data);break}};this.handlers.set(de,ae),this.sendRequest(Fe)};let j=null;this.state===w.Idle?Ge():(j=k.createCancelablePromise(ae=>this.whenInitialized()),j.then(()=>{j=null,Ge()}));const ee=()=>{j?(j.cancel(),j=null):this.sendRequest({id:de,type:101}),Ve(A.canceled())},re=J.onCancellationRequested(ee);Re=R.combinedDisposable(R.toDisposable(ee),re),this.activeRequests.add(Re)}).finally(()=>{this.activeRequests.delete(Re)})}requestEvent(O,x,$){const J=this.lastRequestId++,Ee={id:J,type:102,channelName:O,name:x,arg:$};let Fe=null;const Re=new g.Emitter({onFirstListenerAdd:()=>{Fe=k.createCancelablePromise(qe=>this.whenInitialized()),Fe.then(()=>{Fe=null,this.activeRequests.add(Re),this.sendRequest(Ee)})},onLastListenerRemove:()=>{Fe?(Fe.cancel(),Fe=null):(this.activeRequests.delete(Re),this.sendRequest({id:J,type:103}))}}),Ne=qe=>Re.fire(qe.data);return this.handlers.set(J,Ne),Re.event}sendRequest(O){switch(O.type){case 100:case 102:{const x=this.send([O.type,O.id,O.channelName,O.name],O.arg);this.logger&&this.logger.logOutgoing(x,O.id,0,`${l(O.type)}: ${O.channelName}.${O.name}`,O.arg);return}case 101:case 103:{const x=this.send([O.type,O.id]);this.logger&&this.logger.logOutgoing(x,O.id,0,l(O.type));return}}}send(O,x=void 0){const $=new h;return a($,O),a($,x),this.sendBuffer($.buffer)}sendBuffer(O){try{return this.protocol.send(O),O.byteLength}catch(x){return 0}}onBuffer(O){const x=new b(O),$=v(x),J=v(x),de=$[0];switch(de){case 200:return this.logger&&this.logger.logIncoming(O.byteLength,0,0,S(de)),this.onResponse({type:$[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(O.byteLength,$[1],0,S(de),J),this.onResponse({type:$[0],id:$[1],data:J})}}onResponse(O){if(O.type===200){this.state=w.Idle,this._onDidInitialize.fire();return}const x=this.handlers.get(O.id);x&&x(O)}get onDidInitializePromise(){return g.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===w.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(O=>O.dispose()),this.activeRequests.clear()}}ze([d.memoize],D.prototype,"onDidInitializePromise",null),e.ChannelClient=D;class o{constructor(O){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new g.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new g.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,O(({protocol:x,onDidClientDisconnect:$})=>{g.Event.once(x.onMessage)(de=>{const Ee=new b(de),Fe=v(Ee),Re=new p(x,Fe),Ne=new D(x);this.channels.forEach((Ve,Ge)=>Re.registerChannel(Ge,Ve));const qe={channelServer:Re,channelClient:Ne,ctx:Fe};this._connections.add(qe),this._onDidAddConnection.fire(qe),$(()=>{Re.dispose(),Ne.dispose(),this._connections.delete(qe),this._onDidRemoveConnection.fire(qe)})})})}get connections(){const O=[];return this._connections.forEach(x=>O.push(x)),O}getChannel(O,x){const $=this;return{call(J,de,Ee){let Fe;if(C.isFunction(x)){let Ne=E.getRandomElement($.connections.filter(x));Fe=Ne?Promise.resolve(Ne):g.Event.toPromise(g.Event.filter($.onDidAddConnection,x))}else Fe=x.routeCall($,J,de);const Re=Fe.then(Ne=>Ne.channelClient.getChannel(O));return L(Re).call(J,de,Ee)},listen(J,de){if(C.isFunction(x))return $.getMulticastEvent(O,x,J,de);const Ee=x.routeEvent($,J,de).then(Fe=>Fe.channelClient.getChannel(O));return L(Ee).listen(J,de)}}}getMulticastEvent(O,x,$,J){const de=this;let Ee=new R.DisposableStore;const Fe=new g.Emitter({onFirstListenerAdd:()=>{Ee=new R.DisposableStore;const Re=new g.EventMultiplexer,Ne=new Map,qe=Ge=>{const ee=Ge.channelClient.getChannel(O).listen($,J),re=Re.add(ee);Ne.set(Ge,re)},Ve=Ge=>{const j=Ne.get(Ge);!j||(j.dispose(),Ne.delete(Ge))};de.connections.filter(x).forEach(qe),g.Event.filter(de.onDidAddConnection,x)(qe,void 0,Ee),de.onDidRemoveConnection(Ve,void 0,Ee),Re.event(Fe.fire,Fe,Ee),Ee.add(Re)},onLastListenerRemove:()=>{Ee.dispose()}});return Fe.event}registerChannel(O,x){this.channels.set(O,x),this._connections.forEach($=>{$.channelServer.registerChannel(O,x)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=o;class T{constructor(O,x,$=null){const J=new h;a(J,x),O.send(J.buffer),this.channelClient=new D(O,$),this.channelServer=new p(O,x,$)}getChannel(O){return this.channelClient.getChannel(O)}registerChannel(O,x){this.channelServer.registerChannel(O,x)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=T;function L(M){return{call(O,x,$){return M.then(J=>J.call(O,x,$))},listen(O,x){const $=new g.Relay;return M.then(J=>$.input=J.listen(O,x)),$.event}}}e.getDelayedChannel=L;function H(M){let O=!1;return{call(x,$,J){return O?M.call(x,$,J):k.timeout(0).then(()=>O=!0).then(()=>M.call(x,$,J))},listen(x,$){if(O)return M.listen(x,$);const J=new g.Relay;return k.timeout(0).then(()=>O=!0).then(()=>J.input=M.listen(x,$)),J.event}}}e.getNextTickChannel=H;class B{constructor(O){this.fn=O}routeCall(O){return this.route(O)}routeEvent(O){return this.route(O)}async route(O){for(const x of O.connections)if(await Promise.resolve(this.fn(x.ctx)))return Promise.resolve(x);return await g.Event.toPromise(O.onDidAddConnection),await this.route(O)}}e.StaticRouter=B;var Q;(function(M){function O(J,de){const Ee=J,Fe=de&&de.disableMarshalling,Re=new Map;for(const Ne in Ee)$(Ne)&&Re.set(Ne,g.Event.buffer(Ee[Ne],!0));return new class{listen(Ne,qe){const Ve=Re.get(qe);if(Ve)return Ve;throw new Error(`Event not found: ${qe}`)}call(Ne,qe,Ve){const Ge=Ee[qe];if(typeof Ge=="function"){if(!Fe&&Array.isArray(Ve))for(let j=0;j<Ve.length;j++)Ve[j]=n.revive(Ve[j]);return Ge.apply(Ee,Ve)}throw new Error(`Method not found: ${qe}`)}}}M.fromService=O;function x(J,de){const Ee=de&&de.disableMarshalling;return new Proxy({},{get(Fe,Re){if(typeof Re=="string")return de?.properties?.has(Re)?de.properties.get(Re):$(Re)?J.listen(Re):async function(...Ne){let qe;de&&!C.isUndefinedOrNull(de.context)?qe=[de.context,...Ne]:qe=Ne;const Ve=await J.call(Re,qe);return Ee?Ve:n.revive(Ve)};throw new Error(`Property not found: ${String(Re)}`)}})}M.toService=x;function $(J){return J[0]==="o"&&J[1]==="n"&&P.isUpperAsciiLetter(J.charCodeAt(2))}})(Q=e.ProxyChannel||(e.ProxyChannel={}));const z=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function N(M){if(Array.isArray(M))return M;if(M&&typeof M=="object"&&typeof M.toString=="function"){let O=M.toString();if(O!=="[object Object]")return O}return M}function W(M){return Array.isArray(M)?M.map(N):N(M)}function F(M,O,x,$,J,de,Ee){Ee=W(Ee);const Fe=z[J],Re=Fe[$%Fe.length];let Ne=[`%c[${M}]%c[${String(O).padStart(7," ")}]%c[len: ${String(x).padStart(5," ")}]%c${String($).padStart(5," ")} - ${de}`,"color: darkgreen","color: grey","color: grey",`color: ${Re}`];/\($/.test(de)?(Ne=Ne.concat(Ee),Ne.push(")")):Ne.push(Ee),console.log.apply(console,Ne)}e.logWithColors=F;class q{constructor(O,x){this._outgoingPrefix=O,this._incomingPrefix=x,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(O,x,$,J,de){this._totalOutgoing+=O,F(this._outgoingPrefix,this._totalOutgoing,O,x,$,J,de)}logIncoming(O,x,$,J,de){this._totalIncoming+=O,F(this._incomingPrefix,this._totalIncoming,O,x,$,J,de)}}e.IPCLogger=q}),define(fe[104],me([0,1,3,103,6,23,11,37]),function(X,e,g,R,k,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=e.SocketCloseEventType=void 0;var E;(function(s){s[s.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",s[s.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(E=e.SocketCloseEventType||(e.SocketCloseEventType={}));let C=null;function n(){return C||(C=y.VSBuffer.alloc(0)),C}class P{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(i){this._chunks.push(i),this._totalLength+=i.byteLength}read(i){return this._read(i,!0)}peek(i){return this._read(i,!1)}_read(i,a){if(i===0)return n();if(i>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===i){const D=this._chunks[0];return a&&(this._chunks.shift(),this._totalLength-=i),D}if(this._chunks[0].byteLength>i){const D=this._chunks[0].slice(0,i);return a&&(this._chunks[0]=this._chunks[0].slice(i),this._totalLength-=i),D}let v=y.VSBuffer.alloc(i),p=0,_=0;for(;i>0;){const D=this._chunks[_];if(D.byteLength>i){const o=D.slice(0,i);v.set(o,p),p+=i,a&&(this._chunks[_]=D.slice(i),this._totalLength-=i),i-=i}else v.set(D,p),p+=D.byteLength,a?(this._chunks.shift(),this._totalLength-=D.byteLength):_++,i-=D.byteLength}return v}}e.ChunkStream=P;var d;(function(s){s[s.None=0]="None",s[s.Regular=1]="Regular",s[s.Control=2]="Control",s[s.Ack=3]="Ack",s[s.KeepAlive=4]="KeepAlive",s[s.Disconnect=5]="Disconnect",s[s.ReplayRequest=6]="ReplayRequest"})(d||(d={}));var m;(function(s){s[s.HeaderLength=13]="HeaderLength",s[s.AcknowledgeTime=2e3]="AcknowledgeTime",s[s.AcknowledgeTimeoutTime=2e4]="AcknowledgeTimeoutTime",s[s.KeepAliveTime=5e3]="KeepAliveTime",s[s.KeepAliveTimeoutTime=2e4]="KeepAliveTimeoutTime",s[s.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",s[s.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(m=e.ProtocolConstants||(e.ProtocolConstants={}));class l{constructor(i,a,v,p){this.type=i,this.id=a,this.ack=v,this.data=p,this.writtenTime=0}get size(){return this.data.byteLength}}class u extends k.Disposable{constructor(i){super();this._onMessage=this._register(new g.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=i,this._isDisposed=!1,this._incomingData=new P,this._register(this._socket.onData(a=>this.acceptChunk(a))),this.lastReadTime=Date.now()}acceptChunk(i){if(!(!i||i.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(i);this._incomingData.byteLength>=this._state.readLen;){const a=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=a.readUInt32BE(9),this._state.messageType=a.readUInt8(0),this._state.id=a.readUInt32BE(1),this._state.ack=a.readUInt32BE(5);else{const v=this._state.messageType,p=this._state.id,_=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._onMessage.fire(new l(v,p,_,a)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class S{constructor(i){this._isDisposed=!1,this._socket=i,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch(i){}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}write(i){if(this._isDisposed)return;i.writtenTime=Date.now(),this.lastWriteTime=Date.now();const a=y.VSBuffer.alloc(13);a.writeUInt8(i.type,0),a.writeUInt32BE(i.id,1),a.writeUInt32BE(i.ack,5),a.writeUInt32BE(i.data.byteLength,9),this._writeSoon(a,i.data)}_bufferAdd(i,a){const v=this._totalLength===0;return this._data.push(i,a),this._totalLength+=i.byteLength+a.byteLength,v}_bufferTake(){const i=y.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,i}_writeSoon(i,a){this._bufferAdd(i,a)&&A.setImmediate(()=>{this._writeNow()})}_writeNow(){this._totalLength!==0&&this._socket.write(this._bufferTake())}}class w extends k.Disposable{constructor(i){super();this._onMessage=new g.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new g.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=i,this._socketWriter=this._register(new S(this._socket)),this._socketReader=this._register(new u(this._socket)),this._register(this._socketReader.onMessage(a=>{a.type===1&&this._onMessage.fire(a.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(i){this._socketWriter.write(new l(1,0,0,i))}}e.Protocol=w;class b extends R.IPCClient{constructor(i,a,v=null){super(i,a,v);this.protocol=i}static fromSocket(i,a){return new b(new w(i),a)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const i=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),i.end()}}e.Client=b;class h{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new g.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,I.nextTick(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(i){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(i):this._emitter.fire(i):this._bufferedMessages.push(i)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=h;class c{constructor(i){this.data=i,this.next=null}}class f{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){let i=[],a=0,v=this._first;for(;v;)i[a++]=v.data,v=v.next;return i}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(i){const a=new c(i);if(!this._first){this._first=a,this._last=a;return}this._last.next=a,this._last=a}}class t{constructor(){this.lastRuns=[];const i=Date.now();for(let a=0;a<t._HISTORY_LENGTH;a++)this.lastRuns[a]=i-1e3*a;setInterval(()=>{for(let a=t._HISTORY_LENGTH;a>=1;a--)this.lastRuns[a]=this.lastRuns[a-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return t._INSTANCE||(t._INSTANCE=new t),t._INSTANCE}load(){const i=Date.now(),a=(1+t._HISTORY_LENGTH)*1e3;let v=0;for(let p=0;p<t._HISTORY_LENGTH;p++)i-this.lastRuns[p]<=a&&v++;return 1-v/t._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}t._HISTORY_LENGTH=10,t._INSTANCE=null;class r{constructor(i,a=null){this._loadEstimator=t.getInstance(),this._onControlMessage=new h,this.onControlMessage=this._onControlMessage.event,this._onMessage=new h,this.onMessage=this._onMessage.event,this._onDidDispose=new h,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new h,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new h,this.onSocketTimeout=this._onSocketTimeout.event,this._isReconnecting=!1,this._outgoingUnackMsg=new f,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._outgoingKeepAliveTimeout=null,this._incomingKeepAliveTimeout=null,this._lastReplayRequestTime=0,this._socketDisposables=[],this._socket=i,this._socketWriter=new S(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new u(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(v=>this._receiveMessage(v))),this._socketDisposables.push(this._socket.onClose(v=>this._onSocketClose.fire(v))),a&&this._socketReader.acceptChunk(a),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._outgoingKeepAliveTimeout&&(clearTimeout(this._outgoingKeepAliveTimeout),this._outgoingKeepAliveTimeout=null),this._incomingKeepAliveTimeout&&(clearTimeout(this._incomingKeepAliveTimeout),this._incomingKeepAliveTimeout=null),this._socketDisposables=k.dispose(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const i=new l(5,0,0,n());this._socketWriter.write(i),this._socketWriter.flush()}_sendKeepAliveCheck(){if(this._outgoingKeepAliveTimeout)return;const i=Date.now()-this._socketWriter.lastWriteTime;if(i>=5e3){const a=new l(4,0,0,n());this._socketWriter.write(a),this._sendKeepAliveCheck();return}this._outgoingKeepAliveTimeout=setTimeout(()=>{this._outgoingKeepAliveTimeout=null,this._sendKeepAliveCheck()},5e3-i+5)}_recvKeepAliveCheck(){if(this._incomingKeepAliveTimeout)return;const i=Date.now()-this._socketReader.lastReadTime;if(i>=2e4&&!this._loadEstimator.hasHighLoad()){this._onSocketTimeout.fire(void 0);return}this._incomingKeepAliveTimeout=setTimeout(()=>{this._incomingKeepAliveTimeout=null,this._recvKeepAliveCheck()},Math.max(2e4-i,0)+5)}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(i,a){this._isReconnecting=!0,this._socketDisposables=k.dispose(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._socket=i,this._socketWriter=new S(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new u(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(v=>this._receiveMessage(v))),this._socketDisposables.push(this._socket.onClose(v=>this._onSocketClose.fire(v))),this._socketReader.acceptChunk(a)}endAcceptReconnection(){this._isReconnecting=!1;const i=this._outgoingUnackMsg.toArray();for(let a=0,v=i.length;a<v;a++)this._socketWriter.write(i[a]);this._recvAckCheck(),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(i){if(i.ack>this._outgoingAckId){this._outgoingAckId=i.ack;do{const a=this._outgoingUnackMsg.peek();if(a&&a.id<=i.ack)this._outgoingUnackMsg.pop();else break}while(!0)}if(i.type===1){if(i.id>this._incomingMsgId)if(i.id!==this._incomingMsgId+1){const a=Date.now();a-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=a,this._socketWriter.write(new l(6,0,0,n())))}else this._incomingMsgId=i.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(i.data)}else if(i.type===2)this._onControlMessage.fire(i.data);else if(i.type===5)this._onDidDispose.fire();else if(i.type===6){const a=this._outgoingUnackMsg.toArray();for(let v=0,p=a.length;v<p;v++)this._socketWriter.write(a[v]);this._recvAckCheck()}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(i){const a=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const v=new l(1,a,this._incomingAckId,i);this._outgoingUnackMsg.push(v),this._isReconnecting||(this._socketWriter.write(v),this._recvAckCheck())}sendControl(i){const a=new l(2,0,0,i);this._socketWriter.write(a)}_sendAckCheck(){if(this._incomingMsgId<=this._incomingAckId||this._incomingAckTimeout)return;const i=Date.now()-this._incomingMsgLastTime;if(i>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-i+5)}_recvAckCheck(){if(this._outgoingMsgId<=this._outgoingAckId||this._outgoingAckTimeout)return;const i=this._outgoingUnackMsg.peek(),a=Date.now()-i.writtenTime;if(a>=2e4&&!this._loadEstimator.hasHighLoad()){this._onSocketTimeout.fire(void 0);return}this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},Math.max(2e4-a,0)+5)}_sendAck(){if(this._incomingMsgId<=this._incomingAckId)return;this._incomingAckId=this._incomingMsgId;const i=new l(3,0,this._incomingAckId,n());this._socketWriter.write(i)}}e.PersistentProtocol=r}),define(fe[105],me([0,1,93]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CharacterSet=e.CharacterClassifier=void 0;class R{constructor(I){let E=g.toUint8(I);this._defaultValue=E,this._asciiMap=R._createAsciiMap(E),this._map=new Map}static _createAsciiMap(I){let E=new Uint8Array(256);for(let C=0;C<256;C++)E[C]=I;return E}set(I,E){let C=g.toUint8(E);I>=0&&I<256?this._asciiMap[I]=C:this._map.set(I,C)}get(I){return I>=0&&I<256?this._asciiMap[I]:this._map.get(I)||this._defaultValue}}e.CharacterClassifier=R;var k;(function(A){A[A.False=0]="False",A[A.True=1]="True"})(k||(k={}));class y{constructor(){this._actual=new R(0)}add(I){this._actual.set(I,1)}has(I){return this._actual.get(I)===1}}e.CharacterSet=y}),define(fe[140],me([0,1,105]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMapForWordSeparators=e.WordCharacterClassifier=e.WordCharacterClass=void 0;var R;(function(A){A[A.Regular=0]="Regular",A[A.Whitespace=1]="Whitespace",A[A.WordSeparator=2]="WordSeparator"})(R=e.WordCharacterClass||(e.WordCharacterClass={}));class k extends g.CharacterClassifier{constructor(I){super(0);for(let E=0,C=I.length;E<C;E++)this.set(I.charCodeAt(E),2);this.set(32,1),this.set(9,1)}}e.WordCharacterClassifier=k;function y(A){let I={};return E=>(I.hasOwnProperty(E)||(I[E]=A(E)),I[E])}e.getMapForWordSeparators=y(A=>new k(A))}),define(fe[45],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Position=void 0;class g{constructor(k,y){this.lineNumber=k,this.column=y}with(k=this.lineNumber,y=this.column){return k===this.lineNumber&&y===this.column?this:new g(k,y)}delta(k=0,y=0){return this.with(this.lineNumber+k,this.column+y)}equals(k){return g.equals(this,k)}static equals(k,y){return!k&&!y?!0:!!k&&!!y&&k.lineNumber===y.lineNumber&&k.column===y.column}isBefore(k){return g.isBefore(this,k)}static isBefore(k,y){return k.lineNumber<y.lineNumber?!0:y.lineNumber<k.lineNumber?!1:k.column<y.column}isBeforeOrEqual(k){return g.isBeforeOrEqual(this,k)}static isBeforeOrEqual(k,y){return k.lineNumber<y.lineNumber?!0:y.lineNumber<k.lineNumber?!1:k.column<=y.column}static compare(k,y){let A=k.lineNumber|0,I=y.lineNumber|0;if(A===I){let E=k.column|0,C=y.column|0;return E-C}return A-I}clone(){return new g(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(k){return new g(k.lineNumber,k.column)}static isIPosition(k){return k&&typeof k.lineNumber=="number"&&typeof k.column=="number"}}e.Position=g}),define(fe[40],me([0,1,45]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Range=void 0;class R{constructor(y,A,I,E){y>I||y===I&&A>E?(this.startLineNumber=I,this.startColumn=E,this.endLineNumber=y,this.endColumn=A):(this.startLineNumber=y,this.startColumn=A,this.endLineNumber=I,this.endColumn=E)}isEmpty(){return R.isEmpty(this)}static isEmpty(y){return y.startLineNumber===y.endLineNumber&&y.startColumn===y.endColumn}containsPosition(y){return R.containsPosition(this,y)}static containsPosition(y,A){return!(A.lineNumber<y.startLineNumber||A.lineNumber>y.endLineNumber||A.lineNumber===y.startLineNumber&&A.column<y.startColumn||A.lineNumber===y.endLineNumber&&A.column>y.endColumn)}containsRange(y){return R.containsRange(this,y)}static containsRange(y,A){return!(A.startLineNumber<y.startLineNumber||A.endLineNumber<y.startLineNumber||A.startLineNumber>y.endLineNumber||A.endLineNumber>y.endLineNumber||A.startLineNumber===y.startLineNumber&&A.startColumn<y.startColumn||A.endLineNumber===y.endLineNumber&&A.endColumn>y.endColumn)}strictContainsRange(y){return R.strictContainsRange(this,y)}static strictContainsRange(y,A){return!(A.startLineNumber<y.startLineNumber||A.endLineNumber<y.startLineNumber||A.startLineNumber>y.endLineNumber||A.endLineNumber>y.endLineNumber||A.startLineNumber===y.startLineNumber&&A.startColumn<=y.startColumn||A.endLineNumber===y.endLineNumber&&A.endColumn>=y.endColumn)}plusRange(y){return R.plusRange(this,y)}static plusRange(y,A){let I,E,C,n;return A.startLineNumber<y.startLineNumber?(I=A.startLineNumber,E=A.startColumn):A.startLineNumber===y.startLineNumber?(I=A.startLineNumber,E=Math.min(A.startColumn,y.startColumn)):(I=y.startLineNumber,E=y.startColumn),A.endLineNumber>y.endLineNumber?(C=A.endLineNumber,n=A.endColumn):A.endLineNumber===y.endLineNumber?(C=A.endLineNumber,n=Math.max(A.endColumn,y.endColumn)):(C=y.endLineNumber,n=y.endColumn),new R(I,E,C,n)}intersectRanges(y){return R.intersectRanges(this,y)}static intersectRanges(y,A){let I=y.startLineNumber,E=y.startColumn,C=y.endLineNumber,n=y.endColumn,P=A.startLineNumber,d=A.startColumn,m=A.endLineNumber,l=A.endColumn;return I<P?(I=P,E=d):I===P&&(E=Math.max(E,d)),C>m?(C=m,n=l):C===m&&(n=Math.min(n,l)),I>C||I===C&&E>n?null:new R(I,E,C,n)}equalsRange(y){return R.equalsRange(this,y)}static equalsRange(y,A){return!!y&&!!A&&y.startLineNumber===A.startLineNumber&&y.startColumn===A.startColumn&&y.endLineNumber===A.endLineNumber&&y.endColumn===A.endColumn}getEndPosition(){return R.getEndPosition(this)}static getEndPosition(y){return new g.Position(y.endLineNumber,y.endColumn)}getStartPosition(){return R.getStartPosition(this)}static getStartPosition(y){return new g.Position(y.startLineNumber,y.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(y,A){return new R(this.startLineNumber,this.startColumn,y,A)}setStartPosition(y,A){return new R(y,A,this.endLineNumber,this.endColumn)}collapseToStart(){return R.collapseToStart(this)}static collapseToStart(y){return new R(y.startLineNumber,y.startColumn,y.startLineNumber,y.startColumn)}static fromPositions(y,A=y){return new R(y.lineNumber,y.column,A.lineNumber,A.column)}static lift(y){return y?new R(y.startLineNumber,y.startColumn,y.endLineNumber,y.endColumn):null}static isIRange(y){return y&&typeof y.startLineNumber=="number"&&typeof y.startColumn=="number"&&typeof y.endLineNumber=="number"&&typeof y.endColumn=="number"}static areIntersectingOrTouching(y,A){return!(y.endLineNumber<A.startLineNumber||y.endLineNumber===A.startLineNumber&&y.endColumn<A.startColumn||A.endLineNumber<y.startLineNumber||A.endLineNumber===y.startLineNumber&&A.endColumn<y.startColumn)}static areIntersecting(y,A){return!(y.endLineNumber<A.startLineNumber||y.endLineNumber===A.startLineNumber&&y.endColumn<=A.startColumn||A.endLineNumber<y.startLineNumber||A.endLineNumber===y.startLineNumber&&A.endColumn<=y.startColumn)}static compareRangesUsingStarts(y,A){if(y&&A){const C=y.startLineNumber|0,n=A.startLineNumber|0;if(C===n){const P=y.startColumn|0,d=A.startColumn|0;if(P===d){const m=y.endLineNumber|0,l=A.endLineNumber|0;if(m===l){const u=y.endColumn|0,S=A.endColumn|0;return u-S}return m-l}return P-d}return C-n}return(y?1:0)-(A?1:0)}static compareRangesUsingEnds(y,A){return y.endLineNumber===A.endLineNumber?y.endColumn===A.endColumn?y.startLineNumber===A.startLineNumber?y.startColumn-A.startColumn:y.startLineNumber-A.startLineNumber:y.endColumn-A.endColumn:y.endLineNumber-A.endLineNumber}static spansMultipleLines(y){return y.endLineNumber>y.startLineNumber}}e.Range=R}),define(fe[141],me([0,1,45,40]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Selection=e.SelectionDirection=void 0;var k;(function(A){A[A.LTR=0]="LTR",A[A.RTL=1]="RTL"})(k=e.SelectionDirection||(e.SelectionDirection={}));class y extends R.Range{constructor(I,E,C,n){super(I,E,C,n);this.selectionStartLineNumber=I,this.selectionStartColumn=E,this.positionLineNumber=C,this.positionColumn=n}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(I){return y.selectionsEqual(this,I)}static selectionsEqual(I,E){return I.selectionStartLineNumber===E.selectionStartLineNumber&&I.selectionStartColumn===E.selectionStartColumn&&I.positionLineNumber===E.positionLineNumber&&I.positionColumn===E.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(I,E){return this.getDirection()===0?new y(this.startLineNumber,this.startColumn,I,E):new y(I,E,this.startLineNumber,this.startColumn)}getPosition(){return new g.Position(this.positionLineNumber,this.positionColumn)}setStartPosition(I,E){return this.getDirection()===0?new y(I,E,this.endLineNumber,this.endColumn):new y(this.endLineNumber,this.endColumn,I,E)}static fromPositions(I,E=I){return new y(I.lineNumber,I.column,E.lineNumber,E.column)}static liftSelection(I){return new y(I.selectionStartLineNumber,I.selectionStartColumn,I.positionLineNumber,I.positionColumn)}static selectionsArrEqual(I,E){if(I&&!E||!I&&E)return!1;if(!I&&!E)return!0;if(I.length!==E.length)return!1;for(let C=0,n=I.length;C<n;C++)if(!this.selectionsEqual(I[C],E[C]))return!1;return!0}static isISelection(I){return I&&typeof I.selectionStartLineNumber=="number"&&typeof I.selectionStartColumn=="number"&&typeof I.positionLineNumber=="number"&&typeof I.positionColumn=="number"}static createWithDirection(I,E,C,n,P){return P===0?new y(I,E,C,n):new y(C,n,I,E)}}e.Selection=y}),define(fe[106],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApplyEditsResult=e.ValidAnnotatedEditOperation=e.ModelConstants=e.PositionNormalizationAffinity=e.TrackedRangeStickiness=e.FindMatch=e.TextModelResolvedOptions=e.EndOfLineSequence=e.DefaultEndOfLine=e.EndOfLinePreference=e.MinimapPosition=e.OverviewRulerLane=void 0;var g;(function(l){l[l.Left=1]="Left",l[l.Center=2]="Center",l[l.Right=4]="Right",l[l.Full=7]="Full"})(g=e.OverviewRulerLane||(e.OverviewRulerLane={}));var R;(function(l){l[l.Inline=1]="Inline",l[l.Gutter=2]="Gutter"})(R=e.MinimapPosition||(e.MinimapPosition={}));var k;(function(l){l[l.TextDefined=0]="TextDefined",l[l.LF=1]="LF",l[l.CRLF=2]="CRLF"})(k=e.EndOfLinePreference||(e.EndOfLinePreference={}));var y;(function(l){l[l.LF=1]="LF",l[l.CRLF=2]="CRLF"})(y=e.DefaultEndOfLine||(e.DefaultEndOfLine={}));var A;(function(l){l[l.LF=0]="LF",l[l.CRLF=1]="CRLF"})(A=e.EndOfLineSequence||(e.EndOfLineSequence={}));class I{constructor(u){this._textModelResolvedOptionsBrand=void 0,this.tabSize=Math.max(1,u.tabSize|0),this.indentSize=u.tabSize|0,this.insertSpaces=Boolean(u.insertSpaces),this.defaultEOL=u.defaultEOL|0,this.trimAutoWhitespace=Boolean(u.trimAutoWhitespace)}equals(u){return this.tabSize===u.tabSize&&this.indentSize===u.indentSize&&this.insertSpaces===u.insertSpaces&&this.defaultEOL===u.defaultEOL&&this.trimAutoWhitespace===u.trimAutoWhitespace}createChangeEvent(u){return{tabSize:this.tabSize!==u.tabSize,indentSize:this.indentSize!==u.indentSize,insertSpaces:this.insertSpaces!==u.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==u.trimAutoWhitespace}}}e.TextModelResolvedOptions=I;class E{constructor(u,S){this._findMatchBrand=void 0,this.range=u,this.matches=S}}e.FindMatch=E;var C;(function(l){l[l.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",l[l.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",l[l.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",l[l.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(C=e.TrackedRangeStickiness||(e.TrackedRangeStickiness={}));var n;(function(l){l[l.Left=0]="Left",l[l.Right=1]="Right"})(n=e.PositionNormalizationAffinity||(e.PositionNormalizationAffinity={}));var P;(function(l){l[l.FIRST_LINE_DETECTION_LENGTH_LIMIT=1e3]="FIRST_LINE_DETECTION_LENGTH_LIMIT"})(P=e.ModelConstants||(e.ModelConstants={}));class d{constructor(u,S,w,b,h,c){this.identifier=u,this.range=S,this.text=w,this.forceMoveMarkers=b,this.isAutoWhitespaceEdit=h,this._isTracked=c}}e.ValidAnnotatedEditOperation=d;class m{constructor(u,S,w){this.reverseEdits=u,this.changes=S,this.trimAutoWhitespaceLineNumbers=w}}e.ApplyEditsResult=m}),define(fe[142],me([0,1,8,140,45,40,106]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Searcher=e.isValidMatch=e.TextModelSearch=e.createFindMatch=e.SearchData=e.isMultilineRegexSource=e.SearchParams=void 0;const I=999;class E{constructor(h,c,f,t){this.searchString=h,this.isRegex=c,this.matchCase=f,this.wordSeparators=t}parseSearchRequest(){if(this.searchString==="")return null;let h;this.isRegex?h=C(this.searchString):h=this.searchString.indexOf(`
`)>=0;let c=null;try{c=g.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:h,global:!0,unicode:!0})}catch(t){return null}if(!c)return null;let f=!this.isRegex&&!h;return f&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(f=this.matchCase),new n(c,this.wordSeparators?R.getMapForWordSeparators(this.wordSeparators):null,f?this.searchString:null)}}e.SearchParams=E;function C(b){if(!b||b.length===0)return!1;for(let h=0,c=b.length;h<c;h++)if(b.charCodeAt(h)===92){if(h++,h>=c)break;const t=b.charCodeAt(h);if(t===110||t===114||t===87||t===119)return!0}return!1}e.isMultilineRegexSource=C;class n{constructor(h,c,f){this.regex=h,this.wordSeparators=c,this.simpleSearch=f}}e.SearchData=n;function P(b,h,c){if(!c)return new A.FindMatch(b,null);let f=[];for(let t=0,r=h.length;t<r;t++)f[t]=h[t];return new A.FindMatch(b,f)}e.createFindMatch=P;class d{constructor(h){let c=[],f=0;for(let t=0,r=h.length;t<r;t++)h.charCodeAt(t)===10&&(c[f++]=t);this._lineFeedsOffsets=c}findLineFeedCountBeforeOffset(h){const c=this._lineFeedsOffsets;let f=0,t=c.length-1;if(t===-1||h<=c[0])return 0;for(;f<t;){const r=f+((t-f)/2>>0);c[r]>=h?t=r-1:c[r+1]>=h?(f=r,t=r):f=r+1}return f+1}}class m{static findMatches(h,c,f,t,r){const s=c.parseSearchRequest();return s?s.regex.multiline?this._doFindMatchesMultiline(h,f,new w(s.wordSeparators,s.regex),t,r):this._doFindMatchesLineByLine(h,f,s,t,r):[]}static _getMultilineMatchRange(h,c,f,t,r,s){let i,a=0;t?(a=t.findLineFeedCountBeforeOffset(r),i=c+r+a):i=c+r;let v;if(t){let o=t.findLineFeedCountBeforeOffset(r+s.length)-a;v=i+s.length+o}else v=i+s.length;const p=h.getPositionAt(i),_=h.getPositionAt(v);return new y.Range(p.lineNumber,p.column,_.lineNumber,_.column)}static _doFindMatchesMultiline(h,c,f,t,r){const s=h.getOffsetAt(c.getStartPosition()),i=h.getValueInRange(c,1),a=h.getEOL()===`\r
`?new d(i):null,v=[];let p=0,_;for(f.reset(0);_=f.next(i);)if(v[p++]=P(this._getMultilineMatchRange(h,s,i,a,_.index,_[0]),_,t),p>=r)return v;return v}static _doFindMatchesLineByLine(h,c,f,t,r){const s=[];let i=0;if(c.startLineNumber===c.endLineNumber){const v=h.getLineContent(c.startLineNumber).substring(c.startColumn-1,c.endColumn-1);return i=this._findMatchesInLine(f,v,c.startLineNumber,c.startColumn-1,i,s,t,r),s}const a=h.getLineContent(c.startLineNumber).substring(c.startColumn-1);i=this._findMatchesInLine(f,a,c.startLineNumber,c.startColumn-1,i,s,t,r);for(let v=c.startLineNumber+1;v<c.endLineNumber&&i<r;v++)i=this._findMatchesInLine(f,h.getLineContent(v),v,0,i,s,t,r);if(i<r){const v=h.getLineContent(c.endLineNumber).substring(0,c.endColumn-1);i=this._findMatchesInLine(f,v,c.endLineNumber,0,i,s,t,r)}return s}static _findMatchesInLine(h,c,f,t,r,s,i,a){const v=h.wordSeparators;if(!i&&h.simpleSearch){const D=h.simpleSearch,o=D.length,T=c.length;let L=-o;for(;(L=c.indexOf(D,L+o))!==-1;)if((!v||S(v,c,T,L,o))&&(s[r++]=new A.FindMatch(new y.Range(f,L+1+t,f,L+1+o+t),null),r>=a))return r;return r}const p=new w(h.wordSeparators,h.regex);let _;p.reset(0);do if(_=p.next(c),_&&(s[r++]=P(new y.Range(f,_.index+1+t,f,_.index+1+_[0].length+t),_,i),r>=a))return r;while(_);return r}static findNextMatch(h,c,f,t){const r=c.parseSearchRequest();if(!r)return null;const s=new w(r.wordSeparators,r.regex);return r.regex.multiline?this._doFindNextMatchMultiline(h,f,s,t):this._doFindNextMatchLineByLine(h,f,s,t)}static _doFindNextMatchMultiline(h,c,f,t){const r=new k.Position(c.lineNumber,1),s=h.getOffsetAt(r),i=h.getLineCount(),a=h.getValueInRange(new y.Range(r.lineNumber,r.column,i,h.getLineMaxColumn(i)),1),v=h.getEOL()===`\r
`?new d(a):null;f.reset(c.column-1);let p=f.next(a);return p?P(this._getMultilineMatchRange(h,s,a,v,p.index,p[0]),p,t):c.lineNumber!==1||c.column!==1?this._doFindNextMatchMultiline(h,new k.Position(1,1),f,t):null}static _doFindNextMatchLineByLine(h,c,f,t){const r=h.getLineCount(),s=c.lineNumber,i=h.getLineContent(s),a=this._findFirstMatchInLine(f,i,s,c.column,t);if(a)return a;for(let v=1;v<=r;v++){const p=(s+v-1)%r,_=h.getLineContent(p+1),D=this._findFirstMatchInLine(f,_,p+1,1,t);if(D)return D}return null}static _findFirstMatchInLine(h,c,f,t,r){h.reset(t-1);const s=h.next(c);return s?P(new y.Range(f,s.index+1,f,s.index+1+s[0].length),s,r):null}static findPreviousMatch(h,c,f,t){const r=c.parseSearchRequest();if(!r)return null;const s=new w(r.wordSeparators,r.regex);return r.regex.multiline?this._doFindPreviousMatchMultiline(h,f,s,t):this._doFindPreviousMatchLineByLine(h,f,s,t)}static _doFindPreviousMatchMultiline(h,c,f,t){const r=this._doFindMatchesMultiline(h,new y.Range(1,1,c.lineNumber,c.column),f,t,10*I);if(r.length>0)return r[r.length-1];const s=h.getLineCount();return c.lineNumber!==s||c.column!==h.getLineMaxColumn(s)?this._doFindPreviousMatchMultiline(h,new k.Position(s,h.getLineMaxColumn(s)),f,t):null}static _doFindPreviousMatchLineByLine(h,c,f,t){const r=h.getLineCount(),s=c.lineNumber,i=h.getLineContent(s).substring(0,c.column-1),a=this._findLastMatchInLine(f,i,s,t);if(a)return a;for(let v=1;v<=r;v++){const p=(r+s-v-1)%r,_=h.getLineContent(p+1),D=this._findLastMatchInLine(f,_,p+1,t);if(D)return D}return null}static _findLastMatchInLine(h,c,f,t){let r=null,s;for(h.reset(0);s=h.next(c);)r=P(new y.Range(f,s.index+1,f,s.index+1+s[0].length),s,t);return r}}e.TextModelSearch=m;function l(b,h,c,f,t){if(f===0)return!0;const r=h.charCodeAt(f-1);if(b.get(r)!==0||r===13||r===10)return!0;if(t>0){const s=h.charCodeAt(f);if(b.get(s)!==0)return!0}return!1}function u(b,h,c,f,t){if(f+t===c)return!0;const r=h.charCodeAt(f+t);if(b.get(r)!==0||r===13||r===10)return!0;if(t>0){const s=h.charCodeAt(f+t-1);if(b.get(s)!==0)return!0}return!1}function S(b,h,c,f,t){return l(b,h,c,f,t)&&u(b,h,c,f,t)}e.isValidMatch=S;class w{constructor(h,c){this._wordSeparators=h,this._searchRegex=c,this._prevMatchStartIndex=-1,this._prevMatchLength=0}reset(h){this._searchRegex.lastIndex=h,this._prevMatchStartIndex=-1,this._prevMatchLength=0}next(h){const c=h.length;let f;do{if(this._prevMatchStartIndex+this._prevMatchLength===c||(f=this._searchRegex.exec(h),!f))return null;const t=f.index,r=f[0].length;if(t===this._prevMatchStartIndex&&r===this._prevMatchLength){if(r===0){g.getNextCodePoint(h,c,this._searchRegex.lastIndex)>65535?this._searchRegex.lastIndex+=2:this._searchRegex.lastIndex+=1;continue}return null}if(this._prevMatchStartIndex=t,this._prevMatchLength=r,!this._wordSeparators||S(this._wordSeparators,h,c,t,r))return f}while(f);return null}}e.Searcher=w}),define(fe[107],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWordAtText=e.ensureValidWordDefinition=e.DEFAULT_WORD_REGEXP=e.USUAL_WORD_SEPARATORS=void 0,e.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function g(I=""){let E="(-?\\d*\\.\\d\\w*)|([^";for(const C of e.USUAL_WORD_SEPARATORS)I.indexOf(C)>=0||(E+="\\"+C);return E+="\\s]+)",new RegExp(E,"g")}e.DEFAULT_WORD_REGEXP=g();function R(I){let E=e.DEFAULT_WORD_REGEXP;if(I&&I instanceof RegExp)if(I.global)E=I;else{let C="g";I.ignoreCase&&(C+="i"),I.multiline&&(C+="m"),I.unicode&&(C+="u"),E=new RegExp(I.source,C)}return E.lastIndex=0,E}e.ensureValidWordDefinition=R;const k={maxLen:1e3,windowSize:15,timeBudget:150};function y(I,E,C,n,P=k){if(C.length>P.maxLen){let S=I-P.maxLen/2;return S<0?S=0:n+=S,C=C.substring(S,I+P.maxLen/2),y(I,E,C,n,P)}const d=Date.now(),m=I-1-n;let l=-1,u=null;for(let S=1;!(Date.now()-d>=P.timeBudget);S++){const w=m-P.windowSize*S;E.lastIndex=Math.max(0,w);const b=A(E,C,m,l);if(!b&&u||(u=b,w<=0))break;l=w}if(u){let S={word:u[0],startColumn:n+1+u.index,endColumn:n+1+u.index+u[0].length};return E.lastIndex=0,S}return null}e.getWordAtText=y;function A(I,E,C,n){let P;for(;P=I.exec(E);){const d=P.index||0;if(d<=C&&I.lastIndex>=C)return P;if(n>0&&d>n)return null}return null}}),define(fe[143],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AutoClosingPairs=e.StandardAutoClosingPairConditional=e.IndentAction=void 0;var g;(function(A){A[A.None=0]="None",A[A.Indent=1]="Indent",A[A.IndentOutdent=2]="IndentOutdent",A[A.Outdent=3]="Outdent"})(g=e.IndentAction||(e.IndentAction={}));class R{constructor(I){if(this._standardAutoClosingPairConditionalBrand=void 0,this.open=I.open,this.close=I.close,this._standardTokenMask=0,Array.isArray(I.notIn))for(let E=0,C=I.notIn.length;E<C;E++)switch(I.notIn[E]){case"string":this._standardTokenMask|=2;break;case"comment":this._standardTokenMask|=1;break;case"regex":this._standardTokenMask|=4;break}}isOK(I){return(this._standardTokenMask&I)==0}}e.StandardAutoClosingPairConditional=R;class k{constructor(I){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const E of I)y(this.autoClosingPairsOpenByStart,E.open.charAt(0),E),y(this.autoClosingPairsOpenByEnd,E.open.charAt(E.open.length-1),E),y(this.autoClosingPairsCloseByStart,E.close.charAt(0),E),y(this.autoClosingPairsCloseByEnd,E.close.charAt(E.close.length-1),E),E.close.length===1&&E.open.length===1&&y(this.autoClosingPairsCloseSingleChar,E.close,E)}}e.AutoClosingPairs=k;function y(A,I,E){A.has(I)?A.get(I).push(E):A.set(I,[E])}}),define(fe[76],me([0,1,30,9]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.score=void 0;function k(y,A,I,E){if(Array.isArray(y)){let C=0;for(const n of y){const P=k(n,A,I,E);if(P===10)return P;P>C&&(C=P)}return C}else{if(typeof y=="string")return E?y==="*"?5:y===I?10:0:0;if(y){const{language:C,pattern:n,scheme:P,hasAccessToAllModels:d}=y;if(!E&&!d)return 0;let m=0;if(P)if(P===A.scheme)m=10;else if(P==="*")m=5;else return 0;if(C)if(C===I)m=10;else if(C==="*")m=Math.max(m,5);else return 0;if(n){let l;if(typeof n=="string"?l=n:l={...n,base:R.normalize(n.base)},l===A.fsPath||g.match(l,A.fsPath))m=10;else return 0}return m}else return 0}}e.score=k}),define(fe[144],me([0,1,105]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeLinks=e.LinkComputer=e.StateMachine=e.Uint8Matrix=e.State=void 0;var R;(function(m){m[m.Invalid=0]="Invalid",m[m.Start=1]="Start",m[m.H=2]="H",m[m.HT=3]="HT",m[m.HTT=4]="HTT",m[m.HTTP=5]="HTTP",m[m.F=6]="F",m[m.FI=7]="FI",m[m.FIL=8]="FIL",m[m.BeforeColon=9]="BeforeColon",m[m.AfterColon=10]="AfterColon",m[m.AlmostThere=11]="AlmostThere",m[m.End=12]="End",m[m.Accept=13]="Accept",m[m.LastKnownState=14]="LastKnownState"})(R=e.State||(e.State={}));class k{constructor(l,u,S){const w=new Uint8Array(l*u);for(let b=0,h=l*u;b<h;b++)w[b]=S;this._data=w,this.rows=l,this.cols=u}get(l,u){return this._data[l*this.cols+u]}set(l,u,S){this._data[l*this.cols+u]=S}}e.Uint8Matrix=k;class y{constructor(l){let u=0,S=0;for(let b=0,h=l.length;b<h;b++){let[c,f,t]=l[b];f>u&&(u=f),c>S&&(S=c),t>S&&(S=t)}u++,S++;let w=new k(S,u,0);for(let b=0,h=l.length;b<h;b++){let[c,f,t]=l[b];w.set(c,f,t)}this._states=w,this._maxCharCode=u}nextState(l,u){return u<0||u>=this._maxCharCode?0:this._states.get(l,u)}}e.StateMachine=y;let A=null;function I(){return A===null&&(A=new y([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),A}var E;(function(m){m[m.None=0]="None",m[m.ForceTermination=1]="ForceTermination",m[m.CannotEndIn=2]="CannotEndIn"})(E||(E={}));let C=null;function n(){if(C===null){C=new g.CharacterClassifier(0);const m=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u3008\u300C\u300E\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u300F\u300D\u3009\u2019\uFF40\uFF5E\u2026`;for(let u=0;u<m.length;u++)C.set(m.charCodeAt(u),1);const l=".,;";for(let u=0;u<l.length;u++)C.set(l.charCodeAt(u),2)}return C}class P{static _createLink(l,u,S,w,b){let h=b-1;do{const c=u.charCodeAt(h);if(l.get(c)!==2)break;h--}while(h>w);if(w>0){const c=u.charCodeAt(w-1),f=u.charCodeAt(h);(c===40&&f===41||c===91&&f===93||c===123&&f===125)&&h--}return{range:{startLineNumber:S,startColumn:w+1,endLineNumber:S,endColumn:h+2},url:u.substring(w,h+1)}}static computeLinks(l,u=I()){const S=n();let w=[];for(let b=1,h=l.getLineCount();b<=h;b++){const c=l.getLineContent(b),f=c.length;let t=0,r=0,s=0,i=1,a=!1,v=!1,p=!1,_=!1;for(;t<f;){let D=!1;const o=c.charCodeAt(t);if(i===13){let T;switch(o){case 40:a=!0,T=0;break;case 41:T=a?0:1;break;case 91:p=!0,v=!0,T=0;break;case 93:p=!1,T=v?0:1;break;case 123:_=!0,T=0;break;case 125:T=_?0:1;break;case 39:T=s===34||s===96?0:1;break;case 34:T=s===39||s===96?0:1;break;case 96:T=s===39||s===34?0:1;break;case 42:T=s===42?1:0;break;case 124:T=s===124?1:0;break;case 32:T=p?0:1;break;default:T=S.get(o)}T===1&&(w.push(P._createLink(S,c,b,r,t)),D=!0)}else if(i===12){let T;o===91?(v=!0,T=0):T=S.get(o),T===1?D=!0:i=13}else i=u.nextState(i,o),i===0&&(D=!0);D&&(i=1,a=!1,v=!1,_=!1,r=t+1,s=o),t++}i===13&&w.push(P._createLink(S,c,b,r,f))}return w}}e.LinkComputer=P;function d(m){return!m||typeof m.getLineCount!="function"||typeof m.getLineContent!="function"?[]:P.computeLinks(m)}e.computeLinks=d}),define(fe[145],me([0,1,3,6]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TokenizationRegistryImpl=void 0;class k{constructor(){this._map=new Map,this._promises=new Map,this._onDidChange=new g.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}fire(A){this._onDidChange.fire({changedLanguages:A,changedColorMap:!1})}register(A,I){return this._map.set(A,I),this.fire([A]),R.toDisposable(()=>{this._map.get(A)===I&&(this._map.delete(A),this.fire([A]))})}registerPromise(A,I){let E=null,C=!1;return this._promises.set(A,I.then(n=>{this._promises.delete(A),!(C||!n)&&(E=this.register(A,n))})),R.toDisposable(()=>{C=!0,E&&E.dispose()})}getPromise(A){const I=this.get(A);if(I)return Promise.resolve(I);const E=this._promises.get(A);return E?E.then(C=>this.get(A)):null}get(A){return this._map.get(A)||null}setColorMap(A){this._colorMap=A,this._onDidChange.fire({changedLanguages:Array.from(this._map.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}e.TokenizationRegistryImpl=k}),define(fe[108],me([0,1,23,11]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeSemanticTokensDto=e.encodeSemanticTokensDto=void 0;var k;(function(P){P[P.Full=1]="Full",P[P.Delta=2]="Delta"})(k||(k={}));function y(P){for(let d=0,m=P.length;d<m;d+=4){const l=P[d+0],u=P[d+1],S=P[d+2],w=P[d+3];P[d+0]=w,P[d+1]=S,P[d+2]=u,P[d+3]=l}}function A(P){const d=new Uint8Array(P.buffer,P.byteOffset,P.length*4);return R.isLittleEndian()||y(d),g.VSBuffer.wrap(d)}function I(P){const d=P.buffer;if(R.isLittleEndian()||y(d),d.byteOffset%4==0)return new Uint32Array(d.buffer,d.byteOffset,d.length/4);{const m=new Uint8Array(d.byteLength);return m.set(d),new Uint32Array(m.buffer,m.byteOffset,m.length/4)}}function E(P){const d=new Uint32Array(C(P));let m=0;if(d[m++]=P.id,P.type==="full")d[m++]=1,d[m++]=P.data.length,d.set(P.data,m),m+=P.data.length;else{d[m++]=2,d[m++]=P.deltas.length;for(const l of P.deltas)d[m++]=l.start,d[m++]=l.deleteCount,l.data?(d[m++]=l.data.length,d.set(l.data,m),m+=l.data.length):d[m++]=0}return A(d)}e.encodeSemanticTokensDto=E;function C(P){let d=0;if(d+=1+1,P.type==="full")d+=1+P.data.length;else{d+=1,d+=(1+1+1)*P.deltas.length;for(const m of P.deltas)m.data&&(d+=m.data.length)}return d}function n(P){const d=I(P);let m=0;const l=d[m++];if(d[m++]===1){const b=d[m++],h=d.subarray(m,m+b);return m+=b,{id:l,type:"full",data:h}}const S=d[m++];let w=[];for(let b=0;b<S;b++){const h=d[m++],c=d[m++],f=d[m++];let t;f>0&&(t=d.subarray(m,m+f),m+=f),w[b]={start:h,deleteCount:c,data:t}}return{id:l,type:"delta",deltas:w}}e.decodeSemanticTokensDto=n}),define(fe[109],me([0,1,93]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PrefixSumComputer=e.PrefixSumIndexOfResult=void 0;class R{constructor(A,I){this._prefixSumIndexOfResultBrand=void 0,this.index=A,this.remainder=I}}e.PrefixSumIndexOfResult=R;class k{constructor(A){this.values=A,this.prefixSum=new Uint32Array(A.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}getCount(){return this.values.length}insertValues(A,I){A=g.toUint32(A);const E=this.values,C=this.prefixSum,n=I.length;return n===0?!1:(this.values=new Uint32Array(E.length+n),this.values.set(E.subarray(0,A),0),this.values.set(E.subarray(A),A+n),this.values.set(I,A),A-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=A-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(C.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}changeValue(A,I){return A=g.toUint32(A),I=g.toUint32(I),this.values[A]===I?!1:(this.values[A]=I,A-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=A-1),!0)}removeValues(A,I){A=g.toUint32(A),I=g.toUint32(I);const E=this.values,C=this.prefixSum;if(A>=E.length)return!1;let n=E.length-A;return I>=n&&(I=n),I===0?!1:(this.values=new Uint32Array(E.length-I),this.values.set(E.subarray(0,A),0),this.values.set(E.subarray(A+I),A),this.prefixSum=new Uint32Array(this.values.length),A-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=A-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(C.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalSum(){return this.values.length===0?0:this._getPrefixSum(this.values.length-1)}getPrefixSum(A){return A<0?0:(A=g.toUint32(A),this._getPrefixSum(A))}_getPrefixSum(A){if(A<=this.prefixSumValidIndex[0])return this.prefixSum[A];let I=this.prefixSumValidIndex[0]+1;I===0&&(this.prefixSum[0]=this.values[0],I++),A>=this.values.length&&(A=this.values.length-1);for(let E=I;E<=A;E++)this.prefixSum[E]=this.prefixSum[E-1]+this.values[E];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],A),this.prefixSum[A]}getIndexOf(A){A=Math.floor(A),this.getTotalSum();let I=0,E=this.values.length-1,C=0,n=0,P=0;for(;I<=E;)if(C=I+(E-I)/2|0,n=this.prefixSum[C],P=n-this.values[C],A<P)E=C-1;else if(A>=n)I=C+1;else break;return new R(C,A-P)}}e.PrefixSumComputer=k}),define(fe[146],me([0,1,8,45,109]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MirrorTextModel=void 0;class y{constructor(I,E,C,n){this._uri=I,this._lines=E,this._eol=C,this._versionId=n,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(I){I.eol&&I.eol!==this._eol&&(this._eol=I.eol,this._lineStarts=null);const E=I.changes;for(const C of E)this._acceptDeleteRange(C.range),this._acceptInsertText(new R.Position(C.range.startLineNumber,C.range.startColumn),C.text);this._versionId=I.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const I=this._eol.length,E=this._lines.length,C=new Uint32Array(E);for(let n=0;n<E;n++)C[n]=this._lines[n].length+I;this._lineStarts=new k.PrefixSumComputer(C)}}_setLineText(I,E){this._lines[I]=E,this._lineStarts&&this._lineStarts.changeValue(I,this._lines[I].length+this._eol.length)}_acceptDeleteRange(I){if(I.startLineNumber===I.endLineNumber){if(I.startColumn===I.endColumn)return;this._setLineText(I.startLineNumber-1,this._lines[I.startLineNumber-1].substring(0,I.startColumn-1)+this._lines[I.startLineNumber-1].substring(I.endColumn-1));return}this._setLineText(I.startLineNumber-1,this._lines[I.startLineNumber-1].substring(0,I.startColumn-1)+this._lines[I.endLineNumber-1].substring(I.endColumn-1)),this._lines.splice(I.startLineNumber,I.endLineNumber-I.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(I.startLineNumber,I.endLineNumber-I.startLineNumber)}_acceptInsertText(I,E){if(E.length===0)return;let C=g.splitLines(E);if(C.length===1){this._setLineText(I.lineNumber-1,this._lines[I.lineNumber-1].substring(0,I.column-1)+C[0]+this._lines[I.lineNumber-1].substring(I.column-1));return}C[C.length-1]+=this._lines[I.lineNumber-1].substring(I.column-1),this._setLineText(I.lineNumber-1,this._lines[I.lineNumber-1].substring(0,I.column-1)+C[0]);let n=new Uint32Array(C.length-1);for(let P=1;P<C.length;P++)this._lines.splice(I.lineNumber+P-1,0,C[P]),n[P-1]=C[P].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(I.lineNumber,n)}}e.MirrorTextModel=y}),define(fe[147],me([19,20]),function(X,e){return X.create("vs/base/common/date",e)}),define(fe[148],me([0,1,147]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const R=60,k=R*60,y=k*24,A=y*7,I=y*30,E=y*365;function C(P,d){typeof P!="number"&&(P=P.getTime());const m=Math.round((new Date().getTime()-P)/1e3);if(m<-30)return g.localize(0,null,C(new Date().getTime()+m*1e3,!1));if(m<30)return g.localize(1,null);let l;return m<R?(l=m,d?l===1?g.localize(2,null,l):g.localize(3,null,l):l===1?g.localize(4,null,l):g.localize(5,null,l)):m<k?(l=Math.floor(m/R),d?l===1?g.localize(6,null,l):g.localize(7,null,l):l===1?g.localize(8,null,l):g.localize(9,null,l)):m<y?(l=Math.floor(m/k),d?l===1?g.localize(10,null,l):g.localize(11,null,l):l===1?g.localize(12,null,l):g.localize(13,null,l)):m<A?(l=Math.floor(m/y),d?l===1?g.localize(14,null,l):g.localize(15,null,l):l===1?g.localize(16,null,l):g.localize(17,null,l)):m<I?(l=Math.floor(m/A),d?l===1?g.localize(18,null,l):g.localize(19,null,l):l===1?g.localize(20,null,l):g.localize(21,null,l)):m<E?(l=Math.floor(m/I),d?l===1?g.localize(22,null,l):g.localize(23,null,l):l===1?g.localize(24,null,l):g.localize(25,null,l)):(l=Math.floor(m/E),d?l===1?g.localize(26,null,l):g.localize(27,null,l):l===1?g.localize(28,null,l):g.localize(29,null,l))}e.fromNow=C;function n(P){return P.getFullYear()+"-"+String(P.getMonth()+1).padStart(2,"0")+"-"+String(P.getDate()).padStart(2,"0")+"T"+String(P.getHours()).padStart(2,"0")+":"+String(P.getMinutes()).padStart(2,"0")+":"+String(P.getSeconds()).padStart(2,"0")+"."+(P.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=n}),define(fe[149],me([19,20]),function(X,e){return X.create("vs/base/common/errorMessage",e)}),define(fe[58],me([0,1,149,14,18]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function y(C,n){return n&&(C.stack||C.stacktrace)?g.localize(0,null,I(C),A(C.stack)||A(C.stacktrace)):I(C)}function A(C){return Array.isArray(C)?C.join(`
`):C}function I(C){return typeof C.code=="string"&&typeof C.errno=="number"&&typeof C.syscall=="string"?g.localize(1,null,C.message):C.message||g.localize(2,null)}function E(C=null,n=!1){if(!C)return g.localize(3,null);if(Array.isArray(C)){const P=k.coalesce(C),d=E(P[0],n);return P.length>1?g.localize(4,null,d,P.length):d}if(R.isString(C))return C;if(C.detail){const P=C.detail;if(P.error)return y(P.error,n);if(P.exception)return y(P.exception,n)}return C.stack?y(C,n):C.message?C.message:g.localize(5,null)}e.toErrorMessage=E}),define(fe[150],me([19,20]),function(X,e){return X.create("vs/base/node/processes",e)}),define(fe[110],me([0,1,9,28,38,150,37,14,25,29,11,139,10]),function(X,e,g,R,k,y,A,I,E,C,n,P,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0;function m(c){switch(c){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function l(c,f){if(n.isWindows)try{const t={stdio:["pipe","pipe","ignore"]};f&&(t.cwd=f);const r=k.execFile("taskkill",["/T","/F","/PID",c.pid.toString()],t);return new Promise(s=>{r.once("error",i=>{s({success:!1,error:i})}),r.once("exit",(i,a)=>{s(i===0?{success:!0}:{success:!1,code:i!==null?i:1})})})}catch(t){return Promise.resolve({success:!1,error:t,code:t.status?m(t.status):1})}else if(n.isLinux||n.isMacintosh)try{const t=d.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",X).fsPath;return new Promise(r=>{k.execFile(t,[c.pid.toString()],{encoding:"utf8",shell:!0},(s,i,a)=>{r(s?{success:!1,error:s}:{success:!0})})})}catch(t){return Promise.resolve({success:!1,error:t})}else c.kill("SIGKILL");return Promise.resolve({success:!0})}function u(c=A.env){return c.comspec||"cmd.exe"}e.getWindowsShell=u;class S{constructor(f,t,r,s){if(t!==void 0&&r!==void 0&&s!==void 0)this.cmd=f,this.args=t,this.shell=r,this.options=s;else{const i=f;this.cmd=i.command,this.shell=i.isShellCommand,this.args=i.args.slice(0),this.options=i.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const i=Object.create(null);Object.keys(A.env).forEach(a=>{i[a]=A.env[a]}),Object.keys(this.options.env).forEach(a=>{i[a]=this.options.env[a]}),this.options.env=i}}getSanitizedCommand(){let f=this.cmd.toLowerCase();const t=f.lastIndexOf(g.sep);return t!==-1&&(f=f.substring(t+1)),S.WellKnowCommands[f]?f:"other"}start(f){return n.isWindows&&(this.options&&this.options.cwd&&C.isUNC(this.options.cwd)||!this.options&&C.isUNC(A.cwd()))?Promise.reject(new Error(y.localize(0,null))):this.useExec().then(t=>{let r,s;const i=new Promise((a,v)=>{r=a,s=v});if(t){let a=this.cmd;this.args&&(a=a+" "+this.args.join(" ")),this.childProcess=k.exec(a,this.options,(v,p,_)=>{this.childProcess=null;const D=v;D&&D.killed?s({killed:this.terminateRequested,stdout:p.toString(),stderr:_.toString()}):this.handleExec(r,f,v,p,_)})}else{let a=null;const v=p=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(p,r,f,s);const _={terminated:this.terminateRequested};I.isNumber(p)&&(_.cmdCode=p),r(_)};if(this.shell&&n.isWindows){const p=E.deepClone(this.options);p.windowsVerbatimArguments=!0,p.detached=!1;let _=!1,D=!1;const o=[];let T=this.ensureQuotes(this.cmd);o.push(T.value),_=T.quoted,this.args&&this.args.forEach(H=>{T=this.ensureQuotes(H),o.push(T.value),D=D&&T.quoted});const L=["/s","/c"];_?D?L.push('"'+o.join(" ")+'"'):o.length>1?L.push('"'+o[0]+'" '+o.slice(1).join(" ")):L.push('"'+o[0]+'"'):L.push(o.join(" ")),a=k.spawn(u(),L,p)}else this.cmd&&(a=k.spawn(this.cmd,this.args,this.options));a&&(this.childProcess=a,this.childProcessPromise=Promise.resolve(a),this.pidResolve&&(this.pidResolve(I.isNumber(a.pid)?a.pid:-1),this.pidResolve=void 0),a.on("error",p=>{this.childProcess=null,s({terminated:this.terminateRequested,error:p})}),a.pid&&(this.childProcess.on("close",v),this.handleSpawn(a,r,f,s,!0)))}return i})}handleClose(f,t,r,s){}ensureQuotes(f){return S.regexp.test(f)?{value:'"'+f+'"',quoted:!0}:{value:f,quoted:f.length>0&&f[0]==='"'&&f[f.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(f=>f.pid,f=>-1):new Promise(f=>{this.pidResolve=f})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(f=>(this.terminateRequested=!0,l(f,this.options.cwd).then(t=>(t.success&&(this.childProcess=null),t))),f=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(f=>{if(!this.shell||!n.isWindows)return f(!1);const t=k.spawn(u(),["/s","/c"]);t.on("error",r=>f(!0)),t.on("exit",r=>f(!1))})}}e.AbstractProcess=S,S.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},S.regexp=/^[^"].* .*[^"]/;class w extends S{constructor(f,t,r,s){super(f,t,r,s);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(f,t,r,s,i){[s,i].forEach((a,v)=>{const p=new P.LineDecoder;p.write(a).forEach(o=>{t({line:o,source:v===0?0:1})});const D=p.end();D&&t({line:D,source:v===0?0:1})}),f({terminated:this.terminateRequested,error:r})}handleSpawn(f,t,r,s,i){const a=new P.LineDecoder,v=new P.LineDecoder;f.stdout.on("data",p=>{a.write(p).forEach(D=>r({line:D,source:0}))}),f.stderr.on("data",p=>{v.write(p).forEach(D=>r({line:D,source:1}))}),this.stdoutLineDecoder=a,this.stderrLineDecoder=v}handleClose(f,t,r,s){const i=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;i&&r({line:i,source:0});const a=this.stderrLineDecoder?this.stderrLineDecoder.end():null;a&&r({line:a,source:1})}}e.LineProcess=w;function b(c){let f=[],t=!1;const r=function(s){if(t){f.push(s);return}(!c.send(s,a=>{if(a&&console.error(a),t=!1,f.length>0){const v=f.slice(0);f=[],v.forEach(p=>r(p))}})||n.isWindows)&&(t=!0)};return{send:r}}e.createQueuedSender=b;var h;(function(c){async function f(t,r,s){if(g.isAbsolute(t))return t;if(r===void 0&&(r=A.cwd()),g.dirname(t)!=="."||(s===void 0&&I.isString(A.env.PATH)&&(s=A.env.PATH.split(g.delimiter)),s===void 0||s.length===0))return g.join(r,t);async function a(v){return await R.Promises.exists(v)?!(await R.Promises.stat(v)).isDirectory():!1}for(let v of s){let p;if(g.isAbsolute(v)?p=g.join(v,t):p=g.join(r,v,t),await a(p))return p;let _=p+".com";if(await a(_)||(_=p+".exe",await a(_)))return _}return g.join(r,t)}c.findExecutable=f})(h=e.win32||(e.win32={}))}),define(fe[151],me([19,20]),function(X,e){return X.create("vs/editor/common/config/editorOptions",e)}),define(fe[111],me([0,1,151,11,107]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_MODEL_DEFAULTS=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.filterValidationDecorations=e.RenderLineNumbersType=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontLigatures=e.cursorStyleToString=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.stringSet=e.boolean=e.ComputeOptionsMemory=e.ValidatedEditorOptions=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0;var y;(function(K){K[K.None=0]="None",K[K.Keep=1]="Keep",K[K.Brackets=2]="Brackets",K[K.Advanced=3]="Advanced",K[K.Full=4]="Full"})(y=e.EditorAutoIndentStrategy||(e.EditorAutoIndentStrategy={})),e.MINIMAP_GUTTER_WIDTH=8;class A{constructor(ne){this._values=ne}hasChanged(ne){return this._values[ne]}}e.ConfigurationChangedEvent=A;class I{constructor(){this._values=[]}_read(ne){return this._values[ne]}get(ne){return this._values[ne]}_write(ne,he){this._values[ne]=he}}e.ValidatedEditorOptions=I;class E{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=E;class C{constructor(ne,he,xe,$e){this.id=ne,this.name=he,this.defaultValue=xe,this.schema=$e}compute(ne,he,xe){return xe}}class n{constructor(ne,he=null){this.schema=void 0,this.id=ne,this.name="_never_",this.defaultValue=void 0,this.deps=he}validate(ne){return this.defaultValue}}class P{constructor(ne,he,xe,$e){this.id=ne,this.name=he,this.defaultValue=xe,this.schema=$e}validate(ne){return typeof ne=="undefined"?this.defaultValue:ne}compute(ne,he,xe){return xe}}function d(K,ne){return typeof K=="undefined"?ne:K==="false"?!1:Boolean(K)}e.boolean=d;class m extends P{constructor(ne,he,xe,$e=void 0){typeof $e!="undefined"&&($e.type="boolean",$e.default=xe),super(ne,he,xe,$e)}validate(ne){return d(ne,this.defaultValue)}}class l extends P{constructor(ne,he,xe,$e,et,ke=void 0){typeof ke!="undefined"&&(ke.type="integer",ke.default=xe,ke.minimum=$e,ke.maximum=et),super(ne,he,xe,ke),this.minimum=$e,this.maximum=et}static clampedInt(ne,he,xe,$e){if(typeof ne=="undefined")return he;let et=parseInt(ne,10);return isNaN(et)?he:(et=Math.max(xe,et),et=Math.min($e,et),et|0)}validate(ne){return l.clampedInt(ne,this.defaultValue,this.minimum,this.maximum)}}class u extends P{constructor(ne,he,xe,$e,et){typeof et!="undefined"&&(et.type="number",et.default=xe),super(ne,he,xe,et),this.validationFn=$e}static clamp(ne,he,xe){return ne<he?he:ne>xe?xe:ne}static float(ne,he){if(typeof ne=="number")return ne;if(typeof ne=="undefined")return he;const xe=parseFloat(ne);return isNaN(xe)?he:xe}validate(ne){return this.validationFn(u.float(ne,this.defaultValue))}}class S extends P{static string(ne,he){return typeof ne!="string"?he:ne}constructor(ne,he,xe,$e=void 0){typeof $e!="undefined"&&($e.type="string",$e.default=xe),super(ne,he,xe,$e)}validate(ne){return S.string(ne,this.defaultValue)}}function w(K,ne,he){return typeof K!="string"||he.indexOf(K)===-1?ne:K}e.stringSet=w;class b extends P{constructor(ne,he,xe,$e,et=void 0){typeof et!="undefined"&&(et.type="string",et.enum=$e,et.default=xe),super(ne,he,xe,et),this._allowedValues=$e}validate(ne){return w(ne,this.defaultValue,this._allowedValues)}}class h extends C{constructor(ne,he,xe,$e,et,ke,Ce=void 0){typeof Ce!="undefined"&&(Ce.type="string",Ce.enum=et,Ce.default=$e),super(ne,he,xe,Ce),this._allowedValues=et,this._convert=ke}validate(ne){return typeof ne!="string"?this.defaultValue:this._allowedValues.indexOf(ne)===-1?this.defaultValue:this._convert(ne)}}function c(K){switch(K){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class f extends C{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[g.localize(0,null),g.localize(1,null),g.localize(2,null)],default:"auto",description:g.localize(3,null)})}validate(ne){switch(ne){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(ne,he,xe){return xe===0?ne.accessibilitySupport:xe}}class t extends C{constructor(){const ne={insertSpace:!0,ignoreEmptyLines:!0};super(17,"comments",ne,{"editor.comments.insertSpace":{type:"boolean",default:ne.insertSpace,description:g.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:ne.ignoreEmptyLines,description:g.localize(5,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const he=ne;return{insertSpace:d(he.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:d(he.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var r;(function(K){K[K.Hidden=0]="Hidden",K[K.Blink=1]="Blink",K[K.Smooth=2]="Smooth",K[K.Phase=3]="Phase",K[K.Expand=4]="Expand",K[K.Solid=5]="Solid"})(r=e.TextEditorCursorBlinkingStyle||(e.TextEditorCursorBlinkingStyle={}));function s(K){switch(K){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var i;(function(K){K[K.Line=1]="Line",K[K.Block=2]="Block",K[K.Underline=3]="Underline",K[K.LineThin=4]="LineThin",K[K.BlockOutline=5]="BlockOutline",K[K.UnderlineThin=6]="UnderlineThin"})(i=e.TextEditorCursorStyle||(e.TextEditorCursorStyle={}));function a(K){switch(K){case i.Line:return"line";case i.Block:return"block";case i.Underline:return"underline";case i.LineThin:return"line-thin";case i.BlockOutline:return"block-outline";case i.UnderlineThin:return"underline-thin"}}e.cursorStyleToString=a;function v(K){switch(K){case"line":return i.Line;case"block":return i.Block;case"underline":return i.Underline;case"line-thin":return i.LineThin;case"block-outline":return i.BlockOutline;case"underline-thin":return i.UnderlineThin}}class p extends n{constructor(){super(125,[63,31])}compute(ne,he,xe){const $e=["monaco-editor"];return he.get(31)&&$e.push(he.get(31)),ne.extraEditorClassName&&$e.push(ne.extraEditorClassName),he.get(63)==="default"?$e.push("mouse-default"):he.get(63)==="copy"&&$e.push("mouse-copy"),he.get(98)&&$e.push("showUnused"),he.get(123)&&$e.push("showDeprecated"),$e.join(" ")}}class _ extends m{constructor(){super(30,"emptySelectionClipboard",!0,{description:g.localize(6,null)})}compute(ne,he,xe){return xe&&ne.emptySelectionClipboard}}class D extends C{constructor(){const ne={cursorMoveOnType:!0,seedSearchStringFromSelection:!0,autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(33,"find",ne,{"editor.find.cursorMoveOnType":{type:"boolean",default:ne.cursorMoveOnType,description:g.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"boolean",default:ne.seedSearchStringFromSelection,description:g.localize(8,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:ne.autoFindInSelection,enumDescriptions:[g.localize(9,null),g.localize(10,null),g.localize(11,null)],description:g.localize(12,null)},"editor.find.globalFindClipboard":{type:"boolean",default:ne.globalFindClipboard,description:g.localize(13,null),included:R.isMacintosh},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:ne.addExtraSpaceOnTop,description:g.localize(14,null)},"editor.find.loop":{type:"boolean",default:ne.loop,description:g.localize(15,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const he=ne;return{cursorMoveOnType:d(he.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:d(he.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection),autoFindInSelection:typeof ne.autoFindInSelection=="boolean"?ne.autoFindInSelection?"always":"never":w(he.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:d(he.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:d(he.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:d(he.loop,this.defaultValue.loop)}}}class o extends C{constructor(){super(41,"fontLigatures",o.OFF,{anyOf:[{type:"boolean",description:g.localize(16,null)},{type:"string",description:g.localize(17,null)}],description:g.localize(18,null),default:!1})}validate(ne){return typeof ne=="undefined"?this.defaultValue:typeof ne=="string"?ne==="false"?o.OFF:ne==="true"?o.ON:ne:Boolean(ne)?o.ON:o.OFF}}e.EditorFontLigatures=o,o.OFF='"liga" off, "calt" off',o.ON='"liga" on, "calt" on';class T extends n{constructor(){super(40)}compute(ne,he,xe){return ne.fontInfo}}class L extends P{constructor(){super(42,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:g.localize(19,null)})}validate(ne){let he=u.float(ne,this.defaultValue);return he===0?e.EDITOR_FONT_DEFAULTS.fontSize:u.clamp(he,6,100)}compute(ne,he,xe){return ne.fontInfo.fontSize}}class H extends C{constructor(){super(43,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:H.MINIMUM_VALUE,maximum:H.MAXIMUM_VALUE,errorMessage:g.localize(20,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:H.SUGGESTION_VALUES}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:g.localize(21,null)})}validate(ne){return ne==="normal"||ne==="bold"?ne:String(l.clampedInt(ne,e.EDITOR_FONT_DEFAULTS.fontWeight,H.MINIMUM_VALUE,H.MAXIMUM_VALUE))}}H.SUGGESTION_VALUES=["normal","bold","100","200","300","400","500","600","700","800","900"],H.MINIMUM_VALUE=1,H.MAXIMUM_VALUE=1e3;class B extends C{constructor(){const ne={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},he={type:"string",enum:["peek","gotoAndPeek","goto"],default:ne.multiple,enumDescriptions:[g.localize(22,null),g.localize(23,null),g.localize(24,null)]},xe=["","editor.action.referenceSearch.trigger","editor.action.goToReferences","editor.action.peekImplementation","editor.action.goToImplementation","editor.action.peekTypeDefinition","editor.action.goToTypeDefinition","editor.action.peekDeclaration","editor.action.revealDeclaration","editor.action.peekDefinition","editor.action.revealDefinitionAside","editor.action.revealDefinition"];super(47,"gotoLocation",ne,{"editor.gotoLocation.multiple":{deprecationMessage:g.localize(25,null)},"editor.gotoLocation.multipleDefinitions":{description:g.localize(26,null),...he},"editor.gotoLocation.multipleTypeDefinitions":{description:g.localize(27,null),...he},"editor.gotoLocation.multipleDeclarations":{description:g.localize(28,null),...he},"editor.gotoLocation.multipleImplementations":{description:g.localize(29,null),...he},"editor.gotoLocation.multipleReferences":{description:g.localize(30,null),...he},"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:ne.alternativeDefinitionCommand,enum:xe,description:g.localize(31,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:ne.alternativeTypeDefinitionCommand,enum:xe,description:g.localize(32,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:ne.alternativeDeclarationCommand,enum:xe,description:g.localize(33,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:ne.alternativeImplementationCommand,enum:xe,description:g.localize(34,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:ne.alternativeReferenceCommand,enum:xe,description:g.localize(35,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const he=ne;return{multiple:w(he.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:he.multipleDefinitions??w(he.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:he.multipleTypeDefinitions??w(he.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:he.multipleDeclarations??w(he.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:he.multipleImplementations??w(he.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:he.multipleReferences??w(he.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:S.string(he.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:S.string(he.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:S.string(he.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:S.string(he.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:S.string(he.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class Q extends C{constructor(){const ne={enabled:!0,delay:300,sticky:!0};super(50,"hover",ne,{"editor.hover.enabled":{type:"boolean",default:ne.enabled,description:g.localize(36,null)},"editor.hover.delay":{type:"number",default:ne.delay,description:g.localize(37,null)},"editor.hover.sticky":{type:"boolean",default:ne.sticky,description:g.localize(38,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const he=ne;return{enabled:d(he.enabled,this.defaultValue.enabled),delay:l.clampedInt(he.delay,this.defaultValue.delay,0,1e4),sticky:d(he.sticky,this.defaultValue.sticky)}}}var z;(function(K){K[K.None=0]="None",K[K.Text=1]="Text",K[K.Blocks=2]="Blocks"})(z=e.RenderMinimap||(e.RenderMinimap={}));class N extends n{constructor(){super(128,[46,55,35,62,90,57,58,92,115,118,119,120,2])}compute(ne,he,xe){return N.computeLayout(he,{memory:ne.memory,outerWidth:ne.outerWidth,outerHeight:ne.outerHeight,isDominatedByLongLines:ne.isDominatedByLongLines,lineHeight:ne.fontInfo.lineHeight,viewLineCount:ne.viewLineCount,lineNumbersDigitCount:ne.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:ne.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:ne.fontInfo.maxDigitWidth,pixelRatio:ne.pixelRatio})}static computeContainedMinimapLineCount(ne){const he=ne.height/ne.lineHeight,xe=ne.scrollBeyondLastLine?he-1:0,$e=(ne.viewLineCount+xe)/(ne.pixelRatio*ne.height),et=Math.floor(ne.viewLineCount/$e);return{typicalViewportLineCount:he,extraLinesBeyondLastLine:xe,desiredRatio:$e,minimapLineCount:et}}static _computeMinimapLayout(ne,he){const xe=ne.outerWidth,$e=ne.outerHeight,et=ne.pixelRatio;if(!ne.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(et*$e),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:$e};const ke=he.stableMinimapLayoutInput,Ce=ke&&ne.outerHeight===ke.outerHeight&&ne.lineHeight===ke.lineHeight&&ne.typicalHalfwidthCharacterWidth===ke.typicalHalfwidthCharacterWidth&&ne.pixelRatio===ke.pixelRatio&&ne.scrollBeyondLastLine===ke.scrollBeyondLastLine&&ne.minimap.enabled===ke.minimap.enabled&&ne.minimap.side===ke.minimap.side&&ne.minimap.size===ke.minimap.size&&ne.minimap.showSlider===ke.minimap.showSlider&&ne.minimap.renderCharacters===ke.minimap.renderCharacters&&ne.minimap.maxColumn===ke.minimap.maxColumn&&ne.minimap.scale===ke.minimap.scale&&ne.verticalScrollbarWidth===ke.verticalScrollbarWidth&&ne.isViewportWrapping===ke.isViewportWrapping,Pe=ne.lineHeight,oe=ne.typicalHalfwidthCharacterWidth,ce=ne.scrollBeyondLastLine,ge=ne.minimap.renderCharacters;let we=et>=2?Math.round(ne.minimap.scale*2):ne.minimap.scale;const G=ne.minimap.maxColumn,pe=ne.minimap.size,Se=ne.minimap.side,Ae=ne.verticalScrollbarWidth,Me=ne.viewLineCount,je=ne.remainingWidth,tt=ne.isViewportWrapping,Xe=ge?2:3;let Ye=Math.floor(et*$e);const lt=Ye/et;let ut=!1,_e=!1,ye=Xe*we,le=we/et,Y=1;if(pe==="fill"||pe==="fit"){const{typicalViewportLineCount:wt,extraLinesBeyondLastLine:bt,desiredRatio:Et,minimapLineCount:yt}=N.computeContainedMinimapLineCount({viewLineCount:Me,scrollBeyondLastLine:ce,height:$e,lineHeight:Pe,pixelRatio:et});if(Me/yt>1)ut=!0,_e=!0,we=1,ye=1,le=we/et;else{let _t=!1,dt=we+1;if(pe==="fit"){const vt=Math.ceil((Me+bt)*ye);tt&&Ce&&je<=he.stableFitRemainingWidth?(_t=!0,dt=he.stableFitMaxMinimapScale):_t=vt>Ye}if(pe==="fill"||_t){ut=!0;const vt=we;ye=Math.min(Pe*et,Math.max(1,Math.floor(1/Et))),tt&&Ce&&je<=he.stableFitRemainingWidth&&(dt=he.stableFitMaxMinimapScale),we=Math.min(dt,Math.max(1,Math.floor(ye/Xe))),we>vt&&(Y=Math.min(2,we/vt)),le=we/et/Y,Ye=Math.ceil(Math.max(wt,Me+bt)*ye),tt?(he.stableMinimapLayoutInput=ne,he.stableFitRemainingWidth=je,he.stableFitMaxMinimapScale=we):(he.stableMinimapLayoutInput=null,he.stableFitRemainingWidth=0)}}}const Be=Math.floor(G*le),De=Math.min(Be,Math.max(0,Math.floor((je-Ae-2)*le/(oe+le)))+e.MINIMAP_GUTTER_WIDTH);let Ze=Math.floor(et*De);const Ke=Ze/et;Ze=Math.floor(Ze*Y);const rt=ge?1:2,ft=Se==="left"?0:xe-De-Ae;return{renderMinimap:rt,minimapLeft:ft,minimapWidth:De,minimapHeightIsEditorHeight:ut,minimapIsSampling:_e,minimapScale:we,minimapLineHeight:ye,minimapCanvasInnerWidth:Ze,minimapCanvasInnerHeight:Ye,minimapCanvasOuterWidth:Ke,minimapCanvasOuterHeight:lt}}static computeLayout(ne,he){const xe=he.outerWidth|0,$e=he.outerHeight|0,et=he.lineHeight|0,ke=he.lineNumbersDigitCount|0,Ce=he.typicalHalfwidthCharacterWidth,Pe=he.maxDigitWidth,oe=he.pixelRatio,ce=he.viewLineCount,ge=ne.get(120),we=ge==="inherit"?ne.get(119):ge,G=we==="inherit"?ne.get(115):we,pe=ne.get(118),Se=ne.get(2),Ae=he.isDominatedByLongLines,Me=ne.get(46),je=ne.get(57).renderType!==0,tt=ne.get(58),Xe=ne.get(92),Ye=ne.get(62),lt=ne.get(90),ut=lt.verticalScrollbarSize,_e=lt.verticalHasArrows,ye=lt.arrowSize,le=lt.horizontalScrollbarSize,Y=ne.get(55),Be=ne.get(35);let De;if(typeof Y=="string"&&/^\d+(\.\d+)?ch$/.test(Y)){const Pt=parseFloat(Y.substr(0,Y.length-2));De=l.clampedInt(Pt*Ce,0,0,1e3)}else De=l.clampedInt(Y,0,0,1e3);Be&&(De+=16);let Ze=0;if(je){const Pt=Math.max(ke,tt);Ze=Math.round(Pt*Pe)}let Ke=0;Me&&(Ke=et);let rt=0,ft=rt+Ke,wt=ft+Ze,bt=wt+De;const Et=xe-Ke-Ze-De;let yt=!1,kt=!1,_t=-1;Se!==2&&(we==="inherit"&&Ae?(yt=!0,kt=!0):G==="on"||G==="bounded"?kt=!0:G==="wordWrapColumn"&&(_t=pe));const dt=N._computeMinimapLayout({outerWidth:xe,outerHeight:$e,lineHeight:et,typicalHalfwidthCharacterWidth:Ce,pixelRatio:oe,scrollBeyondLastLine:Xe,minimap:Ye,verticalScrollbarWidth:ut,viewLineCount:ce,remainingWidth:Et,isViewportWrapping:kt},he.memory||new E);dt.renderMinimap!==0&&dt.minimapLeft===0&&(rt+=dt.minimapWidth,ft+=dt.minimapWidth,wt+=dt.minimapWidth,bt+=dt.minimapWidth);const vt=Et-dt.minimapWidth,ht=Math.max(1,Math.floor((vt-ut-2)/Ce)),xt=_e?ye:0;return kt&&(_t=Math.max(1,ht),G==="bounded"&&(_t=Math.min(_t,pe))),{width:xe,height:$e,glyphMarginLeft:rt,glyphMarginWidth:Ke,lineNumbersLeft:ft,lineNumbersWidth:Ze,decorationsLeft:wt,decorationsWidth:De,contentLeft:bt,contentWidth:vt,minimap:dt,viewportColumn:ht,isWordWrapMinified:yt,isViewportWrapping:kt,wrappingColumn:_t,verticalScrollbarWidth:ut,horizontalScrollbarHeight:le,overviewRuler:{top:xt,width:ut,height:$e-2*xt,right:0}}}}e.EditorLayoutInfoComputer=N;class W extends C{constructor(){const ne={enabled:!0};super(54,"lightbulb",ne,{"editor.lightbulb.enabled":{type:"boolean",default:ne.enabled,description:g.localize(39,null)}})}validate(ne){return!ne||typeof ne!="object"?this.defaultValue:{enabled:d(ne.enabled,this.defaultValue.enabled)}}}class F extends C{constructor(){const ne={enabled:!0,fontSize:0,fontFamily:e.EDITOR_FONT_DEFAULTS.fontFamily};super(124,"inlayHints",ne,{"editor.inlayHints.enabled":{type:"boolean",default:ne.enabled,description:g.localize(40,null)},"editor.inlayHints.fontSize":{type:"number",default:ne.fontSize,markdownDescription:g.localize(41,null)},"editor.inlayHints.fontFamily":{type:"string",default:ne.fontFamily,description:g.localize(42,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const he=ne;return{enabled:d(he.enabled,this.defaultValue.enabled),fontSize:l.clampedInt(he.fontSize,this.defaultValue.fontSize,0,100),fontFamily:S.string(he.fontFamily,this.defaultValue.fontFamily)}}}class q extends u{constructor(){super(56,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,ne=>u.clamp(ne,0,150),{markdownDescription:g.localize(43,null)})}compute(ne,he,xe){return ne.fontInfo.lineHeight}}class M extends C{constructor(){const ne={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",renderCharacters:!0,maxColumn:120,scale:1};super(62,"minimap",ne,{"editor.minimap.enabled":{type:"boolean",default:ne.enabled,description:g.localize(44,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[g.localize(45,null),g.localize(46,null),g.localize(47,null)],default:ne.size,description:g.localize(48,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:ne.side,description:g.localize(49,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:ne.showSlider,description:g.localize(50,null)},"editor.minimap.scale":{type:"number",default:ne.scale,minimum:1,maximum:3,enum:[1,2,3],description:g.localize(51,null)},"editor.minimap.renderCharacters":{type:"boolean",default:ne.renderCharacters,description:g.localize(52,null)},"editor.minimap.maxColumn":{type:"number",default:ne.maxColumn,description:g.localize(53,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const he=ne;return{enabled:d(he.enabled,this.defaultValue.enabled),size:w(he.size,this.defaultValue.size,["proportional","fill","fit"]),side:w(he.side,this.defaultValue.side,["right","left"]),showSlider:w(he.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:d(he.renderCharacters,this.defaultValue.renderCharacters),scale:l.clampedInt(he.scale,1,1,3),maxColumn:l.clampedInt(he.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}function O(K){return K==="ctrlCmd"?R.isMacintosh?"metaKey":"ctrlKey":"altKey"}class x extends C{constructor(){super(72,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:g.localize(54,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:g.localize(55,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const he=ne;return{top:l.clampedInt(he.top,0,0,1e3),bottom:l.clampedInt(he.bottom,0,0,1e3)}}}class $ extends C{constructor(){const ne={enabled:!0,cycle:!1};super(73,"parameterHints",ne,{"editor.parameterHints.enabled":{type:"boolean",default:ne.enabled,description:g.localize(56,null)},"editor.parameterHints.cycle":{type:"boolean",default:ne.cycle,description:g.localize(57,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const he=ne;return{enabled:d(he.enabled,this.defaultValue.enabled),cycle:d(he.cycle,this.defaultValue.cycle)}}}class J extends n{constructor(){super(126)}compute(ne,he,xe){return ne.pixelRatio}}class de extends C{constructor(){const ne={other:!0,comments:!1,strings:!1};super(76,"quickSuggestions",ne,{anyOf:[{type:"boolean"},{type:"object",properties:{strings:{type:"boolean",default:ne.strings,description:g.localize(58,null)},comments:{type:"boolean",default:ne.comments,description:g.localize(59,null)},other:{type:"boolean",default:ne.other,description:g.localize(60,null)}}}],default:ne,description:g.localize(61,null)});this.defaultValue=ne}validate(ne){if(typeof ne=="boolean")return ne;if(ne&&typeof ne=="object"){const he=ne,xe={other:d(he.other,this.defaultValue.other),comments:d(he.comments,this.defaultValue.comments),strings:d(he.strings,this.defaultValue.strings)};return xe.other&&xe.comments&&xe.strings?!0:!xe.other&&!xe.comments&&!xe.strings?!1:xe}return this.defaultValue}}var Ee;(function(K){K[K.Off=0]="Off",K[K.On=1]="On",K[K.Relative=2]="Relative",K[K.Interval=3]="Interval",K[K.Custom=4]="Custom"})(Ee=e.RenderLineNumbersType||(e.RenderLineNumbersType={}));class Fe extends C{constructor(){super(57,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[g.localize(62,null),g.localize(63,null),g.localize(64,null),g.localize(65,null)],default:"on",description:g.localize(66,null)})}validate(ne){let he=this.defaultValue.renderType,xe=this.defaultValue.renderFn;return typeof ne!="undefined"&&(typeof ne=="function"?(he=4,xe=ne):ne==="interval"?he=3:ne==="relative"?he=2:ne==="on"?he=1:he=0),{renderType:he,renderFn:xe}}}function Re(K){const ne=K.get(85);return ne==="editable"?K.get(78):ne!=="on"}e.filterValidationDecorations=Re;class Ne extends C{constructor(){const ne=[],he={type:"number",description:g.localize(67,null)};super(89,"rulers",ne,{type:"array",items:{anyOf:[he,{type:["object"],properties:{column:he,color:{type:"string",description:g.localize(68,null),format:"color-hex"}}}]},default:ne,description:g.localize(69,null)})}validate(ne){if(Array.isArray(ne)){let he=[];for(let xe of ne)if(typeof xe=="number")he.push({column:l.clampedInt(xe,0,0,1e4),color:null});else if(xe&&typeof xe=="object"){const $e=xe;he.push({column:l.clampedInt($e.column,0,0,1e4),color:$e.color})}return he.sort((xe,$e)=>xe.column-$e.column),he}return this.defaultValue}}function qe(K,ne){if(typeof K!="string")return ne;switch(K){case"hidden":return 2;case"visible":return 3;default:return 1}}class Ve extends C{constructor(){const ne={vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1};super(90,"scrollbar",ne,{"editor.scrollbar.vertical":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[g.localize(70,null),g.localize(71,null),g.localize(72,null)],default:"auto",description:g.localize(73,null)},"editor.scrollbar.horizontal":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[g.localize(74,null),g.localize(75,null),g.localize(76,null)],default:"auto",description:g.localize(77,null)},"editor.scrollbar.verticalScrollbarSize":{type:"number",default:ne.verticalScrollbarSize,description:g.localize(78,null)},"editor.scrollbar.horizontalScrollbarSize":{type:"number",default:ne.horizontalScrollbarSize,description:g.localize(79,null)},"editor.scrollbar.scrollByPage":{type:"boolean",default:ne.scrollByPage,description:g.localize(80,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const he=ne,xe=l.clampedInt(he.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),$e=l.clampedInt(he.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:l.clampedInt(he.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:qe(he.vertical,this.defaultValue.vertical),horizontal:qe(he.horizontal,this.defaultValue.horizontal),useShadows:d(he.useShadows,this.defaultValue.useShadows),verticalHasArrows:d(he.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:d(he.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:d(he.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:d(he.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:xe,horizontalSliderSize:l.clampedInt(he.horizontalSliderSize,xe,0,1e3),verticalScrollbarSize:$e,verticalSliderSize:l.clampedInt(he.verticalSliderSize,$e,0,1e3),scrollByPage:d(he.scrollByPage,this.defaultValue.scrollByPage)}}}class Ge extends C{constructor(){const ne={enabled:!1,mode:"subwordDiff"};super(52,"inlineSuggest",ne,{"editor.inlineSuggest.enabled":{type:"boolean",default:ne.enabled,description:g.localize(81,null)},"editor.inlineSuggest.mode":{type:"string",enum:["prefix","subwordDiff"],enumDescriptions:[g.localize(82,null),g.localize(83,null)],default:ne.mode,description:g.localize(84,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const he=ne;return{enabled:d(he.enabled,this.defaultValue.enabled),mode:w(he.mode,this.defaultValue.mode,["prefix","subwordDiff"])}}}class j extends C{constructor(){const ne={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!0,localityBonus:!1,shareSuggestSelections:!1,showIcons:!0,showStatusBar:!1,preview:!1,previewMode:"prefix",showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showDeprecated:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(104,"suggest",ne,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[g.localize(85,null),g.localize(86,null)],default:ne.insertMode,description:g.localize(87,null)},"editor.suggest.filterGraceful":{type:"boolean",default:ne.filterGraceful,description:g.localize(88,null)},"editor.suggest.localityBonus":{type:"boolean",default:ne.localityBonus,description:g.localize(89,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:ne.shareSuggestSelections,markdownDescription:g.localize(90,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:ne.snippetsPreventQuickSuggestions,description:g.localize(91,null)},"editor.suggest.showIcons":{type:"boolean",default:ne.showIcons,description:g.localize(92,null)},"editor.suggest.showStatusBar":{type:"boolean",default:ne.showStatusBar,description:g.localize(93,null)},"editor.suggest.preview":{type:"boolean",default:ne.preview,description:g.localize(94,null)},"editor.suggest.previewMode":{type:"string",enum:["prefix","subwordDiff"],enumDescriptions:[g.localize(95,null),g.localize(96,null)],default:ne.previewMode,description:g.localize(97,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:ne.showInlineDetails,description:g.localize(98,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:g.localize(99,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:g.localize(100,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:g.localize(101,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:g.localize(102,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:g.localize(103,null)},"editor.suggest.showDeprecated":{type:"boolean",default:!0,markdownDescription:g.localize(104,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:g.localize(105,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:g.localize(106,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:g.localize(107,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:g.localize(108,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:g.localize(109,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:g.localize(110,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:g.localize(111,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:g.localize(112,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:g.localize(113,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:g.localize(114,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:g.localize(115,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:g.localize(116,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:g.localize(117,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:g.localize(118,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:g.localize(119,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:g.localize(120,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:g.localize(121,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:g.localize(122,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:g.localize(123,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:g.localize(124,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:g.localize(125,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:g.localize(126,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:g.localize(127,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:g.localize(128,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:g.localize(129,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const he=ne;return{insertMode:w(he.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:d(he.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:d(he.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:d(he.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:d(he.shareSuggestSelections,this.defaultValue.shareSuggestSelections),showIcons:d(he.showIcons,this.defaultValue.showIcons),showStatusBar:d(he.showStatusBar,this.defaultValue.showStatusBar),preview:d(he.preview,this.defaultValue.preview),previewMode:w(he.previewMode,this.defaultValue.previewMode,["prefix","subwordDiff"]),showInlineDetails:d(he.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:d(he.showMethods,this.defaultValue.showMethods),showFunctions:d(he.showFunctions,this.defaultValue.showFunctions),showConstructors:d(he.showConstructors,this.defaultValue.showConstructors),showDeprecated:d(he.showDeprecated,this.defaultValue.showDeprecated),showFields:d(he.showFields,this.defaultValue.showFields),showVariables:d(he.showVariables,this.defaultValue.showVariables),showClasses:d(he.showClasses,this.defaultValue.showClasses),showStructs:d(he.showStructs,this.defaultValue.showStructs),showInterfaces:d(he.showInterfaces,this.defaultValue.showInterfaces),showModules:d(he.showModules,this.defaultValue.showModules),showProperties:d(he.showProperties,this.defaultValue.showProperties),showEvents:d(he.showEvents,this.defaultValue.showEvents),showOperators:d(he.showOperators,this.defaultValue.showOperators),showUnits:d(he.showUnits,this.defaultValue.showUnits),showValues:d(he.showValues,this.defaultValue.showValues),showConstants:d(he.showConstants,this.defaultValue.showConstants),showEnums:d(he.showEnums,this.defaultValue.showEnums),showEnumMembers:d(he.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:d(he.showKeywords,this.defaultValue.showKeywords),showWords:d(he.showWords,this.defaultValue.showWords),showColors:d(he.showColors,this.defaultValue.showColors),showFiles:d(he.showFiles,this.defaultValue.showFiles),showReferences:d(he.showReferences,this.defaultValue.showReferences),showFolders:d(he.showFolders,this.defaultValue.showFolders),showTypeParameters:d(he.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:d(he.showSnippets,this.defaultValue.showSnippets),showUsers:d(he.showUsers,this.defaultValue.showUsers),showIssues:d(he.showIssues,this.defaultValue.showIssues)}}}class ee extends C{constructor(){super(100,"smartSelect",{selectLeadingAndTrailingWhitespace:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:g.localize(130,null),default:!0,type:"boolean"}})}validate(ne){return!ne||typeof ne!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:d(ne.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace)}}}class re extends n{constructor(){super(127,[78])}compute(ne,he,xe){return he.get(78)?!0:ne.tabFocusMode}}var ae;(function(K){K[K.None=0]="None",K[K.Same=1]="Same",K[K.Indent=2]="Indent",K[K.DeepIndent=3]="DeepIndent"})(ae=e.WrappingIndent||(e.WrappingIndent={}));function Z(K){switch(K){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}}class se extends n{constructor(){super(129,[128])}compute(ne,he,xe){const $e=he.get(128);return{isDominatedByLongLines:ne.isDominatedByLongLines,isWordWrapMinified:$e.isWordWrapMinified,isViewportWrapping:$e.isViewportWrapping,wrappingColumn:$e.wrappingColumn}}}const ve="Consolas, 'Courier New', monospace",Le="Menlo, Monaco, 'Courier New', monospace",He="'Droid Sans Mono', 'monospace', monospace, 'Droid Sans Fallback'";e.EDITOR_FONT_DEFAULTS={fontFamily:R.isMacintosh?Le:R.isLinux?He:ve,fontWeight:"normal",fontSize:R.isMacintosh?12:14,lineHeight:0,letterSpacing:0},e.EDITOR_MODEL_DEFAULTS={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0},e.editorOptionsRegistry=[];function be(K){return e.editorOptionsRegistry[K.id]=K,K}var Je;(function(K){K[K.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",K[K.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",K[K.accessibilitySupport=2]="accessibilitySupport",K[K.accessibilityPageSize=3]="accessibilityPageSize",K[K.ariaLabel=4]="ariaLabel",K[K.autoClosingBrackets=5]="autoClosingBrackets",K[K.autoClosingDelete=6]="autoClosingDelete",K[K.autoClosingOvertype=7]="autoClosingOvertype",K[K.autoClosingQuotes=8]="autoClosingQuotes",K[K.autoIndent=9]="autoIndent",K[K.automaticLayout=10]="automaticLayout",K[K.autoSurround=11]="autoSurround",K[K.codeLens=12]="codeLens",K[K.codeLensFontFamily=13]="codeLensFontFamily",K[K.codeLensFontSize=14]="codeLensFontSize",K[K.colorDecorators=15]="colorDecorators",K[K.columnSelection=16]="columnSelection",K[K.comments=17]="comments",K[K.contextmenu=18]="contextmenu",K[K.copyWithSyntaxHighlighting=19]="copyWithSyntaxHighlighting",K[K.cursorBlinking=20]="cursorBlinking",K[K.cursorSmoothCaretAnimation=21]="cursorSmoothCaretAnimation",K[K.cursorStyle=22]="cursorStyle",K[K.cursorSurroundingLines=23]="cursorSurroundingLines",K[K.cursorSurroundingLinesStyle=24]="cursorSurroundingLinesStyle",K[K.cursorWidth=25]="cursorWidth",K[K.disableLayerHinting=26]="disableLayerHinting",K[K.disableMonospaceOptimizations=27]="disableMonospaceOptimizations",K[K.domReadOnly=28]="domReadOnly",K[K.dragAndDrop=29]="dragAndDrop",K[K.emptySelectionClipboard=30]="emptySelectionClipboard",K[K.extraEditorClassName=31]="extraEditorClassName",K[K.fastScrollSensitivity=32]="fastScrollSensitivity",K[K.find=33]="find",K[K.fixedOverflowWidgets=34]="fixedOverflowWidgets",K[K.folding=35]="folding",K[K.foldingStrategy=36]="foldingStrategy",K[K.foldingHighlight=37]="foldingHighlight",K[K.unfoldOnClickAfterEndOfLine=38]="unfoldOnClickAfterEndOfLine",K[K.fontFamily=39]="fontFamily",K[K.fontInfo=40]="fontInfo",K[K.fontLigatures=41]="fontLigatures",K[K.fontSize=42]="fontSize",K[K.fontWeight=43]="fontWeight",K[K.formatOnPaste=44]="formatOnPaste",K[K.formatOnType=45]="formatOnType",K[K.glyphMargin=46]="glyphMargin",K[K.gotoLocation=47]="gotoLocation",K[K.hideCursorInOverviewRuler=48]="hideCursorInOverviewRuler",K[K.highlightActiveIndentGuide=49]="highlightActiveIndentGuide",K[K.hover=50]="hover",K[K.inDiffEditor=51]="inDiffEditor",K[K.inlineSuggest=52]="inlineSuggest",K[K.letterSpacing=53]="letterSpacing",K[K.lightbulb=54]="lightbulb",K[K.lineDecorationsWidth=55]="lineDecorationsWidth",K[K.lineHeight=56]="lineHeight",K[K.lineNumbers=57]="lineNumbers",K[K.lineNumbersMinChars=58]="lineNumbersMinChars",K[K.linkedEditing=59]="linkedEditing",K[K.links=60]="links",K[K.matchBrackets=61]="matchBrackets",K[K.minimap=62]="minimap",K[K.mouseStyle=63]="mouseStyle",K[K.mouseWheelScrollSensitivity=64]="mouseWheelScrollSensitivity",K[K.mouseWheelZoom=65]="mouseWheelZoom",K[K.multiCursorMergeOverlapping=66]="multiCursorMergeOverlapping",K[K.multiCursorModifier=67]="multiCursorModifier",K[K.multiCursorPaste=68]="multiCursorPaste",K[K.occurrencesHighlight=69]="occurrencesHighlight",K[K.overviewRulerBorder=70]="overviewRulerBorder",K[K.overviewRulerLanes=71]="overviewRulerLanes",K[K.padding=72]="padding",K[K.parameterHints=73]="parameterHints",K[K.peekWidgetDefaultFocus=74]="peekWidgetDefaultFocus",K[K.definitionLinkOpensInPeek=75]="definitionLinkOpensInPeek",K[K.quickSuggestions=76]="quickSuggestions",K[K.quickSuggestionsDelay=77]="quickSuggestionsDelay",K[K.readOnly=78]="readOnly",K[K.renameOnType=79]="renameOnType",K[K.renderControlCharacters=80]="renderControlCharacters",K[K.renderIndentGuides=81]="renderIndentGuides",K[K.renderFinalNewline=82]="renderFinalNewline",K[K.renderLineHighlight=83]="renderLineHighlight",K[K.renderLineHighlightOnlyWhenFocus=84]="renderLineHighlightOnlyWhenFocus",K[K.renderValidationDecorations=85]="renderValidationDecorations",K[K.renderWhitespace=86]="renderWhitespace",K[K.revealHorizontalRightPadding=87]="revealHorizontalRightPadding",K[K.roundedSelection=88]="roundedSelection",K[K.rulers=89]="rulers",K[K.scrollbar=90]="scrollbar",K[K.scrollBeyondLastColumn=91]="scrollBeyondLastColumn",K[K.scrollBeyondLastLine=92]="scrollBeyondLastLine",K[K.scrollPredominantAxis=93]="scrollPredominantAxis",K[K.selectionClipboard=94]="selectionClipboard",K[K.selectionHighlight=95]="selectionHighlight",K[K.selectOnLineNumbers=96]="selectOnLineNumbers",K[K.showFoldingControls=97]="showFoldingControls",K[K.showUnused=98]="showUnused",K[K.snippetSuggestions=99]="snippetSuggestions",K[K.smartSelect=100]="smartSelect",K[K.smoothScrolling=101]="smoothScrolling",K[K.stickyTabStops=102]="stickyTabStops",K[K.stopRenderingLineAfter=103]="stopRenderingLineAfter",K[K.suggest=104]="suggest",K[K.suggestFontSize=105]="suggestFontSize",K[K.suggestLineHeight=106]="suggestLineHeight",K[K.suggestOnTriggerCharacters=107]="suggestOnTriggerCharacters",K[K.suggestSelection=108]="suggestSelection",K[K.tabCompletion=109]="tabCompletion",K[K.tabIndex=110]="tabIndex",K[K.unusualLineTerminators=111]="unusualLineTerminators",K[K.useShadowDOM=112]="useShadowDOM",K[K.useTabStops=113]="useTabStops",K[K.wordSeparators=114]="wordSeparators",K[K.wordWrap=115]="wordWrap",K[K.wordWrapBreakAfterCharacters=116]="wordWrapBreakAfterCharacters",K[K.wordWrapBreakBeforeCharacters=117]="wordWrapBreakBeforeCharacters",K[K.wordWrapColumn=118]="wordWrapColumn",K[K.wordWrapOverride1=119]="wordWrapOverride1",K[K.wordWrapOverride2=120]="wordWrapOverride2",K[K.wrappingIndent=121]="wrappingIndent",K[K.wrappingStrategy=122]="wrappingStrategy",K[K.showDeprecated=123]="showDeprecated",K[K.inlayHints=124]="inlayHints",K[K.editorClassName=125]="editorClassName",K[K.pixelRatio=126]="pixelRatio",K[K.tabFocusMode=127]="tabFocusMode",K[K.layoutInfo=128]="layoutInfo",K[K.wrappingInfo=129]="wrappingInfo"})(Je=e.EditorOption||(e.EditorOption={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:be(new m(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:g.localize(131,null)})),acceptSuggestionOnEnter:be(new b(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",g.localize(132,null),""],markdownDescription:g.localize(133,null)})),accessibilitySupport:be(new f),accessibilityPageSize:be(new l(3,"accessibilityPageSize",10,1,1073741824,{description:g.localize(134,null)})),ariaLabel:be(new S(4,"ariaLabel",g.localize(135,null))),autoClosingBrackets:be(new b(5,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",g.localize(136,null),g.localize(137,null),""],description:g.localize(138,null)})),autoClosingDelete:be(new b(6,"autoClosingDelete","auto",["always","auto","never"],{enumDescriptions:["",g.localize(139,null),""],description:g.localize(140,null)})),autoClosingOvertype:be(new b(7,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",g.localize(141,null),""],description:g.localize(142,null)})),autoClosingQuotes:be(new b(8,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",g.localize(143,null),g.localize(144,null),""],description:g.localize(145,null)})),autoIndent:be(new h(9,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],c,{enumDescriptions:[g.localize(146,null),g.localize(147,null),g.localize(148,null),g.localize(149,null),g.localize(150,null)],description:g.localize(151,null)})),automaticLayout:be(new m(10,"automaticLayout",!1)),autoSurround:be(new b(11,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[g.localize(152,null),g.localize(153,null),g.localize(154,null),""],description:g.localize(155,null)})),stickyTabStops:be(new m(102,"stickyTabStops",!1,{description:g.localize(156,null)})),codeLens:be(new m(12,"codeLens",!0,{description:g.localize(157,null)})),codeLensFontFamily:be(new S(13,"codeLensFontFamily","",{description:g.localize(158,null)})),codeLensFontSize:be(new l(14,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,markdownDescription:g.localize(159,null)})),colorDecorators:be(new m(15,"colorDecorators",!0,{description:g.localize(160,null)})),columnSelection:be(new m(16,"columnSelection",!1,{description:g.localize(161,null)})),comments:be(new t),contextmenu:be(new m(18,"contextmenu",!0)),copyWithSyntaxHighlighting:be(new m(19,"copyWithSyntaxHighlighting",!0,{description:g.localize(162,null)})),cursorBlinking:be(new h(20,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],s,{description:g.localize(163,null)})),cursorSmoothCaretAnimation:be(new m(21,"cursorSmoothCaretAnimation",!1,{description:g.localize(164,null)})),cursorStyle:be(new h(22,"cursorStyle",i.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],v,{description:g.localize(165,null)})),cursorSurroundingLines:be(new l(23,"cursorSurroundingLines",0,0,1073741824,{description:g.localize(166,null)})),cursorSurroundingLinesStyle:be(new b(24,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[g.localize(167,null),g.localize(168,null)],description:g.localize(169,null)})),cursorWidth:be(new l(25,"cursorWidth",0,0,1073741824,{markdownDescription:g.localize(170,null)})),disableLayerHinting:be(new m(26,"disableLayerHinting",!1)),disableMonospaceOptimizations:be(new m(27,"disableMonospaceOptimizations",!1)),domReadOnly:be(new m(28,"domReadOnly",!1)),dragAndDrop:be(new m(29,"dragAndDrop",!0,{description:g.localize(171,null)})),emptySelectionClipboard:be(new _),extraEditorClassName:be(new S(31,"extraEditorClassName","")),fastScrollSensitivity:be(new u(32,"fastScrollSensitivity",5,K=>K<=0?5:K,{markdownDescription:g.localize(172,null)})),find:be(new D),fixedOverflowWidgets:be(new m(34,"fixedOverflowWidgets",!1)),folding:be(new m(35,"folding",!0,{description:g.localize(173,null)})),foldingStrategy:be(new b(36,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[g.localize(174,null),g.localize(175,null)],description:g.localize(176,null)})),foldingHighlight:be(new m(37,"foldingHighlight",!0,{description:g.localize(177,null)})),unfoldOnClickAfterEndOfLine:be(new m(38,"unfoldOnClickAfterEndOfLine",!1,{description:g.localize(178,null)})),fontFamily:be(new S(39,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:g.localize(179,null)})),fontInfo:be(new T),fontLigatures2:be(new o),fontSize:be(new L),fontWeight:be(new H),formatOnPaste:be(new m(44,"formatOnPaste",!1,{description:g.localize(180,null)})),formatOnType:be(new m(45,"formatOnType",!1,{description:g.localize(181,null)})),glyphMargin:be(new m(46,"glyphMargin",!0,{description:g.localize(182,null)})),gotoLocation:be(new B),hideCursorInOverviewRuler:be(new m(48,"hideCursorInOverviewRuler",!1,{description:g.localize(183,null)})),highlightActiveIndentGuide:be(new m(49,"highlightActiveIndentGuide",!0,{description:g.localize(184,null)})),hover:be(new Q),inDiffEditor:be(new m(51,"inDiffEditor",!1)),letterSpacing:be(new u(53,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,K=>u.clamp(K,-5,20),{description:g.localize(185,null)})),lightbulb:be(new W),lineDecorationsWidth:be(new P(55,"lineDecorationsWidth",10)),lineHeight:be(new q),lineNumbers:be(new Fe),lineNumbersMinChars:be(new l(58,"lineNumbersMinChars",5,1,300)),linkedEditing:be(new m(59,"linkedEditing",!1,{description:g.localize(186,null)})),links:be(new m(60,"links",!0,{description:g.localize(187,null)})),matchBrackets:be(new b(61,"matchBrackets","always",["always","near","never"],{description:g.localize(188,null)})),minimap:be(new M),mouseStyle:be(new b(63,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:be(new u(64,"mouseWheelScrollSensitivity",1,K=>K===0?1:K,{markdownDescription:g.localize(189,null)})),mouseWheelZoom:be(new m(65,"mouseWheelZoom",!1,{markdownDescription:g.localize(190,null)})),multiCursorMergeOverlapping:be(new m(66,"multiCursorMergeOverlapping",!0,{description:g.localize(191,null)})),multiCursorModifier:be(new h(67,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],O,{markdownEnumDescriptions:[g.localize(192,null),g.localize(193,null)],markdownDescription:g.localize(194,null)})),multiCursorPaste:be(new b(68,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[g.localize(195,null),g.localize(196,null)],markdownDescription:g.localize(197,null)})),occurrencesHighlight:be(new m(69,"occurrencesHighlight",!0,{description:g.localize(198,null)})),overviewRulerBorder:be(new m(70,"overviewRulerBorder",!0,{description:g.localize(199,null)})),overviewRulerLanes:be(new l(71,"overviewRulerLanes",3,0,3)),padding:be(new x),parameterHints:be(new $),peekWidgetDefaultFocus:be(new b(74,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[g.localize(200,null),g.localize(201,null)],description:g.localize(202,null)})),definitionLinkOpensInPeek:be(new m(75,"definitionLinkOpensInPeek",!1,{description:g.localize(203,null)})),quickSuggestions:be(new de),quickSuggestionsDelay:be(new l(77,"quickSuggestionsDelay",10,0,1073741824,{description:g.localize(204,null)})),readOnly:be(new m(78,"readOnly",!1)),renameOnType:be(new m(79,"renameOnType",!1,{description:g.localize(205,null),markdownDeprecationMessage:g.localize(206,null)})),renderControlCharacters:be(new m(80,"renderControlCharacters",!1,{description:g.localize(207,null)})),renderIndentGuides:be(new m(81,"renderIndentGuides",!0,{description:g.localize(208,null)})),renderFinalNewline:be(new m(82,"renderFinalNewline",!0,{description:g.localize(209,null)})),renderLineHighlight:be(new b(83,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",g.localize(210,null)],description:g.localize(211,null)})),renderLineHighlightOnlyWhenFocus:be(new m(84,"renderLineHighlightOnlyWhenFocus",!1,{description:g.localize(212,null)})),renderValidationDecorations:be(new b(85,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:be(new b(86,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",g.localize(213,null),g.localize(214,null),g.localize(215,null),""],description:g.localize(216,null)})),revealHorizontalRightPadding:be(new l(87,"revealHorizontalRightPadding",30,0,1e3)),roundedSelection:be(new m(88,"roundedSelection",!0,{description:g.localize(217,null)})),rulers:be(new Ne),scrollbar:be(new Ve),scrollBeyondLastColumn:be(new l(91,"scrollBeyondLastColumn",5,0,1073741824,{description:g.localize(218,null)})),scrollBeyondLastLine:be(new m(92,"scrollBeyondLastLine",!0,{description:g.localize(219,null)})),scrollPredominantAxis:be(new m(93,"scrollPredominantAxis",!0,{description:g.localize(220,null)})),selectionClipboard:be(new m(94,"selectionClipboard",!0,{description:g.localize(221,null),included:R.isLinux})),selectionHighlight:be(new m(95,"selectionHighlight",!0,{description:g.localize(222,null)})),selectOnLineNumbers:be(new m(96,"selectOnLineNumbers",!0)),showFoldingControls:be(new b(97,"showFoldingControls","mouseover",["always","mouseover"],{enumDescriptions:[g.localize(223,null),g.localize(224,null)],description:g.localize(225,null)})),showUnused:be(new m(98,"showUnused",!0,{description:g.localize(226,null)})),showDeprecated:be(new m(123,"showDeprecated",!0,{description:g.localize(227,null)})),inlayHints:be(new F),snippetSuggestions:be(new b(99,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[g.localize(228,null),g.localize(229,null),g.localize(230,null),g.localize(231,null)],description:g.localize(232,null)})),smartSelect:be(new ee),smoothScrolling:be(new m(101,"smoothScrolling",!1,{description:g.localize(233,null)})),stopRenderingLineAfter:be(new l(103,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:be(new j),inlineSuggest:be(new Ge),suggestFontSize:be(new l(105,"suggestFontSize",0,0,1e3,{markdownDescription:g.localize(234,null)})),suggestLineHeight:be(new l(106,"suggestLineHeight",0,0,1e3,{markdownDescription:g.localize(235,null)})),suggestOnTriggerCharacters:be(new m(107,"suggestOnTriggerCharacters",!0,{description:g.localize(236,null)})),suggestSelection:be(new b(108,"suggestSelection","recentlyUsed",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[g.localize(237,null),g.localize(238,null),g.localize(239,null)],description:g.localize(240,null)})),tabCompletion:be(new b(109,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[g.localize(241,null),g.localize(242,null),g.localize(243,null)],description:g.localize(244,null)})),tabIndex:be(new l(110,"tabIndex",0,-1,1073741824)),unusualLineTerminators:be(new b(111,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[g.localize(245,null),g.localize(246,null),g.localize(247,null)],description:g.localize(248,null)})),useShadowDOM:be(new m(112,"useShadowDOM",!0)),useTabStops:be(new m(113,"useTabStops",!0,{description:g.localize(249,null)})),wordSeparators:be(new S(114,"wordSeparators",k.USUAL_WORD_SEPARATORS,{description:g.localize(250,null)})),wordWrap:be(new b(115,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[g.localize(251,null),g.localize(252,null),g.localize(253,null),g.localize(254,null)],description:g.localize(255,null)})),wordWrapBreakAfterCharacters:be(new S(116,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:be(new S(117,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:be(new l(118,"wordWrapColumn",80,1,1073741824,{markdownDescription:g.localize(256,null)})),wordWrapOverride1:be(new b(119,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:be(new b(120,"wordWrapOverride2","inherit",["off","on","inherit"])),wrappingIndent:be(new h(121,"wrappingIndent",1,"same",["none","same","indent","deepIndent"],Z,{enumDescriptions:[g.localize(257,null),g.localize(258,null),g.localize(259,null),g.localize(260,null)],description:g.localize(261,null)})),wrappingStrategy:be(new b(122,"wrappingStrategy","simple",["simple","advanced"],{enumDescriptions:[g.localize(262,null),g.localize(263,null)],description:g.localize(264,null)})),editorClassName:be(new p),pixelRatio:be(new J),tabFocusMode:be(new re),layoutInfo:be(new N),wrappingInfo:be(new se)}}),define(fe[152],me([19,20]),function(X,e){return X.create("vs/platform/configuration/common/configurationRegistry",e)}),define(fe[153],me([19,20]),function(X,e){return X.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(fe[154],me([19,20]),function(X,e){return X.create("vs/platform/extensions/common/extensionValidator",e)}),define(fe[155],me([19,20]),function(X,e){return X.create("vs/platform/externalTerminal/node/externalTerminalService",e)}),define(fe[156],me([19,20]),function(X,e){return X.create("vs/platform/files/common/files",e)}),define(fe[157],me([19,20]),function(X,e){return X.create("vs/platform/markers/common/markers",e)}),define(fe[158],me([19,20]),function(X,e){return X.create("vs/platform/workspaces/common/workspaces",e)}),define(fe[159],me([19,20]),function(X,e){return X.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(fe[160],me([19,20]),function(X,e){return X.create("vs/workbench/api/common/extHostExtensionService",e)}),define(fe[161],me([19,20]),function(X,e){return X.create("vs/workbench/api/common/extHostProgress",e)}),define(fe[162],me([19,20]),function(X,e){return X.create("vs/workbench/api/common/extHostStatusBar",e)}),define(fe[163],me([19,20]),function(X,e){return X.create("vs/workbench/api/common/extHostTerminalService",e)}),define(fe[164],me([19,20]),function(X,e){return X.create("vs/workbench/api/common/extHostTreeViews",e)}),define(fe[165],me([19,20]),function(X,e){return X.create("vs/workbench/api/common/extHostWorkspace",e)}),define(fe[166],me([19,20]),function(X,e){return X.create("vs/workbench/api/node/extHostDebugService",e)}),define(fe[167],me([19,20]),function(X,e){return X.create("vs/workbench/common/editor",e)}),define(fe[168],me([19,20]),function(X,e){return X.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(fe[169],me([19,20]),function(X,e){return X.create("vs/workbench/contrib/debug/node/debugAdapter",e)}),define(fe[170],me([19,20]),function(X,e){return X.create("vs/workbench/contrib/search/common/queryBuilder",e)}),define(fe[171],me([19,20]),function(X,e){return X.create("vs/workbench/contrib/tasks/common/taskService",e)}),define(fe[172],me([19,20]),function(X,e){return X.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(fe[173],me([0,1,2]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextEditorSelectionRevealType=e.EditorOpenContext=e.EditorOverride=e.EditorActivation=e.isResourceEditorInput=void 0;function R(E){const C=E;return g.URI.isUri(C?.resource)}e.isResourceEditorInput=R;var k;(function(E){E[E.ACTIVATE=1]="ACTIVATE",E[E.RESTORE=2]="RESTORE",E[E.PRESERVE=3]="PRESERVE"})(k=e.EditorActivation||(e.EditorActivation={}));var y;(function(E){E[E.PICK=0]="PICK",E[E.DISABLED=1]="DISABLED",E[E.EXCLUSIVE_ONLY=2]="EXCLUSIVE_ONLY"})(y=e.EditorOverride||(e.EditorOverride={}));var A;(function(E){E[E.API=0]="API",E[E.USER=1]="USER"})(A=e.EditorOpenContext||(e.EditorOpenContext={}));var I;(function(E){E[E.Center=0]="Center",E[E.CenterIfOutsideViewport=1]="CenterIfOutsideViewport",E[E.NearTop=2]="NearTop",E[E.NearTopIfOutsideViewport=3]="NearTopIfOutsideViewport"})(I=e.TextEditorSelectionRevealType||(e.TextEditorSelectionRevealType={}))}),define(fe[174],me([0,1,154]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const R=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,k=/^-(\d{4})(\d{2})(\d{2})$/;function y(d){return d=d.trim(),d==="*"||R.test(d)}e.isValidVersionStr=y;function A(d){if(!y(d))return null;if(d=d.trim(),d==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let m=d.match(R);return m?{hasCaret:m[1]==="^",hasGreaterEquals:m[1]===">=",majorBase:m[2]==="x"?0:parseInt(m[2],10),majorMustEqual:m[2]!=="x",minorBase:m[4]==="x"?0:parseInt(m[4],10),minorMustEqual:m[4]!=="x",patchBase:m[6]==="x"?0:parseInt(m[6],10),patchMustEqual:m[6]!=="x",preRelease:m[8]||null}:null}e.parseVersion=A;function I(d){if(!d)return null;let m=d.majorBase,l=d.majorMustEqual,u=d.minorBase,S=d.minorMustEqual,w=d.patchBase,b=d.patchMustEqual;d.hasCaret&&(m===0||(S=!1),b=!1);let h=0;if(d.preRelease){const c=k.exec(d.preRelease);if(c){const[,f,t,r]=c;h=Date.UTC(Number(f),Number(t)-1,Number(r))}}return{majorBase:m,majorMustEqual:l,minorBase:u,minorMustEqual:S,patchBase:w,patchMustEqual:b,isMinimum:d.hasGreaterEquals,notBefore:h}}e.normalizeVersion=I;function E(d,m,l){let u;typeof d=="string"?u=I(A(d)):u=d;let S;m instanceof Date?S=m.getTime():typeof m=="string"&&(S=new Date(m).getTime());let w;if(typeof l=="string"?w=I(A(l)):w=l,!u||!w)return!1;let b=u.majorBase,h=u.minorBase,c=u.patchBase,f=w.majorBase,t=w.minorBase,r=w.patchBase,s=w.notBefore,i=w.majorMustEqual,a=w.minorMustEqual,v=w.patchMustEqual;return w.isMinimum?b>f?!0:b<f?!1:h>t?!0:h<t||S&&S<s?!1:c>=r:(b===1&&f===0&&(!i||!a||!v)&&(f=1,t=0,r=0,i=!0,a=!1,v=!1),b<f?!1:b>f?!i:h<t?!1:h>t?!a:c<r?!1:c>r?!v:!(S&&S<s))}e.isValidVersion=E;function C(d,m,l,u){return l.isBuiltin||typeof l.main=="undefined"?!0:P(d,m,l.engines.vscode,u)}e.isValidExtensionVersion=C;function n(d,m,l){return d==="*"||P(m,l,d)}e.isEngineValid=n;function P(d,m,l,u=[]){let S=I(A(l));if(!S)return u.push(g.localize(0,null,l)),!1;if(S.majorBase===0){if(!S.majorMustEqual||!S.minorMustEqual)return u.push(g.localize(1,null,l)),!1}else if(!S.majorMustEqual)return u.push(g.localize(2,null,l)),!1;return E(d,m,S)?!0:(u.push(g.localize(3,null,d,l)),!1)}}),define(fe[112],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class g{constructor(k,y=[],A=!1){this.ctor=k,this.staticArguments=y,this.supportsDelayedInstantiation=A}}e.SyncDescriptor=g}),define(fe[77],me([0,1,112]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const R=[];function k(A,I,E){I instanceof g.SyncDescriptor||(I=new g.SyncDescriptor(I,[],E)),R.push([A,I])}e.registerSingleton=k;function y(){return R}e.getSingletonServiceDescriptors=y}),define(fe[175],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class g{constructor(y){this.incoming=new Map,this.outgoing=new Map,this.data=y}}e.Node=g;class R{constructor(y){this._hashFn=y,this._nodes=new Map}roots(){const y=[];for(let A of this._nodes.values())A.outgoing.size===0&&y.push(A);return y}insertEdge(y,A){const I=this.lookupOrInsertNode(y),E=this.lookupOrInsertNode(A);I.outgoing.set(this._hashFn(A),E),E.incoming.set(this._hashFn(y),I)}removeNode(y){const A=this._hashFn(y);this._nodes.delete(A);for(let I of this._nodes.values())I.outgoing.delete(A),I.incoming.delete(A)}lookupOrInsertNode(y){const A=this._hashFn(y);let I=this._nodes.get(A);return I||(I=new g(y),this._nodes.set(A,I)),I}lookup(y){return this._nodes.get(this._hashFn(y))}isEmpty(){return this._nodes.size===0}toString(){let y=[];for(let[A,I]of this._nodes)y.push(`${A}, (incoming)[${[...I.incoming.keys()].join(", ")}], (outgoing)[${[...I.outgoing.keys()].join(",")}]`);return y.join(`
`)}findCycleSlow(){for(let[y,A]of this._nodes){const I=new Set([y]),E=this._findCycle(A,I);if(E)return E}}_findCycle(y,A){for(let[I,E]of y.outgoing){if(A.has(I))return[...A,I].join(" -> ");A.add(I);const C=this._findCycle(E,A);if(C)return C;A.delete(I)}}}e.Graph=R}),define(fe[4],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.optional=e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var g;(function(I){I.serviceIds=new Map,I.DI_TARGET="$di$target",I.DI_DEPENDENCIES="$di$dependencies";function E(C){return C[I.DI_DEPENDENCIES]||[]}I.getServiceDependencies=E})(g=e._util||(e._util={})),e.IInstantiationService=k("instantiationService");function R(I,E,C,n){E[g.DI_TARGET]===E?E[g.DI_DEPENDENCIES].push({id:I,index:C,optional:n}):(E[g.DI_DEPENDENCIES]=[{id:I,index:C,optional:n}],E[g.DI_TARGET]=E)}function k(I){if(g.serviceIds.has(I))return g.serviceIds.get(I);const E=function(C,n,P){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");R(E,C,P,!1)};return E.toString=()=>I,g.serviceIds.set(I,E),E}e.createDecorator=k;function y(I){return I}e.refineServiceDecorator=y;function A(I){return function(E,C,n){if(arguments.length!==3)throw new Error("@optional-decorator can only be used to decorate a parameter");R(I,E,n,!0)}}e.optional=A}),define(fe[176],me([0,1,4]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.shouldSynchronizeModel=e.IModelService=void 0,e.IModelService=g.createDecorator("modelService");function R(k){return!k.isTooLargeForSyncing()&&!k.isForSimpleWidget}e.shouldSynchronizeModel=R}),define(fe[177],me([0,1,3,73,6,24,72,76,176]),function(X,e,g,R,k,y,A,I,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguageFeatureRequestDelays=e.LanguageFeatureRegistry=void 0;function C(d){return typeof d=="string"?!1:Array.isArray(d)?d.every(C):!!d.exclusive}class n{constructor(){this._clock=0,this._entries=[],this._onDidChange=new g.Emitter}get onDidChange(){return this._onDidChange.event}register(m,l){let u={selector:m,provider:l,_score:-1,_time:this._clock++};return this._entries.push(u),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),k.toDisposable(()=>{if(u){let S=this._entries.indexOf(u);S>=0&&(this._entries.splice(S,1),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),u=void 0)}})}has(m){return this.all(m).length>0}all(m){if(!m)return[];this._updateScores(m);const l=[];for(let u of this._entries)u._score>0&&l.push(u.provider);return l}ordered(m){const l=[];return this._orderedForEach(m,u=>l.push(u.provider)),l}orderedGroups(m){const l=[];let u,S;return this._orderedForEach(m,w=>{u&&S===w._score?u.push(w.provider):(S=w._score,u=[w.provider],l.push(u))}),l}_orderedForEach(m,l){if(!!m){this._updateScores(m);for(const u of this._entries)u._score>0&&l(u)}}_updateScores(m){let l={uri:m.uri.toString(),language:m.getLanguageIdentifier().language};if(!(this._lastCandidate&&this._lastCandidate.language===l.language&&this._lastCandidate.uri===l.uri)){this._lastCandidate=l;for(let u of this._entries)if(u._score=I.score(u.selector,m.uri,m.getLanguageIdentifier().language,E.shouldSynchronizeModel(m)),C(u.selector)&&u._score>0){for(let S of this._entries)S._score=0;u._score=1e3;break}this._entries.sort(n._compareByScoreAndTime)}}static _compareByScoreAndTime(m,l){return m._score<l._score?1:m._score>l._score?-1:m._time<l._time?1:m._time>l._time?-1:0}}e.LanguageFeatureRegistry=n;class P{constructor(m,l,u=Number.MAX_SAFE_INTEGER){this._registry=m,this.min=l,this.max=u,this._cache=new y.LRUCache(50,.7)}_key(m){return m.id+R.hash(this._registry.all(m))}_clamp(m){return m===void 0?this.min:Math.min(this.max,Math.max(this.min,Math.floor(m*1.3)))}get(m){const l=this._key(m),u=this._cache.get(l);return this._clamp(u?.value)}update(m,l){const u=this._key(m);let S=this._cache.get(u);return S||(S=new A.MovingAverage,this._cache.set(u,S)),S.update(l),this.get(m)}}e.LanguageFeatureRequestDelays=P}),define(fe[78],me([0,1,2,40,177,145,91]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExternalUriOpenerPriority=e.TokenizationRegistry=e.DocumentRangeSemanticTokensProviderRegistry=e.DocumentSemanticTokensProviderRegistry=e.FoldingRangeProviderRegistry=e.SelectionRangeRegistry=e.ColorProviderRegistry=e.LinkProviderRegistry=e.OnTypeFormattingEditProviderRegistry=e.DocumentRangeFormattingEditProviderRegistry=e.DocumentFormattingEditProviderRegistry=e.CodeActionProviderRegistry=e.InlayHintsProviderRegistry=e.CodeLensProviderRegistry=e.TypeDefinitionProviderRegistry=e.ImplementationProviderRegistry=e.DeclarationProviderRegistry=e.DefinitionProviderRegistry=e.LinkedEditingRangeProviderRegistry=e.DocumentHighlightProviderRegistry=e.DocumentSymbolProviderRegistry=e.InlineValuesProviderRegistry=e.EvaluatableExpressionProviderRegistry=e.HoverProviderRegistry=e.SignatureHelpProviderRegistry=e.InlineCompletionsProviderRegistry=e.CompletionProviderRegistry=e.RenameProviderRegistry=e.ReferenceProviderRegistry=e.InlayHintKind=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.SymbolKinds=e.SymbolTag=e.SymbolKind=e.isLocationLink=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.InlineCompletionTriggerKind=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.completionKindFromString=e.completionKindToCssClass=e.CompletionItemKind=e.TokenMetadata=e.MetadataConsts=e.StandardTokenType=e.ColorId=e.FontStyle=e.LanguageIdentifier=e.LanguageId=void 0;var I;(function(o){o[o.Null=0]="Null",o[o.PlainText=1]="PlainText"})(I=e.LanguageId||(e.LanguageId={}));class E{constructor(T,L){this.language=T,this.id=L}}e.LanguageIdentifier=E;var C;(function(o){o[o.NotSet=-1]="NotSet",o[o.None=0]="None",o[o.Italic=1]="Italic",o[o.Bold=2]="Bold",o[o.Underline=4]="Underline"})(C=e.FontStyle||(e.FontStyle={}));var n;(function(o){o[o.None=0]="None",o[o.DefaultForeground=1]="DefaultForeground",o[o.DefaultBackground=2]="DefaultBackground"})(n=e.ColorId||(e.ColorId={}));var P;(function(o){o[o.Other=0]="Other",o[o.Comment=1]="Comment",o[o.String=2]="String",o[o.RegEx=4]="RegEx"})(P=e.StandardTokenType||(e.StandardTokenType={}));var d;(function(o){o[o.LANGUAGEID_MASK=255]="LANGUAGEID_MASK",o[o.TOKEN_TYPE_MASK=1792]="TOKEN_TYPE_MASK",o[o.FONT_STYLE_MASK=14336]="FONT_STYLE_MASK",o[o.FOREGROUND_MASK=8372224]="FOREGROUND_MASK",o[o.BACKGROUND_MASK=4286578688]="BACKGROUND_MASK",o[o.ITALIC_MASK=2048]="ITALIC_MASK",o[o.BOLD_MASK=4096]="BOLD_MASK",o[o.UNDERLINE_MASK=8192]="UNDERLINE_MASK",o[o.SEMANTIC_USE_ITALIC=1]="SEMANTIC_USE_ITALIC",o[o.SEMANTIC_USE_BOLD=2]="SEMANTIC_USE_BOLD",o[o.SEMANTIC_USE_UNDERLINE=4]="SEMANTIC_USE_UNDERLINE",o[o.SEMANTIC_USE_FOREGROUND=8]="SEMANTIC_USE_FOREGROUND",o[o.SEMANTIC_USE_BACKGROUND=16]="SEMANTIC_USE_BACKGROUND",o[o.LANGUAGEID_OFFSET=0]="LANGUAGEID_OFFSET",o[o.TOKEN_TYPE_OFFSET=8]="TOKEN_TYPE_OFFSET",o[o.FONT_STYLE_OFFSET=11]="FONT_STYLE_OFFSET",o[o.FOREGROUND_OFFSET=14]="FOREGROUND_OFFSET",o[o.BACKGROUND_OFFSET=23]="BACKGROUND_OFFSET"})(d=e.MetadataConsts||(e.MetadataConsts={}));class m{static getLanguageId(T){return(T&255)>>>0}static getTokenType(T){return(T&1792)>>>8}static getFontStyle(T){return(T&14336)>>>11}static getForeground(T){return(T&8372224)>>>14}static getBackground(T){return(T&4286578688)>>>23}static getClassNameFromMetadata(T){let L=this.getForeground(T),H="mtk"+L,B=this.getFontStyle(T);return B&1&&(H+=" mtki"),B&2&&(H+=" mtkb"),B&4&&(H+=" mtku"),H}static getInlineStyleFromMetadata(T,L){const H=this.getForeground(T),B=this.getFontStyle(T);let Q=`color: ${L[H]};`;return B&1&&(Q+="font-style: italic;"),B&2&&(Q+="font-weight: bold;"),B&4&&(Q+="text-decoration: underline;"),Q}}e.TokenMetadata=m;var l;(function(o){o[o.Method=0]="Method",o[o.Function=1]="Function",o[o.Constructor=2]="Constructor",o[o.Field=3]="Field",o[o.Variable=4]="Variable",o[o.Class=5]="Class",o[o.Struct=6]="Struct",o[o.Interface=7]="Interface",o[o.Module=8]="Module",o[o.Property=9]="Property",o[o.Event=10]="Event",o[o.Operator=11]="Operator",o[o.Unit=12]="Unit",o[o.Value=13]="Value",o[o.Constant=14]="Constant",o[o.Enum=15]="Enum",o[o.EnumMember=16]="EnumMember",o[o.Keyword=17]="Keyword",o[o.Text=18]="Text",o[o.Color=19]="Color",o[o.File=20]="File",o[o.Reference=21]="Reference",o[o.Customcolor=22]="Customcolor",o[o.Folder=23]="Folder",o[o.TypeParameter=24]="TypeParameter",o[o.User=25]="User",o[o.Issue=26]="Issue",o[o.Snippet=27]="Snippet"})(l=e.CompletionItemKind||(e.CompletionItemKind={})),e.completionKindToCssClass=function(){let o=Object.create(null);return o[0]="symbol-method",o[1]="symbol-function",o[2]="symbol-constructor",o[3]="symbol-field",o[4]="symbol-variable",o[5]="symbol-class",o[6]="symbol-struct",o[7]="symbol-interface",o[8]="symbol-module",o[9]="symbol-property",o[10]="symbol-event",o[11]="symbol-operator",o[12]="symbol-unit",o[13]="symbol-value",o[14]="symbol-constant",o[15]="symbol-enum",o[16]="symbol-enum-member",o[17]="symbol-keyword",o[27]="symbol-snippet",o[18]="symbol-text",o[19]="symbol-color",o[20]="symbol-file",o[21]="symbol-reference",o[22]="symbol-customcolor",o[23]="symbol-folder",o[24]="symbol-type-parameter",o[25]="account",o[26]="issues",function(T){const L=o[T];let H=L&&A.iconRegistry.get(L);return H||(console.info("No codicon found for CompletionItemKind "+T),H=A.Codicon.symbolProperty),H.classNames}}(),e.completionKindFromString=function(){let o=Object.create(null);return o.method=0,o.function=1,o.constructor=2,o.field=3,o.variable=4,o.class=5,o.struct=6,o.interface=7,o.module=8,o.property=9,o.event=10,o.operator=11,o.unit=12,o.value=13,o.constant=14,o.enum=15,o["enum-member"]=16,o.enumMember=16,o.keyword=17,o.snippet=27,o.text=18,o.color=19,o.file=20,o.reference=21,o.customcolor=22,o.folder=23,o["type-parameter"]=24,o.typeParameter=24,o.account=25,o.issue=26,function(T,L){let H=o[T];return typeof H=="undefined"&&!L&&(H=9),H}}();var u;(function(o){o[o.Deprecated=1]="Deprecated"})(u=e.CompletionItemTag||(e.CompletionItemTag={}));var S;(function(o){o[o.KeepWhitespace=1]="KeepWhitespace",o[o.InsertAsSnippet=4]="InsertAsSnippet"})(S=e.CompletionItemInsertTextRule||(e.CompletionItemInsertTextRule={}));var w;(function(o){o[o.Invoke=0]="Invoke",o[o.TriggerCharacter=1]="TriggerCharacter",o[o.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(w=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var b;(function(o){o[o.Automatic=0]="Automatic",o[o.Explicit=1]="Explicit"})(b=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));var h;(function(o){o[o.Invoke=1]="Invoke",o[o.Auto=2]="Auto"})(h=e.CodeActionTriggerType||(e.CodeActionTriggerType={}));var c;(function(o){o[o.Invoke=1]="Invoke",o[o.TriggerCharacter=2]="TriggerCharacter",o[o.ContentChange=3]="ContentChange"})(c=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var f;(function(o){o[o.Text=0]="Text",o[o.Read=1]="Read",o[o.Write=2]="Write"})(f=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));function t(o){return o&&g.URI.isUri(o.uri)&&R.Range.isIRange(o.range)&&(R.Range.isIRange(o.originSelectionRange)||R.Range.isIRange(o.targetSelectionRange))}e.isLocationLink=t;var r;(function(o){o[o.File=0]="File",o[o.Module=1]="Module",o[o.Namespace=2]="Namespace",o[o.Package=3]="Package",o[o.Class=4]="Class",o[o.Method=5]="Method",o[o.Property=6]="Property",o[o.Field=7]="Field",o[o.Constructor=8]="Constructor",o[o.Enum=9]="Enum",o[o.Interface=10]="Interface",o[o.Function=11]="Function",o[o.Variable=12]="Variable",o[o.Constant=13]="Constant",o[o.String=14]="String",o[o.Number=15]="Number",o[o.Boolean=16]="Boolean",o[o.Array=17]="Array",o[o.Object=18]="Object",o[o.Key=19]="Key",o[o.Null=20]="Null",o[o.EnumMember=21]="EnumMember",o[o.Struct=22]="Struct",o[o.Event=23]="Event",o[o.Operator=24]="Operator",o[o.TypeParameter=25]="TypeParameter"})(r=e.SymbolKind||(e.SymbolKind={}));var s;(function(o){o[o.Deprecated=1]="Deprecated"})(s=e.SymbolTag||(e.SymbolTag={}));var i;(function(o){const T=new Map;T.set("file",0),T.set("module",1),T.set("namespace",2),T.set("package",3),T.set("class",4),T.set("method",5),T.set("property",6),T.set("field",7),T.set("constructor",8),T.set("enum",9),T.set("interface",10),T.set("function",11),T.set("variable",12),T.set("constant",13),T.set("string",14),T.set("number",15),T.set("boolean",16),T.set("array",17),T.set("object",18),T.set("key",19),T.set("null",20),T.set("enum-member",21),T.set("struct",22),T.set("event",23),T.set("operator",24),T.set("type-parameter",25);const L=new Map;L.set(0,"file"),L.set(1,"module"),L.set(2,"namespace"),L.set(3,"package"),L.set(4,"class"),L.set(5,"method"),L.set(6,"property"),L.set(7,"field"),L.set(8,"constructor"),L.set(9,"enum"),L.set(10,"interface"),L.set(11,"function"),L.set(12,"variable"),L.set(13,"constant"),L.set(14,"string"),L.set(15,"number"),L.set(16,"boolean"),L.set(17,"array"),L.set(18,"object"),L.set(19,"key"),L.set(20,"null"),L.set(21,"enum-member"),L.set(22,"struct"),L.set(23,"event"),L.set(24,"operator"),L.set(25,"type-parameter");function H(z){return T.get(z)}o.fromString=H;function B(z){return L.get(z)}o.toString=B;function Q(z,N){const W=L.get(z);let F=W&&A.iconRegistry.get("symbol-"+W);return F||(console.info("No codicon found for SymbolKind "+z),F=A.Codicon.symbolProperty),`${N?"inline":"block"} ${F.classNames}`}o.toCssClassName=Q})(i=e.SymbolKinds||(e.SymbolKinds={}));class a{constructor(T){this.value=T}}e.FoldingRangeKind=a,a.Comment=new a("comment"),a.Imports=new a("imports"),a.Region=new a("region");var v;(function(o){o[o.Collapsed=0]="Collapsed",o[o.Expanded=1]="Expanded"})(v=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var p;(function(o){o[o.Editing=0]="Editing",o[o.Preview=1]="Preview"})(p=e.CommentMode||(e.CommentMode={}));var _;(function(o){o[o.Other=0]="Other",o[o.Type=1]="Type",o[o.Parameter=2]="Parameter"})(_=e.InlayHintKind||(e.InlayHintKind={})),e.ReferenceProviderRegistry=new k.LanguageFeatureRegistry,e.RenameProviderRegistry=new k.LanguageFeatureRegistry,e.CompletionProviderRegistry=new k.LanguageFeatureRegistry,e.InlineCompletionsProviderRegistry=new k.LanguageFeatureRegistry,e.SignatureHelpProviderRegistry=new k.LanguageFeatureRegistry,e.HoverProviderRegistry=new k.LanguageFeatureRegistry,e.EvaluatableExpressionProviderRegistry=new k.LanguageFeatureRegistry,e.InlineValuesProviderRegistry=new k.LanguageFeatureRegistry,e.DocumentSymbolProviderRegistry=new k.LanguageFeatureRegistry,e.DocumentHighlightProviderRegistry=new k.LanguageFeatureRegistry,e.LinkedEditingRangeProviderRegistry=new k.LanguageFeatureRegistry,e.DefinitionProviderRegistry=new k.LanguageFeatureRegistry,e.DeclarationProviderRegistry=new k.LanguageFeatureRegistry,e.ImplementationProviderRegistry=new k.LanguageFeatureRegistry,e.TypeDefinitionProviderRegistry=new k.LanguageFeatureRegistry,e.CodeLensProviderRegistry=new k.LanguageFeatureRegistry,e.InlayHintsProviderRegistry=new k.LanguageFeatureRegistry,e.CodeActionProviderRegistry=new k.LanguageFeatureRegistry,e.DocumentFormattingEditProviderRegistry=new k.LanguageFeatureRegistry,e.DocumentRangeFormattingEditProviderRegistry=new k.LanguageFeatureRegistry,e.OnTypeFormattingEditProviderRegistry=new k.LanguageFeatureRegistry,e.LinkProviderRegistry=new k.LanguageFeatureRegistry,e.ColorProviderRegistry=new k.LanguageFeatureRegistry,e.SelectionRangeRegistry=new k.LanguageFeatureRegistry,e.FoldingRangeProviderRegistry=new k.LanguageFeatureRegistry,e.DocumentSemanticTokensProviderRegistry=new k.LanguageFeatureRegistry,e.DocumentRangeSemanticTokensProviderRegistry=new k.LanguageFeatureRegistry,e.TokenizationRegistry=new y.TokenizationRegistryImpl;var D;(function(o){o[o.None=0]="None",o[o.Option=1]="Option",o[o.Default=2]="Default",o[o.Preferred=3]="Preferred"})(D=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}))}),define(fe[79],me([0,1,8,4,11]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyOrExpr=e.ContextKeyAndExpr=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.ContextKeyExpr=e.ContextKeyExprType=void 0;let y=k.userAgent||"";const A=new Map;A.set("false",!1),A.set("true",!0),A.set("isMac",k.isMacintosh),A.set("isLinux",k.isLinux),A.set("isWindows",k.isWindows),A.set("isWeb",k.isWeb),A.set("isMacNative",k.isMacintosh&&!k.isWeb),A.set("isEdge",y.indexOf("Edg/")>=0),A.set("isFirefox",y.indexOf("Firefox")>=0),A.set("isChrome",y.indexOf("Chrome")>=0),A.set("isSafari",y.indexOf("Safari")>=0);const I=Object.prototype.hasOwnProperty;var E;(function(D){D[D.False=0]="False",D[D.True=1]="True",D[D.Defined=2]="Defined",D[D.Not=3]="Not",D[D.Equals=4]="Equals",D[D.NotEquals=5]="NotEquals",D[D.And=6]="And",D[D.Regex=7]="Regex",D[D.NotRegex=8]="NotRegex",D[D.Or=9]="Or",D[D.In=10]="In",D[D.NotIn=11]="NotIn",D[D.Greater=12]="Greater",D[D.GreaterEquals=13]="GreaterEquals",D[D.Smaller=14]="Smaller",D[D.SmallerEquals=15]="SmallerEquals"})(E=e.ContextKeyExprType||(e.ContextKeyExprType={}));class C{static false(){return P.INSTANCE}static true(){return d.INSTANCE}static has(o){return m.create(o)}static equals(o,T){return l.create(o,T)}static notEquals(o,T){return w.create(o,T)}static regex(o,T){return r.create(o,T)}static in(o,T){return u.create(o,T)}static not(o){return b.create(o)}static and(...o){return i.create(o)}static or(...o){return a.create(o)}static greater(o,T){return h.create(o,T)}static less(o,T){return f.create(o,T)}static deserialize(o,T=!1){if(!!o)return this._deserializeOrExpression(o,T)}static _deserializeOrExpression(o,T){let L=o.split("||");return a.create(L.map(H=>this._deserializeAndExpression(H,T)))}static _deserializeAndExpression(o,T){let L=o.split("&&");return i.create(L.map(H=>this._deserializeOne(H,T)))}static _deserializeOne(o,T){if(o=o.trim(),o.indexOf("!=")>=0){let L=o.split("!=");return w.create(L[0].trim(),this._deserializeValue(L[1],T))}if(o.indexOf("==")>=0){let L=o.split("==");return l.create(L[0].trim(),this._deserializeValue(L[1],T))}if(o.indexOf("=~")>=0){let L=o.split("=~");return r.create(L[0].trim(),this._deserializeRegexValue(L[1],T))}if(o.indexOf(" in ")>=0){let L=o.split(" in ");return u.create(L[0].trim(),L[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(o)){const L=o.split(">=");return c.create(L[0].trim(),L[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(o)){const L=o.split(">");return h.create(L[0].trim(),L[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(o)){const L=o.split("<=");return t.create(L[0].trim(),L[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(o)){const L=o.split("<");return f.create(L[0].trim(),L[1].trim())}return/^\!\s*/.test(o)?b.create(o.substr(1).trim()):m.create(o)}static _deserializeValue(o,T){if(o=o.trim(),o==="true")return!0;if(o==="false")return!1;let L=/^'([^']*)'$/.exec(o);return L?L[1].trim():o}static _deserializeRegexValue(o,T){if(g.isFalsyOrWhitespace(o)){if(T)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let L=o.indexOf("/"),H=o.lastIndexOf("/");if(L===H||L<0){if(T)throw new Error(`bad regexp-value '${o}', missing /-enclosure`);return console.warn(`bad regexp-value '${o}', missing /-enclosure`),null}let B=o.slice(L+1,H),Q=o[H+1]==="i"?"i":"";try{return new RegExp(B,Q)}catch(z){if(T)throw new Error(`bad regexp-value '${o}', parse error: ${z}`);return console.warn(`bad regexp-value '${o}', parse error: ${z}`),null}}}e.ContextKeyExpr=C;function n(D,o){return D.cmp(o)}class P{constructor(){this.type=0}cmp(o){return this.type-o.type}equals(o){return o.type===this.type}evaluate(o){return!1}serialize(){return"false"}keys(){return[]}map(o){return this}negate(){return d.INSTANCE}}e.ContextKeyFalseExpr=P,P.INSTANCE=new P;class d{constructor(){this.type=1}cmp(o){return this.type-o.type}equals(o){return o.type===this.type}evaluate(o){return!0}serialize(){return"true"}keys(){return[]}map(o){return this}negate(){return P.INSTANCE}}e.ContextKeyTrueExpr=d,d.INSTANCE=new d;class m{constructor(o){this.key=o,this.type=2}static create(o){const T=A.get(o);return typeof T=="boolean"?T?d.INSTANCE:P.INSTANCE:new m(o)}cmp(o){return o.type!==this.type?this.type-o.type:p(this.key,o.key)}equals(o){return o.type===this.type?this.key===o.key:!1}evaluate(o){return!!o.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(o){return o.mapDefined(this.key)}negate(){return b.create(this.key)}}e.ContextKeyDefinedExpr=m;class l{constructor(o,T){this.key=o,this.value=T,this.type=4}static create(o,T){if(typeof T=="boolean")return T?m.create(o):b.create(o);const L=A.get(o);return typeof L=="boolean"?T===(L?"true":"false")?d.INSTANCE:P.INSTANCE:new l(o,T)}cmp(o){return o.type!==this.type?this.type-o.type:_(this.key,this.value,o.key,o.value)}equals(o){return o.type===this.type?this.key===o.key&&this.value===o.value:!1}evaluate(o){return o.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(o){return o.mapEquals(this.key,this.value)}negate(){return w.create(this.key,this.value)}}e.ContextKeyEqualsExpr=l;class u{constructor(o,T){this.key=o,this.valueKey=T,this.type=10}static create(o,T){return new u(o,T)}cmp(o){return o.type!==this.type?this.type-o.type:_(this.key,this.valueKey,o.key,o.valueKey)}equals(o){return o.type===this.type?this.key===o.key&&this.valueKey===o.valueKey:!1}evaluate(o){const T=o.getValue(this.valueKey),L=o.getValue(this.key);return Array.isArray(T)?T.indexOf(L)>=0:typeof L=="string"&&typeof T=="object"&&T!==null?I.call(T,L):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(o){return o.mapIn(this.key,this.valueKey)}negate(){return S.create(this)}}e.ContextKeyInExpr=u;class S{constructor(o){this._actual=o,this.type=11}static create(o){return new S(o)}cmp(o){return o.type!==this.type?this.type-o.type:this._actual.cmp(o._actual)}equals(o){return o.type===this.type?this._actual.equals(o._actual):!1}evaluate(o){return!this._actual.evaluate(o)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(o){return new S(this._actual.map(o))}negate(){return this._actual}}e.ContextKeyNotInExpr=S;class w{constructor(o,T){this.key=o,this.value=T,this.type=5}static create(o,T){if(typeof T=="boolean")return T?b.create(o):m.create(o);const L=A.get(o);return typeof L=="boolean"?T===(L?"true":"false")?P.INSTANCE:d.INSTANCE:new w(o,T)}cmp(o){return o.type!==this.type?this.type-o.type:_(this.key,this.value,o.key,o.value)}equals(o){return o.type===this.type?this.key===o.key&&this.value===o.value:!1}evaluate(o){return o.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(o){return o.mapNotEquals(this.key,this.value)}negate(){return l.create(this.key,this.value)}}e.ContextKeyNotEqualsExpr=w;class b{constructor(o){this.key=o,this.type=3}static create(o){const T=A.get(o);return typeof T=="boolean"?T?P.INSTANCE:d.INSTANCE:new b(o)}cmp(o){return o.type!==this.type?this.type-o.type:p(this.key,o.key)}equals(o){return o.type===this.type?this.key===o.key:!1}evaluate(o){return!o.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(o){return o.mapNot(this.key)}negate(){return m.create(this.key)}}e.ContextKeyNotExpr=b;class h{constructor(o,T){this.key=o,this.value=T,this.type=12}static create(o,T){return new h(o,T)}cmp(o){return o.type!==this.type?this.type-o.type:_(this.key,this.value,o.key,o.value)}equals(o){return o.type===this.type?this.key===o.key&&this.value===o.value:!1}evaluate(o){return parseFloat(o.getValue(this.key))>parseFloat(this.value)}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(o){return o.mapGreater(this.key,this.value)}negate(){return t.create(this.key,this.value)}}e.ContextKeyGreaterExpr=h;class c{constructor(o,T){this.key=o,this.value=T,this.type=13}static create(o,T){return new c(o,T)}cmp(o){return o.type!==this.type?this.type-o.type:_(this.key,this.value,o.key,o.value)}equals(o){return o.type===this.type?this.key===o.key&&this.value===o.value:!1}evaluate(o){return parseFloat(o.getValue(this.key))>=parseFloat(this.value)}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(o){return o.mapGreaterEquals(this.key,this.value)}negate(){return f.create(this.key,this.value)}}e.ContextKeyGreaterEqualsExpr=c;class f{constructor(o,T){this.key=o,this.value=T,this.type=14}static create(o,T){return new f(o,T)}cmp(o){return o.type!==this.type?this.type-o.type:_(this.key,this.value,o.key,o.value)}equals(o){return o.type===this.type?this.key===o.key&&this.value===o.value:!1}evaluate(o){return parseFloat(o.getValue(this.key))<parseFloat(this.value)}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(o){return o.mapSmaller(this.key,this.value)}negate(){return c.create(this.key,this.value)}}e.ContextKeySmallerExpr=f;class t{constructor(o,T){this.key=o,this.value=T,this.type=15}static create(o,T){return new t(o,T)}cmp(o){return o.type!==this.type?this.type-o.type:_(this.key,this.value,o.key,o.value)}equals(o){return o.type===this.type?this.key===o.key&&this.value===o.value:!1}evaluate(o){return parseFloat(o.getValue(this.key))<=parseFloat(this.value)}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(o){return o.mapSmallerEquals(this.key,this.value)}negate(){return h.create(this.key,this.value)}}e.ContextKeySmallerEqualsExpr=t;class r{constructor(o,T){this.key=o,this.regexp=T,this.type=7}static create(o,T){return new r(o,T)}cmp(o){if(o.type!==this.type)return this.type-o.type;if(this.key<o.key)return-1;if(this.key>o.key)return 1;const T=this.regexp?this.regexp.source:"",L=o.regexp?o.regexp.source:"";return T<L?-1:T>L?1:0}equals(o){if(o.type===this.type){const T=this.regexp?this.regexp.source:"",L=o.regexp?o.regexp.source:"";return this.key===o.key&&T===L}return!1}evaluate(o){let T=o.getValue(this.key);return this.regexp?this.regexp.test(T):!1}serialize(){const o=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${o}`}keys(){return[this.key]}map(o){return o.mapRegex(this.key,this.regexp)}negate(){return s.create(this)}}e.ContextKeyRegexExpr=r;class s{constructor(o){this._actual=o,this.type=8}static create(o){return new s(o)}cmp(o){return o.type!==this.type?this.type-o.type:this._actual.cmp(o._actual)}equals(o){return o.type===this.type?this._actual.equals(o._actual):!1}evaluate(o){return!this._actual.evaluate(o)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(o){return new s(this._actual.map(o))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=s;class i{constructor(o){this.expr=o,this.type=6}static create(o){return i._normalizeArr(o)}cmp(o){if(o.type!==this.type)return this.type-o.type;if(this.expr.length<o.expr.length)return-1;if(this.expr.length>o.expr.length)return 1;for(let T=0,L=this.expr.length;T<L;T++){const H=n(this.expr[T],o.expr[T]);if(H!==0)return H}return 0}equals(o){if(o.type===this.type){if(this.expr.length!==o.expr.length)return!1;for(let T=0,L=this.expr.length;T<L;T++)if(!this.expr[T].equals(o.expr[T]))return!1;return!0}return!1}evaluate(o){for(let T=0,L=this.expr.length;T<L;T++)if(!this.expr[T].evaluate(o))return!1;return!0}static _normalizeArr(o){const T=[];let L=!1;for(const H of o)if(!!H){if(H.type===1){L=!0;continue}if(H.type===0)return P.INSTANCE;if(H.type===6){T.push(...H.expr);continue}T.push(H)}if(T.length===0&&L)return d.INSTANCE;if(T.length!==0){if(T.length===1)return T[0];for(T.sort(n);T.length>1;){const H=T[T.length-1];if(H.type!==9)break;T.pop();const B=T.pop(),Q=a.create(H.expr.map(z=>i.create([z,B])));Q&&(T.push(Q),T.sort(n))}return T.length===1?T[0]:new i(T)}}serialize(){return this.expr.map(o=>o.serialize()).join(" && ")}keys(){const o=[];for(let T of this.expr)o.push(...T.keys());return o}map(o){return new i(this.expr.map(T=>T.map(o)))}negate(){let o=[];for(let T of this.expr)o.push(T.negate());return a.create(o)}}e.ContextKeyAndExpr=i;class a{constructor(o){this.expr=o,this.type=9}static create(o){const T=a._normalizeArr(o);if(T.length!==0)return T.length===1?T[0]:new a(T)}cmp(o){if(o.type!==this.type)return this.type-o.type;if(this.expr.length<o.expr.length)return-1;if(this.expr.length>o.expr.length)return 1;for(let T=0,L=this.expr.length;T<L;T++){const H=n(this.expr[T],o.expr[T]);if(H!==0)return H}return 0}equals(o){if(o.type===this.type){if(this.expr.length!==o.expr.length)return!1;for(let T=0,L=this.expr.length;T<L;T++)if(!this.expr[T].equals(o.expr[T]))return!1;return!0}return!1}evaluate(o){for(let T=0,L=this.expr.length;T<L;T++)if(this.expr[T].evaluate(o))return!0;return!1}static _normalizeArr(o){let T=[],L=!1;if(o){for(let H=0,B=o.length;H<B;H++){const Q=o[H];if(!!Q){if(Q.type===0){L=!0;continue}if(Q.type===1)return[d.INSTANCE];if(Q.type===9){T=T.concat(Q.expr);continue}T.push(Q)}}if(T.length===0&&L)return[P.INSTANCE];T.sort(n)}return T}serialize(){return this.expr.map(o=>o.serialize()).join(" || ")}keys(){const o=[];for(let T of this.expr)o.push(...T.keys());return o}map(o){return new a(this.expr.map(T=>T.map(o)))}negate(){let o=[];for(let L of this.expr)o.push(L.negate());const T=L=>L.type===9?L.expr:[L];for(;o.length>1;){const L=o.shift(),H=o.shift(),B=[];for(const Q of T(L))for(const z of T(H))B.push(C.and(Q,z));o.unshift(C.or(...B))}return o[0]}}e.ContextKeyOrExpr=a;class v extends m{constructor(o,T,L){super(o);this._defaultValue=T,typeof L=="object"?v._info.push({...L,key:o}):L!==!0&&v._info.push({key:o,description:L,type:T!=null?typeof T:void 0})}static all(){return v._info.values()}bindTo(o){return o.createKey(this.key,this._defaultValue)}getValue(o){return o.getContextKeyValue(this.key)}toNegated(){return C.not(this.key)}isEqualTo(o){return C.equals(this.key,o)}notEqualsTo(o){return C.notEquals(this.key,o)}}e.RawContextKey=v,v._info=[],e.IContextKeyService=R.createDecorator("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function p(D,o){return D<o?-1:D>o?1:0}function _(D,o,T,L){return D<T?-1:D>T?1:o<L?-1:o>L?1:0}}),define(fe[178],me([0,1,4]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=g.createDecorator("environmentService"),e.INativeEnvironmentService=g.refineServiceDecorator(e.IEnvironmentService)}),define(fe[179],me([0,1,153,4,10]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.DefaultIconPath=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IExtensionManagementService=e.ExtensionManagementError=e.INSTALL_ERROR_INCOMPATIBLE=e.INSTALL_ERROR_MALICIOUS=e.INSTALL_ERROR_NOT_SUPPORTED=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.WEB_EXTENSION_TAG=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN),e.WEB_EXTENSION_TAG="__web_extension";function y(P){return P&&typeof P=="object"&&typeof P.id=="string"&&(!P.uuid||typeof P.uuid=="string")}e.isIExtensionIdentifier=y;var A;(function(P){P[P.NoneOrRelevance=0]="NoneOrRelevance",P[P.LastUpdatedDate=1]="LastUpdatedDate",P[P.Title=2]="Title",P[P.PublisherName=3]="PublisherName",P[P.InstallCount=4]="InstallCount",P[P.PublishedDate=5]="PublishedDate",P[P.AverageRating=6]="AverageRating",P[P.WeightedRating=12]="WeightedRating"})(A=e.SortBy||(e.SortBy={}));var I;(function(P){P[P.Default=0]="Default",P[P.Ascending=1]="Ascending",P[P.Descending=2]="Descending"})(I=e.SortOrder||(e.SortOrder={}));var E;(function(P){P.Uninstall="uninstall"})(E=e.StatisticType||(e.StatisticType={}));var C;(function(P){P[P.None=0]="None",P[P.Install=1]="Install",P[P.Update=2]="Update"})(C=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=R.createDecorator("extensionGalleryService"),e.INSTALL_ERROR_NOT_SUPPORTED="notsupported",e.INSTALL_ERROR_MALICIOUS="malicious",e.INSTALL_ERROR_INCOMPATIBLE="incompatible";class n extends Error{constructor(d,m){super(d);this.code=m,this.name=m}}e.ExtensionManagementError=n,e.IExtensionManagementService=R.createDecorator("extensionManagementService"),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=R.createDecorator("IGlobalExtensionEnablementService"),e.IExtensionTipsService=R.createDecorator("IExtensionTipsService"),e.DefaultIconPath=k.FileAccess.asBrowserUri("./media/defaultIcon.png",X).toString(!0),e.ExtensionsLabel=g.localize(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=g.localize(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=R.createDecorator("IExtensionManagementCLIService")}),define(fe[26],me([0,1,8,4]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isAuthenticaionProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin";function k(n){if(typeof n=="object"&&n!==null&&n.supported!==!0)return n.description}e.getWorkspaceSupportTypeMessage=k;function y(n){return n&&typeof n=="object"&&typeof n.id=="string"&&(!n.uuid||typeof n.uuid=="string")}e.isIExtensionIdentifier=y,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var A;(function(n){n[n.System=0]="System",n[n.User=1]="User"})(A=e.ExtensionType||(e.ExtensionType={}));class I{constructor(P){this.value=P,this._lower=P.toLowerCase()}static equals(P,d){if(typeof P=="undefined"||P===null)return typeof d=="undefined"||d===null;if(typeof d=="undefined"||d===null)return!1;if(typeof P=="string"||typeof d=="string"){let m=typeof P=="string"?P:P.value,l=typeof d=="string"?d:d.value;return g.equalsIgnoreCase(m,l)}return P._lower===d._lower}static toKey(P){return typeof P=="string"?P.toLowerCase():P._lower}}e.ExtensionIdentifier=I;function E(n){return n.contributes&&n.contributes.localizations?n.contributes.localizations.length>0:!1}e.isLanguagePackExtension=E;function C(n){return n.contributes&&n.contributes.authentication?n.contributes.authentication.length>0:!1}e.isAuthenticaionProviderExtension=C,e.IBuiltinExtensionsScannerService=R.createDecorator("IBuiltinExtensionsScannerService")}),define(fe[180],me([0,1,8,26]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getExtensionDependencies=e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function k(l,u){return l.uuid&&u.uuid?l.uuid===u.uuid:l.id===u.id?!0:g.compareIgnoreCase(l.id,u.id)===0}e.areSameExtensions=k;class y{constructor(u,S){this.version=S,this.id=u.id,this.uuid=u.uuid}key(){return`${this.id}-${this.version}`}equals(u){return u instanceof y?k(this,u)&&this.version===u.version:!1}}e.ExtensionIdentifierWithVersion=y;function A(l,u){return`${l}.${u}`}e.getExtensionId=A;function I(l){return l.toLocaleLowerCase()}e.adoptToGalleryExtensionId=I;function E(l,u){return I(A(l,u))}e.getGalleryExtensionId=E;function C(l,u){const S=[],w=b=>{for(const h of S)if(h.some(c=>k(u(c),u(b))))return h;return null};for(const b of l){const h=w(b);h?h.push(b):S.push([b])}return S}e.groupByExtension=C;function n(l){return{id:l.identifier.id,name:l.manifest.name,galleryId:null,publisherId:l.publisherId,publisherName:l.manifest.publisher,publisherDisplayName:l.publisherDisplayName,dependencies:l.manifest.extensionDependencies&&l.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=n;function P(l){return{id:l.identifier.id,name:l.name,galleryId:l.identifier.uuid,publisherId:l.publisherId,publisherName:l.publisher,publisherDisplayName:l.publisherDisplayName,dependencies:!!(l.properties.dependencies&&l.properties.dependencies.length>0),...l.telemetryData}}e.getGalleryExtensionTelemetryData=P,e.BetterMergeId=new R.ExtensionIdentifier("pprice.better-merge");function d(l){const u=new Set;for(const S of l)S.malicious&&u.add(S.id.id);return u}e.getMaliciousExtensionsSet=d;function m(l,u){const S=[],w=u.manifest.extensionDependencies?.slice(0)??[];for(;w.length;){const b=w.shift();if(b&&S.every(h=>!k(h.identifier,{id:b}))){const h=l.filter(c=>k(c.identifier,{id:b}));h.length===1&&(S.push(h[0]),w.push(...h[0].manifest.extensionDependencies?.slice(0)??[]))}}return S}e.getExtensionDependencies=m}),define(fe[181],me([0,1,4]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExternalTerminalMainService=e.DEFAULT_TERMINAL_OSX=e.IExternalTerminalService=void 0,e.IExternalTerminalService=g.createDecorator("externalTerminal"),e.DEFAULT_TERMINAL_OSX="Terminal.app",e.IExternalTerminalMainService=g.createDecorator("externalTerminal")}),define(fe[182],me([0,1,38,9,110,155,28,11,181,10,137]),function(X,e,g,R,k,y,A,I,E,C,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxExternalTerminalService=e.MacExternalTerminalService=e.WindowsExternalTerminalService=void 0;const P=y.localize(0,null);class d{async getDefaultTerminalForPlatforms(){const c=await u.getDefaultTerminalLinuxReady();return{windows:m.getDefaultTerminalWindows(),linux:c,osx:"xterm"}}}class m extends d{openTerminal(c,f){return this.spawnTerminal(g,c,k.getWindowsShell(),f)}spawnTerminal(c,f,t,r){const s=f.windowsExec||m.getDefaultTerminalWindows();r&&r[1]===":"&&(r=r[0].toUpperCase()+r.substr(1));const i=R.basename(s).toLowerCase();if(i==="cmder"||i==="cmder.exe")return c.spawn(s,r?[r]:void 0),Promise.resolve(void 0);const a=["/c","start","/wait"];return s.indexOf(" ")>=0&&a.push('""'),a.push(s),(i==="wt"||i==="wt.exe")&&a.push("-d ."),new Promise((v,p)=>{const _=S(process),D=c.spawn(t,a,{cwd:r,env:_});D.on("error",p),D.on("exit",()=>v())})}runInTerminal(c,f,t,r,s){const i="windowsExec"in s&&s.windowsExec?s.windowsExec:m.getDefaultTerminalWindows();return new Promise((a,v)=>{const p=`"${f} - ${P}"`,_=`""${t.join('" "')}" & pause"`,D=["/c","start",p,"/wait",i,"/c",_],o=Object.assign({},S(process),r);Object.keys(o).filter(H=>o[H]===null).forEach(H=>delete o[H]);const T={cwd:f,env:o,windowsVerbatimArguments:!0};g.spawn(m.CMD,D,T).on("error",H=>{v(w(H))}),a(void 0)})}static getDefaultTerminalWindows(){if(!m._DEFAULT_TERMINAL_WINDOWS){const c=!!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");m._DEFAULT_TERMINAL_WINDOWS=`${process.env.windir?process.env.windir:"C:\\Windows"}\\${c?"Sysnative":"System32"}\\cmd.exe`}return m._DEFAULT_TERMINAL_WINDOWS}}e.WindowsExternalTerminalService=m,m.CMD="cmd.exe";class l extends d{openTerminal(c,f){return this.spawnTerminal(g,c,f)}runInTerminal(c,f,t,r,s){const i=s.osxExec||E.DEFAULT_TERMINAL_OSX;return new Promise((a,v)=>{if(i===E.DEFAULT_TERMINAL_OSX||i==="iTerm.app"){const p=i===E.DEFAULT_TERMINAL_OSX?"TerminalHelper":"iTermHelper",D=[C.FileAccess.asFileUri(`vs/workbench/contrib/externalTerminal/node/${p}.scpt`,X).fsPath,"-t",c||P,"-w",f];for(let L of t)D.push("-a"),D.push(L);if(r)for(let L in r){const H=r[L];H===null?(D.push("-u"),D.push(L)):(D.push("-e"),D.push(`${L}=${H}`))}let o="";const T=g.spawn(l.OSASCRIPT,D);T.on("error",L=>{v(w(L))}),T.stderr.on("data",L=>{o+=L.toString()}),T.on("exit",L=>{if(L===0)a(void 0);else if(o){const H=o.split(`
`,1);v(new Error(H[0]))}else v(new Error(y.localize(1,null,p,L)))})}else v(new Error(y.localize(2,null,i)))})}spawnTerminal(c,f,t){const r=f.osxExec||E.DEFAULT_TERMINAL_OSX;return new Promise((s,i)=>{const a=["-a",r];t&&a.push(t);const v=c.spawn("/usr/bin/open",a);v.on("error",i),v.on("exit",()=>s())})}}e.MacExternalTerminalService=l,l.OSASCRIPT="/usr/bin/osascript";class u extends d{openTerminal(c,f){return this.spawnTerminal(g,c,f)}runInTerminal(c,f,t,r,s){const i=s.linuxExec?Promise.resolve(s.linuxExec):u.getDefaultTerminalLinuxReady();return new Promise((a,v)=>{let p=[];i.then(_=>{_.indexOf("gnome-terminal")>=0?p.push("-x"):p.push("-e"),p.push("bash"),p.push("-c");const D=`${b(t)}; echo; read -p "${u.WAIT_MESSAGE}" -n1;`;p.push(`''${D}''`);const o=Object.assign({},process.env,r);Object.keys(o).filter(B=>o[B]===null).forEach(B=>delete o[B]);const T={cwd:f,env:o};let L="";const H=g.spawn(_,p,T);H.on("error",B=>{v(w(B))}),H.stderr.on("data",B=>{L+=B.toString()}),H.on("exit",B=>{if(B===0)a(void 0);else if(L){const Q=L.split(`
`,1);v(new Error(Q[0]))}else v(new Error(y.localize(4,null,_,B)))})})})}static async getDefaultTerminalLinuxReady(){return u._DEFAULT_TERMINAL_LINUX_READY||(u._DEFAULT_TERMINAL_LINUX_READY=new Promise(async c=>{I.isLinux?await A.Promises.exists("/etc/debian_version")?c("x-terminal-emulator"):process.env.DESKTOP_SESSION==="gnome"||process.env.DESKTOP_SESSION==="gnome-classic"?c("gnome-terminal"):process.env.DESKTOP_SESSION==="kde-plasma"?c("konsole"):process.env.COLORTERM?c(process.env.COLORTERM):process.env.TERM?c(process.env.TERM):c("xterm"):c("xterm")})),u._DEFAULT_TERMINAL_LINUX_READY}spawnTerminal(c,f,t){const r=f.linuxExec?Promise.resolve(f.linuxExec):u.getDefaultTerminalLinuxReady();return new Promise((s,i)=>{r.then(a=>{const v=S(process),p=c.spawn(a,[],{cwd:t,env:v});p.on("error",i),p.on("exit",()=>s())})})}}e.LinuxExternalTerminalService=u,u.WAIT_MESSAGE=y.localize(3,null);function S(h){const c=h.env;return n.sanitizeProcessEnvironment(c),c}function w(h){return"errno"in h&&h.errno==="ENOENT"&&"path"in h&&typeof h.path=="string"?new Error(y.localize(5,null,h.path)):h}function b(h){let c="";for(let f of h)f.indexOf(" ")>=0?c+='"'+f+'"':c+=f,c+=" ";return c}}),define(fe[41],me([0,1,156,9,2,4,8,14,24]),function(X,e,g,R,k,y,A,I,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=y.createDecorator("fileService");function C(N){return N.create===!0}e.isFileOpenForWriteOptions=C;var n;(function(N){N[N.Unknown=0]="Unknown",N[N.File=1]="File",N[N.Directory=2]="Directory",N[N.SymbolicLink=64]="SymbolicLink"})(n=e.FileType||(e.FileType={}));var P;(function(N){N[N.Readonly=1]="Readonly"})(P=e.FilePermission||(e.FilePermission={}));var d;(function(N){N[N.FileReadWrite=2]="FileReadWrite",N[N.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",N[N.FileReadStream=16]="FileReadStream",N[N.FileFolderCopy=8]="FileFolderCopy",N[N.PathCaseSensitive=1024]="PathCaseSensitive",N[N.Readonly=2048]="Readonly",N[N.Trash=4096]="Trash",N[N.FileWriteUnlock=8192]="FileWriteUnlock"})(d=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function m(N){return!!(N.capabilities&2)}e.hasReadWriteCapability=m;function l(N){return!!(N.capabilities&8)}e.hasFileFolderCopyCapability=l;function u(N){return!!(N.capabilities&4)}e.hasOpenReadWriteCloseCapability=u;function S(N){return!!(N.capabilities&16)}e.hasFileReadStreamCapability=S;var w;(function(N){N.FileExists="EntryExists",N.FileNotFound="EntryNotFound",N.FileNotADirectory="EntryNotADirectory",N.FileIsADirectory="EntryIsADirectory",N.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",N.FileTooLarge="EntryTooLarge",N.FileWriteLocked="EntryWriteLocked",N.NoPermissions="NoPermissions",N.Unavailable="Unavailable",N.Unknown="Unknown"})(w=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class b extends Error{constructor(W,F){super(W);this.code=F}}e.FileSystemProviderError=b;function h(N,W){const F=new b(N.toString(),W);return f(F,W),F}e.createFileSystemProviderError=h;function c(N){return N||h(g.localize(0,null),w.Unknown)}e.ensureFileSystemProviderError=c;function f(N,W){return N.name=W?`${W} (FileSystemError)`:"FileSystemError",N}e.markAsFileSystemProviderError=f;function t(N){if(!N)return w.Unknown;if(N instanceof b)return N.code;const W=/^(.+) \(FileSystemError\)$/.exec(N.name);if(!W)return w.Unknown;switch(W[1]){case w.FileExists:return w.FileExists;case w.FileIsADirectory:return w.FileIsADirectory;case w.FileNotADirectory:return w.FileNotADirectory;case w.FileNotFound:return w.FileNotFound;case w.FileExceedsMemoryLimit:return w.FileExceedsMemoryLimit;case w.FileTooLarge:return w.FileTooLarge;case w.FileWriteLocked:return w.FileWriteLocked;case w.NoPermissions:return w.NoPermissions;case w.Unavailable:return w.Unavailable}return w.Unknown}e.toFileSystemProviderErrorCode=t;function r(N){if(N instanceof _)return N.fileOperationResult;switch(t(N)){case w.FileNotFound:return 1;case w.FileIsADirectory:return 0;case w.FileNotADirectory:return 10;case w.FileWriteLocked:return 5;case w.NoPermissions:return 6;case w.FileExists:return 4;case w.FileExceedsMemoryLimit:return 9;case w.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=r;var s;(function(N){N[N.CREATE=0]="CREATE",N[N.DELETE=1]="DELETE",N[N.MOVE=2]="MOVE",N[N.COPY=3]="COPY"})(s=e.FileOperation||(e.FileOperation={}));class i{constructor(W,F,q){this.resource=W,this.operation=F,this.target=q}isOperation(W){return this.operation===W}}e.FileOperationEvent=i;var a;(function(N){N[N.UPDATED=0]="UPDATED",N[N.ADDED=1]="ADDED",N[N.DELETED=2]="DELETED"})(a=e.FileChangeType||(e.FileChangeType={}));class v{constructor(W,F){this.added=void 0,this.updated=void 0,this.deleted=void 0;for(const q of W)switch(q.type){case 1:this.added||(this.added=E.TernarySearchTree.forUris(()=>F)),this.added.set(q.resource,q);break;case 0:this.updated||(this.updated=E.TernarySearchTree.forUris(()=>F)),this.updated.set(q.resource,q);break;case 2:this.deleted||(this.deleted=E.TernarySearchTree.forUris(()=>F)),this.deleted.set(q.resource,q);break}}contains(W,...F){return this.doContains(W,{includeChildren:!1},...F)}affects(W,...F){return this.doContains(W,{includeChildren:!0},...F)}doContains(W,F,...q){if(!W)return!1;const M=q.length>0;return!!((!M||q.includes(1))&&(this.added?.get(W)||F.includeChildren&&this.added?.findSuperstr(W))||(!M||q.includes(0))&&(this.updated?.get(W)||F.includeChildren&&this.updated?.findSuperstr(W))||(!M||q.includes(2))&&(this.deleted?.findSubstr(W)||F.includeChildren&&this.deleted?.findSuperstr(W)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}get rawAdded(){return this.added}get rawDeleted(){return this.deleted}}e.FileChangesEvent=v;function p(N,W,F){return!N||!W||N===W||W.length>N.length?!1:(W.charAt(W.length-1)!==R.sep&&(W+=R.sep),F?A.startsWithIgnoreCase(N,W):N.indexOf(W)===0)}e.isParent=p;class _ extends Error{constructor(W,F,q){super(W);this.fileOperationResult=F,this.options=q}}e.FileOperationError=_;class D extends _{constructor(W,F,q){super(W,2,q);this.stat=F}}e.NotModifiedSinceFileOperationError=D;var o;(function(N){N[N.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",N[N.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",N[N.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",N[N.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",N[N.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",N[N.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",N[N.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",N[N.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",N[N.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",N[N.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",N[N.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",N[N.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(o=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var T;(function(N){N[N.FILE=0]="FILE",N[N.FOLDER=1]="FOLDER",N[N.ROOT_FOLDER=2]="ROOT_FOLDER"})(T=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function L(N){if(!(typeof N.size!="number"||typeof N.mtime!="number"))return N.mtime.toString(29)+N.size.toString(31)}e.etag=L;async function H(N,W){if(!W.canHandleResource(k.URI.from({scheme:N.scheme})))return new Promise(F=>{const q=W.onDidChangeFileSystemProviderRegistrations(M=>{M.scheme===N.scheme&&M.added&&(q.dispose(),F())})})}e.whenProviderRegistered=H,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class B{static formatSize(W){return I.isNumber(W)||(W=0),W<B.KB?g.localize(1,null,W.toFixed(0)):W<B.MB?g.localize(2,null,(W/B.KB).toFixed(2)):W<B.GB?g.localize(3,null,(W/B.MB).toFixed(2)):W<B.TB?g.localize(4,null,(W/B.GB).toFixed(2)):g.localize(5,null,(W/B.TB).toFixed(2))}}e.ByteSize=B,B.KB=1024,B.MB=B.KB*B.KB,B.GB=B.MB*B.KB,B.TB=B.GB*B.KB;var Q;(function(N){N[N.IA32=0]="IA32",N[N.OTHER=1]="OTHER"})(Q=e.Arch||(e.Arch={}));function z(N){return{maxFileSize:N===0?300*B.MB:16*B.GB,maxHeapSize:N===0?700*B.MB:2*700*B.MB}}e.getPlatformLimits=z}),define(fe[80],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class g{constructor(...k){this._entries=new Map;for(let[y,A]of k)this.set(y,A)}set(k,y){const A=this._entries.get(k);return this._entries.set(k,y),A}has(k){return this._entries.has(k)}get(k){return this._entries.get(k)}}e.ServiceCollection=g}),define(fe[183],me([0,1,15,175,112,4,80,16]),function(X,e,g,R,k,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const E=!1;class C extends Error{constructor(l){super("cyclic dependency between services");this.message=l.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${l.toString()}`}}class n{constructor(l=new A.ServiceCollection,u=!1,S){this._activeInstantiations=new Set,this._services=l,this._strict=u,this._parent=S,this._services.set(y.IInstantiationService,this)}createChild(l){return new n(l,this._strict,this)}invokeFunction(l,...u){let S=d.traceInvocation(l),w=!1;try{return l({get:(h,c)=>{if(w)throw g.illegalState("service accessor is only valid during the invocation of its target method");const f=this._getOrCreateServiceInstance(h,S);if(!f&&c!==y.optional)throw new Error(`[invokeFunction] unknown service '${h}'`);return f}},...u)}finally{w=!0,S.stop()}}createInstance(l,...u){let S,w;return l instanceof k.SyncDescriptor?(S=d.traceCreation(l.ctor),w=this._createInstance(l.ctor,l.staticArguments.concat(u),S)):(S=d.traceCreation(l),w=this._createInstance(l,u,S)),S.stop(),w}_createInstance(l,u=[],S){let w=y._util.getServiceDependencies(l).sort((c,f)=>c.index-f.index),b=[];for(const c of w){let f=this._getOrCreateServiceInstance(c.id,S);if(!f&&this._strict&&!c.optional)throw new Error(`[createInstance] ${l.name} depends on UNKNOWN service ${c.id}.`);b.push(f)}let h=w.length>0?w[0].index:u.length;if(u.length!==h){console.warn(`[createInstance] First service dependency of ${l.name} at position ${h+1} conflicts with ${u.length} static arguments`);let c=h-u.length;c>0?u=u.concat(new Array(c)):u=u.slice(0,h)}return new l(...[...u,...b])}_setServiceInstance(l,u){if(this._services.get(l)instanceof k.SyncDescriptor)this._services.set(l,u);else if(this._parent)this._parent._setServiceInstance(l,u);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(l){let u=this._services.get(l);return!u&&this._parent?this._parent._getServiceInstanceOrDescriptor(l):u}_getOrCreateServiceInstance(l,u){let S=this._getServiceInstanceOrDescriptor(l);return S instanceof k.SyncDescriptor?this._safeCreateAndCacheServiceInstance(l,S,u.branch(l,!0)):(u.branch(l,!1),S)}_safeCreateAndCacheServiceInstance(l,u,S){if(this._activeInstantiations.has(l))throw new Error(`illegal state - RECURSIVELY instantiating service '${l}'`);this._activeInstantiations.add(l);try{return this._createAndCacheServiceInstance(l,u,S)}finally{this._activeInstantiations.delete(l)}}_createAndCacheServiceInstance(l,u,S){const w=new R.Graph(c=>c.id.toString());let b=0;const h=[{id:l,desc:u,_trace:S}];for(;h.length;){const c=h.pop();if(w.lookupOrInsertNode(c),b++>1e3)throw new C(w);for(let f of y._util.getServiceDependencies(c.desc.ctor)){let t=this._getServiceInstanceOrDescriptor(f.id);if(!t&&!f.optional&&console.warn(`[createInstance] ${l} depends on ${f.id} which is NOT registered.`),t instanceof k.SyncDescriptor){const r={id:f.id,desc:t,_trace:c._trace.branch(f.id,!0)};w.insertEdge(c,r),h.push(r)}}}for(;;){const c=w.roots();if(c.length===0){if(!w.isEmpty())throw new C(w);break}for(const{data:f}of c){if(this._getServiceInstanceOrDescriptor(f.id)instanceof k.SyncDescriptor){const r=this._createServiceInstanceWithOwner(f.id,f.desc.ctor,f.desc.staticArguments,f.desc.supportsDelayedInstantiation,f._trace);this._setServiceInstance(f.id,r)}w.removeNode(f)}}return this._getServiceInstanceOrDescriptor(l)}_createServiceInstanceWithOwner(l,u,S=[],w,b){if(this._services.get(l)instanceof k.SyncDescriptor)return this._createServiceInstance(u,S,w,b);if(this._parent)return this._parent._createServiceInstanceWithOwner(l,u,S,w,b);throw new Error(`illegalState - creating UNKNOWN service instance ${u.name}`)}_createServiceInstance(l,u=[],S,w){if(S){const b=new I.IdleValue(()=>this._createInstance(l,u,w));return new Proxy(Object.create(null),{get(h,c){if(c in h)return h[c];let f=b.value,t=f[c];return typeof t!="function"||(t=t.bind(f),h[c]=t),t},set(h,c,f){return b.value[c]=f,!0}})}else return this._createInstance(l,u,w)}}e.InstantiationService=n;var P;(function(m){m[m.Creation=0]="Creation",m[m.Invocation=1]="Invocation",m[m.Branch=2]="Branch"})(P||(P={}));class d{constructor(l,u){this.type=l,this.name=u,this._start=Date.now(),this._dep=[]}static traceInvocation(l){return E?new d(1,l.name||l.toString().substring(0,42).replace(/\n/g,"")):d._None}static traceCreation(l){return E?new d(0,l.name):d._None}branch(l,u){let S=new d(2,l.toString());return this._dep.push([l,u,S]),S}stop(){let l=Date.now()-this._start;d._totals+=l;let u=!1;function S(b,h){let c=[],f=new Array(b+1).join("	");for(const[t,r,s]of h._dep)if(r&&s){u=!0,c.push(`${f}CREATES -> ${t}`);let i=S(b+1,s);i&&c.push(i)}else c.push(`${f}uses -> ${t}`);return c.join(`
`)}let w=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${S(1,this)}`,`DONE, took ${l.toFixed(2)}ms (grand total ${d._totals.toFixed(2)}ms)`];(l>2||u)&&console.log(w.join(`
`))}}d._None=new class extends d{constructor(){super(-1,null)}stop(){}branch(){return this}},d._totals=0}),define(fe[12],me([0,1,4,6,11,3,58]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=g.createDecorator("logService"),e.ILoggerService=g.createDecorator("loggerService");function I(){return new Date().toISOString()}var E;(function(f){f[f.Trace=0]="Trace",f[f.Debug=1]="Debug",f[f.Info=2]="Info",f[f.Warning=3]="Warning",f[f.Error=4]="Error",f[f.Critical=5]="Critical",f[f.Off=6]="Off"})(E=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=E.Info;class C extends R.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new y.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(t){this.level!==t&&(this.level=t,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=C;class n extends C{constructor(t){super();this.logAlways=t}checkLogLevel(t){return this.logAlways||this.getLevel()<=t}trace(t,...r){this.checkLogLevel(E.Trace)&&this.log(E.Trace,this.format([t,...r]))}debug(t,...r){this.checkLogLevel(E.Debug)&&this.log(E.Debug,this.format([t,...r]))}info(t,...r){this.checkLogLevel(E.Info)&&this.log(E.Info,this.format([t,...r]))}warn(t,...r){this.checkLogLevel(E.Warning)&&this.log(E.Warning,this.format([t,...r]))}error(t,...r){if(this.checkLogLevel(E.Error))if(t instanceof Error){const s=Array.prototype.slice.call(arguments);s[0]=t.stack,this.log(E.Error,this.format(s))}else this.log(E.Error,this.format([t,...r]))}critical(t,...r){this.checkLogLevel(E.Critical)&&this.log(E.Critical,this.format([t,...r]))}flush(){}format(t){let r="";for(let s=0;s<t.length;s++){let i=t[s];if(typeof i=="object")try{i=JSON.stringify(i)}catch(a){}r+=(s>0?" ":"")+i}return r}}e.AbstractMessageLogger=n;class P extends C{constructor(t=e.DEFAULT_LOG_LEVEL){super();this.setLevel(t),this.useColors=!k.isWindows}trace(t,...r){this.getLevel()<=E.Trace&&(this.useColors?console.log(`[90m[main ${I()}][0m`,t,...r):console.log(`[main ${I()}]`,t,...r))}debug(t,...r){this.getLevel()<=E.Debug&&(this.useColors?console.log(`[90m[main ${I()}][0m`,t,...r):console.log(`[main ${I()}]`,t,...r))}info(t,...r){this.getLevel()<=E.Info&&(this.useColors?console.log(`[90m[main ${I()}][0m`,t,...r):console.log(`[main ${I()}]`,t,...r))}warn(t,...r){this.getLevel()<=E.Warning&&(this.useColors?console.warn(`[93m[main ${I()}][0m`,t,...r):console.warn(`[main ${I()}]`,t,...r))}error(t,...r){this.getLevel()<=E.Error&&(this.useColors?console.error(`[91m[main ${I()}][0m`,t,...r):console.error(`[main ${I()}]`,t,...r))}critical(t,...r){this.getLevel()<=E.Critical&&(this.useColors?console.error(`[90m[main ${I()}][0m`,t,...r):console.error(`[main ${I()}]`,t,...r))}dispose(){}flush(){}}e.ConsoleMainLogger=P;class d extends C{constructor(t=e.DEFAULT_LOG_LEVEL){super();this.setLevel(t)}trace(t,...r){this.getLevel()<=E.Trace&&console.log("%cTRACE","color: #888",t,...r)}debug(t,...r){this.getLevel()<=E.Debug&&console.log("%cDEBUG","background: #eee; color: #888",t,...r)}info(t,...r){this.getLevel()<=E.Info&&console.log("%c INFO","color: #33f",t,...r)}warn(t,...r){this.getLevel()<=E.Warning&&console.log("%c WARN","color: #993",t,...r)}error(t,...r){this.getLevel()<=E.Error&&console.log("%c  ERR","color: #f33",t,...r)}critical(t,...r){this.getLevel()<=E.Critical&&console.log("%cCRITI","background: #f33; color: white",t,...r)}dispose(){}flush(){}}e.ConsoleLogger=d;class m extends C{constructor(t,r=e.DEFAULT_LOG_LEVEL){super();this.adapter=t,this.setLevel(r)}trace(t,...r){this.getLevel()<=E.Trace&&this.adapter.log(E.Trace,[this.extractMessage(t),...r])}debug(t,...r){this.getLevel()<=E.Debug&&this.adapter.log(E.Debug,[this.extractMessage(t),...r])}info(t,...r){this.getLevel()<=E.Info&&this.adapter.log(E.Info,[this.extractMessage(t),...r])}warn(t,...r){this.getLevel()<=E.Warning&&this.adapter.log(E.Warning,[this.extractMessage(t),...r])}error(t,...r){this.getLevel()<=E.Error&&this.adapter.log(E.Error,[this.extractMessage(t),...r])}critical(t,...r){this.getLevel()<=E.Critical&&this.adapter.log(E.Critical,[this.extractMessage(t),...r])}extractMessage(t){return typeof t=="string"?t:A.toErrorMessage(t,this.getLevel()<=E.Trace)}dispose(){}flush(){}}e.AdapterLogger=m;class l extends C{constructor(t){super();this.logServices=t,t.length&&this.setLevel(t[0].getLevel())}setLevel(t){for(const r of this.logServices)r.setLevel(t);super.setLevel(t)}trace(t,...r){for(const s of this.logServices)s.trace(t,...r)}debug(t,...r){for(const s of this.logServices)s.debug(t,...r)}info(t,...r){for(const s of this.logServices)s.info(t,...r)}warn(t,...r){for(const s of this.logServices)s.warn(t,...r)}error(t,...r){for(const s of this.logServices)s.error(t,...r)}critical(t,...r){for(const s of this.logServices)s.critical(t,...r)}flush(){for(const t of this.logServices)t.flush()}dispose(){for(const t of this.logServices)t.dispose()}}e.MultiplexLogService=l;class u extends R.Disposable{constructor(t){super();this.logger=t,this._register(t)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(t){this.logger.setLevel(t)}getLevel(){return this.logger.getLevel()}trace(t,...r){this.logger.trace(t,...r)}debug(t,...r){this.logger.debug(t,...r)}info(t,...r){this.logger.info(t,...r)}warn(t,...r){this.logger.warn(t,...r)}error(t,...r){this.logger.error(t,...r)}critical(t,...r){this.logger.critical(t,...r)}flush(){this.logger.flush()}}e.LogService=u;class S extends R.Disposable{constructor(t,r){super();this.logLevel=t,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(r(s=>{this.logLevel=s,this.logLevelChangeableLoggers.forEach(i=>i.setLevel(s))}))}createLogger(t,r){let s=this.loggers.get(t.toString());return s||(s=this.doCreateLogger(t,r?.always?E.Trace:this.logLevel,r),this.loggers.set(t.toString(),s),r?.always||this.logLevelChangeableLoggers.push(s)),s}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(t=>t.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=S;class w{constructor(){this.onDidChangeLogLevel=new y.Emitter().event}setLevel(t){}getLevel(){return E.Info}trace(t,...r){}debug(t,...r){}info(t,...r){}warn(t,...r){}error(t,...r){}critical(t,...r){}dispose(){}flush(){}}e.NullLogService=w;function b(f){if(f.verbose)return E.Trace;if(typeof f.logLevel=="string"){const t=h(f.logLevel.toLowerCase());if(t!==void 0)return t}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=b;function h(f){switch(f){case"trace":return E.Trace;case"debug":return E.Debug;case"info":return E.Info;case"warn":return E.Warning;case"error":return E.Error;case"critical":return E.Critical;case"off":return E.Off}}e.parseLogLevel=h;function c(f){switch(f){case E.Trace:return"trace";case E.Debug:return"debug";case E.Info:return"info";case E.Warning:return"warn";case E.Error:return"error";case E.Critical:return"critical";case E.Off:return"off"}}e.LogLevelToString=c}),define(fe[113],me([0,1,12,41]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=e.createRotatingLogger=void 0;async function k(E,C,n,P){try{const d=await new Promise((m,l)=>{X(["spdlog"],m,l)});return d.setFlushOn(g.LogLevel.Trace),d.createAsyncRotatingLogger(E,C,n,P)}catch(d){console.error(d)}return null}function y(E,C,n,P){const d=X.__$__nodeRequire("spdlog");return d.setFlushOn(g.LogLevel.Trace),d.createRotatingLogger(E,C,n,P)}e.createRotatingLogger=y;function A(E,C,n){switch(C){case g.LogLevel.Trace:E.trace(n);break;case g.LogLevel.Debug:E.debug(n);break;case g.LogLevel.Info:E.info(n);break;case g.LogLevel.Warning:E.warn(n);break;case g.LogLevel.Error:E.error(n);break;case g.LogLevel.Critical:E.critical(n);break;default:throw new Error("Invalid log level")}}class I extends g.AbstractMessageLogger{constructor(C,n,P,d){super();this.name=C,this.filepath=n,this.rotating=P,this.buffer=[],this.setLevel(d),this._loggerCreationPromise=this._createSpdLogLogger(),this._register(this.onDidChangeLogLevel(m=>{this._logger&&this._logger.setLevel(m)}))}_createSpdLogLogger(){const C=this.rotating?6:1,n=30/C*R.ByteSize.MB;return k(this.name,this.filepath,n,C).then(P=>{if(P){this._logger=P,this._logger.setLevel(this.getLevel());for(const{level:d,message:m}of this.buffer)A(this._logger,d,m);this.buffer=[]}})}log(C,n){this._logger?A(this._logger,C,n):this.getLevel()<=C&&this.buffer.push({level:C,message:n})}clearFormatters(){this._logger?this._logger.clearFormatters():this._loggerCreationPromise.then(()=>this.clearFormatters())}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=I}),define(fe[114],me([0,1,4,157,56]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IMarkerService=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var y;(function(E){E[E.Unnecessary=1]="Unnecessary",E[E.Deprecated=2]="Deprecated"})(y=e.MarkerTag||(e.MarkerTag={}));var A;(function(E){E[E.Hint=1]="Hint",E[E.Info=2]="Info",E[E.Warning=4]="Warning",E[E.Error=8]="Error"})(A=e.MarkerSeverity||(e.MarkerSeverity={})),function(E){function C(l,u){return u-l}E.compare=C;const n=Object.create(null);n[E.Error]=R.localize(0,null),n[E.Warning]=R.localize(1,null),n[E.Info]=R.localize(2,null);function P(l){return n[l]||""}E.toString=P;function d(l){switch(l){case k.default.Error:return E.Error;case k.default.Warning:return E.Warning;case k.default.Info:return E.Info;case k.default.Ignore:return E.Hint}}E.fromSeverity=d;function m(l){switch(l){case E.Error:return k.default.Error;case E.Warning:return k.default.Warning;case E.Info:return k.default.Info;case E.Hint:return k.default.Ignore}}E.toSeverity=m}(A=e.MarkerSeverity||(e.MarkerSeverity={}));var I;(function(E){const C="";function n(d){return P(d,!0)}E.makeKey=n;function P(d,m){let l=[C];return d.source?l.push(d.source.replace("\xA6","\\\xA6")):l.push(C),d.code?typeof d.code=="string"?l.push(d.code.replace("\xA6","\\\xA6")):l.push(d.code.value.replace("\xA6","\\\xA6")):l.push(C),d.severity!==void 0&&d.severity!==null?l.push(A.toString(d.severity)):l.push(C),d.message&&m?l.push(d.message.replace("\xA6","\\\xA6")):l.push(C),d.startLineNumber!==void 0&&d.startLineNumber!==null?l.push(d.startLineNumber.toString()):l.push(C),d.startColumn!==void 0&&d.startColumn!==null?l.push(d.startColumn.toString()):l.push(C),d.endLineNumber!==void 0&&d.endLineNumber!==null?l.push(d.endLineNumber.toString()):l.push(C),d.endColumn!==void 0&&d.endColumn!==null?l.push(d.endColumn.toString()):l.push(C),l.push(C),l.join("\xA6")}E.makeKeyOptionalMessage=P})(I=e.IMarkerData||(e.IMarkerData={})),e.IMarkerService=g.createDecorator("markerService")}),define(fe[184],me([0,1,56,4,3]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NoOpProgress=e.NoOpNotification=e.NotificationsFilter=e.NeverShowAgainScope=e.INotificationService=e.Severity=void 0,e.Severity=g.default,e.INotificationService=R.createDecorator("notificationService");var y;(function(C){C[C.WORKSPACE=0]="WORKSPACE",C[C.GLOBAL=1]="GLOBAL"})(y=e.NeverShowAgainScope||(e.NeverShowAgainScope={}));var A;(function(C){C[C.OFF=0]="OFF",C[C.SILENT=1]="SILENT",C[C.ERROR=2]="ERROR"})(A=e.NotificationsFilter||(e.NotificationsFilter={}));class I{constructor(){this.progress=new E,this.onDidClose=k.Event.None,this.onDidChangeVisibility=k.Event.None}updateSeverity(n){}updateMessage(n){}updateActions(n){}close(){}}e.NoOpNotification=I;class E{infinite(){}done(){}total(n){}worked(n){}}e.NoOpProgress=E}),define(fe[185],me([0,1,6,8,2,4]),function(X,e,g,R,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesScheme=e.NullOpenerService=e.IOpenerService=void 0,e.IOpenerService=y.createDecorator("openerService"),e.NullOpenerService=Object.freeze({_serviceBrand:void 0,registerOpener(){return g.Disposable.None},registerValidator(){return g.Disposable.None},registerExternalUriResolver(){return g.Disposable.None},setDefaultExternalOpener(){},registerExternalOpener(){return g.Disposable.None},async open(){return!1},async resolveExternalUri(I){return{resolved:I,dispose(){}}}});function A(I,E){return k.URI.isUri(I)?R.equalsIgnoreCase(I.scheme,E):R.startsWithIgnoreCase(I,E+":")}e.matchesScheme=A}),define(fe[186],me([0,1,10,11,37,22]),function(X,e,g,R,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let A;if(typeof R.globals.vscode!="undefined"&&typeof R.globals.vscode.context!="undefined"){const I=R.globals.vscode.context.configuration();if(I)A=I.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(typeof X?.__$__nodeRequire=="function"){const I=y.dirname(g.FileAccess.asFileUri("",X));A=X.__$__nodeRequire(y.joinPath(I,"product.json").fsPath);const E=X.__$__nodeRequire(y.joinPath(I,"package.json").fsPath);k.env.VSCODE_DEV&&Object.assign(A,{nameShort:`${A.nameShort} Dev`,nameLong:`${A.nameLong} Dev`,dataFolderName:`${A.dataFolderName}-dev`}),Object.assign(A,{version:E.version})}else A={},Object.keys(A).length===0&&Object.assign(A,{version:"1.58.0-dev",nameShort:R.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",nameLong:R.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","ms-vscode.remotehub","ms-vscode.remotehub-insiders","GitHub.remotehub","GitHub.remotehub-insiders"]});e.default=A});var We=this&&this.__param||function(X,e){return function(g,R){e(g,R,X)}};define(fe[115],me([0,1,4,21,6,16]),function(X,e,g,R,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEditorProgressService=e.LongRunningOperation=e.UnmanagedProgress=e.Progress=e.emptyProgressRunner=e.ProgressLocation=e.IProgressService=void 0,e.IProgressService=g.createDecorator("progressService");var A;(function(n){n[n.Explorer=1]="Explorer",n[n.Scm=3]="Scm",n[n.Extensions=5]="Extensions",n[n.Window=10]="Window",n[n.Notification=15]="Notification",n[n.Dialog=20]="Dialog"})(A=e.ProgressLocation||(e.ProgressLocation={})),e.emptyProgressRunner=Object.freeze({total(){},worked(){},done(){}});class I{constructor(P){this.callback=P}get value(){return this._value}report(P){this._value=P,this.callback(this._value)}}e.Progress=I,I.None=Object.freeze({report(){}});let E=class extends k.Disposable{constructor(P,d){super();this.deferred=new y.DeferredPromise,d.withProgress(P,m=>(this.reporter=m,this.lastStep&&m.report(this.lastStep),this.deferred.p)),this._register(k.toDisposable(()=>this.deferred.complete()))}report(P){this.reporter?this.reporter.report(P):this.lastStep=P}};E=ze([We(1,e.IProgressService)],E),e.UnmanagedProgress=E;class C extends k.Disposable{constructor(P){super();this.progressIndicator=P,this.currentOperationId=0,this.currentOperationDisposables=this._register(new k.DisposableStore)}start(P){this.stop();const d=++this.currentOperationId,m=new R.CancellationTokenSource;return this.currentProgressTimeout=setTimeout(()=>{d===this.currentOperationId&&(this.currentProgressRunner=this.progressIndicator.show(!0))},P),this.currentOperationDisposables.add(k.toDisposable(()=>clearTimeout(this.currentProgressTimeout))),this.currentOperationDisposables.add(k.toDisposable(()=>m.cancel())),this.currentOperationDisposables.add(k.toDisposable(()=>this.currentProgressRunner?this.currentProgressRunner.done():void 0)),{id:d,token:m.token,stop:()=>this.doStop(d),isCurrent:()=>this.currentOperationId===d}}stop(){this.doStop(this.currentOperationId)}doStop(P){this.currentOperationId===P&&this.currentOperationDisposables.clear()}}e.LongRunningOperation=C,e.IEditorProgressService=g.createDecorator("editorProgressService")}),define(fe[46],me([0,1,14,52]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class k{constructor(){this.data=new Map}add(A,I){R.ok(g.isString(A)),R.ok(g.isObject(I)),R.ok(!this.data.has(A),"There is already an extension with this id"),this.data.set(A,I)}knows(A){return this.data.has(A)}as(A){return this.data.get(A)||null}}e.Registry=new k}),define(fe[187],me([0,1,46,3]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function k(I){return I.length>0&&I.charAt(I.length-1)==="#"?I.substring(0,I.length-1):I}class y{constructor(){this._onDidChangeSchema=new R.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(E,C){this.schemasById[k(E)]=C,this._onDidChangeSchema.fire(E)}notifySchemaChanged(E){this._onDidChangeSchema.fire(E)}getSchemaContributions(){return{schemas:this.schemasById}}}const A=new y;g.Registry.add(e.Extensions.JSONContribution,A)}),define(fe[81],me([0,1,152,3,46,14,187]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.overrideIdentifierFromKey=e.OVERRIDE_PROPERTY_PATTERN=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=void 0,e.Extensions={Configuration:"base.contributions.configuration"};var I;(function(S){S[S.APPLICATION=1]="APPLICATION",S[S.MACHINE=2]="MACHINE",S[S.WINDOW=3]="WINDOW",S[S.RESOURCE=4]="RESOURCE",S[S.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",S[S.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(I=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const E=k.Registry.as(A.Extensions.JSONContribution);class C{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new R.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new R.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultValues={},this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:g.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},E.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(w,b=!0){this.registerConfigurations([w],b)}registerConfigurations(w,b=!0){const h=[];w.forEach(c=>{h.push(...this.validateAndRegisterProperties(c,b,c.extensionInfo)),this.configurationContributors.push(c),this.registerJSONConfiguration(c)}),E.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(h)}deregisterConfigurations(w){const b=[],h=c=>{if(c.properties)for(const f in c.properties)b.push(f),delete this.configurationProperties[f],this.removeFromSchema(f,c.properties[f]);c.allOf&&c.allOf.forEach(f=>h(f))};for(const c of w){h(c);const f=this.configurationContributors.indexOf(c);f!==-1&&this.configurationContributors.splice(f,1)}E.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(b)}registerDefaultConfigurations(w){const b=[],h=[];for(const c of w)for(const f in c)if(b.push(f),e.OVERRIDE_PROPERTY_PATTERN.test(f)){this.defaultValues[f]={...this.defaultValues[f]||{},...c[f]};const t={type:"object",default:this.defaultValues[f],description:g.localize(1,null,f),$ref:e.resourceLanguageSettingsSchemaId};h.push(P(f)),this.configurationProperties[f]=t,this.defaultLanguageConfigurationOverridesNode.properties[f]=t}else{this.defaultValues[f]=c[f];const t=this.configurationProperties[f];t&&(this.updatePropertyDefaultValue(f,t),this.updateSchema(f,t))}this.registerOverrideIdentifiers(h),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(b)}deregisterDefaultConfigurations(w){const b=[];for(const h of w)for(const c in h)if(b.push(c),delete this.defaultValues[c],e.OVERRIDE_PROPERTY_PATTERN.test(c))delete this.configurationProperties[c],delete this.defaultLanguageConfigurationOverridesNode.properties[c];else{const f=this.configurationProperties[c];f&&(this.updatePropertyDefaultValue(c,f),this.updateSchema(c,f))}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(b)}notifyConfigurationSchemaUpdated(...w){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(w){for(const b of w)this.overrideIdentifiers.add(b);this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(w,b=!0,h,c=3){c=y.isUndefinedOrNull(w.scope)?c:w.scope;let f=[],t=w.properties;if(t)for(let s in t){if(b&&l(s)){delete t[s];continue}const i=t[s];if(this.updatePropertyDefaultValue(s,i),e.OVERRIDE_PROPERTY_PATTERN.test(s)?i.scope=void 0:(i.scope=y.isUndefinedOrNull(i.scope)?c:i.scope,i.restricted=y.isUndefinedOrNull(i.restricted)?!!h?.restrictedConfigurations?.includes(s):i.restricted),t[s].hasOwnProperty("included")&&!t[s].included){this.excludedConfigurationProperties[s]=t[s],delete t[s];continue}else this.configurationProperties[s]=t[s];!t[s].deprecationMessage&&t[s].markdownDeprecationMessage&&(t[s].deprecationMessage=t[s].markdownDeprecationMessage),f.push(s)}let r=w.allOf;if(r)for(let s of r)f.push(...this.validateAndRegisterProperties(s,b,h,c));return f}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(w){const b=h=>{let c=h.properties;if(c)for(const t in c)this.updateSchema(t,c[t]);let f=h.allOf;f&&f.forEach(b)};b(w)}updateSchema(w,b){switch(e.allSettings.properties[w]=b,b.scope){case 1:e.applicationSettings.properties[w]=b;break;case 2:e.machineSettings.properties[w]=b;break;case 6:e.machineOverridableSettings.properties[w]=b;break;case 3:e.windowSettings.properties[w]=b;break;case 4:e.resourceSettings.properties[w]=b;break;case 5:e.resourceSettings.properties[w]=b,this.resourceLanguageSettingsSchema.properties[w]=b;break}}removeFromSchema(w,b){switch(delete e.allSettings.properties[w],b.scope){case 1:delete e.applicationSettings.properties[w];break;case 2:delete e.machineSettings.properties[w];break;case 6:delete e.machineOverridableSettings.properties[w];break;case 3:delete e.windowSettings.properties[w];break;case 4:case 5:delete e.resourceSettings.properties[w];break}}updateOverridePropertyPatternKey(){for(const w of this.overrideIdentifiers.values()){const b=`[${w}]`,h={type:"object",description:g.localize(2,null),errorMessage:g.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(b,h),e.allSettings.properties[b]=h,e.applicationSettings.properties[b]=h,e.machineSettings.properties[b]=h,e.machineOverridableSettings.properties[b]=h,e.windowSettings.properties[b]=h,e.resourceSettings.properties[b]=h}this._onDidSchemaChange.fire()}updatePropertyDefaultValue(w,b){let h=this.defaultValues[w];y.isUndefined(h)&&(h=b.default),y.isUndefined(h)&&(h=d(b.type)),b.default=h}}const n="\\[.*\\]$";e.OVERRIDE_PROPERTY_PATTERN=new RegExp(n);function P(S){return S.substring(1,S.length-1)}e.overrideIdentifierFromKey=P;function d(S){switch(Array.isArray(S)?S[0]:S){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=d;const m=new C;k.Registry.add(e.Extensions.Configuration,m);function l(S){return S.trim()?e.OVERRIDE_PROPERTY_PATTERN.test(S)?g.localize(5,null,S):m.getConfigurationProperties()[S]!==void 0?g.localize(6,null,S):null:g.localize(4,null)}e.validateProperty=l;function u(){const S=[],w=m.getConfigurationProperties();for(const b of Object.keys(w))S.push([b,w[b].scope]);return S.push(["launch",4]),S.push(["task",4]),S}e.getScopes=u}),define(fe[116],me([0,1,25,14,2,46,4,81]),function(X,e,g,R,k,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.keyFromOverrideIdentifier=e.getDefaultValues=e.getConfigurationKeys=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.toOverrides=e.compare=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=A.createDecorator("configurationService");function E(r){return r&&typeof r=="object"&&(!r.overrideIdentifier||typeof r.overrideIdentifier=="string")&&(!r.resource||r.resource instanceof k.URI)}e.isConfigurationOverrides=E;var C;(function(r){r[r.USER=1]="USER",r[r.USER_LOCAL=2]="USER_LOCAL",r[r.USER_REMOTE=3]="USER_REMOTE",r[r.WORKSPACE=4]="WORKSPACE",r[r.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",r[r.DEFAULT=6]="DEFAULT",r[r.MEMORY=7]="MEMORY"})(C=e.ConfigurationTarget||(e.ConfigurationTarget={}));function n(r){switch(r){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=n;function P(r,s){const i=s?r?s.keys.filter(T=>r.keys.indexOf(T)===-1):[...s.keys]:[],a=r?s?r.keys.filter(T=>s.keys.indexOf(T)===-1):[...r.keys]:[],v=[];if(s&&r){for(const T of r.keys)if(s.keys.indexOf(T)!==-1){const L=w(r.contents,T),H=w(s.contents,T);g.equals(L,H)||v.push(T)}}const p=[],_=T=>{const L={};for(const H of T)for(const B of H.identifiers)L[f(B)]=H;return L},D=s?_(s.overrides):{},o=r?_(r.overrides):{};if(Object.keys(D).length)for(const T of i){const L=D[T];L&&p.push([I.overrideIdentifierFromKey(T),L.keys])}if(Object.keys(o).length)for(const T of a){const L=o[T];L&&p.push([I.overrideIdentifierFromKey(T),L.keys])}if(Object.keys(D).length&&Object.keys(o).length)for(const T of v){const L=o[T],H=D[T];if(L&&H){const B=P({contents:L.contents,keys:L.keys,overrides:[]},{contents:H.contents,keys:H.keys,overrides:[]});p.push([I.overrideIdentifierFromKey(T),[...B.added,...B.removed,...B.updated]])}}return{added:i,removed:a,updated:v,overrides:p}}e.compare=P;function d(r,s){const i=[];for(const a of Object.keys(r))if(I.OVERRIDE_PROPERTY_PATTERN.test(a)){const v={};for(const p in r[a])v[p]=r[a][p];i.push({identifiers:[I.overrideIdentifierFromKey(a).trim()],keys:Object.keys(v),contents:m(v,s)})}return i}e.toOverrides=d;function m(r,s){const i=Object.create(null);for(let a in r)l(i,a,r[a],s);return i}e.toValuesTree=m;function l(r,s,i,a){const v=s.split("."),p=v.pop();let _=r;for(let D=0;D<v.length;D++){let o=v[D],T=_[o];switch(typeof T){case"undefined":T=_[o]=Object.create(null);break;case"object":break;default:a(`Ignoring ${s} as ${v.slice(0,D+1).join(".")} is ${JSON.stringify(T)}`);return}_=T}if(typeof _=="object"&&_!==null)try{_[p]=i}catch(D){a(`Ignoring ${s} as ${v.join(".")} is ${JSON.stringify(_)}`)}else a(`Ignoring ${s} as ${v.join(".")} is ${JSON.stringify(_)}`)}e.addToValueTree=l;function u(r,s){const i=s.split(".");S(r,i)}e.removeFromValueTree=u;function S(r,s){const i=s.shift();if(s.length===0){delete r[i];return}if(Object.keys(r).indexOf(i)!==-1){const a=r[i];typeof a=="object"&&!Array.isArray(a)&&(S(a,s),Object.keys(a).length===0&&delete r[i])}}function w(r,s,i){function a(_,D){let o=_;for(const T of D){if(typeof o!="object"||o===null)return;o=o[T]}return o}const v=s.split("."),p=a(r,v);return typeof p=="undefined"?i:p}e.getConfigurationValue=w;function b(r,s,i){Object.keys(s).forEach(a=>{a!=="__proto__"&&(a in r?R.isObject(r[a])&&R.isObject(s[a])?b(r[a],s[a],i):i&&(r[a]=s[a]):r[a]=s[a])})}e.merge=b;function h(){const r=y.Registry.as(I.Extensions.Configuration).getConfigurationProperties();return Object.keys(r)}e.getConfigurationKeys=h;function c(){const r=Object.create(null),s=y.Registry.as(I.Extensions.Configuration).getConfigurationProperties();for(let i in s){let a=s[i].default;l(r,i,a,v=>console.error(`Conflict in default settings: ${v}`))}return r}e.getDefaultValues=c;function f(r){return`[${r}]`}e.keyFromOverrideIdentifier=f;function t(r,s,i){const a=r.inspect(s),v=r.inspect(i);return typeof a.userValue!="undefined"||typeof a.workspaceValue!="undefined"||typeof a.workspaceFolderValue!="undefined"?a.value:typeof v.userValue!="undefined"||typeof v.workspaceValue!="undefined"||typeof v.workspaceFolderValue!="undefined"?v.value:a.defaultValue}e.getMigratedSettingValue=t}),define(fe[188],me([0,1,55,24,18,14,25,2,81,116,46,6,3]),function(X,e,g,R,k,y,A,I,E,C,n,P,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class m{constructor(t={},r=[],s=[]){this._contents=t,this._keys=r,this._overrides=s,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(t){return t?C.getConfigurationValue(this.contents,t):this.contents}getOverrideValue(t,r){const s=this.getContentsForOverrideIdentifer(r);return s?t?C.getConfigurationValue(s,t):s:void 0}getKeysForOverrideIdentifier(t){for(const r of this.overrides)if(r.identifiers.indexOf(t)!==-1)return r.keys;return[]}override(t){const r=this.getContentsForOverrideIdentifer(t);if(!r||typeof r!="object"||!Object.keys(r).length)return this;let s={};for(const i of k.distinct([...Object.keys(this.contents),...Object.keys(r)])){let a=this.contents[i],v=r[i];v&&(typeof a=="object"&&typeof v=="object"?(a=A.deepClone(a),this.mergeContents(a,v)):a=v),s[i]=a}return new m(s,this.keys,this.overrides)}merge(...t){const r=A.deepClone(this.contents),s=A.deepClone(this.overrides),i=[...this.keys];for(const a of t){this.mergeContents(r,a.contents);for(const v of a.overrides){const[p]=s.filter(_=>k.equals(_.identifiers,v.identifiers));p?this.mergeContents(p.contents,v.contents):s.push(A.deepClone(v))}for(const v of a.keys)i.indexOf(v)===-1&&i.push(v)}return new m(r,i,s)}freeze(){return this.isFrozen=!0,this}mergeContents(t,r){for(const s of Object.keys(r)){if(s in t&&y.isObject(t[s])&&y.isObject(r[s])){this.mergeContents(t[s],r[s]);continue}t[s]=A.deepClone(r[s])}}checkAndFreeze(t){return this.isFrozen&&!Object.isFrozen(t)?A.deepFreeze(t):t}getContentsForOverrideIdentifer(t){for(const r of this.overrides)if(r.identifiers.indexOf(t)!==-1)return r.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(t,r){this.addKey(t),C.addToValueTree(this.contents,t,r,s=>{throw new Error(s)})}removeValue(t){this.removeKey(t)&&C.removeFromValueTree(this.contents,t)}addKey(t){let r=this.keys.length;for(let s=0;s<r;s++)t.indexOf(this.keys[s])===0&&(r=s);this.keys.splice(r,1,t)}removeKey(t){let r=this.keys.indexOf(t);return r!==-1?(this.keys.splice(r,1),!0):!1}}e.ConfigurationModel=m;class l extends m{constructor(){const t=C.getDefaultValues(),r=C.getConfigurationKeys(),s=[];for(const i of Object.keys(t))E.OVERRIDE_PROPERTY_PATTERN.test(i)&&s.push({identifiers:[E.overrideIdentifierFromKey(i).trim()],keys:Object.keys(t[i]),contents:C.toValuesTree(t[i],a=>console.error(`Conflict in default settings file: ${a}`))});super(t,r,s)}}e.DefaultConfigurationModel=l;class u{constructor(t){this._name=t,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new m}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(t,r){if(!y.isUndefinedOrNull(t)){const s=this.doParseContent(t);this.parseRaw(s,r)}}reparse(t){this._raw&&this.parseRaw(this._raw,t)}parseRaw(t,r){this._raw=t;const{contents:s,keys:i,overrides:a,restricted:v}=this.doParseRaw(t,r);this._configurationModel=new m(s,i,a),this._restrictedConfigurations=v||[]}doParseContent(t){let r={},s=null,i=[],a=[],v=[];function p(D){Array.isArray(i)?i.push(D):s&&(i[s]=D)}let _={onObjectBegin:()=>{let D={};p(D),a.push(i),i=D,s=null},onObjectProperty:D=>{s=D},onObjectEnd:()=>{i=a.pop()},onArrayBegin:()=>{let D=[];p(D),a.push(i),i=D,s=null},onArrayEnd:()=>{i=a.pop()},onLiteralValue:p,onError:(D,o,T)=>{v.push({error:D,offset:o,length:T})}};if(t)try{g.visit(t,_),r=i[0]||{}}catch(D){console.error(`Error while parsing settings file ${this._name}: ${D}`),this._parseErrors=[D]}return r}doParseRaw(t,r){const s=n.Registry.as(E.Extensions.Configuration).getConfigurationProperties(),i=this.filter(t,s,!0,r);t=i.raw;const a=C.toValuesTree(t,_=>console.error(`Conflict in settings file ${this._name}: ${_}`)),v=Object.keys(t),p=C.toOverrides(t,_=>console.error(`Conflict in settings file ${this._name}: ${_}`));return{contents:a,keys:v,overrides:p,restricted:i.restricted}}filter(t,r,s,i){if(!i?.scopes&&!i?.skipRestricted)return{raw:t,restricted:[]};const a={},v=[];for(let p in t)if(E.OVERRIDE_PROPERTY_PATTERN.test(p)&&s){const _=this.filter(t[p],r,!1,i);a[p]=_.raw,v.push(..._.restricted)}else{const _=r[p],D=_?typeof _.scope!="undefined"?_.scope:3:void 0;_?.restricted&&v.push(p),(D===void 0||i.scopes===void 0||i.scopes.includes(D))&&(i.skipRestricted&&_?.restricted||(a[p]=t[p]))}return{raw:a,restricted:v}}}e.ConfigurationModelParser=u;class S extends P.Disposable{constructor(t,r,s,i){super();this.userSettingsResource=t,this.scopes=r,this.fileService=i,this._onDidChange=this._register(new d.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new u(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(s.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(d.Event.filter(this.fileService.onDidFilesChange,a=>a.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const t=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(t.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch(t){return new m}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=S;class w{constructor(t,r,s=new m,i=new m,a=new R.ResourceMap,v=new m,p=new R.ResourceMap,_=!0){this._defaultConfiguration=t,this._localUserConfiguration=r,this._remoteUserConfiguration=s,this._workspaceConfiguration=i,this._folderConfigurations=a,this._memoryConfiguration=v,this._memoryConfigurationByResource=p,this._freeze=_,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new R.ResourceMap,this._userConfiguration=null}getValue(t,r,s){return this.getConsolidateConfigurationModel(r,s).getValue(t)}updateValue(t,r,s={}){let i;s.resource?(i=this._memoryConfigurationByResource.get(s.resource),i||(i=new m,this._memoryConfigurationByResource.set(s.resource,i))):i=this._memoryConfiguration,r===void 0?i.removeValue(t):i.setValue(t,r),s.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(t,r,s){const i=this.getConsolidateConfigurationModel(r,s),a=this.getFolderConfigurationModelForResource(r.resource,s),v=r.resource?this._memoryConfigurationByResource.get(r.resource)||this._memoryConfiguration:this._memoryConfiguration,p=r.overrideIdentifier?this._defaultConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this._defaultConfiguration.freeze().getValue(t),_=r.overrideIdentifier?this.userConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.userConfiguration.freeze().getValue(t),D=r.overrideIdentifier?this.localUserConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.localUserConfiguration.freeze().getValue(t),o=r.overrideIdentifier?this.remoteUserConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.remoteUserConfiguration.freeze().getValue(t),T=s?r.overrideIdentifier?this._workspaceConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this._workspaceConfiguration.freeze().getValue(t):void 0,L=a?r.overrideIdentifier?a.freeze().override(r.overrideIdentifier).getValue(t):a.freeze().getValue(t):void 0,H=r.overrideIdentifier?v.override(r.overrideIdentifier).getValue(t):v.getValue(t),B=i.getValue(t),Q=k.distinct(k.flatten(i.overrides.map(z=>z.identifiers))).filter(z=>i.getOverrideValue(t,z)!==void 0);return{defaultValue:p,userValue:_,userLocalValue:D,userRemoteValue:o,workspaceValue:T,workspaceFolderValue:L,memoryValue:H,value:B,default:p!==void 0?{value:this._defaultConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,user:_!==void 0?{value:this.userConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,userLocal:D!==void 0?{value:this.localUserConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,userRemote:o!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,workspace:T!==void 0?{value:this._workspaceConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,workspaceFolder:L!==void 0?{value:a?.freeze().getValue(t),override:r.overrideIdentifier?a?.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,memory:H!==void 0?{value:v.getValue(t),override:r.overrideIdentifier?v.getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,overrideIdentifiers:Q.length?Q:void 0}}keys(t){const r=this.getFolderConfigurationModelForResource(void 0,t);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:r?r.freeze().keys:[]}}updateDefaultConfiguration(t){this._defaultConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(t){this._localUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(t){this._remoteUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(t){this._workspaceConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(t,r){this._folderConfigurations.set(t,r),this._foldersConsolidatedConfigurations.delete(t)}deleteFolderConfiguration(t){this.folderConfigurations.delete(t),this._foldersConsolidatedConfigurations.delete(t)}compareAndUpdateDefaultConfiguration(t,r){const s=r.filter(i=>E.OVERRIDE_PROPERTY_PATTERN.test(i)).map(i=>{const a=E.overrideIdentifierFromKey(i),v=this._defaultConfiguration.getKeysForOverrideIdentifier(a),p=t.getKeysForOverrideIdentifier(a),_=[...p.filter(D=>v.indexOf(D)===-1),...v.filter(D=>p.indexOf(D)===-1),...v.filter(D=>!A.equals(this._defaultConfiguration.override(a).getValue(D),t.override(a).getValue(D)))];return[a,_]});return this.updateDefaultConfiguration(t),{keys:r,overrides:s}}compareAndUpdateLocalUserConfiguration(t){const{added:r,updated:s,removed:i,overrides:a}=C.compare(this.localUserConfiguration,t),v=[...r,...s,...i];return v.length&&this.updateLocalUserConfiguration(t),{keys:v,overrides:a}}compareAndUpdateRemoteUserConfiguration(t){const{added:r,updated:s,removed:i,overrides:a}=C.compare(this.remoteUserConfiguration,t);let v=[...r,...s,...i];return v.length&&this.updateRemoteUserConfiguration(t),{keys:v,overrides:a}}compareAndUpdateWorkspaceConfiguration(t){const{added:r,updated:s,removed:i,overrides:a}=C.compare(this.workspaceConfiguration,t);let v=[...r,...s,...i];return v.length&&this.updateWorkspaceConfiguration(t),{keys:v,overrides:a}}compareAndUpdateFolderConfiguration(t,r){const s=this.folderConfigurations.get(t),{added:i,updated:a,removed:v,overrides:p}=C.compare(s,r);let _=[...i,...a,...v];return(_.length||!s)&&this.updateFolderConfiguration(t,r),{keys:_,overrides:p}}compareAndDeleteFolderConfiguration(t){const r=this.folderConfigurations.get(t);if(!r)throw new Error("Unknown folder");this.deleteFolderConfiguration(t);const{added:s,updated:i,removed:a,overrides:v}=C.compare(r,void 0);return{keys:[...s,...i,...a],overrides:v}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(t,r){let s=this.getConsolidatedConfigurationModelForResource(t,r);return t.overrideIdentifier?s.override(t.overrideIdentifier):s}getConsolidatedConfigurationModelForResource({resource:t},r){let s=this.getWorkspaceConsolidatedConfiguration();if(r&&t){const i=r.getFolder(t);i&&(s=this.getFolderConsolidatedConfiguration(i.uri)||s);const a=this._memoryConfigurationByResource.get(t);a&&(s=s.merge(a))}return s}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(t){let r=this._foldersConsolidatedConfigurations.get(t);if(!r){const s=this.getWorkspaceConsolidatedConfiguration(),i=this._folderConfigurations.get(t);i?(r=s.merge(i),this._freeze&&(r=r.freeze()),this._foldersConsolidatedConfigurations.set(t,r)):r=s}return r}getFolderConfigurationModelForResource(t,r){if(r&&t){const s=r.getFolder(t);if(s)return this._folderConfigurations.get(s.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((t,r)=>{const{contents:s,overrides:i,keys:a}=this._folderConfigurations.get(r);return t.push([r,{contents:s,overrides:i,keys:a}]),t},[])}}allKeys(){const t=new Set;return this._defaultConfiguration.freeze().keys.forEach(r=>t.add(r)),this.userConfiguration.freeze().keys.forEach(r=>t.add(r)),this._workspaceConfiguration.freeze().keys.forEach(r=>t.add(r)),this._folderConfigurations.forEach(r=>r.freeze().keys.forEach(s=>t.add(s))),[...t.values()]}getAllKeysForOverrideIdentifier(t){const r=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(t).forEach(s=>r.add(s)),this.userConfiguration.getKeysForOverrideIdentifier(t).forEach(s=>r.add(s)),this._workspaceConfiguration.getKeysForOverrideIdentifier(t).forEach(s=>r.add(s)),this._folderConfigurations.forEach(s=>s.getKeysForOverrideIdentifier(t).forEach(i=>r.add(i))),[...r.values()]}static parse(t){const r=this.parseConfigurationModel(t.defaults),s=this.parseConfigurationModel(t.user),i=this.parseConfigurationModel(t.workspace),a=t.folders.reduce((v,p)=>(v.set(I.URI.revive(p[0]),this.parseConfigurationModel(p[1])),v),new R.ResourceMap);return new w(r,s,new m,i,a,new m,new R.ResourceMap,!1)}static parseConfigurationModel(t){return new m(t.contents,t.keys,t.overrides).freeze()}}e.Configuration=w;function b(...f){if(f.length===0)return{keys:[],overrides:[]};if(f.length===1)return f[0];const t=new Set,r=new Map;for(const i of f)i.keys.forEach(a=>t.add(a)),i.overrides.forEach(([a,v])=>{const p=R.getOrSet(r,a,new Set);v.forEach(_=>p.add(_))});const s=[];return r.forEach((i,a)=>s.push([a,[...i.values()]])),{keys:[...t.values()],overrides:s}}e.mergeChanges=b;class h{constructor(t,r,s,i){this.change=t,this.previous=r,this.currentConfiguraiton=s,this.currentWorkspace=i,this._previousConfiguration=void 0;const a=new Set;t.keys.forEach(p=>a.add(p)),t.overrides.forEach(([,p])=>p.forEach(_=>a.add(_))),this.affectedKeys=[...a.values()];const v=new m;this.affectedKeys.forEach(p=>v.setValue(p,{})),this.affectedKeysTree=v.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=w.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(t,r){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,t)){if(r){const s=this.previousConfiguration?this.previousConfiguration.getValue(t,r,this.previous?.workspace):void 0,i=this.currentConfiguraiton.getValue(t,r,this.currentWorkspace);return!A.equals(s,i)}return!0}return!1}doesAffectedKeysTreeContains(t,r){let s=C.toValuesTree({[r]:!0},()=>{}),i;for(;typeof s=="object"&&(i=Object.keys(s)[0]);){if(t=t[i],!t)return!1;s=s[i]}return!0}}e.ConfigurationChangeEvent=h;class c extends h{constructor(t,r,s,i){super({keys:t.allKeys(),overrides:[]},void 0,t,r);this.source=s,this.sourceConfig=i}}e.AllKeysConfigurationChangeEvent=c}),define(fe[117],me([0,1,4]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=g.createDecorator("remoteAuthorityResolverService");var R;(function(y){y.Unknown="Unknown",y.NotAvailable="NotAvailable",y.TemporarilyNotAvailable="TemporarilyNotAvailable",y.NoResolverFound="NoResolverFound"})(R=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class k extends Error{constructor(A,I=R.Unknown,E){super(A);this._message=A,this._code=I,this._detail=E,this.isHandled=I===R.NotAvailable&&E===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,k.prototype)}static isTemporarilyNotAvailable(A){return A instanceof k&&A._code===R.TemporarilyNotAvailable}static isNoResolverFound(A){return A instanceof k&&A._code===R.NoResolverFound}static isHandled(A){return A instanceof k&&A.isHandled}}e.RemoteAuthorityResolverError=k}),define(fe[82],me([0,1,10]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isVirtualWorkspace=e.getVirtualWorkspaceScheme=e.getVirtualWorkspaceLocation=e.isVirtualResource=e.getRemoteName=e.getRemoteAuthority=void 0;function R(C){return C.scheme===g.Schemas.vscodeRemote?C.authority:void 0}e.getRemoteAuthority=R;function k(C){if(!C)return;const n=C.indexOf("+");return n<0?C:C.substr(0,n)}e.getRemoteName=k;function y(C){return C.scheme!==g.Schemas.file&&C.scheme!==g.Schemas.vscodeRemote}e.isVirtualResource=y;function A(C){if(C.folders.length)return C.folders.every(n=>y(n.uri))?C.folders[0].uri:void 0;if(C.configuration&&y(C.configuration))return C.configuration}e.getVirtualWorkspaceLocation=A;function I(C){return A(C)?.scheme}e.getVirtualWorkspaceScheme=I;function E(C){return A(C)!==void 0}e.isVirtualWorkspace=E}),define(fe[189],me([0,1,3,11,4,12]),function(X,e,g,R,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelProtocol=e.ITunnelService=void 0,e.ITunnelService=k.createDecorator("tunnelService");var A;(function(m){m.Http="http",m.Https="https"})(A=e.TunnelProtocol||(e.TunnelProtocol={}));var I;(function(m){m[m.Notify=1]="Notify",m[m.OpenBrowser=2]="OpenBrowser",m[m.OpenPreview=3]="OpenPreview",m[m.Silent=4]="Silent",m[m.Ignore=5]="Ignore",m[m.OpenBrowserOnce=6]="OpenBrowserOnce"})(I=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function E(m){if(m.scheme!=="http"&&m.scheme!=="https")return;const l=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(m.authority);if(!!l)return{address:l[1],port:+l[2]}}e.extractLocalHostUriMetaDataForPortMapping=E,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function C(m){return e.LOCALHOST_ADDRESSES.indexOf(m)>=0}e.isLocalhost=C,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function n(m){return e.ALL_INTERFACES_ADDRESSES.indexOf(m)>=0}e.isAllInterfaces=n;function P(m,l){return l?l!==1&&m<1024:!R.isWindows&&m<1024}e.isPortPrivileged=P;let d=class{constructor(l){this.logService=l,this._onTunnelOpened=new g.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new g.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._onAddedTunnelProvider=new g.Emitter,this.onAddedTunnelProvider=this._onAddedTunnelProvider.event,this._tunnels=new Map,this._canElevate=!1,this._canMakePublic=!1}get hasTunnelProvider(){return!!this._tunnelProvider}setTunnelProvider(l,u){return this._tunnelProvider=l,l?(this._canElevate=u.elevation,this._canMakePublic=u.public,this._onAddedTunnelProvider.fire(),{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._canMakePublic=!1}}):(this._canElevate=!1,this._canMakePublic=!1,this._onAddedTunnelProvider.fire(),{dispose:()=>{}})}get canElevate(){return this._canElevate}get canMakePublic(){return this._canMakePublic}get tunnels(){return new Promise(async l=>{const u=[],S=Array.from(this._tunnels.values());for(let w of S){const b=Array.from(w.values());for(let h of b){const c=await h.value;c&&u.push(c)}}l(u)})}async dispose(){for(const l of this._tunnels.values()){for(const{value:u}of l.values())await u.then(S=>S?.dispose());l.clear()}this._tunnels.clear()}openTunnel(l,u,S,w,b=!1,h=!1,c){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${u}:${S} on local port ${w}.`),!l)return;u||(u="localhost");const f=this.retainOrCreateTunnel(l,u,S,w,b,h,c);return f?f.then(t=>{if(!t){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(u,S);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const r=this.makeTunnel(t);return(t.tunnelRemoteHost!==u||t.tunnelRemotePort!==S)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(r),r}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),f)}makeTunnel(l){return{tunnelRemotePort:l.tunnelRemotePort,tunnelRemoteHost:l.tunnelRemoteHost,tunnelLocalPort:l.tunnelLocalPort,localAddress:l.localAddress,public:l.public,protocol:l.protocol,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${l.tunnelRemoteHost}:${l.tunnelRemotePort} `);const u=this._tunnels.get(l.tunnelRemoteHost);if(u){const S=u.get(l.tunnelRemotePort);S&&(S.refcount--,await this.tryDisposeTunnel(l.tunnelRemoteHost,l.tunnelRemotePort,S))}}}}async tryDisposeTunnel(l,u,S){if(S.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${l}:${u}.`);const w=S.value.then(async b=>{b&&(await b.dispose(!0),this._onTunnelClosed.fire({host:b.tunnelRemoteHost,port:b.tunnelRemotePort}))});return this._tunnels.has(l)&&this._tunnels.get(l).delete(u),w}}async closeTunnel(l,u){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${l}:${u} `);const S=this._tunnels.get(l);if(S&&S.has(u)){const w=S.get(u);w.refcount=0,await this.tryDisposeTunnel(l,u,w)}}addTunnelToMap(l,u,S){this._tunnels.has(l)||this._tunnels.set(l,new Map),this._tunnels.get(l).set(u,{refcount:1,value:S})}async removeEmptyTunnelFromMap(l,u){const S=this._tunnels.get(l);S&&(await S.get(u)||S.delete(u),S.size===0&&this._tunnels.delete(l))}getTunnelFromMap(l,u){let S=[l];C(l)?(S.push(...e.LOCALHOST_ADDRESSES),S.push(...e.ALL_INTERFACES_ADDRESSES)):n(l)&&S.push(...e.ALL_INTERFACES_ADDRESSES);const w=S.map(b=>this._tunnels.get(b));for(const b of w){const h=b?.get(u);if(h)return h}}canTunnel(l){return!!E(l)}createWithProvider(l,u,S,w,b,h,c){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${u}:${S} on local port ${w}.`);const t={elevationRequired:b?P(w===void 0?S:w):!1},r={remoteAddress:{host:u,port:S},localAddressPort:w,public:h,protocol:c},s=l.forwardPort(r,t);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),s&&this.addTunnelToMap(u,S,s),s}};d=ze([We(0,y.ILogService)],d),e.AbstractTunnelService=d}),define(fe[190],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class g{vsda(){return new Promise((k,y)=>X(["vsda"],k,y))}async sign(k){try{const y=await this.vsda(),A=new y.signer;if(A)return A.sign(k)}catch(y){}return k}}e.SignService=g}),define(fe[191],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalDataBufferer=void 0;class g{constructor(k){this._callback=k,this._terminalBufferMap=new Map}dispose(){for(const k of this._terminalBufferMap.values())k.dispose()}startBuffering(k,y,A=5){let I;return I=y(E=>{const C=typeof E=="string"?E:E.data;let n=this._terminalBufferMap.get(k);if(n){n.data.push(C);return}const P=setTimeout(()=>this.flushBuffer(k),A);n={data:[C],timeoutId:P,dispose:()=>{clearTimeout(P),this.flushBuffer(k),I.dispose()}},this._terminalBufferMap.set(k,n)}),I}stopBuffering(k){const y=this._terminalBufferMap.get(k);y&&y.dispose()}flushBuffer(k){const y=this._terminalBufferMap.get(k);y&&(this._terminalBufferMap.delete(k),this._callback(k,y.data.join("")))}}e.TerminalDataBufferer=g}),define(fe[47],me([0,1,2,22,4,24]),function(X,e,g,R,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=k.createDecorator("contextService");var A;(function(d){d[d.EMPTY=1]="EMPTY",d[d.FOLDER=2]="FOLDER",d[d.WORKSPACE=3]="WORKSPACE"})(A=e.WorkbenchState||(e.WorkbenchState={}));function I(d){const m=d;return!!(m&&typeof m=="object"&&typeof m.id=="string"&&Array.isArray(m.folders))}e.isWorkspace=I;function E(d){const m=d;return!!(m&&typeof m=="object"&&g.URI.isUri(m.uri)&&typeof m.name=="string"&&typeof m.toResource=="function")}e.isWorkspaceFolder=E;class C{constructor(m,l,u,S){this._id=m,this._configuration=u,this._ignorePathCasing=S,this._foldersMap=y.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=l}update(m){this._id=m.id,this._configuration=m.configuration,this._ignorePathCasing=m._ignorePathCasing,this.folders=m.folders}get folders(){return this._folders}set folders(m){this._folders=m,this.updateFoldersMap()}get id(){return this._id}get configuration(){return this._configuration}set configuration(m){this._configuration=m}getFolder(m){return m&&this._foldersMap.findSubstr(m.with({scheme:m.scheme,authority:m.authority,path:m.path}))||null}updateFoldersMap(){this._foldersMap=y.TernarySearchTree.forUris(this._ignorePathCasing);for(const m of this.folders)this._foldersMap.set(m.uri,m)}toJSON(){return{id:this.id,folders:this.folders,configuration:this.configuration}}}e.Workspace=C;class n{constructor(m,l){this.raw=l,this.uri=m.uri,this.index=m.index,this.name=m.name}toResource(m){return R.joinPath(this.uri,m)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=n;function P(d){return new n({uri:d,index:0,name:R.basenameOrAuthority(d)},{uri:d.toString()})}e.toWorkspaceFolder=P}),define(fe[192],me([0,1,4,158,47,2,11,9,22,135,55,10,75,29,82]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toStoreData=e.restoreRecentlyOpened=e.useSlashForPath=e.rewriteWorkspaceFileForNewLocation=e.toWorkspaceFolders=e.getStoredWorkspaceFolder=e.isRawUriWorkspaceFolder=e.isRawFileWorkspaceFolder=e.isStoredWorkspaceFolder=e.isUntitledWorkspace=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.isRecentFile=e.isRecentFolder=e.isRecentWorkspace=e.IWorkspacesService=e.hasWorkspaceFileExtension=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=void 0,e.WORKSPACE_EXTENSION="code-workspace";const u=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:R.localize(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function S(N){return(typeof N=="string"?I.extname(N):E.extname(N))===u}e.hasWorkspaceFileExtension=S,e.IWorkspacesService=g.createDecorator("workspacesService");function w(N){return N.hasOwnProperty("workspace")}e.isRecentWorkspace=w;function b(N){return N.hasOwnProperty("folderUri")}e.isRecentFolder=b;function h(N){return N.hasOwnProperty("fileUri")}e.isRecentFile=h;function c(N){const W=N;return typeof W?.id=="string"&&y.URI.isUri(W.uri)}e.isSingleFolderWorkspaceIdentifier=c;function f(N){if(N.configuration)return{id:N.id,configPath:N.configuration};if(N.folders.length===1)return{id:N.id,uri:N.folders[0].uri}}e.toWorkspaceIdentifier=f;function t(N){const W=N;return typeof W?.id=="string"&&y.URI.isUri(W.configPath)}e.isWorkspaceIdentifier=t;function r(N){const W=N;if(W?.uri)return{id:W.id,uri:y.URI.revive(W.uri)};const F=N;if(F?.configPath)return{id:F.id,configPath:y.URI.revive(F.configPath)};if(N?.id)return{id:N.id}}e.reviveIdentifier=r;function s(N,W){return E.extUriBiasedIgnorePathCase.isEqualOrParent(N,W.untitledWorkspacesHome)}e.isUntitledWorkspace=s;function i(N){return a(N)||v(N)}e.isStoredWorkspaceFolder=i;function a(N){const W=N;return typeof W?.path=="string"&&(!W.name||typeof W.name=="string")}e.isRawFileWorkspaceFolder=a;function v(N){const W=N;return typeof W?.uri=="string"&&(!W.name||typeof W.name=="string")}e.isRawUriWorkspaceFolder=v;function p(N,W,F,q,M=!A.isWindows,O){if(N.scheme!==q.scheme)return{name:F,uri:N.toString(!0)};let x=W?void 0:O.relativePath(q,N);if(x!==void 0)x.length===0?x=".":A.isWindows&&N.scheme===P.Schemas.file&&!M&&(x=x.replace(/\//g,"\\"));else if(N.scheme===P.Schemas.file)x=N.fsPath,A.isWindows&&(x=d.normalizeDriveLetter(x),M&&(x=m.toSlashes(x)));else{if(!O.isEqualAuthority(N.authority,q.authority))return{name:F,uri:N.toString(!0)};x=N.path}return{name:F,path:x}}e.getStoredWorkspaceFolder=p;function _(N,W,F){let q=[],M=new Set;const O=F.dirname(W);for(let x of N){let $;if(a(x))x.path&&($=F.resolvePath(O,x.path));else if(v(x))try{$=y.URI.parse(x.uri),$.path[0]!=="/"&&($=$.with({path:"/"+$.path}))}catch(J){console.warn(J)}if($){let J=F.getComparisonKey($);if(!M.has(J)){M.add(J);const de=x.name||F.basenameOrAuthority($);q.push(new k.WorkspaceFolder({uri:$,name:de,index:q.length},x))}}}return q}e.toWorkspaceFolders=_;function D(N,W,F,q,M){let O=o(W,N);const x=M.dirname(W),$=M.dirname(q),J=[],de=T(O.folders);for(const Ne of O.folders){const qe=a(Ne)?M.resolvePath(x,Ne.path):y.URI.parse(Ne.uri);let Ve;F?Ve=!1:Ve=!a(Ne)||I.isAbsolute(Ne.path),J.push(p(qe,Ve,Ne.name,$,de,M))}const Ee={insertSpaces:!1,tabSize:4,eol:A.isLinux||A.isMacintosh?`
`:`\r
`},Fe=C.setProperty(N,["folders"],J,Ee);let Re=C.applyEdits(N,Fe);return O.remoteAuthority===l.getRemoteAuthority(q)&&(Re=C.applyEdits(Re,C.removeProperty(Re,["remoteAuthority"],Ee))),Re}e.rewriteWorkspaceFileForNewLocation=D;function o(N,W){let F=n.parse(W);if(F&&Array.isArray(F.folders))F.folders=F.folders.filter(q=>i(q));else throw new Error(`${N} looks like an invalid workspace file.`);return F}function T(N){return A.isWindows?N.some(W=>a(W)&&W.path.indexOf("/")>=0):!0}e.useSlashForPath=T;function L(N){return N.workspace&&typeof N.workspace=="object"&&typeof N.workspace.id=="string"&&typeof N.workspace.configPath=="string"}function H(N){return typeof N.folderUri=="string"}function B(N){return typeof N.fileUri=="string"}function Q(N,W){const F={workspaces:[],files:[]};if(N){const q=function(O,x){for(let $=0;$<O.length;$++)try{x(O[$],$)}catch(J){W.warn(`Error restoring recent entry ${JSON.stringify(O[$])}: ${J.toString()}. Skip entry.`)}},M=N;if(Array.isArray(M.entries))q(M.entries,O=>{const x=O.label,$=O.remoteAuthority;L(O)?F.workspaces.push({label:x,remoteAuthority:$,workspace:{id:O.workspace.id,configPath:y.URI.parse(O.workspace.configPath)}}):H(O)?F.workspaces.push({label:x,remoteAuthority:$,folderUri:y.URI.parse(O.folderUri)}):B(O)&&F.files.push({label:x,remoteAuthority:$,fileUri:y.URI.parse(O.fileUri)})});else{const O=N;Array.isArray(O.workspaces3)&&q(O.workspaces3,(x,$)=>{const J=Array.isArray(O.workspaceLabels)&&O.workspaceLabels[$]||void 0;typeof x=="object"&&typeof x.id=="string"&&typeof x.configURIPath=="string"?F.workspaces.push({label:J,workspace:{id:x.id,configPath:y.URI.parse(x.configURIPath)}}):typeof x=="string"&&F.workspaces.push({label:J,folderUri:y.URI.parse(x)})}),Array.isArray(O.files2)&&q(O.files2,(x,$)=>{const J=Array.isArray(O.fileLabels)&&O.fileLabels[$]||void 0;typeof x=="string"&&F.files.push({label:J,fileUri:y.URI.parse(x)})})}}return F}e.restoreRecentlyOpened=Q;function z(N){const W={entries:[]};for(const F of N.workspaces)b(F)?W.entries.push({folderUri:F.folderUri.toString(),label:F.label,remoteAuthority:F.remoteAuthority}):W.entries.push({workspace:{id:F.workspace.id,configPath:F.workspace.configPath.toString()},label:F.label,remoteAuthority:F.remoteAuthority});for(const F of N.files)W.entries.push({fileUri:F.fileUri.toString(),label:F.label,remoteAuthority:F.remoteAuthority});return W}e.toStoreData=z}),define(fe[83],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Cache=void 0;class g{constructor(k){this.id=k,this._data=new Map,this._idPool=1}add(k){const y=this._idPool++;return this._data.set(y,k),this.logDebugInfo(),y}get(k,y){return this._data.has(k)?this._data.get(k)[y]:void 0}delete(k){this._data.delete(k),this.logDebugInfo()}logDebugInfo(){!g.enableDebugLogging||console.log(`${this.id} cache size \u2014 ${this._data.size}`)}}e.Cache=g,g.enableDebugLogging=!1}),define(fe[48],me([0,1,2,3,4]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorTabs=e.IExtHostEditorTabs=void 0,e.IExtHostEditorTabs=k.createDecorator("IExtHostEditorTabs");class y{constructor(){this._onDidChangeTabs=new R.Emitter,this.onDidChangeTabs=this._onDidChangeTabs.event,this._tabs=[]}get tabs(){return this._tabs}$acceptEditorTabs(I){this._tabs=I.map(E=>({name:E.name,group:E.group,resource:g.URI.revive(E.resource),isActive:E.isActive})),this._onDidChangeTabs.fire()}}e.ExtHostEditorTabs=y}),define(fe[59],me([0,1,10,4]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostFileSystemInfo=e.ExtHostFileSystemInfo=void 0;class k{constructor(){this._systemSchemes=new Set(Object.keys(g.Schemas)),this._providerInfo=new Map}$acceptProviderInfos(A,I){I===null?this._providerInfo.delete(A):this._providerInfo.set(A,I)}isFreeScheme(A){return!this._providerInfo.has(A)&&!this._systemSchemes.has(A)}getCapabilities(A){return this._providerInfo.get(A)}}e.ExtHostFileSystemInfo=k,e.IExtHostFileSystemInfo=R.createDecorator("IExtHostFileSystemInfo")}),define(fe[27],me([0,1,4]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostInitDataService=void 0,e.IExtHostInitDataService=g.createDecorator("IExtHostInitDataService")}),define(fe[193],me([0,1,2]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostInteractive=void 0;class R{constructor(y,A,I){this._extHostNotebooks=A,this._textDocumentsAndEditors=I}$willAddInteractiveDocument(y,A,I,E){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:[{EOL:A,lines:[""],modeId:I,uri:y,isDirty:!1,versionId:1,notebook:this._extHostNotebooks.getNotebookDocument(g.URI.revive(E))?.apiNotebook}]})}$willRemoveInteractiveDocument(y,A){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({removedDocuments:[y]})}}e.ExtHostInteractive=R}),define(fe[194],me([0,1,16]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGlobalMemento=e.ExtensionMemento=void 0;class R{constructor(A,I,E){this._deferredPromises=new Map,this._id=A,this._shared=I,this._storage=E,this._init=this._storage.getValue(this._shared,this._id,Object.create(null)).then(C=>(this._value=C,this)),this._storageListener=this._storage.onDidChangeStorage(C=>{C.shared===this._shared&&C.key===this._id&&(this._value=C.value)}),this._scheduler=new g.RunOnceScheduler(()=>{const C=this._deferredPromises;this._deferredPromises=new Map,(async()=>{try{await this._storage.setValue(this._shared,this._id,this._value);for(const n of C.values())n.complete()}catch(n){for(const P of C.values())P.error(n)}})()},0)}keys(){return Object.entries(this._value??{}).filter(([,A])=>A!==void 0).map(([A])=>A)}get whenReady(){return this._init}get(A,I){let E=this._value[A];return typeof E=="undefined"&&(E=I),E}update(A,I){this._value[A]=I;let E=this._deferredPromises.get(A);if(E!==void 0)return E.p;const C=new g.DeferredPromise;return this._deferredPromises.set(A,C),this._scheduler.isScheduled()||this._scheduler.schedule(),C.p}dispose(){this._storageListener.dispose()}}e.ExtensionMemento=R;class k extends R{constructor(A,I){super(A.identifier.value,!0,I);this._extension=A}setKeysForSync(A){this._storage.registerExtensionStorageKeysToSync({id:this._id,version:this._extension.version},A)}}e.ExtensionGlobalMemento=k}),define(fe[195],me([0,1,3,2,12]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocuments=void 0;let y=class{constructor(I,E){this._logService=I,this._notebooksAndEditors=E,this._onDidChangeNotebookDocumentMetadata=new g.Emitter,this.onDidChangeNotebookDocumentMetadata=this._onDidChangeNotebookDocumentMetadata.event,this._onDidSaveNotebookDocument=new g.Emitter,this.onDidSaveNotebookDocument=this._onDidSaveNotebookDocument.event}$acceptModelChanged(I,E,C){this._notebooksAndEditors.getNotebookDocument(R.URI.revive(I)).acceptModelChanged(E,C)}$acceptDirtyStateChanged(I,E){this._notebooksAndEditors.getNotebookDocument(R.URI.revive(I)).acceptDirty(E)}$acceptModelSaved(I){const E=this._notebooksAndEditors.getNotebookDocument(R.URI.revive(I));this._onDidSaveNotebookDocument.fire(E.apiNotebook)}$acceptDocumentPropertiesChanged(I,E){this._logService.debug("ExtHostNotebook#$acceptDocumentPropertiesChanged",I.path,E);const C=this._notebooksAndEditors.getNotebookDocument(R.URI.revive(I));C.acceptDocumentPropertiesChanged(E),E.metadata&&this._onDidChangeNotebookDocumentMetadata.fire({document:C.apiNotebook})}};y=ze([We(0,k.ILogService)],y),e.ExtHostNotebookDocuments=y}),define(fe[13],me([0,1,4]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostRpcService=e.IExtHostRpcService=void 0,e.IExtHostRpcService=g.createDecorator("IExtHostRpcService");class R{constructor(y){this.getProxy=y.getProxy.bind(y),this.set=y.set.bind(y),this.assertRegistered=y.assertRegistered.bind(y),this.drain=y.drain.bind(y)}}e.ExtHostRpcService=R});var it=this&&this.__classPrivateFieldSet||function(X,e,g,R,k){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!k)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!k:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?k.call(X,g):k?k.value=g:e.set(X,g),g},Ue=this&&this.__classPrivateFieldGet||function(X,e,g,R){if(g==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!R:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return g==="m"?R:g==="a"?R.call(X):R?R.value:e.get(X)};define(fe[196],me([0,1,26,3]),function(X,e,g,R){"use strict";var k;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionSecrets=void 0;class y{constructor(I,E){k.set(this,void 0),this._onDidChange=new R.Emitter,this.onDidChange=this._onDidChange.event,this._id=g.ExtensionIdentifier.toKey(I.identifier),it(this,k,E,"f"),Ue(this,k,"f").onDidChangePassword(C=>{C.extensionId===this._id&&this._onDidChange.fire({key:C.key})})}get(I){return Ue(this,k,"f").get(this._id,I)}store(I,E){return Ue(this,k,"f").store(this._id,I,E)}delete(I){return Ue(this,k,"f").delete(this._id,I)}}e.ExtensionSecrets=y,k=new WeakMap}),define(fe[118],me([0,1,4,3]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTelemetry=e.ExtHostTelemetry=void 0;class k{constructor(){this._onDidChangeTelemetryEnabled=new R.Emitter,this.onDidChangeTelemetryEnabled=this._onDidChangeTelemetryEnabled.event,this._enabled=!1}getTelemetryEnabled(){return this._enabled}$initializeTelemetryEnabled(A){this._enabled=A}$onDidChangeTelemetryEnabled(A){this._enabled=A,this._onDidChangeTelemetryEnabled.fire(A)}}e.ExtHostTelemetry=k,e.IExtHostTelemetry=g.createDecorator("IExtHostTelemetry")}),define(fe[119],me([0,1,3]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPrivateApiFor=e.ExtHostTestItemEventType=void 0;var R;(function(A){A[A.NewChild=0]="NewChild",A[A.Disposed=1]="Disposed",A[A.Invalidated=2]="Invalidated",A[A.SetProp=3]="SetProp"})(R=e.ExtHostTestItemEventType||(e.ExtHostTestItemEventType={}));const k=new WeakMap,y=A=>{let I=k.get(A);return I||(I={children:new Map,bus:new g.Emitter},k.set(A,I)),I};e.getPrivateApiFor=y}),define(fe[49],me([0,1,4,3,13]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.IExtHostTunnelService=e.TunnelDto=void 0;var y;(function(I){function E(n){return{remoteAddress:n.remoteAddress,localAddress:n.localAddress,public:!!n.public,protocol:n.protocol}}I.fromApiTunnel=E;function C(n){return{remoteAddress:{host:n.tunnelRemoteHost,port:n.tunnelRemotePort},localAddress:n.localAddress,public:n.public,protocol:n.protocol}}I.fromServiceTunnel=C})(y=e.TunnelDto||(e.TunnelDto={})),e.IExtHostTunnelService=g.createDecorator("IExtHostTunnelService");let A=class{constructor(E){this.onDidChangeTunnels=new R.Emitter().event}async $applyCandidateFilter(E){return E}async openTunnel(E,C){}async getTunnels(){return[]}async setTunnelExtensionFunctions(E){return{dispose:()=>{}}}registerPortsAttributesProvider(E,C){return{dispose:()=>{}}}async $providePortAttributes(E,C,n,P,d){return[]}async $forwardPort(E,C){}async $closeTunnel(E){}async $onDidTunnelsChange(){}async $registerCandidateFinder(){}};A=ze([We(0,k.IExtHostRpcService)],A),e.ExtHostTunnelService=A});var it=this&&this.__classPrivateFieldSet||function(X,e,g,R,k){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!k)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!k:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?k.call(X,g):k?k.value=g:e.set(X,g),g},Ue=this&&this.__classPrivateFieldGet||function(X,e,g,R){if(g==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!R:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return g==="m"?R:g==="a"?R.call(X):R?R.value:e.get(X)};define(fe[7],me([0,1,18,15,95,24,98,14,2,32,41,117,119]),function(X,e,g,R,k,y,A,I,E,C,n,P,d){"use strict";var m,l,u,S,w,b,h,c,f,t,r,s,i,a,v,p,_,D,o,T;Object.defineProperty(e,"__esModule",{value:!0}),e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.FunctionCoverage=e.BranchCoverage=e.StatementCoverage=e.FileCoverage=e.CoveredCount=e.TestMessage=e.TestItemImpl=e.TestRunRequest=e.TestMessageSeverity=e.TestResultState=e.PortAttributes=e.LinkedEditingRanges=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.TimelineItem=e.NotebookRendererScript=e.NotebookControllerAffinity=e.NotebookCellStatusBarItem=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookCellExecutionState=e.NotebookCellKind=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookData=e.NotebookCellData=e.NotebookRange=e.ColorThemeKind=e.ColorTheme=e.FileDecoration=e.ExtensionKind=e.QuickInputButtons=e.DebugConfigurationProviderTriggerKind=e.DebugConsoleMode=e.SemanticTokensEdits=e.SemanticTokensEdit=e.SemanticTokens=e.SemanticTokensBuilder=e.SemanticTokensLegend=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.FoldingRange=e.FileSystemError=e.FileChangeType=e.InlineValueContext=e.InlineValueEvaluatableExpression=e.InlineValueVariableLookup=e.InlineValueText=e.InlineCompletionTriggerKind=e.EvaluatableExpression=e.DebugAdapterInlineImplementation=e.DebugAdapterNamedPipeServer=e.DebugAdapterServer=e.DebugAdapterExecutable=e.DataBreakpoint=e.FunctionBreakpoint=e.SourceBreakpoint=e.Breakpoint=e.RelativePattern=e.ConfigurationTarget=e.ThemeColor=e.ThemeIcon=e.TreeItemCollapsibleState=e.TreeItem=e.ProgressLocation=e.Task=e.CustomExecution=e.TaskScope=e.ShellQuoting=e.ShellExecution=e.ProcessExecution=e.TaskGroup=e.TaskPanelKind=e.TaskRevealKind=e.TerminalProfile=e.TerminalLink=e.SourceControlInputBoxValidationType=e.ColorFormat=e.ColorPresentation=e.ColorInformation=e.Color=e.DocumentLink=e.DecorationRangeBehavior=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.StatusBarAlignment=e.ViewColumn=e.InlineSuggestions=e.InlineSuggestion=e.CompletionList=e.CompletionItem=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.InlayHint=e.InlayHintKind=e.SignatureHelpTriggerKind=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.MarkdownString=e.CodeLens=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.SelectionRange=e.CodeActionKind=e.CodeAction=e.CodeActionTriggerKind=e.DocumentSymbol=e.SymbolInformation=e.SymbolTag=e.SymbolKind=e.DocumentHighlight=e.DocumentHighlightKind=e.Hover=e.Diagnostic=e.DiagnosticRelatedInformation=e.Location=e.DiagnosticSeverity=e.DiagnosticTag=e.SnippetString=e.WorkspaceEdit=e.FileEditType=e.TextEdit=e.EnvironmentVariableMutatorType=e.EndOfLine=e.RemoteAuthorityResolverError=e.ResolvedAuthority=e.Selection=e.Range=e.Position=e.Disposable=void 0;function L(V){function U(){return Reflect.construct(V,arguments,this.constructor)}return Object.defineProperty(U,"name",Object.getOwnPropertyDescriptor(V,"name")),Object.setPrototypeOf(U,V),Object.setPrototypeOf(U.prototype,V.prototype),U}let H=w=class{constructor(U){m.set(this,void 0),it(this,m,U,"f")}static from(...U){let ie=U;return new w(function(){if(ie){for(const Ie of ie)Ie&&typeof Ie.dispose=="function"&&Ie.dispose();ie=void 0}})}dispose(){typeof Ue(this,m,"f")=="function"&&(Ue(this,m,"f").call(this),it(this,m,void 0,"f"))}};m=new WeakMap,H=w=ze([L],H),e.Disposable=H;let B=b=class{constructor(U,ie){if(U<0)throw R.illegalArgument("line must be non-negative");if(ie<0)throw R.illegalArgument("character must be non-negative");this._line=U,this._character=ie}static Min(...U){if(U.length===0)throw new TypeError;let ie=U[0];for(let Ie=1;Ie<U.length;Ie++){const Qe=U[Ie];Qe.isBefore(ie)&&(ie=Qe)}return ie}static Max(...U){if(U.length===0)throw new TypeError;let ie=U[0];for(let Ie=1;Ie<U.length;Ie++){const Qe=U[Ie];Qe.isAfter(ie)&&(ie=Qe)}return ie}static isPosition(U){if(!U)return!1;if(U instanceof b)return!0;let{line:ie,character:Ie}=U;return typeof ie=="number"&&typeof Ie=="number"}get line(){return this._line}get character(){return this._character}isBefore(U){return this._line<U._line?!0:U._line<this._line?!1:this._character<U._character}isBeforeOrEqual(U){return this._line<U._line?!0:U._line<this._line?!1:this._character<=U._character}isAfter(U){return!this.isBeforeOrEqual(U)}isAfterOrEqual(U){return!this.isBefore(U)}isEqual(U){return this._line===U._line&&this._character===U._character}compareTo(U){return this._line<U._line?-1:this._line>U.line?1:this._character<U._character?-1:this._character>U._character?1:0}translate(U,ie=0){if(U===null||ie===null)throw R.illegalArgument();let Ie;return typeof U=="undefined"?Ie=0:typeof U=="number"?Ie=U:(Ie=typeof U.lineDelta=="number"?U.lineDelta:0,ie=typeof U.characterDelta=="number"?U.characterDelta:0),Ie===0&&ie===0?this:new b(this.line+Ie,this.character+ie)}with(U,ie=this.character){if(U===null||ie===null)throw R.illegalArgument();let Ie;return typeof U=="undefined"?Ie=this.line:typeof U=="number"?Ie=U:(Ie=typeof U.line=="number"?U.line:this.line,ie=typeof U.character=="number"?U.character:this.character),Ie===this.line&&ie===this.character?this:new b(Ie,ie)}toJSON(){return{line:this.line,character:this.character}}};B=b=ze([L],B),e.Position=B;let Q=h=class{constructor(U,ie,Ie,Qe){let nt,st;if(typeof U=="number"&&typeof ie=="number"&&typeof Ie=="number"&&typeof Qe=="number"?(nt=new B(U,ie),st=new B(Ie,Qe)):U instanceof B&&ie instanceof B&&(nt=U,st=ie),!nt||!st)throw new Error("Invalid arguments");nt.isBefore(st)?(this._start=nt,this._end=st):(this._start=st,this._end=nt)}static isRange(U){return U instanceof h?!0:U?B.isPosition(U.start)&&B.isPosition(U.end):!1}get start(){return this._start}get end(){return this._end}contains(U){return U instanceof h?this.contains(U._start)&&this.contains(U._end):U instanceof B?!(U.isBefore(this._start)||this._end.isBefore(U)):!1}isEqual(U){return this._start.isEqual(U._start)&&this._end.isEqual(U._end)}intersection(U){const ie=B.Max(U.start,this._start),Ie=B.Min(U.end,this._end);if(!ie.isAfter(Ie))return new h(ie,Ie)}union(U){if(this.contains(U))return this;if(U.contains(this))return U;const ie=B.Min(U.start,this._start),Ie=B.Max(U.end,this.end);return new h(ie,Ie)}get isEmpty(){return this._start.isEqual(this._end)}get isSingleLine(){return this._start.line===this._end.line}with(U,ie=this.end){if(U===null||ie===null)throw R.illegalArgument();let Ie;return U?B.isPosition(U)?Ie=U:(Ie=U.start||this.start,ie=U.end||this.end):Ie=this.start,Ie.isEqual(this._start)&&ie.isEqual(this.end)?this:new h(Ie,ie)}toJSON(){return[this.start,this.end]}};Q=h=ze([L],Q),e.Range=Q;let z=c=class extends Q{constructor(U,ie,Ie,Qe){let nt,st;if(typeof U=="number"&&typeof ie=="number"&&typeof Ie=="number"&&typeof Qe=="number"?(nt=new B(U,ie),st=new B(Ie,Qe)):U instanceof B&&ie instanceof B&&(nt=U,st=ie),!nt||!st)throw new Error("Invalid arguments");super(nt,st);this._anchor=nt,this._active=st}static isSelection(U){return U instanceof c?!0:U?Q.isRange(U)&&B.isPosition(U.anchor)&&B.isPosition(U.active)&&typeof U.isReversed=="boolean":!1}get anchor(){return this._anchor}get active(){return this._active}get isReversed(){return this._anchor===this._end}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};z=c=ze([L],z),e.Selection=z;class N{constructor(U,ie,Ie){if(typeof U!="string"||U.length===0)throw R.illegalArgument("host");if(typeof ie!="number"||ie===0||Math.round(ie)!==ie)throw R.illegalArgument("port");if(typeof Ie!="undefined"&&(typeof Ie!="string"||Ie.length===0||!/^[0-9A-Za-z\-]+$/.test(Ie)))throw R.illegalArgument("connectionToken");this.host=U,this.port=Math.round(ie),this.connectionToken=Ie}}e.ResolvedAuthority=N;class W extends Error{constructor(U,ie=P.RemoteAuthorityResolverErrorCode.Unknown,Ie){super(U);this._message=U,this._code=ie,this._detail=Ie,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,W.prototype)}static NotAvailable(U,ie){return new W(U,P.RemoteAuthorityResolverErrorCode.NotAvailable,ie)}static TemporarilyNotAvailable(U){return new W(U,P.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}}e.RemoteAuthorityResolverError=W;var F;(function(V){V[V.LF=1]="LF",V[V.CRLF=2]="CRLF"})(F=e.EndOfLine||(e.EndOfLine={}));var q;(function(V){V[V.Replace=1]="Replace",V[V.Append=2]="Append",V[V.Prepend=3]="Prepend"})(q=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}));let M=f=class{constructor(U,ie){this._range=U,this._newText=ie}static isTextEdit(U){return U instanceof f?!0:U?Q.isRange(U)&&typeof U.newText=="string":!1}static replace(U,ie){return new f(U,ie)}static insert(U,ie){return f.replace(new Q(U,U),ie)}static delete(U){return f.replace(U,"")}static setEndOfLine(U){const ie=new f(new Q(new B(0,0),new B(0,0)),"");return ie.newEol=U,ie}get range(){return this._range}set range(U){if(U&&!Q.isRange(U))throw R.illegalArgument("range");this._range=U}get newText(){return this._newText||""}set newText(U){if(U&&typeof U!="string")throw R.illegalArgument("newText");this._newText=U}get newEol(){return this._newEol}set newEol(U){if(U&&typeof U!="number")throw R.illegalArgument("newEol");this._newEol=U}toJSON(){return{range:this.range,newText:this.newText,newEol:this._newEol}}};M=f=ze([L],M),e.TextEdit=M;var O;(function(V){V[V.File=1]="File",V[V.Text=2]="Text",V[V.Cell=3]="Cell",V[V.CellReplace=5]="CellReplace"})(O=e.FileEditType||(e.FileEditType={}));let x=class{constructor(){this._edits=[]}_allEntries(){return this._edits}renameFile(U,ie,Ie,Qe){this._edits.push({_type:1,from:U,to:ie,options:Ie,metadata:Qe})}createFile(U,ie,Ie){this._edits.push({_type:1,from:void 0,to:U,options:ie,metadata:Ie})}deleteFile(U,ie,Ie){this._edits.push({_type:1,from:U,to:void 0,options:ie,metadata:Ie})}replaceNotebookMetadata(U,ie,Ie){this._edits.push({_type:3,metadata:Ie,uri:U,edit:{editType:5,metadata:ie},notebookMetadata:ie})}replaceNotebookCells(U,ie,Ie,Qe,nt){let st,ot,St=[],It;if(Wt.isNotebookRange(ie)&&Ot.isNotebookCellDataArray(Ie)&&!Ot.isNotebookCellDataArray(Qe)?(st=ie.start,ot=ie.end,St=Ie,It=Qe):typeof ie=="number"&&typeof Ie=="number"&&Ot.isNotebookCellDataArray(Qe)&&(st=ie,ot=Ie,St=Qe,It=nt),st===void 0||ot===void 0)throw new Error("Invalid arguments");(st!==ot||St.length>0)&&this._edits.push({_type:5,uri:U,index:st,count:ot-st,cells:St,metadata:It})}replaceNotebookCellMetadata(U,ie,Ie,Qe){this._edits.push({_type:3,metadata:Qe,uri:U,edit:{editType:8,index:ie,metadata:Ie}})}replace(U,ie,Ie,Qe){this._edits.push({_type:2,uri:U,edit:new M(ie,Ie),metadata:Qe})}insert(U,ie,Ie,Qe){this.replace(U,new Q(ie,ie),Ie,Qe)}delete(U,ie,Ie){this.replace(U,ie,"",Ie)}has(U){return this._edits.some(ie=>ie._type===2&&ie.uri.toString()===U.toString())}set(U,ie){if(ie)for(const Ie of ie)Ie&&this._edits.push({_type:2,uri:U,edit:Ie});else{for(let Ie=0;Ie<this._edits.length;Ie++){const Qe=this._edits[Ie];Qe._type===2&&Qe.uri.toString()===U.toString()&&(this._edits[Ie]=void 0)}g.coalesceInPlace(this._edits)}}get(U){const ie=[];for(let Ie of this._edits)Ie._type===2&&Ie.uri.toString()===U.toString()&&ie.push(Ie.edit);return ie}entries(){const U=new y.ResourceMap;for(let ie of this._edits)if(ie._type===2){let Ie=U.get(ie.uri);Ie||(Ie=[ie.uri,[]],U.set(ie.uri,Ie)),Ie[1].push(ie.edit)}return[...U.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};x=ze([L],x),e.WorkspaceEdit=x;let $=t=class{constructor(U){this._tabstop=1,this.value=U||""}static isSnippetString(U){return U instanceof t?!0:U?typeof U.value=="string":!1}static _escape(U){return U.replace(/\$|}|\\/g,"\\$&")}appendText(U){return this.value+=t._escape(U),this}appendTabstop(U=this._tabstop++){return this.value+="$",this.value+=U,this}appendPlaceholder(U,ie=this._tabstop++){if(typeof U=="function"){const Ie=new t;Ie._tabstop=this._tabstop,U(Ie),this._tabstop=Ie._tabstop,U=Ie.value}else U=t._escape(U);return this.value+="${",this.value+=ie,this.value+=":",this.value+=U,this.value+="}",this}appendChoice(U,ie=this._tabstop++){const Ie=U.map(Qe=>Qe.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=ie,this.value+="|",this.value+=Ie,this.value+="|}",this}appendVariable(U,ie){if(typeof ie=="function"){const Ie=new t;Ie._tabstop=this._tabstop,ie(Ie),this._tabstop=Ie._tabstop,ie=Ie.value}else typeof ie=="string"&&(ie=ie.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=U,ie&&(this.value+=":",this.value+=ie),this.value+="}",this}};$=t=ze([L],$),e.SnippetString=$;var J;(function(V){V[V.Unnecessary=1]="Unnecessary",V[V.Deprecated=2]="Deprecated"})(J=e.DiagnosticTag||(e.DiagnosticTag={}));var de;(function(V){V[V.Hint=3]="Hint",V[V.Information=2]="Information",V[V.Warning=1]="Warning",V[V.Error=0]="Error"})(de=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));let Ee=r=class{constructor(U,ie){if(this.uri=U,ie)if(ie instanceof Q)this.range=ie;else if(ie instanceof B)this.range=new Q(ie,ie);else throw new Error("Illegal argument")}static isLocation(U){return U instanceof r?!0:U?Q.isRange(U.range)&&E.URI.isUri(U.uri):!1}toJSON(){return{uri:this.uri,range:this.range}}};Ee=r=ze([L],Ee),e.Location=Ee;let Fe=class{constructor(U,ie){this.location=U,this.message=ie}static is(U){return U?typeof U.message=="string"&&U.location&&Q.isRange(U.location.range)&&E.URI.isUri(U.location.uri):!1}static isEqual(U,ie){return U===ie?!0:!U||!ie?!1:U.message===ie.message&&U.location.range.isEqual(ie.location.range)&&U.location.uri.toString()===ie.location.uri.toString()}};Fe=ze([L],Fe),e.DiagnosticRelatedInformation=Fe;let Re=class{constructor(U,ie,Ie=de.Error){if(!Q.isRange(U))throw new TypeError("range must be set");if(!ie)throw new TypeError("message must be set");this.range=U,this.message=ie,this.severity=Ie}toJSON(){return{severity:de[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(U,ie){return U===ie?!0:!U||!ie?!1:U.message===ie.message&&U.severity===ie.severity&&U.code===ie.code&&U.severity===ie.severity&&U.source===ie.source&&U.range.isEqual(ie.range)&&g.equals(U.tags,ie.tags)&&g.equals(U.relatedInformation,ie.relatedInformation,Fe.isEqual)}};Re=ze([L],Re),e.Diagnostic=Re;let Ne=class{constructor(U,ie){if(!U)throw new Error("Illegal argument, contents must be defined");Array.isArray(U)?this.contents=U:this.contents=[U],this.range=ie}};Ne=ze([L],Ne),e.Hover=Ne;var qe;(function(V){V[V.Text=0]="Text",V[V.Read=1]="Read",V[V.Write=2]="Write"})(qe=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));let Ve=class{constructor(U,ie=qe.Text){this.range=U,this.kind=ie}toJSON(){return{range:this.range,kind:qe[this.kind]}}};Ve=ze([L],Ve),e.DocumentHighlight=Ve;var Ge;(function(V){V[V.File=0]="File",V[V.Module=1]="Module",V[V.Namespace=2]="Namespace",V[V.Package=3]="Package",V[V.Class=4]="Class",V[V.Method=5]="Method",V[V.Property=6]="Property",V[V.Field=7]="Field",V[V.Constructor=8]="Constructor",V[V.Enum=9]="Enum",V[V.Interface=10]="Interface",V[V.Function=11]="Function",V[V.Variable=12]="Variable",V[V.Constant=13]="Constant",V[V.String=14]="String",V[V.Number=15]="Number",V[V.Boolean=16]="Boolean",V[V.Array=17]="Array",V[V.Object=18]="Object",V[V.Key=19]="Key",V[V.Null=20]="Null",V[V.EnumMember=21]="EnumMember",V[V.Struct=22]="Struct",V[V.Event=23]="Event",V[V.Operator=24]="Operator",V[V.TypeParameter=25]="TypeParameter"})(Ge=e.SymbolKind||(e.SymbolKind={}));var j;(function(V){V[V.Deprecated=1]="Deprecated"})(j=e.SymbolTag||(e.SymbolTag={}));let ee=s=class{constructor(U,ie,Ie,Qe,nt){this.name=U,this.kind=ie,this.containerName=nt,typeof Ie=="string"&&(this.containerName=Ie),Qe instanceof Ee?this.location=Qe:Ie instanceof Q&&(this.location=new Ee(Qe,Ie)),s.validate(this)}static validate(U){if(!U.name)throw new Error("name must not be falsy")}toJSON(){return{name:this.name,kind:Ge[this.kind],location:this.location,containerName:this.containerName}}};ee=s=ze([L],ee),e.SymbolInformation=ee;let re=i=class{constructor(U,ie,Ie,Qe,nt){this.name=U,this.detail=ie,this.kind=Ie,this.range=Qe,this.selectionRange=nt,this.children=[],i.validate(this)}static validate(U){if(!U.name)throw new Error("name must not be falsy");if(!U.range.contains(U.selectionRange))throw new Error("selectionRange must be contained in fullRange");U.children&&U.children.forEach(i.validate)}};re=i=ze([L],re),e.DocumentSymbol=re;var ae;(function(V){V[V.Invoke=1]="Invoke",V[V.Automatic=2]="Automatic"})(ae=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));let Z=class{constructor(U,ie){this.title=U,this.kind=ie}};Z=ze([L],Z),e.CodeAction=Z;let se=a=class{constructor(U){this.value=U}append(U){return new a(this.value?this.value+a.sep+U:U)}intersects(U){return this.contains(U)||U.contains(this)}contains(U){return this.value===U.value||U.value.startsWith(this.value+a.sep)}};se.sep=".",se=a=ze([L],se),e.CodeActionKind=se,se.Empty=new se(""),se.QuickFix=se.Empty.append("quickfix"),se.Refactor=se.Empty.append("refactor"),se.RefactorExtract=se.Refactor.append("extract"),se.RefactorInline=se.Refactor.append("inline"),se.RefactorRewrite=se.Refactor.append("rewrite"),se.Source=se.Empty.append("source"),se.SourceOrganizeImports=se.Source.append("organizeImports"),se.SourceFixAll=se.Source.append("fixAll");let ve=class{constructor(U,ie){if(this.range=U,this.parent=ie,ie&&!ie.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};ve=ze([L],ve),e.SelectionRange=ve;class Le{constructor(U,ie,Ie,Qe,nt,st){this.kind=U,this.name=ie,this.detail=Ie,this.uri=Qe,this.range=nt,this.selectionRange=st}}e.CallHierarchyItem=Le;class He{constructor(U,ie){this.fromRanges=ie,this.from=U}}e.CallHierarchyIncomingCall=He;class be{constructor(U,ie){this.fromRanges=ie,this.to=U}}e.CallHierarchyOutgoingCall=be;let Je=class{constructor(U,ie){this.range=U,this.command=ie}get isResolved(){return!!this.command}};Je=ze([L],Je),e.CodeLens=Je;let K=v=class{constructor(U,ie=!1){l.set(this,void 0),it(this,l,new k.MarkdownString(U,{supportThemeIcons:ie}),"f")}static isMarkdownString(U){return U instanceof v?!0:U&&U.appendCodeblock&&U.appendMarkdown&&U.appendText&&U.value!==void 0}get value(){return Ue(this,l,"f").value}set value(U){Ue(this,l,"f").value=U}get isTrusted(){return Ue(this,l,"f").isTrusted}set isTrusted(U){Ue(this,l,"f").isTrusted=U}get supportThemeIcons(){return Ue(this,l,"f").supportThemeIcons}set supportThemeIcons(U){Ue(this,l,"f").supportThemeIcons=U}appendText(U){return Ue(this,l,"f").appendText(U),this}appendMarkdown(U){return Ue(this,l,"f").appendMarkdown(U),this}appendCodeblock(U,ie){return Ue(this,l,"f").appendCodeblock(ie??"",U),this}};l=new WeakMap,K=v=ze([L],K),e.MarkdownString=K;let ne=class{constructor(U,ie){this.label=U,this.documentation=ie}};ne=ze([L],ne),e.ParameterInformation=ne;let he=class{constructor(U,ie){this.label=U,this.documentation=ie,this.parameters=[]}};he=ze([L],he),e.SignatureInformation=he;let xe=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};xe=ze([L],xe),e.SignatureHelp=xe;var $e;(function(V){V[V.Invoke=1]="Invoke",V[V.TriggerCharacter=2]="TriggerCharacter",V[V.ContentChange=3]="ContentChange"})($e=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var et;(function(V){V[V.Other=0]="Other",V[V.Type=1]="Type",V[V.Parameter=2]="Parameter"})(et=e.InlayHintKind||(e.InlayHintKind={}));let ke=class{constructor(U,ie,Ie){this.text=U,this.position=ie,this.kind=Ie}};ke=ze([L],ke),e.InlayHint=ke;var Ce;(function(V){V[V.Invoke=0]="Invoke",V[V.TriggerCharacter=1]="TriggerCharacter",V[V.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(Ce=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var Pe;(function(V){V[V.Text=0]="Text",V[V.Method=1]="Method",V[V.Function=2]="Function",V[V.Constructor=3]="Constructor",V[V.Field=4]="Field",V[V.Variable=5]="Variable",V[V.Class=6]="Class",V[V.Interface=7]="Interface",V[V.Module=8]="Module",V[V.Property=9]="Property",V[V.Unit=10]="Unit",V[V.Value=11]="Value",V[V.Enum=12]="Enum",V[V.Keyword=13]="Keyword",V[V.Snippet=14]="Snippet",V[V.Color=15]="Color",V[V.File=16]="File",V[V.Reference=17]="Reference",V[V.Folder=18]="Folder",V[V.EnumMember=19]="EnumMember",V[V.Constant=20]="Constant",V[V.Struct=21]="Struct",V[V.Event=22]="Event",V[V.Operator=23]="Operator",V[V.TypeParameter=24]="TypeParameter",V[V.User=25]="User",V[V.Issue=26]="Issue"})(Pe=e.CompletionItemKind||(e.CompletionItemKind={}));var oe;(function(V){V[V.Deprecated=1]="Deprecated"})(oe=e.CompletionItemTag||(e.CompletionItemTag={}));let ce=class{constructor(U,ie){this.label=U,this.kind=ie}toJSON(){return{label:this.label,kind:this.kind&&Pe[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};ce=ze([L],ce),e.CompletionItem=ce;let ge=class{constructor(U=[],ie=!1){this.items=U,this.isIncomplete=ie}};ge=ze([L],ge),e.CompletionList=ge;let we=class{constructor(U,ie,Ie){this.text=U,this.range=ie,this.command=Ie}};we=ze([L],we),e.InlineSuggestion=we;let G=class{constructor(U){this.items=U}};G=ze([L],G),e.InlineSuggestions=G;var pe;(function(V){V[V.Active=-1]="Active",V[V.Beside=-2]="Beside",V[V.One=1]="One",V[V.Two=2]="Two",V[V.Three=3]="Three",V[V.Four=4]="Four",V[V.Five=5]="Five",V[V.Six=6]="Six",V[V.Seven=7]="Seven",V[V.Eight=8]="Eight",V[V.Nine=9]="Nine"})(pe=e.ViewColumn||(e.ViewColumn={}));var Se;(function(V){V[V.Left=1]="Left",V[V.Right=2]="Right"})(Se=e.StatusBarAlignment||(e.StatusBarAlignment={}));var Ae;(function(V){V[V.Off=0]="Off",V[V.On=1]="On",V[V.Relative=2]="Relative"})(Ae=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var Me;(function(V){V[V.Manual=1]="Manual",V[V.AfterDelay=2]="AfterDelay",V[V.FocusOut=3]="FocusOut"})(Me=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var je;(function(V){V[V.Default=0]="Default",V[V.InCenter=1]="InCenter",V[V.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",V[V.AtTop=3]="AtTop"})(je=e.TextEditorRevealType||(e.TextEditorRevealType={}));var tt;(function(V){V[V.Keyboard=1]="Keyboard",V[V.Mouse=2]="Mouse",V[V.Command=3]="Command"})(tt=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));var Xe;(function(V){V[V.OpenOpen=0]="OpenOpen",V[V.ClosedClosed=1]="ClosedClosed",V[V.OpenClosed=2]="OpenClosed",V[V.ClosedOpen=3]="ClosedOpen"})(Xe=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={})),function(V){function U(ie){switch(ie){case"keyboard":return V.Keyboard;case"mouse":return V.Mouse;case"api":return V.Command}}V.fromValue=U}(tt=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));let Ye=class{constructor(U,ie){if(ie&&!E.URI.isUri(ie))throw R.illegalArgument("target");if(!Q.isRange(U)||U.isEmpty)throw R.illegalArgument("range");this.range=U,this.target=ie}};Ye=ze([L],Ye),e.DocumentLink=Ye;let lt=class{constructor(U,ie,Ie,Qe){this.red=U,this.green=ie,this.blue=Ie,this.alpha=Qe}};lt=ze([L],lt),e.Color=lt;let ut=class{constructor(U,ie){if(ie&&!(ie instanceof lt))throw R.illegalArgument("color");if(!Q.isRange(U)||U.isEmpty)throw R.illegalArgument("range");this.range=U,this.color=ie}};ut=ze([L],ut),e.ColorInformation=ut;let _e=class{constructor(U){if(!U||typeof U!="string")throw R.illegalArgument("label");this.label=U}};_e=ze([L],_e),e.ColorPresentation=_e;var ye;(function(V){V[V.RGB=0]="RGB",V[V.HEX=1]="HEX",V[V.HSL=2]="HSL"})(ye=e.ColorFormat||(e.ColorFormat={}));var le;(function(V){V[V.Error=0]="Error",V[V.Warning=1]="Warning",V[V.Information=2]="Information"})(le=e.SourceControlInputBoxValidationType||(e.SourceControlInputBoxValidationType={}));class Y{constructor(U,ie,Ie){if(this.startIndex=U,this.length=ie,this.tooltip=Ie,typeof U!="number"||U<0)throw R.illegalArgument("startIndex");if(typeof ie!="number"||ie<1)throw R.illegalArgument("length");if(Ie!==void 0&&typeof Ie!="string")throw R.illegalArgument("tooltip")}}e.TerminalLink=Y;class Be{constructor(U){this.options=U,typeof U!="object"&&R.illegalArgument("options")}}e.TerminalProfile=Be;var De;(function(V){V[V.Always=1]="Always",V[V.Silent=2]="Silent",V[V.Never=3]="Never"})(De=e.TaskRevealKind||(e.TaskRevealKind={}));var Ze;(function(V){V[V.Shared=1]="Shared",V[V.Dedicated=2]="Dedicated",V[V.New=3]="New"})(Ze=e.TaskPanelKind||(e.TaskPanelKind={}));let Ke=p=class{constructor(U,ie){if(typeof U!="string"||typeof ie!="string")throw R.illegalArgument("name");this._id=U}static from(U){switch(U){case"clean":return p.Clean;case"build":return p.Build;case"rebuild":return p.Rebuild;case"test":return p.Test;default:return}}get id(){return this._id}};Ke.Clean=new p("clean","Clean"),Ke.Build=new p("build","Build"),Ke.Rebuild=new p("rebuild","Rebuild"),Ke.Test=new p("test","Test"),Ke=p=ze([L],Ke),e.TaskGroup=Ke;function rt(V){let U="";for(let ie=0;ie<V.length;ie++)U+=V[ie].replace(/,/g,",,")+",";return U}let ft=class{constructor(U,ie,Ie){if(typeof U!="string")throw R.illegalArgument("process");this._args=[],this._process=U,ie!==void 0&&(Array.isArray(ie)?(this._args=ie,this._options=Ie):this._options=ie)}get process(){return this._process}set process(U){if(typeof U!="string")throw R.illegalArgument("process");this._process=U}get args(){return this._args}set args(U){Array.isArray(U)||(U=[]),this._args=U}get options(){return this._options}set options(U){this._options=U}computeId(){const U=[];if(U.push("process"),this._process!==void 0&&U.push(this._process),this._args&&this._args.length>0)for(let ie of this._args)U.push(ie);return rt(U)}};ft=ze([L],ft),e.ProcessExecution=ft;let wt=class{constructor(U,ie,Ie){if(this._args=[],Array.isArray(ie)){if(!U)throw R.illegalArgument("command can't be undefined or null");if(typeof U!="string"&&typeof U.value!="string")throw R.illegalArgument("command");this._command=U,this._args=ie,this._options=Ie}else{if(typeof U!="string")throw R.illegalArgument("commandLine");this._commandLine=U,this._options=ie}}get commandLine(){return this._commandLine}set commandLine(U){if(typeof U!="string")throw R.illegalArgument("commandLine");this._commandLine=U}get command(){return this._command?this._command:""}set command(U){if(typeof U!="string"&&typeof U.value!="string")throw R.illegalArgument("command");this._command=U}get args(){return this._args}set args(U){this._args=U||[]}get options(){return this._options}set options(U){this._options=U}computeId(){const U=[];if(U.push("shell"),this._commandLine!==void 0&&U.push(this._commandLine),this._command!==void 0&&U.push(typeof this._command=="string"?this._command:this._command.value),this._args&&this._args.length>0)for(let ie of this._args)U.push(typeof ie=="string"?ie:ie.value);return rt(U)}};wt=ze([L],wt),e.ShellExecution=wt;var bt;(function(V){V[V.Escape=1]="Escape",V[V.Strong=2]="Strong",V[V.Weak=3]="Weak"})(bt=e.ShellQuoting||(e.ShellQuoting={}));var Et;(function(V){V[V.Global=1]="Global",V[V.Workspace=2]="Workspace"})(Et=e.TaskScope||(e.TaskScope={}));class yt{constructor(U){this._callback=U}computeId(){return"customExecution"+C.generateUuid()}set callback(U){this._callback=U}get callback(){return this._callback}}e.CustomExecution=yt;let kt=_=class{constructor(U,ie,Ie,Qe,nt,st){this.__deprecated=!1,this._definition=this.definition=U;let ot;typeof ie=="string"?(this._name=this.name=ie,this._source=this.source=Ie,this.execution=Qe,ot=nt,this.__deprecated=!0):ie===Et.Global||ie===Et.Workspace?(this.target=ie,this._name=this.name=Ie,this._source=this.source=Qe,this.execution=nt,ot=st):(this.target=ie,this._name=this.name=Ie,this._source=this.source=Qe,this.execution=nt,ot=st),typeof ot=="string"?(this._problemMatchers=[ot],this._hasDefinedMatchers=!0):Array.isArray(ot)?(this._problemMatchers=ot,this._hasDefinedMatchers=!0):(this._problemMatchers=[],this._hasDefinedMatchers=!1),this._isBackground=!1,this._presentationOptions=Object.create(null),this._runOptions=Object.create(null)}get _id(){return this.__id}set _id(U){this.__id=U}get _deprecated(){return this.__deprecated}clear(){this.__id!==void 0&&(this.__id=void 0,this._scope=void 0,this.computeDefinitionBasedOnExecution())}computeDefinitionBasedOnExecution(){this._execution instanceof ft?this._definition={type:_.ProcessType,id:this._execution.computeId()}:this._execution instanceof wt?this._definition={type:_.ShellType,id:this._execution.computeId()}:this._execution instanceof yt?this._definition={type:_.ExtensionCallbackType,id:this._execution.computeId()}:this._definition={type:_.EmptyType,id:C.generateUuid()}}get definition(){return this._definition}set definition(U){if(U==null)throw R.illegalArgument("Kind can't be undefined or null");this.clear(),this._definition=U}get scope(){return this._scope}set target(U){this.clear(),this._scope=U}get name(){return this._name}set name(U){if(typeof U!="string")throw R.illegalArgument("name");this.clear(),this._name=U}get execution(){return this._execution}set execution(U){U===null&&(U=void 0),this.clear(),this._execution=U;const ie=this._definition.type;(_.EmptyType===ie||_.ProcessType===ie||_.ShellType===ie||_.ExtensionCallbackType===ie)&&this.computeDefinitionBasedOnExecution()}get problemMatchers(){return this._problemMatchers}set problemMatchers(U){if(Array.isArray(U))this.clear(),this._problemMatchers=U,this._hasDefinedMatchers=!0;else{this.clear(),this._problemMatchers=[],this._hasDefinedMatchers=!1;return}}get hasDefinedMatchers(){return this._hasDefinedMatchers}get isBackground(){return this._isBackground}set isBackground(U){U!==!0&&U!==!1&&(U=!1),this.clear(),this._isBackground=U}get source(){return this._source}set source(U){if(typeof U!="string"||U.length===0)throw R.illegalArgument("source must be a string of length > 0");this.clear(),this._source=U}get group(){return this._group}set group(U){U===null&&(U=void 0),this.clear(),this._group=U}get detail(){return this._detail}set detail(U){U===null&&(U=void 0),this._detail=U}get presentationOptions(){return this._presentationOptions}set presentationOptions(U){U==null&&(U=Object.create(null)),this.clear(),this._presentationOptions=U}get runOptions(){return this._runOptions}set runOptions(U){U==null&&(U=Object.create(null)),this.clear(),this._runOptions=U}};kt.ExtensionCallbackType="customExecution",kt.ProcessType="process",kt.ShellType="shell",kt.EmptyType="$empty",kt=_=ze([L],kt),e.Task=kt;var _t;(function(V){V[V.SourceControl=1]="SourceControl",V[V.Window=10]="Window",V[V.Notification=15]="Notification"})(_t=e.ProgressLocation||(e.ProgressLocation={}));let dt=class{constructor(U,ie=vt.None){this.collapsibleState=ie,E.URI.isUri(U)?this.resourceUri=U:this.label=U}};dt=ze([L],dt),e.TreeItem=dt;var vt;(function(V){V[V.None=0]="None",V[V.Collapsed=1]="Collapsed",V[V.Expanded=2]="Expanded"})(vt=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));let ht=class{constructor(U,ie){this.id=U,this.color=ie}};ht=ze([L],ht),e.ThemeIcon=ht,ht.File=new ht("file"),ht.Folder=new ht("folder");let xt=class{constructor(U){this.id=U}};xt=ze([L],xt),e.ThemeColor=xt;var Pt;(function(V){V[V.Global=1]="Global",V[V.Workspace=2]="Workspace",V[V.WorkspaceFolder=3]="WorkspaceFolder"})(Pt=e.ConfigurationTarget||(e.ConfigurationTarget={}));let Xt=class{constructor(U,ie){if(typeof U!="string"&&(!U||!E.URI.isUri(U)&&!E.URI.isUri(U.uri)))throw R.illegalArgument("base");if(typeof ie!="string")throw R.illegalArgument("pattern");typeof U=="string"?(this.baseFolder=E.URI.file(U),this.base=U):E.URI.isUri(U)?(this.baseFolder=U,this.base=U.fsPath):(this.baseFolder=U.uri,this.base=U.uri.fsPath),this.pattern=ie}};Xt=ze([L],Xt),e.RelativePattern=Xt;let Bt=class{constructor(U,ie,Ie,Qe){this.enabled=typeof U=="boolean"?U:!0,typeof ie=="string"&&(this.condition=ie),typeof Ie=="string"&&(this.hitCondition=Ie),typeof Qe=="string"&&(this.logMessage=Qe)}get id(){return this._id||(this._id=C.generateUuid()),this._id}};Bt=ze([L],Bt),e.Breakpoint=Bt;let Ct=class extends Bt{constructor(U,ie,Ie,Qe,nt){super(ie,Ie,Qe,nt);if(U===null)throw R.illegalArgument("location");this.location=U}};Ct=ze([L],Ct),e.SourceBreakpoint=Ct;let Yt=class extends Bt{constructor(U,ie,Ie,Qe,nt){super(ie,Ie,Qe,nt);this.functionName=U}};Yt=ze([L],Yt),e.FunctionBreakpoint=Yt;let Jt=class extends Bt{constructor(U,ie,Ie,Qe,nt,st,ot){super(Qe,nt,st,ot);if(!ie)throw R.illegalArgument("dataId");this.label=U,this.dataId=ie,this.canPersist=Ie}};Jt=ze([L],Jt),e.DataBreakpoint=Jt;let mt=class{constructor(U,ie,Ie){this.command=U,this.args=ie||[],this.options=Ie}};mt=ze([L],mt),e.DebugAdapterExecutable=mt;let Gt=class{constructor(U,ie){this.port=U,this.host=ie}};Gt=ze([L],Gt),e.DebugAdapterServer=Gt;let qt=class{constructor(U){this.path=U}};qt=ze([L],qt),e.DebugAdapterNamedPipeServer=qt;let Zt=class{constructor(U){this.implementation=U}};Zt=ze([L],Zt),e.DebugAdapterInlineImplementation=Zt;let en=class{constructor(U,ie){this.range=U,this.expression=ie}};en=ze([L],en),e.EvaluatableExpression=en;var At;(function(V){V[V.Automatic=0]="Automatic",V[V.Explicit=1]="Explicit"})(At=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));let Kt=class{constructor(U,ie){this.range=U,this.text=ie}};Kt=ze([L],Kt),e.InlineValueText=Kt;let tn=class{constructor(U,ie,Ie=!0){this.range=U,this.variableName=ie,this.caseSensitiveLookup=Ie}};tn=ze([L],tn),e.InlineValueVariableLookup=tn;let jt=class{constructor(U,ie){this.range=U,this.expression=ie}};jt=ze([L],jt),e.InlineValueEvaluatableExpression=jt;let ct=class{constructor(U,ie){this.frameId=U,this.stoppedLocation=ie}};ct=ze([L],ct),e.InlineValueContext=ct;var _n;(function(V){V[V.Changed=1]="Changed",V[V.Created=2]="Created",V[V.Deleted=3]="Deleted"})(_n=e.FileChangeType||(e.FileChangeType={}));let Rt=D=class extends Error{constructor(U,ie=n.FileSystemProviderErrorCode.Unknown,Ie){super(E.URI.isUri(U)?U.toString(!0):U);this.code=Ie?.name??"Unknown",n.markAsFileSystemProviderError(this,ie),typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,D.prototype),typeof Error.captureStackTrace=="function"&&typeof Ie=="function"&&Error.captureStackTrace(this,Ie)}static FileExists(U){return new D(U,n.FileSystemProviderErrorCode.FileExists,D.FileExists)}static FileNotFound(U){return new D(U,n.FileSystemProviderErrorCode.FileNotFound,D.FileNotFound)}static FileNotADirectory(U){return new D(U,n.FileSystemProviderErrorCode.FileNotADirectory,D.FileNotADirectory)}static FileIsADirectory(U){return new D(U,n.FileSystemProviderErrorCode.FileIsADirectory,D.FileIsADirectory)}static NoPermissions(U){return new D(U,n.FileSystemProviderErrorCode.NoPermissions,D.NoPermissions)}static Unavailable(U){return new D(U,n.FileSystemProviderErrorCode.Unavailable,D.Unavailable)}};Rt=D=ze([L],Rt),e.FileSystemError=Rt;let $t=class{constructor(U,ie,Ie){this.start=U,this.end=ie,this.kind=Ie}};$t=ze([L],$t),e.FoldingRange=$t;var dn;(function(V){V[V.Comment=1]="Comment",V[V.Imports=2]="Imports",V[V.Region=3]="Region"})(dn=e.FoldingRangeKind||(e.FoldingRangeKind={}));var Sn;(function(V){V[V.Collapsed=0]="Collapsed",V[V.Expanded=1]="Expanded"})(Sn=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var hn;(function(V){V[V.Editing=0]="Editing",V[V.Preview=1]="Preview"})(hn=e.CommentMode||(e.CommentMode={}));class yn{constructor(U,ie=[]){this.tokenTypes=U,this.tokenModifiers=ie}}e.SemanticTokensLegend=yn;function fn(V){return typeof V=="undefined"||I.isStringArray(V)}class Ft{constructor(U){if(this._prevLine=0,this._prevChar=0,this._dataIsSortedAndDeltaEncoded=!0,this._data=[],this._dataLen=0,this._tokenTypeStrToInt=new Map,this._tokenModifierStrToInt=new Map,this._hasLegend=!1,U){this._hasLegend=!0;for(let ie=0,Ie=U.tokenTypes.length;ie<Ie;ie++)this._tokenTypeStrToInt.set(U.tokenTypes[ie],ie);for(let ie=0,Ie=U.tokenModifiers.length;ie<Ie;ie++)this._tokenModifierStrToInt.set(U.tokenModifiers[ie],ie)}}push(U,ie,Ie,Qe,nt){if(typeof U=="number"&&typeof ie=="number"&&typeof Ie=="number"&&typeof Qe=="number"&&(typeof nt=="number"||typeof nt=="undefined"))return typeof nt=="undefined"&&(nt=0),this._pushEncoded(U,ie,Ie,Qe,nt);if(Q.isRange(U)&&typeof ie=="string"&&fn(Ie))return this._push(U,ie,Ie);throw R.illegalArgument()}_push(U,ie,Ie){if(!this._hasLegend)throw new Error("Legend must be provided in constructor");if(U.start.line!==U.end.line)throw new Error("`range` cannot span multiple lines");if(!this._tokenTypeStrToInt.has(ie))throw new Error("`tokenType` is not in the provided legend");const Qe=U.start.line,nt=U.start.character,st=U.end.character-U.start.character,ot=this._tokenTypeStrToInt.get(ie);let St=0;if(Ie)for(const It of Ie){if(!this._tokenModifierStrToInt.has(It))throw new Error("`tokenModifier` is not in the provided legend");const Lt=this._tokenModifierStrToInt.get(It);St|=1<<Lt>>>0}this._pushEncoded(Qe,nt,st,ot,St)}_pushEncoded(U,ie,Ie,Qe,nt){if(this._dataIsSortedAndDeltaEncoded&&(U<this._prevLine||U===this._prevLine&&ie<this._prevChar)){this._dataIsSortedAndDeltaEncoded=!1;const St=this._data.length/5|0;let It=0,Lt=0;for(let Ut=0;Ut<St;Ut++){let zt=this._data[5*Ut],cn=this._data[5*Ut+1];zt===0?(zt=It,cn+=Lt):zt+=It,this._data[5*Ut]=zt,this._data[5*Ut+1]=cn,It=zt,Lt=cn}}let st=U,ot=ie;this._dataIsSortedAndDeltaEncoded&&this._dataLen>0&&(st-=this._prevLine,st===0&&(ot-=this._prevChar)),this._data[this._dataLen++]=st,this._data[this._dataLen++]=ot,this._data[this._dataLen++]=Ie,this._data[this._dataLen++]=Qe,this._data[this._dataLen++]=nt,this._prevLine=U,this._prevChar=ie}static _sortAndDeltaEncode(U){let ie=[];const Ie=U.length/5|0;for(let ot=0;ot<Ie;ot++)ie[ot]=ot;ie.sort((ot,St)=>{const It=U[5*ot],Lt=U[5*St];if(It===Lt){const Ut=U[5*ot+1],zt=U[5*St+1];return Ut-zt}return It-Lt});const Qe=new Uint32Array(U.length);let nt=0,st=0;for(let ot=0;ot<Ie;ot++){const St=5*ie[ot],It=U[St+0],Lt=U[St+1],Ut=U[St+2],zt=U[St+3],cn=U[St+4],Bn=It-nt,Gn=Bn===0?Lt-st:Lt,un=5*ot;Qe[un+0]=Bn,Qe[un+1]=Gn,Qe[un+2]=Ut,Qe[un+3]=zt,Qe[un+4]=cn,nt=It,st=Lt}return Qe}build(U){return this._dataIsSortedAndDeltaEncoded?new nn(new Uint32Array(this._data),U):new nn(Ft._sortAndDeltaEncode(this._data),U)}}e.SemanticTokensBuilder=Ft;class nn{constructor(U,ie){this.resultId=ie,this.data=U}}e.SemanticTokens=nn;class rn{constructor(U,ie,Ie){this.start=U,this.deleteCount=ie,this.data=Ie}}e.SemanticTokensEdit=rn;class sn{constructor(U,ie){this.resultId=ie,this.edits=U}}e.SemanticTokensEdits=sn;var Dn;(function(V){V[V.Separate=0]="Separate",V[V.MergeWithParent=1]="MergeWithParent"})(Dn=e.DebugConsoleMode||(e.DebugConsoleMode={}));var Cn;(function(V){V[V.Initial=1]="Initial",V[V.Dynamic=2]="Dynamic"})(Cn=e.DebugConfigurationProviderTriggerKind||(e.DebugConfigurationProviderTriggerKind={}));let Mt=class{constructor(){}};Mt.Back={iconPath:new ht("arrow-left")},Mt=ze([L],Mt),e.QuickInputButtons=Mt;var kn;(function(V){V[V.UI=1]="UI",V[V.Workspace=2]="Workspace"})(kn=e.ExtensionKind||(e.ExtensionKind={}));class In{constructor(U,ie,Ie){this.badge=U,this.tooltip=ie,this.color=Ie}static validate(U){if(U.badge&&U.badge.length!==1&&U.badge.length!==2)throw new Error("The 'badge'-property must be undefined or a short character");if(!U.color&&!U.badge&&!U.tooltip)throw new Error("The decoration is empty")}}e.FileDecoration=In;let on=class{constructor(U){this.kind=U}};on=ze([L],on),e.ColorTheme=on;var Pn;(function(V){V[V.Light=1]="Light",V[V.Dark=2]="Dark",V[V.HighContrast=3]="HighContrast"})(Pn=e.ColorThemeKind||(e.ColorThemeKind={}));class Wt{constructor(U,ie){if(U<0)throw R.illegalArgument("start must be positive");if(ie<0)throw R.illegalArgument("end must be positive");U<=ie?(this._start=U,this._end=ie):(this._start=ie,this._end=U)}static isNotebookRange(U){return U instanceof Wt?!0:U?typeof U.start=="number"&&typeof U.end=="number":!1}get start(){return this._start}get end(){return this._end}get isEmpty(){return this._start===this._end}with(U){let ie=this._start,Ie=this._end;return U.start!==void 0&&(ie=U.start),U.end!==void 0&&(Ie=U.end),ie===this._start&&Ie===this._end?this:new Wt(ie,Ie)}}e.NotebookRange=Wt;class Ot{constructor(U,ie,Ie,Qe,nt,st,ot){this.kind=U,this.value=ie,this.languageId=Ie,this.mime=Qe,this.outputs=nt??[],this.metadata=st,this.executionSummary=ot,Ot.validate(this)}static validate(U){if(typeof U.kind!="number")throw new Error("NotebookCellData MUST have 'kind' property");if(typeof U.value!="string")throw new Error("NotebookCellData MUST have 'value' property");if(typeof U.languageId!="string")throw new Error("NotebookCellData MUST have 'languageId' property")}static isNotebookCellDataArray(U){return Array.isArray(U)&&U.every(ie=>Ot.isNotebookCellData(ie))}static isNotebookCellData(U){return!0}}e.NotebookCellData=Ot;class mn{constructor(U){this.cells=U}}e.NotebookData=mn;class Tt{constructor(U,ie){this.data=U,this.mime=ie;const Ie=A.normalizeMimeType(ie,!0);if(!Ie)throw new Error("INVALID mime type, must not be empty or falsy: "+ie);this.mime=Ie}static isNotebookCellOutputItem(U){return U instanceof Tt?!0:U?typeof U.mime=="string"&&U.data instanceof Uint8Array:!1}static error(U){const ie={name:U.name,message:U.message,stack:U.stack};return Tt.json(ie,"application/vnd.code.notebook.error")}static stdout(U){return Tt.text(U,"application/vnd.code.notebook.stdout")}static stderr(U){return Tt.text(U,"application/vnd.code.notebook.stderr")}static bytes(U,ie="application/octet-stream"){return new Tt(U,ie)}static text(U,ie=A.Mimes.text){const Ie=Ue(Tt,u,"f",S).encode(String(U));return new Tt(Ie,ie)}static json(U,ie="application/json"){const Ie=JSON.stringify(U,void 0,"	");return Tt.text(Ie,ie)}}e.NotebookCellOutputItem=Tt,u=Tt,S={value:new TextEncoder};class Oe{constructor(U,ie,Ie){this.items=Oe.ensureUniqueMimeTypes(U,!0),typeof ie=="string"?(this.id=ie,this.metadata=Ie):(this.id=C.generateUuid(),this.metadata=ie??Ie)}static isNotebookCellOutput(U){return U instanceof Oe?!0:!U||typeof U!="object"?!1:typeof U.id=="string"&&I.isArray(U.items)}static ensureUniqueMimeTypes(U,ie=!1){const Ie=new Set,Qe=new Set;for(let nt=0;nt<U.length;nt++){const st=U[nt],ot=A.normalizeMimeType(st.mime);if(!Ie.has(ot)){Ie.add(ot);continue}Qe.add(nt),ie&&console.warn(`DUPLICATED mime type '${st.mime}' will be dropped`)}return Qe.size===0?U:U.filter((nt,st)=>!Qe.has(st))}}e.NotebookCellOutput=Oe;var an;(function(V){V[V.Markup=1]="Markup",V[V.Code=2]="Code"})(an=e.NotebookCellKind||(e.NotebookCellKind={}));var gn;(function(V){V[V.Idle=1]="Idle",V[V.Pending=2]="Pending",V[V.Executing=3]="Executing"})(gn=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var gt;(function(V){V[V.Left=1]="Left",V[V.Right=2]="Right"})(gt=e.NotebookCellStatusBarAlignment||(e.NotebookCellStatusBarAlignment={}));var An;(function(V){V[V.Default=0]="Default",V[V.InCenter=1]="InCenter",V[V.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",V[V.AtTop=3]="AtTop"})(An=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));class Tn{constructor(U,ie){this.text=U,this.alignment=ie}}e.NotebookCellStatusBarItem=Tn;var pn;(function(V){V[V.Default=1]="Default",V[V.Preferred=2]="Preferred"})(pn=e.NotebookControllerAffinity||(e.NotebookControllerAffinity={}));class vn{constructor(U,ie=[]){this.uri=U,this.provides=g.asArray(ie)}}e.NotebookRendererScript=vn;let ln=class{constructor(U,ie){this.label=U,this.timestamp=ie}};ln=ze([L],ln),e.TimelineItem=ln;var Rn;(function(V){V[V.Production=1]="Production",V[V.Development=2]="Development",V[V.Test=3]="Test"})(Rn=e.ExtensionMode||(e.ExtensionMode={}));var Ln;(function(V){V[V.Node=1]="Node",V[V.Webworker=2]="Webworker"})(Ln=e.ExtensionRuntime||(e.ExtensionRuntime={}));var Fn;(function(V){V[V.Other=0]="Other",V[V.Comment=1]="Comment",V[V.String=2]="String",V[V.RegEx=4]="RegEx"})(Fn=e.StandardTokenType||(e.StandardTokenType={}));class wn{constructor(U,ie){this.ranges=U,this.wordPattern=ie}}e.LinkedEditingRanges=wn;class Mn{constructor(U,ie){this._port=U,this._autoForwardAction=ie}get port(){return this._port}get autoForwardAction(){return this._autoForwardAction}}e.PortAttributes=Mn;var On;(function(V){V[V.Unset=0]="Unset",V[V.Queued=1]="Queued",V[V.Running=2]="Running",V[V.Passed=3]="Passed",V[V.Failed=4]="Failed",V[V.Skipped=5]="Skipped",V[V.Errored=6]="Errored"})(On=e.TestResultState||(e.TestResultState={}));var bn;(function(V){V[V.Error=0]="Error",V[V.Warning=1]="Warning",V[V.Information=2]="Information",V[V.Hint=3]="Hint"})(bn=e.TestMessageSeverity||(e.TestMessageSeverity={}));const Nt=(V,U,ie,Ie)=>{let Qe=ie;return{enumerable:!0,configurable:!1,get(){return Qe},set(nt){Ie(Qe,nt)||(Qe=nt,V.bus.fire([3,U,nt]))}}},Ht=(V,U)=>V===U,te=(V,U)=>V===U?!0:!V||!U?!1:V.isEqual(U);class ue{constructor(U,ie,Ie=!1){this.tests=U,this.exclude=ie,this.debug=Ie}}e.TestRunRequest=ue;class Te{constructor(U,ie,Ie,Qe,nt){this.data=Qe;const st=d.getPrivateApiFor(this);if(Object.defineProperties(this,{id:{value:U,enumerable:!0,writable:!1},uri:{value:Ie,enumerable:!0,writable:!1},parent:{enumerable:!1,value:nt,writable:!1},children:{value:new y.ReadonlyMapView(st.children),enumerable:!0,writable:!1},range:Nt(st,"range",void 0,te),label:Nt(st,"label",ie,Ht),description:Nt(st,"description",void 0,Ht),runnable:Nt(st,"runnable",!0,Ht),debuggable:Nt(st,"debuggable",!1,Ht),canResolveChildren:Nt(st,"canResolveChildren",!1,Ht),busy:Nt(st,"busy",!1,Ht),error:Nt(st,"error",void 0,Ht)}),nt){if(!(nt instanceof Te))throw new Error(`The "parent" passed in for TestItem ${U} is invalid`);const ot=d.getPrivateApiFor(nt);if(ot.children.has(U))throw new Error(`Attempted to insert a duplicate test item ID ${U}`);ot.children.set(U,this),ot.bus.fire([0,this])}}invalidate(){return this.invalidateResults()}invalidateResults(){d.getPrivateApiFor(this).bus.fire([2])}dispose(){this.parent&&d.getPrivateApiFor(this.parent).children.delete(this.id),d.getPrivateApiFor(this).bus.fire([1])}}e.TestItemImpl=Te;let at=o=class{constructor(U){this.message=U,this.severity=bn.Error}static diff(U,ie,Ie){const Qe=new o(U);return Qe.expectedOutput=ie,Qe.actualOutput=Ie,Qe}};at=o=ze([L],at),e.TestMessage=at;let pt=class{constructor(U,ie){this.covered=U,this.total=ie}};pt=ze([L],pt),e.CoveredCount=pt;let Dt=T=class{constructor(U,ie,Ie,Qe){this.uri=U,this.statementCoverage=ie,this.branchCoverage=Ie,this.functionCoverage=Qe}static fromDetails(U,ie){const Ie=new pt(0,0),Qe=new pt(0,0),nt=new pt(0,0);for(const ot of ie)if("branches"in ot){Ie.total+=1,Ie.covered+=ot.executionCount>0?1:0;for(const St of ot.branches)Qe.total+=1,Qe.covered+=St.executionCount>0?1:0}else nt.total+=1,nt.covered+=ot.executionCount>0?1:0;const st=new T(U,Ie,Qe.total>0?Qe:void 0,nt.total>0?nt:void 0);return st.detailedCoverage=ie,st}};Dt=T=ze([L],Dt),e.FileCoverage=Dt;let Nn=class{constructor(U,ie,Ie=[]){this.executionCount=U,this.location=ie,this.branches=Ie}};Nn=ze([L],Nn),e.StatementCoverage=Nn;let Un=class{constructor(U,ie){this.executionCount=U,this.location=ie}};Un=ze([L],Un),e.BranchCoverage=Un;let xn=class{constructor(U,ie){this.executionCount=U,this.location=ie}};xn=ze([L],xn),e.FunctionCoverage=xn;var Vn;(function(V){V[V.None=0]="None",V[V.Option=1]="Option",V[V.Default=2]="Default",V[V.Preferred=3]="Preferred"})(Vn=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}));var jn;(function(V){V[V.Untrusted=0]="Untrusted",V[V.Trusted=1]="Trusted",V[V.Unspecified=2]="Unspecified"})(jn=e.WorkspaceTrustState||(e.WorkspaceTrustState={}));var qn;(function(V){V[V.Notify=1]="Notify",V[V.OpenBrowser=2]="OpenBrowser",V[V.OpenPreview=3]="OpenPreview",V[V.Silent=4]="Silent",V[V.Ignore=5]="Ignore",V[V.OpenBrowserOnce=6]="OpenBrowserOnce"})(qn=e.PortAutoForwardAction||(e.PortAutoForwardAction={}))}),define(fe[120],me([0,1,52,10,8,146,107,7,18]),function(X,e,g,R,k,y,A,I,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentLine=e.ExtHostDocumentData=e.getWordDefinitionFor=e.setWordDefinitionFor=void 0;const C=new Map;function n(l,u){u?C.set(l,u):C.delete(l)}e.setWordDefinitionFor=n;function P(l){return C.get(l)}e.getWordDefinitionFor=P;class d extends y.MirrorTextModel{constructor(u,S,w,b,h,c,f,t){super(S,w,b,h);this._proxy=u,this._languageId=c,this._isDirty=f,this._notebook=t,this._isDisposed=!1}dispose(){g.ok(!this._isDisposed),this._isDisposed=!0,this._isDirty=!1}equalLines(u){return E.equals(this._lines,u)}get document(){if(!this._document){const u=this;this._document={get uri(){return u._uri},get fileName(){return u._uri.fsPath},get isUntitled(){return u._uri.scheme===R.Schemas.untitled},get languageId(){return u._languageId},get version(){return u._versionId},get isClosed(){return u._isDisposed},get isDirty(){return u._isDirty},get notebook(){return u._notebook},save(){return u._save()},getText(S){return S?u._getTextInRange(S):u.getText()},get eol(){return u._eol===`
`?I.EndOfLine.LF:I.EndOfLine.CRLF},get lineCount(){return u._lines.length},lineAt(S){return u._lineAt(S)},offsetAt(S){return u._offsetAt(S)},positionAt(S){return u._positionAt(S)},validateRange(S){return u._validateRange(S)},validatePosition(S){return u._validatePosition(S)},getWordRangeAtPosition(S,w){return u._getWordRangeAtPosition(S,w)}}}return Object.freeze(this._document)}_acceptLanguageId(u){g.ok(!this._isDisposed),this._languageId=u}_acceptIsDirty(u){g.ok(!this._isDisposed),this._isDirty=u}_save(){return this._isDisposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this._uri)}_getTextInRange(u){const S=this._validateRange(u);if(S.isEmpty)return"";if(S.isSingleLine)return this._lines[S.start.line].substring(S.start.character,S.end.character);const w=this._eol,b=S.start.line,h=S.end.line,c=[];c.push(this._lines[b].substring(S.start.character));for(let f=b+1;f<h;f++)c.push(this._lines[f]);return c.push(this._lines[h].substring(0,S.end.character)),c.join(w)}_lineAt(u){let S;if(u instanceof I.Position?S=u.line:typeof u=="number"&&(S=u),typeof S!="number"||S<0||S>=this._lines.length||Math.floor(S)!==S)throw new Error("Illegal value for `line`");return new m(S,this._lines[S],S===this._lines.length-1)}_offsetAt(u){return u=this._validatePosition(u),this._ensureLineStarts(),this._lineStarts.getPrefixSum(u.line-1)+u.character}_positionAt(u){u=Math.floor(u),u=Math.max(0,u),this._ensureLineStarts();const S=this._lineStarts.getIndexOf(u),w=this._lines[S.index].length;return new I.Position(S.index,Math.min(S.remainder,w))}_validateRange(u){if(!(u instanceof I.Range))throw new Error("Invalid argument");const S=this._validatePosition(u.start),w=this._validatePosition(u.end);return S===u.start&&w===u.end?u:new I.Range(S.line,S.character,w.line,w.character)}_validatePosition(u){if(!(u instanceof I.Position))throw new Error("Invalid argument");if(this._lines.length===0)return u.with(0,0);let{line:S,character:w}=u,b=!1;if(S<0)S=0,w=0,b=!0;else if(S>=this._lines.length)S=this._lines.length-1,w=this._lines[S].length,b=!0;else{const h=this._lines[S].length;w<0?(w=0,b=!0):w>h&&(w=h,b=!0)}return b?new I.Position(S,w):u}_getWordRangeAtPosition(u,S){const w=this._validatePosition(u);if(!S)S=P(this._languageId);else if(k.regExpLeadsToEndlessLoop(S))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${S.source}' because it matches the empty string.`);const b=A.getWordAtText(w.character+1,A.ensureValidWordDefinition(S),this._lines[w.line],0);if(b)return new I.Range(w.line,b.startColumn-1,w.line,b.endColumn-1)}}e.ExtHostDocumentData=d;class m{constructor(u,S,w){this._line=u,this._text=S,this._isLastLine=w}get lineNumber(){return this._line}get text(){return this._text}get range(){return new I.Range(this._line,0,this._line,this._text.length)}get rangeIncludingLineBreak(){return this._isLastLine?this.range:new I.Range(this._line,0,this._line+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this._text)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this._text.length}}e.ExtHostDocumentLine=m}),define(fe[197],me([0,1,7,3,109,6,76,24,2,32]),function(X,e,g,R,k,y,A,I,E,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookConcatDocument=void 0;class n{constructor(d,m,l,u){this._notebook=l,this._selector=u,this._disposables=new y.DisposableStore,this._isClosed=!1,this._versionId=0,this._onDidChange=new R.Emitter,this.onDidChange=this._onDidChange.event,this.uri=E.URI.from({scheme:"vscode-concat-doc",path:C.generateUuid()}),this._init(),this._disposables.add(m.onDidChangeDocument(w=>{const b=this._cellUris.get(w.document.uri);b!==void 0&&(this._cellLengths.changeValue(b,this._cells[b].document.getText().length+1),this._cellLines.changeValue(b,this._cells[b].document.lineCount),this._versionId+=1,this._onDidChange.fire(void 0))}));const S=w=>{w===this._notebook&&(this._init(),this._versionId+=1,this._onDidChange.fire(void 0))};this._disposables.add(d.onDidChangeNotebookCells(w=>S(w.document)))}dispose(){this._disposables.dispose(),this._isClosed=!0}get isClosed(){return this._isClosed}_init(){this._cells=[],this._cellUris=new I.ResourceMap;const d=[],m=[];for(const l of this._notebook.getCells())l.kind===g.NotebookCellKind.Code&&(!this._selector||A.score(this._selector,l.document.uri,l.document.languageId,!0))&&(this._cellUris.set(l.document.uri,this._cells.length),this._cells.push(l),d.push(l.document.getText().length+1),m.push(l.document.lineCount));this._cellLengths=new k.PrefixSumComputer(new Uint32Array(d)),this._cellLines=new k.PrefixSumComputer(new Uint32Array(m))}get version(){return this._versionId}getText(d){if(!d){let b="";for(const h of this._cells)b+=h.document.getText()+`
`;return b=b.slice(0,-1),b}if(d.isEmpty)return"";const m=this.locationAt(d.start),l=this.locationAt(d.end),u=this._cellUris.get(m.uri),S=this._cellUris.get(l.uri);if(u===void 0||S===void 0)return"";if(u===S)return this._cells[u].document.getText(new g.Range(m.range.start,l.range.end));const w=[this._cells[u].document.getText(new g.Range(m.range.start,new g.Position(this._cells[u].document.lineCount,0)))];for(let b=u+1;b<S;b++)w.push(this._cells[b].document.getText());return w.push(this._cells[S].document.getText(new g.Range(new g.Position(0,0),l.range.end))),w.join(`
`)}offsetAt(d){const m=this._cellLines.getIndexOf(d.line),l=this._cellLengths.getPrefixSum(m.index-1),u=this._cells[m.index].document.offsetAt(d.with(m.remainder));return l+u}positionAt(d){if(typeof d=="number"){const l=this._cellLengths.getIndexOf(d),u=this._cellLines.getPrefixSum(l.index-1);return this._cells[l.index].document.positionAt(l.remainder).translate(u)}const m=this._cellUris.get(d.uri);if(m!==void 0){const l=this._cellLines.getPrefixSum(m-1);return new g.Position(l+d.range.start.line,d.range.start.character)}return new g.Position(0,0)}locationAt(d){g.Range.isRange(d)||(d=new g.Range(d,d));const m=this._cellLines.getIndexOf(d.start.line);let l=m;d.isEmpty||(l=this._cellLines.getIndexOf(d.end.line));const u=new g.Position(m.remainder,d.start.character),S=new g.Position(l.remainder,d.end.character),w=new g.Range(u,S),b=this._cells[m.index];return new g.Location(b.document.uri,b.document.validateRange(w))}contains(d){return this._cellUris.has(d)}validateRange(d){const m=this.validatePosition(d.start),l=this.validatePosition(d.end);return d.with(m,l)}validatePosition(d){const m=this._cellLines.getIndexOf(d.line),l=new g.Position(m.remainder,d.character),u=this._cells[m.index].document.validatePosition(l),S=this._cellLines.getPrefixSum(m.index-1);return new g.Position(S+u.line,u.character)}}e.ExtHostNotebookConcatDocument=n}),define(fe[198],me([0,1,7,13,3]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTheming=void 0;let y=class{constructor(I){this._actual=new g.ColorTheme(g.ColorThemeKind.Dark),this._onDidChangeActiveColorTheme=new k.Emitter}get activeColorTheme(){return this._actual}$onColorThemeChange(I){let E=I==="light"?g.ColorThemeKind.Light:I==="dark"?g.ColorThemeKind.Dark:g.ColorThemeKind.HighContrast;this._actual=new g.ColorTheme(E),this._onDidChangeActiveColorTheme.fire(this._actual)}get onDidChangeActiveColorTheme(){return this._onDidChangeActiveColorTheme.event}};y=ze([We(0,R.IExtHostRpcService)],y),e.ExtHostTheming=y}),define(fe[60],me([0,1,4]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URITransformerService=e.IURITransformerService=void 0,e.IURITransformerService=g.createDecorator("IURITransformerService");class R{constructor(y){y?(this.transformIncoming=y.transformIncoming.bind(y),this.transformOutgoing=y.transformOutgoing.bind(y),this.transformOutgoingURI=y.transformOutgoingURI.bind(y),this.transformOutgoingScheme=y.transformOutgoingScheme.bind(y)):(this.transformIncoming=A=>A,this.transformOutgoing=A=>A,this.transformOutgoingURI=A=>A,this.transformOutgoingScheme=A=>A)}}e.URITransformerService=R}),define(fe[199],me([0,1,23]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeWebviewMessage=e.serializeWebviewMessage=void 0;class R{constructor(){this.buffers=[]}add(E){let C=this.buffers.indexOf(E);return C<0&&(C=this.buffers.length,this.buffers.push(E)),C}}function k(I,E){if(E.serializeBuffersForPostMessage){const C=new R,n=(m,l)=>{if(l instanceof ArrayBuffer){const u=C.add(l);return{$$vscode_array_buffer_reference$$:!0,index:u}}else if(ArrayBuffer.isView(l)){const u=y(l);if(u){const S=C.add(l.buffer);return{$$vscode_array_buffer_reference$$:!0,index:S,view:{type:u,byteLength:l.byteLength,byteOffset:l.byteOffset}}}}return l},P=JSON.stringify(I,n),d=C.buffers.map(m=>{const l=new Uint8Array(m);return g.VSBuffer.wrap(l)});return{message:P,buffers:d}}else return{message:JSON.stringify(I),buffers:[]}}e.serializeWebviewMessage=k;function y(I){switch(I.constructor.name){case"Int8Array":return 1;case"Uint8Array":return 2;case"Uint8ClampedArray":return 3;case"Int16Array":return 4;case"Uint16Array":return 5;case"Int32Array":return 6;case"Uint32Array":return 7;case"Float32Array":return 8;case"Float64Array":return 9;case"BigInt64Array":return 10;case"BigUint64Array":return 11}}function A(I,E){const C=E.map(d=>{const m=new ArrayBuffer(d.byteLength);return new Uint8Array(m).set(d.buffer),m}),n=E.length?(d,m)=>{if(typeof m=="object"&&m.$$vscode_array_buffer_reference$$){const l=m,{index:u}=l,S=C[u];if(l.view)switch(l.view.type){case 1:return new Int8Array(S,l.view.byteOffset,l.view.byteLength/Int8Array.BYTES_PER_ELEMENT);case 2:return new Uint8Array(S,l.view.byteOffset,l.view.byteLength/Uint8Array.BYTES_PER_ELEMENT);case 3:return new Uint8ClampedArray(S,l.view.byteOffset,l.view.byteLength/Uint8ClampedArray.BYTES_PER_ELEMENT);case 4:return new Int16Array(S,l.view.byteOffset,l.view.byteLength/Int16Array.BYTES_PER_ELEMENT);case 5:return new Uint16Array(S,l.view.byteOffset,l.view.byteLength/Uint16Array.BYTES_PER_ELEMENT);case 6:return new Int32Array(S,l.view.byteOffset,l.view.byteLength/Int32Array.BYTES_PER_ELEMENT);case 7:return new Uint32Array(S,l.view.byteOffset,l.view.byteLength/Uint32Array.BYTES_PER_ELEMENT);case 8:return new Float32Array(S,l.view.byteOffset,l.view.byteLength/Float32Array.BYTES_PER_ELEMENT);case 9:return new Float64Array(S,l.view.byteOffset,l.view.byteLength/Float64Array.BYTES_PER_ELEMENT);case 10:return new BigInt64Array(S,l.view.byteOffset,l.view.byteLength/BigInt64Array.BYTES_PER_ELEMENT);case 11:return new BigUint64Array(S,l.view.byteOffset,l.view.byteLength/BigUint64Array.BYTES_PER_ELEMENT);default:throw new Error("Unknown array buffer view type")}return S}return m}:void 0;return{message:JSON.parse(I,n),arrayBuffers:C}}e.deserializeWebviewMessage=A}),define(fe[84],me([0,1,10,2]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.asWebviewUri=e.webviewGenericCspSource=e.webviewRootResourceAuthority=e.webviewResourceBaseHost=void 0,e.webviewResourceBaseHost="vscode-webview.net",e.webviewRootResourceAuthority=`vscode-resource.${e.webviewResourceBaseHost}`,e.webviewGenericCspSource=`https://*.${e.webviewResourceBaseHost}`;function k(y,A){return y.scheme===g.Schemas.http||y.scheme===g.Schemas.https?y:(A&&A.authority&&A.isRemote&&y.scheme===g.Schemas.file&&(y=R.URI.from({scheme:g.Schemas.vscodeRemote,authority:A.authority,path:y.path})),R.URI.from({scheme:g.Schemas.https,authority:`${y.scheme}+${y.authority}.${e.webviewRootResourceAuthority}`,path:y.path,fragment:y.fragment,query:y.query}))}e.asWebviewUri=k}),define(fe[200],me([0,1,3,6,84]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorInsets=void 0;class y{constructor(I,E,C){this._proxy=I,this._editors=E,this._initData=C,this._handlePool=0,this._disposables=new R.DisposableStore,this._insets=new Map,this._disposables.add(E.onDidChangeVisibleTextEditors(()=>{const n=E.getVisibleTextEditors();for(const P of this._insets.values())n.indexOf(P.editor)<0&&P.inset.dispose()}))}dispose(){this._insets.forEach(I=>I.inset.dispose()),this._disposables.dispose()}createWebviewEditorInset(I,E,C,n,P){let d;for(const h of this._editors.getVisibleTextEditors(!0))if(h.value===I){d=h;break}if(!d)throw new Error("not a visible editor");const m=this,l=this._handlePool++,u=new g.Emitter,S=new g.Emitter,w=new class{constructor(){this._html="",this._options=Object.create(null)}asWebviewUri(h){return k.asWebviewUri(h,m._initData.remote)}get cspSource(){return k.webviewGenericCspSource}set options(h){this._options=h,m._proxy.$setOptions(l,h)}get options(){return this._options}set html(h){this._html=h,m._proxy.$setHtml(l,h)}get html(){return this._html}get onDidReceiveMessage(){return u.event}postMessage(h){return m._proxy.$postMessage(l,h)}},b=new class{constructor(){this.editor=I,this.line=E,this.height=C,this.webview=w,this.onDidDispose=S.event}dispose(){m._insets.has(l)&&(m._insets.delete(l),m._proxy.$disposeEditorInset(l),S.fire(),S.dispose(),u.dispose())}};return this._proxy.$createEditorInset(l,d.id,d.value.document.uri,E+1,C,n||{},P.identifier,P.extensionLocation),this._insets.set(l,{editor:I,inset:b,onDidReceiveMessage:u}),b}$onDidDispose(I){const E=this._insets.get(I);E&&E.inset.dispose()}$onDidReceiveMessage(I,E){const C=this._insets.get(I);C&&C.onDidReceiveMessage.fire(E)}}e.ExtHostEditorInsets=y}),define(fe[121],me([0,1,3,16,168]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDebugAdapter=void 0;class y{constructor(){this.pendingRequests=new Map,this.queue=[],this._onError=new g.Emitter,this._onExit=new g.Emitter,this.sequence=1}get onError(){return this._onError.event}get onExit(){return this._onExit.event}onMessage(I){this.messageCallback&&this._onError.fire(new Error("attempt to set more than one 'Message' callback")),this.messageCallback=I}onEvent(I){this.eventCallback&&this._onError.fire(new Error("attempt to set more than one 'Event' callback")),this.eventCallback=I}onRequest(I){this.requestCallback&&this._onError.fire(new Error("attempt to set more than one 'Request' callback")),this.requestCallback=I}sendResponse(I){I.seq>0?this._onError.fire(new Error(`attempt to send more than one response for command ${I.command}`)):this.internalSend("response",I)}sendRequest(I,E,C,n){const P={command:I};if(E&&Object.keys(E).length>0&&(P.arguments=E),this.internalSend("request",P),typeof n=="number"){const d=setTimeout(()=>{clearTimeout(d);const m=this.pendingRequests.get(P.seq);if(m){this.pendingRequests.delete(P.seq);const l={type:"response",seq:0,request_seq:P.seq,success:!1,command:I,message:k.localize(0,null,n,I)};m(l)}},n)}return C&&this.pendingRequests.set(P.seq,C),P.seq}acceptMessage(I){this.messageCallback?this.messageCallback(I):(this.queue.push(I),this.queue.length===1&&this.processQueue())}needsTaskBoundaryBetween(I,E){return I.type!=="event"||E.type!=="event"}async processQueue(){let I;for(;this.queue.length;){if((!I||this.needsTaskBoundaryBetween(this.queue[0],I))&&await R.timeout(0),I=this.queue.shift(),!I)return;switch(I.type){case"event":this.eventCallback&&this.eventCallback(I);break;case"request":this.requestCallback&&this.requestCallback(I);break;case"response":const E=I,C=this.pendingRequests.get(E.request_seq);C&&(this.pendingRequests.delete(E.request_seq),C(E));break}}}internalSend(I,E){E.type=I,E.seq=this.sequence++,this.sendMessage(E)}async cancelPendingRequests(){if(this.pendingRequests.size===0)return Promise.resolve();const I=new Map;this.pendingRequests.forEach((E,C)=>I.set(C,E)),await R.timeout(500),I.forEach((E,C)=>{E({type:"response",seq:0,request_seq:C,success:!1,command:"canceled",message:"canceled"}),this.pendingRequests.delete(C)})}getPendingRequestIds(){return Array.from(this.pendingRequests.keys())}dispose(){this.queue=[]}}e.AbstractDebugAdapter=y}),define(fe[201],me([0,1,8,2,9,25,10]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getVisibleAndSorted=e.convertToVSCPaths=e.convertToDAPaths=e.isUri=e.getExactExpressionStartAndEnd=e.isDebuggerMainContribution=e.getExtensionHostDebugSession=e.isSessionAttach=e.filterExceptionsFromTelemetry=e.formatPII=void 0;const I=/{([^}]+)}/g;function E(r,s,i){return r.replace(I,function(a,v){return s&&v.length>0&&v[0]!=="_"?a:i&&i.hasOwnProperty(v)?i[v]:a})}e.formatPII=E;function C(r){const s={};for(const i of Object.keys(r))i.startsWith("!")||(s[i]=r[i]);return s}e.filterExceptionsFromTelemetry=C;function n(r){return r.configuration.request==="attach"&&!P(r)&&(!r.parentSession||n(r.parentSession))}e.isSessionAttach=n;function P(r){let s=r.configuration.type;if(!!s)return s==="vslsShare"&&(s=r.configuration.adapterProxy.configuration.type),g.equalsIgnoreCase(s,"extensionhost")||g.equalsIgnoreCase(s,"pwa-extensionhost")?r:r.parentSession?P(r.parentSession):void 0}e.getExtensionHostDebugSession=P;function d(r){return r.type&&(r.label||r.program||r.runtime)}e.isDebuggerMainContribution=d;function m(r,s,i){let a,v=0,p=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g,_=null;for(;_=p.exec(r);){let D=_.index+1,o=D+_[0].length;if(D<=s&&o>=i){a=_[0],v=D;break}}if(a){let D=/\w+/g,o=null;for(;(o=D.exec(a))&&!(o.index+1+v+o[0].length>=i););o&&(a=a.substring(0,D.lastIndex))}return a?{start:v,end:v+a.length-1}:{start:0,end:0}}e.getExactExpressionStartAndEnd=m;const l=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function u(r){return!!(r&&r.match(l))}e.isUri=u;function S(r){if(typeof r.path=="string"&&!(typeof r.sourceReference=="number"&&r.sourceReference>0)){if(u(r.path))return R.URI.parse(r.path);if(k.isAbsolute(r.path))return R.URI.file(r.path)}return r.path}function w(r){if(typeof r.path=="object"){const s=R.URI.revive(r.path);if(s)return s.scheme===A.Schemas.file?s.fsPath:s.toString()}return r.path}function b(r,s){const i=s?S:w,a=y.deepClone(r);return c(a,(v,p)=>{v&&p&&(p.path=i(p))}),a}e.convertToDAPaths=b;function h(r,s){const i=s?S:w,a=y.deepClone(r);return c(a,(v,p)=>{!v&&p&&(p.path=i(p))}),a}e.convertToVSCPaths=h;function c(r,s){switch(r.type){case"event":const i=r;switch(i.event){case"output":s(!1,i.body.source);break;case"loadedSource":s(!1,i.body.source);break;case"breakpoint":s(!1,i.body.breakpoint.source);break;default:break}break;case"request":const a=r;switch(a.command){case"setBreakpoints":s(!0,a.arguments.source);break;case"breakpointLocations":s(!0,a.arguments.source);break;case"source":s(!0,a.arguments.source);break;case"gotoTargets":s(!0,a.arguments.source);break;case"launchVSCode":a.arguments.args.forEach(p=>s(!1,p));break;default:break}break;case"response":const v=r;if(v.success&&v.body)switch(v.command){case"stackTrace":v.body.stackFrames.forEach(p=>s(!1,p.source));break;case"loadedSources":v.body.sources.forEach(p=>s(!1,p));break;case"scopes":v.body.scopes.forEach(p=>s(!1,p.source));break;case"setFunctionBreakpoints":v.body.breakpoints.forEach(p=>s(!1,p.source));break;case"setBreakpoints":v.body.breakpoints.forEach(p=>s(!1,p.source));break;default:break}break}}function f(r){return r.filter(s=>!s.presentation?.hidden).sort((s,i)=>s.presentation?i.presentation?s.presentation.group?i.presentation.group?s.presentation.group!==i.presentation.group?s.presentation.group.localeCompare(i.presentation.group):t(s.presentation.order,i.presentation.order):-1:i.presentation.group?1:t(s.presentation.order,i.presentation.order):-1:i.presentation?1:0)}e.getVisibleAndSorted=f;function t(r,s){return typeof r!="number"?typeof s!="number"?0:1:typeof s!="number"?-1:r-s}}),define(fe[202],me([0,1,28,38,169,122,9,8,25,11,179,121]),function(X,e,g,R,k,y,A,I,E,C,n,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExecutableDebugAdapter=e.NamedPipeDebugAdapter=e.SocketDebugAdapter=e.NetworkDebugAdapter=e.StreamDebugAdapter=void 0;class d extends P.AbstractDebugAdapter{constructor(){super();this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1}connect(b,h){this.outputStream=h,this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1,b.on("data",c=>this.handleData(c))}sendMessage(b){if(this.outputStream){const h=JSON.stringify(b);this.outputStream.write(`Content-Length: ${Buffer.byteLength(h,"utf8")}${d.TWO_CRLF}${h}`,"utf8")}}handleData(b){for(this.rawData=Buffer.concat([this.rawData,b]);;){if(this.contentLength>=0){if(this.rawData.length>=this.contentLength){const h=this.rawData.toString("utf8",0,this.contentLength);if(this.rawData=this.rawData.slice(this.contentLength),this.contentLength=-1,h.length>0)try{this.acceptMessage(JSON.parse(h))}catch(c){this._onError.fire(new Error((c.message||c)+`
`+h))}continue}}else{const h=this.rawData.indexOf(d.TWO_CRLF);if(h!==-1){const f=this.rawData.toString("utf8",0,h).split(d.HEADER_LINESEPARATOR);for(const t of f){const r=t.split(d.HEADER_FIELDSEPARATOR);r[0]==="Content-Length"&&(this.contentLength=Number(r[1]))}this.rawData=this.rawData.slice(h+d.TWO_CRLF.length);continue}}break}}}e.StreamDebugAdapter=d,d.TWO_CRLF=`\r
\r
`,d.HEADER_LINESEPARATOR=/\r?\n/,d.HEADER_FIELDSEPARATOR=/: */;class m extends d{startSession(){return new Promise((b,h)=>{let c=!1;this.socket=this.createConnection(()=>{this.connect(this.socket,this.socket),b(),c=!0}),this.socket.on("close",()=>{c?this._onError.fire(new Error("connection closed")):h(new Error("connection closed"))}),this.socket.on("error",f=>{c?this._onError.fire(f):h(f)})})}async stopSession(){await this.cancelPendingRequests(),this.socket&&(this.socket.end(),this.socket=void 0)}}e.NetworkDebugAdapter=m;class l extends m{constructor(b){super();this.adapterServer=b}createConnection(b){return y.createConnection(this.adapterServer.port,this.adapterServer.host||"127.0.0.1",b)}}e.SocketDebugAdapter=l;class u extends m{constructor(b){super();this.adapterServer=b}createConnection(b){return y.createConnection(this.adapterServer.path,b)}}e.NamedPipeDebugAdapter=u;class S extends d{constructor(b,h,c){super();this.adapterExecutable=b,this.debugType=h,this.outputService=c}async startSession(){const b=this.adapterExecutable.command,h=this.adapterExecutable.args,c=this.adapterExecutable.options||{};try{if(b)if(A.isAbsolute(b)){if(!await g.Promises.exists(b))throw new Error(k.localize(0,null,b))}else b.indexOf("/")<0&&b.indexOf("\\")<0;else throw new Error(k.localize(1,null,this.debugType));let f=process.env;if(c.env&&Object.keys(c.env).length>0&&(f=E.mixin(E.deepClone(process.env),c.env)),b==="node")if(Array.isArray(h)&&h.length>0){const r=!!process.env.ELECTRON_RUN_AS_NODE||!!process.versions.electron,s={env:f,execArgv:r?["-e","delete process.env.ELECTRON_RUN_AS_NODE;require(process.argv[1])"]:[],silent:!0};c.cwd&&(s.cwd=c.cwd);const i=R.fork(h[0],h.slice(1),s);if(!i.pid)throw new Error(k.localize(2,null,h[0]));this.serverProcess=i}else throw new Error(k.localize(3,null));else{const r={env:f};c.cwd&&(r.cwd=c.cwd),this.serverProcess=R.spawn(b,h,r)}this.serverProcess.on("error",r=>{this._onError.fire(r)}),this.serverProcess.on("exit",(r,s)=>{this._onExit.fire(r)}),this.serverProcess.stdout.on("close",()=>{this._onError.fire(new Error("read error"))}),this.serverProcess.stdout.on("error",r=>{this._onError.fire(r)}),this.serverProcess.stdin.on("error",r=>{this._onError.fire(r)});const t=this.outputService;if(t){const r=s=>s.toString().replace(/\r?\n$/mg,"");this.serverProcess.stderr.on("data",s=>{const i=t.getChannel(n.ExtensionsChannelId);i&&i.append(r(s))})}else this.serverProcess.stderr.resume();this.connect(this.serverProcess.stdout,this.serverProcess.stdin)}catch(f){this._onError.fire(f)}}async stopSession(){return this.serverProcess?(await this.cancelPendingRequests(),C.isWindows?new Promise((b,h)=>{const c=R.exec(`taskkill /F /T /PID ${this.serverProcess.pid}`,function(f,t,r){if(f)return h(f)});c.on("exit",b),c.on("error",h)}):(this.serverProcess.kill("SIGTERM"),Promise.resolve(void 0))):Promise.resolve(void 0)}static extract(b,h){if(!b)return;const c=Object.create(null);b.runtime&&(b.runtime.indexOf("./")===0?c.runtime=A.join(h,b.runtime):c.runtime=b.runtime),b.runtimeArgs&&(c.runtimeArgs=b.runtimeArgs),b.program&&(A.isAbsolute(b.program)?c.program=b.program:c.program=A.join(h,b.program)),b.args&&(c.args=b.args);const f=b;return f.win&&(c.win=S.extract(f.win,h)),f.winx86&&(c.winx86=S.extract(f.winx86,h)),f.windows&&(c.windows=S.extract(f.windows,h)),f.osx&&(c.osx=S.extract(f.osx,h)),f.linux&&(c.linux=S.extract(f.linux,h)),c}static platformAdapterExecutable(b,h){let c=Object.create(null);h=h.toLowerCase();for(const a of b)if(a.contributes){const v=a.contributes.debuggers;v&&v.length>0&&v.filter(p=>typeof p.type=="string"&&I.equalsIgnoreCase(p.type,h)).forEach(p=>{const _=S.extract(p,a.extensionLocation.fsPath);c=E.mixin(c,_,a.isBuiltin)})}let f;C.isWindows&&!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432")?f=c.winx86||c.win||c.windows:C.isWindows?f=c.win||c.windows:C.isMacintosh?f=c.osx:C.isLinux&&(f=c.linux),f=f||c;let t=f.program||c.program;const r=f.args||c.args;let s=f.runtime||c.runtime;const i=f.runtimeArgs||c.runtimeArgs;if(s)return{type:"executable",command:s,args:(i||[]).concat(typeof t=="string"?[t]:[]).concat(r||[])};if(t)return{type:"executable",command:t,args:r||[]}}}e.ExecutableDebugAdapter=S}),define(fe[203],me([0,1,38,11,29,182]),function(X,e,g,R,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prepareCommand=e.hasChildProcesses=e.runInExternalTerminal=void 0;function A(d,m){return new Promise((l,u)=>{let S="";const w=g.spawn(d,m);w.pid&&w.stdout.on("data",b=>{S+=b.toString()}),w.on("error",b=>{u(b)}),w.on("close",b=>{l(S)})})}let I;function E(d,m){if(!I)if(R.isWindows)I=new y.WindowsExternalTerminalService;else if(R.isMacintosh)I=new y.MacExternalTerminalService;else if(R.isLinux)I=new y.LinuxExternalTerminalService;else throw new Error("external terminals not supported on this platform");const l=m.getConfiguration("terminal");return I.runInTerminal(d.title,d.cwd,d.args,d.env||{},l.external||{})}e.runInExternalTerminal=E;function C(d){return d?R.isWindows?new Promise(async m=>{(await new Promise((u,S)=>{X(["windows-process-tree"],u,S)})).getProcessTree(d,u=>{m(u.children.length>0)})}):A("/usr/bin/pgrep",["-lP",String(d)]).then(m=>{const l=m.trim();return!(l.length===0||l.indexOf(" tmux")>=0)},m=>!0):Promise.resolve(!0)}e.hasChildProcesses=C;var n;(function(d){d[d.cmd=0]="cmd",d[d.powershell=1]="powershell",d[d.bash=2]="bash"})(n||(n={}));function P(d,m,l,u){d=d.trim().toLowerCase();let S;d.indexOf("powershell")>=0||d.indexOf("pwsh")>=0?S=1:d.indexOf("cmd.exe")>=0?S=0:d.indexOf("bash")>=0?S=2:R.isWindows?S=0:S=2;let w,b=" ";switch(S){case 1:if(w=c=>(c=c.replace(/\'/g,"''"),c.length>0&&c.charAt(c.length-1)==="\\"?`'${c}\\'`:`'${c}'`),l){const c=k.getDriveLetter(l);c&&(b+=`${c}:; `),b+=`cd ${w(l)}; `}if(u)for(let c in u){const f=u[c];f===null?b+=`Remove-Item env:${c}; `:b+=`\${env:${c}}='${f}'; `}if(m.length>0){const c=w(m.shift());b+=c[0]==="'"?`& ${c} `:`${c} `;for(let f of m)b+=`${w(f)} `}break;case 0:if(w=c=>(c=c.replace(/\"/g,'""'),c.indexOf(" ")>=0||c.indexOf('"')>=0||c.length===0?`"${c}"`:c),l){const c=k.getDriveLetter(l);c&&(b+=`${c}: && `),b+=`cd ${w(l)} && `}if(u){b+='cmd /C "';for(let c in u){let f=u[c];f===null?b+=`set "${c}=" && `:(f=f.replace(/[\^\&\|\<\>]/g,t=>`^${t}`),b+=`set "${c}=${f}" && `)}}for(let c of m)b+=`${w(c)} `;u&&(b+='"');break;case 2:w=c=>(c=c.replace(/(["'\\\$])/g,"\\$1"),c.indexOf(" ")>=0||c.indexOf(";")>=0||c.length===0?`"${c}"`:c);const h=c=>/[^\w@%\/+=,.:^-]/.test(c)?`'${c.replace(/'/g,"'\\''")}'`:c;if(l&&(b+=`cd ${w(l)} ; `),u){b+="/usr/bin/env";for(let c in u){const f=u[c];f===null?b+=` -u ${h(c)}`:b+=` ${h(`${c}=${f}`)}`}b+=" "}for(let c of m)b+=`${w(c)} `;break}return b}e.prepareCommand=P}),define(fe[85],me([0,1,30,98,10,9,11,79]),function(X,e,g,R,k,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotebookWorkingCopyTypeIdentifier=e.CellStatusbarAlignment=e.OpenGettingStarted=e.ConsolidatedRunButton=e.NotebookCellEditorOptionsCustomizations=e.DragAndDropEnabled=e.ShowFoldingControls=e.ConsolidatedOutputButton=e.UndoRedoPerCell=e.GlobalToolbar=e.InsertToolbarLocation=e.FocusIndicator=e.CompactView=e.ExperimentalInsertToolbarAlignment=e.ExperimentalUseMarkdownRenderer=e.NotebookTextDiffEditorPreview=e.ShowCellStatusBar=e.CellToolbarVisibility=e.CellToolbarLocation=e.DisplayOrderKey=e.CellSequence=e.notebookDocumentFilterMatch=e.isDocumentExcludePattern=e.NotebookEditorPriority=e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=e.diff=e.sortMimeTypes=e.mimeTypeIsMergeable=e.mimeTypeSupportedByCore=e.mimeTypeIsAlwaysSecure=e.CellUri=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.RendererMessagingSpec=e.NotebookRendererMatch=e.NotebookCellExecutionState=e.NotebookRunState=e.RENDERER_NOT_AVAILABLE=e.BUILTIN_RENDERER_ID=e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=e.NOTEBOOK_DISPLAY_ORDER=e.CellKind=void 0;var E;(function(o){o[o.Markup=1]="Markup",o[o.Code=2]="Code"})(E=e.CellKind||(e.CellKind={})),e.NOTEBOOK_DISPLAY_ORDER=["application/json","application/javascript","text/html","image/svg+xml",R.Mimes.markdown,"image/png","image/jpeg",R.Mimes.text],e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=[R.Mimes.markdown,"application/json",R.Mimes.text,"text/html","image/svg+xml","image/png","image/jpeg"],e.BUILTIN_RENDERER_ID="_builtin",e.RENDERER_NOT_AVAILABLE="_notAvailable";var C;(function(o){o[o.Running=1]="Running",o[o.Idle=2]="Idle"})(C=e.NotebookRunState||(e.NotebookRunState={}));var n;(function(o){o[o.Pending=2]="Pending",o[o.Executing=3]="Executing"})(n=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var P;(function(o){o[o.WithHardKernelDependency=0]="WithHardKernelDependency",o[o.WithOptionalKernelDependency=1]="WithOptionalKernelDependency",o[o.Pure=2]="Pure",o[o.Never=3]="Never"})(P=e.NotebookRendererMatch||(e.NotebookRendererMatch={}));var d;(function(o){o.Always="always",o.Never="never",o.Optional="optional"})(d=e.RendererMessagingSpec||(e.RendererMessagingSpec={}));var m;(function(o){o[o.ModelChange=1]="ModelChange",o[o.Move=2]="Move",o[o.ChangeLanguage=5]="ChangeLanguage",o[o.Initialize=6]="Initialize",o[o.ChangeCellMetadata=7]="ChangeCellMetadata",o[o.Output=8]="Output",o[o.OutputItem=9]="OutputItem",o[o.ChangeCellContent=10]="ChangeCellContent",o[o.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",o[o.ChangeCellInternalMetadata=12]="ChangeCellInternalMetadata",o[o.ChangeCellMime=13]="ChangeCellMime",o[o.Unknown=100]="Unknown"})(m=e.NotebookCellsChangeType||(e.NotebookCellsChangeType={}));var l;(function(o){o[o.Handle=0]="Handle",o[o.Index=1]="Index"})(l=e.SelectionStateType||(e.SelectionStateType={}));var u;(function(o){o[o.Replace=1]="Replace",o[o.Output=2]="Output",o[o.Metadata=3]="Metadata",o[o.CellLanguage=4]="CellLanguage",o[o.DocumentMetadata=5]="DocumentMetadata",o[o.Move=6]="Move",o[o.OutputItems=7]="OutputItems",o[o.PartialMetadata=8]="PartialMetadata",o[o.PartialInternalMetadata=9]="PartialInternalMetadata"})(u=e.CellEditType||(e.CellEditType={}));var S;(function(o){o.scheme=k.Schemas.vscodeNotebookCell;const T=/^ch(\d{7,})/;function L(N,W){return N.with({scheme:o.scheme,fragment:`ch${W.toString().padStart(7,"0")}${N.scheme!==k.Schemas.file?N.scheme:""}`})}o.generate=L;function H(N){if(N.scheme!==o.scheme)return;const W=T.exec(N.fragment);return W?{handle:Number(W[1]),notebook:N.with({scheme:N.fragment.substr(W[0].length)||k.Schemas.file,fragment:null})}:void 0}o.parse=H;function B(N){if(N.scheme!==k.Schemas.vscodeNotebookCellMetadata)return;const W=T.exec(N.fragment);return W?{handle:Number(W[1]),notebook:N.with({scheme:N.fragment.substr(W[0].length)||k.Schemas.file,fragment:null})}:void 0}o.parseCellMetadataUri=B;function Q(N,W,F){return N.with({scheme:F,fragment:`ch${W.toString().padStart(7,"0")}${N.scheme!==k.Schemas.file?N.scheme:""}`})}o.generateCellUri=Q;function z(N,W){if(N.scheme!==W)return;const F=T.exec(N.fragment);return F?{handle:Number(F[1]),notebook:N.with({scheme:N.fragment.substr(F[0].length)||k.Schemas.file,fragment:null})}:void 0}o.parseCellUri=z})(S=e.CellUri||(e.CellUri={}));const w=new Map([["application/javascript",{supportedByCore:!0}],["image/png",{alwaysSecure:!0,supportedByCore:!0}],["image/jpeg",{alwaysSecure:!0,supportedByCore:!0}],["image/git",{alwaysSecure:!0,supportedByCore:!0}],["image/svg+xml",{supportedByCore:!0}],["application/json",{alwaysSecure:!0,supportedByCore:!0}],[R.Mimes.markdown,{alwaysSecure:!0,supportedByCore:!0}],[R.Mimes.text,{alwaysSecure:!0,supportedByCore:!0}],["text/html",{supportedByCore:!0}],["text/x-javascript",{alwaysSecure:!0,supportedByCore:!0}],["application/vnd.code.notebook.error",{alwaysSecure:!0,supportedByCore:!0}],["application/vnd.code.notebook.stdout",{alwaysSecure:!0,supportedByCore:!0,mergeable:!0}],["application/vnd.code.notebook.stderr",{alwaysSecure:!0,supportedByCore:!0,mergeable:!0}]]);function b(o){return w.get(o)?.alwaysSecure??!1}e.mimeTypeIsAlwaysSecure=b;function h(o){return w.get(o)?.supportedByCore??!1}e.mimeTypeSupportedByCore=h;function c(o){return w.get(o)?.mergeable??!1}e.mimeTypeIsMergeable=c;function f(o,T){return A.isWindows&&(o=o.replace(/\//g,"\\"),T=T.replace(/\//g,"\\")),g.match(o,T)}function t(o,T,L){let H=0;for(let B=0;B<T.length;B++){if(f(T[B],o))return H;H++}for(let B=0;B<L.length;B++){if(f(L[B],o))return H;H++}return H}function r(o,T,L){return o.sort((H,B)=>t(H,T,L)-t(B,T,L))}e.sortMimeTypes=r;function s(o,T,L,H=(B,Q)=>B===Q){const B=[];function Q(W,F,q){if(F===0&&q.length===0)return;const M=B[B.length-1];M&&M.start+M.deleteCount===W?(M.deleteCount+=F,M.toInsert.push(...q)):B.push({start:W,deleteCount:F,toInsert:q})}let z=0,N=0;for(;;){if(z===o.length){Q(z,0,T.slice(N));break}if(N===T.length){Q(z,o.length-z,[]);break}const W=o[z],F=T[N];if(H(W,F)){z+=1,N+=1;continue}L(F)?(Q(z,1,[]),z+=1):(Q(z,0,[F]),N+=1)}return B}e.diff=s,e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=new I.RawContextKey("notebookEditorCursorAtBoundary","none");var i;(function(o){o.default="default",o.option="option"})(i=e.NotebookEditorPriority||(e.NotebookEditorPriority={}));function a(o){const T=o;return!!((typeof T.include=="string"||g.isRelativePattern(T.include))&&(typeof T.exclude=="string"||g.isRelativePattern(T.exclude)))}e.isDocumentExcludePattern=a;function v(o,T,L){if(Array.isArray(o.viewType)&&o.viewType.indexOf(T)>=0||o.viewType===T)return!0;if(o.filenamePattern){let H=a(o.filenamePattern)?o.filenamePattern.include:o.filenamePattern,B=a(o.filenamePattern)?o.filenamePattern.exclude:void 0;if(g.match(H,y.basename(L.fsPath).toLowerCase()))return!(B&&g.match(B,y.basename(L.fsPath).toLowerCase()))}return!1}e.notebookDocumentFilterMatch=v;class p{constructor(T){this.textModel=T}getElements(){const T=new Int32Array(this.textModel.cells.length);for(let L=0;L<this.textModel.cells.length;L++)T[L]=this.textModel.cells[L].getHashValue();return T}}e.CellSequence=p,e.DisplayOrderKey="notebook.displayOrder",e.CellToolbarLocation="notebook.cellToolbarLocation",e.CellToolbarVisibility="notebook.cellToolbarVisibility",e.ShowCellStatusBar="notebook.showCellStatusBar",e.NotebookTextDiffEditorPreview="notebook.diff.enablePreview",e.ExperimentalUseMarkdownRenderer="notebook.experimental.useMarkdownRenderer",e.ExperimentalInsertToolbarAlignment="notebook.experimental.insertToolbarAlignment",e.CompactView="notebook.compactView",e.FocusIndicator="notebook.cellFocusIndicator",e.InsertToolbarLocation="notebook.insertToolbarLocation",e.GlobalToolbar="notebook.globalToolbar",e.UndoRedoPerCell="notebook.undoRedoPerCell",e.ConsolidatedOutputButton="notebook.consolidatedOutputButton",e.ShowFoldingControls="notebook.showFoldingControls",e.DragAndDropEnabled="notebook.dragAndDropEnabled",e.NotebookCellEditorOptionsCustomizations="notebook.editorOptionsCustomizations",e.ConsolidatedRunButton="notebook.consolidatedRunButton",e.OpenGettingStarted="notebook.experimental.openGettingStarted";var _;(function(o){o[o.Left=1]="Left",o[o.Right=2]="Right"})(_=e.CellStatusbarAlignment||(e.CellStatusbarAlignment={}));class D{static create(T){return`${D._prefix}${T}`}static parse(T){if(T.startsWith(D._prefix))return T.substr(D._prefix.length)}}e.NotebookWorkingCopyTypeIdentifier=D,D._prefix="notebook/"}),define(fe[204],me([0,1,171,4,79]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.USER_TASKS_GROUP_KEY=e.ITaskService=e.ProcessExecutionSupportedContext=e.ShellExecutionSupportedContext=e.CustomExecutionSupportedContext=void 0,e.CustomExecutionSupportedContext=new k.RawContextKey("customExecutionSupported",!0,g.localize(0,null)),e.ShellExecutionSupportedContext=new k.RawContextKey("shellExecutionSupported",!1,g.localize(1,null)),e.ProcessExecutionSupportedContext=new k.RawContextKey("processExecutionSupported",!1,g.localize(2,null)),e.ITaskService=R.createDecorator("taskService"),e.USER_TASKS_GROUP_KEY="settings"}),define(fe[205],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeEnvironmentVariableCollection=e.serializeEnvironmentVariableCollection=void 0;function g(k){return[...k.entries()]}e.serializeEnvironmentVariableCollection=g;function R(k){return new Map(k)}e.deserializeEnvironmentVariableCollection=R}),define(fe[123],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractIncrementalTestCollection=e.IncrementalChangeCollector=e.TestDiffOpType=e.DetailType=e.applyTestItemUpdate=e.TestItemExpandState=e.identifyTest=void 0;const g=C=>({testId:C.item.extId,controllerId:C.controllerId});e.identifyTest=g;var R;(function(C){C[C.NotExpandable=0]="NotExpandable",C[C.Expandable=1]="Expandable",C[C.BusyExpanding=2]="BusyExpanding",C[C.Expanded=3]="Expanded"})(R=e.TestItemExpandState||(e.TestItemExpandState={}));const k=(C,n)=>{n.expand!==void 0&&(C.expand=n.expand),n.item!==void 0&&(C.item=C.item?Object.assign(C.item,n.item):n.item)};e.applyTestItemUpdate=k;var y;(function(C){C[C.Function=0]="Function",C[C.Statement=1]="Statement"})(y=e.DetailType||(e.DetailType={}));var A;(function(C){C[C.Add=0]="Add",C[C.Update=1]="Update",C[C.Remove=2]="Remove",C[C.IncrementPendingExtHosts=3]="IncrementPendingExtHosts",C[C.Retire=4]="Retire"})(A=e.TestDiffOpType||(e.TestDiffOpType={}));class I{add(n){}update(n){}remove(n,P){}complete(){}}e.IncrementalChangeCollector=I;class E{constructor(){this.items=new Map,this.roots=new Set,this.busyControllerCount=0,this.pendingRootCount=0}apply(n){const P=this.createChangeCollector();for(const d of n)switch(d[0]){case 0:{const m=d[1];if(m.parent){if(this.items.has(m.parent)){const l=this.items.get(m.parent);l.children.add(m.item.extId);const u=this.createItem(m,l);this.items.set(m.item.extId,u),P.add(u)}}else{const l=this.createItem(m);this.roots.add(l),this.items.set(m.item.extId,l),P.add(l)}m.expand===2&&this.busyControllerCount++;break}case 1:{const m=d[1],l=this.items.get(m.extId);if(!l)break;m.expand!==void 0&&(l.expand===2&&this.busyControllerCount--,m.expand===2&&this.busyControllerCount++),e.applyTestItemUpdate(l,m),P.update(l);break}case 2:{const m=this.items.get(d[1]);if(!m)break;m.parent?this.items.get(m.parent).children.delete(m.item.extId):this.roots.delete(m);const l=[[d[1]]];for(;l.length;)for(const u of l.pop()){const S=this.items.get(u);S&&(l.push(S.children),this.items.delete(u),P.remove(S,S!==m),S.expand===2&&this.busyControllerCount--)}break}case 4:this.retireTest(d[1]);break;case 3:this.updatePendingRoots(d[1]);break}P.complete()}retireTest(n){}updatePendingRoots(n){this.pendingRootCount+=n}createChangeCollector(){return new I}}e.AbstractIncrementalTestCollection=E}),define(fe[206],me([0,1,9,37,14,25,11,75,172]),function(X,e,g,R,k,y,A,I,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractVariableResolverService=void 0;class C{constructor(P,d,m){this._contributedVariables=new Map,this._context=P,this._labelService=d,m&&(this._envVariablesPromise=m.then(l=>this.prepareEnv(l)))}prepareEnv(P){if(A.isWindows){const d=Object.create(null);return Object.keys(P).forEach(m=>{d[m.toLowerCase()]=P[m]}),d}return P}resolveWithEnvironment(P,d,m){return this.recursiveResolve(this.prepareEnv(P),d?d.uri:void 0,m)}async resolveAsync(P,d){return this.recursiveResolve(await this._envVariablesPromise,P?P.uri:void 0,d)}async resolveAnyBase(P,d,m,l){const u=y.deepClone(d);return A.isWindows&&u.windows?Object.keys(u.windows).forEach(S=>u[S]=u.windows[S]):A.isMacintosh&&u.osx?Object.keys(u.osx).forEach(S=>u[S]=u.osx[S]):A.isLinux&&u.linux&&Object.keys(u.linux).forEach(S=>u[S]=u.linux[S]),delete u.windows,delete u.osx,delete u.linux,this.recursiveResolve(await this._envVariablesPromise,P?P.uri:void 0,u,m,l)}async resolveAnyAsync(P,d,m){return this.resolveAnyBase(P,d,m)}async resolveAnyMap(P,d,m){const l=new Map;return{newConfig:await this.resolveAnyBase(P,d,m,l),resolvedVariables:l}}resolveWithInteractionReplace(P,d,m,l){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(P,d,m,l){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(P,d){if(this._contributedVariables.has(P))throw new Error("Variable "+P+" is contributed twice.");this._contributedVariables.set(P,d)}recursiveResolve(P,d,m,l,u){if(k.isString(m))return this.resolveString(P,d,m,l,u);if(k.isArray(m))return m.map(S=>this.recursiveResolve(P,d,S,l,u));if(k.isObject(m)){let S=Object.create(null);return Object.keys(m).forEach(w=>{const b=this.resolveString(P,d,w,l,u);S[b]=this.recursiveResolve(P,d,m[w],l,u)}),S}return m}resolveString(P,d,m,l,u){return m.replace(C.VARIABLE_REGEXP,(w,b)=>{if(b.includes(C.VARIABLE_LHS))return w;let h=this.evaluateSingleVariable(P,w,b,d,l);return u&&u.set(b,h),h!==w&&k.isString(h)&&h.match(C.VARIABLE_REGEXP)&&(h=this.resolveString(P,d,h,l,u)),h})}fsPath(P){return this._labelService?this._labelService.getUriLabel(P,{noPrefix:!0}):P.fsPath}evaluateSingleVariable(P,d,m,l,u){let S;const w=m.split(":");w.length>1&&(m=w[0],S=w[1]);const b=()=>{const f=this._context.getFilePath();if(f)return f;throw new Error(E.localize(0,null,d))},h=()=>{const f=b();if(this._context.getWorkspaceFolderPathForFile){const t=this._context.getWorkspaceFolderPathForFile();if(t)return t}throw new Error(E.localize(1,null,d,g.basename(f)))},c=()=>{if(S){const f=this._context.getFolderUri(S);if(f)return f;throw new Error(E.localize(2,null,d,S))}if(l)return l;throw this._context.getWorkspaceFolderCount()>1?new Error(E.localize(3,null,d)):new Error(E.localize(4,null,d))};switch(m){case"env":if(S){if(P){const f=P[A.isWindows?S.toLowerCase():S];if(k.isString(f))return f}return""}throw new Error(E.localize(5,null,d));case"config":if(S){const f=this._context.getConfigurationValue(l,S);if(k.isUndefinedOrNull(f))throw new Error(E.localize(6,null,d,S));if(k.isObject(f))throw new Error(E.localize(7,null,d,S));return f}throw new Error(E.localize(8,null,d));case"command":return this.resolveFromMap(d,S,u,"command");case"input":return this.resolveFromMap(d,S,u,"input");default:switch(m){case"workspaceRoot":case"workspaceFolder":return I.normalizeDriveLetter(this.fsPath(c()));case"cwd":return l||S?I.normalizeDriveLetter(this.fsPath(c())):R.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return g.basename(this.fsPath(c()));case"lineNumber":const f=this._context.getLineNumber();if(f)return f;throw new Error(E.localize(9,null,d));case"selectedText":const t=this._context.getSelectedText();if(t)return t;throw new Error(E.localize(10,null,d));case"file":return b();case"fileWorkspaceFolder":return h();case"relativeFile":return l||S?g.relative(this.fsPath(c()),b()):b();case"relativeFileDirname":const r=g.dirname(b());if(l||S){const v=g.relative(this.fsPath(c()),r);return v.length===0?".":v}return r;case"fileDirname":return g.dirname(b());case"fileExtname":return g.extname(b());case"fileBasename":return g.basename(b());case"fileBasenameNoExtension":const s=g.basename(b());return s.slice(0,s.length-g.extname(s).length);case"fileDirnameBasename":return g.basename(g.dirname(b()));case"execPath":const i=this._context.getExecPath();return i||d;case"execInstallFolder":const a=this._context.getAppRoot();return a||d;case"pathSeparator":return g.sep;default:try{const v=S?`${m}:${S}`:m;return this.resolveFromMap(d,v,u,void 0)}catch(v){return d}}}}resolveFromMap(P,d,m,l){if(d&&m){const u=l===void 0?m[d]:m[l+":"+d];if(typeof u=="string")return u;throw new Error(E.localize(11,null,P))}return P}}e.AbstractVariableResolverService=C,C.VARIABLE_LHS="${",C.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(fe[124],me([0,1,4]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SIDE_GROUP=e.ACTIVE_GROUP=e.IEditorService=void 0,e.IEditorService=g.createDecorator("editorService"),e.ACTIVE_GROUP=-1,e.SIDE_GROUP=-2}),define(fe[17],me([0,1,18,95,283,57,25,14,2,40,78,173,114,85,124,7]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeActionTriggerKind=e.TestCoverage=e.TestResults=e.TestItem=e.TestMessage=e.NotebookRendererScript=e.NotebookDocumentContentOptions=e.NotebookStatusBarItem=e.NotebookDecorationRenderOptions=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookData=e.NotebookCellKind=e.NotebookCellExecutionSummary=e.NotebookRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlayHintKind=e.InlayHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.pathOrURIToURI=e.fromRangeOrRangeWithMessage=e.MarkdownString=e.isDecorationOptionsArr=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.Position=e.TokenType=e.Range=e.Selection=void 0;var S;(function(_e){function ye(Y){const{selectionStartLineNumber:Be,selectionStartColumn:De,positionLineNumber:Ze,positionColumn:Ke}=Y,rt=new u.Position(Be-1,De-1),ft=new u.Position(Ze-1,Ke-1);return new u.Selection(rt,ft)}_e.to=ye;function le(Y){const{anchor:Be,active:De}=Y;return{selectionStartLineNumber:Be.line+1,selectionStartColumn:Be.character+1,positionLineNumber:De.line+1,positionColumn:De.character+1}}_e.from=le})(S=e.Selection||(e.Selection={}));var w;(function(_e){function ye(Y){if(!Y)return;const{start:Be,end:De}=Y;return{startLineNumber:Be.line+1,startColumn:Be.character+1,endLineNumber:De.line+1,endColumn:De.character+1}}_e.from=ye;function le(Y){if(!Y)return;const{startLineNumber:Be,startColumn:De,endLineNumber:Ze,endColumn:Ke}=Y;return new u.Range(Be-1,De-1,Ze-1,Ke-1)}_e.to=le})(w=e.Range||(e.Range={}));var b;(function(_e){function ye(le){switch(le){case 1:return u.StandardTokenType.Comment;case 0:return u.StandardTokenType.Other;case 4:return u.StandardTokenType.RegEx;case 2:return u.StandardTokenType.String}}_e.to=ye})(b=e.TokenType||(e.TokenType={}));var h;(function(_e){function ye(Y){return new u.Position(Y.lineNumber-1,Y.column-1)}_e.to=ye;function le(Y){return{lineNumber:Y.line+1,column:Y.character+1}}_e.from=le})(h=e.Position||(e.Position={}));var c;(function(_e){function ye(Y){switch(Y){case u.DiagnosticTag.Unnecessary:return 1;case u.DiagnosticTag.Deprecated:return 2}}_e.from=ye;function le(Y){switch(Y){case 1:return u.DiagnosticTag.Unnecessary;case 2:return u.DiagnosticTag.Deprecated;default:return}}_e.to=le})(c=e.DiagnosticTag||(e.DiagnosticTag={}));var f;(function(_e){function ye(Y){let Be;return Y.code&&(I.isString(Y.code)||I.isNumber(Y.code)?Be=String(Y.code):Be={value:String(Y.code.value),target:Y.code.target}),{...w.from(Y.range),message:Y.message,source:Y.source,code:Be,severity:r.from(Y.severity),relatedInformation:Y.relatedInformation&&Y.relatedInformation.map(t.from),tags:Array.isArray(Y.tags)?g.coalesce(Y.tags.map(c.from)):void 0}}_e.from=ye;function le(Y){const Be=new u.Diagnostic(w.to(Y),Y.message,r.to(Y.severity));return Be.source=Y.source,Be.code=I.isString(Y.code)?Y.code:Y.code?.value,Be.relatedInformation=Y.relatedInformation&&Y.relatedInformation.map(t.to),Be.tags=Y.tags&&g.coalesce(Y.tags.map(c.to)),Be}_e.to=le})(f=e.Diagnostic||(e.Diagnostic={}));var t;(function(_e){function ye(Y){return{...w.from(Y.location.range),message:Y.message,resource:Y.location.uri}}_e.from=ye;function le(Y){return new u.DiagnosticRelatedInformation(new u.Location(Y.resource,w.to(Y)),Y.message)}_e.to=le})(t=e.DiagnosticRelatedInformation||(e.DiagnosticRelatedInformation={}));var r;(function(_e){function ye(Y){switch(Y){case u.DiagnosticSeverity.Error:return d.MarkerSeverity.Error;case u.DiagnosticSeverity.Warning:return d.MarkerSeverity.Warning;case u.DiagnosticSeverity.Information:return d.MarkerSeverity.Info;case u.DiagnosticSeverity.Hint:return d.MarkerSeverity.Hint}return d.MarkerSeverity.Error}_e.from=ye;function le(Y){switch(Y){case d.MarkerSeverity.Info:return u.DiagnosticSeverity.Information;case d.MarkerSeverity.Warning:return u.DiagnosticSeverity.Warning;case d.MarkerSeverity.Error:return u.DiagnosticSeverity.Error;case d.MarkerSeverity.Hint:return u.DiagnosticSeverity.Hint;default:return u.DiagnosticSeverity.Error}}_e.to=le})(r=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));var s;(function(_e){function ye(Y){return typeof Y=="number"&&Y>=u.ViewColumn.One?Y-1:Y===u.ViewColumn.Beside?l.SIDE_GROUP:l.ACTIVE_GROUP}_e.from=ye;function le(Y){if(typeof Y=="number"&&Y>=0)return Y+1;throw new Error("invalid 'EditorGroupColumn'")}_e.to=le})(s=e.ViewColumn||(e.ViewColumn={}));function i(_e){return typeof _e.range!="undefined"}function a(_e){return _e.length===0?!0:!!i(_e[0])}e.isDecorationOptionsArr=a;var v;(function(_e){function ye(Ke){return Ke.map(_e.from)}_e.fromMany=ye;function le(Ke){return Ke&&typeof Ke=="object"&&typeof Ke.language=="string"&&typeof Ke.value=="string"}function Y(Ke){let rt;if(le(Ke)){const{language:Et,value:yt}=Ke;rt={value:"```"+Et+`
`+yt+"\n```\n"}}else u.MarkdownString.isMarkdownString(Ke)?rt={value:Ke.value,isTrusted:Ke.isTrusted,supportThemeIcons:Ke.supportThemeIcons}:typeof Ke=="string"?rt={value:Ke}:rt={value:""};const ft=Object.create(null);rt.uris=ft;const wt=Et=>{try{let yt=E.URI.parse(Et,!0);yt=yt.with({query:Be(yt.query,ft)}),ft[Et]=yt}catch(yt){}return""},bt=new k.Renderer;return bt.link=wt,bt.image=Et=>wt(R.parseHrefAndDimensions(Et).href),k(rt.value,{renderer:bt}),rt}_e.from=Y;function Be(Ke,rt){if(!Ke)return Ke;let ft;try{ft=y.parse(Ke)}catch(bt){}if(!ft)return Ke;let wt=!1;return ft=A.cloneAndChange(ft,bt=>{if(E.URI.isUri(bt)){const Et=`__uri_${Math.random().toString(16).slice(2,8)}`;return rt[Et]=bt,wt=!0,Et}else return}),wt?JSON.stringify(ft):Ke}function De(Ke){const rt=new u.MarkdownString(Ke.value,Ke.supportThemeIcons);return rt.isTrusted=Ke.isTrusted,rt}_e.to=De;function Ze(Ke){if(!!Ke)return typeof Ke=="string"?Ke:_e.from(Ke)}_e.fromStrict=Ze})(v=e.MarkdownString||(e.MarkdownString={}));function p(_e){return a(_e)?_e.map(ye=>({range:w.from(ye.range),hoverMessage:Array.isArray(ye.hoverMessage)?v.fromMany(ye.hoverMessage):ye.hoverMessage?v.from(ye.hoverMessage):void 0,renderOptions:ye.renderOptions})):_e.map(ye=>({range:w.from(ye)}))}e.fromRangeOrRangeWithMessage=p;function _(_e){return typeof _e=="undefined"?_e:typeof _e=="string"?E.URI.file(_e):_e}e.pathOrURIToURI=_;var D;(function(_e){function ye(le){return typeof le=="undefined"?le:{contentText:le.contentText,contentIconPath:le.contentIconPath?_(le.contentIconPath):void 0,border:le.border,borderColor:le.borderColor,fontStyle:le.fontStyle,fontWeight:le.fontWeight,textDecoration:le.textDecoration,color:le.color,backgroundColor:le.backgroundColor,margin:le.margin,width:le.width,height:le.height}}_e.from=ye})(D=e.ThemableDecorationAttachmentRenderOptions||(e.ThemableDecorationAttachmentRenderOptions={}));var o;(function(_e){function ye(le){return typeof le=="undefined"?le:{backgroundColor:le.backgroundColor,outline:le.outline,outlineColor:le.outlineColor,outlineStyle:le.outlineStyle,outlineWidth:le.outlineWidth,border:le.border,borderColor:le.borderColor,borderRadius:le.borderRadius,borderSpacing:le.borderSpacing,borderStyle:le.borderStyle,borderWidth:le.borderWidth,fontStyle:le.fontStyle,fontWeight:le.fontWeight,textDecoration:le.textDecoration,cursor:le.cursor,color:le.color,opacity:le.opacity,letterSpacing:le.letterSpacing,gutterIconPath:le.gutterIconPath?_(le.gutterIconPath):void 0,gutterIconSize:le.gutterIconSize,overviewRulerColor:le.overviewRulerColor,before:le.before?D.from(le.before):void 0,after:le.after?D.from(le.after):void 0}}_e.from=ye})(o=e.ThemableDecorationRenderOptions||(e.ThemableDecorationRenderOptions={}));var T;(function(_e){function ye(le){if(typeof le=="undefined")return le;switch(le){case u.DecorationRangeBehavior.OpenOpen:return 0;case u.DecorationRangeBehavior.ClosedClosed:return 1;case u.DecorationRangeBehavior.OpenClosed:return 2;case u.DecorationRangeBehavior.ClosedOpen:return 3}}_e.from=ye})(T=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={}));var L;(function(_e){function ye(le){return{isWholeLine:le.isWholeLine,rangeBehavior:le.rangeBehavior?T.from(le.rangeBehavior):void 0,overviewRulerLane:le.overviewRulerLane,light:le.light?o.from(le.light):void 0,dark:le.dark?o.from(le.dark):void 0,backgroundColor:le.backgroundColor,outline:le.outline,outlineColor:le.outlineColor,outlineStyle:le.outlineStyle,outlineWidth:le.outlineWidth,border:le.border,borderColor:le.borderColor,borderRadius:le.borderRadius,borderSpacing:le.borderSpacing,borderStyle:le.borderStyle,borderWidth:le.borderWidth,fontStyle:le.fontStyle,fontWeight:le.fontWeight,textDecoration:le.textDecoration,cursor:le.cursor,color:le.color,opacity:le.opacity,letterSpacing:le.letterSpacing,gutterIconPath:le.gutterIconPath?_(le.gutterIconPath):void 0,gutterIconSize:le.gutterIconSize,overviewRulerColor:le.overviewRulerColor,before:le.before?D.from(le.before):void 0,after:le.after?D.from(le.after):void 0}}_e.from=ye})(L=e.DecorationRenderOptions||(e.DecorationRenderOptions={}));var H;(function(_e){function ye(Y){return{text:Y.newText,eol:Y.newEol&&K.from(Y.newEol),range:w.from(Y.range)}}_e.from=ye;function le(Y){const Be=new u.TextEdit(w.to(Y.range),Y.text);return Be.newEol=typeof Y.eol=="undefined"?void 0:K.to(Y.eol),Be}_e.to=le})(H=e.TextEdit||(e.TextEdit={}));var B;(function(_e){function ye(Y,Be,De){const Ze={edits:[]};if(Y instanceof u.WorkspaceEdit)for(let Ke of Y._allEntries())if(Ke._type===1)Ze.edits.push({_type:1,oldUri:Ke.from,newUri:Ke.to,options:Ke.options,metadata:Ke.metadata});else if(Ke._type===2){const rt=Be?.getDocument(Ke.uri);Ze.edits.push({_type:2,resource:Ke.uri,edit:H.from(Ke.edit),modelVersionId:rt?.version,metadata:Ke.metadata})}else Ke._type===3?Ze.edits.push({_type:3,metadata:Ke.metadata,resource:Ke.uri,edit:Ke.edit,notebookMetadata:Ke.notebookMetadata,notebookVersionId:De?.getNotebookDocument(Ke.uri,!0)?.apiNotebook.version}):Ke._type===5&&Ze.edits.push({_type:3,metadata:Ke.metadata,resource:Ke.uri,notebookVersionId:De?.getNotebookDocument(Ke.uri,!0)?.apiNotebook.version,edit:{editType:1,index:Ke.index,count:Ke.count,cells:Ke.cells.map(ge.from)}});return Ze}_e.from=ye;function le(Y){const Be=new u.WorkspaceEdit;for(const De of Y.edits)De.edit?Be.replace(E.URI.revive(De.resource),w.to(De.edit.range),De.edit.text):Be.renameFile(E.URI.revive(De.oldUri),E.URI.revive(De.newUri),De.options);return Be}_e.to=le})(B=e.WorkspaceEdit||(e.WorkspaceEdit={}));var Q;(function(_e){const ye=Object.create(null);ye[u.SymbolKind.File]=0,ye[u.SymbolKind.Module]=1,ye[u.SymbolKind.Namespace]=2,ye[u.SymbolKind.Package]=3,ye[u.SymbolKind.Class]=4,ye[u.SymbolKind.Method]=5,ye[u.SymbolKind.Property]=6,ye[u.SymbolKind.Field]=7,ye[u.SymbolKind.Constructor]=8,ye[u.SymbolKind.Enum]=9,ye[u.SymbolKind.Interface]=10,ye[u.SymbolKind.Function]=11,ye[u.SymbolKind.Variable]=12,ye[u.SymbolKind.Constant]=13,ye[u.SymbolKind.String]=14,ye[u.SymbolKind.Number]=15,ye[u.SymbolKind.Boolean]=16,ye[u.SymbolKind.Array]=17,ye[u.SymbolKind.Object]=18,ye[u.SymbolKind.Key]=19,ye[u.SymbolKind.Null]=20,ye[u.SymbolKind.EnumMember]=21,ye[u.SymbolKind.Struct]=22,ye[u.SymbolKind.Event]=23,ye[u.SymbolKind.Operator]=24,ye[u.SymbolKind.TypeParameter]=25;function le(Be){return typeof ye[Be]=="number"?ye[Be]:6}_e.from=le;function Y(Be){for(const De in ye)if(ye[De]===Be)return Number(De);return u.SymbolKind.Property}_e.to=Y})(Q=e.SymbolKind||(e.SymbolKind={}));var z;(function(_e){function ye(Y){switch(Y){case u.SymbolTag.Deprecated:return 1}}_e.from=ye;function le(Y){switch(Y){case 1:return u.SymbolTag.Deprecated}}_e.to=le})(z=e.SymbolTag||(e.SymbolTag={}));var N;(function(_e){function ye(Y){return{name:Y.name,kind:Q.from(Y.kind),tags:Y.tags&&Y.tags.map(z.from),containerName:Y.containerName,location:O.from(Y.location)}}_e.from=ye;function le(Y){const Be=new u.SymbolInformation(Y.name,Q.to(Y.kind),Y.containerName,O.to(Y.location));return Be.tags=Y.tags&&Y.tags.map(z.to),Be}_e.to=le})(N=e.WorkspaceSymbol||(e.WorkspaceSymbol={}));var W;(function(_e){function ye(Y){const Be={name:Y.name||"!!MISSING: name!!",detail:Y.detail,range:w.from(Y.range),selectionRange:w.from(Y.selectionRange),kind:Q.from(Y.kind),tags:Y.tags?.map(z.from)??[]};return Y.children&&(Be.children=Y.children.map(ye)),Be}_e.from=ye;function le(Y){const Be=new u.DocumentSymbol(Y.name,Y.detail,Q.to(Y.kind),w.to(Y.range),w.to(Y.selectionRange));return g.isNonEmptyArray(Y.tags)&&(Be.tags=Y.tags.map(z.to)),Y.children&&(Be.children=Y.children.map(le)),Be}_e.to=le})(W=e.DocumentSymbol||(e.DocumentSymbol={}));var F;(function(_e){function ye(le){const Y=new u.CallHierarchyItem(Q.to(le.kind),le.name,le.detail||"",E.URI.revive(le.uri),w.to(le.range),w.to(le.selectionRange));return Y._sessionId=le._sessionId,Y._itemId=le._itemId,Y}_e.to=ye})(F=e.CallHierarchyItem||(e.CallHierarchyItem={}));var q;(function(_e){function ye(le){return new u.CallHierarchyIncomingCall(F.to(le.from),le.fromRanges.map(Y=>w.to(Y)))}_e.to=ye})(q=e.CallHierarchyIncomingCall||(e.CallHierarchyIncomingCall={}));var M;(function(_e){function ye(le){return new u.CallHierarchyOutgoingCall(F.to(le.to),le.fromRanges.map(Y=>w.to(Y)))}_e.to=ye})(M=e.CallHierarchyOutgoingCall||(e.CallHierarchyOutgoingCall={}));var O;(function(_e){function ye(Y){return{range:Y.range&&w.from(Y.range),uri:Y.uri}}_e.from=ye;function le(Y){return new u.Location(E.URI.revive(Y.uri),w.to(Y.range))}_e.to=le})(O=e.location||(e.location={}));var x;(function(_e){function ye(Y){const Be=Y,De=Y;return{originSelectionRange:Be.originSelectionRange?w.from(Be.originSelectionRange):void 0,uri:Be.targetUri?Be.targetUri:De.uri,range:w.from(Be.targetRange?Be.targetRange:De.range),targetSelectionRange:Be.targetSelectionRange?w.from(Be.targetSelectionRange):void 0}}_e.from=ye;function le(Y){return{targetUri:E.URI.revive(Y.uri),targetRange:w.to(Y.range),targetSelectionRange:Y.targetSelectionRange?w.to(Y.targetSelectionRange):void 0,originSelectionRange:Y.originSelectionRange?w.to(Y.originSelectionRange):void 0}}_e.to=le})(x=e.DefinitionLink||(e.DefinitionLink={}));var $;(function(_e){function ye(Y){return{range:w.from(Y.range),contents:v.fromMany(Y.contents)}}_e.from=ye;function le(Y){return new u.Hover(Y.contents.map(v.to),w.to(Y.range))}_e.to=le})($=e.Hover||(e.Hover={}));var J;(function(_e){function ye(Y){return{range:w.from(Y.range),expression:Y.expression}}_e.from=ye;function le(Y){return new u.EvaluatableExpression(w.to(Y.range),Y.expression)}_e.to=le})(J=e.EvaluatableExpression||(e.EvaluatableExpression={}));var de;(function(_e){function ye(Y){if(Y instanceof u.InlineValueText)return{type:"text",range:w.from(Y.range),text:Y.text};if(Y instanceof u.InlineValueVariableLookup)return{type:"variable",range:w.from(Y.range),variableName:Y.variableName,caseSensitiveLookup:Y.caseSensitiveLookup};if(Y instanceof u.InlineValueEvaluatableExpression)return{type:"expression",range:w.from(Y.range),expression:Y.expression};throw new Error("Unknown 'InlineValue' type")}_e.from=ye;function le(Y){switch(Y.type){case"text":return{range:w.to(Y.range),text:Y.text};case"variable":return{range:w.to(Y.range),variableName:Y.variableName,caseSensitiveLookup:Y.caseSensitiveLookup};case"expression":return{range:w.to(Y.range),expression:Y.expression}}}_e.to=le})(de=e.InlineValue||(e.InlineValue={}));var Ee;(function(_e){function ye(Y){return{frameId:Y.frameId,stoppedLocation:w.from(Y.stoppedLocation)}}_e.from=ye;function le(Y){return new u.InlineValueContext(Y.frameId,w.to(Y.stoppedLocation))}_e.to=le})(Ee=e.InlineValueContext||(e.InlineValueContext={}));var Fe;(function(_e){function ye(Y){return{range:w.from(Y.range),kind:Y.kind}}_e.from=ye;function le(Y){return new u.DocumentHighlight(w.to(Y.range),Y.kind)}_e.to=le})(Fe=e.DocumentHighlight||(e.DocumentHighlight={}));var Re;(function(_e){function ye(le){switch(le){case 1:return u.CompletionTriggerKind.TriggerCharacter;case 2:return u.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return u.CompletionTriggerKind.Invoke}}_e.to=ye})(Re=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var Ne;(function(_e){function ye(le){return{triggerKind:Re.to(le.triggerKind),triggerCharacter:le.triggerCharacter}}_e.to=ye})(Ne=e.CompletionContext||(e.CompletionContext={}));var qe;(function(_e){function ye(Y){switch(Y){case u.CompletionItemTag.Deprecated:return 1}}_e.from=ye;function le(Y){switch(Y){case 1:return u.CompletionItemTag.Deprecated}}_e.to=le})(qe=e.CompletionItemTag||(e.CompletionItemTag={}));var Ve;(function(_e){const ye=new Map([[u.CompletionItemKind.Method,0],[u.CompletionItemKind.Function,1],[u.CompletionItemKind.Constructor,2],[u.CompletionItemKind.Field,3],[u.CompletionItemKind.Variable,4],[u.CompletionItemKind.Class,5],[u.CompletionItemKind.Interface,7],[u.CompletionItemKind.Struct,6],[u.CompletionItemKind.Module,8],[u.CompletionItemKind.Property,9],[u.CompletionItemKind.Unit,12],[u.CompletionItemKind.Value,13],[u.CompletionItemKind.Constant,14],[u.CompletionItemKind.Enum,15],[u.CompletionItemKind.EnumMember,16],[u.CompletionItemKind.Keyword,17],[u.CompletionItemKind.Snippet,27],[u.CompletionItemKind.Text,18],[u.CompletionItemKind.Color,19],[u.CompletionItemKind.File,20],[u.CompletionItemKind.Reference,21],[u.CompletionItemKind.Folder,23],[u.CompletionItemKind.Event,10],[u.CompletionItemKind.Operator,11],[u.CompletionItemKind.TypeParameter,24],[u.CompletionItemKind.Issue,26],[u.CompletionItemKind.User,25]]);function le(De){return ye.get(De)??9}_e.from=le;const Y=new Map([[0,u.CompletionItemKind.Method],[1,u.CompletionItemKind.Function],[2,u.CompletionItemKind.Constructor],[3,u.CompletionItemKind.Field],[4,u.CompletionItemKind.Variable],[5,u.CompletionItemKind.Class],[7,u.CompletionItemKind.Interface],[6,u.CompletionItemKind.Struct],[8,u.CompletionItemKind.Module],[9,u.CompletionItemKind.Property],[12,u.CompletionItemKind.Unit],[13,u.CompletionItemKind.Value],[14,u.CompletionItemKind.Constant],[15,u.CompletionItemKind.Enum],[16,u.CompletionItemKind.EnumMember],[17,u.CompletionItemKind.Keyword],[27,u.CompletionItemKind.Snippet],[18,u.CompletionItemKind.Text],[19,u.CompletionItemKind.Color],[20,u.CompletionItemKind.File],[21,u.CompletionItemKind.Reference],[23,u.CompletionItemKind.Folder],[10,u.CompletionItemKind.Event],[11,u.CompletionItemKind.Operator],[24,u.CompletionItemKind.TypeParameter],[25,u.CompletionItemKind.User],[26,u.CompletionItemKind.Issue]]);function Be(De){return Y.get(De)??u.CompletionItemKind.Property}_e.to=Be})(Ve=e.CompletionItemKind||(e.CompletionItemKind={}));var Ge;(function(_e){function ye(le,Y){const Be=new u.CompletionItem(le.label);return Be.insertText=le.insertText,Be.kind=Ve.to(le.kind),Be.tags=le.tags?.map(qe.to),Be.detail=le.detail,Be.documentation=R.isMarkdownString(le.documentation)?v.to(le.documentation):le.documentation,Be.sortText=le.sortText,Be.filterText=le.filterText,Be.preselect=le.preselect,Be.commitCharacters=le.commitCharacters,C.Range.isIRange(le.range)?Be.range=w.to(le.range):typeof le.range=="object"&&(Be.range={inserting:w.to(le.range.insert),replacing:w.to(le.range.replace)}),Be.keepWhitespace=typeof le.insertTextRules=="undefined"?!1:Boolean(le.insertTextRules&1),typeof le.insertTextRules!="undefined"&&le.insertTextRules&4?Be.insertText=new u.SnippetString(le.insertText):(Be.insertText=le.insertText,Be.textEdit=Be.range instanceof u.Range?new u.TextEdit(Be.range,Be.insertText):void 0),le.additionalTextEdits&&le.additionalTextEdits.length>0&&(Be.additionalTextEdits=le.additionalTextEdits.map(De=>H.to(De))),Be.command=Y&&le.command?Y.fromInternal(le.command):void 0,Be}_e.to=ye})(Ge=e.CompletionItem||(e.CompletionItem={}));var j;(function(_e){function ye(Y){return{label:Y.label,documentation:Y.documentation?v.fromStrict(Y.documentation):void 0}}_e.from=ye;function le(Y){return{label:Y.label,documentation:R.isMarkdownString(Y.documentation)?v.to(Y.documentation):Y.documentation}}_e.to=le})(j=e.ParameterInformation||(e.ParameterInformation={}));var ee;(function(_e){function ye(Y){return{label:Y.label,documentation:Y.documentation?v.fromStrict(Y.documentation):void 0,parameters:Array.isArray(Y.parameters)?Y.parameters.map(j.from):[],activeParameter:Y.activeParameter}}_e.from=ye;function le(Y){return{label:Y.label,documentation:R.isMarkdownString(Y.documentation)?v.to(Y.documentation):Y.documentation,parameters:Array.isArray(Y.parameters)?Y.parameters.map(j.to):[],activeParameter:Y.activeParameter}}_e.to=le})(ee=e.SignatureInformation||(e.SignatureInformation={}));var re;(function(_e){function ye(Y){return{activeSignature:Y.activeSignature,activeParameter:Y.activeParameter,signatures:Array.isArray(Y.signatures)?Y.signatures.map(ee.from):[]}}_e.from=ye;function le(Y){return{activeSignature:Y.activeSignature,activeParameter:Y.activeParameter,signatures:Array.isArray(Y.signatures)?Y.signatures.map(ee.to):[]}}_e.to=le})(re=e.SignatureHelp||(e.SignatureHelp={}));var ae;(function(_e){function ye(Y){return{text:Y.text,position:h.from(Y.position),kind:Z.from(Y.kind??u.InlayHintKind.Other),whitespaceBefore:Y.whitespaceBefore,whitespaceAfter:Y.whitespaceAfter}}_e.from=ye;function le(Y){const Be=new u.InlayHint(Y.text,h.to(Y.position),Z.to(Y.kind));return Be.whitespaceAfter=Y.whitespaceAfter,Be.whitespaceBefore=Y.whitespaceBefore,Be}_e.to=le})(ae=e.InlayHint||(e.InlayHint={}));var Z;(function(_e){function ye(Y){return Y}_e.from=ye;function le(Y){return Y}_e.to=le})(Z=e.InlayHintKind||(e.InlayHintKind={}));var se;(function(_e){function ye(Y){return{range:w.from(Y.range),url:Y.target,tooltip:Y.tooltip}}_e.from=ye;function le(Y){let Be;if(Y.url)try{Be=typeof Y.url=="string"?E.URI.parse(Y.url,!0):E.URI.revive(Y.url)}catch(De){}return new u.DocumentLink(w.to(Y.range),Be)}_e.to=le})(se=e.DocumentLink||(e.DocumentLink={}));var ve;(function(_e){function ye(Y){const Be=new u.ColorPresentation(Y.label);return Y.textEdit&&(Be.textEdit=H.to(Y.textEdit)),Y.additionalTextEdits&&(Be.additionalTextEdits=Y.additionalTextEdits.map(De=>H.to(De))),Be}_e.to=ye;function le(Y){return{label:Y.label,textEdit:Y.textEdit?H.from(Y.textEdit):void 0,additionalTextEdits:Y.additionalTextEdits?Y.additionalTextEdits.map(Be=>H.from(Be)):void 0}}_e.from=le})(ve=e.ColorPresentation||(e.ColorPresentation={}));var Le;(function(_e){function ye(Y){return new u.Color(Y[0],Y[1],Y[2],Y[3])}_e.to=ye;function le(Y){return[Y.red,Y.green,Y.blue,Y.alpha]}_e.from=le})(Le=e.Color||(e.Color={}));var He;(function(_e){function ye(Y){return{range:w.from(Y.range)}}_e.from=ye;function le(Y){return new u.SelectionRange(w.to(Y.range))}_e.to=le})(He=e.SelectionRange||(e.SelectionRange={}));var be;(function(_e){function ye(le){switch(le){case 2:return u.TextDocumentSaveReason.AfterDelay;case 1:return u.TextDocumentSaveReason.Manual;case 3:case 4:return u.TextDocumentSaveReason.FocusOut}}_e.to=ye})(be=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var Je;(function(_e){function ye(Y){switch(Y){case u.TextEditorLineNumbersStyle.Off:return 0;case u.TextEditorLineNumbersStyle.Relative:return 2;case u.TextEditorLineNumbersStyle.On:default:return 1}}_e.from=ye;function le(Y){switch(Y){case 0:return u.TextEditorLineNumbersStyle.Off;case 2:return u.TextEditorLineNumbersStyle.Relative;case 1:default:return u.TextEditorLineNumbersStyle.On}}_e.to=le})(Je=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var K;(function(_e){function ye(Y){if(Y===u.EndOfLine.CRLF)return 1;if(Y===u.EndOfLine.LF)return 0}_e.from=ye;function le(Y){if(Y===1)return u.EndOfLine.CRLF;if(Y===0)return u.EndOfLine.LF}_e.to=le})(K=e.EndOfLine||(e.EndOfLine={}));var ne;(function(_e){function ye(le){if(typeof le=="object")return le.viewId;switch(le){case u.ProgressLocation.SourceControl:return 3;case u.ProgressLocation.Window:return 10;case u.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}_e.from=ye})(ne=e.ProgressLocation||(e.ProgressLocation={}));var he;(function(_e){function ye(le){const Y={start:le.start+1,end:le.end+1};return le.kind&&(Y.kind=xe.from(le.kind)),Y}_e.from=ye})(he=e.FoldingRange||(e.FoldingRange={}));var xe;(function(_e){function ye(le){if(le)switch(le){case u.FoldingRangeKind.Comment:return n.FoldingRangeKind.Comment;case u.FoldingRangeKind.Imports:return n.FoldingRangeKind.Imports;case u.FoldingRangeKind.Region:return n.FoldingRangeKind.Region}}_e.from=ye})(xe=e.FoldingRangeKind||(e.FoldingRangeKind={}));var $e;(function(_e){function ye(le){if(le)return{pinned:typeof le.preview=="boolean"?!le.preview:void 0,inactive:le.background,preserveFocus:le.preserveFocus,selection:typeof le.selection=="object"?w.from(le.selection):void 0,override:typeof le.override=="boolean"?P.EditorOverride.DISABLED:void 0}}_e.from=ye})($e=e.TextEditorOpenOptions||(e.TextEditorOpenOptions={}));var et;(function(_e){function ye(Y){return Y instanceof u.RelativePattern||typeof Y=="string"?Y:le(Y)?new u.RelativePattern(Y.base,Y.pattern):Y}_e.from=ye;function le(Y){const Be=Y;return Be&&typeof Be.base=="string"&&typeof Be.pattern=="string"}})(et=e.GlobPattern||(e.GlobPattern={}));var ke;(function(_e){function ye(le){if(le){if(Array.isArray(le))return le.map(ye);if(typeof le=="string")return le;{const Y=le;return{language:Y.language,scheme:Y.scheme,pattern:typeof Y.pattern=="undefined"?void 0:et.from(Y.pattern),exclusive:Y.exclusive}}}else return}_e.from=ye})(ke=e.LanguageSelector||(e.LanguageSelector={}));var Ce;(function(_e){function ye(Y){return{start:Y.start,end:Y.end}}_e.from=ye;function le(Y){return new u.NotebookRange(Y.start,Y.end)}_e.to=le})(Ce=e.NotebookRange||(e.NotebookRange={}));var Pe;(function(_e){function ye(Y){return{timing:typeof Y.runStartTime=="number"&&typeof Y.runEndTime=="number"?{startTime:Y.runStartTime,endTime:Y.runEndTime}:void 0,executionOrder:Y.executionOrder,success:Y.lastRunSuccess}}_e.to=ye;function le(Y){return{lastRunSuccess:Y.success,runStartTime:Y.timing?.startTime,runEndTime:Y.timing?.endTime,executionOrder:Y.executionOrder}}_e.from=le})(Pe=e.NotebookCellExecutionSummary||(e.NotebookCellExecutionSummary={}));var oe;(function(_e){function ye(Y){switch(Y){case u.NotebookCellKind.Markup:return m.CellKind.Markup;case u.NotebookCellKind.Code:default:return m.CellKind.Code}}_e.from=ye;function le(Y){switch(Y){case m.CellKind.Markup:return u.NotebookCellKind.Markup;case m.CellKind.Code:default:return u.NotebookCellKind.Code}}_e.to=le})(oe=e.NotebookCellKind||(e.NotebookCellKind={}));var ce;(function(_e){function ye(Y){const Be={metadata:Y.metadata??Object.create(null),cells:[]};for(let De of Y.cells)u.NotebookCellData.validate(De),Be.cells.push(ge.from(De));return Be}_e.from=ye;function le(Y){const Be=new u.NotebookData(Y.cells.map(ge.to));return I.isEmptyObject(Y.metadata)||(Be.metadata=Y.metadata),Be}_e.to=le})(ce=e.NotebookData||(e.NotebookData={}));var ge;(function(_e){function ye(Y){return{cellKind:oe.from(Y.kind),language:Y.languageId,mime:Y.mime,source:Y.value,metadata:Y.metadata,internalMetadata:Pe.from(Y.executionSummary??{}),outputs:Y.outputs?Y.outputs.map(G.from):[]}}_e.from=ye;function le(Y){return new u.NotebookCellData(oe.to(Y.cellKind),Y.source,Y.language,Y.mime,Y.outputs?Y.outputs.map(G.to):void 0,Y.metadata,Y.internalMetadata?Pe.to(Y.internalMetadata):void 0)}_e.to=le})(ge=e.NotebookCellData||(e.NotebookCellData={}));var we;(function(_e){function ye(Y){return{mime:Y.mime,valueBytes:Array.from(Y.data)}}_e.from=ye;function le(Y){return new u.NotebookCellOutputItem(new Uint8Array(Y.valueBytes),Y.mime)}_e.to=le})(we=e.NotebookCellOutputItem||(e.NotebookCellOutputItem={}));var G;(function(_e){function ye(Y){return{outputId:Y.id,items:Y.items.map(we.from),metadata:Y.metadata}}_e.from=ye;function le(Y){const Be=Y.items.map(we.to);return new u.NotebookCellOutput(Be,Y.outputId,Y.metadata)}_e.to=le})(G=e.NotebookCellOutput||(e.NotebookCellOutput={}));var pe;(function(_e){function ye(De){if(De!=null){if(De instanceof u.RelativePattern||typeof De=="string")return De;if(Be(De))return new u.RelativePattern(De.base,De.pattern);if(Y(De))return{include:et.from(De.include)||void 0,exclude:et.from(De.exclude)||void 0}}}_e.from=ye;function le(De){return typeof De=="string"?De:Be(De)?{base:De.base,pattern:De.pattern}:{include:De.include,exclude:De.exclude}}_e.to=le;function Y(De){const Ze=De,Ke=et.from(Ze.include);if(!(Ke&&Ke instanceof u.RelativePattern||typeof Ke=="string"))return!1;const rt=et.from(Ze.exclude);return!!(rt&&rt instanceof u.RelativePattern||typeof rt=="string")}function Be(De){const Ze=De;return Ze&&typeof Ze.base=="string"&&typeof Ze.pattern=="string"}})(pe=e.NotebookExclusiveDocumentPattern||(e.NotebookExclusiveDocumentPattern={}));var Se;(function(_e){function ye(le){return{backgroundColor:le.backgroundColor,borderColor:le.borderColor,top:le.top?D.from(le.top):void 0}}_e.from=ye})(Se=e.NotebookDecorationRenderOptions||(e.NotebookDecorationRenderOptions={}));var Ae;(function(_e){function ye(le,Y,Be){const De=typeof le.command=="string"?{title:"",command:le.command}:le.command;return{alignment:le.alignment===u.NotebookCellStatusBarAlignment.Left?1:2,command:Y.toInternal(De,Be),text:le.text,tooltip:le.tooltip,accessibilityInformation:le.accessibilityInformation,priority:le.priority}}_e.from=ye})(Ae=e.NotebookStatusBarItem||(e.NotebookStatusBarItem={}));var Me;(function(_e){function ye(le){return{transientOutputs:le?.transientOutputs??!1,transientCellMetadata:le?.transientCellMetadata??{},transientDocumentMetadata:le?.transientDocumentMetadata??{}}}_e.from=ye})(Me=e.NotebookDocumentContentOptions||(e.NotebookDocumentContentOptions={}));var je;(function(_e){function ye(Y){return{uri:Y.uri,provides:Y.provides}}_e.from=ye;function le(Y){return new u.NotebookRendererScript(E.URI.revive(Y.uri),Y.provides)}_e.to=le})(je=e.NotebookRendererScript||(e.NotebookRendererScript={}));var tt;(function(_e){function ye(Y){return{message:v.fromStrict(Y.message)||"",severity:Y.severity,expectedOutput:Y.expectedOutput,actualOutput:Y.actualOutput,location:Y.location?O.from(Y.location):void 0}}_e.from=ye;function le(Y){const Be=new u.TestMessage(typeof Y.message=="string"?Y.message:v.to(Y.message));return Be.severity=Y.severity,Be.actualOutput=Y.actualOutput,Be.expectedOutput=Y.expectedOutput,Be}_e.to=le})(tt=e.TestMessage||(e.TestMessage={}));var Xe;(function(_e){function ye(Ze){return{extId:Ze.id,label:Ze.label,uri:Ze.uri,range:w.from(Ze.range)||null,debuggable:Ze.debuggable??!1,description:Ze.description||null,runnable:Ze.runnable??!0,error:Ze.error&&v.fromStrict(Ze.error)||null}}_e.from=ye;function le(Ze){return{extId:Ze.id,label:Ze.label,uri:Ze.uri,range:w.from(Ze.range)||null,debuggable:!1,description:Ze.description||null,error:null,runnable:!0}}_e.fromResultSnapshot=le;function Y(Ze){return{id:Ze.extId,label:Ze.label,uri:E.URI.revive(Ze.uri),range:w.to(Ze.range||void 0),dispose:()=>{},invalidateResults:()=>{},canResolveChildren:!1,busy:!1,debuggable:Ze.debuggable,description:Ze.description||void 0,runnable:Ze.runnable}}_e.toPlain=Y;function Be(Ze,Ke){const rt=new u.TestItemImpl(Ze.extId,Ze.label,E.URI.revive(Ze.uri),void 0,Ke);return rt.range=w.to(Ze.range||void 0),rt.debuggable=Ze.debuggable,rt.description=Ze.description||void 0,rt.runnable=Ze.runnable,rt}_e.to=Be;function De(Ze){let Ke;for(const rt of Ze.tests)Ke=Be(rt.item,Ke);return Ke}_e.toItemFromContext=De})(Xe=e.TestItem||(e.TestItem={}));var Ye;(function(_e){const ye=(Y,Be)=>({...Xe.toPlain(Y.item),taskStates:Y.tasks.map(De=>({state:De.state,duration:De.duration,messages:De.messages.map(tt.to)})),children:Y.children.map(De=>Be.get(De)).filter(I.isDefined).map(De=>ye(De,Be))});function le(Y){const Be=[],De=new Map;for(const Ze of Y.items)De.set(Ze.item.extId,Ze),Ze.direct&&Be.push(Ze);return{completedAt:Y.completedAt,results:Be.map(Ze=>ye(Ze,De))}}_e.to=le})(Ye=e.TestResults||(e.TestResults={}));var lt;(function(_e){function ye(De){return{covered:De.covered,total:De.covered}}function le(De){return"line"in De?h.from(De):w.from(De)}function Y(De){return"branches"in De?{count:De.executionCount,location:le(De.location),type:1,branches:De.branches.length?De.branches.map(Ze=>({count:Ze.executionCount,location:Ze.location&&le(Ze.location)})):void 0}:{type:0,count:De.executionCount,location:le(De.location)}}_e.fromDetailed=Y;function Be(De){return{uri:De.uri,statement:ye(De.statementCoverage),branch:De.branchCoverage&&ye(De.branchCoverage),function:De.functionCoverage&&ye(De.functionCoverage),details:De.detailedCoverage?.map(Y)}}_e.fromFile=Be})(lt=e.TestCoverage||(e.TestCoverage={}));var ut;(function(_e){function ye(le){switch(le){case 1:return u.CodeActionTriggerKind.Invoke;case 2:return u.CodeActionTriggerKind.Automatic}}_e.to=ye})(ut=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}))}),define(fe[207],me([0,1,2,15,7,17,90]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentSaveParticipant=void 0;class I{constructor(C,n,P,d={timeout:1500,errors:3}){this._logService=C,this._documents=n,this._mainThreadBulkEdits=P,this._thresholds=d,this._callbacks=new A.LinkedList,this._badListeners=new WeakMap}dispose(){this._callbacks.clear()}getOnWillSaveTextDocumentEvent(C){return(n,P,d)=>{const l={dispose:this._callbacks.push([n,P,C])};return Array.isArray(d)&&d.push(l),l}}async $participateInSave(C,n){const P=g.URI.revive(C);let d=!1;const m=setTimeout(()=>d=!0,this._thresholds.timeout),l=[];try{for(let u of[...this._callbacks]){if(d)break;const S=this._documents.getDocument(P),w=await this._deliverEventAsyncAndBlameBadListeners(u,{document:S,reason:y.TextDocumentSaveReason.to(n)});l.push(w)}}finally{clearTimeout(m)}return l}_deliverEventAsyncAndBlameBadListeners([C,n,P],d){const m=this._badListeners.get(C);return typeof m=="number"&&m>this._thresholds.errors?Promise.resolve(!1):this._deliverEventAsync(P,C,n,d).then(()=>!0,l=>{if(this._logService.error(`onWillSaveTextDocument-listener from extension '${P.identifier.value}' threw ERROR`),this._logService.error(l),!(l instanceof Error)||l.message!=="concurrent_edits"){const u=this._badListeners.get(C);this._badListeners.set(C,u?u+1:1),typeof u=="number"&&u>this._thresholds.errors&&this._logService.info(`onWillSaveTextDocument-listener from extension '${P.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}_deliverEventAsync(C,n,P,d){const m=[],l=Date.now(),{document:u,reason:S}=d,{version:w}=u,b=Object.freeze({document:u,reason:S,waitUntil(h){if(Object.isFrozen(m))throw R.illegalState("waitUntil can not be called async");m.push(Promise.resolve(h))}});try{n.apply(P,[b])}catch(h){return Promise.reject(h)}return Object.freeze(m),new Promise((h,c)=>{const f=setTimeout(()=>c(new Error("timeout")),this._thresholds.timeout);return Promise.all(m).then(t=>{this._logService.debug(`onWillSaveTextDocument-listener from extension '${C.identifier.value}' finished after ${Date.now()-l}ms`),clearTimeout(f),h(t)}).catch(t=>{clearTimeout(f),c(t)})}).then(h=>{const c={edits:[]};for(const f of h)if(Array.isArray(f)&&f.every(t=>t instanceof k.TextEdit))for(const{newText:t,newEol:r,range:s}of f)c.edits.push({_type:2,resource:u.uri,edit:{range:s&&y.Range.from(s),text:t,eol:r&&y.EndOfLine.from(r)}});if(c.edits.length!==0)return w===u.version?this._mainThreadBulkEdits.$tryApplyWorkspaceEdit(c):Promise.reject(new Error("concurrent_edits"))})}}e.ExtHostDocumentSaveParticipant=I}),define(fe[208],me([0,1,3,30,2,17,7]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystemEventService=void 0;class I{constructor(n,P,d,m,l){this._onDidCreate=new g.Emitter,this._onDidChange=new g.Emitter,this._onDidDelete=new g.Emitter,this._config=0,d&&(this._config+=1),m&&(this._config+=2),l&&(this._config+=4);const u=R.parse(P),S=n(w=>{if(!d)for(let b of w.created){const h=k.URI.revive(b);u(h.fsPath)&&this._onDidCreate.fire(h)}if(!m)for(let b of w.changed){const h=k.URI.revive(b);u(h.fsPath)&&this._onDidChange.fire(h)}if(!l)for(let b of w.deleted){const h=k.URI.revive(b);u(h.fsPath)&&this._onDidDelete.fire(h)}});this._disposable=A.Disposable.from(this._onDidCreate,this._onDidChange,this._onDidDelete,S)}get ignoreCreateEvents(){return Boolean(this._config&1)}get ignoreChangeEvents(){return Boolean(this._config&2)}get ignoreDeleteEvents(){return Boolean(this._config&4)}dispose(){this._disposable.dispose()}get onDidCreate(){return this._onDidCreate.event}get onDidChange(){return this._onDidChange.event}get onDidDelete(){return this._onDidDelete.event}}class E{constructor(n,P,d){this._logService=P,this._extHostDocumentsAndEditors=d,this._onFileSystemEvent=new g.Emitter,this._onDidRenameFile=new g.Emitter,this._onDidCreateFile=new g.Emitter,this._onDidDeleteFile=new g.Emitter,this._onWillRenameFile=new g.AsyncEmitter,this._onWillCreateFile=new g.AsyncEmitter,this._onWillDeleteFile=new g.AsyncEmitter,this.onDidRenameFile=this._onDidRenameFile.event,this.onDidCreateFile=this._onDidCreateFile.event,this.onDidDeleteFile=this._onDidDeleteFile.event}createFileSystemWatcher(n,P,d,m){return new I(this._onFileSystemEvent.event,n,P,d,m)}$onFileEvent(n){this._onFileSystemEvent.fire(n)}$onDidRunFileOperation(n,P){switch(n){case 2:this._onDidRenameFile.fire(Object.freeze({files:P.map(d=>({oldUri:k.URI.revive(d.source),newUri:k.URI.revive(d.target)}))}));break;case 1:this._onDidDeleteFile.fire(Object.freeze({files:P.map(d=>k.URI.revive(d.target))}));break;case 0:this._onDidCreateFile.fire(Object.freeze({files:P.map(d=>k.URI.revive(d.target))}));break;default:}}getOnWillRenameFileEvent(n){return this._createWillExecuteEvent(n,this._onWillRenameFile)}getOnWillCreateFileEvent(n){return this._createWillExecuteEvent(n,this._onWillCreateFile)}getOnWillDeleteFileEvent(n){return this._createWillExecuteEvent(n,this._onWillDeleteFile)}_createWillExecuteEvent(n,P){return(d,m,l)=>{const u=function(w){d.call(m,w)};return u.extension=n,P.event(u,void 0,l)}}async $onWillRunFileOperation(n,P,d,m){switch(n){case 2:return await this._fireWillEvent(this._onWillRenameFile,{files:P.map(l=>({oldUri:k.URI.revive(l.source),newUri:k.URI.revive(l.target)}))},d,m);case 1:return await this._fireWillEvent(this._onWillDeleteFile,{files:P.map(l=>k.URI.revive(l.target))},d,m);case 0:return await this._fireWillEvent(this._onWillCreateFile,{files:P.map(l=>k.URI.revive(l.target))},d,m)}}async _fireWillEvent(n,P,d,m){const l=new Set,u=[];if(await n.fireAsync(P,m,async(w,b)=>{const h=Date.now(),c=await Promise.resolve(w);c instanceof A.WorkspaceEdit&&(u.push(c),l.add(b.extension.displayName??b.extension.identifier.value)),Date.now()-h>d&&this._logService.warn("SLOW file-participant",b.extension.identifier)}),m.isCancellationRequested||u.length===0)return;const S={edits:[]};for(let w of u){let{edits:b}=y.WorkspaceEdit.from(w,this._extHostDocumentsAndEditors);S.edits=S.edits.concat(b)}return{edit:S,extensionNames:Array.from(l)}}}e.ExtHostFileSystemEventService=E}),define(fe[209],me([0,1,10,25,2,17,7,85]),function(X,e,g,R,k,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocument=e.ExtHostCell=void 0;class E{constructor(d,m,l,u){this.start=d,this.deletedCount=m,this.deletedItems=l,this.items=u}static asApiEvents(d){return d.map(m=>({start:m.start,deletedCount:m.deletedCount,deletedItems:m.deletedItems,items:m.items.map(l=>l.apiCell)}))}}class C{constructor(d,m,l){this.notebook=d,this._extHostDocument=m,this._cellData=l,this.handle=l.handle,this.uri=k.URI.revive(l.uri),this.cellKind=l.cellKind,this._outputs=l.outputs.map(y.NotebookCellOutput.to),this._internalMetadata=l.internalMetadata??{},this._metadata=l.metadata??{},this._previousResult=y.NotebookCellExecutionSummary.to(l.internalMetadata??{})}static asModelAddData(d,m){return{EOL:m.eol,lines:m.source,modeId:m.language,uri:m.uri,isDirty:!1,versionId:1,notebook:d}}get internalMetadata(){return this._internalMetadata}get apiCell(){if(!this._apiCell){const d=this,m=this._extHostDocument.getDocument(this.uri);if(!m)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);this._apiCell=Object.freeze({get index(){return d.notebook.getCellIndex(d)},notebook:d.notebook.apiNotebook,kind:y.NotebookCellKind.to(this._cellData.cellKind),document:m.document,get mime(){return d._mime},set mime(l){d._mime=l},get outputs(){return d._outputs.slice(0)},get metadata(){return d._metadata},get executionSummary(){return d._previousResult}})}return this._apiCell}setOutputs(d){this._outputs=d.map(y.NotebookCellOutput.to)}setOutputItems(d,m,l){const u=l.map(y.NotebookCellOutputItem.to),S=this._outputs.find(w=>w.id===d);S&&(m||(S.items.length=0),S.items.push(...u))}setMetadata(d){this._metadata=d}setInternalMetadata(d){this._internalMetadata=d,this._previousResult=y.NotebookCellExecutionSummary.to(d)}setMime(d){}}e.ExtHostCell=C;class n{constructor(d,m,l,u,S,w){this._proxy=d,this._textDocumentsAndEditors=m,this._textDocuments=l,this._emitter=u,this.uri=S,this.handle=n._handlePool++,this._cells=[],this._versionId=0,this._isDirty=!1,this._disposed=!1,this._notebookType=w.viewType,this._metadata=w.metadata??Object.create(null),this._spliceNotebookCells([[0,0,w.cells]],!0),this._versionId=w.versionId}dispose(){this._disposed=!0}get apiNotebook(){if(!this._notebook){const d=this;this._notebook={get uri(){return d.uri},get version(){return d._versionId},get notebookType(){return d._notebookType},get isDirty(){return d._isDirty},get isUntitled(){return d.uri.scheme===g.Schemas.untitled},get isClosed(){return d._disposed},get metadata(){return d._metadata},get cellCount(){return d._cells.length},cellAt(m){return m=d._validateIndex(m),d._cells[m].apiCell},getCells(m){return(m?d._getCells(m):d._cells).map(u=>u.apiCell)},save(){return d._save()}}}return this._notebook}updateBackup(d){this._backup?.delete(),this._backup=d}disposeBackup(){this._backup?.delete(),this._backup=void 0}acceptDocumentPropertiesChanged(d){d.metadata&&(this._metadata={...this._metadata,...d.metadata})}acceptDirty(d){this._isDirty=d}acceptModelChanged(d,m){this._versionId=d.versionId,this._isDirty=m;for(const l of d.rawEvents)l.kind===I.NotebookCellsChangeType.ModelChange?this._spliceNotebookCells(l.changes,!1):l.kind===I.NotebookCellsChangeType.Move?this._moveCell(l.index,l.newIdx):l.kind===I.NotebookCellsChangeType.Output?this._setCellOutputs(l.index,l.outputs):l.kind===I.NotebookCellsChangeType.OutputItem?this._setCellOutputItems(l.index,l.outputId,l.append,l.outputItems):l.kind===I.NotebookCellsChangeType.ChangeLanguage?this._changeCellLanguage(l.index,l.language):l.kind===I.NotebookCellsChangeType.ChangeCellMime?this._changeCellMime(l.index,l.mime):l.kind===I.NotebookCellsChangeType.ChangeCellMetadata?this._changeCellMetadata(l.index,l.metadata):l.kind===I.NotebookCellsChangeType.ChangeCellInternalMetadata&&this._changeCellInternalMetadata(l.index,l.internalMetadata)}_validateIndex(d){return d=d|0,d<0?0:d>=this._cells.length?this._cells.length-1:d}_validateRange(d){let m=d.start|0,l=d.end|0;return m<0&&(m=0),l>this._cells.length&&(l=this._cells.length),d.with({start:m,end:l})}_getCells(d){d=this._validateRange(d);const m=[];for(let l=d.start;l<d.end;l++)m.push(this._cells[l]);return m}async _save(){return this._disposed?Promise.reject(new Error("Notebook has been closed")):this._proxy.$trySaveNotebook(this.uri)}_spliceNotebookCells(d,m){if(this._disposed)return;const l=[],u=[],S=[];d.reverse().forEach(w=>{const h=w[2].map(t=>{const r=new C(this,this._textDocumentsAndEditors,t);return m||u.push(C.asModelAddData(this.apiNotebook,t)),r}),c=new E(w[0],w[1],[],h),f=this._cells.splice(w[0],w[1],...h);for(const t of f)S.push(t.uri),c.deletedItems.push(t.apiCell);l.push(c)}),this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:u,removedDocuments:S}),m||this._emitter.emitModelChange(R.deepFreeze({document:this.apiNotebook,changes:E.asApiEvents(l)}))}_moveCell(d,m){const l=this._cells.splice(d,1);this._cells.splice(m,0,...l);const u=[new E(d,1,l.map(S=>S.apiCell),[]),new E(m,0,[],l)];this._emitter.emitModelChange(R.deepFreeze({document:this.apiNotebook,changes:E.asApiEvents(u)}))}_setCellOutputs(d,m){const l=this._cells[d];l.setOutputs(m),this._emitter.emitCellOutputsChange(R.deepFreeze({document:this.apiNotebook,cells:[l.apiCell]}))}_setCellOutputItems(d,m,l,u){const S=this._cells[d];S.setOutputItems(m,l,u),this._emitter.emitCellOutputsChange(R.deepFreeze({document:this.apiNotebook,cells:[S.apiCell]}))}_changeCellLanguage(d,m){const l=this._cells[d];l.apiCell.document.languageId!==m&&this._textDocuments.$acceptModelModeChanged(l.uri,m)}_changeCellMime(d,m){const l=this._cells[d];l.apiCell.mime=m}_changeCellMetadata(d,m){const l=this._cells[d],u=l.apiCell.metadata;l.setMetadata(m);const S=l.apiCell.metadata;R.equals(u,S)||this._emitter.emitCellMetadataChange(R.deepFreeze({document:this.apiNotebook,cell:l.apiCell}))}_changeCellInternalMetadata(d,m){const l=this._cells[d],u=l.internalMetadata;if(l.setInternalMetadata(m),u.runState!==m.runState){const S=m.runState??A.NotebookCellExecutionState.Idle;this._emitter.emitCellExecutionStateChange(R.deepFreeze({document:this.apiNotebook,cell:l.apiCell,state:S}))}}getCellFromApiCell(d){return this._cells.find(m=>m.apiCell===d)}getCellFromIndex(d){return this._cells[d]}getCell(d){return this._cells.find(m=>m.handle===d)}getCellIndex(d){return this._cells.indexOf(d)}}e.ExtHostNotebookDocument=n,n._handlePool=0}),define(fe[125],me([0,1,7,17,15]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditor=void 0;class y{constructor(E){this._finalized=!1,this._collectedEdits=[],this._documentVersionId=E}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,cellEdits:this._collectedEdits}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replaceMetadata(E){this._throwIfFinalized(),this._collectedEdits.push({editType:5,metadata:E})}replaceCellMetadata(E,C){this._throwIfFinalized(),this._collectedEdits.push({editType:8,index:E,metadata:C})}replaceCells(E,C,n){this._throwIfFinalized(),!(E===C&&n.length===0)&&this._collectedEdits.push({editType:1,index:E,count:C-E,cells:n.map(R.NotebookCellData.from)})}}class A{constructor(E,C,n,P,d,m){this.id=E,this._proxy=C,this.notebookData=n,this._selections=[],this._visibleRanges=[],this._visible=!1,this._hasDecorationsForKey=new Set,this._selections=d,this._visibleRanges=P,this._viewColumn=m}get apiEditor(){if(!this._editor){const E=this;this._editor={get document(){return E.notebookData.apiNotebook},get selections(){return E._selections},set selections(C){if(!Array.isArray(C)||!C.every(g.NotebookRange.isNotebookRange))throw k.illegalArgument("selections");E._selections=C,E._trySetSelections(C)},get visibleRanges(){return E._visibleRanges},revealRange(C,n){E._proxy.$tryRevealRange(E.id,R.NotebookRange.from(C),n??g.NotebookEditorRevealType.Default)},get viewColumn(){return E._viewColumn},edit(C){const n=new y(this.document.version);return C(n),E._applyEdit(n.finalize())},setDecorations(C,n){return E.setDecorations(C,n)}},A.apiEditorsToExtHost.set(this._editor,this)}return this._editor}get visible(){return this._visible}_acceptVisibility(E){this._visible=E}_acceptVisibleRanges(E){this._visibleRanges=E}_acceptSelections(E){this._selections=E}_trySetSelections(E){this._proxy.$trySetSelections(this.id,E.map(R.NotebookRange.from))}_acceptViewColumn(E){this._viewColumn=E}_applyEdit(E){if(E.cellEdits.length===0)return Promise.resolve(!0);const C=[];let n=-1;for(let P=0;P<E.cellEdits.length;P++){if(n<0){C.push(E.cellEdits[P]),n++;continue}const m=C[n],l=E.cellEdits[P];if(m.editType===1&&l.editType===1&&m.index===l.index){m.cells.push(...E.cellEdits[P].cells),m.count+=E.cellEdits[P].count;continue}C.push(E.cellEdits[P]),n++}return this._proxy.$tryApplyEdits(this.id,E.documentVersionId,C)}setDecorations(E,C){if(!(C.isEmpty&&!this._hasDecorationsForKey.has(E.key)))return C.isEmpty?this._hasDecorationsForKey.delete(E.key):this._hasDecorationsForKey.add(E.key),this._proxy.$trySetDecorations(this.id,R.NotebookRange.from(C),E.key)}}e.ExtHostNotebookEditor=A,A.apiEditorsToExtHost=new WeakMap}),define(fe[210],me([0,1,17,115,161,21,53]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostProgress=void 0;class I{constructor(P){this._handles=0,this._mapHandleToCancellationSource=new Map,this._proxy=P}withProgress(P,d,m){const l=this._handles++,{title:u,location:S,cancellable:w}=d,b={label:k.localize(0,null,P.displayName||P.name),id:P.identifier.value};return this._proxy.$startProgress(l,{location:g.ProgressLocation.from(S),title:u,source:b,cancellable:w},P),this._withProgress(l,m,!!w)}_withProgress(P,d,m){let l;m&&(l=new y.CancellationTokenSource,this._mapHandleToCancellationSource.set(P,l));const u=w=>{this._proxy.$progressEnd(w),this._mapHandleToCancellationSource.delete(w),l&&l.dispose()};let S;try{S=d(new C(this._proxy,P),m&&l?l.token:y.CancellationToken.None)}catch(w){throw u(P),w}return S.then(w=>u(P),w=>u(P)),S}$acceptProgressCanceled(P){const d=this._mapHandleToCancellationSource.get(P);d&&(d.cancel(),this._mapHandleToCancellationSource.delete(P))}}e.ExtHostProgress=I;function E(n,P){return n.message=P.message,typeof P.increment=="number"&&(typeof n.increment=="number"?n.increment+=P.increment:n.increment=P.increment),n}class C extends R.Progress{constructor(P,d){super(m=>this.throttledReport(m));this._proxy=P,this._handle=d}throttledReport(P){this._proxy.$progressReport(this._handle,P)}}ze([A.throttle(100,(n,P)=>E(n,P),()=>Object.create(null))],C.prototype,"throttledReport",null)}),define(fe[126],me([0,1,52,15,71,17,7]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTextEditor=e.ExtHostTextEditorOptions=e.TextEditorEdit=e.TextEditorDecorationType=void 0;class I{constructor(d,m,l){const u=I._Keys.nextId();d.$registerTextEditorDecorationType(m.identifier,u,y.DecorationRenderOptions.from(l)),this.value=Object.freeze({key:u,dispose(){d.$removeTextEditorDecorationType(u)}})}}e.TextEditorDecorationType=I,I._Keys=new k.IdGenerator("TextEditorDecorationType");class E{constructor(d,m){this._collectedEdits=[],this._setEndOfLine=void 0,this._finalized=!1,this._document=d,this._documentVersionId=d.version,this._undoStopBefore=m.undoStopBefore,this._undoStopAfter=m.undoStopAfter}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,edits:this._collectedEdits,setEndOfLine:this._setEndOfLine,undoStopBefore:this._undoStopBefore,undoStopAfter:this._undoStopAfter}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replace(d,m){this._throwIfFinalized();let l=null;if(d instanceof A.Position)l=new A.Range(d,d);else if(d instanceof A.Range)l=d;else throw new Error("Unrecognized location");this._pushEdit(l,m,!1)}insert(d,m){this._throwIfFinalized(),this._pushEdit(new A.Range(d,d),m,!0)}delete(d){this._throwIfFinalized();let m=null;if(d instanceof A.Range)m=d;else throw new Error("Unrecognized location");this._pushEdit(m,null,!0)}_pushEdit(d,m,l){const u=this._document.validateRange(d);this._collectedEdits.push({range:u,text:m,forceMoveMarkers:l})}setEndOfLine(d){if(this._throwIfFinalized(),d!==A.EndOfLine.LF&&d!==A.EndOfLine.CRLF)throw R.illegalArgument("endOfLine");this._setEndOfLine=d}}e.TextEditorEdit=E;class C{constructor(d,m,l,u){this._proxy=d,this._id=m,this._accept(l),this._logService=u;const S=this;this.value={get tabSize(){return S._tabSize},set tabSize(w){S._setTabSize(w)},get insertSpaces(){return S._insertSpaces},set insertSpaces(w){S._setInsertSpaces(w)},get cursorStyle(){return S._cursorStyle},set cursorStyle(w){S._setCursorStyle(w)},get lineNumbers(){return S._lineNumbers},set lineNumbers(w){S._setLineNumbers(w)}}}_accept(d){this._tabSize=d.tabSize,this._insertSpaces=d.insertSpaces,this._cursorStyle=d.cursorStyle,this._lineNumbers=y.TextEditorLineNumbersStyle.to(d.lineNumbers)}_validateTabSize(d){if(d==="auto")return"auto";if(typeof d=="number"){const m=Math.floor(d);return m>0?m:null}if(typeof d=="string"){const m=parseInt(d,10);return isNaN(m)?null:m>0?m:null}return null}_setTabSize(d){const m=this._validateTabSize(d);if(m!==null){if(typeof m=="number"){if(this._tabSize===m)return;this._tabSize=m}this._warnOnError(this._proxy.$trySetOptions(this._id,{tabSize:m}))}}_validateInsertSpaces(d){return d==="auto"?"auto":d==="false"?!1:Boolean(d)}_setInsertSpaces(d){const m=this._validateInsertSpaces(d);if(typeof m=="boolean"){if(this._insertSpaces===m)return;this._insertSpaces=m}this._warnOnError(this._proxy.$trySetOptions(this._id,{insertSpaces:m}))}_setCursorStyle(d){this._cursorStyle!==d&&(this._cursorStyle=d,this._warnOnError(this._proxy.$trySetOptions(this._id,{cursorStyle:d})))}_setLineNumbers(d){this._lineNumbers!==d&&(this._lineNumbers=d,this._warnOnError(this._proxy.$trySetOptions(this._id,{lineNumbers:y.TextEditorLineNumbersStyle.from(d)})))}assign(d){const m={};let l=!1;if(typeof d.tabSize!="undefined"){const u=this._validateTabSize(d.tabSize);u==="auto"?(l=!0,m.tabSize=u):typeof u=="number"&&this._tabSize!==u&&(this._tabSize=u,l=!0,m.tabSize=u)}if(typeof d.insertSpaces!="undefined"){const u=this._validateInsertSpaces(d.insertSpaces);u==="auto"?(l=!0,m.insertSpaces=u):this._insertSpaces!==u&&(this._insertSpaces=u,l=!0,m.insertSpaces=u)}typeof d.cursorStyle!="undefined"&&this._cursorStyle!==d.cursorStyle&&(this._cursorStyle=d.cursorStyle,l=!0,m.cursorStyle=d.cursorStyle),typeof d.lineNumbers!="undefined"&&this._lineNumbers!==d.lineNumbers&&(this._lineNumbers=d.lineNumbers,l=!0,m.lineNumbers=y.TextEditorLineNumbersStyle.from(d.lineNumbers)),l&&this._warnOnError(this._proxy.$trySetOptions(this._id,m))}_warnOnError(d){d.catch(m=>this._logService.warn(m))}}e.ExtHostTextEditorOptions=C;class n{constructor(d,m,l,u,S,w,b,h){this.id=d,this._proxy=m,this._logService=l,this._disposed=!1,this._hasDecorationsForKey=new Set,this._selections=S,this._options=new C(this._proxy,this.id,w,l),this._visibleRanges=b,this._viewColumn=h;const c=this;this.value=Object.freeze({get document(){return u.getValue()},set document(f){throw R.readonly("document")},get selection(){return c._selections&&c._selections[0]},set selection(f){if(!(f instanceof A.Selection))throw R.illegalArgument("selection");c._selections=[f],c._trySetSelection()},get selections(){return c._selections},set selections(f){if(!Array.isArray(f)||f.some(t=>!(t instanceof A.Selection)))throw R.illegalArgument("selections");c._selections=f,c._trySetSelection()},get visibleRanges(){return c._visibleRanges},set visibleRanges(f){throw R.readonly("visibleRanges")},get options(){return c._options.value},set options(f){c._disposed||c._options.assign(f)},get viewColumn(){return c._viewColumn},set viewColumn(f){throw R.readonly("viewColumn")},edit(f,t={undoStopBefore:!0,undoStopAfter:!0}){if(c._disposed)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const r=new E(u.getValue(),t);return f(r),c._applyEdit(r)},insertSnippet(f,t,r={undoStopBefore:!0,undoStopAfter:!0}){if(c._disposed)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let s;if(!t||Array.isArray(t)&&t.length===0)s=c._selections.map(i=>y.Range.from(i));else if(t instanceof A.Position){const{lineNumber:i,column:a}=y.Position.from(t);s=[{startLineNumber:i,startColumn:a,endLineNumber:i,endColumn:a}]}else if(t instanceof A.Range)s=[y.Range.from(t)];else{s=[];for(const i of t)if(i instanceof A.Range)s.push(y.Range.from(i));else{const{lineNumber:a,column:v}=y.Position.from(i);s.push({startLineNumber:a,startColumn:v,endLineNumber:a,endColumn:v})}}return m.$tryInsertSnippet(d,f.value,s,r)},setDecorations(f,t){const r=t.length===0;r&&!c._hasDecorationsForKey.has(f.key)||(r?c._hasDecorationsForKey.delete(f.key):c._hasDecorationsForKey.add(f.key),c._runOnProxy(()=>{if(y.isDecorationOptionsArr(t))return m.$trySetDecorations(d,f.key,y.fromRangeOrRangeWithMessage(t));{const s=new Array(4*t.length);for(let i=0,a=t.length;i<a;i++){const v=t[i];s[4*i]=v.start.line+1,s[4*i+1]=v.start.character+1,s[4*i+2]=v.end.line+1,s[4*i+3]=v.end.character+1}return m.$trySetDecorationsFast(d,f.key,s)}}))},revealRange(f,t){c._runOnProxy(()=>m.$tryRevealRange(d,y.Range.from(f),t||A.TextEditorRevealType.Default))},show(f){m.$tryShowEditor(d,y.ViewColumn.from(f))},hide(){m.$tryHideEditor(d)}})}dispose(){g.ok(!this._disposed),this._disposed=!0}_acceptOptions(d){g.ok(!this._disposed),this._options._accept(d)}_acceptVisibleRanges(d){g.ok(!this._disposed),this._visibleRanges=d}_acceptViewColumn(d){g.ok(!this._disposed),this._viewColumn=d}_acceptSelections(d){g.ok(!this._disposed),this._selections=d}async _trySetSelection(){const d=this._selections.map(y.Selection.from);return await this._runOnProxy(()=>this._proxy.$trySetSelections(this.id,d)),this.value}_applyEdit(d){const m=d.finalize();if(m.edits.length===0&&!m.setEndOfLine)return Promise.resolve(!0);const l=m.edits.map(S=>S.range);l.sort((S,w)=>S.end.line===w.end.line?S.end.character===w.end.character?S.start.line===w.start.line?S.start.character-w.start.character:S.start.line-w.start.line:S.end.character-w.end.character:S.end.line-w.end.line);for(let S=0,w=l.length-1;S<w;S++){const b=l[S].end;if(l[S+1].start.isBefore(b))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const u=m.edits.map(S=>({range:y.Range.from(S.range),text:S.text,forceMoveMarkers:S.forceMoveMarkers}));return this._proxy.$tryApplyEdits(this.id,m.documentVersionId,u,{setEndOfLine:typeof m.setEndOfLine=="number"?y.EndOfLine.from(m.setEndOfLine):void 0,undoStopBefore:m.undoStopBefore,undoStopAfter:m.undoStopAfter})}_runOnProxy(d){return this._disposed?(this._logService.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):d().then(()=>this,m=>(m instanceof Error&&m.name==="DISPOSED"||this._logService.warn(m),null))}}e.ExtHostTextEditor=n}),define(fe[211],me([0,1,164,22,2,3,6,16,7,14,18,17,21]),function(X,e,g,R,k,y,A,I,E,C,n,P,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTreeViews=void 0;function m(S,w){if(C.isString(S))return{label:S};if(S&&typeof S=="object"&&typeof S.label=="string"){let b;return Array.isArray(S.highlights)&&(b=S.highlights.filter(h=>h.length===2&&typeof h[0]=="number"&&typeof h[1]=="number"),b=b.length?b:void 0),{label:S.label,highlights:b}}}class l{constructor(w,b,h){this._proxy=w,this.commands=b,this.logService=h,this.treeViews=new Map;function c(f){return f&&f.$treeViewId&&f.$treeItemHandle}b.registerArgumentProcessor({processArgument:f=>c(f)?this.convertArgument(f):Array.isArray(f)&&f.length>0?f.map(t=>c(t)?this.convertArgument(t):t):f})}registerTreeDataProvider(w,b,h){const c=this.createTreeView(w,{treeDataProvider:b},h);return{dispose:()=>c.dispose()}}createTreeView(w,b,h){if(!b||!b.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const c=b.dragAndDropController!==void 0,f=this._proxy.$registerTreeViewDataProvider(w,{showCollapseAll:!!b.showCollapseAll,canSelectMany:!!b.canSelectMany,canDragAndDrop:c}),t=this.createExtHostTreeView(w,b,h);return{get onDidCollapseElement(){return t.onDidCollapseElement},get onDidExpandElement(){return t.onDidExpandElement},get selection(){return t.selectedElements},get onDidChangeSelection(){return t.onDidChangeSelection},get visible(){return t.visible},get onDidChangeVisibility(){return t.onDidChangeVisibility},get message(){return t.message},set message(r){t.message=r},get title(){return t.title},set title(r){t.title=r},get description(){return t.description},set description(r){t.description=r},reveal:(r,s)=>t.reveal(r,s),dispose:async()=>{await f,this.treeViews.delete(w),t.dispose()}}}$getChildren(w,b){const h=this.treeViews.get(w);return h?h.getChildren(b):Promise.reject(new Error(g.localize(0,null,w)))}$onDrop(w,b,h){const c=this.treeViews.get(w);return c?c.onDrop(b,h):Promise.reject(new Error(g.localize(1,null,w)))}async $hasResolve(w){const b=this.treeViews.get(w);if(!b)throw new Error(g.localize(2,null,w));return b.hasResolve}$resolve(w,b,h){const c=this.treeViews.get(w);if(!c)throw new Error(g.localize(3,null,w));return c.resolveTreeItem(b,h)}$setExpanded(w,b,h){const c=this.treeViews.get(w);if(!c)throw new Error(g.localize(4,null,w));c.setExpanded(b,h)}$setSelection(w,b){const h=this.treeViews.get(w);if(!h)throw new Error(g.localize(5,null,w));h.setSelection(b)}$setVisible(w,b){const h=this.treeViews.get(w);if(!h)throw new Error(g.localize(6,null,w));h.setVisible(b)}createExtHostTreeView(w,b,h){const c=new u(w,b,this._proxy,this.commands.converter,this.logService,h);return this.treeViews.set(w,c),c}convertArgument(w){const b=this.treeViews.get(w.$treeViewId);return b?b.getExtensionElement(w.$treeItemHandle):null}}e.ExtHostTreeViews=l;class u extends A.Disposable{constructor(w,b,h,c,f,t){super();if(this.viewId=w,this.proxy=h,this.commands=c,this.logService=f,this.extension=t,this.roots=null,this.elements=new Map,this.nodes=new Map,this._visible=!1,this._selectedHandles=[],this._onDidExpandElement=this._register(new y.Emitter),this.onDidExpandElement=this._onDidExpandElement.event,this._onDidCollapseElement=this._register(new y.Emitter),this.onDidCollapseElement=this._onDidCollapseElement.event,this._onDidChangeSelection=this._register(new y.Emitter),this.onDidChangeSelection=this._onDidChangeSelection.event,this._onDidChangeVisibility=this._register(new y.Emitter),this.onDidChangeVisibility=this._onDidChangeVisibility.event,this._onDidChangeData=this._register(new y.Emitter),this.refreshPromise=Promise.resolve(),this.refreshQueue=Promise.resolve(),this._message="",this._title="",this._refreshCancellationSource=new d.CancellationTokenSource,t.contributes&&t.contributes.views)for(const i in t.contributes.views)for(const a of t.contributes.views[i])a.id===w&&(this._title=a.name);this.dataProvider=b.treeDataProvider,this.dndController=b.dragAndDropController,this.dataProvider.onDidChangeTreeData2?this._register(this.dataProvider.onDidChangeTreeData2(i=>this._onDidChangeData.fire({message:!1,element:i}))):this.dataProvider.onDidChangeTreeData&&this._register(this.dataProvider.onDidChangeTreeData(i=>this._onDidChangeData.fire({message:!1,element:i})));let r,s;this._register(y.Event.debounce(this._onDidChangeData.event,(i,a)=>(i||(i={message:!1,elements:[]}),a.element!==!1&&(r||(r=new Promise(v=>s=v),this.refreshPromise=this.refreshPromise.then(()=>r)),Array.isArray(a.element)?i.elements.push(...a.element):i.elements.push(a.element)),a.message&&(i.message=!0),i),200,!0)(({message:i,elements:a})=>{a.length&&(this.refreshQueue=this.refreshQueue.then(()=>{const v=s;return r=null,this.refresh(a).then(()=>v())})),i&&this.proxy.$setMessage(this.viewId,this._message)}))}get visible(){return this._visible}get selectedElements(){return this._selectedHandles.map(w=>this.getExtensionElement(w)).filter(w=>!C.isUndefinedOrNull(w))}getChildren(w){const b=w?this.getExtensionElement(w):void 0;if(w&&!b)return this.logService.error(`No tree item with id '${w}' found.`),Promise.resolve([]);const h=this.getChildrenNodes(w);return(h?Promise.resolve(h):this.fetchChildrenNodes(b)).then(c=>c.map(f=>f.item))}getExtensionElement(w){return this.elements.get(w)}reveal(w,b){b=b||{select:!0,focus:!1};const h=C.isUndefinedOrNull(b.select)?!0:b.select,c=C.isUndefinedOrNull(b.focus)?!1:b.focus,f=C.isUndefinedOrNull(b.expand)?!1:b.expand;return typeof this.dataProvider.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):w?this.refreshPromise.then(()=>this.resolveUnknownParentChain(w)).then(t=>this.resolveTreeNode(w,t[t.length-1]).then(r=>this.proxy.$reveal(this.viewId,{item:r.item,parentChain:t.map(s=>s.item)},{select:h,focus:c,expand:f})),t=>this.logService.error(t)):this.proxy.$reveal(this.viewId,void 0,{select:h,focus:c,expand:f})}get message(){return this._message}set message(w){this._message=w,this._onDidChangeData.fire({message:!0,element:!1})}get title(){return this._title}set title(w){this._title=w,this.proxy.$setTitle(this.viewId,w,this._description)}get description(){return this._description}set description(w){this._description=w,this.proxy.$setTitle(this.viewId,this._title,w)}setExpanded(w,b){const h=this.getExtensionElement(w);h&&(b?this._onDidExpandElement.fire(Object.freeze({element:h})):this._onDidCollapseElement.fire(Object.freeze({element:h})))}setSelection(w){n.equals(this._selectedHandles,w)||(this._selectedHandles=w,this._onDidChangeSelection.fire(Object.freeze({selection:this.selectedElements})))}setVisible(w){w!==this._visible&&(this._visible=w,this._onDidChangeVisibility.fire(Object.freeze({visible:this._visible})))}onDrop(w,b){const h=w.map(f=>this.getExtensionElement(f)).filter(f=>!C.isUndefinedOrNull(f)),c=this.getExtensionElement(b);return h&&c?I.asPromise(()=>this.dndController?.onDrop(h,c)):Promise.resolve(void 0)}get hasResolve(){return!!this.dataProvider.resolveTreeItem}async resolveTreeItem(w,b){if(!this.dataProvider.resolveTreeItem)return;const h=this.elements.get(w);if(h){const c=this.nodes.get(h);if(c){const f=await this.dataProvider.resolveTreeItem(c.extensionItem,h,b)??c.extensionItem;return c.item.tooltip=this.getTooltip(f.tooltip),c.item.command=this.getCommand(c.disposableStore,f.command),c.item}}}resolveUnknownParentChain(w){return this.resolveParent(w).then(b=>b?this.resolveUnknownParentChain(b).then(h=>this.resolveTreeNode(b,h[h.length-1]).then(c=>(h.push(c),h))):Promise.resolve([]))}resolveParent(w){const b=this.nodes.get(w);return b?Promise.resolve(b.parent?this.elements.get(b.parent.item.handle):void 0):I.asPromise(()=>this.dataProvider.getParent(w))}resolveTreeNode(w,b){const h=this.nodes.get(w);return h?Promise.resolve(h):I.asPromise(()=>this.dataProvider.getTreeItem(w)).then(c=>this.createHandle(w,c,b,!0)).then(c=>this.getChildren(b?b.item.handle:void 0).then(()=>{const f=this.getExtensionElement(c);if(f){const t=this.nodes.get(f);if(t)return Promise.resolve(t)}throw new Error(`Cannot resolve tree item for element ${c}`)}))}getChildrenNodes(w){if(w){let b;if(typeof w=="string"){const h=this.getExtensionElement(w);b=h?this.nodes.get(h):void 0}else b=w;return b&&b.children||null}return this.roots}async fetchChildrenNodes(w){this.clearChildren(w);const b=new d.CancellationTokenSource(this._refreshCancellationSource.token);try{const h=w?this.nodes.get(w):void 0,c=await this.dataProvider.getChildren(w);if(b.token.isCancellationRequested)return[];const f=await Promise.all(n.coalesce(c||[]).map(async t=>{const r=await this.dataProvider.getTreeItem(t);return r&&!b.token.isCancellationRequested?this.createAndRegisterTreeNode(t,r,h):null}));return b.token.isCancellationRequested?[]:n.coalesce(f)}finally{b.dispose()}}refresh(w){if(w.some(h=>!h))return this._refreshCancellationSource.dispose(!0),this._refreshCancellationSource=new d.CancellationTokenSource,this.clearAll(),this.proxy.$refresh(this.viewId);{const h=this.getHandlesToRefresh(w);if(h.length)return this.refreshHandles(h)}return Promise.resolve(void 0)}getHandlesToRefresh(w){const b=new Set,h=w.map(f=>this.nodes.get(f));for(const f of h)if(f&&!b.has(f.item.handle)){let t=f;for(;t&&t.parent&&h.findIndex(r=>t&&t.parent&&r&&r.item.handle===t.parent.item.handle)===-1;){const r=this.elements.get(t.parent.item.handle);t=r?this.nodes.get(r):void 0}t&&!t.parent&&b.add(f.item.handle)}const c=[];return b.forEach(f=>{const t=this.elements.get(f);if(t){const r=this.nodes.get(t);r&&(!r.parent||!b.has(r.parent.item.handle))&&c.push(f)}}),c}refreshHandles(w){const b={};return Promise.all(w.map(h=>this.refreshNode(h).then(c=>{c&&(b[h]=c.item)}))).then(()=>Object.keys(b).length?this.proxy.$refresh(this.viewId,b):void 0)}refreshNode(w){const b=this.getExtensionElement(w);if(b){const h=this.nodes.get(b);if(h)return this.clearChildren(b),I.asPromise(()=>this.dataProvider.getTreeItem(b)).then(c=>{if(c){const f=this.createTreeNode(b,c,h.parent);return this.updateNodeCache(b,f,h,h.parent),h.dispose(),f}return null})}return Promise.resolve(null)}createAndRegisterTreeNode(w,b,h){const c=this.createTreeNode(w,b,h);if(b.id&&this.elements.has(c.item.handle))throw new Error(g.localize(7,null,b.id));return this.addNodeToCache(w,c),this.addNodeToParentCache(c,h),c}getTooltip(w){return E.MarkdownString.isMarkdownString(w)?P.MarkdownString.from(w):w}getCommand(w,b){return b?this.commands.toInternal(b,w):void 0}createTreeNode(w,b,h){const c=new A.DisposableStore,f=this.createHandle(w,b,h),t=this.getLightIconPath(b);return{item:{handle:f,parentHandle:h?h.item.handle:void 0,label:m(b.label,this.extension),description:b.description,resourceUri:b.resourceUri,tooltip:this.getTooltip(b.tooltip),command:this.getCommand(c,b.command),contextValue:b.contextValue,icon:t,iconDark:this.getDarkIconPath(b)||t,themeIcon:this.getThemeIcon(b),collapsibleState:C.isUndefinedOrNull(b.collapsibleState)?E.TreeItemCollapsibleState.None:b.collapsibleState,accessibilityInformation:b.accessibilityInformation},extensionItem:b,parent:h,children:void 0,disposableStore:c,dispose(){c.dispose()}}}getThemeIcon(w){return w.iconPath instanceof E.ThemeIcon?w.iconPath:void 0}createHandle(w,{id:b,label:h,resourceUri:c},f,t){if(b)return`${u.ID_HANDLE_PREFIX}/${b}`;const r=m(h,this.extension),s=f?f.item.handle:u.LABEL_HANDLE_PREFIX;let i=r?r.label:c?R.basename(c):"";i=i.indexOf("/")!==-1?i.replace("/","//"):i;const a=this.nodes.has(w)?this.nodes.get(w).item.handle:void 0,v=this.getChildrenNodes(f)||[];let p,_=0;do{if(p=`${s}/${_}:${i}`,t||!this.elements.has(p)||a===p)break;_++}while(_<=v.length);return p}getLightIconPath(w){if(w.iconPath&&!(w.iconPath instanceof E.ThemeIcon))return typeof w.iconPath=="string"||k.URI.isUri(w.iconPath)?this.getIconPath(w.iconPath):this.getIconPath(w.iconPath.light)}getDarkIconPath(w){if(w.iconPath&&!(w.iconPath instanceof E.ThemeIcon)&&w.iconPath.dark)return this.getIconPath(w.iconPath.dark)}getIconPath(w){return k.URI.isUri(w)?w:k.URI.file(w)}addNodeToCache(w,b){this.elements.set(b.item.handle,w),this.nodes.set(w,b)}updateNodeCache(w,b,h,c){this.elements.delete(b.item.handle),this.nodes.delete(w),b.item.handle!==h.item.handle&&this.elements.delete(h.item.handle),this.addNodeToCache(w,b);const f=this.getChildrenNodes(c)||[],t=f.filter(r=>r.item.handle===h.item.handle)[0];t&&f.splice(f.indexOf(t),1,b)}addNodeToParentCache(w,b){b?(b.children||(b.children=[]),b.children.push(w)):(this.roots||(this.roots=[]),this.roots.push(w))}clearChildren(w){if(w){const b=this.nodes.get(w);if(b){if(b.children)for(const h of b.children){const c=this.elements.get(h.item.handle);c&&this.clear(c)}b.children=void 0}}else this.clearAll()}clear(w){const b=this.nodes.get(w);if(b){if(b.children)for(const h of b.children){const c=this.elements.get(h.item.handle);c&&this.clear(c)}this.nodes.delete(w),this.elements.delete(b.item.handle),b.dispose()}}clearAll(){this.roots=null,this.elements.clear(),this.nodes.forEach(w=>w.dispose()),this.nodes.clear()}dispose(){this._refreshCancellationSource.dispose(),this.clearAll()}}u.LABEL_HANDLE_PREFIX="0",u.ID_HANDLE_PREFIX="1"}),define(fe[212],me([0,1,167,14,2,6,4,79,46,18,124,10]),function(X,e,g,R,k,y,A,I,E,C,n,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.editorGroupToViewColumn=e.viewColumnToEditorGroup=e.EditorsOrder=e.pathsToEditors=e.CloseDirection=e.EditorResourceAccessor=e.SideBySideEditor=e.isEditorIdentifier=e.isEditorInputWithOptions=e.isEditorInputWithPreferredResource=e.UntypedEditorContext=e.EditorInputCapabilities=e.SaveReason=e.Verbosity=e.isUntitledResourceEditorInput=e.isResourceDiffEditorInput=e.isTextEditorPane=e.BINARY_DIFF_EDITOR_ID=e.TEXT_DIFF_EDITOR_ID=e.EditorAreaVisibleContext=e.SplitEditorsVertically=e.IsCenteredLayoutContext=e.InEditorZenModeContext=e.EditorsVisibleContext=e.SingleEditorGroupsContext=e.MultipleEditorGroupsContext=e.ActiveEditorGroupLastContext=e.ActiveEditorGroupIndexContext=e.ActiveEditorGroupEmptyContext=e.EditorGroupEditorsCountContext=e.TextCompareEditorActiveContext=e.TextCompareEditorVisibleContext=e.ActiveEditorAvailableEditorIdsContext=e.ActiveEditorContext=e.ActiveEditorCanRevertContext=e.ActiveEditorReadonlyContext=e.ActiveEditorStickyContext=e.ActiveEditorPinnedContext=e.ActiveEditorDirtyContext=e.DEFAULT_EDITOR_ASSOCIATION=e.EditorExtensions=void 0,e.EditorExtensions={Editors:"workbench.contributions.editors",Associations:"workbench.editors.associations",EditorInputFactories:"workbench.contributions.editor.inputFactories"},e.DEFAULT_EDITOR_ASSOCIATION={id:"default",displayName:g.localize(0,null),providerDisplayName:g.localize(1,null)},e.ActiveEditorDirtyContext=new I.RawContextKey("activeEditorIsDirty",!1,g.localize(2,null)),e.ActiveEditorPinnedContext=new I.RawContextKey("activeEditorIsNotPreview",!1,g.localize(3,null)),e.ActiveEditorStickyContext=new I.RawContextKey("activeEditorIsPinned",!1,g.localize(4,null)),e.ActiveEditorReadonlyContext=new I.RawContextKey("activeEditorIsReadonly",!1,g.localize(5,null)),e.ActiveEditorCanRevertContext=new I.RawContextKey("activeEditorCanRevert",!1,g.localize(6,null)),e.ActiveEditorContext=new I.RawContextKey("activeEditor",null,{type:"string",description:g.localize(7,null)}),e.ActiveEditorAvailableEditorIdsContext=new I.RawContextKey("activeEditorAvailableEditorIds","",g.localize(8,null)),e.TextCompareEditorVisibleContext=new I.RawContextKey("textCompareEditorVisible",!1,g.localize(9,null)),e.TextCompareEditorActiveContext=new I.RawContextKey("textCompareEditorActive",!1,g.localize(10,null)),e.EditorGroupEditorsCountContext=new I.RawContextKey("groupEditorsCount",0,g.localize(11,null)),e.ActiveEditorGroupEmptyContext=new I.RawContextKey("activeEditorGroupEmpty",!1,g.localize(12,null)),e.ActiveEditorGroupIndexContext=new I.RawContextKey("activeEditorGroupIndex",0,g.localize(13,null)),e.ActiveEditorGroupLastContext=new I.RawContextKey("activeEditorGroupLast",!1,g.localize(14,null)),e.MultipleEditorGroupsContext=new I.RawContextKey("multipleEditorGroups",!1,g.localize(15,null)),e.SingleEditorGroupsContext=e.MultipleEditorGroupsContext.toNegated(),e.EditorsVisibleContext=new I.RawContextKey("editorIsOpen",!1,g.localize(16,null)),e.InEditorZenModeContext=new I.RawContextKey("inZenMode",!1,g.localize(17,null)),e.IsCenteredLayoutContext=new I.RawContextKey("isCenteredLayout",!1,g.localize(18,null)),e.SplitEditorsVertically=new I.RawContextKey("splitEditorsVertically",!1,g.localize(19,null)),e.EditorAreaVisibleContext=new I.RawContextKey("editorAreaVisible",!0,g.localize(20,null)),e.TEXT_DIFF_EDITOR_ID="workbench.editors.textDiffEditor",e.BINARY_DIFF_EDITOR_ID="workbench.editors.binaryResourceDiffEditor";function d(o){return typeof o?.getViewState=="function"}e.isTextEditorPane=d;function m(o){const T=o;return T.originalInput!==void 0&&T.modifiedInput!==void 0}e.isResourceDiffEditorInput=m;function l(o){const T=o;return T.resource===void 0||T.resource.scheme===P.Schemas.untitled||T.forceUntitled===!0}e.isUntitledResourceEditorInput=l;var u;(function(o){o[o.SHORT=0]="SHORT",o[o.MEDIUM=1]="MEDIUM",o[o.LONG=2]="LONG"})(u=e.Verbosity||(e.Verbosity={}));var S;(function(o){o[o.EXPLICIT=1]="EXPLICIT",o[o.AUTO=2]="AUTO",o[o.FOCUS_CHANGE=3]="FOCUS_CHANGE",o[o.WINDOW_CHANGE=4]="WINDOW_CHANGE"})(S=e.SaveReason||(e.SaveReason={}));var w;(function(o){o[o.None=0]="None",o[o.Readonly=2]="Readonly",o[o.Untitled=4]="Untitled",o[o.Singleton=8]="Singleton",o[o.RequiresTrust=16]="RequiresTrust"})(w=e.EditorInputCapabilities||(e.EditorInputCapabilities={}));var b;(function(o){o[o.Default=0]="Default",o[o.Full=1]="Full"})(b=e.UntypedEditorContext||(e.UntypedEditorContext={}));function h(o){const T=o;return T?k.URI.isUri(T.preferredResource):!1}e.isEditorInputWithPreferredResource=h;function c(o){const T=o;return T?!!T.primary&&!!T.secondary:!1}function f(o){const T=o;return!!T&&!!T.editor}e.isEditorInputWithOptions=f;function t(o){const T=o;return T?typeof T.groupId=="number"&&!R.isUndefinedOrNull(T.editor):!1}e.isEditorIdentifier=t;var r;(function(o){o[o.PRIMARY=1]="PRIMARY",o[o.SECONDARY=2]="SECONDARY",o[o.BOTH=3]="BOTH"})(r=e.SideBySideEditor||(e.SideBySideEditor={}));class s{getOriginalUri(T,L){if(!T)return;const H=c(T)?T.primary:m(T)?T.modifiedInput:void 0,B=c(T)?T.secondary:m(T)?T.originalInput:void 0;if(L?.supportSideBySide&&H&&B){if(L?.supportSideBySide===r.BOTH)return{primary:this.getOriginalUri(H,{filterByScheme:L.filterByScheme}),secondary:this.getOriginalUri(B,{filterByScheme:L.filterByScheme})};T=L.supportSideBySide===r.PRIMARY?H:B}if(m(T))return;const Q=h(T)?T.preferredResource:T.resource;return!Q||!L||!L.filterByScheme?Q:this.filterUri(Q,L.filterByScheme)}getCanonicalUri(T,L){if(!T)return;const H=c(T)?T.primary:m(T)?T.modifiedInput:void 0,B=c(T)?T.secondary:m(T)?T.originalInput:void 0;if(L?.supportSideBySide&&H&&B){if(L?.supportSideBySide===r.BOTH)return{primary:this.getCanonicalUri(H,{filterByScheme:L.filterByScheme}),secondary:this.getCanonicalUri(B,{filterByScheme:L.filterByScheme})};T=L.supportSideBySide===r.PRIMARY?H:B}if(m(T))return;const Q=T.resource;return!Q||!L||!L.filterByScheme?Q:this.filterUri(Q,L.filterByScheme)}filterUri(T,L){if(Array.isArray(L)){if(L.some(H=>T.scheme===H))return T}else if(L===T.scheme)return T}}e.EditorResourceAccessor=new s;var i;(function(o){o[o.LEFT=0]="LEFT",o[o.RIGHT=1]="RIGHT"})(i=e.CloseDirection||(e.CloseDirection={}));class a{constructor(){this.editorInputSerializerConstructors=new Map,this.editorInputSerializerInstances=new Map}start(T){const L=this.instantiationService=T.get(A.IInstantiationService);for(const[H,B]of this.editorInputSerializerConstructors)this.createEditorInputSerializer(H,B,L);this.editorInputSerializerConstructors.clear()}createEditorInputSerializer(T,L,H){const B=H.createInstance(L);this.editorInputSerializerInstances.set(T,B)}registerFileEditorInputFactory(T){if(this.fileEditorInputFactory)throw new Error("Can only register one file editor input factory.");this.fileEditorInputFactory=T}getFileEditorInputFactory(){return R.assertIsDefined(this.fileEditorInputFactory)}registerEditorInputSerializer(T,L){if(this.editorInputSerializerConstructors.has(T)||this.editorInputSerializerInstances.has(T))throw new Error(`A editor input serializer with type ID '${T}' was already registered.`);return this.instantiationService?this.createEditorInputSerializer(T,L,this.instantiationService):this.editorInputSerializerConstructors.set(T,L),y.toDisposable(()=>{this.editorInputSerializerConstructors.delete(T),this.editorInputSerializerInstances.delete(T)})}getEditorInputSerializer(T){return this.editorInputSerializerInstances.get(typeof T=="string"?T:T.typeId)}}E.Registry.add(e.EditorExtensions.EditorInputFactories,new a);async function v(o,T){if(!o||!o.length)return[];const L=await Promise.all(o.map(async H=>{const B=k.URI.revive(H.fileUri);if(!B||!T.canHandleResource(B))return;const Q=typeof H.exists=="boolean"?H.exists:await T.exists(B);if(!Q&&H.openOnlyIfExists)return;const z=Q&&typeof H.lineNumber=="number"?{selection:{startLineNumber:H.lineNumber,startColumn:H.columnNumber||1},pinned:!0,override:H.editorOverrideId}:{pinned:!0,override:H.editorOverrideId};let N;return Q?N={resource:B,options:z,forceFile:!0}:N={resource:B,options:z,forceUntitled:!0},N}));return C.coalesce(L)}e.pathsToEditors=v;var p;(function(o){o[o.MOST_RECENTLY_ACTIVE=0]="MOST_RECENTLY_ACTIVE",o[o.SEQUENTIAL=1]="SEQUENTIAL"})(p=e.EditorsOrder||(e.EditorsOrder={}));function _(o,T){if(typeof T!="number"||T===n.ACTIVE_GROUP)return n.ACTIVE_GROUP;const L=o.getGroups(2);let H=L[T];if(H)return H.id;let B=L[0];return L.length===1&&B.count===0?B.id:n.SIDE_GROUP}e.viewColumnToEditorGroup=_;function D(o,T){let L=typeof T=="number"?o.getGroup(T):T;return L=L??o.activeGroup,o.getGroups(2).indexOf(L)}e.editorGroupToViewColumn=D}),define(fe[213],me([0,1,3,6,18,212,22]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEditorInput=e.EditorInput=void 0;class I extends R.Disposable{constructor(){super(...arguments);this._onDidChangeDirty=this._register(new g.Emitter),this.onDidChangeDirty=this._onDidChangeDirty.event,this._onDidChangeLabel=this._register(new g.Emitter),this.onDidChangeLabel=this._onDidChangeLabel.event,this._onDidChangeCapabilities=this._register(new g.Emitter),this.onDidChangeCapabilities=this._onDidChangeCapabilities.event,this._onWillDispose=this._register(new g.Emitter),this.onWillDispose=this._onWillDispose.event,this.disposed=!1}get editorId(){}get capabilities(){return 2}hasCapability(n){return n===0?this.capabilities===0:(this.capabilities&n)!=0}getName(){return`Editor ${this.typeId}`}getLabelExtraClasses(){return[]}getDescription(n){}getTitle(n){return this.getName()}getAriaLabel(){return this.getTitle(0)}getTelemetryDescriptor(){return{typeId:this.typeId}}isDirty(){return!1}isSaving(){return!1}async resolve(){return null}async save(n,P){return this}async saveAs(n,P){return this}async revert(n,P){}rename(n,P){}copy(){return this}matches(n){if(E(n))return this===n;const P=n.options?.override;return this.editorId===void 0||this.editorId!==P?!1:A.isEqual(this.resource,y.EditorResourceAccessor.getCanonicalUri(n))}prefersEditor(n){return k.firstOrDefault(n)}toUntyped(n,P){}isDisposed(){return this.disposed}dispose(){this.disposed||(this.disposed=!0,this._onWillDispose.fire()),super.dispose()}}e.EditorInput=I;function E(C){return C instanceof I}e.isEditorInput=E}),define(fe[214],me([0,1,16,3,54,6,14,119,17,7,123]),function(X,e,g,R,k,y,A,I,E,C,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SingleUseTestCollection=e.TestTree=e.TestPosition=void 0;var P;(function(l){l[l.Disconnected=0]="Disconnected",l[l.IsChild=1]="IsChild",l[l.IsParent=2]="IsParent",l[l.IsSame=3]="IsSame"})(P=e.TestPosition||(e.TestPosition={}));class d{constructor(){this.map=new Map,this._roots=new Set,this.roots=this._roots}get size(){return this.map.size}add(u){if(this.map.has(u.item.extId))throw new Error(`Attempted to insert a duplicate test item ID ${u.item.extId}`);this.map.set(u.item.extId,u),u.parent||this._roots.add(u)}has(u){return this.map.has(u)}delete(u){const S=this.map.get(u);return S?(this.map.delete(u),this._roots.delete(S),!0):!1}get(u){return this.map.get(u)}comparePositions(u,S){const w=typeof u=="string"?this.map.get(u):u,b=typeof S=="string"?this.map.get(S):S;if(!w||!b)return 0;if(w===b)return 3;for(let h=this.map.get(b.parent);h;h=this.map.get(h.parent))if(h===w)return 1;for(let h=this.map.get(w.parent);h;h=this.map.get(h.parent))if(h===b)return 2;return 0}[Symbol.iterator](){return this.map.values()}}e.TestTree=d;class m extends y.Disposable{constructor(u){super();this.controllerId=u,this.testItemToInternal=new Map,this.debounceSendDiff=this._register(new g.RunOnceScheduler(()=>this.flushDiff(),200)),this.diffOpEmitter=this._register(new R.Emitter),this.root=new C.TestItemImpl(`${this.controllerId}Root`,this.controllerId,void 0,void 0,void 0),this.tree=new d,this.diff=[],this.onDidGenerateDiff=this.diffOpEmitter.event,this.addItemInner(this.root,null)}set resolveHandler(u){this._resolveHandler=u;for(const S of this.testItemToInternal.values())this.updateExpandability(S)}get roots(){return k.Iterable.filter(this.testItemToInternal.values(),u=>u.parent===null)}getTestByReference(u){return this.testItemToInternal.get(u)}collectDiff(){const u=this.diff;return this.diff=[],u}pushDiff(u){const S=this.diff[this.diff.length-1];if(S&&u[0]===1){if(S[0]===1&&S[1].extId===u[1].extId){n.applyTestItemUpdate(S[1],u[1]);return}if(S[0]===0&&S[1].item.extId===u[1].extId){n.applyTestItemUpdate(S[1],u[1]);return}}this.diff.push(u),this.debounceSendDiff.isScheduled()||this.debounceSendDiff.schedule()}expand(u,S){const w=this.tree.get(u);if(!!w){if((w.expandLevels===void 0||S>w.expandLevels)&&(w.expandLevels=S),w.expand===1){const b=this.resolveChildren(w);return b.isOpen()?this.expandChildren(w,S-1):b.wait().then(()=>this.expandChildren(w,S-1))}else if(w.expand===3)return w.resolveBarrier?.isOpen()===!1?w.resolveBarrier.wait().then(()=>this.expandChildren(w,S-1)):this.expandChildren(w,S-1)}}dispose(){for(const u of this.testItemToInternal.values())I.getPrivateApiFor(u.actual).bus.dispose();this.diff=[],super.dispose()}onTestItemEvent(u,S){const w=u?.actual.id;switch(S[0]){case 2:this.pushDiff([4,w]);break;case 1:this.removeItem(u);break;case 0:this.addItemInner(S[1],u);break;case 3:const[b,h,c]=S;switch(h){case"canResolveChildren":this.updateExpandability(u);break;case"range":this.pushDiff([1,{extId:w,item:{range:E.Range.from(c)}}]);break;case"error":this.pushDiff([1,{extId:w,item:{error:E.MarkdownString.fromStrict(c)||null}}]);break;default:this.pushDiff([1,{extId:w,item:{[h]:c??null}}]);break}break;default:A.assertNever(S[0])}}addItemInner(u,S){if(!(u instanceof C.TestItemImpl))throw new Error(`TestItems provided to the VS Code API must extend \`vscode.TestItem\`, but ${u.id} did not`);if(this.testItemToInternal.has(u))throw new Error(`Attempted to add a single TestItem ${u.id} multiple times to the tree`);if(this.tree.has(u.id))throw new Error(`Attempted to insert a duplicate test item ID ${u.id}`);const w=S?S.item.extId:null,b=S?S.expandLevels:1,h={actual:u,parent:w,item:E.TestItem.from(u),expandLevels:b?b-1:void 0,expand:0,controllerId:this.controllerId};this.tree.add(h),this.testItemToInternal.set(u,h),this.pushDiff([0,{parent:w,controllerId:this.controllerId,expand:h.expand,item:h.item}]);const c=I.getPrivateApiFor(u);c.bus.event(this.onTestItemEvent.bind(this,h)),this.updateExpandability(h);for(const f of c.children.values())this.testItemToInternal.has(f)||this.addItemInner(f,h)}updateExpandability(u){let S;this._resolveHandler?u.resolveBarrier?S=u.resolveBarrier.isOpen()?3:2:S=u.actual.canResolveChildren?1:0:S=0,S!==u.expand&&(u.expand=S,this.pushDiff([1,{extId:u.actual.id,expand:S}]),S===1&&u.expandLevels!==void 0&&this.resolveChildren(u))}expandChildren(u,S){if(S<0)return;const w=[...u.actual.children.values()].map(b=>this.expand(b.id,S)).filter(g.isThenable);if(w.length)return Promise.all(w).then(()=>{})}resolveChildren(u){if(u.resolveBarrier)return u.resolveBarrier;if(!this._resolveHandler){const b=new g.Barrier;return b.open(),b}u.expand=2,this.pushExpandStateUpdate(u);const S=u.resolveBarrier=new g.Barrier;let w;try{w=this._resolveHandler(u.actual)}catch(b){u.actual.error=b.stack||b.message}return g.isThenable(w)?w.catch(b=>u.actual.error=b.stack||b.message).then(()=>{S.open(),this.updateExpandability(u)}):(S.open(),this.updateExpandability(u)),u.resolveBarrier}pushExpandStateUpdate(u){this.pushDiff([1,{extId:u.actual.id,expand:u.expand}])}removeItem(u){this.pushDiff([2,u.actual.id]);const S=[u];for(;S.length;){const w=S.pop();if(!!w){this.tree.delete(w.item.extId),this.testItemToInternal.delete(w.actual);for(const b of w.actual.children.values())S.push(this.tree.get(b.id))}}}flushDiff(){const u=this.collectDiff();u.length&&this.diffOpEmitter.fire(u)}}e.SingleUseTestCollection=m}),define(fe[215],me([0,1,4,213]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.preferredSideBySideGroupDirection=e.isEditorGroup=e.OpenEditorContext=e.GroupChangeKind=e.GroupsOrder=e.isEditorReplacement=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.IEditorGroupsService=void 0,e.IEditorGroupsService=g.createDecorator("editorGroupsService");var k;(function(u){u[u.UP=0]="UP",u[u.DOWN=1]="DOWN",u[u.LEFT=2]="LEFT",u[u.RIGHT=3]="RIGHT"})(k=e.GroupDirection||(e.GroupDirection={}));var y;(function(u){u[u.HORIZONTAL=0]="HORIZONTAL",u[u.VERTICAL=1]="VERTICAL"})(y=e.GroupOrientation||(e.GroupOrientation={}));var A;(function(u){u[u.FIRST=0]="FIRST",u[u.LAST=1]="LAST",u[u.NEXT=2]="NEXT",u[u.PREVIOUS=3]="PREVIOUS"})(A=e.GroupLocation||(e.GroupLocation={}));var I;(function(u){u[u.MINIMIZE_OTHERS=0]="MINIMIZE_OTHERS",u[u.EVEN=1]="EVEN",u[u.TOGGLE=2]="TOGGLE"})(I=e.GroupsArrangement||(e.GroupsArrangement={}));var E;(function(u){u[u.COPY_EDITORS=0]="COPY_EDITORS",u[u.MOVE_EDITORS=1]="MOVE_EDITORS"})(E=e.MergeGroupMode||(e.MergeGroupMode={}));function C(u){const S=u;return!!S&&R.isEditorInput(S.editor)&&R.isEditorInput(S.replacement)}e.isEditorReplacement=C;var n;(function(u){u[u.CREATION_TIME=0]="CREATION_TIME",u[u.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",u[u.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(n=e.GroupsOrder||(e.GroupsOrder={}));var P;(function(u){u[u.GROUP_ACTIVE=0]="GROUP_ACTIVE",u[u.GROUP_INDEX=1]="GROUP_INDEX",u[u.EDITOR_OPEN=2]="EDITOR_OPEN",u[u.EDITOR_CLOSE=3]="EDITOR_CLOSE",u[u.EDITOR_MOVE=4]="EDITOR_MOVE",u[u.EDITOR_ACTIVE=5]="EDITOR_ACTIVE",u[u.EDITOR_LABEL=6]="EDITOR_LABEL",u[u.EDITOR_CAPABILITIES=7]="EDITOR_CAPABILITIES",u[u.EDITOR_PIN=8]="EDITOR_PIN",u[u.EDITOR_STICKY=9]="EDITOR_STICKY",u[u.EDITOR_DIRTY=10]="EDITOR_DIRTY"})(P=e.GroupChangeKind||(e.GroupChangeKind={}));var d;(function(u){u[u.NEW_EDITOR=1]="NEW_EDITOR",u[u.MOVE_EDITOR=2]="MOVE_EDITOR",u[u.COPY_EDITOR=3]="COPY_EDITOR"})(d=e.OpenEditorContext||(e.OpenEditorContext={}));function m(u){const S=u;return!!S&&typeof S.id=="number"&&Array.isArray(S.editors)}e.isEditorGroup=m;function l(u){return u.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.preferredSideBySideGroupDirection=l}),define(fe[216],me([0,1,4,178]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWorkbenchEnvironmentService=void 0,e.IWorkbenchEnvironmentService=g.refineServiceDecorator(R.IEnvironmentService)}),define(fe[217],me([0,1,26,3,9]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionDescriptionRegistry=e.DeltaExtensionsResult=void 0;class y{constructor(n){this.removedDueToLooping=n}}e.DeltaExtensionsResult=y;class A{constructor(n){this._onDidChange=new R.Emitter,this.onDidChange=this._onDidChange.event,this._extensionDescriptions=n,this._initialize()}_initialize(){this._extensionDescriptions.sort(E),this._extensionsMap=new Map,this._extensionsArr=[],this._activationMap=new Map;for(const n of this._extensionDescriptions){if(this._extensionsMap.has(g.ExtensionIdentifier.toKey(n.identifier))){console.error("Extension `"+n.identifier.value+"` is already registered");continue}if(this._extensionsMap.set(g.ExtensionIdentifier.toKey(n.identifier),n),this._extensionsArr.push(n),Array.isArray(n.activationEvents))for(let P of n.activationEvents)P==="onUri"&&(P=`onUri:${g.ExtensionIdentifier.toKey(n.identifier)}`),this._activationMap.has(P)||this._activationMap.set(P,[]),this._activationMap.get(P).push(n)}}keepOnly(n){const P=new Set;n.forEach(d=>P.add(g.ExtensionIdentifier.toKey(d))),this._extensionDescriptions=this._extensionDescriptions.filter(d=>P.has(g.ExtensionIdentifier.toKey(d.identifier))),this._initialize(),this._onDidChange.fire(void 0)}deltaExtensions(n,P){n.length>0&&(this._extensionDescriptions=this._extensionDescriptions.concat(n));const d=A._findLoopingExtensions(this._extensionDescriptions);if(P=P.concat(d.map(m=>m.identifier)),P.length>0){const m=new Set;P.forEach(l=>m.add(g.ExtensionIdentifier.toKey(l))),this._extensionDescriptions=this._extensionDescriptions.filter(l=>!m.has(g.ExtensionIdentifier.toKey(l.identifier)))}return this._initialize(),this._onDidChange.fire(void 0),new y(d)}static _findLoopingExtensions(n){const P=new class{constructor(){this._arcs=new Map,this._nodesSet=new Set,this._nodesArr=[]}addNode(S){this._nodesSet.has(S)||(this._nodesSet.add(S),this._nodesArr.push(S))}addArc(S,w){this.addNode(S),this.addNode(w),this._arcs.has(S)?this._arcs.get(S).push(w):this._arcs.set(S,[w])}getArcs(S){return this._arcs.has(S)?this._arcs.get(S):[]}hasOnlyGoodArcs(S,w){const b=P.getArcs(S);for(let h=0;h<b.length;h++)if(!w.has(b[h]))return!1;return!0}getNodes(){return this._nodesArr}};let d=new Map;for(let S of n){const w=g.ExtensionIdentifier.toKey(S.identifier);if(d.set(w,S),S.extensionDependencies)for(let b of S.extensionDependencies){const h=g.ExtensionIdentifier.toKey(b);P.addArc(w,h)}}let m=new Set;P.getNodes().filter(S=>P.getArcs(S).length===0).forEach(S=>m.add(S));let l=P.getNodes().filter(S=>!m.has(S)),u;do{u=!1;for(let S=0;S<l.length;S++){const w=l[S];P.hasOnlyGoodArcs(w,m)&&(l.splice(S,1),S--,m.add(w),u=!0)}}while(u);return l.map(S=>d.get(S))}containsActivationEvent(n){return this._activationMap.has(n)}containsExtension(n){return this._extensionsMap.has(g.ExtensionIdentifier.toKey(n))}getExtensionDescriptionsForActivationEvent(n){const P=this._activationMap.get(n);return P?P.slice(0):[]}getAllExtensionDescriptions(){return this._extensionsArr.slice(0)}getExtensionDescription(n){const P=this._extensionsMap.get(g.ExtensionIdentifier.toKey(n));return P||void 0}}e.ExtensionDescriptionRegistry=A;var I;(function(C){C[C.Builtin=0]="Builtin",C[C.User=1]="User",C[C.Dev=2]="Dev"})(I||(I={}));function E(C,n){const P=C.isBuiltin?0:C.isUnderDevelopment?2:1,d=n.isBuiltin?0:n.isUnderDevelopment?2:1;if(P!==d)return P-d;const m=k.posix.basename(C.extensionLocation.path),l=k.posix.basename(n.extensionLocation.path);return m<l?-1:m>l?1:0}}),define(fe[218],me([0,1,23]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMessageOfType=e.createMessageOfType=e.MessageType=e.ExtensionHostExitCode=void 0;var R;(function(I){I[I.VersionMismatch=55]="VersionMismatch",I[I.UnexpectedError=81]="UnexpectedError"})(R=e.ExtensionHostExitCode||(e.ExtensionHostExitCode={}));var k;(function(I){I[I.Initialized=0]="Initialized",I[I.Ready=1]="Ready",I[I.Terminate=2]="Terminate"})(k=e.MessageType||(e.MessageType={}));function y(I){const E=g.VSBuffer.alloc(1);switch(I){case 0:E.writeUInt8(1,0);break;case 1:E.writeUInt8(2,0);break;case 2:E.writeUInt8(3,0);break}return E}e.createMessageOfType=y;function A(I,E){if(I.byteLength!==1)return!1;switch(I.readUInt8(0)){case 1:return E===0;case 2:return E===1;case 3:return E===2;default:return!1}}e.isMessageOfType=A}),define(fe[34],me([0,1,3,2,4,26,180]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullExtensionService=e.toExtensionDescription=e.toExtension=e.throwProposedApiError=e.checkProposedApiEnabled=e.ActivationKind=e.ExtensionHostLogFileName=e.ExtensionPointContribution=e.ActivationTimes=e.ExtensionHostKind=e.MissingExtensionDependency=e.IExtensionService=e.webWorkerExtHostConfig=e.nullExtensionDescription=void 0,e.nullExtensionDescription=Object.freeze({identifier:new y.ExtensionIdentifier("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",enableProposedApi:!1,engines:{vscode:""},extensionLocation:R.URI.parse("void:location"),isBuiltin:!1}),e.webWorkerExtHostConfig="extensions.webWorker",e.IExtensionService=k.createDecorator("extensionService");class I{constructor(b){this.dependency=b}}e.MissingExtensionDependency=I;var E;(function(w){w[w.LocalProcess=0]="LocalProcess",w[w.LocalWebWorker=1]="LocalWebWorker",w[w.Remote=2]="Remote"})(E=e.ExtensionHostKind||(e.ExtensionHostKind={}));class C{constructor(b,h,c,f){this.codeLoadingTime=b,this.activateCallTime=h,this.activateResolvedTime=c,this.activationReason=f}}e.ActivationTimes=C;class n{constructor(b,h){this.description=b,this.value=h}}e.ExtensionPointContribution=n,e.ExtensionHostLogFileName="exthost";var P;(function(w){w[w.Normal=0]="Normal",w[w.Immediate=1]="Immediate"})(P=e.ActivationKind||(e.ActivationKind={}));function d(w){w.enableProposedApi||m(w)}e.checkProposedApiEnabled=d;function m(w){throw new Error(`[${w.identifier.value}]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ${w.identifier.value}`)}e.throwProposedApiError=m;function l(w){return{type:w.isBuiltin?0:1,isBuiltin:w.isBuiltin||w.isUserBuiltin,identifier:{id:A.getGalleryExtensionId(w.publisher,w.name),uuid:w.uuid},manifest:w,location:w.extensionLocation}}e.toExtension=l;function u(w,b){return{identifier:new y.ExtensionIdentifier(w.identifier.id),isBuiltin:w.type===0,isUserBuiltin:w.type===1&&w.isBuiltin,isUnderDevelopment:!!b,extensionLocation:w.location,...w.manifest,uuid:w.identifier.uuid}}e.toExtensionDescription=u;class S{constructor(){this.onDidRegisterExtensions=g.Event.None,this.onDidChangeExtensionsStatus=g.Event.None,this.onDidChangeExtensions=g.Event.None,this.onWillActivateByEvent=g.Event.None,this.onDidChangeResponsiveChange=g.Event.None}activateByEvent(b){return Promise.resolve(void 0)}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtensions(){return Promise.resolve([])}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(b){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPort(b){return Promise.resolve(0)}stopExtensionHosts(){}async restartExtensionHost(){}async startExtensionHosts(){}async setRemoteEnvironment(b){}canAddExtension(){return!1}canRemoveExtension(){return!1}_activateById(b,h){return Promise.resolve()}_onWillActivateExtension(b){}_onDidActivateExtension(b,h,c,f,t){}_onDidActivateExtensionError(b,h){}_onExtensionRuntimeError(b,h){}_onExtensionHostExit(b){}}e.NullExtensionService=S}),define(fe[219],me([0,1,26,34,12]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsActivator=e.FailedExtension=e.HostExtension=e.EmptyExtension=e.ActivatedExtension=e.ExtensionActivationTimesBuilder=e.ExtensionActivationTimes=void 0;const y=Promise.resolve(void 0);class A{constructor(l,u,S,w){this.startup=l,this.codeLoadingTime=u,this.activateCallTime=S,this.activateResolvedTime=w}}e.ExtensionActivationTimes=A,A.NONE=new A(!1,-1,-1,-1);class I{constructor(l){this._startup=l,this._codeLoadingStart=-1,this._codeLoadingStop=-1,this._activateCallStart=-1,this._activateCallStop=-1,this._activateResolveStart=-1,this._activateResolveStop=-1}_delta(l,u){return l===-1||u===-1?-1:u-l}build(){return new A(this._startup,this._delta(this._codeLoadingStart,this._codeLoadingStop),this._delta(this._activateCallStart,this._activateCallStop),this._delta(this._activateResolveStart,this._activateResolveStop))}codeLoadingStart(){this._codeLoadingStart=Date.now()}codeLoadingStop(){this._codeLoadingStop=Date.now()}activateCallStart(){this._activateCallStart=Date.now()}activateCallStop(){this._activateCallStop=Date.now()}activateResolveStart(){this._activateResolveStart=Date.now()}activateResolveStop(){this._activateResolveStop=Date.now()}}e.ExtensionActivationTimesBuilder=I;class E{constructor(l,u,S,w,b,h){this.activationFailed=l,this.activationFailedError=u,this.activationTimes=S,this.module=w,this.exports=b,this.subscriptions=h}}e.ActivatedExtension=E;class C extends E{constructor(l){super(!1,null,l,{activate:void 0,deactivate:void 0},void 0,[])}}e.EmptyExtension=C;class n extends E{constructor(){super(!1,null,A.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.HostExtension=n;class P extends E{constructor(l){super(!0,l,A.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.FailedExtension=P;let d=class{constructor(l,u,S,w,b){this._logService=b,this._registry=l,this._resolvedExtensionsSet=new Set,u.forEach(h=>this._resolvedExtensionsSet.add(g.ExtensionIdentifier.toKey(h))),this._hostExtensionsMap=new Map,S.forEach(h=>this._hostExtensionsMap.set(g.ExtensionIdentifier.toKey(h),h)),this._host=w,this._activatingExtensions=new Map,this._activatedExtensions=new Map,this._alreadyActivatedEvents=Object.create(null)}isActivated(l){const u=g.ExtensionIdentifier.toKey(l);return this._activatedExtensions.has(u)}getActivatedExtension(l){const u=g.ExtensionIdentifier.toKey(l),S=this._activatedExtensions.get(u);if(!S)throw new Error("Extension `"+l.value+"` is not known or not activated");return S}activateByEvent(l,u){if(this._alreadyActivatedEvents[l])return y;const S=this._registry.getExtensionDescriptionsForActivationEvent(l);return this._activateExtensions(S.map(w=>({id:w.identifier,reason:{startup:u,extensionId:w.identifier,activationEvent:l}}))).then(()=>{this._alreadyActivatedEvents[l]=!0})}activateById(l,u){const S=this._registry.getExtensionDescription(l);if(!S)throw new Error("Extension `"+l+"` is not known");return this._activateExtensions([{id:S.identifier,reason:u}])}_handleActivateRequest(l,u,S){if(this._hostExtensionsMap.has(g.ExtensionIdentifier.toKey(l.id))){u[g.ExtensionIdentifier.toKey(l.id)]=l;return}const w=this._registry.getExtensionDescription(l.id);if(!w){const c=new Error(`Cannot activate unknown extension '${l.id.value}'`);this._host.onExtensionActivationError(l.id,c,new R.MissingExtensionDependency(l.id.value)),this._activatedExtensions.set(g.ExtensionIdentifier.toKey(l.id),new P(c));return}const b=typeof w.extensionDependencies=="undefined"?[]:w.extensionDependencies;let h=!0;for(let c=0,f=b.length;c<f;c++){const t=b[c];if(this._resolvedExtensionsSet.has(g.ExtensionIdentifier.toKey(t)))continue;const r=this._activatedExtensions.get(g.ExtensionIdentifier.toKey(t));if(r&&!r.activationFailed)continue;if(r&&r.activationFailed){const v=w.displayName||w.identifier.value,p=this._registry.getExtensionDescription(t),_=p&&p.displayName||t,D=new Error(`Cannot activate the '${v}' extension because its dependency '${_}' failed to activate`);D.detail=r.activationFailedError,this._host.onExtensionActivationError(w.identifier,D,null),this._activatedExtensions.set(g.ExtensionIdentifier.toKey(w.identifier),new P(D));return}if(this._hostExtensionsMap.has(g.ExtensionIdentifier.toKey(t))){h=!1,u[g.ExtensionIdentifier.toKey(t)]={id:this._hostExtensionsMap.get(g.ExtensionIdentifier.toKey(t)),reason:l.reason};continue}const s=this._registry.getExtensionDescription(t);if(s){h=!1,u[g.ExtensionIdentifier.toKey(t)]={id:s.identifier,reason:l.reason};continue}const i=w.displayName||w.identifier.value,a=new Error(`Cannot activate the '${i}' extension because it depends on unknown extension '${t}'`);this._host.onExtensionActivationError(w.identifier,a,new R.MissingExtensionDependency(t)),this._activatedExtensions.set(g.ExtensionIdentifier.toKey(w.identifier),new P(a));return}h?u[g.ExtensionIdentifier.toKey(w.identifier)]=l:S.push(l)}_activateExtensions(l){if(l.length===0||(l=l.filter(b=>!this._activatedExtensions.has(g.ExtensionIdentifier.toKey(b.id))),l.length===0))return Promise.resolve(void 0);const u=Object.create(null),S=[];for(let b=0,h=l.length;b<h;b++)this._handleActivateRequest(l[b],u,S);for(let b=0,h=S.length;b<h;b++){const c=g.ExtensionIdentifier.toKey(S[b].id);u[c]&&delete u[c]}const w=Object.keys(u).map(b=>u[b]);return S.length===0?Promise.all(w.map(b=>this._activateExtension(b.id,b.reason))).then(b=>{}):this._activateExtensions(w).then(b=>this._activateExtensions(S))}_activateExtension(l,u){const S=g.ExtensionIdentifier.toKey(l);if(this._activatedExtensions.has(S))return Promise.resolve(void 0);const w=this._activatingExtensions.get(S);if(w)return w;const b=this._host.actualActivateExtension(l,u).then(void 0,h=>{const c=new Error;return h&&h.name&&(c.name=h.name),h&&h.message?c.message=`Activating extension '${l.value}' failed: ${h.message}.`:c.message=`Activating extension '${l.value}' failed: ${h}.`,h&&h.stack&&(c.stack=h.stack),this._host.onExtensionActivationError(l,c,null),this._logService.error(`Activating extension ${l.value} failed due to an error:`),this._logService.error(h),new P(h)}).then(h=>{this._activatedExtensions.set(S,h),this._activatingExtensions.delete(S)});return this._activatingExtensions.set(S,b),b}};d=ze([We(4,k.ILogService)],d),e.ExtensionsActivator=d}),define(fe[220],me([0,1,12,34,27,10,113]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLogService=void 0;let I=class extends g.LogService{constructor(C){if(C.logFile.scheme!==y.Schemas.file)throw new Error("Only file-logging supported");super(new A.SpdLogLogger(R.ExtensionHostLogFileName,C.logFile.fsPath,!0,C.logLevel))}$setLevel(C){this.setLevel(C)}};I=ze([We(0,k.IExtHostInitDataService)],I),e.ExtHostLogService=I}),define(fe[221],me([0,1,15]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LazyPromise=void 0;class R{constructor(){this._actual=null,this._actualOk=null,this._actualErr=null,this._hasValue=!1,this._value=null,this._hasErr=!1,this._err=null}get[Symbol.toStringTag](){return this.toString()}_ensureActual(){return this._actual||(this._actual=new Promise((y,A)=>{this._actualOk=y,this._actualErr=A,this._hasValue&&this._actualOk(this._value),this._hasErr&&this._actualErr(this._err)})),this._actual}resolveOk(y){this._hasValue||this._hasErr||(this._hasValue=!0,this._value=y,this._actual&&this._actualOk(y))}resolveErr(y){this._hasValue||this._hasErr||(this._hasErr=!0,this._err=y,this._actual?this._actualErr(y):g.onUnexpectedError(y))}then(y,A){return this._ensureActual().then(y,A)}catch(y){return this._ensureActual().then(void 0,y)}finally(y){return this._ensureActual().finally(y)}}e.LazyPromise=R}),define(fe[127],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getStringIdentifierForProxy=e.createExtHostContextProxyIdentifier=e.createMainContextProxyIdentifier=e.ProxyIdentifier=void 0;class g{constructor(E,C){this._proxyIdentifierBrand=void 0,this.isMain=E,this.sid=C,this.nid=++g.count}}e.ProxyIdentifier=g,g.count=0;const R=[];function k(I){const E=new g(!0,I);return R[E.nid]=E,E}e.createMainContextProxyIdentifier=k;function y(I){const E=new g(!1,I);return R[E.nid]=E,E}e.createExtHostContextProxyIdentifier=y;function A(I){return R[I].sid}e.getStringIdentifierForProxy=A}),define(fe[5],me([0,1,57,2,127]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostContext=e.MainContext=e.ExtHostTestingResource=e.reviveWorkspaceEditDto=e.WorkspaceEditType=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.IdObject=e.ObjectIdentifier=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.WebviewMessageArrayBufferViewType=e.WebviewEditorCapabilities=e.TextEditorRevealType=e.UIKind=void 0;var y;(function(h){h[h.Desktop=1]="Desktop",h[h.Web=2]="Web"})(y=e.UIKind||(e.UIKind={}));var A;(function(h){h[h.Default=0]="Default",h[h.InCenter=1]="InCenter",h[h.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",h[h.AtTop=3]="AtTop"})(A=e.TextEditorRevealType||(e.TextEditorRevealType={}));var I;(function(h){h[h.Editable=0]="Editable",h[h.SupportsHotExit=1]="SupportsHotExit"})(I=e.WebviewEditorCapabilities||(e.WebviewEditorCapabilities={}));var E;(function(h){h[h.Int8Array=1]="Int8Array",h[h.Uint8Array=2]="Uint8Array",h[h.Uint8ClampedArray=3]="Uint8ClampedArray",h[h.Int16Array=4]="Int16Array",h[h.Uint16Array=5]="Uint16Array",h[h.Int32Array=6]="Int32Array",h[h.Uint32Array=7]="Uint32Array",h[h.Float32Array=8]="Float32Array",h[h.Float64Array=9]="Float64Array",h[h.BigInt64Array=10]="BigInt64Array",h[h.BigUint64Array=11]="BigUint64Array"})(E=e.WebviewMessageArrayBufferViewType||(e.WebviewMessageArrayBufferViewType={}));var C;(function(h){h[h.Text=1]="Text",h[h.Error=2]="Error",h[h.Rich=3]="Rich"})(C=e.CellOutputKind||(e.CellOutputKind={}));var n;(function(h){h[h.Default=0]="Default",h[h.InCenter=1]="InCenter",h[h.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",h[h.AtTop=3]="AtTop"})(n=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));var P;(function(h){h[h.None=0]="None",h[h.Process=1]="Process",h[h.Output=2]="Output"})(P=e.CandidatePortSource||(e.CandidatePortSource={}));var d;(function(h){h.name="$ident";function c(t,r){return Object.defineProperty(t,h.name,{value:r,enumerable:!0}),t}h.mixin=c;function f(t){return t[h.name]}h.of=f})(d=e.ObjectIdentifier||(e.ObjectIdentifier={}));class m{static mixin(c){return c._id=m._n++,c}}e.IdObject=m,m._n=0;var l;(function(h){h.label="a",h.kind="b",h.detail="c",h.documentation="d",h.sortText="e",h.filterText="f",h.preselect="g",h.insertText="h",h.insertTextRules="i",h.range="j",h.commitCharacters="k",h.additionalTextEdits="l",h.command="m",h.kindModifier="n"})(l=e.ISuggestDataDtoField||(e.ISuggestDataDtoField={}));var u;(function(h){h.defaultRanges="a",h.completions="b",h.isIncomplete="c",h.duration="d"})(u=e.ISuggestResultDtoField||(e.ISuggestResultDtoField={}));var S;(function(h){h[h.File=1]="File",h[h.Text=2]="Text",h[h.Cell=3]="Cell"})(S=e.WorkspaceEditType||(e.WorkspaceEditType={}));function w(h){if(h&&h.edits)for(const c of h.edits)typeof c.resource=="object"?c.resource=R.URI.revive(c.resource):(c.newUri=R.URI.revive(c.newUri),c.oldUri=R.URI.revive(c.oldUri)),c.metadata&&c.metadata.iconPath&&(c.metadata=g.revive(c.metadata));return h}e.reviveWorkspaceEditDto=w;var b;(function(h){h[h.Workspace=0]="Workspace",h[h.TextDocument=1]="TextDocument"})(b=e.ExtHostTestingResource||(e.ExtHostTestingResource={})),e.MainContext={MainThreadAuthentication:k.createMainContextProxyIdentifier("MainThreadAuthentication"),MainThreadBulkEdits:k.createMainContextProxyIdentifier("MainThreadBulkEdits"),MainThreadClipboard:k.createMainContextProxyIdentifier("MainThreadClipboard"),MainThreadCommands:k.createMainContextProxyIdentifier("MainThreadCommands"),MainThreadComments:k.createMainContextProxyIdentifier("MainThreadComments"),MainThreadConfiguration:k.createMainContextProxyIdentifier("MainThreadConfiguration"),MainThreadConsole:k.createMainContextProxyIdentifier("MainThreadConsole"),MainThreadDebugService:k.createMainContextProxyIdentifier("MainThreadDebugService"),MainThreadDecorations:k.createMainContextProxyIdentifier("MainThreadDecorations"),MainThreadDiagnostics:k.createMainContextProxyIdentifier("MainThreadDiagnostics"),MainThreadDialogs:k.createMainContextProxyIdentifier("MainThreadDiaglogs"),MainThreadDocuments:k.createMainContextProxyIdentifier("MainThreadDocuments"),MainThreadDocumentContentProviders:k.createMainContextProxyIdentifier("MainThreadDocumentContentProviders"),MainThreadTextEditors:k.createMainContextProxyIdentifier("MainThreadTextEditors"),MainThreadEditorInsets:k.createMainContextProxyIdentifier("MainThreadEditorInsets"),MainThreadEditorTabs:k.createMainContextProxyIdentifier("MainThreadEditorTabs"),MainThreadErrors:k.createMainContextProxyIdentifier("MainThreadErrors"),MainThreadTreeViews:k.createMainContextProxyIdentifier("MainThreadTreeViews"),MainThreadDownloadService:k.createMainContextProxyIdentifier("MainThreadDownloadService"),MainThreadKeytar:k.createMainContextProxyIdentifier("MainThreadKeytar"),MainThreadLanguageFeatures:k.createMainContextProxyIdentifier("MainThreadLanguageFeatures"),MainThreadLanguages:k.createMainContextProxyIdentifier("MainThreadLanguages"),MainThreadLog:k.createMainContextProxyIdentifier("MainThread"),MainThreadMessageService:k.createMainContextProxyIdentifier("MainThreadMessageService"),MainThreadOutputService:k.createMainContextProxyIdentifier("MainThreadOutputService"),MainThreadProgress:k.createMainContextProxyIdentifier("MainThreadProgress"),MainThreadQuickOpen:k.createMainContextProxyIdentifier("MainThreadQuickOpen"),MainThreadStatusBar:k.createMainContextProxyIdentifier("MainThreadStatusBar"),MainThreadSecretState:k.createMainContextProxyIdentifier("MainThreadSecretState"),MainThreadStorage:k.createMainContextProxyIdentifier("MainThreadStorage"),MainThreadTelemetry:k.createMainContextProxyIdentifier("MainThreadTelemetry"),MainThreadTerminalService:k.createMainContextProxyIdentifier("MainThreadTerminalService"),MainThreadWebviews:k.createMainContextProxyIdentifier("MainThreadWebviews"),MainThreadWebviewPanels:k.createMainContextProxyIdentifier("MainThreadWebviewPanels"),MainThreadWebviewViews:k.createMainContextProxyIdentifier("MainThreadWebviewViews"),MainThreadCustomEditors:k.createMainContextProxyIdentifier("MainThreadCustomEditors"),MainThreadUrls:k.createMainContextProxyIdentifier("MainThreadUrls"),MainThreadUriOpeners:k.createMainContextProxyIdentifier("MainThreadUriOpeners"),MainThreadWorkspace:k.createMainContextProxyIdentifier("MainThreadWorkspace"),MainThreadFileSystem:k.createMainContextProxyIdentifier("MainThreadFileSystem"),MainThreadExtensionService:k.createMainContextProxyIdentifier("MainThreadExtensionService"),MainThreadSCM:k.createMainContextProxyIdentifier("MainThreadSCM"),MainThreadSearch:k.createMainContextProxyIdentifier("MainThreadSearch"),MainThreadTask:k.createMainContextProxyIdentifier("MainThreadTask"),MainThreadWindow:k.createMainContextProxyIdentifier("MainThreadWindow"),MainThreadLabelService:k.createMainContextProxyIdentifier("MainThreadLabelService"),MainThreadNotebook:k.createMainContextProxyIdentifier("MainThreadNotebook"),MainThreadNotebookDocuments:k.createMainContextProxyIdentifier("MainThreadNotebookDocumentsShape"),MainThreadNotebookEditors:k.createMainContextProxyIdentifier("MainThreadNotebookEditorsShape"),MainThreadNotebookKernels:k.createMainContextProxyIdentifier("MainThreadNotebookKernels"),MainThreadNotebookRenderers:k.createMainContextProxyIdentifier("MainThreadNotebookRenderers"),MainThreadInteractive:k.createMainContextProxyIdentifier("MainThreadInteractive"),MainThreadTheming:k.createMainContextProxyIdentifier("MainThreadTheming"),MainThreadTunnelService:k.createMainContextProxyIdentifier("MainThreadTunnelService"),MainThreadTimeline:k.createMainContextProxyIdentifier("MainThreadTimeline"),MainThreadTesting:k.createMainContextProxyIdentifier("MainThreadTesting")},e.ExtHostContext={ExtHostCommands:k.createExtHostContextProxyIdentifier("ExtHostCommands"),ExtHostConfiguration:k.createExtHostContextProxyIdentifier("ExtHostConfiguration"),ExtHostDiagnostics:k.createExtHostContextProxyIdentifier("ExtHostDiagnostics"),ExtHostDebugService:k.createExtHostContextProxyIdentifier("ExtHostDebugService"),ExtHostDecorations:k.createExtHostContextProxyIdentifier("ExtHostDecorations"),ExtHostDocumentsAndEditors:k.createExtHostContextProxyIdentifier("ExtHostDocumentsAndEditors"),ExtHostDocuments:k.createExtHostContextProxyIdentifier("ExtHostDocuments"),ExtHostDocumentContentProviders:k.createExtHostContextProxyIdentifier("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:k.createExtHostContextProxyIdentifier("ExtHostDocumentSaveParticipant"),ExtHostEditors:k.createExtHostContextProxyIdentifier("ExtHostEditors"),ExtHostTreeViews:k.createExtHostContextProxyIdentifier("ExtHostTreeViews"),ExtHostFileSystem:k.createExtHostContextProxyIdentifier("ExtHostFileSystem"),ExtHostFileSystemInfo:k.createExtHostContextProxyIdentifier("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:k.createExtHostContextProxyIdentifier("ExtHostFileSystemEventService"),ExtHostLanguageFeatures:k.createExtHostContextProxyIdentifier("ExtHostLanguageFeatures"),ExtHostQuickOpen:k.createExtHostContextProxyIdentifier("ExtHostQuickOpen"),ExtHostExtensionService:k.createExtHostContextProxyIdentifier("ExtHostExtensionService"),ExtHostLogService:k.createExtHostContextProxyIdentifier("ExtHostLogService"),ExtHostTerminalService:k.createExtHostContextProxyIdentifier("ExtHostTerminalService"),ExtHostSCM:k.createExtHostContextProxyIdentifier("ExtHostSCM"),ExtHostSearch:k.createExtHostContextProxyIdentifier("ExtHostSearch"),ExtHostTask:k.createExtHostContextProxyIdentifier("ExtHostTask"),ExtHostWorkspace:k.createExtHostContextProxyIdentifier("ExtHostWorkspace"),ExtHostWindow:k.createExtHostContextProxyIdentifier("ExtHostWindow"),ExtHostWebviews:k.createExtHostContextProxyIdentifier("ExtHostWebviews"),ExtHostWebviewPanels:k.createExtHostContextProxyIdentifier("ExtHostWebviewPanels"),ExtHostCustomEditors:k.createExtHostContextProxyIdentifier("ExtHostCustomEditors"),ExtHostWebviewViews:k.createExtHostContextProxyIdentifier("ExtHostWebviewViews"),ExtHostEditorInsets:k.createExtHostContextProxyIdentifier("ExtHostEditorInsets"),ExtHostEditorTabs:k.createExtHostContextProxyIdentifier("ExtHostEditorTabs"),ExtHostProgress:k.createMainContextProxyIdentifier("ExtHostProgress"),ExtHostComments:k.createMainContextProxyIdentifier("ExtHostComments"),ExtHostSecretState:k.createMainContextProxyIdentifier("ExtHostSecretState"),ExtHostStorage:k.createMainContextProxyIdentifier("ExtHostStorage"),ExtHostUrls:k.createExtHostContextProxyIdentifier("ExtHostUrls"),ExtHostUriOpeners:k.createExtHostContextProxyIdentifier("ExtHostUriOpeners"),ExtHostOutputService:k.createMainContextProxyIdentifier("ExtHostOutputService"),ExtHosLabelService:k.createMainContextProxyIdentifier("ExtHostLabelService"),ExtHostNotebook:k.createMainContextProxyIdentifier("ExtHostNotebook"),ExtHostNotebookDocuments:k.createMainContextProxyIdentifier("ExtHostNotebookDocuments"),ExtHostNotebookEditors:k.createMainContextProxyIdentifier("ExtHostNotebookEditors"),ExtHostNotebookKernels:k.createMainContextProxyIdentifier("ExtHostNotebookKernels"),ExtHostNotebookRenderers:k.createMainContextProxyIdentifier("ExtHostNotebookRenderers"),ExtHostInteractive:k.createMainContextProxyIdentifier("ExtHostInteractive"),ExtHostTheming:k.createMainContextProxyIdentifier("ExtHostTheming"),ExtHostTunnelService:k.createMainContextProxyIdentifier("ExtHostTunnelService"),ExtHostAuthentication:k.createMainContextProxyIdentifier("ExtHostAuthentication"),ExtHostTimeline:k.createMainContextProxyIdentifier("ExtHostTimeline"),ExtHostTesting:k.createMainContextProxyIdentifier("ExtHostTesting"),ExtHostTelemetry:k.createMainContextProxyIdentifier("ExtHostTelemetry")}}),define(fe[86],me([0,1,5,3,4]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostSecretState=e.ExtHostSecretState=void 0;class y{constructor(I){this._onDidChangePassword=new R.Emitter,this.onDidChangePassword=this._onDidChangePassword.event,this._proxy=I.getProxy(g.MainContext.MainThreadSecretState)}async $onDidChangePassword(I){this._onDidChangePassword.fire(I)}get(I,E){return this._proxy.$getPassword(I,E)}store(I,E,C){return this._proxy.$setPassword(I,E,C)}delete(I,E){return this._proxy.$deletePassword(I,E)}}e.ExtHostSecretState=y,e.IExtHostSecretState=k.createDecorator("IExtHostSecretState")}),define(fe[61],me([0,1,4,12,5,13]),function(X,e,g,R,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullApiDeprecationService=e.ExtHostApiDeprecationService=e.IExtHostApiDeprecationService=void 0,e.IExtHostApiDeprecationService=g.createDecorator("IExtHostApiDeprecationService");let A=class{constructor(E,C){this._extHostLogService=C,this._reportedUsages=new Set,this._telemetryShape=E.getProxy(k.MainContext.MainThreadTelemetry)}report(E,C,n){const P=this.getUsageKey(E,C);this._reportedUsages.has(P)||(this._reportedUsages.add(P),C.isUnderDevelopment&&this._extHostLogService.warn(`[Deprecation Warning] '${E}' is deprecated. ${n}`),this._telemetryShape.$publicLog2("extHostDeprecatedApiUsage",{extensionId:C.identifier.value,apiId:E}))}getUsageKey(E,C){return`${E}-${C.identifier.value}`}};A=ze([We(0,y.IExtHostRpcService),We(1,R.ILogService)],A),e.ExtHostApiDeprecationService=A,e.NullApiDeprecationService=Object.freeze(new class{report(I,E,C){}})}),define(fe[222],me([0,1,3,5,7,26]),function(X,e,g,R,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostAuthentication=void 0;class A{constructor(E){this._authenticationProviders=new Map,this._providers=[],this._onDidChangeAuthenticationProviders=new g.Emitter,this.onDidChangeAuthenticationProviders=this._onDidChangeAuthenticationProviders.event,this._onDidChangeSessions=new g.Emitter,this.onDidChangeSessions=this._onDidChangeSessions.event,this._inFlightRequests=new Map,this._proxy=E.getProxy(R.MainContext.MainThreadAuthentication)}$setProviders(E){return this._providers=E,Promise.resolve()}get providers(){return Object.freeze(this._providers.slice())}async getSession(E,C,n,P={}){const d=y.ExtensionIdentifier.toKey(E.identifier),m=this._inFlightRequests.get(d)||[],l=[...n].sort().join(" ");let u=m.find(S=>S.scopes===l);if(u)return u.result;{const S=this._getSession(E,d,C,n,P);u={scopes:l,result:S},m.push(u),this._inFlightRequests.set(d,m);try{await S}finally{const w=m.findIndex(b=>b.scopes===l);w>-1&&(m.splice(w),this._inFlightRequests.set(d,m))}return S}}async _getSession(E,C,n,P,d={}){await this._proxy.$ensureProvider(n);const m=E.displayName||E.name;return this._proxy.$getSession(n,P,C,m,d)}async removeSession(E,C){const n=this._authenticationProviders.get(E);return n?n.provider.removeSession(C):this._proxy.$removeSession(E,C)}registerAuthenticationProvider(E,C,n,P){if(this._authenticationProviders.get(E))throw new Error(`An authentication provider with id '${E}' is already registered.`);this._authenticationProviders.set(E,{label:C,provider:n,options:P??{supportsMultipleAccounts:!1}}),this._providers.find(m=>m.id===E)||this._providers.push({id:E,label:C});const d=n.onDidChangeSessions(m=>{this._proxy.$sendDidChangeSessions(E,{added:m.added??[],changed:m.changed??[],removed:m.removed??[]})});return this._proxy.$registerAuthenticationProvider(E,C,P?.supportsMultipleAccounts??!1),new k.Disposable(()=>{d.dispose(),this._authenticationProviders.delete(E);const m=this._providers.findIndex(l=>l.id===E);m>-1&&this._providers.splice(m),this._proxy.$unregisterAuthenticationProvider(E)})}$createSession(E,C){const n=this._authenticationProviders.get(E);if(n)return Promise.resolve(n.provider.createSession(C));throw new Error(`Unable to find authentication provider with handle: ${E}`)}$removeSession(E,C){const n=this._authenticationProviders.get(E);if(n)return Promise.resolve(n.provider.removeSession(C));throw new Error(`Unable to find authentication provider with handle: ${E}`)}$getSessions(E,C){const n=this._authenticationProviders.get(E);if(n)return Promise.resolve(n.provider.getSessions(C));throw new Error(`Unable to find authentication provider with handle: ${E}`)}$onDidChangeAuthenticationSessions(E,C){return this._onDidChangeSessions.fire({provider:{id:E,label:C}}),Promise.resolve()}$onDidChangeAuthenticationProviders(E,C){return E.forEach(n=>{this._providers.some(P=>P.id===n.id)||this._providers.push(n)}),C.forEach(n=>{const P=this._providers.findIndex(d=>d.id===n.id);P>-1&&this._providers.splice(P)}),this._onDidChangeAuthenticationProviders.fire({added:E,removed:C}),Promise.resolve()}}e.ExtHostAuthentication=A}),define(fe[223],me([0,1,5,13,17]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostBulkEdits=void 0;let y=class{constructor(I,E){this._extHostDocumentsAndEditors=E,this._proxy=I.getProxy(g.MainContext.MainThreadBulkEdits)}applyWorkspaceEdit(I){const E=k.WorkspaceEdit.from(I,this._extHostDocumentsAndEditors);return this._proxy.$tryApplyWorkspaceEdit(E)}};y=ze([We(0,R.IExtHostRpcService)],y),e.ExtHostBulkEdits=y}),define(fe[224],me([0,1,5]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostClipboard=void 0;class R{constructor(y){const A=y.getProxy(g.MainContext.MainThreadClipboard);this.value=Object.freeze({readText(){return A.$readText()},writeText(I){return A.$writeText(I)}})}}e.ExtHostClipboard=R}),define(fe[50],me([0,1,14,7,17,25,5,18,12,57,40,45,2,6,4,13]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApiCommand=e.ApiCommandResult=e.ApiCommandArgument=e.CommandsConverter=e.IExtHostCommands=e.ExtHostCommands=void 0;let S=class{constructor(t,r){this._commands=new Map,this._apiCommands=new Map,this._proxy=t.getProxy(A.MainContext.MainThreadCommands),this._logService=r,this.converter=new w(this,s=>{const i=this._apiCommands.get(s);return i?.result===h.Void?i:void 0},r),this._argumentProcessors=[{processArgument(s){return C.revive(s)}},{processArgument(s){return y.cloneAndChange(s,function(i){if(n.Range.isIRange(i))return k.Range.to(i);if(P.Position.isIPosition(i))return k.Position.to(i);if(n.Range.isIRange(i.range)&&d.URI.isUri(i.uri))return k.location.to(i);if(!Array.isArray(i))return i})}}]}registerArgumentProcessor(t){this._argumentProcessors.push(t)}registerApiCommand(t){const r=this.registerCommand(!1,t.id,async(...s)=>{const i=t.args.map((v,p)=>{if(!v.validate(s[p]))throw new Error(`Invalid argument '${v.name}' when running '${t.id}', received: ${s[p]}`);return v.convert(s[p])}),a=await this.executeCommand(t.internalId,...i);return t.result.convert(a,s,this.converter)},void 0,{description:t.description,args:t.args,returns:t.result.description});return this._apiCommands.set(t.id,t),new R.Disposable(()=>{r.dispose(),this._apiCommands.delete(t.id)})}registerCommand(t,r,s,i,a){if(this._logService.trace("ExtHostCommands#registerCommand",r),!r.trim().length)throw new Error("invalid id");if(this._commands.has(r))throw new Error(`command '${r}' already exists`);return this._commands.set(r,{callback:s,thisArg:i,description:a}),t&&this._proxy.$registerCommand(r),new R.Disposable(()=>{this._commands.delete(r)&&t&&this._proxy.$unregisterCommand(r)})}executeCommand(t,...r){return this._logService.trace("ExtHostCommands#executeCommand",t),this._doExecuteCommand(t,r,!0)}async _doExecuteCommand(t,r,s){if(this._commands.has(t))return this._executeContributedCommand(t,r);{const i=y.cloneAndChange(r,function(a){if(a instanceof R.Position)return k.Position.from(a);if(a instanceof R.Range)return k.Range.from(a);if(a instanceof R.Location)return k.location.from(a);if(R.NotebookRange.isNotebookRange(a))return k.NotebookRange.from(a);if(!Array.isArray(a))return a});try{const a=await this._proxy.$executeCommand(t,i,s);return C.revive(a)}catch(a){if(a instanceof Error&&a.message==="$executeCommand:retry")return this._doExecuteCommand(t,r,!1);throw a}}}async _executeContributedCommand(t,r){const s=this._commands.get(t);if(!s)throw new Error("Unknown command");let{callback:i,thisArg:a,description:v}=s;if(v)for(let p=0;p<v.args.length;p++)try{g.validateConstraint(r[p],v.args[p].constraint)}catch(_){throw new Error(`Running the contributed command: '${t}' failed. Illegal argument '${v.args[p].name}' - ${v.args[p].description}`)}try{return await i.apply(a,r)}catch(p){if(t===this.converter.delegatingCommandId){const _=this.converter.getActualCommand(...r);_&&(t=_.command)}throw this._logService.error(p,t),new Error(`Running the contributed command: '${t}' failed.`)}}$executeContributedCommand(t,...r){return this._logService.trace("ExtHostCommands#$executeContributedCommand",t),this._commands.has(t)?(r=r.map(s=>this._argumentProcessors.reduce((i,a)=>a.processArgument(i),s)),this._executeContributedCommand(t,r)):Promise.reject(new Error(`Contributed command '${t}' does not exist.`))}getCommands(t=!1){return this._logService.trace("ExtHostCommands#getCommands",t),this._proxy.$getCommands().then(r=>(t&&(r=r.filter(s=>s[0]!=="_")),r))}$getContributedCommandHandlerDescriptions(){const t=Object.create(null);for(let[r,s]of this._commands){let{description:i}=s;i&&(t[r]=i)}return Promise.resolve(t)}};S=ze([We(0,u.IExtHostRpcService),We(1,E.ILogService)],S),e.ExtHostCommands=S,e.IExtHostCommands=l.createDecorator("IExtHostCommands");class w{constructor(t,r,s){this._commands=t,this._lookupApiCommand=r,this._logService=s,this.delegatingCommandId=`_vscode_delegate_cmd_${Date.now().toString(36)}`,this._cache=new Map,this._cachIdPool=0,this._commands.registerCommand(!0,this.delegatingCommandId,this._executeConvertedCommand,this)}toInternal(t,r){if(!t)return;const s={$ident:void 0,id:t.command,title:t.title,tooltip:t.tooltip};if(!t.command)return s;const i=this._lookupApiCommand(t.command);if(i)s.id=i.internalId,s.arguments=i.args.map((a,v)=>a.convert(t.arguments&&t.arguments[v]));else if(I.isNonEmptyArray(t.arguments)){const a=++this._cachIdPool;this._cache.set(a,t),r.add(m.toDisposable(()=>{this._cache.delete(a),this._logService.trace("CommandsConverter#DISPOSE",a)})),s.$ident=a,s.id=this.delegatingCommandId,s.arguments=[a],this._logService.trace("CommandsConverter#CREATE",t.command,a)}return s}fromInternal(t){const r=A.ObjectIdentifier.of(t);return typeof r=="number"?this._cache.get(r):{command:t.id,title:t.title,arguments:t.arguments}}getActualCommand(...t){return this._cache.get(t[0])}_executeConvertedCommand(...t){const r=this.getActualCommand(...t);return this._logService.trace("CommandsConverter#EXECUTE",t[0],r?r.command:"MISSING"),r?this._commands.executeCommand(r.command,...r.arguments||[]):Promise.reject("actual command NOT FOUND")}}e.CommandsConverter=w;class b{constructor(t,r,s,i){this.name=t,this.description=r,this.validate=s,this.convert=i}optional(){return new b(this.name,`(optional) ${this.description}`,t=>t==null||this.validate(t),t=>t===void 0?void 0:t===null?null:this.convert(t))}with(t,r){return new b(t??this.name,r??this.description,this.validate,this.convert)}}e.ApiCommandArgument=b,b.Uri=new b("uri","Uri of a text document",f=>d.URI.isUri(f),f=>f),b.Position=new b("position","A position in a text document",f=>R.Position.isPosition(f),k.Position.from),b.Range=new b("range","A range in a text document",f=>R.Range.isRange(f),k.Range.from),b.Selection=new b("selection","A selection in a text document",f=>R.Selection.isSelection(f),k.Selection.from),b.Number=new b("number","",f=>typeof f=="number",f=>f),b.String=new b("string","",f=>typeof f=="string",f=>f),b.CallHierarchyItem=new b("item","A call hierarchy item",f=>f instanceof R.CallHierarchyItem,k.CallHierarchyItem.to);class h{constructor(t,r){this.description=t,this.convert=r}}e.ApiCommandResult=h,h.Void=new h("no result",f=>f);class c{constructor(t,r,s,i,a){this.id=t,this.internalId=r,this.description=s,this.args=i,this.result=a}}e.ApiCommand=c}),define(fe[225],me([0,1,17,7,78,50,18,108]),function(X,e,g,R,k,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostApiCommands=void 0;const E=[new y.ApiCommand("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of DocumentHighlight-instances.",n(g.DocumentHighlight.to))),new y.ApiCommand("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",(d,m)=>{if(A.isFalsyOrEmpty(d))return;class l extends R.SymbolInformation{static to(S){const w=new l(S.name,g.SymbolKind.to(S.kind),S.containerName||"",new R.Location(m[0],g.Range.to(S.range)));return w.detail=S.detail,w.range=w.location.range,w.selectionRange=g.Range.to(S.selectionRange),w.children=S.children?S.children.map(l.to):[],w}}return d.map(l.to)})),new y.ApiCommand("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[y.ApiCommandArgument.Uri,new y.ApiCommandArgument("options","Formatting options",d=>!0,d=>d)],new y.ApiCommandResult("A promise that resolves to an array of TextEdits.",n(g.TextEdit.to))),new y.ApiCommand("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range,new y.ApiCommandArgument("options","Formatting options",d=>!0,d=>d)],new y.ApiCommandResult("A promise that resolves to an array of TextEdits.",n(g.TextEdit.to))),new y.ApiCommand("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,new y.ApiCommandArgument("ch","Trigger character",d=>typeof d=="string",d=>d),new y.ApiCommandArgument("options","Formatting options",d=>!0,d=>d)],new y.ApiCommandResult("A promise that resolves to an array of TextEdits.",n(g.TextEdit.to))),new y.ApiCommand("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",P)),new y.ApiCommand("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",P)),new y.ApiCommand("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",P)),new y.ApiCommand("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",P)),new y.ApiCommand("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location-instances.",n(g.location.to))),new y.ApiCommand("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Hover-instances.",n(g.Hover.to))),new y.ApiCommand("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[y.ApiCommandArgument.Uri,new y.ApiCommandArgument("position","A position in a text document",d=>Array.isArray(d)&&d.every(m=>R.Position.isPosition(m)),d=>d.map(g.Position.from))],new y.ApiCommandResult("A promise that resolves to an array of ranges.",d=>d.map(m=>{let l;for(const u of m.reverse())l=new R.SelectionRange(g.Range.to(u),l);return l}))),new y.ApiCommand("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[y.ApiCommandArgument.String.with("query","Search string")],new y.ApiCommandResult("A promise that resolves to an array of SymbolInformation-instances.",d=>{const m=[];if(Array.isArray(d))for(let l of d)m.push(...l[1].map(g.WorkspaceSymbol.to));return m})),new y.ApiCommand("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A CallHierarchyItem or undefined",d=>d.map(g.CallHierarchyItem.to))),new y.ApiCommand("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[y.ApiCommandArgument.CallHierarchyItem],new y.ApiCommandResult("A CallHierarchyItem or undefined",d=>d.map(g.CallHierarchyIncomingCall.to))),new y.ApiCommand("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[y.ApiCommandArgument.CallHierarchyItem],new y.ApiCommandResult("A CallHierarchyItem or undefined",d=>d.map(g.CallHierarchyOutgoingCall.to))),new y.ApiCommand("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,y.ApiCommandArgument.String.with("newName","The new symbol name")],new y.ApiCommandResult("A promise that resolves to a WorkspaceEdit.",d=>{if(!!d){if(d.rejectReason)throw new Error(d.rejectReason);return g.WorkspaceEdit.to(d)}})),new y.ApiCommand("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new y.ApiCommandResult("A promise that resolves to an array of DocumentLink-instances.",d=>d.map(g.DocumentLink.to))),new y.ApiCommand("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",d=>{if(!!d)return new R.SemanticTokensLegend(d.tokenTypes,d.tokenModifiers)})),new y.ApiCommand("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to SemanticTokens.",d=>{if(!d)return;const m=I.decodeSemanticTokensDto(d);if(m.type==="full")return new R.SemanticTokens(m.data,void 0)})),new y.ApiCommand("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",d=>{if(!!d)return new R.SemanticTokensLegend(d.tokenTypes,d.tokenModifiers)})),new y.ApiCommand("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range],new y.ApiCommandResult("A promise that resolves to SemanticTokens.",d=>{if(!d)return;const m=I.decodeSemanticTokensDto(d);if(m.type==="full")return new R.SemanticTokens(m.data,void 0)})),new y.ApiCommand("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,y.ApiCommandArgument.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),y.ApiCommandArgument.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new y.ApiCommandResult("A promise that resolves to a CompletionList-instance.",(d,m,l)=>{if(!d)return new R.CompletionList([]);const u=d.suggestions.map(S=>g.CompletionItem.to(S,l));return new R.CompletionList(u,d.incomplete)})),new y.ApiCommand("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,y.ApiCommandArgument.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new y.ApiCommandResult("A promise that resolves to SignatureHelp.",d=>{if(d)return g.SignatureHelp.to(d)})),new y.ApiCommand("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new y.ApiCommandResult("A promise that resolves to an array of CodeLens-instances.",(d,m,l)=>n(u=>new R.CodeLens(g.Range.to(u.range),u.command&&l.fromInternal(u.command)))(d))),new y.ApiCommand("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[y.ApiCommandArgument.Uri,new y.ApiCommandArgument("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",d=>R.Range.isRange(d),d=>R.Selection.isSelection(d)?g.Selection.from(d):g.Range.from(d)),y.ApiCommandArgument.String.with("kind","Code action kind to return code actions for").optional(),y.ApiCommandArgument.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new y.ApiCommandResult("A promise that resolves to an array of Command-instances.",(d,m,l)=>n(u=>{if(u._isSynthetic){if(!u.command)throw new Error("Synthetic code actions must have a command");return l.fromInternal(u.command)}else{const S=new R.CodeAction(u.title,u.kind?new R.CodeActionKind(u.kind):void 0);return u.edit&&(S.edit=g.WorkspaceEdit.to(u.edit)),u.command&&(S.command=l.fromInternal(u.command)),S.isPreferred=u.isPreferred,S}})(d))),new y.ApiCommand("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to an array of ColorInformation objects.",d=>d?d.map(m=>new R.ColorInformation(g.Range.to(m.range),g.Color.to(m.color))):[])),new y.ApiCommand("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new y.ApiCommandArgument("color","The color to show and insert",d=>d instanceof R.Color,g.Color.from),new y.ApiCommandArgument("context","Context object with uri and range",d=>!0,d=>({uri:d.uri,range:g.Range.from(d.range)}))],new y.ApiCommandResult("A promise that resolves to an array of ColorPresentation objects.",d=>d?d.map(g.ColorPresentation.to):[])),new y.ApiCommand("vscode.executeInlayHintProvider","_executeInlayHintProvider","Execute inlay hints provider",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range],new y.ApiCommandResult("A promise that resolves to an array of Inlay objects",d=>d.map(g.InlayHint.to))),new y.ApiCommand("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new y.ApiCommandResult("A promise that resolves to an array of NotebookContentProvider static info objects.",n(d=>({viewType:d.viewType,displayName:d.displayName,options:{transientOutputs:d.options.transientOutputs,transientCellMetadata:d.options.transientCellMetadata,transientDocumentMetadata:d.options.transientDocumentMetadata},filenamePattern:d.filenamePattern.map(m=>g.NotebookExclusiveDocumentPattern.to(m))})))),new y.ApiCommand("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range],new y.ApiCommandResult("A promise that resolves to an array of InlineValue objects",d=>d.map(g.InlineValue.to))),new y.ApiCommand("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[y.ApiCommandArgument.Uri,new y.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",d=>d===void 0||typeof d=="number"||typeof d=="object",d=>d&&(typeof d=="number"?[d,void 0]:[g.ViewColumn.from(d.viewColumn),g.TextEditorOpenOptions.from(d)])).optional(),y.ApiCommandArgument.String.with("label","").optional()],y.ApiCommandResult.Void),new y.ApiCommand("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[y.ApiCommandArgument.Uri.with("resource","Resource to open"),y.ApiCommandArgument.String.with("viewId","Custom editor view id or 'default' to use VS Code's default editor"),new y.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",d=>d===void 0||typeof d=="number"||typeof d=="object",d=>d&&(typeof d=="number"?[d,void 0]:[g.ViewColumn.from(d.viewColumn),g.TextEditorOpenOptions.from(d)])).optional()],y.ApiCommandResult.Void),new y.ApiCommand("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[y.ApiCommandArgument.Uri.with("left","Left-hand side resource of the diff editor"),y.ApiCommandArgument.Uri.with("right","Right-hand side resource of the diff editor"),y.ApiCommandArgument.String.with("title","Human readable title for the diff editor").optional(),new y.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",d=>d===void 0||typeof d=="object",d=>d&&[g.ViewColumn.from(d.viewColumn),g.TextEditorOpenOptions.from(d)]).optional()],y.ApiCommandResult.Void)];class C{static register(m){E.forEach(m.registerApiCommand,m)}}e.ExtHostApiCommands=C;function n(d){return m=>{if(Array.isArray(m))return m.map(d)}}function P(d){if(!Array.isArray(d))return;const m=[];for(const l of d)k.isLocationLink(l)?m.push(g.DefinitionLink.to(l)):m.push(g.location.to(l));return m}}),define(fe[226],me([0,1,16,53,3,6,2,78,26,17,7,5]),function(X,e,g,R,k,y,A,I,E,C,n,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCommentThread=e.ExtHostComments=void 0;class d{constructor(c,f,t){this._documents=t,this._commentControllers=new Map,this._commentControllersByExtension=new Map,this._proxy=c.getProxy(P.MainContext.MainThreadComments),f.registerArgumentProcessor({processArgument:r=>{if(r&&r.$mid===6){const s=this._commentControllers.get(r.handle);return s||r}else if(r&&r.$mid===7){const s=this._commentControllers.get(r.commentControlHandle);if(!s)return r;const i=s.getCommentThread(r.commentThreadHandle);return i||r}else if(r&&r.$mid===8){const s=this._commentControllers.get(r.thread.commentControlHandle);if(!s)return r;const i=s.getCommentThread(r.thread.commentThreadHandle);return i?{thread:i,text:r.text}:r}else if(r&&r.$mid===9){const s=this._commentControllers.get(r.thread.commentControlHandle);if(!s)return r;const i=s.getCommentThread(r.thread.commentThreadHandle);if(!i)return r;let a=r.commentUniqueId,v=i.getCommentByUniqueId(a);return v||r}else if(r&&r.$mid===10){const s=this._commentControllers.get(r.thread.commentControlHandle);if(!s)return r;const i=s.getCommentThread(r.thread.commentThreadHandle);if(!i)return r;let a=r.text,v=r.commentUniqueId,p=i.getCommentByUniqueId(v);return p?(p.body=a,p):r}return r}})}createCommentController(c,f,t){const r=d.handlePool++,s=new l(c,r,this._proxy,f,t);this._commentControllers.set(s.handle,s);const i=this._commentControllersByExtension.get(E.ExtensionIdentifier.toKey(c.identifier))||[];return i.push(s),this._commentControllersByExtension.set(E.ExtensionIdentifier.toKey(c.identifier),i),s}$createCommentThreadTemplate(c,f,t){const r=this._commentControllers.get(c);!r||r.$createCommentThreadTemplate(f,t)}async $updateCommentThreadTemplate(c,f,t){const r=this._commentControllers.get(c);!r||r.$updateCommentThreadTemplate(f,t)}$deleteCommentThread(c,f){const t=this._commentControllers.get(c);t&&t.$deleteCommentThread(f)}$provideCommentingRanges(c,f,t){const r=this._commentControllers.get(c);if(!r||!r.commentingRangeProvider)return Promise.resolve(void 0);const s=this._documents.getDocument(A.URI.revive(f));return g.asPromise(()=>r.commentingRangeProvider.provideCommentingRanges(s,t)).then(i=>i?i.map(a=>C.Range.from(a)):void 0)}$toggleReaction(c,f,t,r,s){const i=this._commentControllers.get(c);return!i||!i.reactionHandler?Promise.resolve(void 0):g.asPromise(()=>{const a=i.getCommentThread(f);if(a){const v=a.getCommentByUniqueId(r.uniqueIdInThread);if(i!==void 0&&v&&i.reactionHandler)return i.reactionHandler(v,w(s))}return Promise.resolve(void 0)})}dispose(){}}e.ExtHostComments=d,d.handlePool=0;class m{constructor(c,f,t,r,s,i,a){this._proxy=c,this._commentController=f,this._id=t,this._uri=r,this._range=s,this._comments=i,this.handle=m._handlePool++,this.commentHandle=0,this.modifications=Object.create(null),this._onDidUpdateCommentThread=new k.Emitter,this.onDidUpdateCommentThread=this._onDidUpdateCommentThread.event,this._canReply=!0,this._commentsMap=new Map,this._acceptInputDisposables=new y.MutableDisposable,this._acceptInputDisposables.value=new y.DisposableStore,this._id===void 0&&(this._id=`${f.id}.${this.handle}`),this._proxy.$createCommentThread(this._commentController.handle,this.handle,this._id,this._uri,C.Range.from(this._range),a),this._localDisposables=[],this._isDiposed=!1,this._localDisposables.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=i}set threadId(c){this._id=c}get threadId(){return this._id}get id(){return this._id}get resource(){return this._uri}get uri(){return this._uri}set range(c){c.isEqual(this._range)||(this._range=c,this.modifications.range=c,this._onDidUpdateCommentThread.fire())}get range(){return this._range}set canReply(c){this._canReply!==c&&(this._canReply=c,this.modifications.canReply=c,this._onDidUpdateCommentThread.fire())}get canReply(){return this._canReply}get label(){return this._label}set label(c){this._label=c,this.modifications.label=c,this._onDidUpdateCommentThread.fire()}get contextValue(){return this._contextValue}set contextValue(c){this._contextValue=c,this.modifications.contextValue=c,this._onDidUpdateCommentThread.fire()}get comments(){return this._comments}set comments(c){this._comments=c,this.modifications.comments=c,this._onDidUpdateCommentThread.fire()}get collapsibleState(){return this._collapseState}set collapsibleState(c){this._collapseState=c,this.modifications.collapsibleState=c,this._onDidUpdateCommentThread.fire()}get isDisposed(){return this._isDiposed}eventuallyUpdateCommentThread(){if(this._isDiposed)return;this._acceptInputDisposables.value||(this._acceptInputDisposables.value=new y.DisposableStore);const c=t=>Object.prototype.hasOwnProperty.call(this.modifications,t),f={};c("range")&&(f.range=C.Range.from(this._range)),c("label")&&(f.label=this.label),c("contextValue")&&(f.contextValue=this.contextValue),c("comments")&&(f.comments=this._comments.map(t=>u(this,this._commentController,t,this._commentsMap))),c("collapsibleState")&&(f.collapseState=b(this._collapseState)),c("canReply")&&(f.canReply=this.canReply),this.modifications={},this._proxy.$updateCommentThread(this._commentController.handle,this.handle,this._id,this._uri,f)}getCommentByUniqueId(c){for(let f of this._commentsMap){let t=f[0],r=f[1];if(c===r)return t}}dispose(){this._isDiposed=!0,this._acceptInputDisposables.dispose(),this._localDisposables.forEach(c=>c.dispose()),this._proxy.$deleteCommentThread(this._commentController.handle,this.handle)}}m._handlePool=0,ze([R.debounce(100)],m.prototype,"eventuallyUpdateCommentThread",null),e.ExtHostCommentThread=m;class l{constructor(c,f,t,r,s){this._extension=c,this._handle=f,this._proxy=t,this._id=r,this._label=s,this._threads=new Map,this._proxy.$registerCommentController(this.handle,r,s)}get id(){return this._id}get label(){return this._label}get handle(){return this._handle}get reactionHandler(){return this._reactionHandler}set reactionHandler(c){this._reactionHandler=c,this._proxy.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!c})}get options(){return this._options}set options(c){this._options=c,this._proxy.$updateCommentControllerFeatures(this.handle,{options:this._options})}createCommentThread(c,f,t,r){if(typeof c=="string"){const s=new m(this._proxy,this,c,f,t,r,this._extension.identifier);return this._threads.set(s.handle,s),s}else{const s=new m(this._proxy,this,void 0,c,f,t,this._extension.identifier);return this._threads.set(s.handle,s),s}}$createCommentThreadTemplate(c,f){const t=new m(this._proxy,this,void 0,A.URI.revive(c),C.Range.to(f),[],this._extension.identifier);return t.collapsibleState=I.CommentThreadCollapsibleState.Expanded,this._threads.set(t.handle,t),t}$updateCommentThreadTemplate(c,f){let t=this._threads.get(c);t&&(t.range=C.Range.to(f))}$deleteCommentThread(c){let f=this._threads.get(c);f&&f.dispose(),this._threads.delete(c)}getCommentThread(c){return this._threads.get(c)}dispose(){this._threads.forEach(c=>{c.dispose()}),this._proxy.$unregisterCommentController(this.handle)}}function u(h,c,f,t){let r=t.get(f);r||(r=++h.commentHandle,t.set(f,r));const s=f.author&&f.author.iconPath?f.author.iconPath.toString():void 0;return{mode:f.mode,contextValue:f.contextValue,uniqueIdInThread:r,body:C.MarkdownString.from(f.body),userName:f.author.name,userIconPath:s,label:f.label,commentReactions:f.reactions?f.reactions.map(i=>S(i)):void 0}}function S(h){return{label:h.label,iconPath:h.iconPath?C.pathOrURIToURI(h.iconPath):void 0,count:h.count,hasReacted:h.authorHasReacted}}function w(h){return{label:h.label||"",count:h.count||0,iconPath:h.iconPath?A.URI.revive(h.iconPath):"",authorHasReacted:h.hasReacted||!1}}function b(h){if(h!==void 0)switch(h){case n.CommentThreadCollapsibleState.Expanded:return I.CommentThreadCollapsibleState.Expanded;case n.CommentThreadCollapsibleState.Collapsed:return I.CommentThreadCollapsibleState.Collapsed}return I.CommentThreadCollapsibleState.Collapsed}}),define(fe[128],me([0,1,2,5,7,4,13,12,18,8,9]),function(X,e,g,R,k,y,A,I,E,C,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDecorations=e.ExtHostDecorations=void 0;let P=class En{constructor(m,l){this._logService=l,this._provider=new Map,this._proxy=m.getProxy(R.MainContext.MainThreadDecorations)}registerFileDecorationProvider(m,l){const u=En._handlePool++;this._provider.set(u,{provider:m,extensionId:l}),this._proxy.$registerDecorationProvider(u,l.value);const S=m.onDidChangeFileDecorations&&m.onDidChangeFileDecorations(w=>{if(!w){this._proxy.$onDidChange(u,null);return}let b=E.asArray(w);if(b.length<=En._maxEventSize){this._proxy.$onDidChange(u,b);return}this._logService.warn("[Decorations] CAPPING events from decorations provider",l.value,b.length);const h=b.map(t=>({uri:t,rank:C.count(t.path,"/")})),c=E.groupBy(h,(t,r)=>t.rank-r.rank||C.compare(t.uri.path,r.uri.path));let f=[];e:for(let t of c){let r;for(let s of t){let i=n.dirname(s.uri.path);if(r!==i&&(r=i,f.push(s.uri)>=En._maxEventSize))break e}}this._proxy.$onDidChange(u,f)});return new k.Disposable(()=>{S?.dispose(),this._proxy.$unregisterDecorationProvider(u),this._provider.delete(u)})}async $provideDecorations(m,l,u){if(!this._provider.has(m))return Object.create(null);const S=Object.create(null),{provider:w,extensionId:b}=this._provider.get(m);return await Promise.all(l.map(async h=>{try{const{uri:c,id:f}=h,t=await Promise.resolve(w.provideFileDecoration(g.URI.revive(c),u));if(!t)return;try{k.FileDecoration.validate(t),S[f]=[t.propagate,t.tooltip,t.badge,t.color]}catch(r){this._logService.warn(`INVALID decoration from extension '${b.value}': ${r}`)}}catch(c){this._logService.error(c)}})),S}};P._handlePool=0,P._maxEventSize=250,P=ze([We(0,A.IExtHostRpcService),We(1,I.ILogService)],P),e.ExtHostDecorations=P,e.IExtHostDecorations=y.createDecorator("IExtHostDecorations")}),define(fe[227],me([0,1,159,114,2,5,7,17,3,12,24]),function(X,e,g,R,k,y,A,I,E,C,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDiagnostics=e.DiagnosticCollection=void 0;class P{constructor(l,u,S,w,b){this._name=l,this._owner=u,this._maxDiagnosticsPerFile=S,this._proxy=w,this._onDidChangeDiagnostics=b,this._isDisposed=!1,this._data=new n.ResourceMap}dispose(){this._isDisposed||(this._onDidChangeDiagnostics.fire([...this._data.keys()]),this._proxy&&this._proxy.$clear(this._owner),this._data=void 0,this._isDisposed=!0)}get name(){return this._checkDisposed(),this._name}set(l,u){if(!l){this.clear();return}this._checkDisposed();let S=[];if(k.URI.isUri(l)){if(!u){this.delete(l);return}this._data.set(l,u.slice()),S=[l]}else if(Array.isArray(l)){S=[];let b;l=[...l].sort(P._compareIndexedTuplesByUri);for(const h of l){const[c,f]=h;if((!b||c.toString()!==b.toString())&&(b&&this._data.get(b).length===0&&this._data.delete(b),b=c,S.push(c),this._data.set(c,[])),f){const t=this._data.get(c);t&&t.push(...f)}else{const t=this._data.get(c);t&&(t.length=0)}}}if(this._onDidChangeDiagnostics.fire(S),!this._proxy)return;const w=[];for(let b of S){let h=[];const c=this._data.get(b);if(c)if(c.length>this._maxDiagnosticsPerFile){h=[];const f=[A.DiagnosticSeverity.Error,A.DiagnosticSeverity.Warning,A.DiagnosticSeverity.Information,A.DiagnosticSeverity.Hint];e:for(let t=0;t<4;t++)for(let r of c)if(r.severity===f[t]&&h.push(I.Diagnostic.from(r))===this._maxDiagnosticsPerFile)break e;h.push({severity:R.MarkerSeverity.Info,message:g.localize(0,null,c.length-this._maxDiagnosticsPerFile),startLineNumber:h[h.length-1].startLineNumber,startColumn:h[h.length-1].startColumn,endLineNumber:h[h.length-1].endLineNumber,endColumn:h[h.length-1].endColumn})}else h=c.map(f=>I.Diagnostic.from(f));w.push([b,h])}this._proxy.$changeMany(this._owner,w)}delete(l){this._checkDisposed(),this._onDidChangeDiagnostics.fire([l]),this._data.delete(l),this._proxy&&this._proxy.$changeMany(this._owner,[[l,void 0]])}clear(){this._checkDisposed(),this._onDidChangeDiagnostics.fire([...this._data.keys()]),this._data.clear(),this._proxy&&this._proxy.$clear(this._owner)}forEach(l,u){this._checkDisposed();for(let S of this._data.keys())l.apply(u,[S,this.get(S),this])}get(l){this._checkDisposed();const u=this._data.get(l);return Array.isArray(u)?Object.freeze(u.slice(0)):[]}has(l){return this._checkDisposed(),Array.isArray(this._data.get(l))}_checkDisposed(){if(this._isDisposed)throw new Error("illegal state - object is disposed")}static _compareIndexedTuplesByUri(l,u){return l[0].toString()<u[0].toString()?-1:l[0].toString()>u[0].toString()?1:0}}e.DiagnosticCollection=P;let d=class Qt{constructor(l,u){this._logService=u,this._collections=new Map,this._onDidChangeDiagnostics=new E.DebounceEmitter({merge:S=>S.flat(),delay:50}),this.onDidChangeDiagnostics=E.Event.map(this._onDidChangeDiagnostics.event,Qt._mapper),this._proxy=l.getProxy(y.MainContext.MainThreadDiagnostics)}static _mapper(l){const u=new n.ResourceMap;for(const S of l)u.set(S,S);return{uris:Object.freeze(Array.from(u.values()))}}createDiagnosticCollection(l,u){const{_collections:S,_proxy:w,_onDidChangeDiagnostics:b,_logService:h}=this,c=new class{$changeMany(r,s){w.$changeMany(r,s),h.trace("[DiagnosticCollection] change many (extension, owner, uris)",l.value,r,s.length===0?"CLEARING":s)}$clear(r){w.$clear(r),h.trace("[DiagnosticCollection] remove all (extension, owner)",l.value,r)}dispose(){w.dispose()}};let f;if(!u)u="_generated_diagnostic_collection_name_#"+Qt._idPool++,f=u;else if(!S.has(u))f=u;else{this._logService.warn(`DiagnosticCollection with name '${u}' does already exist.`);do f=u+Qt._idPool++;while(S.has(f))}return new class extends P{constructor(){super(u,f,Qt._maxDiagnosticsPerFile,c,b);S.set(f,this)}dispose(){super.dispose(),S.delete(f)}}}getDiagnostics(l){if(l)return this._getDiagnostics(l);{const u=new Map,S=[];for(const w of this._collections.values())w.forEach((b,h)=>{let c=u.get(b.toString());typeof c=="undefined"&&(c=S.length,u.set(b.toString(),c),S.push([b,[]])),S[c][1]=S[c][1].concat(...h)});return S}}_getDiagnostics(l){let u=[];for(let S of this._collections.values())S.has(l)&&(u=u.concat(S.get(l)));return u}$acceptMarkersChange(l){if(!this._mirrorCollection){const u="_generated_mirror",S=new P(u,u,Qt._maxDiagnosticsPerFile,void 0,this._onDidChangeDiagnostics);this._collections.set(u,S),this._mirrorCollection=S}for(const[u,S]of l)this._mirrorCollection.set(k.URI.revive(u),S.map(I.Diagnostic.to))}};d._idPool=0,d._maxDiagnosticsPerFile=1e3,d=ze([We(1,C.ILogService)],d),e.ExtHostDiagnostics=d}),define(fe[228],me([0,1,2,5]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDialogs=void 0;class k{constructor(A){this._proxy=A.getProxy(R.MainContext.MainThreadDialogs)}showOpenDialog(A){return this._proxy.$showOpenDialog(A).then(I=>I?I.map(E=>g.URI.revive(E)):void 0)}showSaveDialog(A){return this._proxy.$showSaveDialog(A).then(I=>I?g.URI.revive(I):void 0)}}e.ExtHostDialogs=k}),define(fe[229],me([0,1,15,2,7,5,10,21,8]),function(X,e,g,R,k,y,A,I,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentContentProvider=void 0;class C{constructor(P,d,m){this._documentsAndEditors=d,this._logService=m,this._documentContentProviders=new Map,this._proxy=P.getProxy(y.MainContext.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(P,d){if(Object.keys(A.Schemas).indexOf(P)>=0)throw new Error(`scheme '${P}' already registered`);const m=C._handlePool++;this._documentContentProviders.set(m,d),this._proxy.$registerTextContentProvider(m,P);let l;return typeof d.onDidChange=="function"&&(l=d.onDidChange(u=>{if(u.scheme!==P){this._logService.warn(`Provider for scheme '${P}' is firing event for schema '${u.scheme}' which will be IGNORED`);return}this._documentsAndEditors.getDocument(u)&&this.$provideTextDocumentContent(m,u).then(S=>{if(!S&&typeof S!="string")return;const w=this._documentsAndEditors.getDocument(u);if(!w)return;const b=E.splitLines(S);if(!w.equalLines(b))return this._proxy.$onVirtualDocumentChange(u,S)},g.onUnexpectedError)})),new k.Disposable(()=>{this._documentContentProviders.delete(m)&&this._proxy.$unregisterTextContentProvider(m),l&&(l.dispose(),l=void 0)})}$provideTextDocumentContent(P,d){const m=this._documentContentProviders.get(P);return m?Promise.resolve(m.provideTextDocumentContent(R.URI.revive(d),I.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${d.scheme}`))}}e.ExtHostDocumentContentProvider=C,C._handlePool=0}),define(fe[230],me([0,1,3,6,2,5,120,17,14,25]),function(X,e,g,R,k,y,A,I,E,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocuments=void 0;class n{constructor(d,m){this._onDidAddDocument=new g.Emitter,this._onDidRemoveDocument=new g.Emitter,this._onDidChangeDocument=new g.Emitter,this._onDidSaveDocument=new g.Emitter,this.onDidAddDocument=this._onDidAddDocument.event,this.onDidRemoveDocument=this._onDidRemoveDocument.event,this.onDidChangeDocument=this._onDidChangeDocument.event,this.onDidSaveDocument=this._onDidSaveDocument.event,this._toDispose=new R.DisposableStore,this._documentLoader=new Map,this._proxy=d.getProxy(y.MainContext.MainThreadDocuments),this._documentsAndEditors=m,this._documentsAndEditors.onDidRemoveDocuments(l=>{for(const u of l)this._onDidRemoveDocument.fire(u.document)},void 0,this._toDispose),this._documentsAndEditors.onDidAddDocuments(l=>{for(const u of l)this._onDidAddDocument.fire(u.document)},void 0,this._toDispose)}dispose(){this._toDispose.dispose()}getAllDocumentData(){return[...this._documentsAndEditors.allDocuments()]}getDocumentData(d){if(!d)return;const m=this._documentsAndEditors.getDocument(d);if(m)return m}getDocument(d){const m=this.getDocumentData(d);if(!m?.document)throw new Error(`Unable to retrieve document from URI '${d}'`);return m.document}ensureDocumentData(d){const m=this._documentsAndEditors.getDocument(d);if(m)return Promise.resolve(m);let l=this._documentLoader.get(d.toString());return l||(l=this._proxy.$tryOpenDocument(d).then(u=>{this._documentLoader.delete(d.toString());const S=k.URI.revive(u);return E.assertIsDefined(this._documentsAndEditors.getDocument(S))},u=>(this._documentLoader.delete(d.toString()),Promise.reject(u))),this._documentLoader.set(d.toString(),l)),l}createDocumentData(d){return this._proxy.$tryCreateDocument(d).then(m=>k.URI.revive(m))}$acceptModelModeChanged(d,m){const l=k.URI.revive(d),u=this._documentsAndEditors.getDocument(l);if(!u)throw new Error("unknown document");this._onDidRemoveDocument.fire(u.document),u._acceptLanguageId(m),this._onDidAddDocument.fire(u.document)}$acceptModelSaved(d){const m=k.URI.revive(d),l=this._documentsAndEditors.getDocument(m);if(!l)throw new Error("unknown document");this.$acceptDirtyStateChanged(d,!1),this._onDidSaveDocument.fire(l.document)}$acceptDirtyStateChanged(d,m){const l=k.URI.revive(d),u=this._documentsAndEditors.getDocument(l);if(!u)throw new Error("unknown document");u._acceptIsDirty(m),this._onDidChangeDocument.fire({document:u.document,contentChanges:[]})}$acceptModelChanged(d,m,l){const u=k.URI.revive(d),S=this._documentsAndEditors.getDocument(u);if(!S)throw new Error("unknown document");S._acceptIsDirty(l),S.onEvents(m),this._onDidChangeDocument.fire(C.deepFreeze({document:S.document,contentChanges:m.changes.map(w=>({range:I.Range.to(w.range),rangeOffset:w.rangeOffset,rangeLength:w.rangeLength,text:w.text}))}))}setWordDefinitionFor(d,m){A.setWordDefinitionFor(d,m)}}e.ExtHostDocuments=n}),define(fe[42],me([0,1,52,3,6,2,4,5,120,13,126,17,12,24,10,54,136]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDocumentsAndEditors=e.ExtHostDocumentsAndEditors=void 0;class w{constructor(c){this.value=c,this._count=0}ref(){this._count++}unref(){return--this._count==0}}let b=class{constructor(c,f){this._extHostRpc=c,this._logService=f,this._activeEditorId=null,this._editors=new Map,this._documents=new m.ResourceMap,this._onDidAddDocuments=new R.Emitter,this._onDidRemoveDocuments=new R.Emitter,this._onDidChangeVisibleTextEditors=new R.Emitter,this._onDidChangeActiveTextEditor=new R.Emitter,this.onDidAddDocuments=this._onDidAddDocuments.event,this.onDidRemoveDocuments=this._onDidRemoveDocuments.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event}$acceptDocumentsAndEditorsDelta(c){this.acceptDocumentsAndEditorsDelta(c)}acceptDocumentsAndEditorsDelta(c){const f=[],t=[],r=[];if(c.removedDocuments)for(const s of c.removedDocuments){const i=y.URI.revive(s),a=this._documents.get(i);a?.unref()&&(this._documents.delete(i),f.push(a.value))}if(c.addedDocuments)for(const s of c.addedDocuments){const i=y.URI.revive(s.uri);let a=this._documents.get(i);if(a&&i.scheme!==l.Schemas.vscodeNotebookCell&&i.scheme!==l.Schemas.vscodeInteractiveInput)throw new Error(`document '${i} already exists!'`);a||(a=new w(new E.ExtHostDocumentData(this._extHostRpc.getProxy(I.MainContext.MainThreadDocuments),i,s.lines,s.EOL,s.versionId,s.modeId,s.isDirty,s.notebook)),this._documents.set(i,a),t.push(a.value)),a.ref()}if(c.removedEditors)for(const s of c.removedEditors){const i=this._editors.get(s);this._editors.delete(s),i&&r.push(i)}if(c.addedEditors)for(const s of c.addedEditors){const i=y.URI.revive(s.documentUri);g.ok(this._documents.has(i),`document '${i}' does not exist`),g.ok(!this._editors.has(s.id),`editor '${s.id}' already exists!`);const a=this._documents.get(i).value,v=new n.ExtHostTextEditor(s.id,this._extHostRpc.getProxy(I.MainContext.MainThreadTextEditors),this._logService,new S.Lazy(()=>a.document),s.selections.map(P.Selection.to),s.options,s.visibleRanges.map(p=>P.Range.to(p)),typeof s.editorPosition=="number"?P.ViewColumn.to(s.editorPosition):void 0);this._editors.set(s.id,v)}c.newActiveEditor!==void 0&&(g.ok(c.newActiveEditor===null||this._editors.has(c.newActiveEditor),`active editor '${c.newActiveEditor}' does not exist`),this._activeEditorId=c.newActiveEditor),k.dispose(f),k.dispose(r),c.removedDocuments&&this._onDidRemoveDocuments.fire(f),c.addedDocuments&&this._onDidAddDocuments.fire(t),(c.removedEditors||c.addedEditors)&&this._onDidChangeVisibleTextEditors.fire(this.allEditors().map(s=>s.value)),c.newActiveEditor!==void 0&&this._onDidChangeActiveTextEditor.fire(this.activeEditor())}getDocument(c){return this._documents.get(c)?.value}allDocuments(){return u.Iterable.map(this._documents.values(),c=>c.value)}getEditor(c){return this._editors.get(c)}activeEditor(c){if(!this._activeEditorId)return;const f=this._editors.get(this._activeEditorId);return c?f:f?.value}allEditors(){return[...this._editors.values()]}};b=ze([We(0,C.IExtHostRpcService),We(1,d.ILogService)],b),e.ExtHostDocumentsAndEditors=b,e.IExtHostDocumentsAndEditors=A.createDecorator("IExtHostDocumentsAndEditors")}),define(fe[231],me([0,1,2,5,6,7,17,144,8,23]),function(X,e,g,R,k,y,A,I,E,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystem=void 0;class n{constructor(){this._schemes=[]}add(m){this._stateMachine=void 0,this._schemes.push(m)}delete(m){const l=this._schemes.indexOf(m);l>=0&&(this._schemes.splice(l,1),this._stateMachine=void 0)}_initStateMachine(){if(!this._stateMachine){const m=this._schemes.sort(),l=[];let u,S,w=14,b=14;for(const h of m){let c=u?E.commonPrefixLength(u,h):0;for(c===0?S=1:S=b;c<h.length;c++)c+1===h.length?(w=b,b=9):b+=1,l.push([S,h.toUpperCase().charCodeAt(c),b]),l.push([S,h.toLowerCase().charCodeAt(c),b]),S=b;u=h,b=w}l.push([9,58,10]),l.push([10,47,12]),this._stateMachine=new I.StateMachine(l)}}provideDocumentLinks(m){this._initStateMachine();const l=[],u=I.LinkComputer.computeLinks({getLineContent(S){return m.lineAt(S-1).text},getLineCount(){return m.lineCount}},this._stateMachine);for(const S of u){const w=A.DocumentLink.to(S);w.target&&l.push(w)}return l}}class P{constructor(m,l){this._extHostLanguageFeatures=l,this._linkProvider=new n,this._fsProvider=new Map,this._registeredSchemes=new Set,this._watches=new Map,this._enableProposedApi=new Map,this._handlePool=0,this._proxy=m.getProxy(R.MainContext.MainThreadFileSystem)}dispose(){this._linkProviderRegistration?.dispose()}_registerLinkProviderIfNotYetRegistered(){this._linkProviderRegistration||(this._linkProviderRegistration=this._extHostLanguageFeatures.registerDocumentLinkProvider(void 0,"*",this._linkProvider))}registerFileSystemProvider(m,l,u,S={},w){if(this._registeredSchemes.has(l))throw new Error(`a provider for the scheme '${l}' is already registered`);this._registerLinkProviderIfNotYetRegistered();const b=this._handlePool++;this._linkProvider.add(l),this._registeredSchemes.add(l),this._fsProvider.set(b,u),this._enableProposedApi.set(b,w??!1);let h=2;S.isCaseSensitive&&(h+=1024),S.isReadonly&&(h+=2048),typeof u.copy=="function"&&(h+=8),typeof u.open=="function"&&typeof u.close=="function"&&typeof u.read=="function"&&typeof u.write=="function"&&(h+=4),this._proxy.$registerFileSystemProvider(b,l,h).catch(f=>{console.error(`FAILED to register filesystem provider of ${m.value}-extension for the scheme ${l}`),console.error(f)});const c=u.onDidChangeFile(f=>{const t=[];for(const r of f){let{uri:s,type:i}=r;if(s.scheme!==l)continue;let a;switch(i){case y.FileChangeType.Changed:a=0;break;case y.FileChangeType.Created:a=1;break;case y.FileChangeType.Deleted:a=2;break;default:throw new Error("Unknown FileChangeType")}t.push({resource:s,type:a})}this._proxy.$onFileSystemChange(b,t)});return k.toDisposable(()=>{c.dispose(),this._linkProvider.delete(l),this._registeredSchemes.delete(l),this._fsProvider.delete(b),this._enableProposedApi.delete(b),this._proxy.$unregisterProvider(b)})}static _asIStat(m,l){const{type:u,ctime:S,mtime:w,size:b,permissions:h}=m;return l?{type:u,ctime:S,mtime:w,size:b,permissions:h}:{type:u,ctime:S,mtime:w,size:b}}$stat(m,l){return Promise.resolve(this._getFsProvider(m).stat(g.URI.revive(l))).then(u=>P._asIStat(u,this._enableProposedApi.get(m)??!1))}$readdir(m,l){return Promise.resolve(this._getFsProvider(m).readDirectory(g.URI.revive(l)))}$readFile(m,l){return Promise.resolve(this._getFsProvider(m).readFile(g.URI.revive(l))).then(u=>C.VSBuffer.wrap(u))}$writeFile(m,l,u,S){return Promise.resolve(this._getFsProvider(m).writeFile(g.URI.revive(l),u.buffer,S))}$delete(m,l,u){return Promise.resolve(this._getFsProvider(m).delete(g.URI.revive(l),u))}$rename(m,l,u,S){return Promise.resolve(this._getFsProvider(m).rename(g.URI.revive(l),g.URI.revive(u),S))}$copy(m,l,u,S){const w=this._getFsProvider(m);if(!w.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(w.copy(g.URI.revive(l),g.URI.revive(u),S))}$mkdir(m,l){return Promise.resolve(this._getFsProvider(m).createDirectory(g.URI.revive(l)))}$watch(m,l,u,S){const w=this._getFsProvider(m).watch(g.URI.revive(u),S);this._watches.set(l,w)}$unwatch(m,l){const u=this._watches.get(l);u&&(u.dispose(),this._watches.delete(l))}$open(m,l,u){const S=this._getFsProvider(m);if(!S.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(S.open(g.URI.revive(l),u))}$close(m,l){const u=this._getFsProvider(m);if(!u.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(u.close(l))}$read(m,l,u,S){const w=this._getFsProvider(m);if(!w.read)throw new Error('FileSystemProvider does not implement "read"');const b=C.VSBuffer.alloc(S);return Promise.resolve(w.read(l,u,b.buffer,0,S)).then(h=>b.slice(0,h))}$write(m,l,u,S){const w=this._getFsProvider(m);if(!w.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(w.write(l,u,S.buffer,0,S.byteLength))}_getFsProvider(m){const l=this._fsProvider.get(m);if(!l){const u=new Error;throw u.name="ENOPRO",u.message="no provider",u}return l}}e.ExtHostFileSystem=P}),define(fe[87],me([0,1,5,41,7,23,4,13,59]),function(X,e,g,R,k,y,A,I,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConsumerFileSystem=e.ExtHostConsumerFileSystem=void 0;let C=class Vt{constructor(P,d){const m=P.getProxy(g.MainContext.MainThreadFileSystem);this.value=Object.freeze({stat(l){return m.$stat(l).catch(Vt._handleError)},readDirectory(l){return m.$readdir(l).catch(Vt._handleError)},createDirectory(l){return m.$mkdir(l).catch(Vt._handleError)},async readFile(l){return m.$readFile(l).then(u=>u.buffer).catch(Vt._handleError)},writeFile(l,u){return m.$writeFile(l,y.VSBuffer.wrap(u)).catch(Vt._handleError)},delete(l,u){return m.$delete(l,{recursive:!1,useTrash:!1,...u}).catch(Vt._handleError)},rename(l,u,S){return m.$rename(l,u,{overwrite:!1,...S}).catch(Vt._handleError)},copy(l,u,S){return m.$copy(l,u,{overwrite:!1,...S}).catch(Vt._handleError)},isWritableFileSystem(l){const u=d.getCapabilities(l);if(typeof u=="number")return!(u&2048)}})}static _handleError(P){if(!(P instanceof Error))throw new k.FileSystemError(String(P));if(P.name==="ENOPRO")throw k.FileSystemError.Unavailable(P.message);switch(P.name){case R.FileSystemProviderErrorCode.FileExists:throw k.FileSystemError.FileExists(P.message);case R.FileSystemProviderErrorCode.FileNotFound:throw k.FileSystemError.FileNotFound(P.message);case R.FileSystemProviderErrorCode.FileNotADirectory:throw k.FileSystemError.FileNotADirectory(P.message);case R.FileSystemProviderErrorCode.FileIsADirectory:throw k.FileSystemError.FileIsADirectory(P.message);case R.FileSystemProviderErrorCode.NoPermissions:throw k.FileSystemError.NoPermissions(P.message);case R.FileSystemProviderErrorCode.Unavailable:throw k.FileSystemError.Unavailable(P.message);default:throw new k.FileSystemError(P.message,P.name)}}};C=ze([We(0,I.IExtHostRpcService),We(1,E.IExtHostFileSystemInfo)],C),e.ExtHostConsumerFileSystem=C,e.IExtHostConsumerFileSystem=A.createDecorator("IExtHostConsumerFileSystem")}),define(fe[232],me([0,1,6,5]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLabelService=void 0;class k{constructor(A){this._handlePool=0,this._proxy=A.getProxy(R.MainContext.MainThreadLabelService)}$registerResourceLabelFormatter(A){const I=this._handlePool++;return this._proxy.$registerResourceLabelFormatter(I,A),g.toDisposable(()=>{this._proxy.$unregisterResourceLabelFormatter(I)})}}e.ExtHostLabelService=k}),define(fe[233],me([0,1,2,25,17,7,16,5,8,40,18,14,141,6,108,71,83,43,15,3]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S,w,b,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguageFeatures=e.InlineCompletionController=e.DocumentRangeSemanticTokensAdapter=e.DocumentSemanticTokensAdapter=void 0;class c{constructor(j,ee){this._documents=j,this._provider=ee}provideDocumentSymbols(j,ee){const re=this._documents.getDocument(j);return A.asPromise(()=>this._provider.provideDocumentSymbols(re,ee)).then(ae=>{if(!n.isFalsyOrEmpty(ae))return ae[0]instanceof y.DocumentSymbol?ae.map(k.DocumentSymbol.from):c._asDocumentSymbolTree(ae)})}static _asDocumentSymbolTree(j){j=j.slice(0).sort((ae,Z)=>{let se=ae.location.range.start.compareTo(Z.location.range.start);return se===0&&(se=Z.location.range.end.compareTo(ae.location.range.end)),se});const ee=[],re=[];for(const ae of j){const Z={name:ae.name||"!!MISSING: name!!",kind:k.SymbolKind.from(ae.kind),tags:ae.tags?.map(k.SymbolTag.from)||[],detail:"",containerName:ae.containerName,range:k.Range.from(ae.location.range),selectionRange:k.Range.from(ae.location.range),children:[]};for(;;){if(re.length===0){re.push(Z),ee.push(Z);break}const se=re[re.length-1];if(C.Range.containsRange(se.range,Z.range)&&!C.Range.equalsRange(se.range,Z.range)){se.children&&se.children.push(Z),re.push(Z);break}re.pop()}}return ee}}class f{constructor(j,ee,re){this._documents=j,this._commands=ee,this._provider=re,this._cache=new S.Cache("CodeLens"),this._disposables=new Map}async provideCodeLenses(j,ee){const re=this._documents.getDocument(j),ae=await this._provider.provideCodeLenses(re,ee);if(!ae||ee.isCancellationRequested)return;const Z=this._cache.add(ae),se=new m.DisposableStore;this._disposables.set(Z,se);const ve={cacheId:Z,lenses:[]};for(let Le=0;Le<ae.length;Le++)ve.lenses.push({cacheId:[Z,Le],range:k.Range.from(ae[Le].range),command:this._commands.toInternal(ae[Le].command,se)});return ve}async resolveCodeLens(j,ee){const re=j.cacheId&&this._cache.get(...j.cacheId);if(!re)return;let ae;if(typeof this._provider.resolveCodeLens!="function"||re.isResolved?ae=re:ae=await this._provider.resolveCodeLens(re,ee),ae||(ae=re),ee.isCancellationRequested)return;const Z=j.cacheId&&this._disposables.get(j.cacheId[0]);if(!!Z)return j.command=this._commands.toInternal(ae.command??f._badCmd,Z),j}releaseCodeLenses(j){this._disposables.get(j)?.dispose(),this._disposables.delete(j),this._cache.delete(j)}}f._badCmd={command:"missing",title:"!!MISSING: command!!"};function t(Ge){return Array.isArray(Ge)?Ge.map(k.DefinitionLink.from):Ge?[k.DefinitionLink.from(Ge)]:[]}class r{constructor(j,ee){this._documents=j,this._provider=ee}provideDefinition(j,ee,re){const ae=this._documents.getDocument(j),Z=k.Position.to(ee);return A.asPromise(()=>this._provider.provideDefinition(ae,Z,re)).then(t)}}class s{constructor(j,ee){this._documents=j,this._provider=ee}provideDeclaration(j,ee,re){const ae=this._documents.getDocument(j),Z=k.Position.to(ee);return A.asPromise(()=>this._provider.provideDeclaration(ae,Z,re)).then(t)}}class i{constructor(j,ee){this._documents=j,this._provider=ee}provideImplementation(j,ee,re){const ae=this._documents.getDocument(j),Z=k.Position.to(ee);return A.asPromise(()=>this._provider.provideImplementation(ae,Z,re)).then(t)}}class a{constructor(j,ee){this._documents=j,this._provider=ee}provideTypeDefinition(j,ee,re){const ae=this._documents.getDocument(j),Z=k.Position.to(ee);return A.asPromise(()=>this._provider.provideTypeDefinition(ae,Z,re)).then(t)}}class v{constructor(j,ee){this._documents=j,this._provider=ee}provideHover(j,ee,re){const ae=this._documents.getDocument(j),Z=k.Position.to(ee);return A.asPromise(()=>this._provider.provideHover(ae,Z,re)).then(se=>{if(!(!se||n.isFalsyOrEmpty(se.contents)))return se.range||(se.range=ae.getWordRangeAtPosition(Z)),se.range||(se.range=new y.Range(Z,Z)),k.Hover.from(se)})}}class p{constructor(j,ee){this._documents=j,this._provider=ee}provideEvaluatableExpression(j,ee,re){const ae=this._documents.getDocument(j),Z=k.Position.to(ee);return A.asPromise(()=>this._provider.provideEvaluatableExpression(ae,Z,re)).then(se=>{if(se)return k.EvaluatableExpression.from(se)})}}class _{constructor(j,ee){this._documents=j,this._provider=ee}provideInlineValues(j,ee,re,ae){const Z=this._documents.getDocument(j);return A.asPromise(()=>this._provider.provideInlineValues(Z,k.Range.to(ee),k.InlineValueContext.to(re),ae)).then(se=>{if(Array.isArray(se))return se.map(ve=>k.InlineValue.from(ve))})}}class D{constructor(j,ee){this._documents=j,this._provider=ee}provideDocumentHighlights(j,ee,re){const ae=this._documents.getDocument(j),Z=k.Position.to(ee);return A.asPromise(()=>this._provider.provideDocumentHighlights(ae,Z,re)).then(se=>{if(Array.isArray(se))return se.map(k.DocumentHighlight.from)})}}class o{constructor(j,ee){this._documents=j,this._provider=ee}provideLinkedEditingRanges(j,ee,re){const ae=this._documents.getDocument(j),Z=k.Position.to(ee);return A.asPromise(()=>this._provider.provideLinkedEditingRanges(ae,Z,re)).then(se=>{if(se&&Array.isArray(se.ranges))return{ranges:n.coalesce(se.ranges.map(k.Range.from)),wordPattern:se.wordPattern}})}}class T{constructor(j,ee){this._documents=j,this._provider=ee}provideReferences(j,ee,re,ae){const Z=this._documents.getDocument(j),se=k.Position.to(ee);return A.asPromise(()=>this._provider.provideReferences(Z,se,re,ae)).then(ve=>{if(Array.isArray(ve))return ve.map(k.location.from)})}}class L{constructor(j,ee,re,ae,Z,se,ve){this._documents=j,this._commands=ee,this._diagnostics=re,this._provider=ae,this._logService=Z,this._extension=se,this._apiDeprecation=ve,this._cache=new S.Cache("CodeAction"),this._disposables=new Map}provideCodeActions(j,ee,re,ae){const Z=this._documents.getDocument(j),se=d.Selection.isISelection(ee)?k.Selection.to(ee):k.Range.to(ee),ve=[];for(const He of this._diagnostics.getDiagnostics(j))if(se.intersection(He.range)&&ve.push(He)>L._maxCodeActionsPerFile)break;const Le={diagnostics:ve,only:re.only?new y.CodeActionKind(re.only):void 0,triggerKind:k.CodeActionTriggerKind.to(re.trigger)};return A.asPromise(()=>this._provider.provideCodeActions(Z,se,Le,ae)).then(He=>{if(!n.isNonEmptyArray(He)||ae.isCancellationRequested)return;const be=this._cache.add(He),Je=new m.DisposableStore;this._disposables.set(be,Je);const K=[];for(let ne=0;ne<He.length;ne++){const he=He[ne];!he||(L._isCommand(he)?(this._apiDeprecation.report("CodeActionProvider.provideCodeActions - return commands",this._extension,"Return 'CodeAction' instances instead."),K.push({_isSynthetic:!0,title:he.title,command:this._commands.toInternal(he,Je)})):(Le.only&&(he.kind?Le.only.contains(he.kind)||this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${Le.only.value} 'requested but returned code action is of kind '${he.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${Le.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`)),K.push({cacheId:[be,ne],title:he.title,command:he.command&&this._commands.toInternal(he.command,Je),diagnostics:he.diagnostics&&he.diagnostics.map(k.Diagnostic.from),edit:he.edit&&k.WorkspaceEdit.from(he.edit),kind:he.kind&&he.kind.value,isPreferred:he.isPreferred,disabled:he.disabled?.reason})))}return{cacheId:be,actions:K}})}async resolveCodeAction(j,ee){const[re,ae]=j,Z=this._cache.get(re,ae);if(!Z||L._isCommand(Z)||!this._provider.resolveCodeAction)return;const se=await this._provider.resolveCodeAction(Z,ee)??Z;return se?.edit?k.WorkspaceEdit.from(se.edit):void 0}releaseCodeActions(j){this._disposables.get(j)?.dispose(),this._disposables.delete(j),this._cache.delete(j)}static _isCommand(j){return typeof j.command=="string"&&typeof j.title=="string"}}L._maxCodeActionsPerFile=1e3;class H{constructor(j,ee){this._documents=j,this._provider=ee}provideDocumentFormattingEdits(j,ee,re){const ae=this._documents.getDocument(j);return A.asPromise(()=>this._provider.provideDocumentFormattingEdits(ae,ee,re)).then(Z=>{if(Array.isArray(Z))return Z.map(k.TextEdit.from)})}}class B{constructor(j,ee){this._documents=j,this._provider=ee}provideDocumentRangeFormattingEdits(j,ee,re,ae){const Z=this._documents.getDocument(j),se=k.Range.to(ee);return A.asPromise(()=>this._provider.provideDocumentRangeFormattingEdits(Z,se,re,ae)).then(ve=>{if(Array.isArray(ve))return ve.map(k.TextEdit.from)})}}class Q{constructor(j,ee){this._documents=j,this._provider=ee,this.autoFormatTriggerCharacters=[]}provideOnTypeFormattingEdits(j,ee,re,ae,Z){const se=this._documents.getDocument(j),ve=k.Position.to(ee);return A.asPromise(()=>this._provider.provideOnTypeFormattingEdits(se,ve,re,ae,Z)).then(Le=>{if(Array.isArray(Le))return Le.map(k.TextEdit.from)})}}class z{constructor(j,ee){this._provider=j,this._logService=ee,this._symbolCache=new Map,this._resultCache=new Map}provideWorkspaceSymbols(j,ee){const re=I.IdObject.mixin({symbols:[]});return A.asPromise(()=>this._provider.provideWorkspaceSymbols(j,ee)).then(ae=>{if(n.isNonEmptyArray(ae))for(const Z of ae){if(!Z)continue;if(!Z.name){this._logService.warn("INVALID SymbolInformation, lacks name",Z);continue}const se=I.IdObject.mixin(k.WorkspaceSymbol.from(Z));this._symbolCache.set(se._id,Z),re.symbols.push(se)}}).then(()=>(re.symbols.length>0&&this._resultCache.set(re._id,[re.symbols[0]._id,re.symbols[re.symbols.length-1]._id]),re))}async resolveWorkspaceSymbol(j,ee){if(typeof this._provider.resolveWorkspaceSymbol!="function")return j;const re=this._symbolCache.get(j._id);if(re){const ae=await A.asPromise(()=>this._provider.resolveWorkspaceSymbol(re,ee));return ae&&R.mixin(j,k.WorkspaceSymbol.from(ae),!0)}}releaseWorkspaceSymbols(j){const ee=this._resultCache.get(j);if(ee){for(let[re,ae]=ee;re<=ae;re++)this._symbolCache.delete(re);this._resultCache.delete(j)}}}class N{constructor(j,ee,re){this._documents=j,this._provider=ee,this._logService=re}static supportsResolving(j){return typeof j.prepareRename=="function"}provideRenameEdits(j,ee,re,ae){const Z=this._documents.getDocument(j),se=k.Position.to(ee);return A.asPromise(()=>this._provider.provideRenameEdits(Z,se,re,ae)).then(ve=>{if(!!ve)return k.WorkspaceEdit.from(ve)},ve=>{const Le=N._asMessage(ve);return Le?{rejectReason:Le,edits:void 0}:Promise.reject(ve)})}resolveRenameLocation(j,ee,re){if(typeof this._provider.prepareRename!="function")return Promise.resolve(void 0);const ae=this._documents.getDocument(j),Z=k.Position.to(ee);return A.asPromise(()=>this._provider.prepareRename(ae,Z,re)).then(se=>{let ve,Le;if(y.Range.isRange(se)?(ve=se,Le=ae.getText(se)):P.isObject(se)&&(ve=se.range,Le=se.placeholder),!!ve){if(ve.start.line>Z.line||ve.end.line<Z.line){this._logService.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:k.Range.from(ve),text:Le}}},se=>{const ve=N._asMessage(se);return ve?{rejectReason:ve,range:void 0,text:void 0}:Promise.reject(se)})}static _asMessage(j){return typeof j=="string"?j:j instanceof Error&&typeof j.message=="string"?j.message:void 0}}class W{constructor(j,ee){this.resultId=j,this.tokens=ee}}class F{constructor(j,ee){this._documents=j,this._provider=ee,this._nextResultId=1,this._previousResults=new Map}provideDocumentSemanticTokens(j,ee,re){const ae=this._documents.getDocument(j),Z=ee!==0?this._previousResults.get(ee):null;return A.asPromise(()=>Z&&typeof Z.resultId=="string"&&typeof this._provider.provideDocumentSemanticTokensEdits=="function"?this._provider.provideDocumentSemanticTokensEdits(ae,Z.resultId,re):this._provider.provideDocumentSemanticTokens(ae,re)).then(se=>(Z&&this._previousResults.delete(ee),se?(se=F._fixProvidedSemanticTokens(se),this._send(F._convertToEdits(Z,se),se)):null))}async releaseDocumentSemanticColoring(j){this._previousResults.delete(j)}static _fixProvidedSemanticTokens(j){return F._isSemanticTokens(j)?F._isCorrectSemanticTokens(j)?j:new y.SemanticTokens(new Uint32Array(j.data),j.resultId):F._isSemanticTokensEdits(j)?F._isCorrectSemanticTokensEdits(j)?j:new y.SemanticTokensEdits(j.edits.map(ee=>new y.SemanticTokensEdit(ee.start,ee.deleteCount,ee.data?new Uint32Array(ee.data):ee.data)),j.resultId):j}static _isSemanticTokens(j){return j&&!!j.data}static _isCorrectSemanticTokens(j){return j.data instanceof Uint32Array}static _isSemanticTokensEdits(j){return j&&Array.isArray(j.edits)}static _isCorrectSemanticTokensEdits(j){for(const ee of j.edits)if(!(ee.data instanceof Uint32Array))return!1;return!0}static _convertToEdits(j,ee){if(!F._isSemanticTokens(ee)||!j||!j.tokens)return ee;const re=j.tokens,ae=re.length,Z=ee.data,se=Z.length;let ve=0;const Le=Math.min(ae,se);for(;ve<Le&&re[ve]===Z[ve];)ve++;if(ve===ae&&ve===se)return new y.SemanticTokensEdits([],ee.resultId);let He=0;const be=Le-ve;for(;He<be&&re[ae-He-1]===Z[se-He-1];)He++;return new y.SemanticTokensEdits([{start:ve,deleteCount:ae-ve-He,data:Z.subarray(ve,se-He)}],ee.resultId)}_send(j,ee){if(F._isSemanticTokens(j)){const re=this._nextResultId++;return this._previousResults.set(re,new W(j.resultId,j.data)),l.encodeSemanticTokensDto({id:re,type:"full",data:j.data})}if(F._isSemanticTokensEdits(j)){const re=this._nextResultId++;return F._isSemanticTokens(ee)?this._previousResults.set(re,new W(ee.resultId,ee.data)):this._previousResults.set(re,new W(j.resultId)),l.encodeSemanticTokensDto({id:re,type:"delta",deltas:(j.edits||[]).map(ae=>({start:ae.start,deleteCount:ae.deleteCount,data:ae.data}))})}return null}}e.DocumentSemanticTokensAdapter=F;class q{constructor(j,ee){this._documents=j,this._provider=ee}provideDocumentRangeSemanticTokens(j,ee,re){const ae=this._documents.getDocument(j);return A.asPromise(()=>this._provider.provideDocumentRangeSemanticTokens(ae,k.Range.to(ee),re)).then(Z=>Z?this._send(Z):null)}_send(j){return l.encodeSemanticTokensDto({id:0,type:"full",data:j.data})}}e.DocumentRangeSemanticTokensAdapter=q;class M{constructor(j,ee,re,ae,Z){this._documents=j,this._commands=ee,this._provider=re,this._apiDeprecation=ae,this._extension=Z,this._cache=new S.Cache("CompletionItem"),this._disposables=new Map}static supportsResolving(j){return typeof j.resolveCompletionItem=="function"}async provideCompletionItems(j,ee,re,ae){const Z=this._documents.getDocument(j),se=k.Position.to(ee),ve=Z.getWordRangeAtPosition(se)||new y.Range(se,se),Le=ve.with({end:se}),He=new w.StopWatch(!0),be=await A.asPromise(()=>this._provider.provideCompletionItems(Z,se,ae,k.CompletionContext.to(re)));if(!be||ae.isCancellationRequested)return;const Je=Array.isArray(be)?new y.CompletionList(be):be,K=M.supportsResolving(this._provider)?this._cache.add(Je.items):this._cache.add([]),ne=new m.DisposableStore;this._disposables.set(K,ne);const he=[],xe={x:K,b:he,a:{replace:k.Range.from(ve),insert:k.Range.from(Le)},c:Je.isIncomplete||void 0,d:He.elapsed()};for(let $e=0;$e<Je.items.length;$e++){const et=Je.items[$e],ke=this._convertCompletionItem(et,[K,$e],Le,ve);he.push(ke)}return xe}async resolveCompletionItem(j,ee){if(typeof this._provider.resolveCompletionItem!="function")return;const re=this._cache.get(...j);if(!re)return;const ae=await A.asPromise(()=>this._provider.resolveCompletionItem(re,ee));if(!!ae)return this._convertCompletionItem(ae,j)}releaseCompletionItems(j){this._disposables.get(j)?.dispose(),this._disposables.delete(j),this._cache.delete(j)}_convertCompletionItem(j,ee,re,ae){const Z=this._disposables.get(ee[0]);if(!Z)throw Error("DisposableStore is missing...");const se={x:ee,a:j.label,b:j.kind!==void 0?k.CompletionItemKind.from(j.kind):void 0,n:j.tags&&j.tags.map(k.CompletionItemTag.from),c:j.detail,d:typeof j.documentation=="undefined"?void 0:k.MarkdownString.fromStrict(j.documentation),e:j.sortText!==j.label?j.sortText:void 0,f:j.filterText!==j.label?j.filterText:void 0,g:j.preselect||void 0,i:j.keepWhitespace?1:0,k:j.commitCharacters,l:j.additionalTextEdits&&j.additionalTextEdits.map(k.TextEdit.from),m:this._commands.toInternal(j.command,Z)};j.textEdit?(this._apiDeprecation.report("CompletionItem.textEdit",this._extension,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),se.h=j.textEdit.newText):typeof j.insertText=="string"?se.h=j.insertText:j.insertText instanceof y.SnippetString&&(se.h=j.insertText.value,se.i|=4);let ve;return j.textEdit?ve=j.textEdit.range:j.range&&(ve=j.range),y.Range.isRange(ve)?se.j=k.Range.from(ve):ve&&(!re?.isEqual(ve.inserting)||!ae?.isEqual(ve.replacing))&&(se.j={insert:k.Range.from(ve.inserting),replace:k.Range.from(ve.replacing)}),se}}class O{constructor(j,ee,re){this._documents=j,this._provider=ee,this._commands=re,this._cache=new S.Cache("InlineCompletionItem"),this._disposables=new Map}async provideInlineCompletions(j,ee,re,ae){const Z=this._documents.getDocument(j),se=k.Position.to(ee),ve=await A.asPromise(()=>this._provider.provideInlineCompletionItems(Z,se,re,ae));if(!ve||ae.isCancellationRequested)return;const Le=P.isArray(ve)?{items:ve}:ve,He=this._cache.add(Le.items);let be;return{pid:He,items:Le.items.map((Je,K)=>{let ne;return Je.command&&(be||(be=new m.DisposableStore,this._disposables.set(He,be)),ne=this._commands.toInternal(Je.command,be)),{text:Je.text,range:Je.range?k.Range.from(Je.range):void 0,command:ne,idx:K}})}}disposeCompletions(j){this._cache.delete(j);const ee=this._disposables.get(j);ee&&ee.clear(),this._disposables.delete(j)}handleDidShowCompletionItem(j,ee){const re=this._cache.get(j,ee);re&&x.get(this._provider).fireOnDidShowCompletionItem({completionItem:re})}}class x{constructor(){this._onDidShowCompletionItemEmitter=new h.Emitter,this.onDidShowCompletionItem=this._onDidShowCompletionItemEmitter.event}static get(j){let ee=x.map.get(j);return ee||(ee=new x,x.map.set(j,ee)),ee}fireOnDidShowCompletionItem(j){this._onDidShowCompletionItemEmitter.fire(j)}}e.InlineCompletionController=x,x.map=new WeakMap;class ${constructor(j,ee){this._documents=j,this._provider=ee,this._cache=new S.Cache("SignatureHelp")}provideSignatureHelp(j,ee,re,ae){const Z=this._documents.getDocument(j),se=k.Position.to(ee),ve=this.reviveContext(re);return A.asPromise(()=>this._provider.provideSignatureHelp(Z,se,ae,ve)).then(Le=>{if(Le){const He=this._cache.add([Le]);return{...k.SignatureHelp.from(Le),id:He}}})}reviveContext(j){let ee;if(j.activeSignatureHelp){const re=k.SignatureHelp.to(j.activeSignatureHelp),ae=this._cache.get(j.activeSignatureHelp.id,0);ae?(ee=ae,ee.activeSignature=re.activeSignature,ee.activeParameter=re.activeParameter):ee=re}return{...j,activeSignatureHelp:ee}}releaseSignatureHelp(j){this._cache.delete(j)}}class J{constructor(j,ee){this._documents=j,this._provider=ee}provideInlayHints(j,ee,re){const ae=this._documents.getDocument(j);return A.asPromise(()=>this._provider.provideInlayHints(ae,k.Range.to(ee),re)).then(Z=>Z?{hints:Z.map(k.InlayHint.from)}:void 0)}}class de{constructor(j,ee){this._documents=j,this._provider=ee,this._cache=new S.Cache("DocumentLink")}async provideLinks(j,ee){const re=this._documents.getDocument(j),ae=await A.asPromise(()=>this._provider.provideDocumentLinks(re,ee));if(!(!Array.isArray(ae)||ae.length===0)&&!ee.isCancellationRequested){if(typeof this._provider.resolveDocumentLink!="function")return{links:ae.filter(de._validateLink).map(k.DocumentLink.from)};{const Z=this._cache.add(ae),se={links:[],id:Z};for(let ve=0;ve<ae.length;ve++){if(!de._validateLink(ae[ve]))continue;const Le=k.DocumentLink.from(ae[ve]);Le.cacheId=[Z,ve],se.links.push(Le)}return se}}}static _validateLink(j){return j.target&&j.target.path.length>5e4?(console.warn("DROPPING link because it is too long"),!1):!0}async resolveLink(j,ee){if(typeof this._provider.resolveDocumentLink!="function")return;const re=this._cache.get(...j);if(!re)return;const ae=await A.asPromise(()=>this._provider.resolveDocumentLink(re,ee));if(!(!ae||!de._validateLink(ae)))return k.DocumentLink.from(ae)}releaseLinks(j){this._cache.delete(j)}}class Ee{constructor(j,ee){this._documents=j,this._provider=ee}provideColors(j,ee){const re=this._documents.getDocument(j);return A.asPromise(()=>this._provider.provideDocumentColors(re,ee)).then(ae=>Array.isArray(ae)?ae.map(se=>({color:k.Color.from(se.color),range:k.Range.from(se.range)})):[])}provideColorPresentations(j,ee,re){const ae=this._documents.getDocument(j),Z=k.Range.to(ee.range),se=k.Color.to(ee.color);return A.asPromise(()=>this._provider.provideColorPresentations(se,{document:ae,range:Z},re)).then(ve=>{if(!!Array.isArray(ve))return ve.map(k.ColorPresentation.from)})}}class Fe{constructor(j,ee){this._documents=j,this._provider=ee}provideFoldingRanges(j,ee,re){const ae=this._documents.getDocument(j);return A.asPromise(()=>this._provider.provideFoldingRanges(ae,ee,re)).then(Z=>{if(!!Array.isArray(Z))return Z.map(k.FoldingRange.from)})}}class Re{constructor(j,ee,re){this._documents=j,this._provider=ee,this._logService=re}provideSelectionRanges(j,ee,re){const ae=this._documents.getDocument(j),Z=ee.map(k.Position.to);return A.asPromise(()=>this._provider.provideSelectionRanges(ae,Z,re)).then(se=>{if(!n.isNonEmptyArray(se))return[];if(se.length!==Z.length)return this._logService.warn("BAD selection ranges, provider must return ranges for each position"),[];const ve=[];for(let Le=0;Le<Z.length;Le++){const He=[];ve.push(He);let be=Z[Le],Je=se[Le];for(;;){if(!Je.range.contains(be))throw new Error("INVALID selection range, must contain the previous range");if(He.push(k.SelectionRange.from(Je)),!Je.parent)break;be=Je.range,Je=Je.parent}}return ve})}}class Ne{constructor(j,ee){this._documents=j,this._provider=ee,this._idPool=new u.IdGenerator(""),this._cache=new Map}async prepareSession(j,ee,re){const ae=this._documents.getDocument(j),Z=k.Position.to(ee),se=await this._provider.prepareCallHierarchy(ae,Z,re);if(!se)return;const ve=this._idPool.nextId();return this._cache.set(ve,new Map),Array.isArray(se)?se.map(Le=>this._cacheAndConvertItem(ve,Le)):[this._cacheAndConvertItem(ve,se)]}async provideCallsTo(j,ee,re){const ae=this._itemFromCache(j,ee);if(!ae)throw new Error("missing call hierarchy item");const Z=await this._provider.provideCallHierarchyIncomingCalls(ae,re);if(!!Z)return Z.map(se=>({from:this._cacheAndConvertItem(j,se.from),fromRanges:se.fromRanges.map(ve=>k.Range.from(ve))}))}async provideCallsFrom(j,ee,re){const ae=this._itemFromCache(j,ee);if(!ae)throw new Error("missing call hierarchy item");const Z=await this._provider.provideCallHierarchyOutgoingCalls(ae,re);if(!!Z)return Z.map(se=>({to:this._cacheAndConvertItem(j,se.to),fromRanges:se.fromRanges.map(ve=>k.Range.from(ve))}))}releaseSession(j){this._cache.delete(j)}_cacheAndConvertItem(j,ee){const re=this._cache.get(j),ae={_sessionId:j,_itemId:re.size.toString(36),name:ee.name,detail:ee.detail,kind:k.SymbolKind.from(ee.kind),uri:ee.uri,range:k.Range.from(ee.range),selectionRange:k.Range.from(ee.selectionRange),tags:ee.tags?.map(k.SymbolTag.from)};return re.set(ae._itemId,ee),ae}_itemFromCache(j,ee){return this._cache.get(j)?.get(ee)}}class qe{constructor(j,ee){this.adapter=j,this.extension=ee}}class Ve{constructor(j,ee,re,ae,Z,se,ve){this._adapter=new Map,this._uriTransformer=ee,this._proxy=j.getProxy(I.MainContext.MainThreadLanguageFeatures),this._documents=re,this._commands=ae,this._diagnostics=Z,this._logService=se,this._apiDeprecation=ve}_transformDocumentSelector(j){return n.coalesce(n.asArray(j).map(ee=>this._doTransformDocumentSelector(ee)))}_doTransformDocumentSelector(j){if(typeof j=="string")return{$serialized:!0,language:j};if(j)return{$serialized:!0,language:j.language,scheme:this._transformScheme(j.scheme),pattern:typeof j.pattern=="undefined"?void 0:k.GlobPattern.from(j.pattern),exclusive:j.exclusive}}_transformScheme(j){return this._uriTransformer&&typeof j=="string"?this._uriTransformer.transformOutgoingScheme(j):j}_createDisposable(j){return new y.Disposable(()=>{this._adapter.delete(j),this._proxy.$unregister(j)})}_nextHandle(){return Ve._handlePool++}_withAdapter(j,ee,re,ae,Z=!1){const se=this._adapter.get(j);if(!se)return Promise.resolve(ae);if(se.adapter instanceof ee){let ve;se.extension&&(ve=Date.now(),this._logService.trace(`[${se.extension.identifier.value}] INVOKE provider '${ee.name}'`));const Le=re(se.adapter,se.extension),He=se.extension;return He&&Promise.resolve(Le).then(()=>this._logService.trace(`[${He.identifier.value}] provider DONE after ${Date.now()-ve}ms`),be=>{Z&&be instanceof b.CancellationError||(this._logService.error(`[${He.identifier.value}] provider FAILED`),this._logService.error(be))}),Le}return Promise.reject(new Error("no adapter found"))}_addNewAdapter(j,ee){const re=this._nextHandle();return this._adapter.set(re,new qe(j,ee)),re}static _extLabel(j){return j.displayName||j.name}registerDocumentSymbolProvider(j,ee,re,ae){const Z=this._addNewAdapter(new c(this._documents,re),j),se=ae&&ae.label||Ve._extLabel(j);return this._proxy.$registerDocumentSymbolProvider(Z,this._transformDocumentSelector(ee),se),this._createDisposable(Z)}$provideDocumentSymbols(j,ee,re){return this._withAdapter(j,c,ae=>ae.provideDocumentSymbols(g.URI.revive(ee),re),void 0)}registerCodeLensProvider(j,ee,re){const ae=this._nextHandle(),Z=typeof re.onDidChangeCodeLenses=="function"?this._nextHandle():void 0;this._adapter.set(ae,new qe(new f(this._documents,this._commands.converter,re),j)),this._proxy.$registerCodeLensSupport(ae,this._transformDocumentSelector(ee),Z);let se=this._createDisposable(ae);if(Z!==void 0){const ve=re.onDidChangeCodeLenses(Le=>this._proxy.$emitCodeLensEvent(Z));se=y.Disposable.from(se,ve)}return se}$provideCodeLenses(j,ee,re){return this._withAdapter(j,f,ae=>ae.provideCodeLenses(g.URI.revive(ee),re),void 0)}$resolveCodeLens(j,ee,re){return this._withAdapter(j,f,ae=>ae.resolveCodeLens(ee,re),void 0)}$releaseCodeLenses(j,ee){this._withAdapter(j,f,re=>Promise.resolve(re.releaseCodeLenses(ee)),void 0)}registerDefinitionProvider(j,ee,re){const ae=this._addNewAdapter(new r(this._documents,re),j);return this._proxy.$registerDefinitionSupport(ae,this._transformDocumentSelector(ee)),this._createDisposable(ae)}$provideDefinition(j,ee,re,ae){return this._withAdapter(j,r,Z=>Z.provideDefinition(g.URI.revive(ee),re,ae),[])}registerDeclarationProvider(j,ee,re){const ae=this._addNewAdapter(new s(this._documents,re),j);return this._proxy.$registerDeclarationSupport(ae,this._transformDocumentSelector(ee)),this._createDisposable(ae)}$provideDeclaration(j,ee,re,ae){return this._withAdapter(j,s,Z=>Z.provideDeclaration(g.URI.revive(ee),re,ae),[])}registerImplementationProvider(j,ee,re){const ae=this._addNewAdapter(new i(this._documents,re),j);return this._proxy.$registerImplementationSupport(ae,this._transformDocumentSelector(ee)),this._createDisposable(ae)}$provideImplementation(j,ee,re,ae){return this._withAdapter(j,i,Z=>Z.provideImplementation(g.URI.revive(ee),re,ae),[])}registerTypeDefinitionProvider(j,ee,re){const ae=this._addNewAdapter(new a(this._documents,re),j);return this._proxy.$registerTypeDefinitionSupport(ae,this._transformDocumentSelector(ee)),this._createDisposable(ae)}$provideTypeDefinition(j,ee,re,ae){return this._withAdapter(j,a,Z=>Z.provideTypeDefinition(g.URI.revive(ee),re,ae),[])}registerHoverProvider(j,ee,re,ae){const Z=this._addNewAdapter(new v(this._documents,re),j);return this._proxy.$registerHoverProvider(Z,this._transformDocumentSelector(ee)),this._createDisposable(Z)}$provideHover(j,ee,re,ae){return this._withAdapter(j,v,Z=>Z.provideHover(g.URI.revive(ee),re,ae),void 0)}registerEvaluatableExpressionProvider(j,ee,re,ae){const Z=this._addNewAdapter(new p(this._documents,re),j);return this._proxy.$registerEvaluatableExpressionProvider(Z,this._transformDocumentSelector(ee)),this._createDisposable(Z)}$provideEvaluatableExpression(j,ee,re,ae){return this._withAdapter(j,p,Z=>Z.provideEvaluatableExpression(g.URI.revive(ee),re,ae),void 0)}registerInlineValuesProvider(j,ee,re,ae){const Z=typeof re.onDidChangeInlineValues=="function"?this._nextHandle():void 0,se=this._addNewAdapter(new _(this._documents,re),j);this._proxy.$registerInlineValuesProvider(se,this._transformDocumentSelector(ee),Z);let ve=this._createDisposable(se);if(Z!==void 0){const Le=re.onDidChangeInlineValues(He=>this._proxy.$emitInlineValuesEvent(Z));ve=y.Disposable.from(ve,Le)}return ve}$provideInlineValues(j,ee,re,ae,Z){return this._withAdapter(j,_,se=>se.provideInlineValues(g.URI.revive(ee),re,ae,Z),void 0)}registerDocumentHighlightProvider(j,ee,re){const ae=this._addNewAdapter(new D(this._documents,re),j);return this._proxy.$registerDocumentHighlightProvider(ae,this._transformDocumentSelector(ee)),this._createDisposable(ae)}$provideDocumentHighlights(j,ee,re,ae){return this._withAdapter(j,D,Z=>Z.provideDocumentHighlights(g.URI.revive(ee),re,ae),void 0)}registerLinkedEditingRangeProvider(j,ee,re){const ae=this._addNewAdapter(new o(this._documents,re),j);return this._proxy.$registerLinkedEditingRangeProvider(ae,this._transformDocumentSelector(ee)),this._createDisposable(ae)}$provideLinkedEditingRanges(j,ee,re,ae){return this._withAdapter(j,o,async Z=>{const se=await Z.provideLinkedEditingRanges(g.URI.revive(ee),re,ae);if(se)return{ranges:se.ranges,wordPattern:se.wordPattern?Ve._serializeRegExp(se.wordPattern):void 0}},void 0)}registerReferenceProvider(j,ee,re){const ae=this._addNewAdapter(new T(this._documents,re),j);return this._proxy.$registerReferenceSupport(ae,this._transformDocumentSelector(ee)),this._createDisposable(ae)}$provideReferences(j,ee,re,ae,Z){return this._withAdapter(j,T,se=>se.provideReferences(g.URI.revive(ee),re,ae,Z),void 0)}registerCodeActionProvider(j,ee,re,ae){const Z=new m.DisposableStore,se=this._addNewAdapter(new L(this._documents,this._commands.converter,this._diagnostics,re,this._logService,j,this._apiDeprecation),j);return this._proxy.$registerQuickFixSupport(se,this._transformDocumentSelector(ee),{providedKinds:ae?.providedCodeActionKinds?.map(ve=>ve.value),documentation:ae?.documentation?.map(ve=>({kind:ve.kind.value,command:this._commands.converter.toInternal(ve.command,Z)}))},Ve._extLabel(j),Boolean(re.resolveCodeAction)),Z.add(this._createDisposable(se)),Z}$provideCodeActions(j,ee,re,ae,Z){return this._withAdapter(j,L,se=>se.provideCodeActions(g.URI.revive(ee),re,ae,Z),void 0)}$resolveCodeAction(j,ee,re){return this._withAdapter(j,L,ae=>ae.resolveCodeAction(ee,re),void 0)}$releaseCodeActions(j,ee){this._withAdapter(j,L,re=>Promise.resolve(re.releaseCodeActions(ee)),void 0)}registerDocumentFormattingEditProvider(j,ee,re){const ae=this._addNewAdapter(new H(this._documents,re),j);return this._proxy.$registerDocumentFormattingSupport(ae,this._transformDocumentSelector(ee),j.identifier,j.displayName||j.name),this._createDisposable(ae)}$provideDocumentFormattingEdits(j,ee,re,ae){return this._withAdapter(j,H,Z=>Z.provideDocumentFormattingEdits(g.URI.revive(ee),re,ae),void 0)}registerDocumentRangeFormattingEditProvider(j,ee,re){const ae=this._addNewAdapter(new B(this._documents,re),j);return this._proxy.$registerRangeFormattingSupport(ae,this._transformDocumentSelector(ee),j.identifier,j.displayName||j.name),this._createDisposable(ae)}$provideDocumentRangeFormattingEdits(j,ee,re,ae,Z){return this._withAdapter(j,B,se=>se.provideDocumentRangeFormattingEdits(g.URI.revive(ee),re,ae,Z),void 0)}registerOnTypeFormattingEditProvider(j,ee,re,ae){const Z=this._addNewAdapter(new Q(this._documents,re),j);return this._proxy.$registerOnTypeFormattingSupport(Z,this._transformDocumentSelector(ee),ae,j.identifier),this._createDisposable(Z)}$provideOnTypeFormattingEdits(j,ee,re,ae,Z,se){return this._withAdapter(j,Q,ve=>ve.provideOnTypeFormattingEdits(g.URI.revive(ee),re,ae,Z,se),void 0)}registerWorkspaceSymbolProvider(j,ee){const re=this._addNewAdapter(new z(ee,this._logService),j);return this._proxy.$registerNavigateTypeSupport(re),this._createDisposable(re)}$provideWorkspaceSymbols(j,ee,re){return this._withAdapter(j,z,ae=>ae.provideWorkspaceSymbols(ee,re),{symbols:[]})}$resolveWorkspaceSymbol(j,ee,re){return this._withAdapter(j,z,ae=>ae.resolveWorkspaceSymbol(ee,re),void 0)}$releaseWorkspaceSymbols(j,ee){this._withAdapter(j,z,re=>re.releaseWorkspaceSymbols(ee),void 0)}registerRenameProvider(j,ee,re){const ae=this._addNewAdapter(new N(this._documents,re,this._logService),j);return this._proxy.$registerRenameSupport(ae,this._transformDocumentSelector(ee),N.supportsResolving(re)),this._createDisposable(ae)}$provideRenameEdits(j,ee,re,ae,Z){return this._withAdapter(j,N,se=>se.provideRenameEdits(g.URI.revive(ee),re,ae,Z),void 0)}$resolveRenameLocation(j,ee,re,ae){return this._withAdapter(j,N,Z=>Z.resolveRenameLocation(g.URI.revive(ee),re,ae),void 0)}registerDocumentSemanticTokensProvider(j,ee,re,ae){const Z=this._nextHandle(),se=typeof re.onDidChangeSemanticTokens=="function"?this._nextHandle():void 0;this._adapter.set(Z,new qe(new F(this._documents,re),j)),this._proxy.$registerDocumentSemanticTokensProvider(Z,this._transformDocumentSelector(ee),ae,se);let ve=this._createDisposable(Z);if(se){const Le=re.onDidChangeSemanticTokens(He=>this._proxy.$emitDocumentSemanticTokensEvent(se));ve=y.Disposable.from(ve,Le)}return ve}$provideDocumentSemanticTokens(j,ee,re,ae){return this._withAdapter(j,F,Z=>Z.provideDocumentSemanticTokens(g.URI.revive(ee),re,ae),null,!0)}$releaseDocumentSemanticTokens(j,ee){this._withAdapter(j,F,re=>re.releaseDocumentSemanticColoring(ee),void 0)}registerDocumentRangeSemanticTokensProvider(j,ee,re,ae){const Z=this._addNewAdapter(new q(this._documents,re),j);return this._proxy.$registerDocumentRangeSemanticTokensProvider(Z,this._transformDocumentSelector(ee),ae),this._createDisposable(Z)}$provideDocumentRangeSemanticTokens(j,ee,re,ae){return this._withAdapter(j,q,Z=>Z.provideDocumentRangeSemanticTokens(g.URI.revive(ee),re,ae),null,!0)}registerCompletionItemProvider(j,ee,re,ae){const Z=this._addNewAdapter(new M(this._documents,this._commands.converter,re,this._apiDeprecation,j),j);return this._proxy.$registerSuggestSupport(Z,this._transformDocumentSelector(ee),ae,M.supportsResolving(re),`${j.identifier.value}(${ae.join("")})`),this._createDisposable(Z)}$provideCompletionItems(j,ee,re,ae,Z){return this._withAdapter(j,M,se=>se.provideCompletionItems(g.URI.revive(ee),re,ae,Z),void 0)}$resolveCompletionItem(j,ee,re){return this._withAdapter(j,M,ae=>ae.resolveCompletionItem(ee,re),void 0)}$releaseCompletionItems(j,ee){this._withAdapter(j,M,re=>re.releaseCompletionItems(ee),void 0)}registerInlineCompletionsProvider(j,ee,re){const ae=this._addNewAdapter(new O(this._documents,re,this._commands.converter),j);return this._proxy.$registerInlineCompletionsSupport(ae,this._transformDocumentSelector(ee)),this._createDisposable(ae)}$provideInlineCompletions(j,ee,re,ae,Z){return this._withAdapter(j,O,se=>se.provideInlineCompletions(g.URI.revive(ee),re,ae,Z),void 0)}$handleInlineCompletionDidShow(j,ee,re){this._withAdapter(j,O,async ae=>{ae.handleDidShowCompletionItem(ee,re)},void 0)}$freeInlineCompletionsList(j,ee){this._withAdapter(j,O,async re=>{re.disposeCompletions(ee)},void 0)}registerSignatureHelpProvider(j,ee,re,ae){const Z=Array.isArray(ae)?{triggerCharacters:ae,retriggerCharacters:[]}:ae,se=this._addNewAdapter(new $(this._documents,re),j);return this._proxy.$registerSignatureHelpProvider(se,this._transformDocumentSelector(ee),Z),this._createDisposable(se)}$provideSignatureHelp(j,ee,re,ae,Z){return this._withAdapter(j,$,se=>se.provideSignatureHelp(g.URI.revive(ee),re,ae,Z),void 0)}$releaseSignatureHelp(j,ee){this._withAdapter(j,$,re=>re.releaseSignatureHelp(ee),void 0)}registerInlayHintsProvider(j,ee,re){const ae=typeof re.onDidChangeInlayHints=="function"?this._nextHandle():void 0,Z=this._addNewAdapter(new J(this._documents,re),j);this._proxy.$registerInlayHintsProvider(Z,this._transformDocumentSelector(ee),ae);let se=this._createDisposable(Z);if(ae!==void 0){const ve=re.onDidChangeInlayHints(Le=>this._proxy.$emitInlayHintsEvent(ae));se=y.Disposable.from(se,ve)}return se}$provideInlayHints(j,ee,re,ae){return this._withAdapter(j,J,Z=>Z.provideInlayHints(g.URI.revive(ee),re,ae),void 0)}registerDocumentLinkProvider(j,ee,re){const ae=this._addNewAdapter(new de(this._documents,re),j);return this._proxy.$registerDocumentLinkProvider(ae,this._transformDocumentSelector(ee),typeof re.resolveDocumentLink=="function"),this._createDisposable(ae)}$provideDocumentLinks(j,ee,re){return this._withAdapter(j,de,ae=>ae.provideLinks(g.URI.revive(ee),re),void 0)}$resolveDocumentLink(j,ee,re){return this._withAdapter(j,de,ae=>ae.resolveLink(ee,re),void 0)}$releaseDocumentLinks(j,ee){this._withAdapter(j,de,re=>re.releaseLinks(ee),void 0)}registerColorProvider(j,ee,re){const ae=this._addNewAdapter(new Ee(this._documents,re),j);return this._proxy.$registerDocumentColorProvider(ae,this._transformDocumentSelector(ee)),this._createDisposable(ae)}$provideDocumentColors(j,ee,re){return this._withAdapter(j,Ee,ae=>ae.provideColors(g.URI.revive(ee),re),[])}$provideColorPresentations(j,ee,re,ae){return this._withAdapter(j,Ee,Z=>Z.provideColorPresentations(g.URI.revive(ee),re,ae),void 0)}registerFoldingRangeProvider(j,ee,re){const ae=this._nextHandle(),Z=typeof re.onDidChangeFoldingRanges=="function"?this._nextHandle():void 0;this._adapter.set(ae,new qe(new Fe(this._documents,re),j)),this._proxy.$registerFoldingRangeProvider(ae,this._transformDocumentSelector(ee),Z);let se=this._createDisposable(ae);if(Z!==void 0){const ve=re.onDidChangeFoldingRanges(()=>this._proxy.$emitFoldingRangeEvent(Z));se=y.Disposable.from(se,ve)}return se}$provideFoldingRanges(j,ee,re,ae){return this._withAdapter(j,Fe,Z=>Z.provideFoldingRanges(g.URI.revive(ee),re,ae),void 0)}registerSelectionRangeProvider(j,ee,re){const ae=this._addNewAdapter(new Re(this._documents,re,this._logService),j);return this._proxy.$registerSelectionRangeProvider(ae,this._transformDocumentSelector(ee)),this._createDisposable(ae)}$provideSelectionRanges(j,ee,re,ae){return this._withAdapter(j,Re,Z=>Z.provideSelectionRanges(g.URI.revive(ee),re,ae),[])}registerCallHierarchyProvider(j,ee,re){const ae=this._addNewAdapter(new Ne(this._documents,re),j);return this._proxy.$registerCallHierarchyProvider(ae,this._transformDocumentSelector(ee)),this._createDisposable(ae)}$prepareCallHierarchy(j,ee,re,ae){return this._withAdapter(j,Ne,Z=>Promise.resolve(Z.prepareSession(g.URI.revive(ee),re,ae)),void 0)}$provideCallHierarchyIncomingCalls(j,ee,re,ae){return this._withAdapter(j,Ne,Z=>Z.provideCallsTo(ee,re,ae),void 0)}$provideCallHierarchyOutgoingCalls(j,ee,re,ae){return this._withAdapter(j,Ne,Z=>Z.provideCallsFrom(ee,re,ae),void 0)}$releaseCallHierarchy(j,ee){this._withAdapter(j,Ne,re=>Promise.resolve(re.releaseSession(ee)),void 0)}static _serializeRegExp(j){return{pattern:j.source,flags:E.regExpFlags(j)}}static _serializeIndentationRule(j){return{decreaseIndentPattern:Ve._serializeRegExp(j.decreaseIndentPattern),increaseIndentPattern:Ve._serializeRegExp(j.increaseIndentPattern),indentNextLinePattern:j.indentNextLinePattern?Ve._serializeRegExp(j.indentNextLinePattern):void 0,unIndentedLinePattern:j.unIndentedLinePattern?Ve._serializeRegExp(j.unIndentedLinePattern):void 0}}static _serializeOnEnterRule(j){return{beforeText:Ve._serializeRegExp(j.beforeText),afterText:j.afterText?Ve._serializeRegExp(j.afterText):void 0,previousLineText:j.previousLineText?Ve._serializeRegExp(j.previousLineText):void 0,action:j.action}}static _serializeOnEnterRules(j){return j.map(Ve._serializeOnEnterRule)}setLanguageConfiguration(j,ee,re){let{wordPattern:ae}=re;if(ae&&E.regExpLeadsToEndlessLoop(ae))throw new Error(`Invalid language configuration: wordPattern '${ae}' is not allowed to match the empty string.`);ae?this._documents.setWordDefinitionFor(ee,ae):this._documents.setWordDefinitionFor(ee,void 0),re.__electricCharacterSupport&&this._apiDeprecation.report("LanguageConfiguration.__electricCharacterSupport",j,"Do not use."),re.__characterPairSupport&&this._apiDeprecation.report("LanguageConfiguration.__characterPairSupport",j,"Do not use.");const Z=this._nextHandle(),se={comments:re.comments,brackets:re.brackets,wordPattern:re.wordPattern?Ve._serializeRegExp(re.wordPattern):void 0,indentationRules:re.indentationRules?Ve._serializeIndentationRule(re.indentationRules):void 0,onEnterRules:re.onEnterRules?Ve._serializeOnEnterRules(re.onEnterRules):void 0,__electricCharacterSupport:re.__electricCharacterSupport,__characterPairSupport:re.__characterPairSupport};return this._proxy.$setLanguageConfiguration(Z,ee,se),this._createDisposable(Z)}$setWordDefinitions(j){for(const ee of j)this._documents.setWordDefinitionFor(ee.languageId,new RegExp(ee.regexSource,ee.regexFlags))}}e.ExtHostLanguageFeatures=Ve,Ve._handlePool=0}),define(fe[234],me([0,1,5,17,7]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguages=void 0;class y{constructor(I,E){this._proxy=I.getProxy(g.MainContext.MainThreadLanguages),this._documents=E}getLanguages(){return this._proxy.$getLanguages()}async changeLanguage(I,E){await this._proxy.$changeLanguage(I,E);const C=this._documents.getDocumentData(I);if(!C)throw new Error(`document '${I.toString}' NOT found`);return C.document}async tokenAtPosition(I,E){const C=I.version,n=R.Position.from(E),P=await this._proxy.$tokensAtPosition(I.uri,n),d={type:k.StandardTokenType.Other,range:I.getWordRangeAtPosition(E)??new k.Range(E.line,E.character,E.line,E.character)};if(!P)return d;const m={range:R.Range.to(P.range),type:R.TokenType.to(P.type)};return!m.range.contains(E)||C!==I.version?d:m}}e.ExtHostLanguages=y}),define(fe[235],me([0,1,5,12,34]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostMessageService=void 0;function y(I){return I&&I.title}let A=class{constructor(E,C){this._logService=C,this._proxy=E.getProxy(g.MainContext.MainThreadMessageService)}showMessage(E,C,n,P,d){const m={extension:E};let l;typeof P=="string"||y(P)?l=[P,...d]:(m.modal=P?.modal,m.useCustom=P?.useCustom,m.detail=P?.detail,l=d),m.useCustom&&k.checkProposedApiEnabled(E);const u=[];for(let S=0;S<l.length;S++){const w=l[S];if(typeof w=="string")u.push({title:w,handle:S,isCloseAffordance:!1});else if(typeof w=="object"){let{title:b,isCloseAffordance:h}=w;u.push({title:b,isCloseAffordance:!!h,handle:S})}else this._logService.warn("Invalid message item:",w)}return this._proxy.$showMessage(C,n,m,u).then(S=>{if(typeof S=="number")return l[S]})}};A=ze([We(1,R.ILogService)],A),e.ExtHostMessageService=A}),define(fe[236],me([0,1,23,3,73,6,24,8,14,2,83,5,17,7,209,125]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookController=void 0;class S{constructor(b,h,c,f,t){this._textDocumentsAndEditors=c,this._textDocuments=f,this._extensionStoragePaths=t,this._notebookContentProviders=new Map,this._notebookStatusBarItemProviders=new Map,this._documents=new A.ResourceMap,this._editors=new Map,this._onDidChangeNotebookCells=new R.Emitter,this.onDidChangeNotebookCells=this._onDidChangeNotebookCells.event,this._onDidChangeCellOutputs=new R.Emitter,this.onDidChangeCellOutputs=this._onDidChangeCellOutputs.event,this._onDidChangeCellMetadata=new R.Emitter,this.onDidChangeCellMetadata=this._onDidChangeCellMetadata.event,this._onDidChangeActiveNotebookEditor=new R.Emitter,this.onDidChangeActiveNotebookEditor=this._onDidChangeActiveNotebookEditor.event,this._onDidChangeCellExecutionState=new R.Emitter,this.onDidChangeNotebookCellExecutionState=this._onDidChangeCellExecutionState.event,this._visibleNotebookEditors=[],this._onDidOpenNotebookDocument=new R.Emitter,this.onDidOpenNotebookDocument=this._onDidOpenNotebookDocument.event,this._onDidCloseNotebookDocument=new R.Emitter,this.onDidCloseNotebookDocument=this._onDidCloseNotebookDocument.event,this._onDidChangeVisibleNotebookEditors=new R.Emitter,this.onDidChangeVisibleNotebookEditors=this._onDidChangeVisibleNotebookEditors.event,this._statusBarCache=new n.Cache("NotebookCellStatusBarCache"),this._handlePool=0,this._notebookSerializer=new Map,this._backupIdPool=0,this._notebookProxy=b.getProxy(P.MainContext.MainThreadNotebook),this._notebookDocumentsProxy=b.getProxy(P.MainContext.MainThreadNotebookDocuments),this._notebookEditorsProxy=b.getProxy(P.MainContext.MainThreadNotebookEditors),this._commandsConverter=h.converter,h.registerArgumentProcessor({processArgument:r=>{if(r&&r.$mid===12){const s=r.notebookEditor?.notebookUri,i=r.cell.handle,v=this._documents.get(s)?.getCell(i);if(v)return v.apiCell}return r}})}get activeNotebookEditor(){return this._activeNotebookEditor?.apiEditor}get visibleNotebookEditors(){return this._visibleNotebookEditors.map(b=>b.apiEditor)}getEditorById(b){const h=this._editors.get(b);if(!h)throw new Error(`unknown text editor: ${b}. known editors: ${[...this._editors.keys()]} `);return h}getIdByEditor(b){for(const[h,c]of this._editors)if(c.apiEditor===b)return h}get notebookDocuments(){return[...this._documents.values()]}getNotebookDocument(b,h){const c=this._documents.get(b);if(!c&&!h)throw new Error(`NO notebook document for '${b}'`);return c}_getProviderData(b){const h=this._notebookContentProviders.get(b);if(!h)throw new Error(`NO provider for '${b}'`);return h}registerNotebookContentProvider(b,h,c,f,t){if(I.isFalsyOrWhitespace(h))throw new Error("viewType cannot be empty or just whitespace");if(this._notebookContentProviders.has(h))throw new Error(`Notebook provider for '${h}' already registered`);this._notebookContentProviders.set(h,{extension:b,provider:c});let r;return c.onDidChangeNotebookContentOptions&&(r=c.onDidChangeNotebookContentOptions(()=>{const s=d.NotebookDocumentContentOptions.from(c.options);this._notebookProxy.$updateNotebookProviderOptions(h,s)})),this._notebookProxy.$registerNotebookProvider({id:b.identifier,location:b.extensionLocation},h,d.NotebookDocumentContentOptions.from(f),S._convertNotebookRegistrationData(b,t)),new m.Disposable(()=>{r?.dispose(),this._notebookContentProviders.delete(h),this._notebookProxy.$unregisterNotebookProvider(h)})}static _convertNotebookRegistrationData(b,h){if(!h)return;const c=h.filenamePattern.map(f=>d.NotebookExclusiveDocumentPattern.from(f)).filter(f=>f!==void 0);if(h.filenamePattern&&!c){console.warn(`Notebook content provider view options file name pattern is invalid ${h.filenamePattern}`);return}return{extension:b.identifier,providerDisplayName:b.displayName||b.name,displayName:h.displayName,filenamePattern:c,exclusive:h.exclusive||!1}}registerNotebookCellStatusBarItemProvider(b,h,c){const f=S._notebookStatusBarItemProviderHandlePool++,t=typeof c.onDidChangeCellStatusBarItems=="function"?S._notebookStatusBarItemProviderHandlePool++:void 0;this._notebookStatusBarItemProviders.set(f,c),this._notebookProxy.$registerNotebookCellStatusBarItemProvider(f,t,h);let r;return t!==void 0&&(r=c.onDidChangeCellStatusBarItems(s=>this._notebookProxy.$emitCellStatusBarEvent(t))),new m.Disposable(()=>{this._notebookStatusBarItemProviders.delete(f),this._notebookProxy.$unregisterNotebookCellStatusBarItemProvider(f,t),r&&r.dispose()})}async createNotebookDocument(b){const h=await this._notebookDocumentsProxy.$tryCreateNotebook({viewType:b.viewType,content:b.content&&d.NotebookData.from(b.content)});return C.URI.revive(h)}async openNotebookDocument(b){const h=this._documents.get(b);if(h)return h.apiNotebook;const c=await this._notebookDocumentsProxy.$tryOpenNotebook(b),f=this._documents.get(C.URI.revive(c));return E.assertIsDefined(f?.apiNotebook)}async showNotebookDocument(b,h){C.URI.isUri(b)&&(b=await this.openNotebookDocument(b));let c;typeof h=="object"?c={position:d.ViewColumn.from(h.viewColumn),preserveFocus:h.preserveFocus,selections:h.selections&&h.selections.map(d.NotebookRange.from),pinned:typeof h.preview=="boolean"?!h.preview:void 0}:c={preserveFocus:!1};const f=await this._notebookEditorsProxy.$tryShowNotebookDocument(b.uri,b.notebookType,c),t=f&&this._editors.get(f)?.apiEditor;if(t)return t;throw f?new Error(`Could NOT open editor for "${b.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${b.uri.toString()}".`)}async $provideNotebookCellStatusBarItems(b,h,c,f){const t=this._notebookStatusBarItemProviders.get(b),r=C.URI.revive(h),s=this._documents.get(r);if(!s||!t)return;const i=s.getCellFromIndex(c);if(!i)return;const a=await t.provideCellStatusBarItems(i.apiCell,f);if(!a)return;const v=new y.DisposableStore,p=this._statusBarCache.add([v]),D=(Array.isArray(a)?a:[a]).map(o=>d.NotebookStatusBarItem.from(o,this._commandsConverter,v));return{cacheId:p,items:D}}$releaseNotebookCellStatusBarItems(b){this._statusBarCache.delete(b)}registerNotebookSerializer(b,h,c,f,t){if(I.isFalsyOrWhitespace(h))throw new Error("viewType cannot be empty or just whitespace");const r=this._handlePool++;return this._notebookSerializer.set(r,c),this._notebookProxy.$registerNotebookSerializer(r,{id:b.identifier,location:b.extensionLocation},h,d.NotebookDocumentContentOptions.from(f),S._convertNotebookRegistrationData(b,t)),y.toDisposable(()=>{this._notebookProxy.$unregisterNotebookSerializer(r)})}async $dataToNotebook(b,h,c){const f=this._notebookSerializer.get(b);if(!f)throw new Error("NO serializer found");const t=await f.deserializeNotebook(h.buffer,c);return d.NotebookData.from(t)}async $notebookToData(b,h,c){const f=this._notebookSerializer.get(b);if(!f)throw new Error("NO serializer found");const t=await f.serializeNotebook(d.NotebookData.to(h),c);return g.VSBuffer.wrap(t)}async $openNotebook(b,h,c,f,t){const{provider:r}=this._getProviderData(b),s=await r.openNotebook(C.URI.revive(h),{backupId:c,untitledDocumentData:f?.buffer},t);return{metadata:s.metadata??Object.create(null),cells:s.cells.map(d.NotebookCellData.from)}}async $saveNotebook(b,h,c){const f=this.getNotebookDocument(C.URI.revive(h)),{provider:t}=this._getProviderData(b);return await t.saveNotebook(f.apiNotebook,c),!0}async $saveNotebookAs(b,h,c,f){const t=this.getNotebookDocument(C.URI.revive(h)),{provider:r}=this._getProviderData(b);return await r.saveNotebookAs(C.URI.revive(c),t.apiNotebook,f),!0}async $backupNotebook(b,h,c){const f=this.getNotebookDocument(C.URI.revive(h)),t=this._getProviderData(b),r=this._extensionStoragePaths.workspaceValue(t.extension)??this._extensionStoragePaths.globalValue(t.extension),s=String(k.hash([f.uri.toString(),this._backupIdPool++])),i=C.URI.joinPath(r,s),a=await t.provider.backupNotebook(f.apiNotebook,{destination:i},c);return f.updateBackup(a),a.id}_createExtHostEditor(b,h,c){if(this._editors.has(h))throw new Error(`editor with id ALREADY EXSIST: ${h}`);const f=new u.ExtHostNotebookEditor(h,this._notebookEditorsProxy,b,c.visibleRanges.map(d.NotebookRange.to),c.selections.map(d.NotebookRange.to),typeof c.viewColumn=="number"?d.ViewColumn.to(c.viewColumn):void 0);this._editors.set(h,f)}$acceptDocumentAndEditorsDelta(b){if(b.removedDocuments)for(const c of b.removedDocuments){const f=C.URI.revive(c),t=this._documents.get(f);t&&(t.dispose(),this._documents.delete(f),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({removedDocuments:t.apiNotebook.getCells().map(r=>r.document.uri)}),this._onDidCloseNotebookDocument.fire(t.apiNotebook));for(const r of this._editors.values())r.notebookData.uri.toString()===f.toString()&&this._editors.delete(r.id)}if(b.addedDocuments){const c=[];for(const f of b.addedDocuments){const t=C.URI.revive(f.uri);if(this._documents.has(t))throw new Error(`adding EXISTING notebook ${t} `);const r=this,s=new l.ExtHostNotebookDocument(this._notebookDocumentsProxy,this._textDocumentsAndEditors,this._textDocuments,{emitModelChange(i){r._onDidChangeNotebookCells.fire(i)},emitCellOutputsChange(i){r._onDidChangeCellOutputs.fire(i)},emitCellMetadataChange(i){r._onDidChangeCellMetadata.fire(i)},emitCellExecutionStateChange(i){r._onDidChangeCellExecutionState.fire(i)}},t,f);c.push(...f.cells.map(i=>l.ExtHostCell.asModelAddData(s.apiNotebook,i))),this._documents.get(t)?.dispose(),this._documents.set(t,s),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({addedDocuments:c}),this._onDidOpenNotebookDocument.fire(s.apiNotebook)}}if(b.addedEditors)for(const c of b.addedEditors){if(this._editors.has(c.id))return;const f=C.URI.revive(c.documentUri),t=this._documents.get(f);t&&this._createExtHostEditor(t,c.id,c)}const h=[];if(b.removedEditors)for(const c of b.removedEditors){const f=this._editors.get(c);f&&(this._editors.delete(c),this._activeNotebookEditor?.id===f.id&&(this._activeNotebookEditor=void 0),h.push(f))}if(b.visibleEditors){this._visibleNotebookEditors=b.visibleEditors.map(f=>this._editors.get(f)).filter(f=>!!f);const c=new Set;this._visibleNotebookEditors.forEach(f=>c.add(f.id));for(const f of this._editors.values()){const t=c.has(f.id);f._acceptVisibility(t)}this._visibleNotebookEditors=[...this._editors.values()].map(f=>f).filter(f=>f.visible),this._onDidChangeVisibleNotebookEditors.fire(this.visibleNotebookEditors)}b.newActiveEditor===null?this._activeNotebookEditor=void 0:b.newActiveEditor&&(this._activeNotebookEditor=this._editors.get(b.newActiveEditor)),b.newActiveEditor!==void 0&&this._onDidChangeActiveNotebookEditor.fire(this._activeNotebookEditor?.apiEditor)}}e.ExtHostNotebookController=S,S._notebookStatusBarItemProviderHandlePool=0}),define(fe[237],me([0,1,3,71,12,5,13,17]),function(X,e,g,R,k,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditors=void 0;class E{constructor(P,d){const m=E._Keys.nextId();P.$registerNotebookEditorDecorationType(m,I.NotebookDecorationRenderOptions.from(d)),this.value={key:m,dispose(){P.$removeNotebookEditorDecorationType(m)}}}}E._Keys=new R.IdGenerator("NotebookEditorDecorationType");let C=class{constructor(P,d,m){this._logService=P,this._extHostRpc=d,this._notebooksAndEditors=m,this._onDidChangeNotebookEditorSelection=new g.Emitter,this._onDidChangeNotebookEditorVisibleRanges=new g.Emitter,this.onDidChangeNotebookEditorSelection=this._onDidChangeNotebookEditorSelection.event,this.onDidChangeNotebookEditorVisibleRanges=this._onDidChangeNotebookEditorVisibleRanges.event}createNotebookEditorDecorationType(P){return new E(this._extHostRpc.getProxy(y.MainContext.MainThreadNotebookEditors),P).value}$acceptEditorPropertiesChanged(P,d){this._logService.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",P,d);const m=this._notebooksAndEditors.getEditorById(P);d.visibleRanges&&m._acceptVisibleRanges(d.visibleRanges.ranges.map(I.NotebookRange.to)),d.selections&&m._acceptSelections(d.selections.selections.map(I.NotebookRange.to)),d.visibleRanges&&this._onDidChangeNotebookEditorVisibleRanges.fire({notebookEditor:m.apiEditor,visibleRanges:m.apiEditor.visibleRanges}),d.selections&&this._onDidChangeNotebookEditorSelection.fire(Object.freeze({notebookEditor:m.apiEditor,selections:m.apiEditor.selections}))}$acceptEditorViewColumns(P){for(const d in P)this._notebooksAndEditors.getEditorById(d)._acceptViewColumn(I.ViewColumn.to(P[d]))}};C=ze([We(0,k.ILogService),We(1,A.IExtHostRpcService)],C),e.ExtHostNotebookEditors=C}),define(fe[238],me([0,1,3,6,5,26,2,17,84,24,16,85,21,18,12,7,34]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookKernels=void 0;let w=class{constructor(t,r,s,i){this._initData=r,this._extHostNotebook=s,this._logService=i,this._activeExecutions=new C.ResourceMap,this._kernelData=new Map,this._handlePool=0,this._proxy=t.getProxy(k.MainContext.MainThreadNotebookKernels)}createNotebookController(t,r,s,i,a,v){for(let M of this._kernelData.values())if(M.controller.id===r&&y.ExtensionIdentifier.equals(t.identifier,M.extensionId))throw new Error(`notebook controller with id '${r}' ALREADY exist`);const p=this._handlePool++,_=this;this._logService.trace(`NotebookController[${p}], CREATED by ${t.identifier.value}, ${r}`);const D=()=>console.warn(`NO execute handler from notebook controller '${B.id}' of extension: '${t.identifier}'`);let o=!1;const T=new R.DisposableStore,L=new g.Emitter,H=new g.Emitter,B={id:`${t.identifier.value}/${r}`,notebookType:s,extensionId:t.identifier,extensionLocation:t.extensionLocation,label:i||t.identifier.value,preloads:v?v.map(I.NotebookRendererScript.from):[]};let Q=a??D,z;this._proxy.$addKernel(p,B).catch(M=>{console.log(M),o=!0});let N=0;const W=()=>{if(o)return;const M=++N;Promise.resolve().then(()=>{M===N&&this._proxy.$updateKernel(p,B)})},F=new C.ResourceMap,q={get id(){return r},get notebookType(){return B.notebookType},onDidChangeSelectedNotebooks:L.event,get label(){return B.label},set label(M){B.label=M??t.displayName??t.name,W()},get detail(){return B.detail??""},set detail(M){B.detail=M,W()},get description(){return B.description??""},set description(M){B.description=M,W()},get supportedLanguages(){return B.supportedLanguages},set supportedLanguages(M){B.supportedLanguages=M,W()},get supportsExecutionOrder(){return B.supportsExecutionOrder??!1},set supportsExecutionOrder(M){B.supportsExecutionOrder=M,W()},get rendererScripts(){return B.preloads?B.preloads.map(I.NotebookRendererScript.to):[]},get executeHandler(){return Q},set executeHandler(M){Q=M??D},get interruptHandler(){return z},set interruptHandler(M){z=M,B.supportsInterrupt=Boolean(M),W()},createNotebookCellExecution(M){if(o)throw new Error("notebook controller is DISPOSED");if(!F.has(M.notebook.uri))throw _._logService.trace(`NotebookController[${p}] NOT associated to notebook, associated to THESE notebooks:`,Array.from(F.keys()).map(O=>O.toString())),new Error(`notebook controller is NOT associated to notebook: ${M.notebook.uri.toString()}`);return _._createNotebookCellExecution(M)},dispose:()=>{o||(this._logService.trace(`NotebookController[${p}], DISPOSED`),o=!0,this._kernelData.delete(p),T.dispose(),L.dispose(),H.dispose(),this._proxy.$removeKernel(p))},updateNotebookAffinity(M,O){_._proxy.$updateNotebookPriority(p,M.uri,O)},onDidReceiveMessage:H.event,postMessage(M,O){return S.checkProposedApiEnabled(t),_._proxy.$postMessage(p,O&&_._extHostNotebook.getIdByEditor(O),M)},asWebviewUri(M){return S.checkProposedApiEnabled(t),E.asWebviewUri(M,_._initData.remote)}};return this._kernelData.set(p,{extensionId:t.identifier,controller:q,onDidReceiveMessage:H,onDidChangeSelection:L,associatedNotebooks:F}),q}$acceptNotebookAssociation(t,r,s){const i=this._kernelData.get(t);if(i){const a=this._extHostNotebook.getNotebookDocument(A.URI.revive(r));s?i.associatedNotebooks.set(a.uri,!0):i.associatedNotebooks.delete(a.uri),this._logService.trace(`NotebookController[${t}] ASSOCIATE notebook`,a.uri.toString(),s),i.onDidChangeSelection.fire({selected:s,notebook:a.apiNotebook})}}async $executeCells(t,r,s){const i=this._kernelData.get(t);if(!i)return;const a=this._extHostNotebook.getNotebookDocument(A.URI.revive(r)),v=[];for(let p of s){const _=a.getCell(p);_&&v.push(_.apiCell)}try{this._logService.trace(`NotebookController[${t}] EXECUTE cells`,a.uri.toString(),v.length),await i.controller.executeHandler.call(i.controller,v,a.apiNotebook,i.controller)}catch(p){this._logService.error(`NotebookController[${t}] execute cells FAILED`,p),console.error(p)}}async $cancelCells(t,r,s){const i=this._kernelData.get(t);if(!i)return;const a=this._extHostNotebook.getNotebookDocument(A.URI.revive(r));if(i.controller.interruptHandler)await i.controller.interruptHandler.call(i.controller,a.apiNotebook);else for(let v of s){const p=a.getCell(v);p&&this._activeExecutions.get(p.uri)?.cancel()}}$acceptKernelMessageFromRenderer(t,r,s){const i=this._kernelData.get(t);if(!i)return;const a=this._extHostNotebook.getEditorById(r);i.onDidReceiveMessage.fire(Object.freeze({editor:a.apiEditor,message:s}))}_createNotebookCellExecution(t){if(t.index<0)throw new Error("CANNOT execute cell that has been REMOVED from notebook");const s=this._extHostNotebook.getNotebookDocument(t.notebook.uri).getCellFromApiCell(t);if(!s)throw new Error("invalid cell");if(this._activeExecutions.has(s.uri))throw new Error(`duplicate execution for ${s.uri}`);const i=new h(s.notebook,s,this._proxy);this._activeExecutions.set(s.uri,i);const a=i.onDidChangeState(()=>{i.state===b.Resolved&&(i.dispose(),a.dispose(),this._activeExecutions.delete(s.uri))});return i.asApiObject()}};w=ze([We(3,l.ILogService)],w),e.ExtHostNotebookKernels=w;var b;(function(f){f[f.Init=0]="Init",f[f.Started=1]="Started",f[f.Resolved=2]="Resolved"})(b||(b={}));class h extends R.Disposable{constructor(t,r,s){super();this._document=t,this._cell=r,this._proxy=s,this._onDidChangeState=new g.Emitter,this.onDidChangeState=this._onDidChangeState.event,this._state=b.Init,this._tokenSource=this._register(new d.CancellationTokenSource),this._collector=new c(10,i=>this.applyEdits(i)),this._executionOrder=r.internalMetadata.executionOrder,this.mixinMetadata({runState:P.NotebookCellExecutionState.Pending,executionOrder:null})}get state(){return this._state}cancel(){this._tokenSource.cancel()}async applyEditSoon(t){await this._collector.addItem(t)}async applyEdits(t){return this._proxy.$applyExecutionEdits(this._document.uri,t)}verifyStateForOutput(){if(this._state===b.Init)throw new Error("Must call start before modifying cell output");if(this._state===b.Resolved)throw new Error("Cannot modify cell output after calling resolve")}mixinMetadata(t){this.applyEdits([{editType:9,handle:this._cell.handle,internalMetadata:t}])}cellIndexToHandle(t){let r=this._cell;if(t&&(r=this._document.getCellFromApiCell(t)),!r)throw new Error("INVALID cell");return r.handle}validateAndConvertOutputs(t){return t.map(r=>{const s=u.NotebookCellOutput.ensureUniqueMimeTypes(r.items,!0);return s===r.items?I.NotebookCellOutput.from(r):I.NotebookCellOutput.from({items:s,id:r.id,metadata:r.metadata})})}async updateOutputs(t,r,s){const i=this.cellIndexToHandle(r),a=this.validateAndConvertOutputs(m.asArray(t));return this.applyEditSoon({editType:2,handle:i,append:s,outputs:a})}async updateOutputItems(t,r,s){return t=u.NotebookCellOutput.ensureUniqueMimeTypes(m.asArray(t),!0),this.applyEditSoon({editType:7,items:t.map(I.NotebookCellOutputItem.from),outputId:r.id,append:s})}asApiObject(){const t=this;return Object.freeze({get token(){return t._tokenSource.token},get cell(){return t._cell.apiCell},get executionOrder(){return t._executionOrder},set executionOrder(s){t._executionOrder=s,t.mixinMetadata({executionOrder:s})},start(s){if(t._state===b.Resolved||t._state===b.Started)throw new Error("Cannot call start again");t._state=b.Started,t._onDidChangeState.fire(),t.mixinMetadata({runState:P.NotebookCellExecutionState.Executing,runStartTime:s??null})},end(s,i){if(t._state===b.Resolved)throw new Error("Cannot call resolve twice");t._state=b.Resolved,t._onDidChangeState.fire(),t.mixinMetadata({runState:null,lastRunSuccess:s??null,runEndTime:i??null})},clearOutput(s){return t.verifyStateForOutput(),t.updateOutputs([],s,!1)},appendOutput(s,i){return t.verifyStateForOutput(),t.updateOutputs(s,i,!0)},replaceOutput(s,i){return t.verifyStateForOutput(),t.updateOutputs(s,i,!1)},appendOutputItems(s,i){return t.verifyStateForOutput(),t.updateOutputItems(s,i,!0)},replaceOutputItems(s,i){return t.verifyStateForOutput(),t.updateOutputItems(s,i,!1)}})}}class c{constructor(t,r){this.delay=t,this.callback=r,this.batch=[]}addItem(t){return this.batch.push(t),this.waitPromise||(this.waitPromise=n.timeout(this.delay).then(()=>{this.waitPromise=void 0;const r=this.batch;return this.batch=[],this.callback(r)})),this.waitPromise}}}),define(fe[239],me([0,1,3,5,125]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookRenderers=void 0;class y{constructor(I,E){this._extHostNotebook=E,this._rendererMessageEmitters=new Map,this.proxy=I.getProxy(R.MainContext.MainThreadNotebookRenderers)}$postRendererMessage(I,E,C){const n=this._extHostNotebook.getEditorById(I);this._rendererMessageEmitters.get(E)?.fire({editor:n.apiEditor,message:C})}createRendererMessaging(I){return{onDidReceiveMessage:(...C)=>this.getOrCreateEmitterFor(I).event(...C),postMessage:(C,n)=>{const P=k.ExtHostNotebookEditor.apiEditorsToExtHost.get(C);if(!P)throw new Error("The first argument to postMessage() must be a NotebookEditor");this.proxy.$postMessage(P.id,I,n)}}}getOrCreateEmitterFor(I){let E=this._rendererMessageEmitters.get(I);return E||(E=new g.Emitter({onLastListenerRemove:()=>{E?.dispose(),this._rendererMessageEmitters.delete(I)}}),this._rendererMessageEmitters.set(I,E),E)}}e.ExtHostNotebookRenderers=y}),define(fe[62],me([0,1,5,3,6,23,4,13]),function(X,e,g,R,k,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostOutputService=e.ExtHostOutputService=e.LazyOutputChannel=e.ExtHostPushOutputChannel=e.AbstractExtHostOutputChannel=void 0;class E extends k.Disposable{constructor(l,u,S,w){super();this._onDidAppend=this._register(new R.Emitter),this.onDidAppend=this._onDidAppend.event,this._name=l,this._proxy=w,this._id=w.$register(this.name,u,S),this._disposed=!1,this._offset=0}get name(){return this._name}append(l){this.validate(),this._offset+=l?y.VSBuffer.fromString(l).byteLength:0}update(){this._id.then(l=>this._proxy.$update(l))}appendLine(l){this.validate(),this.append(l+`
`)}clear(){this.validate();const l=this._offset;this._id.then(u=>this._proxy.$clear(u,l))}show(l,u){this.validate(),this._id.then(S=>this._proxy.$reveal(S,!!(typeof l=="boolean"?l:u)))}hide(){this.validate(),this._id.then(l=>this._proxy.$close(l))}validate(){if(this._disposed)throw new Error("Channel has been closed")}dispose(){super.dispose(),this._disposed||this._id.then(l=>this._proxy.$dispose(l)).then(()=>this._disposed=!0)}}e.AbstractExtHostOutputChannel=E;class C extends E{constructor(l,u){super(l,!1,void 0,u)}append(l){super.append(l),this._id.then(u=>this._proxy.$append(u,l)),this._onDidAppend.fire()}}e.ExtHostPushOutputChannel=C;class n extends E{constructor(l,u,S){super(l,!0,u,S)}append(l){throw new Error("Not supported")}}class P{constructor(l,u){this.name=l,this._channel=u}append(l){this._channel.then(u=>u.append(l))}appendLine(l){this._channel.then(u=>u.appendLine(l))}clear(){this._channel.then(l=>l.clear())}show(l,u){this._channel.then(S=>S.show(l,u))}hide(){this._channel.then(l=>l.hide())}dispose(){this._channel.then(l=>l.dispose())}}e.LazyOutputChannel=P;let d=class{constructor(l){this._proxy=l.getProxy(g.MainContext.MainThreadOutputService)}$setVisibleChannel(l){}createOutputChannel(l){if(l=l.trim(),!l)throw new Error("illegal argument `name`. must not be falsy");return new C(l,this._proxy)}createOutputChannelFromLogFile(l,u){if(l=l.trim(),!l)throw new Error("illegal argument `name`. must not be falsy");if(!u)throw new Error("illegal argument `file`. must not be falsy");return new n(l,u,this._proxy)}};d=ze([We(0,I.IExtHostRpcService)],d),e.ExtHostOutputService=d,e.IExtHostOutputService=A.createDecorator("IExtHostOutputService")}),define(fe[240],me([0,1,16,21,3,6,5,2,7,15,18,56]),function(X,e,g,R,k,y,A,I,E,C,n,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostQuickOpen=void 0;function d(m,l,u){const S=m.getProxy(A.MainContext.MainThreadQuickOpen);class w{constructor(i,a){this._sessions=new Map,this._instances=0,this._workspace=i,this._commands=a}showQuickPick(i,a,v,p=R.CancellationToken.None){this._onDidSelectItem=void 0;const _=Promise.resolve(i),D=++this._instances,o=S.$show(D,{title:v?.title,placeHolder:v?.placeHolder,matchOnDescription:v?.matchOnDescription,matchOnDetail:v?.matchOnDetail,ignoreFocusLost:v?.ignoreFocusOut,canPickMany:v?.canPickMany},p),T={},L=o.then(()=>T);return Promise.race([L,_]).then(H=>{if(H!==T)return _.then(B=>{const Q=[];for(let z=0;z<B.length;z++){const N=B[z];let W,F,q,M,O;typeof N=="string"?W=N:(W=N.label,F=N.description,q=N.detail,M=N.picked,O=N.alwaysShow),Q.push({label:W,description:F,handle:z,detail:q,picked:M,alwaysShow:O})}return v&&typeof v.onDidSelectItem=="function"&&(this._onDidSelectItem=z=>{v.onDidSelectItem(B[z])}),S.$setItems(D,Q),o.then(z=>{if(typeof z=="number")return B[z];if(Array.isArray(z))return z.map(N=>B[N])})})}).then(void 0,H=>{if(!C.isPromiseCanceledError(H))return S.$setError(D,H),Promise.reject(H)})}$onItemSelected(i){this._onDidSelectItem&&this._onDidSelectItem(i)}showInput(i,a=R.CancellationToken.None){return this._validateInput=i?i.validateInput:void 0,S.$input(i,typeof this._validateInput=="function",a).then(void 0,v=>{if(!C.isPromiseCanceledError(v))return Promise.reject(v)})}$validateInput(i){return this._validateInput?g.asPromise(()=>this._validateInput(i)):Promise.resolve(void 0)}async showWorkspaceFolderPick(i,a=R.CancellationToken.None){const v=await this._commands.executeCommand("_workbench.pickWorkspaceFolder",[i]);if(!v)return;const p=await this._workspace.getWorkspaceFolders2();if(!!p)return p.find(_=>_.uri.toString()===v.uri.toString())}createQuickPick(i,a){const v=new t(i,a,()=>this._sessions.delete(v._id));return this._sessions.set(v._id,v),v}createInputBox(i){const a=new r(i,()=>this._sessions.delete(a._id));return this._sessions.set(a._id,a),a}$onDidChangeValue(i,a){const v=this._sessions.get(i);v&&v._fireDidChangeValue(a)}$onDidAccept(i){const a=this._sessions.get(i);a&&a._fireDidAccept()}$onDidChangeActive(i,a){const v=this._sessions.get(i);v instanceof t&&v._fireDidChangeActive(a)}$onDidChangeSelection(i,a){const v=this._sessions.get(i);v instanceof t&&v._fireDidChangeSelection(a)}$onDidTriggerButton(i,a){const v=this._sessions.get(i);v&&v._fireDidTriggerButton(a)}$onDidHide(i){const a=this._sessions.get(i);a&&a._fireDidHide()}}class b{constructor(i,a){this._extensionId=i,this._onDidDispose=a,this._id=t._nextId++,this._visible=!1,this._expectingHide=!1,this._enabled=!0,this._busy=!1,this._ignoreFocusOut=!0,this._value="",this._buttons=[],this._handlesToButtons=new Map,this._onDidAcceptEmitter=new k.Emitter,this._onDidChangeValueEmitter=new k.Emitter,this._onDidTriggerButtonEmitter=new k.Emitter,this._onDidHideEmitter=new k.Emitter,this._pendingUpdate={id:this._id},this._disposed=!1,this._disposables=[this._onDidTriggerButtonEmitter,this._onDidHideEmitter,this._onDidAcceptEmitter,this._onDidChangeValueEmitter],this.onDidChangeValue=this._onDidChangeValueEmitter.event,this.onDidAccept=this._onDidAcceptEmitter.event,this.onDidTriggerButton=this._onDidTriggerButtonEmitter.event,this.onDidHide=this._onDidHideEmitter.event}get title(){return this._title}set title(i){this._title=i,this.update({title:i})}get step(){return this._steps}set step(i){this._steps=i,this.update({step:i})}get totalSteps(){return this._totalSteps}set totalSteps(i){this._totalSteps=i,this.update({totalSteps:i})}get enabled(){return this._enabled}set enabled(i){this._enabled=i,this.update({enabled:i})}get busy(){return this._busy}set busy(i){this._busy=i,this.update({busy:i})}get ignoreFocusOut(){return this._ignoreFocusOut}set ignoreFocusOut(i){this._ignoreFocusOut=i,this.update({ignoreFocusOut:i})}get value(){return this._value}set value(i){this._value=i,this.update({value:i})}get placeholder(){return this._placeholder}set placeholder(i){this._placeholder=i,this.update({placeholder:i})}get buttons(){return this._buttons}set buttons(i){this._buttons=i.slice(),this._handlesToButtons.clear(),i.forEach((a,v)=>{const p=a===E.QuickInputButtons.Back?-1:v;this._handlesToButtons.set(p,a)}),this.update({buttons:i.map((a,v)=>({iconPath:h(a.iconPath),tooltip:a.tooltip,handle:a===E.QuickInputButtons.Back?-1:v}))})}show(){this._visible=!0,this._expectingHide=!0,this.update({visible:!0})}hide(){this._visible=!1,this.update({visible:!1})}_fireDidAccept(){this._onDidAcceptEmitter.fire()}_fireDidChangeValue(i){this._value=i,this._onDidChangeValueEmitter.fire(i)}_fireDidTriggerButton(i){const a=this._handlesToButtons.get(i);a&&this._onDidTriggerButtonEmitter.fire(a)}_fireDidHide(){this._expectingHide&&(this._expectingHide=!1,this._onDidHideEmitter.fire())}dispose(){this._disposed||(this._disposed=!0,this._fireDidHide(),this._disposables=y.dispose(this._disposables),this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this._onDidDispose(),S.$dispose(this._id))}update(i){if(!this._disposed){for(const a of Object.keys(i)){const v=i[a];this._pendingUpdate[a]=v===void 0?null:v}"visible"in this._pendingUpdate?(this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this.dispatchUpdate()):this._visible&&!this._updateTimeout&&(this._updateTimeout=setTimeout(()=>{this._updateTimeout=void 0,this.dispatchUpdate()},0))}}dispatchUpdate(){S.$createOrUpdate(this._pendingUpdate),this._pendingUpdate={id:this._id}}}b._nextId=1;function h(s){if(s instanceof E.ThemeIcon)return{id:s.id};const i=f(s),a=c(s);return{dark:typeof i=="string"?I.URI.file(i):i,light:typeof a=="string"?I.URI.file(a):a}}function c(s){return typeof s=="object"&&"light"in s?s.light:s}function f(s){return typeof s=="object"&&"dark"in s?s.dark:s}class t extends b{constructor(i,a,v){super(i,v);this._items=[],this._handlesToItems=new Map,this._itemsToHandles=new Map,this._canSelectMany=!1,this._matchOnDescription=!0,this._matchOnDetail=!0,this._sortByLabel=!0,this._activeItems=[],this._onDidChangeActiveEmitter=new k.Emitter,this._selectedItems=[],this._onDidChangeSelectionEmitter=new k.Emitter,this.onDidChangeActive=this._onDidChangeActiveEmitter.event,this.onDidChangeSelection=this._onDidChangeSelectionEmitter.event,this._disposables.push(this._onDidChangeActiveEmitter,this._onDidChangeSelectionEmitter),this.update({type:"quickPick"})}get items(){return this._items}set items(i){this._items=i.slice(),this._handlesToItems.clear(),this._itemsToHandles.clear(),i.forEach((a,v)=>{this._handlesToItems.set(v,a),this._itemsToHandles.set(a,v)}),this.update({items:i.map((a,v)=>({label:a.label,description:a.description,handle:v,detail:a.detail,picked:a.picked,alwaysShow:a.alwaysShow}))})}get canSelectMany(){return this._canSelectMany}set canSelectMany(i){this._canSelectMany=i,this.update({canSelectMany:i})}get matchOnDescription(){return this._matchOnDescription}set matchOnDescription(i){this._matchOnDescription=i,this.update({matchOnDescription:i})}get matchOnDetail(){return this._matchOnDetail}set matchOnDetail(i){this._matchOnDetail=i,this.update({matchOnDetail:i})}get sortByLabel(){return this._sortByLabel}set sortByLabel(i){this._sortByLabel=i,this.update({sortByLabel:i})}get activeItems(){return this._activeItems}set activeItems(i){this._activeItems=i.filter(a=>this._itemsToHandles.has(a)),this.update({activeItems:this._activeItems.map(a=>this._itemsToHandles.get(a))})}get selectedItems(){return this._selectedItems}set selectedItems(i){this._selectedItems=i.filter(a=>this._itemsToHandles.has(a)),this.update({selectedItems:this._selectedItems.map(a=>this._itemsToHandles.get(a))})}_fireDidChangeActive(i){const a=n.coalesce(i.map(v=>this._handlesToItems.get(v)));this._activeItems=a,this._onDidChangeActiveEmitter.fire(a)}_fireDidChangeSelection(i){const a=n.coalesce(i.map(v=>this._handlesToItems.get(v)));this._selectedItems=a,this._onDidChangeSelectionEmitter.fire(a)}}class r extends b{constructor(i,a){super(i,a);this._password=!1,this.update({type:"inputBox"})}get password(){return this._password}set password(i){this._password=i,this.update({password:i})}get prompt(){return this._prompt}set prompt(i){this._prompt=i,this.update({prompt:i})}get validationMessage(){return this._validationMessage}set validationMessage(i){this._validationMessage=i,this.update({validationMessage:i,severity:i?P.default.Error:P.default.Ignore})}}return new w(l,u)}e.createExtHostQuickOpen=d}),define(fe[241],me([0,1,2,3,53,6,16,5,18,96,12,26,34]),function(X,e,g,R,k,y,A,I,E,C,n,P,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostSCM=e.ExtHostSCMInputBox=void 0;function m(i){if(i)return typeof i.iconPath=="string"?g.URI.file(i.iconPath):i.iconPath}function l(i,a){if(!i.iconPath&&!a.iconPath)return 0;if(i.iconPath){if(!a.iconPath)return 1}else return-1;const v=typeof i.iconPath=="string"?i.iconPath:i.iconPath.fsPath,p=typeof a.iconPath=="string"?a.iconPath:a.iconPath.fsPath;return C.comparePaths(v,p)}function u(i,a){let v=0;if(i.strikeThrough!==a.strikeThrough)return i.strikeThrough?1:-1;if(i.faded!==a.faded)return i.faded?1:-1;if(i.tooltip!==a.tooltip)return(i.tooltip||"").localeCompare(a.tooltip||"");if(v=l(i,a),v!==0)return v;if(i.light&&a.light)v=l(i.light,a.light);else{if(i.light)return 1;if(a.light)return-1}if(v!==0)return v;if(i.dark&&a.dark)v=l(i.dark,a.dark);else{if(i.dark)return 1;if(a.dark)return-1}return v}function S(i,a){if(i.command!==a.command)return i.command<a.command?-1:1;if(i.title!==a.title)return i.title<a.title?-1:1;if(i.tooltip!==a.tooltip){if(i.tooltip!==void 0&&a.tooltip!==void 0)return i.tooltip<a.tooltip?-1:1;if(i.tooltip!==void 0)return 1;if(a.tooltip!==void 0)return-1}if(i.arguments===a.arguments)return 0;if(i.arguments)if(a.arguments){if(i.arguments.length!==a.arguments.length)return i.arguments.length-a.arguments.length}else return 1;else return-1;for(let v=0;v<i.arguments.length;v++){const p=i.arguments[v],_=a.arguments[v];if(p!==_)return p<_?-1:1}return 0}function w(i,a){let v=C.comparePaths(i.resourceUri.fsPath,a.resourceUri.fsPath,!0);if(v!==0)return v;if(i.command&&a.command)v=S(i.command,a.command);else{if(i.command)return 1;if(a.command)return-1}if(v!==0)return v;if(i.decorations&&a.decorations)v=u(i.decorations,a.decorations);else{if(i.decorations)return 1;if(a.decorations)return-1}return v}function b(i,a){for(let v=0;v<i.length;v++)if(i[v]!==a[v])return!1;return!0}function h(i,a){return i.command===a.command&&i.title===a.title&&i.tooltip===a.tooltip&&(i.arguments&&a.arguments?b(i.arguments,a.arguments):i.arguments===a.arguments)}function c(i,a){return E.equals(i,a,h)}class f{constructor(a,v,p){this._extension=a,this._proxy=v,this._sourceControlHandle=p,this._value="",this._onDidChange=new R.Emitter,this._placeholder="",this._visible=!0}get value(){return this._value}set value(a){this._proxy.$setInputBoxValue(this._sourceControlHandle,a),this.updateValue(a)}get onDidChange(){return this._onDidChange.event}get placeholder(){return this._placeholder}set placeholder(a){this._proxy.$setInputBoxPlaceholder(this._sourceControlHandle,a),this._placeholder=a}get validateInput(){return d.checkProposedApiEnabled(this._extension),this._validateInput}set validateInput(a){if(d.checkProposedApiEnabled(this._extension),a&&typeof a!="function")throw new Error(`[${this._extension.identifier.value}]: Invalid SCM input box validation function`);this._validateInput=a,this._proxy.$setValidationProviderIsEnabled(this._sourceControlHandle,!!a)}get visible(){return this._visible}set visible(a){a=!!a,this._visible!==a&&(this._visible=a,this._proxy.$setInputBoxVisibility(this._sourceControlHandle,a))}focus(){d.checkProposedApiEnabled(this._extension),this._visible||(this.visible=!0),this._proxy.$setInputBoxFocus(this._sourceControlHandle)}showValidationMessage(a,v){d.checkProposedApiEnabled(this._extension),this._proxy.$showValidationMessage(this._sourceControlHandle,a,v)}$onInputBoxValueChange(a){this.updateValue(a)}updateValue(a){this._value=a,this._onDidChange.fire(a)}}e.ExtHostSCMInputBox=f;class t{constructor(a,v,p,_,D){this._proxy=a,this._commands=v,this._sourceControlHandle=p,this._id=_,this._label=D,this._resourceHandlePool=0,this._resourceStates=[],this._resourceStatesMap=new Map,this._resourceStatesCommandsMap=new Map,this._resourceStatesDisposablesMap=new Map,this._onDidUpdateResourceStates=new R.Emitter,this.onDidUpdateResourceStates=this._onDidUpdateResourceStates.event,this._disposed=!1,this._onDidDispose=new R.Emitter,this.onDidDispose=this._onDidDispose.event,this._handlesSnapshot=[],this._resourceSnapshot=[],this._hideWhenEmpty=void 0,this.handle=t._handlePool++}get disposed(){return this._disposed}get id(){return this._id}get label(){return this._label}set label(a){this._label=a,this._proxy.$updateGroupLabel(this._sourceControlHandle,this.handle,a)}get hideWhenEmpty(){return this._hideWhenEmpty}set hideWhenEmpty(a){this._hideWhenEmpty=a,this._proxy.$updateGroup(this._sourceControlHandle,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this._resourceStates]}set resourceStates(a){this._resourceStates=[...a],this._onDidUpdateResourceStates.fire()}getResourceState(a){return this._resourceStatesMap.get(a)}$executeResourceCommand(a,v){const p=this._resourceStatesCommandsMap.get(a);return p?A.asPromise(()=>this._commands.executeCommand(p.command,...p.arguments||[],v)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){const a=[...this._resourceStates].sort(w),p=E.sortedDiff(this._resourceSnapshot,a,w).map(o=>{const T=o.toInsert.map(L=>{const H=this._resourceHandlePool++;this._resourceStatesMap.set(H,L);const B=L.resourceUri,Q=m(L.decorations),z=L.decorations&&m(L.decorations.light)||Q,N=L.decorations&&m(L.decorations.dark)||Q,W=[];let F;if(L.command)if(L.command.command==="vscode.open"||L.command.command==="vscode.diff"){const J=new y.DisposableStore;F=this._commands.converter.toInternal(L.command,J),this._resourceStatesDisposablesMap.set(H,J)}else this._resourceStatesCommandsMap.set(H,L.command);z&&W.push(z),N&&N.toString()!==z?.toString()&&W.push(N);const q=L.decorations&&L.decorations.tooltip||"",M=L.decorations&&!!L.decorations.strikeThrough,O=L.decorations&&!!L.decorations.faded,x=L.contextValue||"";return{rawResource:[H,B,W,q,M,O,x,F],handle:H}});return{start:o.start,deleteCount:o.deleteCount,toInsert:T}}),_=p.map(({start:o,deleteCount:T,toInsert:L})=>[o,T,L.map(H=>H.rawResource)]),D=p.reverse();for(const{start:o,deleteCount:T,toInsert:L}of D){const H=L.map(Q=>Q.handle),B=this._handlesSnapshot.splice(o,T,...H);for(const Q of B)this._resourceStatesMap.delete(Q),this._resourceStatesCommandsMap.delete(Q),this._resourceStatesDisposablesMap.get(Q)?.dispose(),this._resourceStatesDisposablesMap.delete(Q)}return this._resourceSnapshot=a,_}dispose(){this._disposed=!0,this._onDidDispose.fire()}}t._handlePool=0;class r{constructor(a,v,p,_,D,o){this._proxy=v,this._commands=p,this._id=_,this._label=D,this._rootUri=o,this._groups=new Map,this._count=void 0,this._quickDiffProvider=void 0,this._commitTemplate=void 0,this._acceptInputDisposables=new y.MutableDisposable,this._acceptInputCommand=void 0,this._statusBarDisposables=new y.MutableDisposable,this._statusBarCommands=void 0,this._selected=!1,this._onDidChangeSelection=new R.Emitter,this.onDidChangeSelection=this._onDidChangeSelection.event,this.handle=r._handlePool++,this.createdResourceGroups=new Map,this.updatedResourceGroups=new Set,this._inputBox=new f(a,this._proxy,this.handle),this._proxy.$registerSourceControl(this.handle,_,D,o)}get id(){return this._id}get label(){return this._label}get rootUri(){return this._rootUri}get inputBox(){return this._inputBox}get count(){return this._count}set count(a){this._count!==a&&(this._count=a,this._proxy.$updateSourceControl(this.handle,{count:a}))}get quickDiffProvider(){return this._quickDiffProvider}set quickDiffProvider(a){this._quickDiffProvider=a,this._proxy.$updateSourceControl(this.handle,{hasQuickDiffProvider:!!a})}get commitTemplate(){return this._commitTemplate}set commitTemplate(a){a!==this._commitTemplate&&(this._commitTemplate=a,this._proxy.$updateSourceControl(this.handle,{commitTemplate:a}))}get acceptInputCommand(){return this._acceptInputCommand}set acceptInputCommand(a){this._acceptInputDisposables.value=new y.DisposableStore,this._acceptInputCommand=a;const v=this._commands.converter.toInternal(a,this._acceptInputDisposables.value);this._proxy.$updateSourceControl(this.handle,{acceptInputCommand:v})}get statusBarCommands(){return this._statusBarCommands}set statusBarCommands(a){if(this._statusBarCommands&&a&&c(this._statusBarCommands,a))return;this._statusBarDisposables.value=new y.DisposableStore,this._statusBarCommands=a;const v=(a||[]).map(p=>this._commands.converter.toInternal(p,this._statusBarDisposables.value));this._proxy.$updateSourceControl(this.handle,{statusBarCommands:v})}get selected(){return this._selected}createResourceGroup(a,v){const p=new t(this._proxy,this._commands,this.handle,a,v),_=R.Event.once(p.onDidDispose)(()=>this.createdResourceGroups.delete(p));return this.createdResourceGroups.set(p,_),this.eventuallyAddResourceGroups(),p}eventuallyAddResourceGroups(){const a=[],v=[];for(const[p,_]of this.createdResourceGroups){_.dispose();const D=p.onDidUpdateResourceStates(()=>{this.updatedResourceGroups.add(p),this.eventuallyUpdateResourceStates()});R.Event.once(p.onDidDispose)(()=>{this.updatedResourceGroups.delete(p),D.dispose(),this._groups.delete(p.handle),this._proxy.$unregisterGroup(this.handle,p.handle)}),a.push([p.handle,p.id,p.label,p.features]);const o=p._takeResourceStateSnapshot();o.length>0&&v.push([p.handle,o]),this._groups.set(p.handle,p)}this._proxy.$registerGroups(this.handle,a,v),this.createdResourceGroups.clear()}eventuallyUpdateResourceStates(){const a=[];this.updatedResourceGroups.forEach(v=>{const p=v._takeResourceStateSnapshot();p.length!==0&&a.push([v.handle,p])}),a.length>0&&this._proxy.$spliceResourceStates(this.handle,a),this.updatedResourceGroups.clear()}getResourceGroup(a){return this._groups.get(a)}setSelectionState(a){this._selected=a,this._onDidChangeSelection.fire(a)}dispose(){this._acceptInputDisposables.dispose(),this._statusBarDisposables.dispose(),this._groups.forEach(a=>a.dispose()),this._proxy.$unregisterSourceControl(this.handle)}}r._handlePool=0,ze([k.debounce(100)],r.prototype,"eventuallyAddResourceGroups",null),ze([k.debounce(100)],r.prototype,"eventuallyUpdateResourceStates",null);let s=class $n{constructor(a,v,p){this._commands=v,this.logService=p,this._sourceControls=new Map,this._sourceControlsByExtension=new Map,this._onDidChangeActiveProvider=new R.Emitter,this._proxy=a.getProxy(I.MainContext.MainThreadSCM),this._telemetry=a.getProxy(I.MainContext.MainThreadTelemetry),v.registerArgumentProcessor({processArgument:_=>{if(_&&_.$mid===3){const D=this._sourceControls.get(_.sourceControlHandle);if(!D)return _;const o=D.getResourceGroup(_.groupHandle);return o?o.getResourceState(_.handle):_}else if(_&&_.$mid===4){const D=this._sourceControls.get(_.sourceControlHandle);return D?D.getResourceGroup(_.groupHandle):_}else if(_&&_.$mid===5){const D=this._sourceControls.get(_.handle);return D||_}return _}})}get onDidChangeActiveProvider(){return this._onDidChangeActiveProvider.event}createSourceControl(a,v,p,_){this.logService.trace("ExtHostSCM#createSourceControl",a.identifier.value,v,p,_),this._telemetry.$publicLog2("api/scm/createSourceControl",{extensionId:a.identifier.value});const D=$n._handlePool++,o=new r(a,this._proxy,this._commands,v,p,_);this._sourceControls.set(D,o);const T=this._sourceControlsByExtension.get(P.ExtensionIdentifier.toKey(a.identifier))||[];return T.push(o),this._sourceControlsByExtension.set(P.ExtensionIdentifier.toKey(a.identifier),T),o}getLastInputBox(a){this.logService.trace("ExtHostSCM#getLastInputBox",a.identifier.value);const v=this._sourceControlsByExtension.get(P.ExtensionIdentifier.toKey(a.identifier)),p=v&&v[v.length-1];return p&&p.inputBox}$provideOriginalResource(a,v,p){const _=g.URI.revive(v);this.logService.trace("ExtHostSCM#$provideOriginalResource",a,_.toString());const D=this._sourceControls.get(a);return!D||!D.quickDiffProvider||!D.quickDiffProvider.provideOriginalResource?Promise.resolve(null):A.asPromise(()=>D.quickDiffProvider.provideOriginalResource(_,p)).then(o=>o||null)}$onInputBoxValueChange(a,v){this.logService.trace("ExtHostSCM#$onInputBoxValueChange",a);const p=this._sourceControls.get(a);return p&&p.inputBox.$onInputBoxValueChange(v),Promise.resolve(void 0)}$executeResourceCommand(a,v,p,_){this.logService.trace("ExtHostSCM#$executeResourceCommand",a,v,p);const D=this._sourceControls.get(a);if(!D)return Promise.resolve(void 0);const o=D.getResourceGroup(v);return o?o.$executeResourceCommand(p,_):Promise.resolve(void 0)}$validateInput(a,v,p){this.logService.trace("ExtHostSCM#$validateInput",a);const _=this._sourceControls.get(a);return!_||!_.inputBox.validateInput?Promise.resolve(void 0):A.asPromise(()=>_.inputBox.validateInput(v,p)).then(D=>D?Promise.resolve([D.message,D.type]):Promise.resolve(void 0))}$setSelectedSourceControl(a){return this.logService.trace("ExtHostSCM#$setSelectedSourceControl",a),a!==void 0&&this._sourceControls.get(a)?.setSelectionState(!0),this._selectedSourceControlHandle!==void 0&&this._sourceControls.get(this._selectedSourceControlHandle)?.setSelectionState(!1),this._selectedSourceControlHandle=a,Promise.resolve(void 0)}};s._handlePool=0,s=ze([We(2,n.ILogService)],s),e.ExtHostSCM=s});var it=this&&this.__classPrivateFieldSet||function(X,e,g,R,k){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!k)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!k:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?k.call(X,g):k?k.value=g:e.set(X,g),g},Ue=this&&this.__classPrivateFieldGet||function(X,e,g,R){if(g==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!R:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return g==="m"?R:g==="a"?R.call(X):R?R.value:e.get(X)};define(fe[242],me([0,1,7,5,162,6,17]),function(X,e,g,R,k,y,A){"use strict";var I,E;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostStatusBar=e.ExtHostStatusBarEntry=void 0;class C{constructor(m,l,u,S,w=g.StatusBarAlignment.Left,b){I.set(this,void 0),E.set(this,void 0),this._disposed=!1,this._visible=!1,this._text="",this._internalCommandRegistration=new y.DisposableStore,it(this,I,m,"f"),it(this,E,l,"f"),this._entryId=C.ID_GEN++,this._extension=u,this._id=S,this._alignment=w,this._priority=b}get id(){return this._id??this._extension.identifier.value}get alignment(){return this._alignment}get priority(){return this._priority}get text(){return this._text}get name(){return this._name}get tooltip(){return this._tooltip}get tooltip2(){return this._tooltip2}get color(){return this._color}get backgroundColor(){return this._backgroundColor}get command(){return this._command?.fromApi}get accessibilityInformation(){return this._accessibilityInformation}set text(m){this._text=m,this.update()}set name(m){this._name=m,this.update()}set tooltip(m){this._tooltip=m,this.update()}set tooltip2(m){this._tooltip2=m,this.update()}set color(m){this._color=m,this.update()}set backgroundColor(m){m&&!C.ALLOWED_BACKGROUND_COLORS.has(m.id)&&(m=void 0),this._backgroundColor=m,this.update()}set command(m){this._command?.fromApi!==m&&(this._internalCommandRegistration.clear(),typeof m=="string"?this._command={fromApi:m,internal:Ue(this,E,"f").toInternal({title:"",command:m},this._internalCommandRegistration)}:m?this._command={fromApi:m,internal:Ue(this,E,"f").toInternal(m,this._internalCommandRegistration)}:this._command=void 0,this.update())}set accessibilityInformation(m){this._accessibilityInformation=m,this.update()}show(){this._visible=!0,this.update()}hide(){clearTimeout(this._timeoutHandle),this._visible=!1,Ue(this,I,"f").$dispose(this._entryId)}update(){this._disposed||!this._visible||(clearTimeout(this._timeoutHandle),this._timeoutHandle=setTimeout(()=>{this._timeoutHandle=void 0;let m;this._extension?this._id?m=`${this._extension.identifier.value}.${this._id}`:m=this._extension.identifier.value:m=this._id;let l;this._name?l=this._name:l=k.localize(0,null,this._extension.displayName||this._extension.name);let u=this._color;this._backgroundColor&&(u=C.ALLOWED_BACKGROUND_COLORS.get(this._backgroundColor.id));const S=this._tooltip2!==void 0?A.MarkdownString.fromStrict(this._tooltip2):this.tooltip;Ue(this,I,"f").$setEntry(this._entryId,m,l,this._text,S,this._command?.internal,u,this._backgroundColor,this._alignment===g.StatusBarAlignment.Left?0:1,this._priority,this._accessibilityInformation)},0))}dispose(){this.hide(),this._disposed=!0}}e.ExtHostStatusBarEntry=C,I=new WeakMap,E=new WeakMap,C.ID_GEN=0,C.ALLOWED_BACKGROUND_COLORS=new Map([["statusBarItem.errorBackground",new g.ThemeColor("statusBarItem.errorForeground")]]);class n{constructor(m){this._messages=[],this._item=m.createStatusBarEntry(void 0,"status.extensionMessage",g.StatusBarAlignment.Left,Number.MIN_VALUE),this._item.name=k.localize(1,null)}dispose(){this._messages.length=0,this._item.dispose()}setMessage(m){const l={message:m};return this._messages.unshift(l),this._update(),new g.Disposable(()=>{const u=this._messages.indexOf(l);u>=0&&(this._messages.splice(u,1),this._update())})}_update(){this._messages.length>0?(this._item.text=this._messages[0].message,this._item.show()):this._item.hide()}}class P{constructor(m,l){this._proxy=m.getProxy(R.MainContext.MainThreadStatusBar),this._commands=l,this._statusMessage=new n(this)}createStatusBarEntry(m,l,u,S){return new C(this._proxy,this._commands,m,l,u,S)}setStatusBarMessage(m,l){const u=this._statusMessage.setMessage(m);let S;return typeof l=="number"?S=setTimeout(()=>u.dispose(),l):typeof l!="undefined"&&l.then(()=>u.dispose(),()=>u.dispose()),new g.Disposable(()=>{u.dispose(),clearTimeout(S)})}}e.ExtHostStatusBar=P}),define(fe[88],me([0,1,5,3,4]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostStorage=e.ExtHostStorage=void 0;class y{constructor(I){this._onDidChangeStorage=new R.Emitter,this.onDidChangeStorage=this._onDidChangeStorage.event,this._proxy=I.getProxy(g.MainContext.MainThreadStorage)}registerExtensionStorageKeysToSync(I,E){this._proxy.$registerExtensionStorageKeysToSync(I,E)}getValue(I,E,C){return this._proxy.$getValue(I,E).then(n=>n||C)}setValue(I,E,C){return this._proxy.$setValue(I,E,C)}$acceptValue(I,E,C){this._onDidChangeStorage.fire({shared:I,key:E,value:C})}}e.ExtHostStorage=y,e.IExtHostStorage=k.createDecorator("IExtHostStorage")}),define(fe[63],me([0,1,4,27,12,87,2]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=e.IExtensionStoragePaths=void 0,e.IExtensionStoragePaths=g.createDecorator("IExtensionStoragePaths");let I=class{constructor(C,n,P){this._logService=n,this._extHostFileSystem=P,this._workspace=C.workspace??void 0,this._environment=C.environment,this.whenReady=this._getOrCreateWorkspaceStoragePath().then(d=>this._value=d)}async _getWorkspaceStorageURI(C){return A.URI.joinPath(this._environment.workspaceStorageHome,C)}async _getOrCreateWorkspaceStoragePath(){if(!this._workspace)return Promise.resolve(void 0);const C=this._workspace.id,n=await this._getWorkspaceStorageURI(C);try{return await this._extHostFileSystem.value.stat(n),this._logService.trace("[ExtHostStorage] storage dir already exists",n),n}catch{}try{return this._logService.trace("[ExtHostStorage] creating dir and metadata-file",n),await this._extHostFileSystem.value.createDirectory(n),await this._extHostFileSystem.value.writeFile(A.URI.joinPath(n,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this._workspace.id,configuration:A.URI.revive(this._workspace.configuration)?.toString(),name:this._workspace.name},void 0,2))),n}catch(P){this._logService.error("[ExtHostStorage]",P);return}}workspaceValue(C){if(this._value)return A.URI.joinPath(this._value,C.identifier.value)}globalValue(C){return A.URI.joinPath(this._environment.globalStorageHome,C.identifier.value.toLowerCase())}onWillDeactivateAll(){}};I=ze([We(0,R.IExtHostInitDataService),We(1,k.ILogService),We(2,y.IExtHostConsumerFileSystem)],I),e.ExtensionStoragePaths=I}),define(fe[33],me([0,1,3,5,4,2,13,6,7,163,15,205,21,32,191,14]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostTerminalService=e.EnvironmentVariableCollection=e.BaseExtHostTerminalService=e.ExtHostPseudoterminal=e.ExtHostTerminal=e.IExtHostTerminalService=void 0,e.IExtHostTerminalService=k.createDecorator("IExtHostTerminalService");class S{constructor(s,i,a,v){this._proxy=s,this._id=i,this._creationOptions=a,this._name=v,this._disposed=!1,this.isOpen=!1,this._creationOptions=Object.freeze(this._creationOptions),this._pidPromise=new Promise(_=>this._pidPromiseComplete=_);const p=this;this.value={get name(){return p._name||""},get processId(){return p._pidPromise},get creationOptions(){return p._creationOptions},get exitStatus(){return p._exitStatus},sendText(_,D=!0){p._checkDisposed(),p._proxy.$sendText(p._id,_,D)},show(_){p._checkDisposed(),p._proxy.$show(p._id,_)},hide(){p._checkDisposed(),p._proxy.$hide(p._id)},dispose(){p._disposed||(p._disposed=!0,p._proxy.$dispose(p._id))},get dimensions(){if(!(p._cols===void 0||p._rows===void 0))return{columns:p._cols,rows:p._rows}}}}async create(s,i){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this._proxy.$createTerminal(this._id,{name:s.name,shellPath:u.withNullAsUndefined(s.shellPath),shellArgs:u.withNullAsUndefined(s.shellArgs),cwd:u.withNullAsUndefined(s.cwd),env:u.withNullAsUndefined(s.env),icon:u.withNullAsUndefined(t(s.iconPath)),initialText:u.withNullAsUndefined(s.message),strictEnv:u.withNullAsUndefined(s.strictEnv),hideFromUser:u.withNullAsUndefined(s.hideFromUser),isFeatureTerminal:u.withNullAsUndefined(i?.isFeatureTerminal),isExtensionOwnedTerminal:!0,useShellEnvironment:u.withNullAsUndefined(i?.useShellEnvironment),isSplitTerminal:i?.isSplitTerminal,target:i?.target})}async createExtensionTerminal(s,i,a){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this._proxy.$createTerminal(this._id,{name:this._name,isExtensionCustomPtyTerminal:!0,icon:a,isSplitTerminal:s,target:i}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}_checkDisposed(){if(this._disposed)throw new Error("Terminal has already been disposed")}set name(s){this._name=s}setExitCode(s){this._exitStatus=Object.freeze({code:s})}setDimensions(s,i){return s===this._cols&&i===this._rows||s===0||i===0?!1:(this._cols=s,this._rows=i,!0)}_setProcessId(s){this._pidPromiseComplete?(this._pidPromiseComplete(s),this._pidPromiseComplete=void 0):this._pidPromise.then(i=>{i!==s&&(this._pidPromise=Promise.resolve(s))})}}e.ExtHostTerminal=S;class w{constructor(s){this._pty=s,this.id=0,this.shouldPersist=!1,this._onProcessData=new g.Emitter,this.onProcessData=this._onProcessData.event,this._onProcessExit=new g.Emitter,this.onProcessExit=this._onProcessExit.event,this._onProcessReady=new g.Emitter,this._onProcessTitleChanged=new g.Emitter,this.onProcessTitleChanged=this._onProcessTitleChanged.event,this._onProcessOverrideDimensions=new g.Emitter,this._onProcessShellTypeChanged=new g.Emitter,this.onProcessShellTypeChanged=this._onProcessShellTypeChanged.event}get onProcessReady(){return this._onProcessReady.event}get onProcessOverrideDimensions(){return this._onProcessOverrideDimensions.event}async start(){}shutdown(){this._pty.close()}input(s){this._pty.handleInput&&this._pty.handleInput(s)}resize(s,i){this._pty.setDimensions&&this._pty.setDimensions({columns:s,rows:i})}async processBinary(s){}acknowledgeDataEvent(s){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}getLatency(){return Promise.resolve(0)}startSendingEvents(s){this._pty.onDidWrite(i=>this._onProcessData.fire(i)),this._pty.onDidClose&&this._pty.onDidClose((i=void 0)=>{this._onProcessExit.fire(i===void 0?void 0:i)}),this._pty.onDidOverrideDimensions&&this._pty.onDidOverrideDimensions(i=>this._onProcessOverrideDimensions.fire(i&&{cols:i.columns,rows:i.rows})),this._pty.onDidChangeName&&this._pty.onDidChangeName(i=>this._onProcessTitleChanged.fire(i)),this._pty.open(s||void 0),this._pty.setDimensions&&s&&this._pty.setDimensions(s),this._onProcessReady.fire({pid:-1,cwd:""})}}e.ExtHostPseudoterminal=w;let b=1,h=class extends I.Disposable{constructor(s,i){super();this._terminals=[],this._terminalProcesses=new Map,this._terminalProcessDisposables={},this._extensionTerminalAwaitingStart={},this._getTerminalPromises={},this._environmentVariableCollections=new Map,this._linkProviders=new Set,this._profileProviders=new Map,this._terminalLinkCache=new Map,this._terminalLinkCancellationSource=new Map,this._onDidCloseTerminal=new g.Emitter,this._onDidOpenTerminal=new g.Emitter,this._onDidChangeActiveTerminal=new g.Emitter,this._onDidChangeTerminalDimensions=new g.Emitter,this._proxy=i.getProxy(R.MainContext.MainThreadTerminalService),this._bufferer=new l.TerminalDataBufferer(this._proxy.$sendProcessData),this._onDidWriteTerminalData=new g.Emitter({onFirstListenerAdd:()=>this._proxy.$startSendingDataEvents(),onLastListenerRemove:()=>this._proxy.$stopSendingDataEvents()}),this._proxy.$registerProcessSupport(s),this._register({dispose:()=>{for(const[a,v]of this._terminalProcesses)v.shutdown(!0)}})}get activeTerminal(){return this._activeTerminal?.value}get terminals(){return this._terminals.map(s=>s.value)}get onDidCloseTerminal(){return this._onDidCloseTerminal&&this._onDidCloseTerminal.event}get onDidOpenTerminal(){return this._onDidOpenTerminal&&this._onDidOpenTerminal.event}get onDidChangeActiveTerminal(){return this._onDidChangeActiveTerminal&&this._onDidChangeActiveTerminal.event}get onDidChangeTerminalDimensions(){return this._onDidChangeTerminalDimensions&&this._onDidChangeTerminalDimensions.event}get onDidWriteTerminalData(){return this._onDidWriteTerminalData&&this._onDidWriteTerminalData.event}getDefaultShell(s){return(s?this._defaultAutomationProfile:this._defaultProfile)?.path||""}getDefaultShellArgs(s){return(s?this._defaultAutomationProfile:this._defaultProfile)?.args||[]}createExtensionTerminal(s,i){const a=new S(this._proxy,m.generateUuid(),s,s.name),v=new w(s.pty);return a.createExtensionTerminal(i?.isSplitTerminal,i?.target,t(s.iconPath)).then(p=>{const _=this._setupExtHostProcessListeners(p,v);this._terminalProcessDisposables[p]=_}),this._terminals.push(a),a.value}attachPtyToTerminal(s,i){if(!this._getTerminalById(s))throw new Error(`Cannot resolve terminal with id ${s} for virtual process`);const v=new w(i),p=this._setupExtHostProcessListeners(s,v);this._terminalProcessDisposables[s]=p}async $acceptActiveTerminalChanged(s){const i=this._activeTerminal;if(s===null){this._activeTerminal=void 0,i!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal);return}const a=this._getTerminalById(s);a&&(this._activeTerminal=a,i!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal.value))}async $acceptTerminalProcessData(s,i){const a=this._getTerminalById(s);a&&this._onDidWriteTerminalData.fire({terminal:a.value,data:i})}async $acceptTerminalDimensions(s,i,a){const v=this._getTerminalById(s);v&&v.setDimensions(i,a)&&this._onDidChangeTerminalDimensions.fire({terminal:v.value,dimensions:v.value.dimensions})}async $acceptTerminalMaximumDimensions(s,i,a){this._terminalProcesses.get(s)?.resize(i,a)}async $acceptTerminalTitleChange(s,i){const a=this._getTerminalById(s);a&&(a.name=i)}async $acceptTerminalClosed(s,i){const a=this._getTerminalObjectIndexById(this._terminals,s);if(a!==null){const v=this._terminals.splice(a,1)[0];v.setExitCode(i),this._onDidCloseTerminal.fire(v.value)}}$acceptTerminalOpened(s,i,a,v){if(i){const D=this._getTerminalObjectIndexById(this._terminals,i);if(D!==null){this._terminals[D]._id=s,this._onDidOpenTerminal.fire(this.terminals[D]),this._terminals[D].isOpen=!0;return}}const p={name:v.name,shellPath:v.executable,shellArgs:v.args,cwd:typeof v.cwd=="string"?v.cwd:y.URI.revive(v.cwd),env:v.env,hideFromUser:v.hideFromUser},_=new S(this._proxy,s,p,a);this._terminals.push(_),this._onDidOpenTerminal.fire(_.value),_.isOpen=!0}async $acceptTerminalProcessId(s,i){const a=this._getTerminalById(s);a&&a._setProcessId(i)}async $startExtensionTerminal(s,i){const a=this._getTerminalById(s);if(!a)return{message:C.localize(0,null,s)};a.isOpen||await new Promise(p=>{const _=this.onDidOpenTerminal(async D=>{D===a.value&&(_.dispose(),p())})});const v=this._terminalProcesses.get(s);v?v.startSendingEvents(i):this._extensionTerminalAwaitingStart[s]={initialDimensions:i}}_setupExtHostProcessListeners(s,i){const a=new I.DisposableStore;a.add(i.onProcessReady(p=>this._proxy.$sendProcessReady(s,p.pid,p.cwd))),a.add(i.onProcessTitleChanged(p=>this._proxy.$sendProcessTitle(s,p))),this._bufferer.startBuffering(s,i.onProcessData),a.add(i.onProcessExit(p=>this._onProcessExit(s,p))),i.onProcessOverrideDimensions&&a.add(i.onProcessOverrideDimensions(p=>this._proxy.$sendOverrideDimensions(s,p))),this._terminalProcesses.set(s,i);const v=this._extensionTerminalAwaitingStart[s];return v&&i instanceof w&&(i.startSendingEvents(v.initialDimensions),delete this._extensionTerminalAwaitingStart[s]),a}$acceptProcessAckDataEvent(s,i){this._terminalProcesses.get(s)?.acknowledgeDataEvent(i)}$acceptProcessInput(s,i){this._terminalProcesses.get(s)?.input(i)}$acceptProcessResize(s,i,a){try{this._terminalProcesses.get(s)?.resize(i,a)}catch(v){if(v.code!=="EPIPE"&&v.code!=="ERR_IPC_CHANNEL_CLOSED")throw v}}$acceptProcessShutdown(s,i){this._terminalProcesses.get(s)?.shutdown(i)}$acceptProcessRequestInitialCwd(s){this._terminalProcesses.get(s)?.getInitialCwd().then(i=>this._proxy.$sendProcessInitialCwd(s,i))}$acceptProcessRequestCwd(s){this._terminalProcesses.get(s)?.getCwd().then(i=>this._proxy.$sendProcessCwd(s,i))}$acceptProcessRequestLatency(s){return s}registerLinkProvider(s){return this._linkProviders.add(s),this._linkProviders.size===1&&this._proxy.$startLinkProvider(),new E.Disposable(()=>{this._linkProviders.delete(s),this._linkProviders.size===0&&this._proxy.$stopLinkProvider()})}registerProfileProvider(s,i,a){if(this._profileProviders.has(i))throw new Error(`Terminal profile provider "${i}" already registered`);return this._profileProviders.set(i,a),this._proxy.$registerProfileProvider(i,s.identifier.value),new E.Disposable(()=>{this._profileProviders.delete(i),this._proxy.$unregisterProfileProvider(i)})}async $createContributedProfileTerminal(s,i){const a=new d.CancellationTokenSource().token,v=await this._profileProviders.get(s)?.provideTerminalProfile(a);if(!a.isCancellationRequested){if(!v||!("options"in v))throw new Error(`No terminal profile options provided for id "${s}"`);if("pty"in v.options){this.createExtensionTerminal(v.options,i);return}this.createTerminalFromOptions(v.options,i)}}async $provideLinks(s,i){const a=this._getTerminalById(s);if(!a)return[];this._terminalLinkCache.delete(s);const v=this._terminalLinkCancellationSource.get(s);v&&v.dispose(!0);const p=new d.CancellationTokenSource;this._terminalLinkCancellationSource.set(s,p);const _=[],D={terminal:a.value,line:i},o=[];for(const H of this._linkProviders)o.push(new Promise(async B=>{p.token.onCancellationRequested(()=>B({provider:H,links:[]}));const Q=await H.provideTerminalLinks(D,p.token)||[];p.token.isCancellationRequested||B({provider:H,links:Q})}));const T=await Promise.all(o);if(p.token.isCancellationRequested)return[];const L=new Map;for(const H of T)H&&H.links.length>0&&_.push(...H.links.map(B=>{const Q={id:b++,startIndex:B.startIndex,length:B.length,label:B.tooltip};return L.set(Q.id,{provider:H.provider,link:B}),Q}));return this._terminalLinkCache.set(s,L),_}$activateLink(s,i){const a=this._terminalLinkCache.get(s)?.get(i);!a||a.provider.handleTerminalLink(a.link)}_onProcessExit(s,i){this._bufferer.stopBuffering(s),this._terminalProcesses.delete(s),delete this._extensionTerminalAwaitingStart[s];const a=this._terminalProcessDisposables[s];a&&(a.dispose(),delete this._terminalProcessDisposables[s]),this._proxy.$sendProcessExit(s,i)}_getTerminalById(s){return this._getTerminalObjectById(this._terminals,s)}_getTerminalObjectById(s,i){const a=this._getTerminalObjectIndexById(s,i);return a!==null?s[a]:null}_getTerminalObjectIndexById(s,i){let a=null;return s.some((v,p)=>v._id===i?(a=p,!0):!1),a}getEnvironmentVariableCollection(s){let i=this._environmentVariableCollections.get(s.identifier.value);return i||(i=new c,this._setEnvironmentVariableCollection(s.identifier.value,i)),i}_syncEnvironmentVariableCollection(s,i){const a=P.serializeEnvironmentVariableCollection(i.map);this._proxy.$setEnvironmentVariableCollection(s,i.persistent,a.length===0?void 0:a)}$initEnvironmentVariableCollections(s){s.forEach(i=>{const a=i[0],v=new c(i[1]);this._setEnvironmentVariableCollection(a,v)})}$acceptDefaultProfile(s,i){this._defaultProfile=s,this._defaultAutomationProfile=i}_setEnvironmentVariableCollection(s,i){this._environmentVariableCollections.set(s,i),i.onDidChangeCollection(()=>{this._syncEnvironmentVariableCollection(s,i)})}};h=ze([We(1,A.IExtHostRpcService)],h),e.BaseExtHostTerminalService=h;class c{constructor(s){this.map=new Map,this._persistent=!0,this._onDidChangeCollection=new g.Emitter,this.map=new Map(s)}get persistent(){return this._persistent}set persistent(s){this._persistent=s,this._onDidChangeCollection.fire()}get onDidChangeCollection(){return this._onDidChangeCollection&&this._onDidChangeCollection.event}get size(){return this.map.size}replace(s,i){this._setIfDiffers(s,{value:i,type:E.EnvironmentVariableMutatorType.Replace})}append(s,i){this._setIfDiffers(s,{value:i,type:E.EnvironmentVariableMutatorType.Append})}prepend(s,i){this._setIfDiffers(s,{value:i,type:E.EnvironmentVariableMutatorType.Prepend})}_setIfDiffers(s,i){const a=this.map.get(s);(!a||a.value!==i.value||a.type!==i.type)&&(this.map.set(s,i),this._onDidChangeCollection.fire())}get(s){return this.map.get(s)}forEach(s,i){this.map.forEach((a,v)=>s.call(i,v,a,this))}delete(s){this.map.delete(s),this._onDidChangeCollection.fire()}clear(){this.map.clear(),this._onDidChangeCollection.fire()}}e.EnvironmentVariableCollection=c;let f=class extends h{constructor(s){super(!1,s)}createTerminal(s,i,a){throw new n.NotSupportedError}createTerminalFromOptions(s,i){throw new n.NotSupportedError}};f=ze([We(0,A.IExtHostRpcService)],f),e.WorkerExtHostTerminalService=f;function t(r){if(!!r)return"id"in r?{id:r.id,color:r.color}:r}});var it=this&&this.__classPrivateFieldSet||function(X,e,g,R,k){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!k)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!k:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?k.call(X,g):k?k.value=g:e.set(X,g),g},Ue=this&&this.__classPrivateFieldGet||function(X,e,g,R){if(g==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!R:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return g==="m"?R:g==="a"?R.call(X):R?R.value:e.get(X)};define(fe[243],me([0,1,18,16,23,21,3,70,54,6,25,14,32,5,13,17,7,214,123]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S,w,b){"use strict";var h,c,f,t,r,s;Object.defineProperty(e,"__esModule",{value:!0}),e.MirroredTestCollection=e.TestRunDto=e.TestRunCoordinator=e.ExtHostTesting=void 0;let i=class{constructor(B,Q){this.resultsChangedEmitter=new A.Emitter,this.controllers=new Map,this.onResultsChanged=this.resultsChangedEmitter.event,this.results=[],this.proxy=B.getProxy(m.MainContext.MainThreadTesting),this.observer=new L(this.proxy),this.runTracker=new v(this.proxy),Q.registerArgumentProcessor({processArgument:z=>z?.$mid===13?u.TestItem.toItemFromContext(z):z})}createTestController(B){const Q=new C.DisposableStore,z=Q.add(new w.SingleUseTestCollection(B)),N=Q.add(new R.RunOnceScheduler(()=>z.expand(z.root.id,0),0)),W={root:z.root,get id(){return B},createTestRun:(F,q,M=!0)=>this.runTracker.createTestRun(B,F,q,M),createTestItem(F,q,M,O,x){if(!(M instanceof S.TestItemImpl))throw new Error(`The "parent" passed in for TestItem ${F} is invalid`);return new S.TestItemImpl(F,q,O,x,M)},set resolveChildrenHandler(F){z.resolveHandler=F,F&&N.schedule()},get resolveChildrenHandler(){return z.resolveHandler},dispose:()=>{Q.dispose()}};return this.proxy.$registerTestController(B),Q.add(C.toDisposable(()=>this.proxy.$unregisterTestController(B))),this.controllers.set(B,{controller:W,collection:z}),Q.add(C.toDisposable(()=>this.controllers.delete(B))),Q.add(z.onDidGenerateDiff(F=>this.proxy.$publishDiff(B,F))),W}createTestObserver(){return this.observer.checkout()}async runTests(B,Q=y.CancellationToken.None){const z=N=>N.map(this.getInternalTestForReference,this).filter(P.isDefined).map(W=>({controllerId:W.controllerId,testId:W.item.extId}));await this.proxy.$runTests({exclude:B.exclude?z(B.exclude).map(N=>N.testId):void 0,tests:z(B.tests),debug:B.debug},Q)}$provideFileCoverage(B,Q,z){return E.Iterable.find(this.runTracker.trackers,N=>N.id===B)?.getCoverage(Q)?.provideFileCoverage(z)??Promise.resolve([])}$resolveFileCoverage(B,Q,z,N){return E.Iterable.find(this.runTracker.trackers,W=>W.id===B)?.getCoverage(Q)?.resolveFileCoverage(z,N)??Promise.resolve([])}$publishTestResults(B){this.results=Object.freeze(B.map(Q=>n.deepFreeze(u.TestResults.to(Q))).concat(this.results).sort((Q,z)=>z.completedAt-Q.completedAt).slice(0,32)),this.resultsChangedEmitter.fire()}async $expandTest({controllerId:B,testId:Q},z){const N=this.controllers.get(B)?.collection;N&&(await N.expand(Q,z<0?Infinity:z),N.flushDiff())}$acceptDiff(B){this.observer.applyDiff(B)}async $runControllerTests(B,Q){const z=this.controllers.get(B.controllerId);if(!z)return;const{controller:N,collection:W}=z,F=B.testIds.map(x=>W.tree.get(x)).filter(P.isDefined),q=B.excludeExtIds.map(x=>z.collection.tree.get(x)).filter(P.isDefined).filter(x=>F.some($=>W.tree.comparePositions($,x)===1));if(!F.length)return;const M={tests:F.map(x=>x.actual),exclude:q.map(x=>x.actual),debug:B.debug},O=this.runTracker.prepareForMainThreadTestRun(M,p.fromInternal(B),Q);try{await N.runHandler?.(M,Q)}finally{O.isRunning&&!Q.isCancellationRequested&&await A.Event.toPromise(O.onEnd),this.runTracker.cancelRunById(B.runId)}}$cancelExtensionTestRun(B){B===void 0?this.runTracker.cancelAllRuns():this.runTracker.cancelRunById(B)}getInternalTestForReference(B){return g.mapFind(this.controllers.values(),({collection:Q})=>Q.getTestByReference(B))??this.observer.getMirroredTestDataByReference(B)}};i=ze([We(0,l.IExtHostRpcService)],i),e.ExtHostTesting=i;class a extends C.Disposable{constructor(B,Q,z){super();this.dto=B,this.proxy=Q,this.tasks=new Map,this.sharedTestIds=new Set,this.endEmitter=this._register(new A.Emitter),this.disposed=!1,this.onEnd=this.endEmitter.event,this.cts=this._register(new y.CancellationTokenSource(z)),this._register(this.cts.token.onCancellationRequested(()=>{for(const{run:N}of this.tasks.values())N.end()}))}get isRunning(){return this.tasks.size>0}get id(){return this.dto.id}getCoverage(B){return this.tasks.get(B)?.coverage}createRun(B){const Q=d.generateUuid(),z=new _(this.proxy,this.dto.id,Q),N=new D(B,this.cts.token,Q,z,this.dto,this.sharedTestIds,this.proxy,()=>{this.tasks.delete(N.taskId),this.isRunning||this.dispose()});return this.tasks.set(N.taskId,{run:N,coverage:z}),N}dispose(){this.disposed||(this.disposed=!0,this.endEmitter.fire(),this.cts.cancel(),super.dispose())}}class v{constructor(B){this.proxy=B,this.tracked=new Map}get trackers(){return this.tracked.values()}prepareForMainThreadTestRun(B,Q,z){return this.getTracker(B,Q,z)}cancelRunById(B){for(const Q of this.tracked.values())if(Q.id===B){Q.dispose();return}}cancelAllRuns(){for(const B of this.tracked.values())B.dispose()}createTestRun(B,Q,z,N){const W=this.tracked.get(Q);if(W)return W.createRun(z);const F=p.fromPublic(B,Q);this.proxy.$startedExtensionTestRun({debug:Q.debug,exclude:Q.exclude?.map(M=>M.id)??[],id:F.id,tests:Q.tests.map(M=>M.id),persist:N});const q=this.getTracker(Q,F);return q.onEnd(()=>this.proxy.$finishedExtensionTestRun(F.id)),q.createRun(z)}getTracker(B,Q,z){const N=new a(Q,this.proxy,z);return this.tracked.set(B,N),N.onEnd(()=>this.tracked.delete(B)),N}}e.TestRunCoordinator=v;class p{constructor(B,Q,z,N){this.controllerId=B,this.id=Q,this.include=z,this.exclude=N}static fromPublic(B,Q){return new p(B,d.generateUuid(),new Set(Q.tests.map(z=>z.id)),new Set(Q.exclude?.map(z=>z.id)??E.Iterable.empty()))}static fromInternal(B){return new p(B.controllerId,B.runId,new Set(B.testIds),new Set(B.excludeExtIds))}isIncluded(B){for(let Q=B;Q;Q=Q.parent){if(this.include.has(Q.id))return!0;if(this.exclude.has(Q.id))return!1}return!1}}e.TestRunDto=p;class _{constructor(B,Q,z){this.proxy=B,this.runId=Q,this.taskId=z}set coverageProvider(B){if(this._coverageProvider)throw new Error("The TestCoverageProvider cannot be replaced after being provided");!B||(this._coverageProvider=B,this.proxy.$signalCoverageAvailable(this.runId,this.taskId))}get coverageProvider(){return this._coverageProvider}async provideFileCoverage(B){if(!this._coverageProvider)return[];this.fileCoverage||(this.fileCoverage=(async()=>this._coverageProvider.provideFileCoverage(B))());try{return(await this.fileCoverage)?.map(u.TestCoverage.fromFile)??[]}catch(Q){throw this.fileCoverage=void 0,Q}}async resolveFileCoverage(B,Q){const z=await this.fileCoverage;let N=z?.[B];return!this._coverageProvider||!z||!N?[]:(N.detailedCoverage||(N=z[B]=await this._coverageProvider.resolveFileCoverage?.(N,Q)??N),N.detailedCoverage?.map(u.TestCoverage.fromDetailed)??[])}}class D{constructor(B,Q,z,N,W,F,q,M){this.name=B,this.token=Q,this.taskId=z,h.set(this,void 0),c.set(this,void 0),f.set(this,void 0),t.set(this,void 0),r.set(this,void 0),s.set(this,!1),it(this,t,M,"f"),it(this,h,q,"f"),it(this,c,W,"f"),it(this,r,N,"f"),it(this,f,F,"f"),q.$startedTestRunTask(W.id,{id:this.taskId,name:B,running:!0})}set coverageProvider(B){Ue(this,r,"f").coverageProvider=B}get coverageProvider(){return Ue(this,r,"f").coverageProvider}setState(B,Q,z){!Ue(this,s,"f")&&Ue(this,c,"f").isIncluded(B)&&(this.ensureTestIsKnown(B),Ue(this,h,"f").$updateTestStateInRun(Ue(this,c,"f").id,this.taskId,B.id,Q,z))}appendMessage(B,Q){!Ue(this,s,"f")&&Ue(this,c,"f").isIncluded(B)&&(this.ensureTestIsKnown(B),Ue(this,h,"f").$appendTestMessageInRun(Ue(this,c,"f").id,this.taskId,B.id,u.TestMessage.from(Q)))}appendOutput(B){Ue(this,s,"f")||Ue(this,h,"f").$appendOutputToRun(Ue(this,c,"f").id,this.taskId,k.VSBuffer.fromString(B))}end(){Ue(this,s,"f")||(it(this,s,!0,"f"),Ue(this,h,"f").$finishedTestRunTask(Ue(this,c,"f").id,this.taskId),Ue(this,t,"f").call(this))}ensureTestIsKnown(B){const Q=Ue(this,f,"f");if(Q.has(B.id))return;const z=[];for(;z.unshift(u.TestItem.from(B)),!(Q.has(B.id)||(Q.add(B.id),!B.parent));)B=B.parent;Ue(this,h,"f").$addTestsToRun(Ue(this,c,"f").controllerId,Ue(this,c,"f").id,z)}}h=new WeakMap,c=new WeakMap,f=new WeakMap,t=new WeakMap,r=new WeakMap,s=new WeakMap;class o extends b.IncrementalChangeCollector{constructor(B){super();this.emitter=B,this.added=new Set,this.updated=new Set,this.removed=new Set,this.alreadyRemoved=new Set}get isEmpty(){return this.added.size===0&&this.removed.size===0&&this.updated.size===0}add(B){this.added.add(B)}update(B){Object.assign(B.revived,u.TestItem.toPlain(B.item)),this.added.has(B)||this.updated.add(B)}remove(B){if(this.added.has(B)){this.added.delete(B);return}if(this.updated.delete(B),B.parent&&this.alreadyRemoved.has(B.parent)){this.alreadyRemoved.add(B.item.extId);return}this.removed.add(B)}getChangeEvent(){const{added:B,updated:Q,removed:z}=this;return{get added(){return[...B].map(N=>N.revived)},get updated(){return[...Q].map(N=>N.revived)},get removed(){return[...z].map(N=>N.revived)}}}complete(){this.isEmpty||this.emitter.fire(this.getChangeEvent())}}class T extends b.AbstractIncrementalTestCollection{constructor(){super(...arguments);this.changeEmitter=new A.Emitter,this.onDidChangeTests=this.changeEmitter.event}get rootTests(){return super.roots}getMirroredTestDataById(B){return this.items.get(B)}getMirroredTestDataByReference(B){return this.items.get(B.id)}createItem(B,Q){return{...B,revived:u.TestItem.toPlain(B.item),depth:Q?Q.depth+1:0,children:new Set}}createChangeCollector(){return new o(this.changeEmitter)}}e.MirroredTestCollection=T;class L{constructor(B){this.proxy=B}checkout(){this.current||(this.current=this.createObserverData());const B=this.current;return B.observers++,{onDidChangeTest:B.tests.onDidChangeTests,get tests(){return[...B.tests.rootTests].map(Q=>Q.revived)},dispose:I.once(()=>{--B.observers==0&&(this.proxy.$unsubscribeFromDiffs(),this.current=void 0)})}}getMirroredTestDataByReference(B){return this.current?.tests.getMirroredTestDataByReference(B)}applyDiff(B){this.current?.tests.apply(B)}createObserverData(){const B=new T;return this.proxy.$subscribeToDiffs(),{observers:0,tests:B}}}}),define(fe[244],me([0,1,3,18,5,126,17,7]),function(X,e,g,R,k,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditors=void 0;class E{constructor(n,P){this._extHostDocumentsAndEditors=P,this._onDidChangeTextEditorSelection=new g.Emitter,this._onDidChangeTextEditorOptions=new g.Emitter,this._onDidChangeTextEditorVisibleRanges=new g.Emitter,this._onDidChangeTextEditorViewColumn=new g.Emitter,this._onDidChangeActiveTextEditor=new g.Emitter,this._onDidChangeVisibleTextEditors=new g.Emitter,this.onDidChangeTextEditorSelection=this._onDidChangeTextEditorSelection.event,this.onDidChangeTextEditorOptions=this._onDidChangeTextEditorOptions.event,this.onDidChangeTextEditorVisibleRanges=this._onDidChangeTextEditorVisibleRanges.event,this.onDidChangeTextEditorViewColumn=this._onDidChangeTextEditorViewColumn.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this._proxy=n.getProxy(k.MainContext.MainThreadTextEditors),this._extHostDocumentsAndEditors.onDidChangeVisibleTextEditors(d=>this._onDidChangeVisibleTextEditors.fire(d)),this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(d=>this._onDidChangeActiveTextEditor.fire(d))}getActiveTextEditor(){return this._extHostDocumentsAndEditors.activeEditor()}getVisibleTextEditors(n){const P=this._extHostDocumentsAndEditors.allEditors();return n?P:P.map(d=>d.value)}async showTextDocument(n,P,d){let m;typeof P=="number"?m={position:A.ViewColumn.from(P),preserveFocus:d}:typeof P=="object"?m={position:A.ViewColumn.from(P.viewColumn),preserveFocus:P.preserveFocus,selection:typeof P.selection=="object"?A.Range.from(P.selection):void 0,pinned:typeof P.preview=="boolean"?!P.preview:void 0}:m={preserveFocus:!1};const l=await this._proxy.$tryShowTextDocument(n.uri,m),u=l&&this._extHostDocumentsAndEditors.getEditor(l);if(u)return u.value;throw l?new Error(`Could NOT open editor for "${n.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${n.uri.toString()}".`)}createTextEditorDecorationType(n,P){return new y.TextEditorDecorationType(this._proxy,n,P).value}$acceptEditorPropertiesChanged(n,P){const d=this._extHostDocumentsAndEditors.getEditor(n);if(!d)throw new Error("unknown text editor");if(P.options&&d._acceptOptions(P.options),P.selections){const m=P.selections.selections.map(A.Selection.to);d._acceptSelections(m)}if(P.visibleRanges){const m=R.coalesce(P.visibleRanges.map(A.Range.to));d._acceptVisibleRanges(m)}if(P.options&&this._onDidChangeTextEditorOptions.fire({textEditor:d.value,options:{...P.options,lineNumbers:A.TextEditorLineNumbersStyle.to(P.options.lineNumbers)}}),P.selections){const m=I.TextEditorSelectionChangeKind.fromValue(P.selections.source),l=P.selections.selections.map(A.Selection.to);this._onDidChangeTextEditorSelection.fire({textEditor:d.value,selections:l,kind:m})}if(P.visibleRanges){const m=R.coalesce(P.visibleRanges.map(A.Range.to));this._onDidChangeTextEditorVisibleRanges.fire({textEditor:d.value,visibleRanges:m})}}$acceptEditorPositionData(n){for(const P in n){const d=this._extHostDocumentsAndEditors.getEditor(P);if(!d)throw new Error("Unknown text editor");const m=A.ViewColumn.to(n[P]);d.value.viewColumn!==m&&(d._acceptViewColumn(m),this._onDidChangeTextEditorViewColumn.fire({textEditor:d.value,viewColumn:m}))}}getDiffInformation(n){return Promise.resolve(this._proxy.$getDiffInformation(n))}}e.ExtHostEditors=E}),define(fe[245],me([0,1,2,4,5,6,7]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTimeline=e.IExtHostTimeline=void 0,e.IExtHostTimeline=R.createDecorator("IExtHostTimeline");class I{constructor(n,P){this._providers=new Map,this._itemsBySourceAndUriMap=new Map,this._proxy=n.getProxy(k.MainContext.MainThreadTimeline),P.registerArgumentProcessor({processArgument:d=>{if(d&&d.$mid===11){const m=d.uri===void 0?void 0:g.URI.revive(d.uri);return this._itemsBySourceAndUriMap.get(d.source)?.get(E(m))?.get(d.handle)}return d}})}async $getTimeline(n,P,d,m,l){return this._providers.get(n)?.provideTimeline(g.URI.revive(P),d,m,l)}registerTimelineProvider(n,P,d,m){const l=new y.DisposableStore,u=this.convertTimelineItem(P.id,m,l).bind(this);let S;P.onDidChange&&(S=P.onDidChange(b=>this._proxy.$emitTimelineChangeEvent({uri:void 0,reset:!0,...b,id:P.id}),this));const w=this._itemsBySourceAndUriMap;return this.registerTimelineProviderCore({...P,scheme:n,onDidChange:void 0,async provideTimeline(b,h,c,f){f?.resetCache&&(l.clear(),w.get(P.id)?.clear());const t=await P.provideTimeline(b,h,c);if(t==null)return;const r=u(b,f);return{...t,source:P.id,items:t.items.map(r)}},dispose(){for(const b of w.values())b.get(P.id)?.clear();S?.dispose(),l.dispose()}})}convertTimelineItem(n,P,d){return(m,l)=>{let u;if(l?.cacheResults){let S=this._itemsBySourceAndUriMap.get(n);S===void 0&&(S=new Map,this._itemsBySourceAndUriMap.set(n,S));const w=E(m);u=S.get(w),u===void 0&&(u=new Map,S.set(w,u))}return S=>{const{iconPath:w,...b}=S,h=`${n}|${S.id??S.timestamp}`;u?.set(h,S);let c,f,t;return S.iconPath&&(w instanceof A.ThemeIcon?t={id:w.id}:g.URI.isUri(w)?(c=w,f=w):{light:c,dark:f}=w),{...b,id:b.id??void 0,handle:h,source:n,command:S.command?P.toInternal(S.command,d):void 0,icon:c,iconDark:f,themeIcon:t,accessibilityInformation:S.accessibilityInformation}}}}registerTimelineProviderCore(n){if(this._providers.get(n.id))throw new Error(`Timeline Provider ${n.id} already exists.`);return this._proxy.$registerTimelineProvider({id:n.id,label:n.label,scheme:n.scheme}),this._providers.set(n.id,n),y.toDisposable(()=>{for(const d of this._itemsBySourceAndUriMap.values())d.get(n.id)?.clear();this._providers.delete(n.id),this._proxy.$unregisterTimelineProvider(n.id),n.dispose()})}}e.ExtHostTimeline=I;function E(C){return C?.toString()}}),define(fe[246],me([0,1,6,10,2,5]),function(X,e,g,R,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUriOpeners=void 0;class A{constructor(E){this._openers=new Map,this._proxy=E.getProxy(y.MainContext.MainThreadUriOpeners)}registerExternalUriOpener(E,C,n,P){if(this._openers.has(C))throw new Error(`Opener with id '${C}' already registered`);const d=P.schemes.find(m=>!A.supportedSchemes.has(m));if(d)throw new Error(`Scheme '${d}' is not supported. Only http and https are currently supported.`);return this._openers.set(C,n),this._proxy.$registerUriOpener(C,P.schemes,E,P.label),g.toDisposable(()=>{this._openers.delete(C),this._proxy.$unregisterUriOpener(C)})}async $canOpenUri(E,C,n){const P=this._openers.get(E);if(!P)throw new Error(`Unknown opener with id: ${E}`);const d=k.URI.revive(C);return P.canOpenExternalUri(d,n)}async $openUri(E,C,n){const P=this._openers.get(E);if(!P)throw new Error(`Unknown opener id: '${E}'`);return P.openExternalUri(k.URI.revive(C.resolvedUri),{sourceUri:k.URI.revive(C.sourceUri)},n)}}e.ExtHostUriOpeners=A,A.supportedSchemes=new Set([R.Schemas.http,R.Schemas.https])}),define(fe[247],me([0,1,5,2,6,15,26]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUrls=void 0;class I{constructor(C){this.handles=new Set,this.handlers=new Map,this._proxy=C.getProxy(g.MainContext.MainThreadUrls)}registerUriHandler(C,n){if(this.handles.has(A.ExtensionIdentifier.toKey(C)))throw new Error(`Protocol handler already registered for extension ${C}`);const P=I.HandlePool++;return this.handles.add(A.ExtensionIdentifier.toKey(C)),this.handlers.set(P,n),this._proxy.$registerUriHandler(P,C),k.toDisposable(()=>{this.handles.delete(A.ExtensionIdentifier.toKey(C)),this.handlers.delete(P),this._proxy.$unregisterUriHandler(P)})}$handleExternalUri(C,n){const P=this.handlers.get(C);if(!P)return Promise.resolve(void 0);try{P.handleUri(R.URI.revive(n))}catch(d){y.onUnexpectedError(d)}return Promise.resolve(void 0)}async createAppUri(C){return R.URI.revive(await this._proxy.$createAppUri(C))}}e.ExtHostUrls=I,I.HandlePool=0});var it=this&&this.__classPrivateFieldSet||function(X,e,g,R,k){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!k)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!k:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?k.call(X,g):k?k.value=g:e.set(X,g),g},Ue=this&&this.__classPrivateFieldGet||function(X,e,g,R){if(g==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!R:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return g==="m"?R:g==="a"?R.call(X):R?R.value:e.get(X)};define(fe[64],me([0,1,3,2,174,199,84,5]),function(X,e,g,R,k,y,A,I){"use strict";var E,C,n,P,d,m,l,u,S,w,b,h;Object.defineProperty(e,"__esModule",{value:!0}),e.reviveOptions=e.serializeWebviewOptions=e.toExtensionData=e.ExtHostWebviews=e.shouldSerializeBuffersForPostMessage=e.ExtHostWebview=void 0;class c{constructor(p,_,D,o,T,L,H){E.set(this,void 0),C.set(this,void 0),n.set(this,void 0),P.set(this,void 0),d.set(this,void 0),m.set(this,void 0),l.set(this,""),u.set(this,void 0),S.set(this,!1),w.set(this,!1),b.set(this,!1),this._onMessageEmitter=new g.Emitter,this.onDidReceiveMessage=this._onMessageEmitter.event,h.set(this,new g.Emitter),this._onDidDispose=Ue(this,h,"f").event,it(this,E,p,"f"),it(this,C,_,"f"),it(this,u,D,"f"),it(this,P,o,"f"),it(this,d,T,"f"),it(this,m,L,"f"),it(this,b,f(L),"f"),it(this,n,H,"f")}dispose(){it(this,S,!0,"f"),Ue(this,h,"f").fire(),Ue(this,h,"f").dispose(),this._onMessageEmitter.dispose()}asWebviewUri(p){return it(this,w,!0,"f"),A.asWebviewUri(p,Ue(this,P,"f").remote)}get cspSource(){return A.webviewGenericCspSource}get html(){return this.assertNotDisposed(),Ue(this,l,"f")}set html(p){this.assertNotDisposed(),Ue(this,l,"f")!==p&&(it(this,l,p,"f"),!Ue(this,w,"f")&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(p)&&(it(this,w,!0,"f"),Ue(this,n,"f").report("Webview vscode-resource: uris",Ue(this,m,"f"),"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),Ue(this,C,"f").$setHtml(Ue(this,E,"f"),p))}get options(){return this.assertNotDisposed(),Ue(this,u,"f")}set options(p){this.assertNotDisposed(),Ue(this,C,"f").$setOptions(Ue(this,E,"f"),s(Ue(this,m,"f"),Ue(this,d,"f"),p)),it(this,u,p,"f")}async postMessage(p){if(Ue(this,S,"f"))return!1;const _=y.serializeWebviewMessage(p,{serializeBuffersForPostMessage:Ue(this,b,"f")});return Ue(this,C,"f").$postMessage(Ue(this,E,"f"),_.message,..._.buffers)}assertNotDisposed(){if(Ue(this,S,"f"))throw new Error("Webview is disposed")}}e.ExtHostWebview=c,E=new WeakMap,C=new WeakMap,n=new WeakMap,P=new WeakMap,d=new WeakMap,m=new WeakMap,l=new WeakMap,u=new WeakMap,S=new WeakMap,w=new WeakMap,b=new WeakMap,h=new WeakMap;function f(v){try{const p=k.normalizeVersion(k.parseVersion(v.engines.vscode));return!!p&&p.majorBase>=1&&p.minorBase>=57}catch{return!1}}e.shouldSerializeBuffersForPostMessage=f;class t{constructor(p,_,D,o,T){this.initData=_,this.workspace=D,this._logService=o,this._deprecationService=T,this._webviews=new Map,this._webviewProxy=p.getProxy(I.MainContext.MainThreadWebviews)}$onMessage(p,_,...D){const o=this.getWebview(p);if(o){const{message:T}=y.deserializeWebviewMessage(_,D);o._onMessageEmitter.fire(T)}}$onMissingCsp(p,_){this._logService.warn(`${_} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(p,_,D){const o=new c(p,this._webviewProxy,i(_),this.initData,this.workspace,D,this._deprecationService);return this._webviews.set(p,o),o._onDidDispose(()=>{this._webviews.delete(p)}),o}deleteWebview(p){this._webviews.delete(p)}getWebview(p){return this._webviews.get(p)}}e.ExtHostWebviews=t;function r(v){return{id:v.identifier,location:v.extensionLocation}}e.toExtensionData=r;function s(v,p,_){return{enableCommandUris:_.enableCommandUris,enableScripts:_.enableScripts,portMapping:_.portMapping,localResourceRoots:_.localResourceRoots||a(v,p)}}e.serializeWebviewOptions=s;function i(v){return{enableCommandUris:v.enableCommandUris,enableScripts:v.enableScripts,portMapping:v.portMapping,localResourceRoots:v.localResourceRoots?.map(p=>R.URI.from(p))}}e.reviveOptions=i;function a(v,p){return[...(p?.getWorkspaceFolders()||[]).map(_=>_.uri),v.extensionLocation]}}),define(fe[248],me([0,1,21,73,6,10,22,2,17,64,83,5,7]),function(X,e,g,R,k,y,A,I,E,C,n,P,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCustomEditors=void 0;class m{constructor(t,r){this.document=t,this._storagePath=r,this._backupCounter=1,this._edits=new n.Cache("custom documents")}addEdit(t){return this._edits.add([t])}async undo(t,r){await this.getEdit(t).undo(),r||this.disposeBackup()}async redo(t,r){await this.getEdit(t).redo(),r||this.disposeBackup()}disposeEdits(t){for(const r of t)this._edits.delete(r)}getNewBackupUri(){if(!this._storagePath)throw new Error("Backup requires a valid storage path");const t=c(this.document.uri)+this._backupCounter++;return A.joinPath(this._storagePath,t)}updateBackup(t){this._backup?.delete(),this._backup=t}disposeBackup(){this._backup?.delete(),this._backup=void 0}getEdit(t){const r=this._edits.get(t,0);if(!r)throw new Error("No edit found");return r}}class l{constructor(){this._documents=new Map}get(t,r){return this._documents.get(this.key(t,r))}add(t,r,s){const i=this.key(t,r.uri);if(this._documents.has(i))throw new Error(`Document already exists for viewType:${t} resource:${r.uri}`);const a=new m(r,s);return this._documents.set(i,a),a}delete(t,r){const s=this.key(t,r.uri);this._documents.delete(s)}key(t,r){return`${t}@@@${r}`}}var u;(function(f){f[f.Text=0]="Text",f[f.Custom=1]="Custom"})(u||(u={}));class S{constructor(){this._providers=new Map}addTextProvider(t,r,s){return this.add(0,t,r,s)}addCustomProvider(t,r,s){return this.add(1,t,r,s)}get(t){return this._providers.get(t)}add(t,r,s,i){if(this._providers.has(r))throw new Error(`Provider for viewType:${r} already registered`);return this._providers.set(r,{type:t,extension:s,provider:i}),new d.Disposable(()=>this._providers.delete(r))}}class w{constructor(t,r,s,i,a){this._extHostDocuments=r,this._extensionStoragePaths=s,this._extHostWebview=i,this._extHostWebviewPanels=a,this._editorProviders=new S,this._documents=new l,this._proxy=t.getProxy(P.MainContext.MainThreadCustomEditors)}registerCustomEditorProvider(t,r,s,i){const a=new k.DisposableStore;return b(s)?(a.add(this._editorProviders.addTextProvider(r,t,s)),this._proxy.$registerTextEditorProvider(C.toExtensionData(t),r,i.webviewOptions||{},{supportsMove:!!s.moveCustomTextEditor},C.shouldSerializeBuffersForPostMessage(t))):(a.add(this._editorProviders.addCustomProvider(r,t,s)),this.supportEditing(s)&&a.add(s.onDidChangeCustomDocument(v=>{const p=this.getCustomDocumentEntry(r,v.document.uri);if(h(v)){const _=p.addEdit(v);this._proxy.$onDidEdit(v.document.uri,r,_,v.label)}else this._proxy.$onContentChange(v.document.uri,r)})),this._proxy.$registerCustomEditorProvider(C.toExtensionData(t),r,i.webviewOptions||{},!!i.supportsMultipleEditorsPerDocument,C.shouldSerializeBuffersForPostMessage(t))),d.Disposable.from(a,new d.Disposable(()=>{this._proxy.$unregisterEditorProvider(r)}))}async $createCustomDocument(t,r,s,i,a){const v=this._editorProviders.get(r);if(!v)throw new Error(`No provider found for '${r}'`);if(v.type!==1)throw new Error(`Invalid provide type for '${r}'`);const p=I.URI.revive(t),_=await v.provider.openCustomDocument(p,{backupId:s,untitledDocumentData:i?.buffer},a);let D;return this.supportEditing(v.provider)&&this._extensionStoragePaths&&(D=this._extensionStoragePaths.workspaceValue(v.extension)??this._extensionStoragePaths.globalValue(v.extension)),this._documents.add(r,_,D),{editable:this.supportEditing(v.provider)}}async $disposeCustomDocument(t,r){const s=this._editorProviders.get(r);if(!s)throw new Error(`No provider found for '${r}'`);if(s.type!==1)throw new Error(`Invalid provider type for '${r}'`);const i=I.URI.revive(t),{document:a}=this.getCustomDocumentEntry(r,i);this._documents.delete(r,a),a.dispose()}async $resolveWebviewEditor(t,r,s,i,a,v){const p=this._editorProviders.get(s);if(!p)throw new Error(`No provider found for '${s}'`);const _=E.ViewColumn.to(a),D=this._extHostWebview.createNewWebview(r,i.webviewOptions,p.extension),o=this._extHostWebviewPanels.createNewWebviewPanel(r,s,i.title,_,i.panelOptions,D),T=I.URI.revive(t);switch(p.type){case 1:{const{document:L}=this.getCustomDocumentEntry(s,T);return p.provider.resolveCustomEditor(L,o,v)}case 0:{const L=this._extHostDocuments.getDocument(T);return p.provider.resolveCustomTextEditor(L,o,v)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(t,r,s){this.getCustomDocumentEntry(r,t).disposeEdits(s)}async $onMoveCustomEditor(t,r,s){const i=this._editorProviders.get(s);if(!i)throw new Error(`No provider found for '${s}'`);if(!i.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${s}'`);const a=this._extHostWebviewPanels.getWebviewPanel(t);if(!a)throw new Error("No webview found");const v=I.URI.revive(r),p=this._extHostDocuments.getDocument(v);await i.provider.moveCustomTextEditor(p,a,g.CancellationToken.None)}async $undo(t,r,s,i){return this.getCustomDocumentEntry(r,t).undo(s,i)}async $redo(t,r,s,i){return this.getCustomDocumentEntry(r,t).redo(s,i)}async $revert(t,r,s){const i=this.getCustomDocumentEntry(r,t);await this.getCustomEditorProvider(r).revertCustomDocument(i.document,s),i.disposeBackup()}async $onSave(t,r,s){const i=this.getCustomDocumentEntry(r,t);await this.getCustomEditorProvider(r).saveCustomDocument(i.document,s),i.disposeBackup()}async $onSaveAs(t,r,s,i){const a=this.getCustomDocumentEntry(r,t);return this.getCustomEditorProvider(r).saveCustomDocumentAs(a.document,I.URI.revive(s),i)}async $backup(t,r,s){const i=this.getCustomDocumentEntry(r,t),v=await this.getCustomEditorProvider(r).backupCustomDocument(i.document,{destination:i.getNewBackupUri()},s);return i.updateBackup(v),v.id}getCustomDocumentEntry(t,r){const s=this._documents.get(t,I.URI.revive(r));if(!s)throw new Error("No custom document found");return s}getCustomEditorProvider(t){const s=this._editorProviders.get(t)?.provider;if(!s||!this.supportEditing(s))throw new Error("Custom document is not editable");return s}supportEditing(t){return!!t.onDidChangeCustomDocument}}e.ExtHostCustomEditors=w;function b(f){return typeof f.resolveCustomTextEditor=="function"}function h(f){return typeof f.undo=="function"&&typeof f.redo=="function"}function c(f){const t=f.scheme===y.Schemas.file||f.scheme===y.Schemas.untitled?f.fsPath:f.toString();return R.hash(t)+""}});var it=this&&this.__classPrivateFieldSet||function(X,e,g,R,k){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!k)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!k:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?k.call(X,g):k?k.value=g:e.set(X,g),g},Ue=this&&this.__classPrivateFieldGet||function(X,e,g,R){if(g==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!R:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return g==="m"?R:g==="a"?R.call(X):R?R.value:e.get(X)};define(fe[249],me([0,1,3,6,2,32,17,64,5,7]),function(X,e,g,R,k,y,A,I,E,C){"use strict";var n,P,d,m,l,u,S,w,b,h,c,f,t;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewPanels=void 0;class r extends R.Disposable{constructor(v,p,_,D,o,T,L){super();n.set(this,void 0),P.set(this,void 0),d.set(this,void 0),m.set(this,void 0),l.set(this,void 0),u.set(this,void 0),S.set(this,void 0),w.set(this,void 0),b.set(this,!0),h.set(this,!0),c.set(this,!1),f.set(this,this._register(new g.Emitter)),this.onDidDispose=Ue(this,f,"f").event,t.set(this,this._register(new g.Emitter)),this.onDidChangeViewState=Ue(this,t,"f").event,it(this,n,v,"f"),it(this,P,p,"f"),it(this,d,_,"f"),it(this,l,T,"f"),it(this,w,o,"f"),it(this,u,D,"f"),it(this,m,L,"f")}dispose(){Ue(this,c,"f")||(it(this,c,!0,"f"),Ue(this,f,"f").fire(),Ue(this,P,"f").$disposeWebview(Ue(this,n,"f")),Ue(this,m,"f").dispose(),super.dispose())}get webview(){return this.assertNotDisposed(),Ue(this,m,"f")}get viewType(){return this.assertNotDisposed(),Ue(this,d,"f")}get title(){return this.assertNotDisposed(),Ue(this,u,"f")}set title(v){this.assertNotDisposed(),Ue(this,u,"f")!==v&&(it(this,u,v,"f"),Ue(this,P,"f").$setTitle(Ue(this,n,"f"),v))}get iconPath(){return this.assertNotDisposed(),Ue(this,S,"f")}set iconPath(v){this.assertNotDisposed(),Ue(this,S,"f")!==v&&(it(this,S,v,"f"),Ue(this,P,"f").$setIconPath(Ue(this,n,"f"),k.URI.isUri(v)?{light:v,dark:v}:v))}get options(){return Ue(this,l,"f")}get viewColumn(){if(this.assertNotDisposed(),!(typeof Ue(this,w,"f")=="number"&&Ue(this,w,"f")<0))return Ue(this,w,"f")}get active(){return this.assertNotDisposed(),Ue(this,h,"f")}get visible(){return this.assertNotDisposed(),Ue(this,b,"f")}_updateViewState(v){Ue(this,c,"f")||(this.active!==v.active||this.visible!==v.visible||this.viewColumn!==v.viewColumn)&&(it(this,h,v.active,"f"),it(this,b,v.visible,"f"),it(this,w,v.viewColumn,"f"),Ue(this,t,"f").fire({webviewPanel:this}))}reveal(v,p){this.assertNotDisposed(),Ue(this,P,"f").$reveal(Ue(this,n,"f"),{viewColumn:v?A.ViewColumn.from(v):void 0,preserveFocus:!!p})}assertNotDisposed(){if(Ue(this,c,"f"))throw new Error("Webview is disposed")}}n=new WeakMap,P=new WeakMap,d=new WeakMap,m=new WeakMap,l=new WeakMap,u=new WeakMap,S=new WeakMap,w=new WeakMap,b=new WeakMap,h=new WeakMap,c=new WeakMap,f=new WeakMap,t=new WeakMap;class s{constructor(v,p,_){this.webviews=p,this.workspace=_,this._webviewPanels=new Map,this._serializers=new Map,this._proxy=v.getProxy(E.MainContext.MainThreadWebviewPanels)}static newHandle(){return y.generateUuid()}createWebviewPanel(v,p,_,D,o={}){const T=typeof D=="object"?D.viewColumn:D,L={viewColumn:A.ViewColumn.from(T),preserveFocus:typeof D=="object"&&!!D.preserveFocus},H=I.shouldSerializeBuffersForPostMessage(v),B=s.newHandle();this._proxy.$createWebviewPanel(I.toExtensionData(v),B,p,{title:_,panelOptions:i(o),webviewOptions:I.serializeWebviewOptions(v,this.workspace,o),serializeBuffersForPostMessage:H},L);const Q=this.webviews.createNewWebview(B,o,v);return this.createNewWebviewPanel(B,p,_,T,o,Q)}$onDidChangeWebviewPanelViewStates(v){const p=Object.keys(v);p.sort((_,D)=>{const o=v[_],T=v[D];return o.active?1:T.active?-1:+o.visible-+T.visible});for(const _ of p){const D=this.getWebviewPanel(_);if(!D)continue;const o=v[_];D._updateViewState({active:o.active,visible:o.visible,viewColumn:A.ViewColumn.to(o.position)})}}async $onDidDisposeWebviewPanel(v){this.getWebviewPanel(v)?.dispose(),this._webviewPanels.delete(v),this.webviews.deleteWebview(v)}registerWebviewPanelSerializer(v,p,_){if(this._serializers.has(p))throw new Error(`Serializer for '${p}' already registered`);return this._serializers.set(p,{serializer:_,extension:v}),this._proxy.$registerSerializer(p,{serializeBuffersForPostMessage:I.shouldSerializeBuffersForPostMessage(v)}),new C.Disposable(()=>{this._serializers.delete(p),this._proxy.$unregisterSerializer(p)})}async $deserializeWebviewPanel(v,p,_,D){const o=this._serializers.get(p);if(!o)throw new Error(`No serializer found for '${p}'`);const{serializer:T,extension:L}=o,H=this.webviews.createNewWebview(v,_.webviewOptions,L),B=this.createNewWebviewPanel(v,p,_.title,D,_.panelOptions,H);await T.deserializeWebviewPanel(B,_.state)}createNewWebviewPanel(v,p,_,D,o,T){const L=new r(v,this._proxy,p,_,D,o,T);return this._webviewPanels.set(v,L),L}getWebviewPanel(v){return this._webviewPanels.get(v)}}e.ExtHostWebviewPanels=s;function i(a){return{enableFindWidget:a.enableFindWidget,retainContextWhenHidden:a.retainContextWhenHidden}}});var it=this&&this.__classPrivateFieldSet||function(X,e,g,R,k){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!k)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!k:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?k.call(X,g):k?k.value=g:e.set(X,g),g},Ue=this&&this.__classPrivateFieldGet||function(X,e,g,R){if(g==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!R:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return g==="m"?R:g==="a"?R.call(X):R?R.value:e.get(X)};define(fe[250],me([0,1,3,6,64,5,7]),function(X,e,g,R,k,y,A){"use strict";var I,E,C,n,P,d,m,l,u,S;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewViews=void 0;class w extends R.Disposable{constructor(c,f,t,r,s,i){super();I.set(this,void 0),E.set(this,void 0),C.set(this,void 0),n.set(this,void 0),P.set(this,!1),d.set(this,void 0),m.set(this,void 0),l.set(this,void 0),u.set(this,this._register(new g.Emitter)),this.onDidChangeVisibility=Ue(this,u,"f").event,S.set(this,this._register(new g.Emitter)),this.onDidDispose=Ue(this,S,"f").event,it(this,C,t,"f"),it(this,m,r,"f"),it(this,I,c,"f"),it(this,E,f,"f"),it(this,n,s,"f"),it(this,d,i,"f")}dispose(){Ue(this,P,"f")||(it(this,P,!0,"f"),Ue(this,S,"f").fire(),Ue(this,n,"f").dispose(),super.dispose())}get title(){return this.assertNotDisposed(),Ue(this,m,"f")}set title(c){this.assertNotDisposed(),Ue(this,m,"f")!==c&&(it(this,m,c,"f"),Ue(this,E,"f").$setWebviewViewTitle(Ue(this,I,"f"),c))}get description(){return this.assertNotDisposed(),Ue(this,l,"f")}set description(c){this.assertNotDisposed(),Ue(this,l,"f")!==c&&(it(this,l,c,"f"),Ue(this,E,"f").$setWebviewViewDescription(Ue(this,I,"f"),c))}get visible(){return Ue(this,d,"f")}get webview(){return Ue(this,n,"f")}get viewType(){return Ue(this,C,"f")}_setVisible(c){c===Ue(this,d,"f")||Ue(this,P,"f")||(it(this,d,c,"f"),Ue(this,u,"f").fire())}show(c){this.assertNotDisposed(),Ue(this,E,"f").$show(Ue(this,I,"f"),!!c)}assertNotDisposed(){if(Ue(this,P,"f"))throw new Error("Webview is disposed")}}I=new WeakMap,E=new WeakMap,C=new WeakMap,n=new WeakMap,P=new WeakMap,d=new WeakMap,m=new WeakMap,l=new WeakMap,u=new WeakMap,S=new WeakMap;class b{constructor(c,f){this._extHostWebview=f,this._viewProviders=new Map,this._webviewViews=new Map,this._proxy=c.getProxy(y.MainContext.MainThreadWebviewViews)}registerWebviewViewProvider(c,f,t,r){if(this._viewProviders.has(f))throw new Error(`View provider for '${f}' already registered`);return this._viewProviders.set(f,{provider:t,extension:c}),this._proxy.$registerWebviewViewProvider(k.toExtensionData(c),f,{retainContextWhenHidden:r?.retainContextWhenHidden,serializeBuffersForPostMessage:!1}),new A.Disposable(()=>{this._viewProviders.delete(f),this._proxy.$unregisterWebviewViewProvider(f)})}async $resolveWebviewView(c,f,t,r,s){const i=this._viewProviders.get(f);if(!i)throw new Error(`No view provider found for '${f}'`);const{provider:a,extension:v}=i,p=this._extHostWebview.createNewWebview(c,{},v),_=new w(c,this._proxy,f,t,p,!0);this._webviewViews.set(c,_),await a.resolveWebviewView(_,{state:r},s)}async $onDidChangeWebviewViewVisibility(c,f){this.getWebviewView(c)._setVisible(f)}async $disposeWebviewView(c){const f=this.getWebviewView(c);this._webviewViews.delete(c),f.dispose(),this._extHostWebview.deleteWebview(c)}getWebviewView(c){const f=this._webviewViews.get(c);if(!f)throw new Error("No webview found");return f}}e.ExtHostWebviewViews=b}),define(fe[129],me([0,1,3,5,2,10,8,4,13]),function(X,e,g,R,k,y,A,I,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWindow=e.ExtHostWindow=void 0;let C=class Wn{constructor(P){this._onDidChangeWindowState=new g.Emitter,this.onDidChangeWindowState=this._onDidChangeWindowState.event,this._state=Wn.InitialState,this._proxy=P.getProxy(R.MainContext.MainThreadWindow),this._proxy.$getWindowVisibility().then(d=>this.$onDidChangeWindowFocus(d))}get state(){return this._state}$onDidChangeWindowFocus(P){P!==this._state.focused&&(this._state={...this._state,focused:P},this._onDidChangeWindowState.fire(this._state))}openUri(P,d){let m;if(typeof P=="string"){m=P;try{P=k.URI.parse(P)}catch(l){return Promise.reject(`Invalid uri - '${P}'`)}}return A.isFalsyOrWhitespace(P.scheme)?Promise.reject("Invalid scheme - cannot be empty"):P.scheme===y.Schemas.command?Promise.reject(`Invalid scheme '${P.scheme}'`):this._proxy.$openUri(P,m,d)}async asExternalUri(P,d){if(A.isFalsyOrWhitespace(P.scheme))return Promise.reject("Invalid scheme - cannot be empty");const m=await this._proxy.$asExternalUri(P,d);return k.URI.from(m)}};C.InitialState={focused:!0},C=ze([We(0,E.IExtHostRpcService)],C),e.ExtHostWindow=C,e.IExtHostWindow=I.createDecorator("IExtHostWindow")}),define(fe[251],me([0,1,9,101,32,50,6,5,2,13]),function(X,e,g,R,k,y,A,I,E,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDownloadService=void 0;let n=class extends A.Disposable{constructor(d,m){super();const l=d.getProxy(I.MainContext.MainThreadDownloadService);m.registerCommand(!1,"_workbench.downloadResource",async u=>{const S=E.URI.file(g.join(R.tmpdir(),k.generateUuid()));return await l.$download(u,S),S})}};n=ze([We(0,C.IExtHostRpcService),We(1,y.IExtHostCommands)],n),e.ExtHostDownloadService=n}),define(fe[252],me([0,1,2,9,148,28,62,27,13,6,12,113,41]),function(X,e,g,R,k,y,A,I,E,C,n,P,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostOutputService2=void 0;class m{constructor(w,b,h){this.name=w,this.file=b,this.appender=h}static async create(w,b){const h=await P.createRotatingLogger(w,b,30*d.ByteSize.MB,1);return h.clearFormatters(),new m(w,b,h)}append(w){this.appender.critical(w)}flush(){this.appender.flush()}}class l extends A.AbstractExtHostOutputChannel{constructor(w,b,h){super(w,!1,g.URI.file(b.file),h);this._appender=b}append(w){super.append(w),this._appender.append(w),this._onDidAppend.fire()}update(){this._appender.flush(),super.update()}show(w,b){this._appender.flush(),super.show(w,b)}clear(){this._appender.flush(),super.clear()}}let u=class extends A.ExtHostOutputService{constructor(w,b,h){super(w);this.logService=b,this._namePool=1,this._channels=new Map,this._visibleChannelDisposable=new C.MutableDisposable,this._logsLocation=h.logsLocation}$setVisibleChannel(w){if(w){const b=this._channels.get(w);b&&(this._visibleChannelDisposable.value=b.onDidAppend(()=>b.update()))}}createOutputChannel(w){if(w=w.trim(),!w)throw new Error("illegal argument `name`. must not be falsy");const b=this._doCreateOutChannel(w);return b.then(h=>h._id.then(c=>this._channels.set(c,h))),new A.LazyOutputChannel(w,b)}async _doCreateOutChannel(w){try{const b=R.join(this._logsLocation.fsPath,`output_logging_${k.toLocalISOString(new Date).replace(/-|:|\.\d+Z$/g,"")}`);await y.SymlinkSupport.existsDirectory(b)||await y.Promises.mkdir(b,{recursive:!0});const c=`${this._namePool++}-${w.replace(/[\\/:\*\?"<>\|]/g,"")}`,f=g.URI.file(R.join(b,`${c}.log`)),t=await m.create(c,f.fsPath);return new l(w,t,this._proxy)}catch(b){return this.logService.error(b),new A.ExtHostPushOutputChannel(w,this._proxy)}}};u=ze([We(0,E.IExtHostRpcService),We(1,n.ILogService),We(2,I.IExtHostInitDataService)],u),e.ExtHostOutputService2=u}),define(fe[253],me([0,1,44,284,2,63,6,10,16]),function(X,e,g,R,k,y,A,I,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=void 0;class C extends y.ExtensionStoragePaths{constructor(){super(...arguments);this._workspaceStorageLock=null}async _getWorkspaceStorageURI(f){const t=await super._getWorkspaceStorageURI(f);if(t.scheme!==I.Schemas.file)return t;if(this._environment.skipWorkspaceStorageLock)return this._logService.info(`Skipping acquiring lock for ${t.fsPath}.`),t;const r=t.fsPath;let s=0;do{let i;s===0?i=r:i=/[/\\]$/.test(r)?`${r.substr(0,r.length-1)}-${s}`:`${r}-${s}`,await n(i);const a=R.join(i,"vscode.lock"),v=await l(this._logService,a,!1);if(v)return this._workspaceStorageLock=v,process.on("exit",()=>{v.dispose()}),k.URI.file(i);s++}while(s<10);return t}onWillDeactivateAll(){this._workspaceStorageLock&&this._workspaceStorageLock.setWillRelease(6e3)}}e.ExtensionStoragePaths=C;async function n(c){try{await g.promises.stat(c);return}catch{}try{await g.promises.mkdir(c,{recursive:!0})}catch{}}const P=1e3,d=10*60*1e3;class m extends A.Disposable{constructor(f,t){super();this.logService=f,this.filename=t,this._timer=this._register(new E.IntervalTimer),this._timer.cancelAndSet(async()=>{const r=await u(f,t);(!r||r.pid!==process.pid)&&(f.info(`Lock '${t}': The lock was lost unexpectedly.`),this._timer.cancel());try{await g.promises.utimes(t,new Date,new Date)}catch(s){f.error(s),f.info(`Lock '${t}': Could not update mtime.`)}},P)}dispose(){super.dispose();try{g.unlinkSync(this.filename)}catch(f){}}async setWillRelease(f){this.logService.info(`Lock '${this.filename}': Marking the lockfile as scheduled to be released in ${f} ms.`);try{const t={pid:process.pid,willReleaseAt:Date.now()+f};await g.promises.writeFile(this.filename,JSON.stringify(t),{flag:"w"})}catch(t){this.logService.error(t)}}}async function l(c,f,t){try{const s={pid:process.pid,willReleaseAt:0};await g.promises.writeFile(f,JSON.stringify(s),{flag:"wx"})}catch(s){c.error(s)}const r=await u(c,f);return!r||r.pid!==process.pid?t?(c.info(`Lock '${f}': Could not acquire lock, giving up.`),null):(c.info(`Lock '${f}': Could not acquire lock, checking if the file is stale.`),b(c,f)):(c.info(`Lock '${f}': Lock acquired.`),new m(c,f))}async function u(c,f){let t;try{t=await g.promises.readFile(f)}catch(r){return c.error(r),null}try{return JSON.parse(String(t))}catch(r){return c.error(r),null}}async function S(c,f){let t;try{t=await g.promises.stat(f)}catch(r){return c.error(r),0}return t.mtime.getTime()}function w(c){try{return process.kill(c,0),!0}catch(f){return!1}}async function b(c,f){const t=await u(c,f);if(!t)return c.info(`Lock '${f}': Could not read pid of lock holder.`),h(c,f);if(t.willReleaseAt){let v=t.willReleaseAt-Date.now();if(v<5e3){for(v>0?c.info(`Lock '${f}': The lockfile is scheduled to be released in ${v} ms.`):c.info(`Lock '${f}': The lockfile is scheduled to have been released.`);v>0;){if(await E.timeout(Math.min(100,v)),await S(c,f)===0)return h(c,f);v=t.willReleaseAt-Date.now()}return h(c,f)}}if(!w(t.pid))return c.info(`Lock '${f}': The pid ${t.pid} appears to be gone.`),h(c,f);const r=await S(c,f),s=Date.now()-r;if(s<=d)return c.info(`Lock '${f}': The lock does not look stale, elapsed: ${s} ms, giving up.`),null;c.info(`Lock '${f}': The lock looks stale, waiting for 2s.`),await E.timeout(2e3);const i=await S(c,f),a=Date.now()-i;return a<=d?(c.info(`Lock '${f}': The lock does not look stale, elapsed: ${a} ms, giving up.`),null):(c.info(`Lock '${f}': The lock looks stale even after waiting for 2s.`),h(c,f))}async function h(c,f){c.info(`Lock '${f}': Deleting a stale lock.`);try{await g.promises.unlink(f)}catch(t){}return l(c,f,!0)}}),define(fe[254],me([0,1,32,13,33]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTerminalService=void 0;let y=class extends k.BaseExtHostTerminalService{constructor(I){super(!0,I)}createTerminal(I,E,C){return this.createTerminalFromOptions({name:I,shellPath:E,shellArgs:C})}createTerminalFromOptions(I,E){const C=new k.ExtHostTerminal(this._proxy,g.generateUuid(),I,I.name);return this._terminals.push(C),C.create(I,E),C.value}};y=ze([We(0,R.IExtHostRpcService)],y),e.ExtHostTerminalService=y}),define(fe[255],me([0,1,5,13,6,27,2,38,22,28,7,11,49,3,189,72,12]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.tryFindRootPorts=e.findPorts=e.getRootProcesses=e.loadConnectionTable=e.parseIpAddress=e.loadListeningPorts=e.getSockets=void 0;class w{constructor(p,_,D){this.remoteAddress=p,this.localAddress=_,this._dispose=D,this._onDispose=new m.Emitter,this.onDidDispose=this._onDispose.event}dispose(){return this._onDispose.fire(),this._dispose()}}function b(v){const p=v.trim().split(`
`),_=[];return p.forEach(o=>{const T=/\/proc\/(\d+)\/fd\/\d+ -> socket:\[(\d+)\]/.exec(o);T&&T.length>=3&&_.push({pid:parseInt(T[1],10),socket:parseInt(T[2],10)})}),_.reduce((o,T)=>(o[T.socket]=T,o),{})}e.getSockets=b;function h(...v){const p=[].concat(...v.map(f));return[...new Map(p.filter(_=>_.st==="0A").map(_=>{const D=_.local_address.split(":");return{socket:parseInt(_.inode,10),ip:c(D[0]),port:parseInt(D[1],16)}}).map(_=>[_.ip+":"+_.port,_])).values()]}e.loadListeningPorts=h;function c(v){let p="";if(v.length===8)for(let _=v.length-2;_>=0;_-=2)p+=parseInt(v.substr(_,2),16),_!==0&&(p+=".");else for(let _=v.length-4;_>=0;_-=4)p+=parseInt(v.substr(_,4),16).toString(16),_!==0&&(p+=":");return p}e.parseIpAddress=c;function f(v){const p=v.trim().split(`
`),_=p.shift().trim().split(/\s+/).filter(o=>o!=="rx_queue"&&o!=="tm->when");return p.map(o=>o.trim().split(/\s+/).reduce((T,L,H)=>(T[_[H]||H]=L,T),{}))}e.loadConnectionTable=f;function t(v){return!!v.match(/.*\.vscode-server-[a-zA-Z]+\/bin.*/)||v.indexOf("out/vs/server/main.js")!==-1||v.indexOf("_productName=VSCode")!==-1}function r(v){const p=v.trim().split(`
`),_=[];return p.forEach(D=>{const o=/^\d+\s+\D+\s+root\s+(\d+)\s+(\d+).+\d+\:\d+\:\d+\s+(.+)$/.exec(D);o&&o.length>=4&&_.push({pid:parseInt(o[1],10),ppid:parseInt(o[2]),cmd:o[3]})}),_}e.getRootProcesses=r;async function s(v,p,_){const D=_.reduce((T,L)=>(T[L.pid]=L,T),{}),o=[];return v.forEach(({socket:T,ip:L,port:H})=>{const B=p[T]?p[T].pid:void 0,Q=B?D[B]?.cmd:void 0;B&&Q&&!t(Q)&&o.push({host:L,port:H,detail:Q,pid:B})}),o}e.findPorts=s;function i(v,p,_){const D=new Map,o=r(p);for(const T of v){const L=_.get(T.port);if(L){D.set(T.port,L);continue}const H=o.find(B=>B.cmd.includes(`${T.port}`));if(H){let B=H,Q;do Q=o.find(z=>z.ppid===B.pid),Q&&(B=Q);while(Q);D.set(T.port,{host:T.ip,port:T.port,pid:B.pid,detail:B.cmd,ppid:B.ppid})}else D.set(T.port,{host:T.ip,port:T.port,ppid:Number.MAX_VALUE})}return D}e.tryFindRootPorts=i;let a=class extends k.Disposable{constructor(p,_,D){super();this.logService=D,this._showCandidatePort=()=>Promise.resolve(!0),this._extensionTunnels=new Map,this._onDidChangeTunnels=new m.Emitter,this.onDidChangeTunnels=this._onDidChangeTunnels.event,this._candidateFindingEnabled=!1,this._foundRootPorts=new Map,this._providerHandleCounter=0,this._portAttributesProviders=new Map,this._proxy=p.getProxy(g.MainContext.MainThreadTunnelService),P.isLinux&&_.remote.isRemote&&_.remote.authority&&this._proxy.$setRemoteTunnelService(process.pid)}async openTunnel(p,_){this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) ${p.identifier.value} called openTunnel API for ${_.remoteAddress.host}:${_.remoteAddress.port}.`);const D=await this._proxy.$openTunnel(_,p.displayName);if(D){const o=new w(D.remoteAddress,D.localAddress,()=>this._proxy.$closeTunnel(D.remoteAddress));return this._register(o),o}}async getTunnels(){return this._proxy.$getTunnels()}calculateDelay(p){return Math.max(p*20,2e3)}nextPortAttributesProviderHandle(){return this._providerHandleCounter++}registerPortsAttributesProvider(p,_){const D=this.nextPortAttributesProviderHandle();return this._portAttributesProviders.set(D,{selector:p,provider:_}),this._proxy.$registerPortsAttributesProvider(p,D),new n.Disposable(()=>{this._portAttributesProviders.delete(D),this._proxy.$unregisterPortsAttributesProvider(D)})}async $providePortAttributes(p,_,D,o,T){const L=[];for(const B of p){const Q=this._portAttributesProviders.get(B);if(!Q)return[];L.push(...await Promise.all(_.map(async z=>Q.provider.providePortAttributes(z,D,o,T))))}const H=L.filter(B=>!!B);return H.length>0?H.map(B=>({autoForwardAction:B.autoForwardAction,port:B.port})):[]}async $registerCandidateFinder(p){if(p&&this._candidateFindingEnabled)return;this._candidateFindingEnabled=p;let _=new u.MovingAverage,D;for(;this._candidateFindingEnabled;){const o=new Date().getTime(),T=(await this.findCandidatePorts()).filter(H=>l.isLocalhost(H.host)||l.isAllInterfaces(H.host));this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) found candidate ports ${T.map(H=>H.port).join(", ")}`);const L=new Date().getTime()-o;_.update(L),(!D||JSON.stringify(D)!==JSON.stringify(T))&&(D=T,await this._proxy.$onFoundNewCandidates(D)),await new Promise(H=>setTimeout(()=>H(),this.calculateDelay(_.value)))}}async setTunnelExtensionFunctions(p){return p?(p.candidatePortSource!==void 0&&this._proxy.$setCandidatePortSource(p.candidatePortSource),p.showCandidatePort&&(this._showCandidatePort=p.showCandidatePort,this._proxy.$setCandidateFilter()),p.tunnelFactory&&(this._forwardPortProvider=p.tunnelFactory,this._proxy.$setTunnelProvider(p.tunnelFeatures??{elevation:!1,public:!1}))):this._forwardPortProvider=void 0,k.toDisposable(()=>{this._forwardPortProvider=void 0})}async $closeTunnel(p,_){if(this._extensionTunnels.has(p.host)){const D=this._extensionTunnels.get(p.host);D.has(p.port)&&(_&&D.get(p.port).disposeListener.dispose(),await D.get(p.port).tunnel.dispose(),D.delete(p.port))}}async $onDidTunnelsChange(){this._onDidChangeTunnels.fire()}async $forwardPort(p,_){if(this._forwardPortProvider)try{this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Getting tunnel from provider.");const D=this._forwardPortProvider(p,_);if(this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Got tunnel promise from provider."),D!==void 0){const o=await D;this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Successfully awaited tunnel from provider."),this._extensionTunnels.has(p.remoteAddress.host)||this._extensionTunnels.set(p.remoteAddress.host,new Map);const T=this._register(o.onDidDispose(()=>(this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Extension fired tunnel's onDidDispose."),this._proxy.$closeTunnel(o.remoteAddress))));return this._extensionTunnels.get(p.remoteAddress.host).set(p.remoteAddress.port,{tunnel:o,disposeListener:T}),d.TunnelDto.fromApiTunnel(o)}else this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Tunnel is undefined")}catch(D){this.logService.trace("ForwardedPorts: (ExtHostTunnelService) tunnel provider error")}}async $applyCandidateFilter(p){const _=await Promise.all(p.map(o=>this._showCandidatePort(o.host,o.port,o.detail??""))),D=p.filter((o,T)=>_[T]);return this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) filtered from ${p.map(o=>o.port).join(", ")} to ${D.map(o=>o.port).join(", ")}`),D}async findCandidatePorts(){let p="",_="";try{p=await C.Promises.readFile("/proc/net/tcp","utf8"),_=await C.Promises.readFile("/proc/net/tcp6","utf8")}catch(W){}const D=h(p,_),o=await new Promise(W=>{I.exec("ls -l /proc/[0-9]*/fd/[0-9]* | grep socket:",(F,q,M)=>{W(q)})}),T=b(o),L=await C.Promises.readdir("/proc"),H=[];for(let W of L)try{const F=Number(W),q=E.joinPath(A.URI.file("/proc"),W);if((await C.Promises.stat(q.fsPath)).isDirectory()&&!isNaN(F)){const O=await C.Promises.readlink(E.joinPath(q,"cwd").fsPath),x=await C.Promises.readFile(E.joinPath(q,"cmdline").fsPath,"utf8");H.push({pid:F,cwd:O,cmd:x})}}catch(F){}const B=[],Q=D.filter(W=>{const F=T[W.socket];return F||B.push(W),F}),z=s(Q,T,H);let N;if(this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) number of possible root ports ${B.length}`),B.length>0){const W=await new Promise(F=>{I.exec("ps -F -A -l | grep root",(q,M,O)=>{F(M)})});this._foundRootPorts=i(B,W,this._foundRootPorts),N=Array.from(this._foundRootPorts.values()),this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) heuristic ports ${N.join(", ")}`)}return z.then(W=>N?W.concat(N):W)}};a=ze([We(0,R.IExtHostRpcService),We(1,y.IExtHostInitDataService),We(2,S.ILogService)],a),e.ExtHostTunnelService=a}),define(fe[256],me([0,1,16,21,15,3,6,99,221,127,23]),function(X,e,g,R,k,y,A,I,E,C,n){"use strict";var P;Object.defineProperty(e,"__esModule",{value:!0}),e.RPCProtocol=e.ResponsiveState=e.RequestInitiator=void 0;function d(i,a){try{return JSON.stringify(i,a)}catch(v){return"null"}}function m(i,a){return JSON.stringify(i,a)}function l(i){return i?(a,v)=>v&&v.$mid===1?i.transformOutgoing(v):v:null}var u;(function(i){i[i.LocalSide=0]="LocalSide",i[i.OtherSide=1]="OtherSide"})(u=e.RequestInitiator||(e.RequestInitiator={}));var S;(function(i){i[i.Responsive=0]="Responsive",i[i.Unresponsive=1]="Unresponsive"})(S=e.ResponsiveState||(e.ResponsiveState={}));const w=()=>{},b=Symbol.for("rpcProtocol"),h=Symbol.for("rpcProxy");class c extends A.Disposable{constructor(a,v=null,p=null){super();this[P]=!0,this._onDidChangeResponsiveState=this._register(new y.Emitter),this.onDidChangeResponsiveState=this._onDidChangeResponsiveState.event,this._protocol=a,this._logger=v,this._uriTransformer=p,this._uriReplacer=l(this._uriTransformer),this._isDisposed=!1,this._locals=[],this._proxies=[];for(let _=0,D=C.ProxyIdentifier.count;_<D;_++)this._locals[_]=null,this._proxies[_]=null;this._lastMessageId=0,this._cancelInvokedHandlers=Object.create(null),this._pendingRPCReplies={},this._responsiveState=0,this._unacknowledgedCount=0,this._unresponsiveTime=0,this._asyncCheckUresponsive=this._register(new g.RunOnceScheduler(()=>this._checkUnresponsive(),1e3)),this._protocol.onMessage(_=>this._receiveOneMessage(_))}dispose(){this._isDisposed=!0,Object.keys(this._pendingRPCReplies).forEach(a=>{this._pendingRPCReplies[a].resolveErr(k.canceled())})}drain(){return typeof this._protocol.drain=="function"?this._protocol.drain():Promise.resolve()}_onWillSendRequest(a){this._unacknowledgedCount===0&&(this._unresponsiveTime=Date.now()+c.UNRESPONSIVE_TIME),this._unacknowledgedCount++,this._asyncCheckUresponsive.isScheduled()||this._asyncCheckUresponsive.schedule()}_onDidReceiveAcknowledge(a){this._unresponsiveTime=Date.now()+c.UNRESPONSIVE_TIME,this._unacknowledgedCount--,this._unacknowledgedCount===0&&this._asyncCheckUresponsive.cancel(),this._setResponsiveState(0)}_checkUnresponsive(){this._unacknowledgedCount!==0&&(Date.now()>this._unresponsiveTime?this._setResponsiveState(1):this._asyncCheckUresponsive.schedule())}_setResponsiveState(a){this._responsiveState!==a&&(this._responsiveState=a,this._onDidChangeResponsiveState.fire(this._responsiveState))}get responsiveState(){return this._responsiveState}transformIncomingURIs(a){return this._uriTransformer?I.transformIncomingURIs(a,this._uriTransformer):a}getProxy(a){const{nid:v,sid:p}=a;return this._proxies[v]||(this._proxies[v]=this._createProxy(v,p)),this._proxies[v]}_createProxy(a,v){let p={get:(_,D)=>(typeof D=="string"&&!_[D]&&D.charCodeAt(0)===36&&(_[D]=(...o)=>this._remoteCall(a,D,o)),D===h?v:_[D])};return new Proxy(Object.create(null),p)}set(a,v){return this._locals[a.nid]=v,v}assertRegistered(a){for(let v=0,p=a.length;v<p;v++){const _=a[v];if(!this._locals[_.nid])throw new Error(`Missing actor ${_.sid} (isMain: ${_.isMain})`)}}_receiveOneMessage(a){if(this._isDisposed)return;const v=a.byteLength,p=f.read(a,0),_=p.readUInt8(),D=p.readUInt32();switch(_){case 1:case 2:{let{rpcId:o,method:T,args:L}=t.deserializeRequestJSONArgs(p);this._uriTransformer&&(L=I.transformIncomingURIs(L,this._uriTransformer)),this._receiveRequest(v,D,o,T,L,_===2);break}case 3:case 4:{let{rpcId:o,method:T,args:L}=t.deserializeRequestMixedArgs(p);this._uriTransformer&&(L=I.transformIncomingURIs(L,this._uriTransformer)),this._receiveRequest(v,D,o,T,L,_===4);break}case 5:{this._logger&&this._logger.logIncoming(v,D,0,"ack"),this._onDidReceiveAcknowledge(D);break}case 6:{this._receiveCancel(v,D);break}case 7:{this._receiveReply(v,D,void 0);break}case 9:{let o=t.deserializeReplyOKJSON(p);this._uriTransformer&&(o=I.transformIncomingURIs(o,this._uriTransformer)),this._receiveReply(v,D,o);break}case 8:{let o=t.deserializeReplyOKVSBuffer(p);this._receiveReply(v,D,o);break}case 10:{let o=t.deserializeReplyErrError(p);this._uriTransformer&&(o=I.transformIncomingURIs(o,this._uriTransformer)),this._receiveReplyErr(v,D,o);break}case 11:{this._receiveReplyErr(v,D,void 0);break}default:console.error("received unexpected message"),console.error(a)}}_receiveRequest(a,v,p,_,D,o){this._logger&&this._logger.logIncoming(a,v,1,`receiveRequest ${C.getStringIdentifierForProxy(p)}.${_}(`,D);const T=String(v);let L,H;if(o){const Q=new R.CancellationTokenSource;D.push(Q.token),L=this._invokeHandler(p,_,D),H=()=>Q.cancel()}else L=this._invokeHandler(p,_,D),H=w;this._cancelInvokedHandlers[T]=H;const B=t.serializeAcknowledged(v);this._logger&&this._logger.logOutgoing(B.byteLength,v,1,"ack"),this._protocol.send(B),L.then(Q=>{delete this._cancelInvokedHandlers[T];const z=t.serializeReplyOK(v,Q,this._uriReplacer);this._logger&&this._logger.logOutgoing(z.byteLength,v,1,"reply:",Q),this._protocol.send(z)},Q=>{delete this._cancelInvokedHandlers[T];const z=t.serializeReplyErr(v,Q);this._logger&&this._logger.logOutgoing(z.byteLength,v,1,"replyErr:",Q),this._protocol.send(z)})}_receiveCancel(a,v){this._logger&&this._logger.logIncoming(a,v,1,"receiveCancel");const p=String(v);this._cancelInvokedHandlers[p]&&this._cancelInvokedHandlers[p]()}_receiveReply(a,v,p){this._logger&&this._logger.logIncoming(a,v,0,"receiveReply:",p);const _=String(v);if(!this._pendingRPCReplies.hasOwnProperty(_))return;const D=this._pendingRPCReplies[_];delete this._pendingRPCReplies[_],D.resolveOk(p)}_receiveReplyErr(a,v,p){this._logger&&this._logger.logIncoming(a,v,0,"receiveReplyErr:",p);const _=String(v);if(!this._pendingRPCReplies.hasOwnProperty(_))return;const D=this._pendingRPCReplies[_];delete this._pendingRPCReplies[_];let o;p&&(p.$isError?(o=new Error,o.name=p.name,o.message=p.message,o.stack=p.stack):o=p),D.resolveErr(o)}_invokeHandler(a,v,p){try{return Promise.resolve(this._doInvokeHandler(a,v,p))}catch(_){return Promise.reject(_)}}_doInvokeHandler(a,v,p){const _=this._locals[a];if(!_)throw new Error("Unknown actor "+C.getStringIdentifierForProxy(a));let D=_[v];if(typeof D!="function")throw new Error("Unknown method "+v+" on actor "+C.getStringIdentifierForProxy(a));return D.apply(_,p)}_remoteCall(a,v,p){if(this._isDisposed)return Promise.reject(k.canceled());let _=null;if(p.length>0&&R.CancellationToken.isCancellationToken(p[p.length-1])&&(_=p.pop()),_&&_.isCancellationRequested)return Promise.reject(k.canceled());const D=t.serializeRequestArguments(p,this._uriReplacer),o=++this._lastMessageId,T=String(o),L=new E.LazyPromise;_&&_.onCancellationRequested(()=>{const B=t.serializeCancel(o);this._logger&&this._logger.logOutgoing(B.byteLength,o,0,"cancel"),this._protocol.send(t.serializeCancel(o))}),this._pendingRPCReplies[T]=L,this._onWillSendRequest(o);const H=t.serializeRequest(o,a,v,D,!!_);return this._logger&&this._logger.logOutgoing(H.byteLength,o,0,`request: ${C.getStringIdentifierForProxy(a)}.${v}(`,p),this._protocol.send(H),L}}e.RPCProtocol=c,P=b,c.UNRESPONSIVE_TIME=3*1e3;class f{constructor(a,v){this._buff=a,this._offset=v}static alloc(a,v,p){let _=new f(n.VSBuffer.alloc(p+1+4),0);return _.writeUInt8(a),_.writeUInt32(v),_}static read(a,v){return new f(a,v)}get buffer(){return this._buff}static sizeUInt8(){return 1}writeUInt8(a){this._buff.writeUInt8(a,this._offset),this._offset+=1}readUInt8(){const a=this._buff.readUInt8(this._offset);return this._offset+=1,a}writeUInt32(a){this._buff.writeUInt32BE(a,this._offset),this._offset+=4}readUInt32(){const a=this._buff.readUInt32BE(this._offset);return this._offset+=4,a}static sizeShortString(a){return 1+a.byteLength}writeShortString(a){this._buff.writeUInt8(a.byteLength,this._offset),this._offset+=1,this._buff.set(a,this._offset),this._offset+=a.byteLength}readShortString(){const a=this._buff.readUInt8(this._offset);this._offset+=1;const p=this._buff.slice(this._offset,this._offset+a).toString();return this._offset+=a,p}static sizeLongString(a){return 4+a.byteLength}writeLongString(a){this._buff.writeUInt32BE(a.byteLength,this._offset),this._offset+=4,this._buff.set(a,this._offset),this._offset+=a.byteLength}readLongString(){const a=this._buff.readUInt32BE(this._offset);this._offset+=4;const p=this._buff.slice(this._offset,this._offset+a).toString();return this._offset+=a,p}writeBuffer(a){this._buff.writeUInt32BE(a.byteLength,this._offset),this._offset+=4,this._buff.set(a,this._offset),this._offset+=a.byteLength}static sizeVSBuffer(a){return 4+a.byteLength}writeVSBuffer(a){this._buff.writeUInt32BE(a.byteLength,this._offset),this._offset+=4,this._buff.set(a,this._offset),this._offset+=a.byteLength}readVSBuffer(){const a=this._buff.readUInt32BE(this._offset);this._offset+=4;const v=this._buff.slice(this._offset,this._offset+a);return this._offset+=a,v}static sizeMixedArray(a,v){let p=0;p+=1;for(let _=0,D=a.length;_<D;_++){const o=a[_],T=v[_];switch(p+=1,T){case 1:p+=this.sizeLongString(o);break;case 2:p+=this.sizeVSBuffer(o);break;case 3:break}}return p}writeMixedArray(a,v){this._buff.writeUInt8(a.length,this._offset),this._offset+=1;for(let p=0,_=a.length;p<_;p++){const D=a[p];switch(v[p]){case 1:this.writeUInt8(1),this.writeLongString(D);break;case 2:this.writeUInt8(2),this.writeVSBuffer(D);break;case 3:this.writeUInt8(3);break}}}readMixedArray(){const a=this._buff.readUInt8(this._offset);this._offset+=1;let v=new Array(a);for(let p=0;p<a;p++)switch(this.readUInt8()){case 1:v[p]=this.readLongString();break;case 2:v[p]=this.readVSBuffer();break;case 3:v[p]=void 0;break}return v}}class t{static _arrayContainsBufferOrUndefined(a){for(let v=0,p=a.length;v<p;v++)if(a[v]instanceof n.VSBuffer||typeof a[v]=="undefined")return!0;return!1}static serializeRequestArguments(a,v){if(this._arrayContainsBufferOrUndefined(a)){let p=[],_=[];for(let D=0,o=a.length;D<o;D++){const T=a[D];T instanceof n.VSBuffer?(p[D]=T,_[D]=2):typeof T=="undefined"?(p[D]=n.VSBuffer.alloc(0),_[D]=3):(p[D]=n.VSBuffer.fromString(m(T,v)),_[D]=1)}return{type:"mixed",args:p,argsType:_}}return{type:"simple",args:m(a,v)}}static serializeRequest(a,v,p,_,D){return _.type==="mixed"?this._requestMixedArgs(a,v,p,_.args,_.argsType,D):this._requestJSONArgs(a,v,p,_.args,D)}static _requestJSONArgs(a,v,p,_,D){const o=n.VSBuffer.fromString(p),T=n.VSBuffer.fromString(_);let L=0;L+=f.sizeUInt8(),L+=f.sizeShortString(o),L+=f.sizeLongString(T);let H=f.alloc(D?2:1,a,L);return H.writeUInt8(v),H.writeShortString(o),H.writeLongString(T),H.buffer}static deserializeRequestJSONArgs(a){const v=a.readUInt8(),p=a.readShortString(),_=a.readLongString();return{rpcId:v,method:p,args:JSON.parse(_)}}static _requestMixedArgs(a,v,p,_,D,o){const T=n.VSBuffer.fromString(p);let L=0;L+=f.sizeUInt8(),L+=f.sizeShortString(T),L+=f.sizeMixedArray(_,D);let H=f.alloc(o?4:3,a,L);return H.writeUInt8(v),H.writeShortString(T),H.writeMixedArray(_,D),H.buffer}static deserializeRequestMixedArgs(a){const v=a.readUInt8(),p=a.readShortString(),_=a.readMixedArray(),D=new Array(_.length);for(let o=0,T=_.length;o<T;o++){const L=_[o];typeof L=="string"?D[o]=JSON.parse(L):D[o]=L}return{rpcId:v,method:p,args:D}}static serializeAcknowledged(a){return f.alloc(5,a,0).buffer}static serializeCancel(a){return f.alloc(6,a,0).buffer}static serializeReplyOK(a,v,p){return typeof v=="undefined"?this._serializeReplyOKEmpty(a):v instanceof n.VSBuffer?this._serializeReplyOKVSBuffer(a,v):this._serializeReplyOKJSON(a,d(v,p))}static _serializeReplyOKEmpty(a){return f.alloc(7,a,0).buffer}static _serializeReplyOKVSBuffer(a,v){let p=0;p+=f.sizeVSBuffer(v);let _=f.alloc(8,a,p);return _.writeVSBuffer(v),_.buffer}static deserializeReplyOKVSBuffer(a){return a.readVSBuffer()}static _serializeReplyOKJSON(a,v){const p=n.VSBuffer.fromString(v);let _=0;_+=f.sizeLongString(p);let D=f.alloc(9,a,_);return D.writeLongString(p),D.buffer}static deserializeReplyOKJSON(a){const v=a.readLongString();return JSON.parse(v)}static serializeReplyErr(a,v){return v?this._serializeReplyErrEror(a,v):this._serializeReplyErrEmpty(a)}static _serializeReplyErrEror(a,v){const p=n.VSBuffer.fromString(d(k.transformErrorForSerialization(v),null));let _=0;_+=f.sizeLongString(p);let D=f.alloc(10,a,_);return D.writeLongString(p),D.buffer}static deserializeReplyErrError(a){const v=a.readLongString();return JSON.parse(v)}static _serializeReplyErrEmpty(a){return f.alloc(11,a,0).buffer}}var r;(function(i){i[i.RequestJSONArgs=1]="RequestJSONArgs",i[i.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",i[i.RequestMixedArgs=3]="RequestMixedArgs",i[i.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",i[i.Acknowledged=5]="Acknowledged",i[i.Cancel=6]="Cancel",i[i.ReplyOKEmpty=7]="ReplyOKEmpty",i[i.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",i[i.ReplyOKJSON=9]="ReplyOKJSON",i[i.ReplyErrError=10]="ReplyErrError",i[i.ReplyErrEmpty=11]="ReplyErrEmpty"})(r||(r={}));var s;(function(i){i[i.String=1]="String",i[i.VSBuffer=2]="VSBuffer",i[i.Undefined=3]="Undefined"})(s||(s={}))}),define(fe[257],me([0,1,4]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IRemoteAgentService=e.RemoteExtensionLogFileName=void 0,e.RemoteExtensionLogFileName="remoteagent",e.IRemoteAgentService=g.createDecorator("remoteAgentService")}),define(fe[258],me([0,1,10,9,11,2,4,82,47,216,257]),function(X,e,g,R,k,y,A,I,E,C,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractPathService=e.IPathService=void 0,e.IPathService=A.createDecorator("pathService");let P=class Hn{constructor(m,l,u,S){this.localUserHome=m,this.remoteAgentService=l,this.environmentService=u,this.contextService=S,this.resolveOS=(async()=>(await this.remoteAgentService.getEnvironment())?.os||k.OS)(),this.resolveUserHome=(async()=>{const w=await this.remoteAgentService.getEnvironment();return this.maybeUnresolvedUserHome=w?.userHome||m})()}get defaultUriScheme(){return Hn.findDefaultUriScheme(this.environmentService,this.contextService)}static findDefaultUriScheme(m,l){if(m.remoteAuthority)return g.Schemas.vscodeRemote;const u=I.getVirtualWorkspaceScheme(l.getWorkspace());if(u)return u;const S=l.getWorkspace().folders[0];if(S)return S.uri.scheme;const w=l.getWorkspace().configuration;return w?w.scheme:g.Schemas.file}async userHome(m){return m?.preferLocal?this.localUserHome:this.resolveUserHome}get resolvedUserHome(){return this.maybeUnresolvedUserHome}get path(){return this.resolveOS.then(m=>m===1?R.win32:R.posix)}async fileURI(m){let l="";if(await this.resolveOS===1&&(m=m.replace(/\\/g,"/")),m[0]==="/"&&m[1]==="/"){const S=m.indexOf("/",2);S===-1?(l=m.substring(2),m="/"):(l=m.substring(2,S),m=m.substring(S)||"/")}return y.URI.from({scheme:g.Schemas.file,authority:l,path:m,query:"",fragment:""})}};P=ze([We(1,n.IRemoteAgentService),We(2,C.IWorkbenchEnvironmentService),We(3,E.IWorkspaceContextService)],P),e.AbstractPathService=P}),define(fe[65],me([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchCompleteMessageType=e.Range=e.Position=void 0;class g{constructor(A,I){this.line=A,this.character=I}isBefore(A){return!1}isBeforeOrEqual(A){return!1}isAfter(A){return!1}isAfterOrEqual(A){return!1}isEqual(A){return!1}compareTo(A){return 0}translate(A,I){return new g(0,0)}with(A){return new g(0,0)}}e.Position=g;class R{constructor(A,I,E,C){this.isEmpty=!1,this.isSingleLine=!1,this.start=new g(A,I),this.end=new g(E,C)}contains(A){return!1}isEqual(A){return!1}intersection(A){}union(A){return new R(0,0,0,0)}with(A){return new R(0,0,0,0)}}e.Range=R;var k;(function(y){y[y.Information=1]="Information",y[y.Warning=2]="Warning"})(k=e.TextSearchCompleteMessageType||(e.TextSearchCompleteMessageType={}))}),define(fe[31],me([0,1,18,30,25,29,8,4,9,15,65]),function(X,e,g,R,k,y,A,I,E,C,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.QueryGlobTester=e.resolvePatternsForProvider=e.SerializableFileMatch=e.isFilePatternMatch=e.isSerializedFileMatch=e.isSerializedSearchSuccess=e.isSerializedSearchComplete=e.serializeSearchError=e.deserializeSearchError=e.SearchError=e.SearchErrorCode=e.pathIncludedInQuery=e.getExcludes=e.SearchSortOrder=e.OneLineRange=e.SearchRange=e.TextSearchMatch=e.FileMatch=e.SearchCompletionExitCode=e.isProgressMessage=e.isFileMatch=e.resultIsMatch=e.QueryType=e.SearchProviderType=e.ISearchService=e.SEARCH_EXCLUDE_CONFIG=e.VIEW_ID=e.PANEL_ID=e.VIEWLET_ID=e.TextSearchCompleteMessageType=void 0,Object.defineProperty(e,"TextSearchCompleteMessageType",{enumerable:!0,get:function(){return n.TextSearchCompleteMessageType}}),e.VIEWLET_ID="workbench.view.search",e.PANEL_ID="workbench.panel.search",e.VIEW_ID="workbench.view.search",e.SEARCH_EXCLUDE_CONFIG="search.exclude";const P="\u27EA ",d=" characters skipped \u27EB",m=(P.length+d.length+5)*2;e.ISearchService=I.createDecorator("searchService");var l;(function(F){F[F.file=0]="file",F[F.text=1]="text"})(l=e.SearchProviderType||(e.SearchProviderType={}));var u;(function(F){F[F.File=1]="File",F[F.Text=2]="Text"})(u=e.QueryType||(e.QueryType={}));function S(F){return!!F.preview}e.resultIsMatch=S;function w(F){return!!F.resource}e.isFileMatch=w;function b(F){return!!F.message}e.isProgressMessage=b;var h;(function(F){F[F.Normal=0]="Normal",F[F.NewSearchStarted=1]="NewSearchStarted"})(h=e.SearchCompletionExitCode||(e.SearchCompletionExitCode={}));class c{constructor(q){this.resource=q,this.results=[]}}e.FileMatch=c;class f{constructor(q,M,O){this.ranges=M;const x=Array.isArray(M)?M:[M];if(O&&O.matchLines===1&&t(x)){q=A.getNLines(q,O.matchLines);let $="",J=0,de=0;const Ee=Math.floor(O.charsPerLine/5),Fe=[];for(const Re of x){const Ne=Math.max(Re.startColumn-Ee,0),qe=Re.startColumn+O.charsPerLine;if(Ne>de+Ee+m){const Ve=P+(Ne-de)+d;$+=Ve+q.slice(Ne,qe),J+=Ne-(de+Ve.length)}else $+=q.slice(de,qe);Fe.push(new s(0,Re.startColumn-J,Re.endColumn-J)),de=qe}this.preview={text:$,matches:Array.isArray(this.ranges)?Fe:Fe[0]}}else{const $=Array.isArray(M)?M[0].startLineNumber:M.startLineNumber;this.preview={text:q,matches:g.mapArrayOrNot(M,J=>new r(J.startLineNumber-$,J.startColumn,J.endLineNumber-$,J.endColumn))}}}}e.TextSearchMatch=f;function t(F){const q=F[0].startLineNumber;for(const M of F)if(M.startLineNumber!==q||M.endLineNumber!==q)return!1;return!0}class r{constructor(q,M,O,x){this.startLineNumber=q,this.startColumn=M,this.endLineNumber=O,this.endColumn=x}}e.SearchRange=r;class s extends r{constructor(q,M,O){super(q,M,q,O)}}e.OneLineRange=s;var i;(function(F){F.Default="default",F.FileNames="fileNames",F.Type="type",F.Modified="modified",F.CountDescending="countDescending",F.CountAscending="countAscending"})(i=e.SearchSortOrder||(e.SearchSortOrder={}));function a(F,q=!0){const M=F&&F.files&&F.files.exclude,O=q&&F&&F.search&&F.search.exclude;if(!M&&!O)return;if(!M||!O)return M||O;let x=Object.create(null);return x=k.mixin(x,k.deepClone(M)),x=k.mixin(x,k.deepClone(O),!0),x}e.getExcludes=a;function v(F,q){return F.excludePattern&&R.match(F.excludePattern,q)?!1:F.includePattern||F.usingSearchPaths?F.includePattern&&R.match(F.includePattern,q)?!0:F.usingSearchPaths?!!F.folderQueries&&F.folderQueries.some(M=>{const O=M.folder.fsPath;if(y.isEqualOrParent(q,O)){const x=E.relative(O,q);return!M.includePattern||!!R.match(M.includePattern,x)}else return!1}):!1:!0}e.pathIncludedInQuery=v;var p;(function(F){F[F.unknownEncoding=1]="unknownEncoding",F[F.regexParseError=2]="regexParseError",F[F.globParseError=3]="globParseError",F[F.invalidLiteral=4]="invalidLiteral",F[F.rgProcessError=5]="rgProcessError",F[F.other=6]="other",F[F.canceled=7]="canceled"})(p=e.SearchErrorCode||(e.SearchErrorCode={}));class _ extends Error{constructor(q,M){super(q);this.code=M}}e.SearchError=_;function D(F){const q=F.message;if(C.isPromiseCanceledError(F))return new _(q,p.canceled);try{const M=JSON.parse(q);return new _(M.message,M.code)}catch(M){return new _(q,p.other)}}e.deserializeSearchError=D;function o(F){const q={message:F.message,code:F.code};return new Error(JSON.stringify(q))}e.serializeSearchError=o;function T(F){return F.type==="error"?!0:F.type==="success"}e.isSerializedSearchComplete=T;function L(F){return F.type==="success"}e.isSerializedSearchSuccess=L;function H(F){return!!F.path}e.isSerializedFileMatch=H;function B(F,q){const M=F.searchPath?F.searchPath:F.relativePath;return A.fuzzyContains(M,q)}e.isFilePatternMatch=B;class Q{constructor(q){this.path=q,this.results=[]}addMatch(q){this.results.push(q)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.SerializableFileMatch=Q;function z(F,q){const M={...F||{},...q||{}};return Object.keys(M).filter(O=>{const x=M[O];return typeof x=="boolean"&&x})}e.resolvePatternsForProvider=z;class N{constructor(q,M){this._parsedIncludeExpression=null,this._excludeExpression={...q.excludePattern||{},...M.excludePattern||{}},this._parsedExcludeExpression=R.parse(this._excludeExpression);let O=q.includePattern;M.includePattern&&(O?O={...O,...M.includePattern}:O=M.includePattern),O&&(this._parsedIncludeExpression=R.parse(O))}includedInQuerySync(q,M,O){return!(this._parsedExcludeExpression&&this._parsedExcludeExpression(q,M,O)||this._parsedIncludeExpression&&!this._parsedIncludeExpression(q,M,O))}includedInQuery(q,M,O){return Promise.resolve(this._parsedExcludeExpression(q,M,O)).then($=>!!$).then($=>$?!1:this._parsedIncludeExpression?Promise.resolve(this._parsedIncludeExpression(q,M,O)).then(J=>!!J):Promise.resolve(!0)).then($=>$)}hasSiblingExcludeClauses(){return W(this._excludeExpression)}}e.QueryGlobTester=N;function W(F){for(const q in F)if(typeof F[q]!="boolean")return!0;return!1}}),define(fe[35],me([0,1,18,16,21,3,24,10,72,22,8,14,2,165,4,12,184,47,59,27,13,7,31,5]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S,w,b,h,c,f,t,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWorkspace=e.ExtHostWorkspace=void 0;function s(T,L,H){return new C.ExtUri(B=>p(B,H)).isEqual(T,L)}function i(T,L,H){return s(T.uri,L.uri,H)?0:n.compare(T.uri.toString(),L.uri.toString())}function a(T,L,H){return T.index!==L.index?T.index<L.index?-1:1:s(T.uri,L.uri,H)?n.compare(T.name,L.name):n.compare(T.uri.toString(),L.uri.toString())}function v(T,L,H,B){const Q=T.slice(0).sort((N,W)=>H(N,W,B)),z=L.slice(0).sort((N,W)=>H(N,W,B));return g.delta(Q,z,(N,W)=>H(N,W,B))}function p(T,L){const H=L.getCapabilities(T.scheme);return!(H&&H&1024)}class _ extends w.Workspace{constructor(L,H,B,Q,z,N){super(L,B.map(W=>new w.WorkspaceFolder(W)),Q,N);this._name=H,this._isUntitled=z,this._workspaceFolders=[],this._structure=A.TernarySearchTree.forUris(N),B.forEach(W=>{this._workspaceFolders.push(W),this._structure.set(W.uri,W)})}static toExtHostWorkspace(L,H,B,Q){if(!L)return{workspace:null,added:[],removed:[]};const{id:z,name:N,folders:W,configuration:F,isUntitled:q}=L,M=[],O=H;H?W.forEach((de,Ee)=>{const Fe=d.URI.revive(de.uri),Re=_._findFolder(B||H,Fe,Q);Re?(Re.name=de.name,Re.index=de.index,M.push(Re)):M.push({uri:Fe,name:de.name,index:Ee})}):M.push(...W.map(({uri:de,name:Ee,index:Fe})=>({uri:d.URI.revive(de),name:Ee,index:Fe}))),M.sort((de,Ee)=>de.index<Ee.index?-1:1);const x=new _(z,N,M,F?d.URI.revive(F):null,!!q,de=>p(de,Q)),{added:$,removed:J}=v(O?O.workspaceFolders:[],x.workspaceFolders,i,Q);return{workspace:x,added:$,removed:J}}static _findFolder(L,H,B){for(let Q=0;Q<L.folders.length;Q++){const z=L.workspaceFolders[Q];if(s(z.uri,H,B))return z}}get name(){return this._name}get isUntitled(){return this._isUntitled}get workspaceFolders(){return this._workspaceFolders.slice(0)}getWorkspaceFolder(L,H){return H&&this._structure.get(L)&&(L=C.dirname(L)),this._structure.findSubstr(L)}resolveWorkspaceFolder(L){return this._structure.get(L)}}let D=class{constructor(L,H,B,Q){this._onDidChangeWorkspace=new y.Emitter,this.onDidChangeWorkspace=this._onDidChangeWorkspace.event,this._onDidGrantWorkspaceTrust=new y.Emitter,this.onDidGrantWorkspaceTrust=this._onDidGrantWorkspaceTrust.event,this._activeSearchCallbacks=[],this._trusted=!1,this._logService=Q,this._extHostFileSystemInfo=B,this._requestIdProvider=new E.Counter,this._barrier=new R.Barrier,this._proxy=L.getProxy(r.MainContext.MainThreadWorkspace),this._messageService=L.getProxy(r.MainContext.MainThreadMessageService);const z=H.workspace;this._confirmedWorkspace=z?new _(z.id,z.name,[],z.configuration?d.URI.revive(z.configuration):null,!!z.isUntitled,N=>p(N,B)):void 0}$initializeWorkspace(L,H){this._trusted=H,this.$acceptWorkspaceData(L),this._barrier.open()}waitForInitializeCall(){return this._barrier.wait()}get workspace(){return this._actualWorkspace}get name(){return this._actualWorkspace?this._actualWorkspace.name:void 0}get workspaceFile(){if(this._actualWorkspace&&this._actualWorkspace.configuration)return this._actualWorkspace.isUntitled?d.URI.from({scheme:I.Schemas.untitled,path:C.basename(C.dirname(this._actualWorkspace.configuration))}):this._actualWorkspace.configuration}get _actualWorkspace(){return this._unconfirmedWorkspace||this._confirmedWorkspace}getWorkspaceFolders(){if(!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}updateWorkspaceFolders(L,H,B,...Q){const z=[];if(Array.isArray(Q)&&Q.forEach(M=>{d.URI.isUri(M.uri)&&!z.some(O=>s(O.uri,M.uri,this._extHostFileSystemInfo))&&z.push({uri:M.uri,name:M.name||C.basenameOrAuthority(M.uri)})}),this._unconfirmedWorkspace||[H,B].some(M=>typeof M!="number"||M<0)||B===0&&z.length===0)return!1;const N=this._actualWorkspace?this._actualWorkspace.workspaceFolders:[];if(H+B>N.length)return!1;const W=N.slice(0);W.splice(H,B,...z.map(M=>({uri:M.uri,name:M.name||C.basenameOrAuthority(M.uri),index:void 0})));for(let M=0;M<W.length;M++){const O=W[M];if(W.some((x,$)=>$!==M&&s(O.uri,x.uri,this._extHostFileSystemInfo)))return!1}W.forEach((M,O)=>M.index=O);const{added:F,removed:q}=v(N,W,a,this._extHostFileSystemInfo);if(F.length===0&&q.length===0)return!1;if(this._proxy){const M=L.displayName||L.name;this._proxy.$updateWorkspaceFolders(M,H,B,z).then(void 0,O=>{this._unconfirmedWorkspace=void 0,this._messageService.$showMessage(S.Severity.Error,m.localize(0,null,M,O.toString()),{extension:L},[])})}return this.trySetWorkspaceFolders(W),!0}getWorkspaceFolder(L,H){if(!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(L,H)}async getWorkspaceFolder2(L,H){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(L,H)}async resolveWorkspaceFolder(L){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.resolveWorkspaceFolder(L)}getPath(){if(!this._actualWorkspace)return;const{folders:L}=this._actualWorkspace;if(L.length!==0)return L[0].uri.fsPath}getRelativePath(L,H){let B,Q="";if(typeof L=="string"?(B=d.URI.file(L),Q=L):typeof L!="undefined"&&(B=L,Q=L.fsPath),!B)return Q;const z=this.getWorkspaceFolder(B,!0);if(!z)return Q;typeof H=="undefined"&&this._actualWorkspace&&(H=this._actualWorkspace.folders.length>1);let N=C.relativePath(z.uri,B);return H&&z.name&&(N=`${z.name}/${N}`),N}trySetWorkspaceFolders(L){this._actualWorkspace&&(this._unconfirmedWorkspace=_.toExtHostWorkspace({id:this._actualWorkspace.id,name:this._actualWorkspace.name,configuration:this._actualWorkspace.configuration,folders:L,isUntitled:this._actualWorkspace.isUntitled},this._actualWorkspace,void 0,this._extHostFileSystemInfo).workspace||void 0)}$acceptWorkspaceData(L){const{workspace:H,added:B,removed:Q}=_.toExtHostWorkspace(L,this._confirmedWorkspace,this._unconfirmedWorkspace,this._extHostFileSystemInfo);this._confirmedWorkspace=H||void 0,this._unconfirmedWorkspace=void 0,this._onDidChangeWorkspace.fire(Object.freeze({added:B,removed:Q}))}findFiles(L,H,B,Q,z=k.CancellationToken.None){this._logService.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${Q.value}, entryPoint: findFiles`);let N;if(H===null?N=!1:H&&(typeof H=="string"?N=H:N=H.pattern),z&&z.isCancellationRequested)return Promise.resolve([]);const{includePattern:W,folder:F}=o(L);return this._proxy.$startFileSearch(P.withUndefinedAsNull(W),P.withUndefinedAsNull(F),P.withUndefinedAsNull(N),P.withUndefinedAsNull(B),z).then(q=>Array.isArray(q)?q.map(M=>d.URI.revive(M)):[])}async findTextInFiles(L,H,B,Q,z=k.CancellationToken.None){this._logService.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${Q.value}, entryPoint: findTextInFiles`);const N=this._requestIdProvider.getNext(),W=typeof H.previewOptions=="undefined"?{matchLines:100,charsPerLine:1e4}:H.previewOptions,{includePattern:F,folder:q}=o(H.include),M=typeof H.exclude=="string"?H.exclude:H.exclude?H.exclude.pattern:void 0,O={ignoreSymlinks:typeof H.followSymlinks=="boolean"?!H.followSymlinks:void 0,disregardIgnoreFiles:typeof H.useIgnoreFiles=="boolean"?!H.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof H.useGlobalIgnoreFiles=="boolean"?!H.useGlobalIgnoreFiles:void 0,disregardExcludeSettings:typeof H.useDefaultExcludes=="boolean"?!H.useDefaultExcludes:!0,fileEncoding:H.encoding,maxResults:H.maxResults,previewOptions:W,afterContext:H.afterContext,beforeContext:H.beforeContext,includePattern:F,excludePattern:M},x=!1;if(this._activeSearchCallbacks[N]=$=>{if(x)return;const J=d.URI.revive($.resource);$.results.forEach(de=>{t.resultIsMatch(de)?B({uri:J,preview:{text:de.preview.text,matches:g.mapArrayOrNot(de.preview.matches,Ee=>new f.Range(Ee.startLineNumber,Ee.startColumn,Ee.endLineNumber,Ee.endColumn))},ranges:g.mapArrayOrNot(de.ranges,Ee=>new f.Range(Ee.startLineNumber,Ee.startColumn,Ee.endLineNumber,Ee.endColumn))}):B({uri:J,text:de.text,lineNumber:de.lineNumber})})},z.isCancellationRequested)return{};try{const $=await this._proxy.$startTextSearch(L,P.withUndefinedAsNull(q),O,N,z);return delete this._activeSearchCallbacks[N],$||{}}catch($){throw delete this._activeSearchCallbacks[N],$}}$handleTextSearchResult(L,H){this._activeSearchCallbacks[H]&&this._activeSearchCallbacks[H](L)}saveAll(L){return this._proxy.$saveAll(L)}resolveProxy(L){return this._proxy.$resolveProxy(L)}get trusted(){return this._trusted}requestWorkspaceTrust(L){return this._proxy.$requestWorkspaceTrust(L)}$onDidGrantWorkspaceTrust(){this._trusted||(this._trusted=!0,this._onDidGrantWorkspaceTrust.fire())}};D=ze([We(0,c.IExtHostRpcService),We(1,h.IExtHostInitDataService),We(2,b.IExtHostFileSystemInfo),We(3,u.ILogService)],D),e.ExtHostWorkspace=D,e.IExtHostWorkspace=l.createDecorator("IExtHostWorkspace");function o(T){let L,H;return T&&(typeof T=="string"?L=T:(L=T.pattern,H=T.baseFolder||d.URI.file(T.base))),{includePattern:L,folder:H}}}),define(fe[36],me([0,1,25,3,35,5,7,188,81,14,16,4,13,12,2]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConfiguration=e.ExtHostConfigProvider=e.ExtHostConfiguration=void 0;function u(r,s){if(s){const i=s.split(".");let a=r;for(let v=0;a&&v<i.length;v++)a=a[i[v]];return a}}function S(r){return r instanceof l.URI}function w(r){return r&&r.uri instanceof l.URI&&r.languageId&&typeof r.languageId=="string"}function b(r){return r&&!r.uri&&r.languageId&&typeof r.languageId=="string"}function h(r){return r&&r.uri instanceof l.URI&&(!r.name||typeof r.name=="string")&&(!r.index||typeof r.index=="number")}function c(r){if(S(r))return{resource:r};if(w(r))return{resource:r.uri,overrideIdentifier:r.languageId};if(b(r))return{overrideIdentifier:r.languageId};if(h(r))return{resource:r.uri};if(r===null)return{resource:null}}let f=class{constructor(s,i,a){this._proxy=s.getProxy(y.MainContext.MainThreadConfiguration),this._extHostWorkspace=i,this._logService=a,this._barrier=new n.Barrier,this._actual=null}getConfigProvider(){return this._barrier.wait().then(s=>this._actual)}$initializeConfiguration(s){this._actual=new t(this._proxy,this._extHostWorkspace,s,this._logService),this._barrier.open()}$acceptConfigurationChanged(s,i){this.getConfigProvider().then(a=>a.$acceptConfigurationChanged(s,i))}};f=ze([We(0,d.IExtHostRpcService),We(1,k.IExtHostWorkspace),We(2,m.ILogService)],f),e.ExtHostConfiguration=f;class t{constructor(s,i,a,v){this._onDidChangeConfiguration=new R.Emitter,this._proxy=s,this._logService=v,this._extHostWorkspace=i,this._configuration=I.Configuration.parse(a),this._configurationScopes=this._toMap(a.configurationScopes)}get onDidChangeConfiguration(){return this._onDidChangeConfiguration&&this._onDidChangeConfiguration.event}$acceptConfigurationChanged(s,i){const a={data:this._configuration.toData(),workspace:this._extHostWorkspace.workspace};this._configuration=I.Configuration.parse(s),this._configurationScopes=this._toMap(s.configurationScopes),this._onDidChangeConfiguration.fire(this._toConfigurationChangeEvent(i,a))}getConfiguration(s,i,a){const v=c(i)||{},p=this._toReadonlyValue(s?u(this._configuration.getValue(void 0,v,this._extHostWorkspace.workspace),s):this._configuration.getValue(void 0,v,this._extHostWorkspace.workspace));s&&this._validateConfigurationAccess(s,v,a?.identifier);function _(o){if(o==null)return null;if(typeof o=="boolean")return o?1:4;switch(o){case A.ConfigurationTarget.Global:return 1;case A.ConfigurationTarget.Workspace:return 4;case A.ConfigurationTarget.WorkspaceFolder:return 5}}const D={has(o){return typeof u(p,o)!="undefined"},get:(o,T)=>{this._validateConfigurationAccess(s?`${s}.${o}`:o,v,a?.identifier);let L=u(p,o);if(typeof L=="undefined")L=T;else{let H;const B=(Q,z)=>{let N;const W=()=>{H=H||g.deepClone(p),N=N||u(H,z)};return C.isObject(Q)?new Proxy(Q,{get:(F,q)=>{if(typeof q=="string"&&q.toLowerCase()==="tojson")return W(),()=>N;if(H)return N=N||u(H,z),N[q];const M=F[q];return typeof q=="string"?B(M,`${z}.${q}`):M},set:(F,q,M)=>(W(),N&&(N[q]=M),!0),deleteProperty:(F,q)=>(W(),N&&delete N[q],!0),defineProperty:(F,q,M)=>(W(),N&&Object.defineProperty(N,q,M),!0)}):Q};L=B(L,o)}return L},update:(o,T,L,H)=>{o=s?`${s}.${o}`:o;const B=_(L);return T!==void 0?this._proxy.$updateConfigurationOption(B,o,T,v,H):this._proxy.$removeConfigurationOption(B,o,v,H)},inspect:o=>{o=s?`${s}.${o}`:o;const T=g.deepClone(this._configuration.inspect(o,v,this._extHostWorkspace.workspace));if(T)return{key:o,defaultValue:T.default?.value,globalValue:T.user?.value,workspaceValue:T.workspace?.value,workspaceFolderValue:T.workspaceFolder?.value,defaultLanguageValue:T.default?.override,globalLanguageValue:T.user?.override,workspaceLanguageValue:T.workspace?.override,workspaceFolderLanguageValue:T.workspaceFolder?.override,languageIds:T.overrideIdentifiers}}};return typeof p=="object"&&g.mixin(D,p,!1),Object.freeze(D)}_toReadonlyValue(s){const i=a=>C.isObject(a)?new Proxy(a,{get:(v,p)=>i(v[p]),set:(v,p,_)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(p)}' of object`)},deleteProperty:(v,p)=>{throw new Error(`TypeError: Cannot delete read only property '${String(p)}' of object`)},defineProperty:(v,p)=>{throw new Error(`TypeError: Cannot define property '${String(p)}' for a readonly object`)},setPrototypeOf:v=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):a;return i(s)}_validateConfigurationAccess(s,i,a){const v=E.OVERRIDE_PROPERTY_PATTERN.test(s)?4:this._configurationScopes.get(s),p=a?`[${a.value}] `:"";if(v===4){typeof i?.resource=="undefined"&&this._logService.warn(`${p}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${s}', provide the URI of a resource or 'null' for any resource.`);return}if(v===3){i?.resource&&this._logService.warn(`${p}Accessing a window scoped configuration for a resource is not expected. To associate '${s}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}_toConfigurationChangeEvent(s,i){const a=new I.ConfigurationChangeEvent(s,i,this._configuration,this._extHostWorkspace.workspace);return Object.freeze({affectsConfiguration:(v,p)=>a.affectsConfiguration(v,c(p))})}_toMap(s){return s.reduce((i,a)=>(i.set(a[0],a[1]),i),new Map)}}e.ExtHostConfigProvider=t,e.IExtHostConfiguration=P.createDecorator("IExtHostConfiguration")});var it=this&&this.__classPrivateFieldSet||function(X,e,g,R,k){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!k)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!k:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?k.call(X,g):k?k.value=g:e.set(X,g),g},Ue=this&&this.__classPrivateFieldGet||function(X,e,g,R){if(g==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!R:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return g==="m"?R:g==="a"?R.call(X):R?R.value:e.get(X)};define(fe[66],me([0,1,2,16,3,5,7,35,42,36,21,33,13,27,4,10,11,12,61,204,15]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S,w,b,h,c){"use strict";var f;Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTask=e.WorkerExtHostTask=e.ExtHostTaskBase=e.TaskExecutionDTO=e.TaskFilterDTO=e.TaskDTO=e.TaskHandleDTO=e.CustomExecutionDTO=e.ShellExecutionDTO=e.ShellExecutionOptionsDTO=e.ProcessExecutionDTO=e.ProcessExecutionOptionsDTO=e.TaskPresentationOptionsDTO=e.TaskDefinitionDTO=void 0;var t;(function(Q){function z(W){if(W!=null)return W}Q.from=z;function N(W){if(W!=null)return W}Q.to=N})(t=e.TaskDefinitionDTO||(e.TaskDefinitionDTO={}));var r;(function(Q){function z(W){if(W!=null)return W}Q.from=z;function N(W){if(W!=null)return W}Q.to=N})(r=e.TaskPresentationOptionsDTO||(e.TaskPresentationOptionsDTO={}));var s;(function(Q){function z(W){if(W!=null)return W}Q.from=z;function N(W){if(W!=null)return W}Q.to=N})(s=e.ProcessExecutionOptionsDTO||(e.ProcessExecutionOptionsDTO={}));var i;(function(Q){function z(F){if(F){const q=F;return q&&!!q.process}else return!1}Q.is=z;function N(F){if(F==null)return;const q={process:F.process,args:F.args};return F.options&&(q.options=s.from(F.options)),q}Q.from=N;function W(F){if(F!=null)return new A.ProcessExecution(F.process,F.args,F.options)}Q.to=W})(i=e.ProcessExecutionDTO||(e.ProcessExecutionDTO={}));var a;(function(Q){function z(W){if(W!=null)return W}Q.from=z;function N(W){if(W!=null)return W}Q.to=N})(a=e.ShellExecutionOptionsDTO||(e.ShellExecutionOptionsDTO={}));var v;(function(Q){function z(F){if(F){const q=F;return q&&(!!q.commandLine||!!q.command)}else return!1}Q.is=z;function N(F){if(F==null)return;const q={};return F.commandLine!==void 0?q.commandLine=F.commandLine:(q.command=F.command,q.args=F.args),F.options&&(q.options=a.from(F.options)),q}Q.from=N;function W(F){if(!(F==null||F.command===void 0&&F.commandLine===void 0))return F.commandLine?new A.ShellExecution(F.commandLine,F.options):new A.ShellExecution(F.command,F.args?F.args:[],F.options)}Q.to=W})(v=e.ShellExecutionDTO||(e.ShellExecutionDTO={}));var p;(function(Q){function z(F){if(F){let q=F;return q&&q.customExecution==="customExecution"}else return!1}Q.is=z;function N(F){return{customExecution:"customExecution"}}Q.from=N;function W(F,q){return q.get(F)}Q.to=W})(p=e.CustomExecutionDTO||(e.CustomExecutionDTO={}));var _;(function(Q){function z(N,W){let F;return N.scope!==void 0&&typeof N.scope!="number"?F=N.scope.uri:N.scope!==void 0&&typeof N.scope=="number"&&(N.scope===A.TaskScope.Workspace&&W&&W.workspaceFile?F=W.workspaceFile:F=h.USER_TASKS_GROUP_KEY),{id:N._id,workspaceFolder:F}}Q.from=z})(_=e.TaskHandleDTO||(e.TaskHandleDTO={}));var D;(function(Q){function z(F,q){if(F==null)return[];const M=[];for(let O of F){const x=N(O,q);x&&M.push(x)}return M}Q.fromMany=z;function N(F,q){if(F==null)return;let M;F.execution instanceof A.ProcessExecution?M=i.from(F.execution):F.execution instanceof A.ShellExecution?M=v.from(F.execution):F.execution&&F.execution instanceof A.CustomExecution&&(M=p.from(F.execution));const O=t.from(F.definition);let x;if(F.scope?typeof F.scope=="number"?x=F.scope:x=F.scope.uri:x=A.TaskScope.Workspace,!O||!x)return;const $=F.group?F.group.id:void 0;return{_id:F._id,definition:O,name:F.name,source:{extensionId:q.identifier.value,label:F.source,scope:x},execution:M,isBackground:F.isBackground,group:$,presentationOptions:r.from(F.presentationOptions),problemMatchers:F.problemMatchers,hasDefinedMatchers:F.hasDefinedMatchers,runOptions:F.runOptions?F.runOptions:{reevaluateOnRerun:!0},detail:F.detail}}Q.from=N;async function W(F,q,M){if(F==null)return;let O;i.is(F.execution)?O=i.to(F.execution):v.is(F.execution)?O=v.to(F.execution):p.is(F.execution)&&(O=p.to(F._id,M));const x=t.to(F.definition);let $;if(F.source&&(F.source.scope!==void 0?typeof F.source.scope=="number"?$=F.source.scope:$=await q.resolveWorkspaceFolder(g.URI.revive(F.source.scope)):$=A.TaskScope.Workspace),!x||!$)return;const J=new A.Task(x,$,F.name,F.source.label,O,F.problemMatchers);return F.isBackground!==void 0&&(J.isBackground=F.isBackground),F.group!==void 0&&(J.group=A.TaskGroup.from(F.group)),F.presentationOptions&&(J.presentationOptions=r.to(F.presentationOptions)),F._id&&(J._id=F._id),F.detail&&(J.detail=F.detail),J}Q.to=W})(D=e.TaskDTO||(e.TaskDTO={}));var o;(function(Q){function z(W){return W}Q.from=z;function N(W){if(!!W)return Object.assign(Object.create(null),W)}Q.to=N})(o=e.TaskFilterDTO||(e.TaskFilterDTO={}));class T{constructor(z,N,W){this._id=N,this._task=W,f.set(this,void 0),it(this,f,z,"f")}get task(){return this._task}terminate(){Ue(this,f,"f").terminateTask(this)}fireDidStartProcess(z){}fireDidEndProcess(z){}}f=new WeakMap;var L;(function(Q){function z(N){return{id:N._id,task:void 0}}Q.from=z})(L=e.TaskExecutionDTO||(e.TaskExecutionDTO={}));let H=class{constructor(z,N,W,F,q,M,O,x){this._onDidExecuteTask=new k.Emitter,this._onDidTerminateTask=new k.Emitter,this._onDidTaskProcessStarted=new k.Emitter,this._onDidTaskProcessEnded=new k.Emitter,this._proxy=z.getProxy(y.MainContext.MainThreadTask),this._workspaceProvider=W,this._editorService=F,this._configurationService=q,this._terminalService=M,this._handleCounter=0,this._handlers=new Map,this._taskExecutions=new Map,this._taskExecutionPromises=new Map,this._providedCustomExecutions2=new Map,this._notProvidedCustomExecutions=new Set,this._activeCustomExecutions2=new Map,this._logService=O,this._deprecationService=x,this._proxy.$registerSupportedExecutions(!0)}registerTaskProvider(z,N,W){if(!W)return new A.Disposable(()=>{});const F=this.nextHandle();return this._handlers.set(F,{type:N,provider:W,extension:z}),this._proxy.$registerTaskProvider(F,N),new A.Disposable(()=>{this._handlers.delete(F),this._proxy.$unregisterTaskProvider(F)})}registerTaskSystem(z,N){this._proxy.$registerTaskSystem(z,N)}fetchTasks(z){return this._proxy.$fetchTasks(o.from(z)).then(async N=>{const W=[];for(let F of N){const q=await D.to(F,this._workspaceProvider,this._providedCustomExecutions2);q&&W.push(q)}return W})}get taskExecutions(){const z=[];return this._taskExecutions.forEach(N=>z.push(N)),z}terminateTask(z){if(!(z instanceof T))throw new Error("No valid task execution provided");return this._proxy.$terminateTask(z._id)}get onDidStartTask(){return this._onDidExecuteTask.event}async $onDidStartTask(z,N,W){const F=this._providedCustomExecutions2.get(z.id);if(F){if(this._activeCustomExecutions2.get(z.id)!==void 0)throw new Error("We should not be trying to start the same custom task executions twice.");this._activeCustomExecutions2.set(z.id,F),this._terminalService.attachPtyToTerminal(N,await F.callback(W))}this._lastStartedTask=z.id,this._onDidExecuteTask.fire({execution:await this.getTaskExecution(z)})}get onDidEndTask(){return this._onDidTerminateTask.event}async $OnDidEndTask(z){const N=await this.getTaskExecution(z);this._taskExecutionPromises.delete(z.id),this._taskExecutions.delete(z.id),this.customExecutionComplete(z),this._onDidTerminateTask.fire({execution:N})}get onDidStartTaskProcess(){return this._onDidTaskProcessStarted.event}async $onDidStartTaskProcess(z){const N=await this.getTaskExecution(z.id);this._onDidTaskProcessStarted.fire({execution:N,processId:z.processId})}get onDidEndTaskProcess(){return this._onDidTaskProcessEnded.event}async $onDidEndTaskProcess(z){const N=await this.getTaskExecution(z.id);this._onDidTaskProcessEnded.fire({execution:N,exitCode:z.exitCode})}$provideTasks(z,N){const W=this._handlers.get(z);if(!W)return Promise.reject(new Error("no handler found"));const F=[],q=R.asPromise(()=>W.provider.provideTasks(n.CancellationToken.None)).then(M=>this.provideTasksInternal(N,F,W,M));return new Promise(M=>{q.then(O=>{Promise.all(F).then(()=>{M(O)})})})}async $resolveTask(z,N){const W=this._handlers.get(z);if(!W)return Promise.reject(new Error("no handler found"));if(N.definition.type!==W.type)throw new Error(`Unexpected: Task of type [${N.definition.type}] cannot be resolved by provider of type [${W.type}].`);const F=await D.to(N,this._workspaceProvider,this._providedCustomExecutions2);if(!F)throw new Error("Unexpected: Task cannot be resolved.");const q=await W.provider.resolveTask(F,n.CancellationToken.None);if(!q)return;this.checkDeprecation(q,W);const M=D.from(q,W.extension);if(!M)throw new Error("Unexpected: Task cannot be resolved.");if(q.definition!==F.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return p.is(M.execution)&&await this.addCustomExecution(M,q,!0),await this.resolveTaskInternal(M)}nextHandle(){return this._handleCounter++}async addCustomExecution(z,N,W){const F=await this._proxy.$createTaskId(z);!W&&!this._providedCustomExecutions2.has(F)&&this._notProvidedCustomExecutions.add(F),this._providedCustomExecutions2.set(F,N.execution)}async getTaskExecution(z,N){if(typeof z=="string"){const q=this._taskExecutionPromises.get(z);if(!q)throw new Error("Unexpected: The specified task is missing an execution");return q}let W=this._taskExecutionPromises.get(z.id);if(W)return W;const F=new Promise(async(q,M)=>{const O=N||await D.to(z.task,this._workspaceProvider,this._providedCustomExecutions2);O?q(new T(this,z.id,O)):M("Unexpected: Task does not exist.")});return this._taskExecutionPromises.set(z.id,F),F.then(q=>(this._taskExecutions.set(z.id,q),q),q=>Promise.reject(q))}checkDeprecation(z,N){z._deprecated&&this._deprecationService.report("Task.constructor",N.extension,"Use the Task constructor that takes a `scope` instead.")}customExecutionComplete(z){this._activeCustomExecutions2.get(z.id)&&this._activeCustomExecutions2.delete(z.id),this._notProvidedCustomExecutions.has(z.id)&&this._lastStartedTask!==z.id&&(this._providedCustomExecutions2.delete(z.id),this._notProvidedCustomExecutions.delete(z.id));let W=this._notProvidedCustomExecutions.values(),F=W.next();for(;!F.done;)!this._activeCustomExecutions2.has(F.value)&&this._lastStartedTask!==F.value&&(this._providedCustomExecutions2.delete(F.value),this._notProvidedCustomExecutions.delete(F.value)),F=W.next()}};H=ze([We(0,d.IExtHostRpcService),We(1,m.IExtHostInitDataService),We(2,I.IExtHostWorkspace),We(3,E.IExtHostDocumentsAndEditors),We(4,C.IExtHostConfiguration),We(5,P.IExtHostTerminalService),We(6,w.ILogService),We(7,b.IExtHostApiDeprecationService)],H),e.ExtHostTaskBase=H;let B=class extends H{constructor(z,N,W,F,q,M,O,x){super(z,N,W,F,q,M,O,x);this.registerTaskSystem(u.Schemas.vscodeRemote,{scheme:u.Schemas.vscodeRemote,authority:"",platform:S.PlatformToString(0)})}async executeTask(z,N){if(!N.execution)throw new Error("Tasks to execute must include an execution");const W=D.from(N,z);if(W===void 0)throw new Error("Task is not valid");if(p.is(W.execution))await this.addCustomExecution(W,N,!1);else throw new c.NotSupportedError;const F=await this.getTaskExecution(await this._proxy.$getTaskExecution(W),N);return this._proxy.$executeTask(W).catch(q=>{throw new Error(q)}),F}provideTasksInternal(z,N,W,F){const q=[];if(F)for(let M of F){this.checkDeprecation(M,W),(!M.definition||!z[M.definition.type])&&this._logService.warn(`The task [${M.source}, ${M.name}] uses an undefined task type. The task will be ignored in the future.`);const O=D.from(M,W.extension);O&&p.is(O.execution)?(q.push(O),N.push(this.addCustomExecution(O,M,!0))):this._logService.warn("Only custom execution tasks supported.")}return{tasks:q,extension:W.extension}}async resolveTaskInternal(z){if(p.is(z.execution))return z;this._logService.warn("Only custom execution tasks supported.")}async $resolveVariables(z,N){return{process:void 0,variables:Object.create(null)}}async $jsonTasksSupported(){return!1}async $findExecutable(z,N,W){}};B=ze([We(0,d.IExtHostRpcService),We(1,m.IExtHostInitDataService),We(2,I.IExtHostWorkspace),We(3,E.IExtHostDocumentsAndEditors),We(4,C.IExtHostConfiguration),We(5,P.IExtHostTerminalService),We(6,w.ILogService),We(7,b.IExtHostApiDeprecationService)],B),e.WorkerExtHostTask=B,e.IExtHostTask=l.createDecorator("IExtHostTask")}),define(fe[259],me([0,1,18,69,30,75,24,10,9,22,8,14,2,142,170,116,47,215,258,31]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S,w,b,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveResourcesForSearchIncludes=e.QueryBuilder=void 0;let c=class{constructor(_,D,o,T){this.configurationService=_,this.workspaceContextService=D,this.editorGroupsService=o,this.pathService=T}text(_,D,o={}){_=this.getContentPattern(_,o);const T=this.configurationService.getValue(),L=D&&D.some(B=>!this.configurationService.getValue({resource:B}).search.useRipgrep);return{...this.commonQuery(D?.map(S.toWorkspaceFolder),o),type:2,contentPattern:_,previewOptions:o.previewOptions,maxFileSize:o.maxFileSize,usePCRE2:T.search.usePCRE2||L||!1,beforeContext:o.beforeContext,afterContext:o.afterContext,userDisabledExcludesAndIgnoreFiles:o.disregardExcludeSettings&&o.disregardIgnoreFiles}}getContentPattern(_,D){const o=this.configurationService.getValue();_.isRegExp&&(_.pattern=_.pattern.replace(/\r?\n/g,"\\n"));const T={..._,wordSeparators:o.editor.wordSeparators};return this.isCaseSensitive(_,D)&&(T.isCaseSensitive=!0),this.isMultiline(_)&&(T.isMultiline=!0),T}file(_,D={}){return{...this.commonQuery(_,D),type:1,filePattern:D.filePattern?D.filePattern.trim():D.filePattern,exists:D.exists,sortByScore:D.sortByScore,cacheKey:D.cacheKey}}handleIncludeExclude(_,D){return _?(_=Array.isArray(_)?_.map(i):i(_),D?this.parseSearchPaths(_):{pattern:t(...Array.isArray(_)?_:[_])}):{}}commonQuery(_=[],D={}){const o=this.handleIncludeExclude(D.includePattern,D.expandPatterns),T=this.handleIncludeExclude(D.excludePattern,D.expandPatterns),L=_.length>1,H=(o.searchPaths&&o.searchPaths.length?o.searchPaths.map(z=>this.getFolderQueryForSearchPath(z,D,T)):_.map(z=>this.getFolderQueryForRoot(z,D,T,L))).filter(z=>!!z),B={_reason:D._reason,folderQueries:H,usingSearchPaths:!!(o.searchPaths&&o.searchPaths.length),extraFileResources:D.extraFileResources,excludePattern:T.pattern,includePattern:o.pattern,onlyOpenEditors:D.onlyOpenEditors,maxResults:D.maxResults};if(D.onlyOpenEditors){const N=g.coalesce(g.flatten(this.editorGroupsService.groups.map(F=>F.editors.map(q=>q.resource)))).filter(F=>h.pathIncludedInQuery(B,F.fsPath)),W=this.commonQueryFromFileList(N);return{...B,...W}}const Q=D.extraFileResources&&D.extraFileResources.filter(z=>h.pathIncludedInQuery(B,z.fsPath));return B.extraFileResources=Q&&Q.length?Q:void 0,B}commonQueryFromFileList(_){const D=[],o=new A.ResourceMap,T={};let L=!1;return _.forEach(H=>{if(H.scheme===I.Schemas.walkThrough)return;if(C.isAbsolutePath(H)){const Q=this.workspaceContextService.getWorkspaceFolder(H)?.uri??H.with({path:E.dirname(H.fsPath)});let z=o.get(Q);z||(L=!0,z={folder:Q,includePattern:{}},D.push(z),o.set(Q,z));const N=E.relative(Q.fsPath,H.fsPath);P.assertIsDefined(z.includePattern)[N.replace(/\\/g,"/")]=!0}else H.fsPath&&(L=!0,T[H.fsPath]=!0)}),{folderQueries:D,includePattern:T,usingSearchPaths:!0,excludePattern:L?void 0:{"**/*":!0}}}isCaseSensitive(_,D){if(D.isSmartCase){if(_.isRegExp){if(n.containsUppercaseCharacter(_.pattern,!0))return!0}else if(n.containsUppercaseCharacter(_.pattern))return!0}return!!_.isCaseSensitive}isMultiline(_){return _.isMultiline||_.isRegExp&&m.isMultilineRegexSource(_.pattern)||_.pattern.indexOf(`
`)>=0?!0:!!_.isMultiline}parseSearchPaths(_){const D=W=>E.isAbsolute(W)||/^\.\.?([\/\\]|$)/.test(W),T=(Array.isArray(_)?_:r(_)).map(W=>{const F=this.pathService.resolvedUserHome;return F?y.untildify(W,F.scheme===I.Schemas.file?F.fsPath:F.path):W}),L=R.groupBy(T,W=>D(W)?"searchPaths":"exprSegments"),H=(L.exprSegments||[]).map(W=>n.rtrim(W,"/")).map(W=>n.rtrim(W,"\\")).map(W=>(W[0]==="."&&(W="*"+W),s(W))),B={},Q=this.expandSearchPathPatterns(L.searchPaths||[]);Q&&Q.length&&(B.searchPaths=Q);const z=g.flatten(H),N=t(...z);return N&&(B.pattern=N),B}getExcludesForFolder(_,D){return D.disregardExcludeSettings?void 0:h.getExcludes(_,!D.disregardSearchExcludeSettings)}expandSearchPathPatterns(_){if(!_||!_.length)return[];const D=g.flatten(_.map(T=>{let{pathPortion:L,globPortion:H}=f(T);H&&(H=a(H));const B=this.expandOneSearchPath(L);return g.flatten(B.map(Q=>this.resolveOneSearchPathPattern(Q,H)))})),o=new Map;return D.forEach(T=>{const L=T.searchPath.toString(),H=o.get(L);H?T.pattern&&(H.pattern=H.pattern||{},H.pattern[T.pattern]=!0):o.set(L,{searchPath:T.searchPath,pattern:T.pattern?t(T.pattern):void 0})}),Array.from(o.values())}expandOneSearchPath(_){if(E.isAbsolute(_)){const D=this.workspaceContextService.getWorkspace().folders;return D[0]&&D[0].uri.scheme!==I.Schemas.file?[{searchPath:D[0].uri.with({path:_})}]:[{searchPath:d.URI.file(E.normalize(_))}]}if(this.workspaceContextService.getWorkbenchState()===2){const D=this.workspaceContextService.getWorkspace().folders[0].uri;if(_=i(_),_.startsWith("../")||_===".."){const T=E.posix.resolve(D.path,_);return[{searchPath:D.with({path:T})}]}const o=a(_);return[{searchPath:D,pattern:o}]}else{if(_==="./"||_===".\\")return[];{const D=_.replace(/^\.[\/\\]/,""),T=this.workspaceContextService.getWorkspace().folders.map(L=>{const H=D.match(new RegExp(`^${n.escapeRegExpCharacters(L.name)}(?:/(.*)|$)`));return H?{match:H,folder:L}:null}).filter(P.isDefined);if(T.length)return T.map(L=>{const H=L.match[1];return{searchPath:L.folder.uri,pattern:H&&a(H)}});{const L=_.match(/\.[\/\\](.+)[\/\\]?/),H=L?L[1]:_,B=l.localize(0,null,H);throw new Error(B)}}}}resolveOneSearchPathPattern(_,D){const o=_.pattern&&D?`${_.pattern}/${D}`:_.pattern||D,T=[{searchPath:_.searchPath,pattern:o}];return o&&!o.endsWith("**")&&T.push({searchPath:_.searchPath,pattern:o+"/**"}),T}getFolderQueryForSearchPath(_,D,o){const T=this.getFolderQueryForRoot(S.toWorkspaceFolder(_.searchPath),D,o,!1);return T?{...T,includePattern:_.pattern}:null}getFolderQueryForRoot(_,D,o,T){let L;const H=d.URI.isUri(_)?_:_.uri;if(o.searchPaths){const W=o.searchPaths.filter(F=>C.isEqual(F.searchPath,H))[0];if(W&&!W.pattern)return null;W&&(L=W.pattern)}const B=this.configurationService.getValue({resource:H}),z={...this.getExcludesForFolder(B,D)||{},...L||{}},N=d.URI.isUri(_)?C.basename(_):_.name;return{folder:H,folderName:T?N:void 0,excludePattern:Object.keys(z).length>0?z:void 0,fileEncoding:B.files&&B.files.encoding,disregardIgnoreFiles:typeof D.disregardIgnoreFiles=="boolean"?D.disregardIgnoreFiles:!B.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof D.disregardGlobalIgnoreFiles=="boolean"?D.disregardGlobalIgnoreFiles:!B.search.useGlobalIgnoreFiles,ignoreSymlinks:typeof D.ignoreSymlinks=="boolean"?D.ignoreSymlinks:!B.search.followSymlinks}}};c=ze([We(0,u.IConfigurationService),We(1,S.IWorkspaceContextService),We(2,w.IEditorGroupsService),We(3,b.IPathService)],c),e.QueryBuilder=c;function f(p){const _=p.match(/[\*\{\}\(\)\[\]\?]/);if(_){const D=_.index,o=p.substr(0,D).match(/[/|\\][^/\\]*$/);if(o){let T=p.substr(0,o.index);return T.match(/[/\\]/)||(T+="/"),{pathPortion:T,globPortion:p.substr((o.index||0)+1)}}}return{pathPortion:p}}function t(...p){return p.length?p.reduce((_,D)=>(_[D]=!0,_),Object.create(null)):void 0}function r(p){return k.splitGlobAware(p,",").map(_=>_.trim()).filter(_=>!!_.length)}function s(p){return[`**/${p}/**`,`**/${p}`].map(D=>D.replace(/\*\*\/\*\*/g,"**"))}function i(p){return p.replace(/\\/g,"/")}function a(p){return i(p).replace(/^\.\//,"").replace(/\/+$/g,"")}function v(p,_){p=g.distinct(p,T=>T.toString());const D=[],o=_.getWorkspace();return p&&p.forEach(T=>{let L;if(_.getWorkbenchState()===2)L=C.relativePath(o.folders[0].uri,T),L&&L!=="."&&(L="./"+L);else{const H=_.getWorkspaceFolder(T);if(H){const B=H.name;if(o.folders.filter(z=>z.name===B).length===1){const z=C.relativePath(H.uri,T);z===""?L=`./${H.name}`:L=`./${H.name}/${z}`}else L=T.fsPath}}L&&D.push(L)}),D}e.resolveResourcesForSearchIncludes=v}),define(fe[260],me([0,1,22,2,21,15,4,259,31,47]),function(X,e,g,R,k,y,A,I,E,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checkGlobFileExists=e.checkActivateWorkspaceContainsExtension=void 0;const n=7e3;function P(u,S){const w=S.activationEvents;if(!w)return Promise.resolve(void 0);const b=[],h=[];for(const i of w)if(/^workspaceContains:/.test(i)){const a=i.substr("workspaceContains:".length);a.indexOf("*")>=0||a.indexOf("?")>=0||u.forceUsingSearch?h.push(a):b.push(a)}if(b.length===0&&h.length===0)return Promise.resolve(void 0);let c;const f=new Promise((i,a)=>{c=i}),t=i=>c({activationEvent:i}),r=Promise.all(b.map(i=>d(u,i,t))).then(()=>{}),s=m(u,S.identifier,h,t);return Promise.all([r,s]).then(()=>{c(void 0)}),f}e.checkActivateWorkspaceContainsExtension=P;async function d(u,S,w){for(const b of u.folders)if(await u.exists(g.joinPath(R.URI.revive(b),S))){w(`workspaceContains:${S}`);return}}async function m(u,S,w,b){if(w.length===0)return Promise.resolve(void 0);const h=new k.CancellationTokenSource,c=u.checkExists(u.folders,w,h.token),f=setTimeout(async()=>{h.cancel(),b(`workspaceContainsTimeout:${w.join(",")}`)},n);let t=!1;try{t=await c}catch(r){y.isPromiseCanceledError(r)||y.onUnexpectedError(r)}h.dispose(),clearTimeout(f),t&&b(`workspaceContains:${w.join(",")}`)}function l(u,S,w,b){const h=u.get(A.IInstantiationService),c=u.get(E.ISearchService),t=h.createInstance(I.QueryBuilder).file(S.map(r=>C.toWorkspaceFolder(R.URI.revive(r))),{_reason:"checkExists",includePattern:w,exists:!0});return c.fileSearch(t,b).then(r=>!!r.limitHit,r=>y.isPromiseCanceledError(r)?!1:Promise.reject(r))}e.checkGlobFileExists=l});var it=this&&this.__classPrivateFieldSet||function(X,e,g,R,k){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!k)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!k:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?k.call(X,g):k?k.value=g:e.set(X,g),g},Ue=this&&this.__classPrivateFieldGet||function(X,e,g,R){if(g==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!R:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return g==="m"?R:g==="a"?R.call(X):R?R.value:e.get(X)};define(fe[39],me([0,1,160,9,67,22,16,6,24,2,12,5,36,219,88,35,34,217,15,26,23,194,7,117,4,27,63,13,80,49,33,3,260,86,196]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S,w,b,h,c,f,t,r,s,i,a,v,p,_,D,o,T,L,H){"use strict";var B,Q,z;Object.defineProperty(e,"__esModule",{value:!0}),e.Extension=e.IExtHostExtensionService=e.AbstractExtHostExtensionService=e.IHostUtils=void 0,e.IHostUtils=s.createDecorator("IHostUtils");let N=class zn extends I.Disposable{constructor(M,O,x,$,J,de,Ee,Fe,Re,Ne){super();this._onDidChangeRemoteConnectionData=this._register(new o.Emitter),this.onDidChangeRemoteConnectionData=this._onDidChangeRemoteConnectionData.event,this._hostUtils=O,this._extHostContext=x,this._initData=Ee,this._extHostWorkspace=$,this._extHostConfiguration=J,this._logService=de,this._extHostTunnelService=Re,this._extHostTerminalService=Ne,this._disposables=new I.DisposableStore,this._mainThreadWorkspaceProxy=this._extHostContext.getProxy(P.MainContext.MainThreadWorkspace),this._mainThreadTelemetryProxy=this._extHostContext.getProxy(P.MainContext.MainThreadTelemetry),this._mainThreadExtensionsProxy=this._extHostContext.getProxy(P.MainContext.MainThreadExtensionService),this._almostReadyToRunExtensions=new A.Barrier,this._readyToStartExtensionHost=new A.Barrier,this._readyToRunExtensions=new A.Barrier,this._eagerExtensionsActivated=new A.Barrier,this._registry=new w.ExtensionDescriptionRegistry(this._initData.extensions),this._storage=new l.ExtHostStorage(this._extHostContext),this._secretState=new L.ExtHostSecretState(this._extHostContext),this._storagePath=Fe,this._instaService=M.createChild(new p.ServiceCollection([l.IExtHostStorage,this._storage],[L.IExtHostSecretState,this._secretState]));const qe=new Set;this._initData.hostExtensions.forEach(Ve=>qe.add(h.ExtensionIdentifier.toKey(Ve))),this._activator=new m.ExtensionsActivator(this._registry,this._initData.resolvedExtensions,this._initData.hostExtensions,{onExtensionActivationError:(Ve,Ge,j)=>{this._mainThreadExtensionsProxy.$onExtensionActivationError(Ve,b.transformErrorForSerialization(Ge),j)},actualActivateExtension:async(Ve,Ge)=>{if(qe.has(h.ExtensionIdentifier.toKey(Ve)))return await this._mainThreadExtensionsProxy.$activateExtension(Ve,Ge),new m.HostExtension;const j=this._registry.getExtensionDescription(Ve);return this._activateExtension(j,Ge)}},this._logService),this._extensionPathIndex=null,this._resolvers=Object.create(null),this._started=!1,this._remoteConnectionData=this._initData.remote.connectionData}getRemoteConnectionData(){return this._remoteConnectionData}async initialize(){try{await this._beforeAlmostReadyToRunExtensions(),this._almostReadyToRunExtensions.open(),await this._extHostWorkspace.waitForInitializeCall(),k.mark("code/extHost/ready"),this._readyToStartExtensionHost.open(),this._initData.autoStart&&this._startExtensionHost()}catch(M){b.onUnexpectedError(M)}}async deactivateAll(){this._storagePath.onWillDeactivateAll();let M=[];try{M=this._registry.getAllExtensionDescriptions().map(J=>J.identifier).filter(J=>this.isActivated(J)).map(J=>this._deactivate(J))}catch(O){}await Promise.all(M)}isActivated(M){return this._readyToRunExtensions.isOpen()?this._activator.isActivated(M):!1}_activateByEvent(M,O){return this._activator.activateByEvent(M,O)}_activateById(M,O){return this._activator.activateById(M,O)}activateByIdWithErrors(M,O){return this._activateById(M,O).then(()=>{const x=this._activator.getActivatedExtension(M);if(x.activationFailed)return Promise.reject(x.activationFailedError)})}getExtensionRegistry(){return this._readyToRunExtensions.wait().then(M=>this._registry)}getExtensionExports(M){return this._readyToRunExtensions.isOpen()?this._activator.getActivatedExtension(M).exports:null}getExtensionPathIndex(){if(!this._extensionPathIndex){const M=E.TernarySearchTree.forPaths(),O=this._registry.getAllExtensionDescriptions().map(x=>{if(!!this._getEntryPoint(x))return this._hostUtils.realpath(x.extensionLocation.fsPath).then($=>M.set(C.URI.file($).fsPath,x))});this._extensionPathIndex=Promise.all(O).then(()=>M)}return this._extensionPathIndex}_deactivate(M){let O=Promise.resolve(void 0);if(!this._readyToRunExtensions.isOpen()||!this._activator.isActivated(M))return O;const x=this._activator.getActivatedExtension(M);if(!x)return O;try{typeof x.module.deactivate=="function"&&(O=Promise.resolve(x.module.deactivate()).then(void 0,$=>(this._logService.error($),Promise.resolve(void 0))))}catch($){this._logService.error($)}try{I.dispose(x.subscriptions)}catch($){this._logService.error($)}return O}async _activateExtension(M,O){return this._initData.remote.isRemote?this._mainThreadExtensionsProxy.$onWillActivateExtension(M.identifier):await this._mainThreadExtensionsProxy.$onWillActivateExtension(M.identifier),this._doActivateExtension(M,O).then(x=>{const $=x.activationTimes;return this._mainThreadExtensionsProxy.$onDidActivateExtension(M.identifier,$.codeLoadingTime,$.activateCallTime,$.activateResolvedTime,O),this._logExtensionActivationTimes(M,O,"success",$),x},x=>{throw this._logExtensionActivationTimes(M,O,"failure"),x})}_logExtensionActivationTimes(M,O,x,$){const J=W(M,O);this._mainThreadTelemetryProxy.$publicLog2("extensionActivationTimes",{...J,...$||{},outcome:x})}_doActivateExtension(M,O){const x=W(M,O);this._mainThreadTelemetryProxy.$publicLog2("activatePlugin",x);const $=this._getEntryPoint(M);if(!$)return Promise.resolve(new m.EmptyExtension(m.ExtensionActivationTimes.NONE));this._logService.info(`ExtensionService#_doActivateExtension ${M.identifier.value} ${JSON.stringify(O)}`),this._logService.flush();const J=new m.ExtensionActivationTimesBuilder(O.startup);return Promise.all([this._loadCommonJSModule(M.identifier,y.joinPath(M.extensionLocation,$),J),this._loadExtensionContext(M)]).then(de=>(k.mark(`code/extHost/willActivateExtension/${M.identifier.value}`),zn._callActivate(this._logService,M.identifier,de[0],de[1],J))).then(de=>(k.mark(`code/extHost/didActivateExtension/${M.identifier.value}`),de))}_loadExtensionContext(M){const O=new f.ExtensionGlobalMemento(M,this._storage),x=new f.ExtensionMemento(M.identifier.value,!1,this._storage),$=new H.ExtensionSecrets(M,this._secretState),J=M.isUnderDevelopment?this._initData.environment.extensionTestsLocationURI?t.ExtensionMode.Test:t.ExtensionMode.Development:t.ExtensionMode.Production,de=this._initData.remote.isRemote?t.ExtensionKind.Workspace:t.ExtensionKind.UI;return this._logService.trace(`ExtensionService#loadExtensionContext ${M.identifier.value}`),Promise.all([O.whenReady,x.whenReady,this._storagePath.whenReady]).then(()=>{const Ee=this;let Fe;return Object.freeze({globalState:O,workspaceState:x,secrets:$,subscriptions:[],get extensionUri(){return M.extensionLocation},get extensionPath(){return M.extensionLocation.fsPath},asAbsolutePath(Re){return R.join(M.extensionLocation.fsPath,Re)},get storagePath(){return Ee._storagePath.workspaceValue(M)?.fsPath},get globalStoragePath(){return Ee._storagePath.globalValue(M).fsPath},get logPath(){return R.join(Ee._initData.logsLocation.fsPath,M.identifier.value)},get logUri(){return C.URI.joinPath(Ee._initData.logsLocation,M.identifier.value)},get storageUri(){return Ee._storagePath.workspaceValue(M)},get globalStorageUri(){return Ee._storagePath.globalValue(M)},get extensionMode(){return J},get extension(){return Fe===void 0&&(Fe=new F(Ee,M.identifier,M,de)),Fe},get extensionRuntime(){return S.checkProposedApiEnabled(M),Ee.extensionRuntime},get environmentVariableCollection(){return Ee._extHostTerminalService.getEnvironmentVariableCollection(M)}})})}static _callActivate(M,O,x,$,J){return x=x||{activate:void 0,deactivate:void 0},this._callActivateOptional(M,O,x,$,J).then(de=>new m.ActivatedExtension(!1,null,J.build(),x,de,$.subscriptions))}static _callActivateOptional(M,O,x,$,J){if(typeof x.activate=="function")try{J.activateCallStart(),M.trace(`ExtensionService#_callActivateOptional ${O.value}`);const de=typeof global=="object"?global:self,Ee=x.activate.apply(de,[$]);return J.activateCallStop(),J.activateResolveStart(),Promise.resolve(Ee).then(Fe=>(J.activateResolveStop(),Fe))}catch(de){return Promise.reject(de)}else return Promise.resolve(x)}_activateOneStartupFinished(M,O){this._activateById(M.identifier,{startup:!1,extensionId:M.identifier,activationEvent:O}).then(void 0,x=>{this._logService.error(x)})}_activateAllStartupFinished(){this._mainThreadExtensionsProxy.$setPerformanceMarks(k.getMarks());for(const M of this._registry.getAllExtensionDescriptions())if(M.activationEvents)for(const O of M.activationEvents)O==="onStartupFinished"&&this._activateOneStartupFinished(M,O)}_handleEagerExtensions(){const M=this._activateByEvent("*",!0).then(void 0,J=>{this._logService.error(J)});this._disposables.add(this._extHostWorkspace.onDidChangeWorkspace(J=>this._handleWorkspaceContainsEagerExtensions(J.added)));const O=this._extHostWorkspace.workspace?this._extHostWorkspace.workspace.folders:[],x=this._handleWorkspaceContainsEagerExtensions(O),$=Promise.all([M,x]).then(()=>{});return Promise.race([$,A.timeout(1e4)]).then(()=>{this._activateAllStartupFinished()}),$}_handleWorkspaceContainsEagerExtensions(M){return M.length===0?Promise.resolve(void 0):Promise.all(this._registry.getAllExtensionDescriptions().map(O=>this._handleWorkspaceContainsEagerExtension(M,O))).then(()=>{})}async _handleWorkspaceContainsEagerExtension(M,O){if(this.isActivated(O.identifier))return;const x=!this._initData.remote.isRemote&&!!this._initData.remote.authority,$={folders:M.map(de=>de.uri),forceUsingSearch:x,exists:de=>this._hostUtils.exists(de.fsPath),checkExists:(de,Ee,Fe)=>this._mainThreadWorkspaceProxy.$checkExists(de,Ee,Fe)},J=await T.checkActivateWorkspaceContainsExtension($,O);if(!!J)return this._activateById(O.identifier,{startup:!0,extensionId:O.identifier,activationEvent:J.activationEvent}).then(void 0,de=>this._logService.error(de))}async $extensionTestsExecute(){await this._eagerExtensionsActivated.wait();try{return await this._doHandleExtensionTests()}catch(M){throw console.error(M),M}}async _doHandleExtensionTests(){const{extensionDevelopmentLocationURI:M,extensionTestsLocationURI:O}=this._initData.environment;if(!M||!O)throw new Error(g.localize(0,null));const x=await this._loadCommonJSModule(null,O,new m.ExtensionActivationTimesBuilder(!1));if(!x||typeof x.run!="function")throw new Error(g.localize(1,null,O.toString()));return new Promise(($,J)=>{const de=(Re,Ne)=>{Re?J(Re):$(typeof Ne=="number"&&Ne>0?1:0)},Ee=y.originalFSPath(O),Fe=x.run(Ee,de);Fe&&Fe.then&&Fe.then(()=>{$(0)}).catch(Re=>{J(Re.toString())})})}async $extensionTestsExit(M){this._logService.info(`extension host terminating: test runner requested exit with code ${M}`),this._logService.info(`exiting with code ${M}`),this._logService.flush(),this._hostUtils.exit(M)}_startExtensionHost(){if(this._started)throw new Error("Extension host is already started!");return this._started=!0,this._readyToStartExtensionHost.wait().then(()=>this._readyToRunExtensions.open()).then(()=>this._handleEagerExtensions()).then(()=>{this._eagerExtensionsActivated.open(),this._logService.info("eager extensions activated")})}registerRemoteAuthorityResolver(M,O){return this._resolvers[M]=O,I.toDisposable(()=>{delete this._resolvers[M]})}async _activateAndGetResolver(M){const O=M.indexOf("+");if(O===-1)throw new Error("Not an authority that can be resolved!");const x=M.substr(0,O);return await this._almostReadyToRunExtensions.wait(),await this._activateByEvent(`onResolveRemoteAuthority:${x}`,!1),{authorityPrefix:x,resolver:this._resolvers[x]}}async $resolveAuthority(M,O){const{authorityPrefix:x,resolver:$}=await this._activateAndGetResolver(M);if(!$)return{type:"error",error:{code:r.RemoteAuthorityResolverErrorCode.NoResolverFound,message:`No remote extension installed to resolve ${x}.`,detail:void 0}};try{this._disposables.add(await this._extHostTunnelService.setTunnelExtensionFunctions($)),k.mark(`code/extHost/willResolveAuthority/${x}`);const J=await $.resolve(M,{resolveAttempt:O});k.mark(`code/extHost/didResolveAuthorityOK/${x}`);const de={authority:M,host:J.host,port:J.port,connectionToken:J.connectionToken},Ee={extensionHostEnv:J.extensionHostEnv,isTrusted:J.isTrusted};return{type:"ok",value:{authority:de,options:Ee,tunnelInformation:{environmentTunnels:J.environmentTunnels}}}}catch(J){if(k.mark(`code/extHost/didResolveAuthorityError/${x}`),J instanceof t.RemoteAuthorityResolverError)return{type:"error",error:{code:J._code,message:J._message,detail:J._detail}};throw J}}async $getCanonicalURI(M,O){const{authorityPrefix:x,resolver:$}=await this._activateAndGetResolver(M);if(!$)throw new Error(`Cannot get canonical URI because no remote extension is installed to resolve ${x}`);const J=C.URI.revive(O);if(typeof $.getCanonicalURI=="undefined")return J;const de=await A.asPromise(()=>$.getCanonicalURI(J));return de||J}$startExtensionHost(M){return this._registry.keepOnly(M),this._startExtensionHost()}$activateByEvent(M,O){return O===1?this._activateByEvent(M,!1):this._readyToRunExtensions.wait().then(x=>this._activateByEvent(M,!1))}async $activate(M,O){return await this._readyToRunExtensions.wait(),this._registry.getExtensionDescription(M)?(await this._activateById(M,O),!0):!1}async $deltaExtensions(M,O){M.forEach($=>$.extensionLocation=C.URI.revive($.extensionLocation));const x=await this.getExtensionPathIndex();return await Promise.all(O.map(async $=>{const J=this._registry.getExtensionDescription($);if(!J)return;const de=await this._hostUtils.realpath(J.extensionLocation.fsPath);x.delete(C.URI.file(de).fsPath)})),await Promise.all(M.map(async $=>{const J=await this._hostUtils.realpath($.extensionLocation.fsPath);x.set(C.URI.file(J).fsPath,$)})),this._registry.deltaExtensions(M,O),Promise.resolve(void 0)}async $test_latency(M){return M}async $test_up(M){return M.byteLength}async $test_down(M){let O=c.VSBuffer.alloc(M),x=Math.random()%256;for(let $=0;$<M;$++)O.writeUInt8(x,$);return O}async $updateRemoteConnectionData(M){this._remoteConnectionData=M,this._onDidChangeRemoteConnectionData.fire()}};N=ze([We(0,s.IInstantiationService),We(1,e.IHostUtils),We(2,v.IExtHostRpcService),We(3,u.IExtHostWorkspace),We(4,d.IExtHostConfiguration),We(5,n.ILogService),We(6,i.IExtHostInitDataService),We(7,a.IExtensionStoragePaths),We(8,_.IExtHostTunnelService),We(9,D.IExtHostTerminalService)],N),e.AbstractExtHostExtensionService=N;function W(q,M){return{id:q.identifier.value,name:q.name,extensionVersion:q.version,publisherDisplayName:q.publisher,activationEvents:q.activationEvents?q.activationEvents.join(","):null,isBuiltin:q.isBuiltin,reason:M.activationEvent,reasonId:M.extensionId.value}}e.IExtHostExtensionService=s.createDecorator("IExtHostExtensionService");class F{constructor(M,O,x,$){B.set(this,void 0),Q.set(this,void 0),z.set(this,void 0),it(this,B,M,"f"),it(this,Q,O,"f"),it(this,z,x.identifier,"f"),this.id=x.identifier.value,this.extensionUri=x.extensionLocation,this.extensionPath=R.normalize(y.originalFSPath(x.extensionLocation)),this.packageJSON=x,this.extensionKind=$}get isActive(){return Ue(this,B,"f").isActivated(Ue(this,z,"f"))}get exports(){if(this.packageJSON.api!=="none")return Ue(this,B,"f").getExtensionExports(Ue(this,z,"f"))}activate(){return Ue(this,B,"f").activateByIdWithErrors(Ue(this,z,"f"),{startup:!1,extensionId:Ue(this,Q,"f"),activationEvent:"api"}).then(()=>this.exports)}}e.Extension=F,B=new WeakMap,Q=new WeakMap,z=new WeakMap}),define(fe[51],me([0,1,9,2,3,16,5,7,121,35,39,42,206,36,201,13,4,14,37,48]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S,w,b,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostDebugService=e.ExtHostVariableResolverService=e.ExtHostDebugConsole=e.ExtHostDebugSession=e.ExtHostDebugServiceBase=e.IExtHostDebugService=void 0,e.IExtHostDebugService=S.createDecorator("IExtHostDebugService");let c=class{constructor(p,_,D,o,T,L){this._workspaceService=_,this._extensionService=D,this._editorsService=o,this._configurationService=T,this._editorTabs=L,this._debugSessions=new Map,this._configProviderHandleCounter=0,this._configProviders=[],this._adapterFactoryHandleCounter=0,this._adapterFactories=[],this._trackerFactoryHandleCounter=0,this._trackerFactories=[],this._debugAdapters=new Map,this._debugAdaptersTrackers=new Map,this._onDidStartDebugSession=new k.Emitter,this._onDidTerminateDebugSession=new k.Emitter,this._onDidChangeActiveDebugSession=new k.Emitter,this._onDidReceiveDebugSessionCustomEvent=new k.Emitter,this._debugServiceProxy=p.getProxy(A.MainContext.MainThreadDebugService),this._onDidChangeBreakpoints=new k.Emitter({onFirstListenerAdd:()=>{this.startBreakpoints()}}),this._activeDebugConsole=new t(this._debugServiceProxy),this._breakpoints=new Map,this._breakpointEventsActive=!1,this._extensionService.getExtensionRegistry().then(H=>{H.onDidChange(B=>{this.registerAllDebugTypes(H)}),this.registerAllDebugTypes(H)})}get onDidStartDebugSession(){return this._onDidStartDebugSession.event}get onDidTerminateDebugSession(){return this._onDidTerminateDebugSession.event}get onDidChangeActiveDebugSession(){return this._onDidChangeActiveDebugSession.event}get activeDebugSession(){return this._activeDebugSession}get onDidReceiveDebugSessionCustomEvent(){return this._onDidReceiveDebugSessionCustomEvent.event}get activeDebugConsole(){return this._activeDebugConsole.value}asDebugSourceUri(p,_){const D=p;if(typeof D.sourceReference=="number"&&D.sourceReference>0){let o=`debug:${encodeURIComponent(D.path||"")}`,T="?";return _&&(o+=`${T}session=${encodeURIComponent(_.id)}`,T="&"),o+=`${T}ref=${D.sourceReference}`,R.URI.parse(o)}else{if(D.path)return R.URI.file(D.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}registerAllDebugTypes(p){const _=[];for(const D of p.getAllExtensionDescriptions())if(D.contributes){const o=D.contributes.debuggers;if(o&&o.length>0)for(const T of o)l.isDebuggerMainContribution(T)&&_.push(T.type)}this._debugServiceProxy.$registerDebugTypes(_)}get onDidChangeBreakpoints(){return this._onDidChangeBreakpoints.event}get breakpoints(){this.startBreakpoints();const p=[];return this._breakpoints.forEach(_=>p.push(_)),p}addBreakpoints(p){this.startBreakpoints();const _=p.filter(T=>{const L=T.id;return this._breakpoints.has(L)?!1:(this._breakpoints.set(L,T),!0)});this.fireBreakpointChanges(_,[],[]);const D=[],o=new Map;for(const T of _)if(T instanceof I.SourceBreakpoint){let L=o.get(T.location.uri.toString());L||(L={type:"sourceMulti",uri:T.location.uri,lines:[]},o.set(T.location.uri.toString(),L),D.push(L)),L.lines.push({id:T.id,enabled:T.enabled,condition:T.condition,hitCondition:T.hitCondition,logMessage:T.logMessage,line:T.location.range.start.line,character:T.location.range.start.character})}else T instanceof I.FunctionBreakpoint&&D.push({type:"function",id:T.id,enabled:T.enabled,hitCondition:T.hitCondition,logMessage:T.logMessage,condition:T.condition,functionName:T.functionName});return this._debugServiceProxy.$registerBreakpoints(D)}removeBreakpoints(p){this.startBreakpoints();const _=p.filter(L=>this._breakpoints.delete(L.id));this.fireBreakpointChanges([],_,[]);const D=_.filter(L=>L instanceof I.SourceBreakpoint).map(L=>L.id),o=_.filter(L=>L instanceof I.FunctionBreakpoint).map(L=>L.id),T=_.filter(L=>L instanceof I.DataBreakpoint).map(L=>L.id);return this._debugServiceProxy.$unregisterBreakpoints(D,o,T)}startDebugging(p,_,D){return this._debugServiceProxy.$startDebugging(p?p.uri:void 0,_,{parentSessionID:D.parentSession?D.parentSession.id:void 0,repl:D.consoleMode===I.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:D.noDebug,compact:D.compact})}stopDebugging(p){return this._debugServiceProxy.$stopDebugging(p?p.id:void 0)}registerDebugConfigurationProvider(p,_,D){if(!_)return new I.Disposable(()=>{});const o=this._configProviderHandleCounter++;return this._configProviders.push({type:p,handle:o,provider:_}),this._debugServiceProxy.$registerDebugConfigurationProvider(p,D,!!_.provideDebugConfigurations,!!_.resolveDebugConfiguration,!!_.resolveDebugConfigurationWithSubstitutedVariables,o),new I.Disposable(()=>{this._configProviders=this._configProviders.filter(T=>T.provider!==_),this._debugServiceProxy.$unregisterDebugConfigurationProvider(o)})}registerDebugAdapterDescriptorFactory(p,_,D){if(!D)return new I.Disposable(()=>{});if(!this.definesDebugType(p,_))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${_}' debugger.`);if(this.getAdapterDescriptorFactoryByType(_))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const o=this._adapterFactoryHandleCounter++;return this._adapterFactories.push({type:_,handle:o,factory:D}),this._debugServiceProxy.$registerDebugAdapterDescriptorFactory(_,o),new I.Disposable(()=>{this._adapterFactories=this._adapterFactories.filter(T=>T.factory!==D),this._debugServiceProxy.$unregisterDebugAdapterDescriptorFactory(o)})}registerDebugAdapterTrackerFactory(p,_){if(!_)return new I.Disposable(()=>{});const D=this._trackerFactoryHandleCounter++;return this._trackerFactories.push({type:p,handle:D,factory:_}),new I.Disposable(()=>{this._trackerFactories=this._trackerFactories.filter(o=>o.factory!==_)})}async $runInTerminal(p,_){return Promise.resolve(void 0)}async $substituteVariables(p,_){if(!this._variableResolver){const[T,L]=await Promise.all([this._workspaceService.getWorkspaceFolders2(),this._configurationService.getConfigProvider()]);this._variableResolver=this.createVariableResolver(T||[],this._editorsService,L)}let D;const o=await this.getFolder(p);return o&&(D={uri:o.uri,name:o.name,index:o.index,toResource:()=>{throw new Error("Not implemented")}}),this._variableResolver.resolveAnyAsync(D,_)}createDebugAdapter(p,_){if(p.type==="implementation")return new i(p.implementation)}createSignService(){}async $startDASession(p,_){const D=this,o=await this.getSession(_);return this.getAdapterDescriptor(this.getAdapterDescriptorFactoryByType(o.type),o).then(T=>{if(!T)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${o.type}' (extension might have failed to activate)`);const L=this.convertToDto(T),H=this.createDebugAdapter(L,o);if(!H)throw new Error(`Couldn't create a debug adapter for type '${o.type}'.`);const B=H;return this._debugAdapters.set(p,B),this.getDebugAdapterTrackers(o).then(Q=>(Q&&this._debugAdaptersTrackers.set(p,Q),B.onMessage(async z=>{if(z.type==="request"&&z.command==="handshake"){const N=z,W={type:"response",seq:0,command:N.command,request_seq:N.seq,success:!0};this._signService||(this._signService=this.createSignService());try{if(this._signService){const F=await this._signService.sign(N.arguments.value);W.body={signature:F},B.sendResponse(W)}else throw new Error("no signer")}catch(F){W.success=!1,W.message=F.message,B.sendResponse(W)}}else Q&&Q.onDidSendMessage&&Q.onDidSendMessage(z),z=l.convertToVSCPaths(z,!0),D._debugServiceProxy.$acceptDAMessage(p,z)}),B.onError(z=>{Q&&Q.onError&&Q.onError(z),this._debugServiceProxy.$acceptDAError(p,z.name,z.message,z.stack)}),B.onExit(z=>{Q&&Q.onExit&&Q.onExit(w.withNullAsUndefined(z),void 0),this._debugServiceProxy.$acceptDAExit(p,w.withNullAsUndefined(z),void 0)}),Q&&Q.onWillStartSession&&Q.onWillStartSession(),B.startSession()))})}$sendDAMessage(p,_){_=l.convertToDAPaths(_,!1);const D=this._debugAdaptersTrackers.get(p);D&&D.onWillReceiveMessage&&D.onWillReceiveMessage(_);const o=this._debugAdapters.get(p);o&&o.sendMessage(_)}$stopDASession(p){const _=this._debugAdaptersTrackers.get(p);this._debugAdaptersTrackers.delete(p),_&&_.onWillStopSession&&_.onWillStopSession();const D=this._debugAdapters.get(p);return this._debugAdapters.delete(p),D?D.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(p){const _=[],D=[],o=[];if(p.added)for(const T of p.added){const L=T.id;if(L&&!this._breakpoints.has(L)){let H;if(T.type==="function")H=new I.FunctionBreakpoint(T.functionName,T.enabled,T.condition,T.hitCondition,T.logMessage);else if(T.type==="data")H=new I.DataBreakpoint(T.label,T.dataId,T.canPersist,T.enabled,T.hitCondition,T.condition,T.logMessage);else{const B=R.URI.revive(T.uri);H=new I.SourceBreakpoint(new I.Location(B,new I.Position(T.line,T.character)),T.enabled,T.condition,T.hitCondition,T.logMessage)}H._id=L,this._breakpoints.set(L,H),_.push(H)}}if(p.removed)for(const T of p.removed){const L=this._breakpoints.get(T);L&&(this._breakpoints.delete(T),D.push(L))}if(p.changed){for(const T of p.changed)if(T.id){const L=this._breakpoints.get(T.id);if(L){if(L instanceof I.FunctionBreakpoint&&T.type==="function"){const H=L;H.enabled=T.enabled,H.condition=T.condition,H.hitCondition=T.hitCondition,H.logMessage=T.logMessage,H.functionName=T.functionName}else if(L instanceof I.SourceBreakpoint&&T.type==="source"){const H=L;H.enabled=T.enabled,H.condition=T.condition,H.hitCondition=T.hitCondition,H.logMessage=T.logMessage,H.location=new I.Location(R.URI.revive(T.uri),new I.Position(T.line,T.character))}o.push(L)}}}this.fireBreakpointChanges(_,D,o)}$provideDebugConfigurations(p,_,D){return y.asPromise(async()=>{const o=this.getConfigProviderByHandle(p);if(!o)throw new Error("no DebugConfigurationProvider found");if(!o.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const T=await this.getFolder(_);return o.provideDebugConfigurations(T,D)}).then(o=>{if(!o)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return o})}$resolveDebugConfiguration(p,_,D,o){return y.asPromise(async()=>{const T=this.getConfigProviderByHandle(p);if(!T)throw new Error("no DebugConfigurationProvider found");if(!T.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const L=await this.getFolder(_);return T.resolveDebugConfiguration(L,D,o)})}$resolveDebugConfigurationWithSubstitutedVariables(p,_,D,o){return y.asPromise(async()=>{const T=this.getConfigProviderByHandle(p);if(!T)throw new Error("no DebugConfigurationProvider found");if(!T.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const L=await this.getFolder(_);return T.resolveDebugConfigurationWithSubstitutedVariables(L,D,o)})}async $provideDebugAdapter(p,_){const D=this.getAdapterDescriptorFactoryByHandle(p);if(!D)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const o=await this.getSession(_);return this.getAdapterDescriptor(D,o).then(T=>{if(!T)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${o.type}'`);return this.convertToDto(T)})}async $acceptDebugSessionStarted(p){const _=await this.getSession(p);this._onDidStartDebugSession.fire(_)}async $acceptDebugSessionTerminated(p){const _=await this.getSession(p);_&&(this._onDidTerminateDebugSession.fire(_),this._debugSessions.delete(_.id))}async $acceptDebugSessionActiveChanged(p){this._activeDebugSession=p?await this.getSession(p):void 0,this._onDidChangeActiveDebugSession.fire(this._activeDebugSession)}async $acceptDebugSessionNameChanged(p,_){const D=await this.getSession(p);D&&D._acceptNameChanged(_)}async $acceptDebugSessionCustomEvent(p,_){const o={session:await this.getSession(p),event:_.event,body:_.body};this._onDidReceiveDebugSessionCustomEvent.fire(o)}convertToDto(p){if(p instanceof I.DebugAdapterExecutable)return{type:"executable",command:p.command,args:p.args,options:p.options};if(p instanceof I.DebugAdapterServer)return{type:"server",port:p.port,host:p.host};if(p instanceof I.DebugAdapterNamedPipeServer)return{type:"pipeServer",path:p.path};if(p instanceof I.DebugAdapterInlineImplementation)return{type:"implementation",implementation:p.implementation};throw new Error("convertToDto unexpected type")}getAdapterDescriptorFactoryByType(p){const _=this._adapterFactories.filter(D=>D.type===p);if(_.length>0)return _[0].factory}getAdapterDescriptorFactoryByHandle(p){const _=this._adapterFactories.filter(D=>D.handle===p);if(_.length>0)return _[0].factory}getConfigProviderByHandle(p){const _=this._configProviders.filter(D=>D.handle===p);if(_.length>0)return _[0].provider}definesDebugType(p,_){if(p.contributes){const D=p.contributes.debuggers;if(D&&D.length>0){for(const o of D)if(o.label&&o.type&&o.type===_)return!0}}return!1}getDebugAdapterTrackers(p){const D=p.configuration.type,o=this._trackerFactories.filter(T=>T.type===D||T.type==="*").map(T=>y.asPromise(()=>T.factory.createDebugAdapterTracker(p)).then(L=>L,L=>null));return Promise.race([Promise.all(o).then(T=>{const L=T.filter(H=>!!H);if(L.length>0)return new s(L)}),new Promise((T,L)=>{const H=setTimeout(()=>{clearTimeout(H),L(new Error("timeout"))},1e3)})]).catch(T=>{})}async getAdapterDescriptor(p,_){const D=_.configuration.debugServer;if(typeof D=="number")return Promise.resolve(new I.DebugAdapterServer(D));if(p){const T=await this._extensionService.getExtensionRegistry();return y.asPromise(()=>p.createDebugAdapterDescriptor(_,this.daExecutableFromPackage(_,T))).then(L=>{if(L)return L})}const o=await this._extensionService.getExtensionRegistry();return Promise.resolve(this.daExecutableFromPackage(_,o))}daExecutableFromPackage(p,_){}startBreakpoints(){this._breakpointEventsActive||(this._breakpointEventsActive=!0,this._debugServiceProxy.$startBreakpointEvents())}fireBreakpointChanges(p,_,D){(p.length>0||_.length>0||D.length>0)&&this._onDidChangeBreakpoints.fire(Object.freeze({added:p,removed:_,changed:D}))}async getSession(p){if(p)if(typeof p=="string"){const _=this._debugSessions.get(p);if(_)return _}else{let _=this._debugSessions.get(p.id);if(!_){const D=await this.getFolder(p.folderUri),o=p.parent?this._debugSessions.get(p.parent):void 0;_=new f(this._debugServiceProxy,p.id,p.type,p.name,D,p.configuration,o),this._debugSessions.set(_.id,_),this._debugServiceProxy.$sessionCached(_.id)}return _}throw new Error("cannot find session")}getFolder(p){if(p){const _=R.URI.revive(p);return this._workspaceService.resolveWorkspaceFolder(_)}return Promise.resolve(void 0)}};c=ze([We(0,u.IExtHostRpcService),We(1,C.IExtHostWorkspace),We(2,n.IExtHostExtensionService),We(3,P.IExtHostDocumentsAndEditors),We(4,m.IExtHostConfiguration),We(5,h.IExtHostEditorTabs)],c),e.ExtHostDebugServiceBase=c;class f{constructor(p,_,D,o,T,L,H){this._debugServiceProxy=p,this._id=_,this._type=D,this._name=o,this._workspaceFolder=T,this._configuration=L,this._parentSession=H}get id(){return this._id}get type(){return this._type}get name(){return this._name}set name(p){this._name=p,this._debugServiceProxy.$setDebugSessionName(this._id,p)}get parentSession(){return this._parentSession}_acceptNameChanged(p){this._name=p}get workspaceFolder(){return this._workspaceFolder}get configuration(){return this._configuration}customRequest(p,_){return this._debugServiceProxy.$customDebugAdapterRequest(this._id,p,_)}getDebugProtocolBreakpoint(p){return this._debugServiceProxy.$getDebugProtocolBreakpoint(this._id,p.id)}}e.ExtHostDebugSession=f;class t{constructor(p){this.value=Object.freeze({append(_){p.$appendDebugConsole(_)},appendLine(_){this.append(_+`
`)}})}}e.ExtHostDebugConsole=t;class r extends d.AbstractVariableResolverService{constructor(p,_,D,o,T){function L(){if(_){const H=_.activeEditor();if(H)return H.document.uri;const B=o.tabs.filter(Q=>Q.isActive);if(B.length>0)return B[0].resource}}super({getFolderUri:H=>{const B=p.filter(Q=>Q.name===H);if(B&&B.length>0)return B[0].uri},getWorkspaceFolderCount:()=>p.length,getConfigurationValue:(H,B)=>D.getConfiguration(void 0,H).get(B),getAppRoot:()=>b.cwd(),getExecPath:()=>b.env.VSCODE_EXEC_PATH,getFilePath:()=>{const H=L();if(H)return g.normalize(H.fsPath)},getWorkspaceFolderPathForFile:()=>{if(T){const H=L();if(H){const B=T.getWorkspaceFolder(H);if(B)return g.normalize(B.uri.fsPath)}}},getSelectedText:()=>{if(_){const H=_.activeEditor();if(H&&!H.selection.isEmpty)return H.document.getText(H.selection)}},getLineNumber:()=>{if(_){const H=_.activeEditor();if(H)return String(H.selection.end.line+1)}}},void 0,Promise.resolve(b.env))}}e.ExtHostVariableResolverService=r;class s{constructor(p){this.trackers=p}onWillStartSession(){this.trackers.forEach(p=>p.onWillStartSession?p.onWillStartSession():void 0)}onWillReceiveMessage(p){this.trackers.forEach(_=>_.onWillReceiveMessage?_.onWillReceiveMessage(p):void 0)}onDidSendMessage(p){this.trackers.forEach(_=>_.onDidSendMessage?_.onDidSendMessage(p):void 0)}onWillStopSession(){this.trackers.forEach(p=>p.onWillStopSession?p.onWillStopSession():void 0)}onError(p){this.trackers.forEach(_=>_.onError?_.onError(p):void 0)}onExit(p,_){this.trackers.forEach(D=>D.onExit?D.onExit(p,_):void 0)}}class i extends E.AbstractDebugAdapter{constructor(p){super();this.implementation=p,p.onDidSendMessage(_=>{this.acceptMessage(_)})}startSession(){return Promise.resolve(void 0)}sendMessage(p){this.implementation.handleMessage(p)}stopSession(){return this.implementation.dispose(),Promise.resolve(void 0)}}let a=class extends c{constructor(p,_,D,o,T,L){super(p,_,D,o,T,L)}createVariableResolver(p,_,D){return new r(p,_,D,this._editorTabs)}};a=ze([We(0,u.IExtHostRpcService),We(1,C.IExtHostWorkspace),We(2,n.IExtHostExtensionService),We(3,P.IExtHostDocumentsAndEditors),We(4,m.IExtHostConfiguration),We(5,h.IExtHostEditorTabs)],a),e.WorkerExtHostDebugService=a}),define(fe[261],me([0,1,67,2,5,36,34,26,13,27,4,39,37,12]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequireInterceptor=void 0;let l=class{constructor(h,c,f,t,r,s,i){this._apiFactory=h,this._extensionRegistry=c,this._instaService=f,this._extHostConfiguration=t,this._extHostExtensionService=r,this._initData=s,this._logService=i,this._factories=new Map,this._alternatives=[]}async install(){this._installInterceptor(),g.mark("code/extHost/willWaitForConfig");const h=await this._extHostConfiguration.getConfigProvider();g.mark("code/extHost/didWaitForConfig");const c=await this._extHostExtensionService.getExtensionPathIndex();this.register(new u(this._apiFactory,c,this._extensionRegistry,h,this._logService)),this.register(this._instaService.createInstance(S)),this._initData.remote.isRemote&&this.register(this._instaService.createInstance(w,c,this._initData.environment.appUriScheme))}register(h){if(Array.isArray(h.nodeModuleName))for(let c of h.nodeModuleName)this._factories.set(c,h);else this._factories.set(h.nodeModuleName,h);typeof h.alternativeModuleName=="function"&&this._alternatives.push(c=>h.alternativeModuleName(c))}};l=ze([We(2,n.IInstantiationService),We(3,y.IExtHostConfiguration),We(4,P.IExtHostExtensionService),We(5,C.IExtHostInitDataService),We(6,m.ILogService)],l),e.RequireInterceptor=l;class u{constructor(h,c,f,t,r){this._apiFactory=h,this._extensionPaths=c,this._extensionRegistry=f,this._configProvider=t,this._logService=r,this.nodeModuleName="vscode",this._extApiImpl=new Map}load(h,c){const f=this._extensionPaths.findSubstr(c.fsPath);if(f){let t=this._extApiImpl.get(I.ExtensionIdentifier.toKey(f.identifier));return t||(t=this._apiFactory(f,this._extensionRegistry,this._configProvider),this._extApiImpl.set(I.ExtensionIdentifier.toKey(f.identifier),t)),t}if(!this._defaultApiImpl){let t="";this._extensionPaths.forEach((r,s)=>t+=`	${s} -> ${r.identifier.value}
`),this._logService.warn(`Could not identify extension for 'vscode' require call from ${c.fsPath}. These are the extension path mappings: 
${t}`),this._defaultApiImpl=this._apiFactory(A.nullExtensionDescription,this._extensionRegistry,this._configProvider)}return this._defaultApiImpl}}let S=class{constructor(h,c){this.nodeModuleName="keytar";const{environment:f}=c,t=h.getProxy(k.MainContext.MainThreadKeytar);if(f.appRoot){let r=f.appRoot.fsPath;d.platform==="win32"&&(r=r.replace(/\\/g,"/")),r[r.length-1]==="/"&&(r=r.substr(0,r.length-1)),this.alternativeNames=new Set,this.alternativeNames.add(`${r}/node_modules.asar/keytar`),this.alternativeNames.add(`${r}/node_modules/keytar`)}this._impl={getPassword:(r,s)=>t.$getPassword(r,s),setPassword:(r,s,i)=>t.$setPassword(r,s,i),deletePassword:(r,s)=>t.$deletePassword(r,s),findPassword:r=>t.$findPassword(r),findCredentials(r){return t.$findCredentials(r)}}}load(h,c){return this._impl}alternativeModuleName(h){const c=h.length;if(c<=7||!this.alternativeNames)return;const f=c-7;if((h.charAt(f)==="/"||h.charAt(f)==="\\")&&h.endsWith("keytar")&&(h=h.replace(/\\/g,"/"),this.alternativeNames.has(h)))return"keytar"}};S=ze([We(0,E.IExtHostRpcService),We(1,C.IExtHostInitDataService)],S);let w=class{constructor(h,c,f){this._extensionPaths=h,this._appUriScheme=c,this.nodeModuleName=["open","opn"],this._mainThreadTelemetry=f.getProxy(k.MainContext.MainThreadTelemetry);const t=f.getProxy(k.MainContext.MainThreadWindow);this._impl=(r,s)=>{const i=R.URI.parse(r);return s?this.callOriginal(r,s):i.scheme==="http"||i.scheme==="https"?t.$openUri(i,r,{allowTunneling:!0}):i.scheme==="mailto"||i.scheme===this._appUriScheme?t.$openUri(i,r,{}):this.callOriginal(r,s)}}load(h,c,f){const t=this._extensionPaths.findSubstr(c.fsPath);return t&&(this._extensionId=t.identifier.value,this.sendShimmingTelemetry()),this._original=f(h),this._impl}callOriginal(h,c){return this.sendNoForwardTelemetry(),this._original(h,c)}sendShimmingTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open",{extension:this._extensionId})}sendNoForwardTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open.call.noForward",{extension:this._extensionId})}};w=ze([We(2,E.IExtHostRpcService)],w)}),define(fe[262],me([0,1,166,11,7,202,35,39,42,36,33,13,51,190,16,203,48]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDebugService=void 0;let w=class extends d.ExtHostDebugServiceBase{constructor(c,f,t,r,s,i,a){super(c,f,t,r,s,a);this._terminalService=i,this._integratedTerminalInstances=new b}createDebugAdapter(c,f){switch(c.type){case"server":return new y.SocketDebugAdapter(c);case"pipeServer":return new y.NamedPipeDebugAdapter(c);case"executable":return new y.ExecutableDebugAdapter(c,f.type)}return super.createDebugAdapter(c,f)}daExecutableFromPackage(c,f){const t=y.ExecutableDebugAdapter.platformAdapterExecutable(f.getAllExtensionDescriptions(),c.type);if(t)return new k.DebugAdapterExecutable(t.command,t.args,t.options)}createSignService(){return new m.SignService}async $runInTerminal(c,f){if(c.kind==="integrated"){this._terminalDisposedListener||(this._terminalDisposedListener=this._terminalService.onDidCloseTerminal(L=>{this._integratedTerminalInstances.onTerminalClosed(L)}));const t=await this._configurationService.getConfigProvider(),r=this._terminalService.getDefaultShell(!0),s=this._terminalService.getDefaultShellArgs(!0),i=c.title||g.localize(0,null),a=JSON.stringify({shell:r,shellArgs:s});let v=await this._integratedTerminalInstances.checkout(a,i),p,_=!1;if(v)p=c.cwd;else{const L={shellPath:r,shellArgs:s,cwd:c.cwd,name:i};_=!0,v=this._terminalService.createTerminalFromOptions(L,{isFeatureTerminal:!0,useShellEnvironment:!0}),this._integratedTerminalInstances.insert(v,a)}v.show(!0);const D=await v.processId;_?await new Promise(L=>setTimeout(L,1e3)):t.getConfiguration("debug.terminal").get("clearBeforeReusing")&&(r.indexOf("powershell")>=0||r.indexOf("pwsh")>=0||r.indexOf("cmd.exe")>=0?v.sendText("cls"):r.indexOf("bash")>=0?v.sendText("clear"):R.isWindows?v.sendText("cls"):v.sendText("clear"));const o=u.prepareCommand(r,c.args,p,c.env);v.sendText(o);const T=this.onDidTerminateDebugSession(L=>{L.id===f&&(this._integratedTerminalInstances.free(v),T.dispose())});return D}else if(c.kind==="external")return u.runInExternalTerminal(c,await this._configurationService.getConfigProvider());return super.$runInTerminal(c,f)}createVariableResolver(c,f,t){return new d.ExtHostVariableResolverService(c,f,t,this._editorTabs,this._workspaceService)}};w=ze([We(0,P.IExtHostRpcService),We(1,A.IExtHostWorkspace),We(2,I.IExtHostExtensionService),We(3,E.IExtHostDocumentsAndEditors),We(4,C.IExtHostConfiguration),We(5,n.IExtHostTerminalService),We(6,S.IExtHostEditorTabs)],w),e.ExtHostDebugService=w;class b{constructor(){this._terminalInstances=new Map}async checkout(c,f){const r=[...this._terminalInstances.entries()].map(([s,i])=>l.createCancelablePromise(async a=>{if(s.name!==f||i.lastUsedAt!==-1&&await u.hasChildProcesses(await s.processId))return null;const v=Date.now();return i.lastUsedAt+b.minUseDelay>v||a.isCancellationRequested||i.config!==c?null:(i.lastUsedAt=v,s)}));return await l.firstParallel(r,s=>!!s)}insert(c,f){this._terminalInstances.set(c,{lastUsedAt:Date.now(),config:f})}free(c){const f=this._terminalInstances.get(c);f&&(f.lastUsedAt=-1)}onTerminalClosed(c){this._terminalInstances.delete(c)}}b.minUseDelay=1e3}),define(fe[263],me([0,1,9,2,110,35,51,42,36,33,13,27,66,10,12,61,48]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTask=void 0;let w=class extends d.ExtHostTaskBase{constructor(h,c,f,t,r,s,i,a,v){super(h,c,f,t,r,s,i,a);this.workspaceService=f,this.editorTabs=v,c.remote.isRemote&&c.remote.authority?this.registerTaskSystem(m.Schemas.vscodeRemote,{scheme:m.Schemas.vscodeRemote,authority:c.remote.authority,platform:process.platform}):this.registerTaskSystem(m.Schemas.file,{scheme:m.Schemas.file,authority:"",platform:process.platform}),this._proxy.$registerSupportedExecutions(!0,!0,!0)}async executeTask(h,c){const f=c;if(!c.execution&&f._id===void 0)throw new Error("Tasks to execute must include an execution");if(f._id!==void 0){const t=d.TaskHandleDTO.from(f,this.workspaceService),r=await this._proxy.$getTaskExecution(t);if(r.task===void 0)throw new Error("Task from execution DTO is undefined");const s=await this.getTaskExecution(r,c);return this._proxy.$executeTask(t).catch(()=>{}),s}else{const t=d.TaskDTO.from(c,h);if(t===void 0)return Promise.reject(new Error("Task is not valid"));d.CustomExecutionDTO.is(t.execution)&&await this.addCustomExecution(t,c,!1);const r=await this.getTaskExecution(await this._proxy.$getTaskExecution(t),c);return this._proxy.$executeTask(t).catch(()=>{}),r}}provideTasksInternal(h,c,f,t){const r=[];if(t)for(let s of t){this.checkDeprecation(s,f),(!s.definition||!h[s.definition.type])&&this._logService.warn(`The task [${s.source}, ${s.name}] uses an undefined task type. The task will be ignored in the future.`);const i=d.TaskDTO.from(s,f.extension);i&&(r.push(i),d.CustomExecutionDTO.is(i.execution)&&c.push(this.addCustomExecution(i,s,!0)))}return{tasks:r,extension:f.extension}}async resolveTaskInternal(h){return h}async getVariableResolver(h){if(this._variableResolver===void 0){const c=await this._configurationService.getConfigProvider();this._variableResolver=new A.ExtHostVariableResolverService(h,this._editorService,c,this.editorTabs,this.workspaceService)}return this._variableResolver}async $resolveVariables(h,c){const f=R.URI.revive(h),t={process:void 0,variables:Object.create(null)},r=await this._workspaceProvider.resolveWorkspaceFolder(f),s=await this._workspaceProvider.getWorkspaceFolders2();if(!s||!r)throw new Error("Unexpected: Tasks can only be run in a workspace folder");const i=await this.getVariableResolver(s),a={uri:r.uri,name:r.name,index:r.index,toResource:()=>{throw new Error("Not implemented")}};for(let v of c.variables)t.variables[v]=await i.resolveAsync(a,v);if(c.process!==void 0){let v;if(c.process.path!==void 0){v=c.process.path.split(g.delimiter);for(let p=0;p<v.length;p++)v[p]=await i.resolveAsync(a,v[p])}t.process=await k.win32.findExecutable(await i.resolveAsync(a,c.process.name),c.process.cwd!==void 0?await i.resolveAsync(a,c.process.cwd):void 0,v)}return t}async $jsonTasksSupported(){return!0}async $findExecutable(h,c,f){return k.win32.findExecutable(h,c,f)}};w=ze([We(0,n.IExtHostRpcService),We(1,P.IExtHostInitDataService),We(2,y.IExtHostWorkspace),We(3,I.IExtHostDocumentsAndEditors),We(4,E.IExtHostConfiguration),We(5,C.IExtHostTerminalService),We(6,l.ILogService),We(7,u.IExtHostApiDeprecationService),We(8,S.IExtHostEditorTabs)],w),e.ExtHostTask=w}),define(fe[264],me([0,1,16,15,67,6,2,5,256,12,77,80,27,183,13,60,39,33]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostMain=void 0;class b{constructor(c,f,t,r){this._disposables=new y.DisposableStore,this._isTerminating=!1,this._hostUtils=t,this._rpcProtocol=new E.RPCProtocol(c,null,r),f=b._transform(f,this._rpcProtocol);const s=new P.ServiceCollection(...n.getSingletonServiceDescriptors());s.set(d.IExtHostInitDataService,{_serviceBrand:void 0,...f}),s.set(l.IExtHostRpcService,new l.ExtHostRpcService(this._rpcProtocol)),s.set(u.IURITransformerService,new u.URITransformerService(r)),s.set(S.IHostUtils,t);const i=new m.InstantiationService(s,!0),a=i.invokeFunction(D=>D.get(w.IExtHostTerminalService));this._disposables.add(a),this._logService=i.invokeFunction(D=>D.get(C.ILogService)),k.mark("code/extHost/didCreateServices"),this._logService.info("extension host started"),this._logService.trace("initData",f),this._extensionService=i.invokeFunction(D=>D.get(S.IExtHostExtensionService)),this._extensionService.initialize(),Error.stackTraceLimit=100;const v=new WeakMap;this._extensionService.getExtensionPathIndex().then(D=>{Error.prepareStackTrace=(o,T)=>{let L="",H,B;for(const Q of T)L+=`
	at ${Q.toString()}`,B=Q.getFileName(),!H&&B&&(H=D.findSubstr(B));return v.set(o,H),`${o.name||"Error"}: ${o.message||""}${L}`}});const p=this._rpcProtocol.getProxy(I.MainContext.MainThreadExtensionService),_=this._rpcProtocol.getProxy(I.MainContext.MainThreadErrors);R.setUnexpectedErrorHandler(D=>{const o=R.transformErrorForSerialization(D),T=v.get(D);T?p.$onExtensionRuntimeError(T.identifier,o):_.$onUnexpectedError(o)})}terminate(c){if(this._isTerminating)return;this._isTerminating=!0,this._logService.info(`extension host terminating: ${c}`),this._logService.flush(),this._disposables.dispose(),R.setUnexpectedErrorHandler(t=>{this._logService.error(t)}),this._rpcProtocol.dispose();const f=this._extensionService.deactivateAll();setTimeout(()=>{Promise.race([g.timeout(4e3),f]).finally(()=>{this._logService.info("exiting with code 0"),this._logService.flush(),this._logService.dispose(),this._hostUtils.exit(0)})},1e3)}static _transform(c,f){c.extensions.forEach(r=>r.extensionLocation=A.URI.revive(f.transformIncomingURIs(r.extensionLocation))),c.environment.appRoot=A.URI.revive(f.transformIncomingURIs(c.environment.appRoot));const t=c.environment.extensionDevelopmentLocationURI;return t&&(c.environment.extensionDevelopmentLocationURI=t.map(r=>A.URI.revive(f.transformIncomingURIs(r)))),c.environment.extensionTestsLocationURI=A.URI.revive(f.transformIncomingURIs(c.environment.extensionTestsLocationURI)),c.environment.globalStorageHome=A.URI.revive(f.transformIncomingURIs(c.environment.globalStorageHome)),c.environment.workspaceStorageHome=A.URI.revive(f.transformIncomingURIs(c.environment.workspaceStorageHome)),c.logsLocation=A.URI.revive(f.transformIncomingURIs(c.logsLocation)),c.logFile=A.URI.revive(f.transformIncomingURIs(c.logFile)),c.workspace=f.transformIncomingURIs(c.workspace),c}}e.ExtensionHostMain=b}),define(fe[265],me([0,1,9,21,58,30,22,43,31]),function(X,e,g,R,k,y,A,I,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileSearchManager=void 0;class C{constructor(d,m,l){this.config=d,this.provider=m,this.sessionToken=l,this.isLimitHit=!1,this.resultCount=0,this.isCanceled=!1,this.filePattern=d.filePattern,this.includePattern=d.includePattern&&y.parse(d.includePattern),this.maxResults=d.maxResults||void 0,this.exists=d.exists,this.activeCancellationTokens=new Set,this.globalExcludePattern=d.excludePattern&&y.parse(d.excludePattern)}cancel(){this.isCanceled=!0,this.activeCancellationTokens.forEach(d=>d.cancel()),this.activeCancellationTokens=new Set}search(d){const m=this.config.folderQueries||[];return new Promise((l,u)=>{const S=w=>{this.resultCount++,d(w)};if(this.isCanceled)return l({limitHit:this.isLimitHit});this.config.extraFileResources&&this.config.extraFileResources.forEach(w=>{const b=w.toString(),h=g.basename(b);this.globalExcludePattern&&this.globalExcludePattern(b,h)||this.matchFile(S,{base:w,basename:h})}),Promise.all(m.map(w=>this.searchInFolder(w,S))).then(w=>{l({limitHit:this.isLimitHit,stats:w[0]||void 0})},w=>{u(new Error(k.toErrorMessage(w)))})})}async searchInFolder(d,m){const l=new R.CancellationTokenSource,u=this.getSearchOptionsForFolder(d),S=this.initDirectoryTree(),w=new E.QueryGlobTester(this.config,d),b=!w.hasSiblingExcludeClauses();let h;try{this.activeCancellationTokens.add(l),h=I.StopWatch.create();const c=await this.provider.provideFileSearchResults({pattern:this.config.filePattern||""},u,l.token),f=h.elapsed(),t=I.StopWatch.create();return this.isCanceled&&!this.isLimitHit||(c&&c.forEach(r=>{const s=g.posix.relative(d.folder.path,r.path);if(b){const i=g.basename(r.path);this.matchFile(m,{base:d.folder,relativePath:s,basename:i});return}this.addDirectoryEntries(S,d.folder,s,m)}),this.isCanceled&&!this.isLimitHit)?null:(this.matchDirectoryTree(S,w,m),{providerTime:f,postProcessTime:t.elapsed()})}finally{l.dispose(),this.activeCancellationTokens.delete(l)}}getSearchOptionsForFolder(d){const m=E.resolvePatternsForProvider(this.config.includePattern,d.includePattern),l=E.resolvePatternsForProvider(this.config.excludePattern,d.excludePattern);return{folder:d.folder,excludes:l,includes:m,useIgnoreFiles:!d.disregardIgnoreFiles,useGlobalIgnoreFiles:!d.disregardGlobalIgnoreFiles,followSymlinks:!d.ignoreSymlinks,maxResults:this.config.maxResults,session:this.sessionToken}}initDirectoryTree(){const d={rootEntries:[],pathToEntries:Object.create(null)};return d.pathToEntries["."]=d.rootEntries,d}addDirectoryEntries({pathToEntries:d},m,l,u){if(l===this.filePattern){const w=g.basename(this.filePattern);this.matchFile(u,{base:m,relativePath:this.filePattern,basename:w})}function S(w){const b=g.basename(w),h=g.dirname(w);let c=d[h];c||(c=d[h]=[],S(h)),c.push({base:m,relativePath:w,basename:b})}S(l)}matchDirectoryTree({rootEntries:d,pathToEntries:m},l,u){const S=this,w=this.filePattern;function b(h){const c=y.hasSiblingFn(()=>h.map(f=>f.basename));for(let f=0,t=h.length;f<t;f++){const r=h[f],{relativePath:s,basename:i}=r;if(!l.includedInQuerySync(s,i,w!==i?c:void 0))continue;const a=m[s];if(a)b(a);else{if(s===w)continue;S.matchFile(u,r)}if(S.isLimitHit)break}}b(d)}matchFile(d,m){(!this.includePattern||m.relativePath&&this.includePattern(m.relativePath,m.basename))&&((this.exists||this.maxResults&&this.resultCount>=this.maxResults)&&(this.isLimitHit=!0,this.cancel()),this.isLimitHit||d(m))}}class n{constructor(){this.sessions=new Map}fileSearch(d,m,l,u){const S=this.getSessionTokenSource(d.cacheKey),w=new C(d,m,S&&S.token);let b=0;const h=c=>{b+=c.length,l(c.map(f=>this.rawMatchToSearchItem(f)))};return this.doSearch(w,n.BATCH_SIZE,h,u).then(c=>({limitHit:c.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:b,detailStats:c.stats}}))}clearCache(d){const m=this.getSessionTokenSource(d);m&&m.cancel()}getSessionTokenSource(d){if(!!d)return this.sessions.has(d)||this.sessions.set(d,new R.CancellationTokenSource),this.sessions.get(d)}rawMatchToSearchItem(d){return d.relativePath?{resource:A.joinPath(d.base,d.relativePath)}:{resource:d.base}}doSearch(d,m,l,u){u.onCancellationRequested(()=>{d.cancel()});const S=b=>{b&&(w.push(b),m>0&&w.length>=m&&(l(w),w=[]))};let w=[];return d.search(S).then(b=>(w.length&&l(w),b),b=>(w.length&&l(w),Promise.reject(b)))}}e.FileSearchManager=n,n.BATCH_SIZE=512}),define(fe[130],me([0,1,9,18,21,58,22,30,2,31,10,14]),function(X,e,g,R,k,y,A,I,E,C,n,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BatchedCollector=e.extensionResultIsMatch=e.TextSearchResultsCollector=e.TextSearchManager=void 0;class d{constructor(h,c,f){this.query=h,this.provider=c,this.fileUtils=f,this.collector=null,this.isLimitHit=!1,this.resultCount=0}search(h,c){const f=this.query.folderQueries||[],t=new k.CancellationTokenSource;return c.onCancellationRequested(()=>t.cancel()),new Promise((r,s)=>{this.collector=new l(h);let i=!1;const a=(v,p)=>{if(!i&&!this.isLimitHit){const _=this.resultSize(v);S(v)&&typeof this.query.maxResults=="number"&&this.resultCount+_>this.query.maxResults&&(this.isLimitHit=!0,i=!0,t.cancel(),v=this.trimResultToSize(v,this.query.maxResults-this.resultCount));const D=this.resultSize(v);this.resultCount+=D,(D>0||!S(v))&&this.collector.add(v,p)}};Promise.all(f.map((v,p)=>this.searchInFolder(v,_=>a(_,p),t.token))).then(v=>{t.dispose(),this.collector.flush();const p=v.some(_=>!!_&&!!_.limitHit);r({limitHit:this.isLimitHit||p,messages:R.flatten(v.map(_=>_?.message?P.isArray(_.message)?_.message:[_.message]:[])),stats:{type:"textSearchProvider"}})},v=>{t.dispose();const p=y.toErrorMessage(v);s(new Error(p))})})}resultSize(h){return S(h)?Array.isArray(h.ranges)?h.ranges.length:1:0}trimResultToSize(h,c){const f=Array.isArray(h.ranges)?h.ranges:[h.ranges],t=Array.isArray(h.preview.matches)?h.preview.matches:[h.preview.matches];return{ranges:f.slice(0,c),preview:{matches:t.slice(0,c),text:h.preview.text},uri:h.uri}}async searchInFolder(h,c,f){const t=new C.QueryGlobTester(this.query,h),r=[],s={report:v=>{if(!this.validateProviderResult(v))return;const p=h.folder.scheme===n.Schemas.file?I.hasSiblingPromiseFn(()=>this.fileUtils.readdir(A.dirname(v.uri))):void 0,_=A.relativePath(h.folder,v.uri);_&&r.push(t.includedInQuery(_,g.basename(_),p).then(D=>{D&&c(v)}))}},i=this.getSearchOptionsForFolder(h),a=await this.provider.provideTextSearchResults(m(this.query.contentPattern),i,s,f);return await Promise.all(r),a}validateProviderResult(h){if(S(h)){if(Array.isArray(h.ranges)){if(!Array.isArray(h.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(h.preview.matches.length!==h.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(h.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}getSearchOptionsForFolder(h){const c=C.resolvePatternsForProvider(this.query.includePattern,h.includePattern),f=C.resolvePatternsForProvider(this.query.excludePattern,h.excludePattern),t={folder:E.URI.from(h.folder),excludes:f,includes:c,useIgnoreFiles:!h.disregardIgnoreFiles,useGlobalIgnoreFiles:!h.disregardGlobalIgnoreFiles,followSymlinks:!h.ignoreSymlinks,encoding:h.fileEncoding&&this.fileUtils.toCanonicalName(h.fileEncoding),maxFileSize:this.query.maxFileSize,maxResults:this.query.maxResults,previewOptions:this.query.previewOptions,afterContext:this.query.afterContext,beforeContext:this.query.beforeContext};return t.usePCRE2=this.query.usePCRE2,t}}e.TextSearchManager=d;function m(b){return{isCaseSensitive:b.isCaseSensitive||!1,isRegExp:b.isRegExp||!1,isWordMatch:b.isWordMatch||!1,isMultiline:b.isMultiline||!1,pattern:b.pattern}}class l{constructor(h){this._onResult=h,this._currentFolderIdx=-1,this._currentFileMatch=null,this._batchedCollector=new w(512,c=>this.sendItems(c))}add(h,c){this._currentFileMatch&&(this._currentFolderIdx!==c||!A.isEqual(this._currentUri,h.uri))&&(this.pushToCollector(),this._currentFileMatch=null),this._currentFileMatch||(this._currentFolderIdx=c,this._currentFileMatch={resource:h.uri,results:[]}),this._currentFileMatch.results.push(u(h))}pushToCollector(){const h=this._currentFileMatch&&this._currentFileMatch.results?this._currentFileMatch.results.length:0;this._batchedCollector.addItem(this._currentFileMatch,h)}flush(){this.pushToCollector(),this._batchedCollector.flush()}sendItems(h){this._onResult(h)}}e.TextSearchResultsCollector=l;function u(b){return S(b)?{preview:{matches:R.mapArrayOrNot(b.preview.matches,h=>({startLineNumber:h.start.line,startColumn:h.start.character,endLineNumber:h.end.line,endColumn:h.end.character})),text:b.preview.text},ranges:R.mapArrayOrNot(b.ranges,h=>({startLineNumber:h.start.line,startColumn:h.start.character,endLineNumber:h.end.line,endColumn:h.end.character}))}:{text:b.text,lineNumber:b.lineNumber}}function S(b){return!!b.preview}e.extensionResultIsMatch=S;class w{constructor(h,c){this.maxBatchSize=h,this.cb=c,this.totalNumberCompleted=0,this.batch=[],this.batchSize=0}addItem(h,c){!h||this.addItemToBatch(h,c)}addItems(h,c){!h||this.addItemsToBatch(h,c)}addItemToBatch(h,c){this.batch.push(h),this.batchSize+=c,this.onUpdate()}addItemsToBatch(h,c){this.batch=this.batch.concat(h),this.batchSize+=c,this.onUpdate()}onUpdate(){this.totalNumberCompleted<w.START_BATCH_AFTER_COUNT?this.flush():this.batchSize>=this.maxBatchSize?this.flush():this.timeoutHandle||(this.timeoutHandle=setTimeout(()=>{this.flush()},w.TIMEOUT))}flush(){this.batchSize&&(this.totalNumberCompleted+=this.batchSize,this.cb(this.batch),this.batch=[],this.batchSize=0,this.timeoutHandle&&(clearTimeout(this.timeoutHandle),this.timeoutHandle=0))}}e.BatchedCollector=w,w.TIMEOUT=4e3,w.START_BATCH_AFTER_COUNT=50}),define(fe[68],me([0,1,6,5,4,265,13,60,12,2,130]),function(X,e,g,R,k,y,A,I,E,C,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.reviveQuery=e.ExtHostSearch=e.IExtHostSearch=void 0,e.IExtHostSearch=k.createDecorator("IExtHostSearch");let P=class{constructor(u,S,w){this.extHostRpc=u,this._uriTransformer=S,this._logService=w,this._proxy=this.extHostRpc.getProxy(R.MainContext.MainThreadSearch),this._handlePool=0,this._textSearchProvider=new Map,this._textSearchUsedSchemes=new Set,this._fileSearchProvider=new Map,this._fileSearchUsedSchemes=new Set,this._fileSearchManager=new y.FileSearchManager}_transformScheme(u){return this._uriTransformer.transformOutgoingScheme(u)}registerTextSearchProvider(u,S){if(this._textSearchUsedSchemes.has(u))throw new Error(`a text search provider for the scheme '${u}' is already registered`);this._textSearchUsedSchemes.add(u);const w=this._handlePool++;return this._textSearchProvider.set(w,S),this._proxy.$registerTextSearchProvider(w,this._transformScheme(u)),g.toDisposable(()=>{this._textSearchUsedSchemes.delete(u),this._textSearchProvider.delete(w),this._proxy.$unregisterProvider(w)})}registerFileSearchProvider(u,S){if(this._fileSearchUsedSchemes.has(u))throw new Error(`a file search provider for the scheme '${u}' is already registered`);this._fileSearchUsedSchemes.add(u);const w=this._handlePool++;return this._fileSearchProvider.set(w,S),this._proxy.$registerFileSearchProvider(w,this._transformScheme(u)),g.toDisposable(()=>{this._fileSearchUsedSchemes.delete(u),this._fileSearchProvider.delete(w),this._proxy.$unregisterProvider(w)})}$provideFileSearchResults(u,S,w,b){const h=d(w),c=this._fileSearchProvider.get(u);if(c)return this._fileSearchManager.fileSearch(h,c,f=>{this._proxy.$handleFileMatch(u,S,f.map(t=>t.resource))},b);throw new Error("unknown provider: "+u)}$clearCache(u){return this._fileSearchManager.clearCache(u),Promise.resolve(void 0)}$provideTextSearchResults(u,S,w,b){const h=this._textSearchProvider.get(u);if(!h||!h.provideTextSearchResults)throw new Error(`Unknown provider ${u}`);const c=d(w);return this.createTextSearchManager(c,h).search(t=>this._proxy.$handleTextMatch(u,S,t),b)}createTextSearchManager(u,S){return new n.TextSearchManager(u,S,{readdir:w=>Promise.resolve([]),toCanonicalName:w=>w})}};P=ze([We(0,A.IExtHostRpcService),We(1,I.IURITransformerService),We(2,E.ILogService)],P),e.ExtHostSearch=P;function d(l){return{...l,folderQueries:l.folderQueries&&l.folderQueries.map(m),extraFileResources:l.extraFileResources&&l.extraFileResources.map(u=>C.URI.revive(u))}}e.reviveQuery=d;function m(l){return{...l,folder:C.URI.revive(l.folder)}}}),define(fe[266],me([0,1,21,15,3,56,2,111,106,143,76,41,5,225,224,50,226,36,227,228,229,207,230,42,39,231,208,233,234,235,62,210,240,241,242,88,33,244,211,17,7,247,64,129,35,34,69,200,232,82,128,66,51,68,12,60,13,27,236,198,49,61,222,245,197,63,87,250,248,249,223,59,243,246,86,48,118,238,65,239,10,185,237,195,193]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S,w,b,h,c,f,t,r,s,i,a,v,p,_,D,o,T,L,H,B,Q,z,N,W,F,q,M,O,x,$,J,de,Ee,Fe,Re,Ne,qe,Ve,Ge,j,ee,re,ae,Z,se,ve,Le,He,be,Je,K,ne,he,xe,$e,et,ke,Ce,Pe,oe,ce,ge,we,G,pe,Se,Ae,Me,je){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createApiFactoryAndRegisterActors=void 0;function tt(Xe){const Ye=Xe.get(re.IExtHostInitDataService),lt=Xe.get(et.IExtHostFileSystemInfo),ut=Xe.get(K.IExtHostConsumerFileSystem),_e=Xe.get(s.IExtHostExtensionService),ye=Xe.get(x.IExtHostWorkspace),le=Xe.get(ce.IExtHostTelemetry),Y=Xe.get(w.IExtHostConfiguration),Be=Xe.get(j.IURITransformerService),De=Xe.get(ee.IExtHostRpcService),Ze=Xe.get(B.IExtHostStorage),Ke=Xe.get(Je.IExtensionStoragePaths),rt=Xe.get(Ge.ILogService),ft=Xe.get(se.IExtHostTunnelService),wt=Xe.get(ve.IExtHostApiDeprecationService),bt=Xe.get(O.IExtHostWindow),Et=Xe.get(Pe.IExtHostSecretState),yt=Xe.get(oe.IExtHostEditorTabs);De.set(d.ExtHostContext.ExtHostFileSystemInfo,lt),De.set(d.ExtHostContext.ExtHostLogService,rt),De.set(d.ExtHostContext.ExtHostWorkspace,ye),De.set(d.ExtHostContext.ExtHostConfiguration,Y),De.set(d.ExtHostContext.ExtHostExtensionService,_e),De.set(d.ExtHostContext.ExtHostStorage,Ze),De.set(d.ExtHostContext.ExtHostTunnelService,ft),De.set(d.ExtHostContext.ExtHostWindow,bt),De.set(d.ExtHostContext.ExtHostSecretState,Et),De.set(d.ExtHostContext.ExtHostTelemetry,le),De.set(d.ExtHostContext.ExtHostEditorTabs,yt);const kt=De.set(d.ExtHostContext.ExtHostDecorations,Xe.get(Re.IExtHostDecorations)),_t=De.set(d.ExtHostContext.ExtHostDocumentsAndEditors,Xe.get(r.IExtHostDocumentsAndEditors)),dt=De.set(d.ExtHostContext.ExtHostCommands,Xe.get(u.IExtHostCommands)),vt=De.set(d.ExtHostContext.ExtHostTerminalService,Xe.get(Q.IExtHostTerminalService)),ht=De.set(d.ExtHostContext.ExtHostDebugService,Xe.get(qe.IExtHostDebugService)),xt=De.set(d.ExtHostContext.ExtHostSearch,Xe.get(Ve.IExtHostSearch)),Pt=De.set(d.ExtHostContext.ExtHostTask,Xe.get(Ne.IExtHostTask)),Xt=De.set(d.ExtHostContext.ExtHostOutputService,Xe.get(D.IExtHostOutputService)),Bt=De.set(d.ExtHostContext.ExtHostUrls,new q.ExtHostUrls(De)),Ct=De.set(d.ExtHostContext.ExtHostDocuments,new t.ExtHostDocuments(De,_t)),Yt=De.set(d.ExtHostContext.ExtHostDocumentContentProviders,new c.ExtHostDocumentContentProvider(De,_t,rt)),Jt=De.set(d.ExtHostContext.ExtHostDocumentSaveParticipant,new f.ExtHostDocumentSaveParticipant(rt,Ct,De.getProxy(d.MainContext.MainThreadBulkEdits))),mt=De.set(d.ExtHostContext.ExtHostNotebook,new ae.ExtHostNotebookController(De,dt,_t,Ct,Ke)),Gt=De.set(d.ExtHostContext.ExtHostNotebookDocuments,new Me.ExtHostNotebookDocuments(rt,mt)),qt=De.set(d.ExtHostContext.ExtHostNotebookEditors,new Ae.ExtHostNotebookEditors(rt,De,mt)),Zt=De.set(d.ExtHostContext.ExtHostNotebookKernels,new ge.ExtHostNotebookKernels(De,Ye,mt,rt)),en=De.set(d.ExtHostContext.ExtHostNotebookRenderers,new G.ExtHostNotebookRenderers(De,mt)),At=De.set(d.ExtHostContext.ExtHostEditors,new z.ExtHostEditors(De,_t)),Kt=De.set(d.ExtHostContext.ExtHostTreeViews,new N.ExtHostTreeViews(De.getProxy(d.MainContext.MainThreadTreeViews),dt,rt)),tn=De.set(d.ExtHostContext.ExtHostEditorInsets,new de.ExtHostEditorInsets(De.getProxy(d.MainContext.MainThreadEditorInsets),At,Ye)),jt=De.set(d.ExtHostContext.ExtHostDiagnostics,new b.ExtHostDiagnostics(De,rt)),ct=De.set(d.ExtHostContext.ExtHostLanguageFeatures,new v.ExtHostLanguageFeatures(De,Be,Ct,dt,jt,rt,wt)),_n=De.set(d.ExtHostContext.ExtHostFileSystem,new i.ExtHostFileSystem(De,ct)),Rt=De.set(d.ExtHostContext.ExtHostFileSystemEventService,new a.ExtHostFileSystemEventService(De,rt,_t)),$t=De.set(d.ExtHostContext.ExtHostQuickOpen,T.createExtHostQuickOpen(De,ye,dt)),dn=De.set(d.ExtHostContext.ExtHostSCM,new L.ExtHostSCM(De,dt,rt)),Sn=De.set(d.ExtHostContext.ExtHostComments,new S.ExtHostComments(De,dt,Ct)),hn=De.set(d.ExtHostContext.ExtHostProgress,new o.ExtHostProgress(De.getProxy(d.MainContext.MainThreadProgress))),yn=De.set(d.ExtHostContext.ExtHosLabelService,new Ee.ExtHostLabelService(De)),fn=De.set(d.ExtHostContext.ExtHostTheming,new Z.ExtHostTheming(De)),Ft=De.set(d.ExtHostContext.ExtHostAuthentication,new Le.ExtHostAuthentication(De)),nn=De.set(d.ExtHostContext.ExtHostTimeline,new He.ExtHostTimeline(De,dt)),rn=De.set(d.ExtHostContext.ExtHostWebviews,new M.ExtHostWebviews(De,{remote:Ye.remote},ye,rt,wt)),sn=De.set(d.ExtHostContext.ExtHostWebviewPanels,new xe.ExtHostWebviewPanels(De,rn,ye)),Dn=De.set(d.ExtHostContext.ExtHostCustomEditors,new he.ExtHostCustomEditors(De,Ct,Ke,rn,sn)),Cn=De.set(d.ExtHostContext.ExtHostWebviewViews,new ne.ExtHostWebviewViews(De,rn)),Mt=De.set(d.ExtHostContext.ExtHostTesting,new ke.ExtHostTesting(De,dt)),kn=De.set(d.ExtHostContext.ExtHostUriOpeners,new Ce.ExtHostUriOpeners(De));De.set(d.ExtHostContext.ExtHostInteractive,new je.ExtHostInteractive(De,mt,_t));const In=J.values(d.ExtHostContext);De.assertRegistered(In);const on=new $e.ExtHostBulkEdits(De,_t),Pn=new l.ExtHostClipboard(De),Wt=new _.ExtHostMessageService(De,rt),Ot=new h.ExtHostDialogs(De),mn=new H.ExtHostStatusBar(De,dt.converter),Tt=new p.ExtHostLanguages(De,Ct);return m.ExtHostApiCommands.register(dt),function(Oe,an,gn){const gt=function(){let te=!Oe.isUnderDevelopment;function ue(Te){te||(rt.info(`Extension '${Oe.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),te=!0)}return function Te(at){if(Array.isArray(at))at.forEach(Te);else if(typeof at=="string")ue(at);else{const pt=at;typeof pt.scheme=="undefined"&&ue(at),!Oe.enableProposedApi&&typeof pt.exclusive=="boolean"&&$.throwProposedApiError(Oe)}return at}}(),An={getSession(te,ue,Te){return Ft.getSession(Oe,te,ue,Te)},get onDidChangeSessions(){return Ft.onDidChangeSessions},registerAuthenticationProvider(te,ue,Te,at){return Ft.registerAuthenticationProvider(te,ue,Te,at)},get onDidChangeAuthenticationProviders(){return $.checkProposedApiEnabled(Oe),Ft.onDidChangeAuthenticationProviders},get providers(){return $.checkProposedApiEnabled(Oe),Ft.providers},logout(te,ue){return $.checkProposedApiEnabled(Oe),Ft.removeSession(te,ue)}},Tn={registerCommand(te,ue,Te){return dt.registerCommand(!0,te,ue,Te)},registerTextEditorCommand(te,ue,Te){return dt.registerCommand(!0,te,(...at)=>{const pt=At.getActiveTextEditor();if(!pt){rt.warn("Cannot execute "+te+" because there is no active text editor.");return}return pt.edit(Dt=>{ue.apply(Te,[pt,Dt,...at])}).then(Dt=>{Dt||rt.warn("Edits from command "+te+" were not applied.")},Dt=>{rt.warn("An error occurred while running command "+te,Dt)})})},registerDiffInformationCommand:(te,ue,Te)=>($.checkProposedApiEnabled(Oe),dt.registerCommand(!0,te,async(...at)=>{const pt=_t.activeEditor(!0);if(!pt){rt.warn("Cannot execute "+te+" because there is no active text editor.");return}const Dt=await At.getDiffInformation(pt.id);ue.apply(Te,[Dt,...at])})),executeCommand(te,...ue){return dt.executeCommand(te,...ue)},getCommands(te=!1){return dt.getCommands(te)}},pn={get machineId(){return Ye.telemetryInfo.machineId},get sessionId(){return Ye.telemetryInfo.sessionId},get language(){return Ye.environment.appLanguage},get appName(){return Ye.environment.appName},get appRoot(){return Ye.environment.appRoot?.fsPath??""},get uriScheme(){return Ye.environment.appUriScheme},get clipboard(){return Pn.value},get shell(){return vt.getDefaultShell(!1)},get isTelemetryEnabled(){return le.getTelemetryEnabled()},get onDidChangeTelemetryEnabled(){return le.onDidChangeTelemetryEnabled},get isNewAppInstall(){const te=Date.now()-new Date(Ye.telemetryInfo.firstSessionDate).getTime();return isNaN(te)?!1:te<1e3*60*60*24},openExternal(te,ue){return bt.openUri(te,{allowTunneling:!!Ye.remote.authority,allowContributedOpeners:ue?.allowContributedOpeners})},async asExternalUri(te){if(te.scheme===Ye.environment.appUriScheme)return Bt.createAppUri(te);try{return await bt.asExternalUri(te,{allowTunneling:!!Ye.remote.authority})}catch(ue){if(Se.matchesScheme(te,pe.Schemas.http)||Se.matchesScheme(te,pe.Schemas.https))return te;throw ue}},get remoteName(){return Fe.getRemoteName(Ye.remote.authority)},get uiKind(){return Ye.uiKind}};Ye.environment.extensionTestsLocationURI||Object.freeze(pn);const vn=Ye.remote.isRemote?F.ExtensionKind.Workspace:F.ExtensionKind.UI,ln={createTestController(te){return $.checkProposedApiEnabled(Oe),Mt.createTestController(te)},createTestObserver(){return $.checkProposedApiEnabled(Oe),Mt.createTestObserver()},runTests(te){return $.checkProposedApiEnabled(Oe),Mt.runTests(te)},get onDidChangeTestResults(){return $.checkProposedApiEnabled(Oe),Mt.onResultsChanged},get testResults(){return $.checkProposedApiEnabled(Oe),Mt.results}},Rn={getExtension(te){const ue=an.getExtensionDescription(te);if(ue)return new s.Extension(_e,Oe.identifier,ue,vn)},get all(){return an.getAllExtensionDescriptions().map(te=>new s.Extension(_e,Oe.identifier,te,vn))},get onDidChange(){return an.onDidChange}},Ln={createDiagnosticCollection(te){return jt.createDiagnosticCollection(Oe.identifier,te)},get onDidChangeDiagnostics(){return jt.onDidChangeDiagnostics},getDiagnostics:te=>jt.getDiagnostics(te),getLanguages(){return Tt.getLanguages()},setTextDocumentLanguage(te,ue){return Tt.changeLanguage(te.uri,ue)},match(te,ue){return n.score(W.LanguageSelector.from(te),ue.uri,ue.languageId,!0)},registerCodeActionsProvider(te,ue,Te){return ct.registerCodeActionProvider(Oe,gt(te),ue,Te)},registerCodeLensProvider(te,ue){return ct.registerCodeLensProvider(Oe,gt(te),ue)},registerDefinitionProvider(te,ue){return ct.registerDefinitionProvider(Oe,gt(te),ue)},registerDeclarationProvider(te,ue){return ct.registerDeclarationProvider(Oe,gt(te),ue)},registerImplementationProvider(te,ue){return ct.registerImplementationProvider(Oe,gt(te),ue)},registerTypeDefinitionProvider(te,ue){return ct.registerTypeDefinitionProvider(Oe,gt(te),ue)},registerHoverProvider(te,ue){return ct.registerHoverProvider(Oe,gt(te),ue,Oe.identifier)},registerEvaluatableExpressionProvider(te,ue){return ct.registerEvaluatableExpressionProvider(Oe,gt(te),ue,Oe.identifier)},registerInlineValuesProvider(te,ue){return ct.registerInlineValuesProvider(Oe,gt(te),ue,Oe.identifier)},registerDocumentHighlightProvider(te,ue){return ct.registerDocumentHighlightProvider(Oe,gt(te),ue)},registerLinkedEditingRangeProvider(te,ue){return ct.registerLinkedEditingRangeProvider(Oe,gt(te),ue)},registerReferenceProvider(te,ue){return ct.registerReferenceProvider(Oe,gt(te),ue)},registerRenameProvider(te,ue){return ct.registerRenameProvider(Oe,gt(te),ue)},registerDocumentSymbolProvider(te,ue,Te){return ct.registerDocumentSymbolProvider(Oe,gt(te),ue,Te)},registerWorkspaceSymbolProvider(te){return ct.registerWorkspaceSymbolProvider(Oe,te)},registerDocumentFormattingEditProvider(te,ue){return ct.registerDocumentFormattingEditProvider(Oe,gt(te),ue)},registerDocumentRangeFormattingEditProvider(te,ue){return ct.registerDocumentRangeFormattingEditProvider(Oe,gt(te),ue)},registerOnTypeFormattingEditProvider(te,ue,Te,...at){return ct.registerOnTypeFormattingEditProvider(Oe,gt(te),ue,[Te].concat(at))},registerDocumentSemanticTokensProvider(te,ue,Te){return ct.registerDocumentSemanticTokensProvider(Oe,gt(te),ue,Te)},registerDocumentRangeSemanticTokensProvider(te,ue,Te){return ct.registerDocumentRangeSemanticTokensProvider(Oe,gt(te),ue,Te)},registerSignatureHelpProvider(te,ue,Te,...at){return typeof Te=="object"?ct.registerSignatureHelpProvider(Oe,gt(te),ue,Te):ct.registerSignatureHelpProvider(Oe,gt(te),ue,typeof Te=="undefined"?[]:[Te,...at])},registerCompletionItemProvider(te,ue,...Te){return ct.registerCompletionItemProvider(Oe,gt(te),ue,Te)},registerInlineCompletionItemProvider(te,ue){return $.checkProposedApiEnabled(Oe),ct.registerInlineCompletionsProvider(Oe,gt(te),ue)},registerDocumentLinkProvider(te,ue){return ct.registerDocumentLinkProvider(Oe,gt(te),ue)},registerColorProvider(te,ue){return ct.registerColorProvider(Oe,gt(te),ue)},registerFoldingRangeProvider(te,ue){return ct.registerFoldingRangeProvider(Oe,gt(te),ue)},registerSelectionRangeProvider(te,ue){return ct.registerSelectionRangeProvider(Oe,te,ue)},registerCallHierarchyProvider(te,ue){return ct.registerCallHierarchyProvider(Oe,te,ue)},setLanguageConfiguration:(te,ue)=>ct.setLanguageConfiguration(Oe,te,ue),getTokenInformationAtPosition(te,ue){return $.checkProposedApiEnabled(Oe),Tt.tokenAtPosition(te,ue)},registerInlayHintsProvider(te,ue){return $.checkProposedApiEnabled(Oe),ct.registerInlayHintsProvider(Oe,te,ue)}},Fn={get activeTextEditor(){return At.getActiveTextEditor()},get visibleTextEditors(){return At.getVisibleTextEditors()},get activeTerminal(){return vt.activeTerminal},get terminals(){return vt.terminals},async showTextDocument(te,ue,Te){const at=await(A.URI.isUri(te)?Promise.resolve(wn.openTextDocument(te)):Promise.resolve(te));return At.showTextDocument(at,ue,Te)},createTextEditorDecorationType(te){return At.createTextEditorDecorationType(Oe,te)},onDidChangeActiveTextEditor(te,ue,Te){return At.onDidChangeActiveTextEditor(te,ue,Te)},onDidChangeVisibleTextEditors(te,ue,Te){return At.onDidChangeVisibleTextEditors(te,ue,Te)},onDidChangeTextEditorSelection(te,ue,Te){return At.onDidChangeTextEditorSelection(te,ue,Te)},onDidChangeTextEditorOptions(te,ue,Te){return At.onDidChangeTextEditorOptions(te,ue,Te)},onDidChangeTextEditorVisibleRanges(te,ue,Te){return At.onDidChangeTextEditorVisibleRanges(te,ue,Te)},onDidChangeTextEditorViewColumn(te,ue,Te){return At.onDidChangeTextEditorViewColumn(te,ue,Te)},onDidCloseTerminal(te,ue,Te){return vt.onDidCloseTerminal(te,ue,Te)},onDidOpenTerminal(te,ue,Te){return vt.onDidOpenTerminal(te,ue,Te)},onDidChangeActiveTerminal(te,ue,Te){return vt.onDidChangeActiveTerminal(te,ue,Te)},onDidChangeTerminalDimensions(te,ue,Te){return $.checkProposedApiEnabled(Oe),vt.onDidChangeTerminalDimensions(te,ue,Te)},onDidWriteTerminalData(te,ue,Te){return $.checkProposedApiEnabled(Oe),vt.onDidWriteTerminalData(te,ue,Te)},get state(){return bt.state},onDidChangeWindowState(te,ue,Te){return bt.onDidChangeWindowState(te,ue,Te)},showInformationMessage(te,...ue){return Wt.showMessage(Oe,y.default.Info,te,ue[0],ue.slice(1))},showWarningMessage(te,...ue){return Wt.showMessage(Oe,y.default.Warning,te,ue[0],ue.slice(1))},showErrorMessage(te,...ue){return Wt.showMessage(Oe,y.default.Error,te,ue[0],ue.slice(1))},showQuickPick(te,ue,Te){return $t.showQuickPick(te,!!Oe.enableProposedApi,ue,Te)},showWorkspaceFolderPick(te){return $t.showWorkspaceFolderPick(te)},showInputBox(te,ue){return $t.showInput(te,ue)},showOpenDialog(te){return Ot.showOpenDialog(te)},showSaveDialog(te){return Ot.showSaveDialog(te)},createStatusBarItem(te,ue,Te){let at,pt,Dt;return typeof te=="string"?(at=te,pt=ue,Dt=Te):(pt=te,Dt=ue),mn.createStatusBarEntry(Oe,at,pt,Dt)},setStatusBarMessage(te,ue){return mn.setStatusBarMessage(te,ue)},withScmProgress(te){return wt.report("window.withScmProgress",Oe,"Use 'withProgress' instead."),hn.withProgress(Oe,{location:F.ProgressLocation.SourceControl},(ue,Te)=>te({report(at){}}))},withProgress(te,ue){return hn.withProgress(Oe,te,ue)},createOutputChannel(te){return Xt.createOutputChannel(te)},createWebviewPanel(te,ue,Te,at){return sn.createWebviewPanel(Oe,te,ue,Te,at)},createWebviewTextEditorInset(te,ue,Te,at){return $.checkProposedApiEnabled(Oe),tn.createWebviewEditorInset(te,ue,Te,at,Oe)},createTerminal(te,ue,Te){return typeof te=="object"?"pty"in te?vt.createExtensionTerminal(te):vt.createTerminalFromOptions(te):vt.createTerminal(te,ue,Te)},registerTerminalLinkProvider(te){return vt.registerLinkProvider(te)},registerTerminalProfileProvider(te,ue){return vt.registerProfileProvider(Oe,te,ue)},registerTreeDataProvider(te,ue){return Kt.registerTreeDataProvider(te,ue,Oe)},createTreeView(te,ue){return Kt.createTreeView(te,ue,Oe)},registerWebviewPanelSerializer:(te,ue)=>sn.registerWebviewPanelSerializer(Oe,te,ue),registerCustomEditorProvider:(te,ue,Te={})=>Dn.registerCustomEditorProvider(Oe,te,ue,Te),registerFileDecorationProvider(te){return kt.registerFileDecorationProvider(te,Oe.identifier)},registerUriHandler(te){return Bt.registerUriHandler(Oe.identifier,te)},createQuickPick(){return $t.createQuickPick(Oe.identifier,!!Oe.enableProposedApi)},createInputBox(){return $t.createInputBox(Oe.identifier)},get activeColorTheme(){return fn.activeColorTheme},onDidChangeActiveColorTheme(te,ue,Te){return fn.onDidChangeActiveColorTheme(te,ue,Te)},registerWebviewViewProvider(te,ue,Te){return Cn.registerWebviewViewProvider(Oe,te,ue,Te?.webviewOptions)},get activeNotebookEditor(){return $.checkProposedApiEnabled(Oe),mt.activeNotebookEditor},onDidChangeActiveNotebookEditor(te,ue,Te){return $.checkProposedApiEnabled(Oe),mt.onDidChangeActiveNotebookEditor(te,ue,Te)},get visibleNotebookEditors(){return $.checkProposedApiEnabled(Oe),mt.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return $.checkProposedApiEnabled(Oe),mt.onDidChangeVisibleNotebookEditors},onDidChangeNotebookEditorSelection(te,ue,Te){return $.checkProposedApiEnabled(Oe),qt.onDidChangeNotebookEditorSelection(te,ue,Te)},onDidChangeNotebookEditorVisibleRanges(te,ue,Te){return $.checkProposedApiEnabled(Oe),qt.onDidChangeNotebookEditorVisibleRanges(te,ue,Te)},showNotebookDocument(te,ue){return $.checkProposedApiEnabled(Oe),mt.showNotebookDocument(te,ue)},registerExternalUriOpener(te,ue,Te){return $.checkProposedApiEnabled(Oe),kn.registerExternalUriOpener(Oe.identifier,te,ue,Te)},get openEditors(){return $.checkProposedApiEnabled(Oe),yt.tabs},get onDidChangeOpenEditors(){return $.checkProposedApiEnabled(Oe),yt.onDidChangeTabs},getInlineCompletionItemController(te){return $.checkProposedApiEnabled(Oe),v.InlineCompletionController.get(te)}},wn={get rootPath(){return wt.report("workspace.rootPath",Oe,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),ye.getPath()},set rootPath(te){throw R.readonly()},getWorkspaceFolder(te){return ye.getWorkspaceFolder(te)},get workspaceFolders(){return ye.getWorkspaceFolders()},get name(){return ye.name},set name(te){throw R.readonly()},get workspaceFile(){return ye.workspaceFile},set workspaceFile(te){throw R.readonly()},updateWorkspaceFolders:(te,ue,...Te)=>ye.updateWorkspaceFolders(Oe,te,ue||0,...Te),onDidChangeWorkspaceFolders:function(te,ue,Te){return ye.onDidChangeWorkspace(te,ue,Te)},asRelativePath:(te,ue)=>ye.getRelativePath(te,ue),findFiles:(te,ue,Te,at)=>ye.findFiles(W.GlobPattern.from(te),W.GlobPattern.from(ue),Te,Oe.identifier,at),findTextInFiles:(te,ue,Te,at)=>{let pt,Dt;return typeof ue=="object"?(pt=ue,Dt=Te):(pt={},Dt=ue,at=Te),ye.findTextInFiles(te,pt||{},Dt,Oe.identifier,at)},saveAll:te=>ye.saveAll(te),applyEdit(te){return on.applyWorkspaceEdit(te)},createFileSystemWatcher:(te,ue,Te,at)=>Rt.createFileSystemWatcher(W.GlobPattern.from(te),ue,Te,at),get textDocuments(){return Ct.getAllDocumentData().map(te=>te.document)},set textDocuments(te){throw R.readonly()},openTextDocument(te){let ue;const Te=te;if(typeof te=="string")ue=Promise.resolve(A.URI.file(te));else if(A.URI.isUri(te))ue=Promise.resolve(te);else if(!Te||typeof Te=="object")ue=Ct.createDocumentData(Te);else throw new Error("illegal argument - uriOrFileNameOrOptions");return ue.then(at=>Ct.ensureDocumentData(at).then(pt=>pt.document))},onDidOpenTextDocument:(te,ue,Te)=>Ct.onDidAddDocument(te,ue,Te),onDidCloseTextDocument:(te,ue,Te)=>Ct.onDidRemoveDocument(te,ue,Te),onDidChangeTextDocument:(te,ue,Te)=>Ct.onDidChangeDocument(te,ue,Te),onDidSaveTextDocument:(te,ue,Te)=>Ct.onDidSaveDocument(te,ue,Te),onWillSaveTextDocument:(te,ue,Te)=>Jt.getOnWillSaveTextDocumentEvent(Oe)(te,ue,Te),get notebookDocuments(){return mt.notebookDocuments.map(te=>te.apiNotebook)},async openNotebookDocument(te,ue){let Te;if(A.URI.isUri(te))Te=te,await mt.openNotebookDocument(te);else if(typeof te=="string")Te=A.URI.revive(await mt.createNotebookDocument({viewType:te,content:ue}));else throw new Error("Invalid arguments");return mt.getNotebookDocument(Te).apiNotebook},get onDidOpenNotebookDocument(){return mt.onDidOpenNotebookDocument},get onDidCloseNotebookDocument(){return mt.onDidCloseNotebookDocument},registerNotebookSerializer(te,ue,Te,at){return mt.registerNotebookSerializer(Oe,te,ue,Te,Oe.enableProposedApi?at:void 0)},registerNotebookContentProvider:(te,ue,Te,at)=>($.checkProposedApiEnabled(Oe),mt.registerNotebookContentProvider(Oe,te,ue,Te,Oe.enableProposedApi?at:void 0)),onDidChangeConfiguration:(te,ue,Te)=>gn.onDidChangeConfiguration(te,ue,Te),getConfiguration(te,ue){return ue=arguments.length===1?void 0:ue,gn.getConfiguration(te,ue,Oe)},registerTextDocumentContentProvider(te,ue){return Yt.registerTextDocumentContentProvider(te,ue)},registerTaskProvider:(te,ue)=>(wt.report("window.registerTaskProvider",Oe,"Use the corresponding function on the 'tasks' namespace instead"),Pt.registerTaskProvider(Oe,te,ue)),registerFileSystemProvider(te,ue,Te){return _n.registerFileSystemProvider(Oe.identifier,te,ue,Te,Oe.enableProposedApi)},get fs(){return ut.value},registerFileSearchProvider:(te,ue)=>($.checkProposedApiEnabled(Oe),xt.registerFileSearchProvider(te,ue)),registerTextSearchProvider:(te,ue)=>($.checkProposedApiEnabled(Oe),xt.registerTextSearchProvider(te,ue)),registerRemoteAuthorityResolver:(te,ue)=>($.checkProposedApiEnabled(Oe),_e.registerRemoteAuthorityResolver(te,ue)),registerResourceLabelFormatter:te=>($.checkProposedApiEnabled(Oe),yn.$registerResourceLabelFormatter(te)),onDidCreateFiles:(te,ue,Te)=>Rt.onDidCreateFile(te,ue,Te),onDidDeleteFiles:(te,ue,Te)=>Rt.onDidDeleteFile(te,ue,Te),onDidRenameFiles:(te,ue,Te)=>Rt.onDidRenameFile(te,ue,Te),onWillCreateFiles:(te,ue,Te)=>Rt.getOnWillCreateFileEvent(Oe)(te,ue,Te),onWillDeleteFiles:(te,ue,Te)=>Rt.getOnWillDeleteFileEvent(Oe)(te,ue,Te),onWillRenameFiles:(te,ue,Te)=>Rt.getOnWillRenameFileEvent(Oe)(te,ue,Te),openTunnel:te=>($.checkProposedApiEnabled(Oe),ft.openTunnel(Oe,te).then(ue=>{if(!ue)throw new Error("cannot open tunnel");return ue})),get tunnels(){return $.checkProposedApiEnabled(Oe),ft.getTunnels()},onDidChangeTunnels:(te,ue,Te)=>($.checkProposedApiEnabled(Oe),ft.onDidChangeTunnels(te,ue,Te)),registerPortAttributesProvider:(te,ue)=>($.checkProposedApiEnabled(Oe),ft.registerPortsAttributesProvider(te,ue)),registerTimelineProvider:(te,ue)=>($.checkProposedApiEnabled(Oe),nn.registerTimelineProvider(te,ue,Oe.identifier,dt.converter)),get isTrusted(){return ye.trusted},requestWorkspaceTrust:te=>($.checkProposedApiEnabled(Oe),ye.requestWorkspaceTrust(te)),onDidGrantWorkspaceTrust:(te,ue,Te)=>ye.onDidGrantWorkspaceTrust(te,ue,Te)},Mn={get inputBox(){return wt.report("scm.inputBox",Oe,"Use 'SourceControl.inputBox' instead"),dn.getLastInputBox(Oe)},createSourceControl(te,ue,Te){return dn.createSourceControl(Oe,te,ue,Te)}},On={createCommentController(te,ue){return Sn.createCommentController(Oe,te,ue)}},bn={get activeDebugSession(){return ht.activeDebugSession},get activeDebugConsole(){return ht.activeDebugConsole},get breakpoints(){return ht.breakpoints},onDidStartDebugSession(te,ue,Te){return ht.onDidStartDebugSession(te,ue,Te)},onDidTerminateDebugSession(te,ue,Te){return ht.onDidTerminateDebugSession(te,ue,Te)},onDidChangeActiveDebugSession(te,ue,Te){return ht.onDidChangeActiveDebugSession(te,ue,Te)},onDidReceiveDebugSessionCustomEvent(te,ue,Te){return ht.onDidReceiveDebugSessionCustomEvent(te,ue,Te)},onDidChangeBreakpoints(te,ue,Te){return ht.onDidChangeBreakpoints(te,ue,Te)},registerDebugConfigurationProvider(te,ue,Te){return ht.registerDebugConfigurationProvider(te,ue,Te||F.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory(te,ue){return ht.registerDebugAdapterDescriptorFactory(Oe,te,ue)},registerDebugAdapterTrackerFactory(te,ue){return ht.registerDebugAdapterTrackerFactory(te,ue)},startDebugging(te,ue,Te){return!Te||typeof Te=="object"&&"configuration"in Te?ht.startDebugging(te,ue,{parentSession:Te}):ht.startDebugging(te,ue,Te||{})},stopDebugging(te){return ht.stopDebugging(te)},addBreakpoints(te){return ht.addBreakpoints(te)},removeBreakpoints(te){return ht.removeBreakpoints(te)},asDebugSourceUri(te,ue){return ht.asDebugSourceUri(te,ue)}},Nt={registerTaskProvider:(te,ue)=>Pt.registerTaskProvider(Oe,te,ue),fetchTasks:te=>Pt.fetchTasks(te),executeTask:te=>Pt.executeTask(Oe,te),get taskExecutions(){return Pt.taskExecutions},onDidStartTask:(te,ue,Te)=>Pt.onDidStartTask(te,ue,Te),onDidEndTask:(te,ue,Te)=>Pt.onDidEndTask(te,ue,Te),onDidStartTaskProcess:(te,ue,Te)=>Pt.onDidStartTaskProcess(te,ue,Te),onDidEndTaskProcess:(te,ue,Te)=>Pt.onDidEndTaskProcess(te,ue,Te)},Ht={createNotebookController(te,ue,Te,at,pt){return Zt.createNotebookController(Oe,te,ue,Te,at,Oe.enableProposedApi?pt:void 0)},registerNotebookCellStatusBarItemProvider:(te,ue)=>mt.registerNotebookCellStatusBarItemProvider(Oe,te,ue),get onDidSaveNotebookDocument(){return $.checkProposedApiEnabled(Oe),Gt.onDidSaveNotebookDocument},createNotebookEditorDecorationType(te){return $.checkProposedApiEnabled(Oe),qt.createNotebookEditorDecorationType(te)},createRendererMessaging(te){return $.checkProposedApiEnabled(Oe),en.createRendererMessaging(te)},onDidChangeNotebookDocumentMetadata(te,ue,Te){return $.checkProposedApiEnabled(Oe),Gt.onDidChangeNotebookDocumentMetadata(te,ue,Te)},onDidChangeNotebookCells(te,ue,Te){return $.checkProposedApiEnabled(Oe),mt.onDidChangeNotebookCells(te,ue,Te)},onDidChangeNotebookCellExecutionState(te,ue,Te){return $.checkProposedApiEnabled(Oe),mt.onDidChangeNotebookCellExecutionState(te,ue,Te)},onDidChangeCellOutputs(te,ue,Te){return $.checkProposedApiEnabled(Oe),mt.onDidChangeCellOutputs(te,ue,Te)},onDidChangeCellMetadata(te,ue,Te){return $.checkProposedApiEnabled(Oe),mt.onDidChangeCellMetadata(te,ue,Te)},createConcatTextDocument(te,ue){return $.checkProposedApiEnabled(Oe),new be.ExtHostNotebookConcatDocument(mt,Ct,te,ue)}};return{version:Ye.version,authentication:An,commands:Tn,comments:On,debug:bn,env:pn,extensions:Rn,languages:Ln,notebooks:Ht,scm:Mn,tasks:Nt,test:ln,window:Fn,workspace:wn,Breakpoint:F.Breakpoint,CallHierarchyIncomingCall:F.CallHierarchyIncomingCall,CallHierarchyItem:F.CallHierarchyItem,CallHierarchyOutgoingCall:F.CallHierarchyOutgoingCall,CancellationError:R.CancellationError,CancellationTokenSource:g.CancellationTokenSource,CandidatePortSource:d.CandidatePortSource,CodeAction:F.CodeAction,CodeActionKind:F.CodeActionKind,CodeActionTriggerKind:F.CodeActionTriggerKind,CodeLens:F.CodeLens,Color:F.Color,ColorInformation:F.ColorInformation,ColorPresentation:F.ColorPresentation,ColorThemeKind:F.ColorThemeKind,CommentMode:F.CommentMode,CommentThreadCollapsibleState:F.CommentThreadCollapsibleState,CompletionItem:F.CompletionItem,CompletionItemKind:F.CompletionItemKind,CompletionItemTag:F.CompletionItemTag,CompletionList:F.CompletionList,CompletionTriggerKind:F.CompletionTriggerKind,ConfigurationTarget:F.ConfigurationTarget,CustomExecution:F.CustomExecution,DebugAdapterExecutable:F.DebugAdapterExecutable,DebugAdapterInlineImplementation:F.DebugAdapterInlineImplementation,DebugAdapterNamedPipeServer:F.DebugAdapterNamedPipeServer,DebugAdapterServer:F.DebugAdapterServer,DebugConfigurationProviderTriggerKind:F.DebugConfigurationProviderTriggerKind,DebugConsoleMode:F.DebugConsoleMode,DecorationRangeBehavior:F.DecorationRangeBehavior,Diagnostic:F.Diagnostic,DiagnosticRelatedInformation:F.DiagnosticRelatedInformation,DiagnosticSeverity:F.DiagnosticSeverity,DiagnosticTag:F.DiagnosticTag,Disposable:F.Disposable,DocumentHighlight:F.DocumentHighlight,DocumentHighlightKind:F.DocumentHighlightKind,DocumentLink:F.DocumentLink,DocumentSymbol:F.DocumentSymbol,EndOfLine:F.EndOfLine,EnvironmentVariableMutatorType:F.EnvironmentVariableMutatorType,EvaluatableExpression:F.EvaluatableExpression,InlineValueText:F.InlineValueText,InlineValueVariableLookup:F.InlineValueVariableLookup,InlineValueEvaluatableExpression:F.InlineValueEvaluatableExpression,InlineCompletionTriggerKind:F.InlineCompletionTriggerKind,EventEmitter:k.Emitter,ExtensionKind:F.ExtensionKind,ExtensionMode:F.ExtensionMode,ExternalUriOpenerPriority:F.ExternalUriOpenerPriority,FileChangeType:F.FileChangeType,FileDecoration:F.FileDecoration,FileSystemError:F.FileSystemError,FileType:P.FileType,FilePermission:P.FilePermission,FoldingRange:F.FoldingRange,FoldingRangeKind:F.FoldingRangeKind,FunctionBreakpoint:F.FunctionBreakpoint,InlineCompletionItem:F.InlineSuggestion,InlineCompletionList:F.InlineSuggestions,Hover:F.Hover,IndentAction:C.IndentAction,Location:F.Location,MarkdownString:F.MarkdownString,OverviewRulerLane:E.OverviewRulerLane,ParameterInformation:F.ParameterInformation,PortAutoForwardAction:F.PortAutoForwardAction,Position:F.Position,ProcessExecution:F.ProcessExecution,ProgressLocation:F.ProgressLocation,QuickInputButtons:F.QuickInputButtons,Range:F.Range,RelativePattern:F.RelativePattern,Selection:F.Selection,SelectionRange:F.SelectionRange,SemanticTokens:F.SemanticTokens,SemanticTokensBuilder:F.SemanticTokensBuilder,SemanticTokensEdit:F.SemanticTokensEdit,SemanticTokensEdits:F.SemanticTokensEdits,SemanticTokensLegend:F.SemanticTokensLegend,ShellExecution:F.ShellExecution,ShellQuoting:F.ShellQuoting,SignatureHelp:F.SignatureHelp,SignatureHelpTriggerKind:F.SignatureHelpTriggerKind,SignatureInformation:F.SignatureInformation,SnippetString:F.SnippetString,SourceBreakpoint:F.SourceBreakpoint,StandardTokenType:F.StandardTokenType,StatusBarAlignment:F.StatusBarAlignment,SymbolInformation:F.SymbolInformation,SymbolKind:F.SymbolKind,SymbolTag:F.SymbolTag,Task:F.Task,TaskGroup:F.TaskGroup,TaskPanelKind:F.TaskPanelKind,TaskRevealKind:F.TaskRevealKind,TaskScope:F.TaskScope,TerminalLink:F.TerminalLink,TerminalProfile:F.TerminalProfile,TextDocumentSaveReason:F.TextDocumentSaveReason,TextEdit:F.TextEdit,TextEditorCursorStyle:I.TextEditorCursorStyle,TextEditorLineNumbersStyle:F.TextEditorLineNumbersStyle,TextEditorRevealType:F.TextEditorRevealType,TextEditorSelectionChangeKind:F.TextEditorSelectionChangeKind,ThemeColor:F.ThemeColor,ThemeIcon:F.ThemeIcon,TreeItem:F.TreeItem,TreeItemCollapsibleState:F.TreeItemCollapsibleState,UIKind:d.UIKind,Uri:A.URI,ViewColumn:F.ViewColumn,WorkspaceEdit:F.WorkspaceEdit,InlayHint:F.InlayHint,InlayHintKind:F.InlayHintKind,RemoteAuthorityResolverError:F.RemoteAuthorityResolverError,ResolvedAuthority:F.ResolvedAuthority,SourceControlInputBoxValidationType:F.SourceControlInputBoxValidationType,ExtensionRuntime:F.ExtensionRuntime,TimelineItem:F.TimelineItem,NotebookRange:F.NotebookRange,NotebookCellKind:F.NotebookCellKind,NotebookCellExecutionState:F.NotebookCellExecutionState,NotebookCellData:F.NotebookCellData,NotebookData:F.NotebookData,NotebookRendererScript:F.NotebookRendererScript,NotebookCellStatusBarAlignment:F.NotebookCellStatusBarAlignment,NotebookEditorRevealType:F.NotebookEditorRevealType,NotebookCellOutput:F.NotebookCellOutput,NotebookCellOutputItem:F.NotebookCellOutputItem,NotebookCellStatusBarItem:F.NotebookCellStatusBarItem,NotebookControllerAffinity:F.NotebookControllerAffinity,PortAttributes:F.PortAttributes,LinkedEditingRanges:F.LinkedEditingRanges,TestResultState:F.TestResultState,TestRunRequest:F.TestRunRequest,TestMessage:F.TestMessage,TextSearchCompleteMessageType:we.TextSearchCompleteMessageType,TestMessageSeverity:F.TestMessageSeverity,CoveredCount:F.CoveredCount,FileCoverage:F.FileCoverage,StatementCoverage:F.StatementCoverage,BranchCoverage:F.BranchCoverage,FunctionCoverage:F.FunctionCoverage,WorkspaceTrustState:F.WorkspaceTrustState}}}e.createApiFactoryAndRegisterActors=tt}),define(fe[267],me([0,1,77,62,35,128,36,50,42,33,66,51,68,88,49,61,129,87,59,86,118,48]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S,w,b,h,c,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),g.registerSingleton(u.IExtHostApiDeprecationService,u.ExtHostApiDeprecationService),g.registerSingleton(I.IExtHostCommands,I.ExtHostCommands),g.registerSingleton(A.IExtHostConfiguration,A.ExtHostConfiguration),g.registerSingleton(w.IExtHostConsumerFileSystem,w.ExtHostConsumerFileSystem),g.registerSingleton(P.IExtHostDebugService,P.WorkerExtHostDebugService),g.registerSingleton(y.IExtHostDecorations,y.ExtHostDecorations),g.registerSingleton(E.IExtHostDocumentsAndEditors,E.ExtHostDocumentsAndEditors),g.registerSingleton(b.IExtHostFileSystemInfo,b.ExtHostFileSystemInfo),g.registerSingleton(R.IExtHostOutputService,R.ExtHostOutputService),g.registerSingleton(d.IExtHostSearch,d.ExtHostSearch),g.registerSingleton(m.IExtHostStorage,m.ExtHostStorage),g.registerSingleton(n.IExtHostTask,n.WorkerExtHostTask),g.registerSingleton(C.IExtHostTerminalService,C.WorkerExtHostTerminalService),g.registerSingleton(l.IExtHostTunnelService,l.ExtHostTunnelService),g.registerSingleton(S.IExtHostWindow,S.ExtHostWindow),g.registerSingleton(k.IExtHostWorkspace,k.ExtHostWorkspace),g.registerSingleton(h.IExtHostSecretState,h.ExtHostSecretState),g.registerSingleton(c.IExtHostTelemetry,c.ExtHostTelemetry),g.registerSingleton(f.IExtHostEditorTabs,f.ExtHostEditorTabs)}),define(fe[89],me([0,1,18,12,31,65]),function(X,e,g,R,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutputChannel=e.createTextSearchResult=e.anchorGlob=void 0;function A(P){return P.startsWith("**")||P.startsWith("/")?P:`/${P}`}e.anchorGlob=A;function I(P,d,m,l){const u=g.mapArrayOrNot(m,E),S=new k.TextSearchMatch(d,u,l),w=S.preview.matches;return{ranges:g.mapArrayOrNot(u,C),uri:P,preview:{text:S.preview.text,matches:g.mapArrayOrNot(w,C)}}}e.createTextSearchResult=I;function E(P){return new k.SearchRange(P.start.line,P.start.character,P.end.line,P.end.character)}function C(P){return new y.Range(P.startLineNumber,P.startColumn,P.endLineNumber,P.endColumn)}let n=class{constructor(d,m){this.prefix=d,this.logService=m}appendLine(d){this.logService.debug(`${this.prefix}#search`,d)}};n=ze([We(1,R.ILogService)],n),e.OutputChannel=n}),define(fe[268],me([0,1,92,23]),function(X,e,g,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SUPPORTED_ENCODINGS=e.detectEncodingFromBuffer=e.toCanonicalName=e.detectEncodingByBOMFromBuffer=e.toNodeEncoding=e.encodingExists=e.toEncodeReadable=e.toDecodeStream=e.UTF8_BOM=e.UTF16le_BOM=e.UTF16be_BOM=e.isUTFEncoding=e.UTF16le=e.UTF16be=e.UTF8_with_bom=e.UTF8=void 0,e.UTF8="utf8",e.UTF8_with_bom="utf8bom",e.UTF16be="utf16be",e.UTF16le="utf16le";function k(t){return[e.UTF8,e.UTF8_with_bom,e.UTF16be,e.UTF16le].some(r=>r===t)}e.isUTFEncoding=k,e.UTF16be_BOM=[254,255],e.UTF16le_BOM=[255,254],e.UTF8_BOM=[239,187,191];const y=512,A=512,I=512*8,E=512*128;class C{constructor(r){this.iconvLiteDecoder=r}static async create(r){let s;if(r!==e.UTF8)s=(await new Promise((a,v)=>{X(["iconv-lite-umd"],a,v)})).getDecoder(m(r));else{const i=new TextDecoder;s={write(a){return i.decode(a,{stream:!0})},end(){return i.decode()}}}return new C(s)}write(r){return this.iconvLiteDecoder.write(r)}end(){return this.iconvLiteDecoder.end()}}function n(t,r){const s=r.minBytesRequiredForDetection??r.guessEncoding?I:A;return new Promise((i,a)=>{const v=g.newWriteableStream(T=>T.join("")),p=[];let _=0,D;const o=async()=>{try{const T=await f({buffer:R.VSBuffer.concat(p),bytesRead:_},r.guessEncoding);T.encoding=await r.overwriteEncoding(T.encoding),D=await C.create(T.encoding);const L=D.write(R.VSBuffer.concat(p).buffer);v.write(L),p.length=0,_=0,i({stream:v,detected:T})}catch(T){a(T)}};g.listenStream(t,{onData:async T=>{D?v.write(D.write(T.buffer)):(p.push(T),_+=T.byteLength,_>=s&&(t.pause(),await o(),setTimeout(()=>t.resume())))},onError:T=>v.error(T),onEnd:async()=>{D||await o(),v.end(D?.end())}})})}e.toDecodeStream=n;async function P(t,r,s){const a=(await new Promise((_,D)=>{X(["iconv-lite-umd"],_,D)})).getEncoder(m(r),s);let v=!1,p=!1;return{read(){if(p)return null;const _=t.read();if(typeof _!="string"){if(p=!0,!v&&s?.addBOM)switch(r){case e.UTF8:case e.UTF8_with_bom:return R.VSBuffer.wrap(Uint8Array.from(e.UTF8_BOM));case e.UTF16be:return R.VSBuffer.wrap(Uint8Array.from(e.UTF16be_BOM));case e.UTF16le:return R.VSBuffer.wrap(Uint8Array.from(e.UTF16le_BOM))}const D=a.end();return D&&D.length>0?(v=!0,R.VSBuffer.wrap(D)):null}return v=!0,R.VSBuffer.wrap(a.write(_))}}}e.toEncodeReadable=P;async function d(t){return(await new Promise((s,i)=>{X(["iconv-lite-umd"],s,i)})).encodingExists(m(t))}e.encodingExists=d;function m(t){return t===e.UTF8_with_bom||t===null?e.UTF8:t}e.toNodeEncoding=m;function l(t,r){if(!t||r<e.UTF16be_BOM.length)return null;const s=t.readUInt8(0),i=t.readUInt8(1);if(s===e.UTF16be_BOM[0]&&i===e.UTF16be_BOM[1])return e.UTF16be;if(s===e.UTF16le_BOM[0]&&i===e.UTF16le_BOM[1])return e.UTF16le;if(r<e.UTF8_BOM.length)return null;const a=t.readUInt8(2);return s===e.UTF8_BOM[0]&&i===e.UTF8_BOM[1]&&a===e.UTF8_BOM[2]?e.UTF8_with_bom:null}e.detectEncodingByBOMFromBuffer=l;const u=["ascii","utf-16","utf-32"];async function S(t){const r=await new Promise((p,_)=>{X(["jschardet"],p,_)}),s=t.slice(0,E),i=h(s.buffer),a=r.detect(i);if(!a||!a.encoding)return null;const v=a.encoding.toLowerCase();return 0<=u.indexOf(v)?null:b(a.encoding)}const w={ibm866:"cp866",big5:"cp950"};function b(t){const r=t.replace(/[^a-zA-Z0-9]/g,"").toLowerCase();return w[r]||r}function h(t){let r="";for(let s=0;s<t.length;s++)r+=String.fromCharCode(t[s]);return r}function c(t){switch(t){case"shiftjis":return"shift-jis";case"utf16le":return"utf-16le";case"utf16be":return"utf-16be";case"big5hkscs":return"big5-hkscs";case"eucjp":return"euc-jp";case"euckr":return"euc-kr";case"koi8r":return"koi8-r";case"koi8u":return"koi8-u";case"macroman":return"x-mac-roman";case"utf8bom":return"utf8";default:const r=t.match(/windows(\d+)/);return r?"windows-"+r[1]:t}}e.toCanonicalName=c;function f({buffer:t,bytesRead:r},s){let i=l(t,r),a=!1;if(i!==e.UTF16be&&i!==e.UTF16le&&t){let v=!0,p=!0,_=!1;for(let D=0;D<r&&D<y;D++){const o=D%2==1,T=t.readUInt8(D)===0;if(T&&(_=!0),v&&(o&&!T||!o&&T)&&(v=!1),p&&(o&&T||!o&&!T)&&(p=!1),T&&!v&&!p)break}_&&(v?i=e.UTF16le:p?i=e.UTF16be:a=!0)}return s&&!a&&!i&&t?S(t.slice(0,r)).then(v=>({seemsBinary:!1,encoding:v})):{seemsBinary:a,encoding:i}}e.detectEncodingFromBuffer=f,e.SUPPORTED_ENCODINGS={utf8:{labelLong:"UTF-8",labelShort:"UTF-8",order:1,alias:"utf8bom"},utf8bom:{labelLong:"UTF-8 with BOM",labelShort:"UTF-8 with BOM",encodeOnly:!0,order:2,alias:"utf8"},utf16le:{labelLong:"UTF-16 LE",labelShort:"UTF-16 LE",order:3},utf16be:{labelLong:"UTF-16 BE",labelShort:"UTF-16 BE",order:4},windows1252:{labelLong:"Western (Windows 1252)",labelShort:"Windows 1252",order:5},iso88591:{labelLong:"Western (ISO 8859-1)",labelShort:"ISO 8859-1",order:6},iso88593:{labelLong:"Western (ISO 8859-3)",labelShort:"ISO 8859-3",order:7},iso885915:{labelLong:"Western (ISO 8859-15)",labelShort:"ISO 8859-15",order:8},macroman:{labelLong:"Western (Mac Roman)",labelShort:"Mac Roman",order:9},cp437:{labelLong:"DOS (CP 437)",labelShort:"CP437",order:10},windows1256:{labelLong:"Arabic (Windows 1256)",labelShort:"Windows 1256",order:11},iso88596:{labelLong:"Arabic (ISO 8859-6)",labelShort:"ISO 8859-6",order:12},windows1257:{labelLong:"Baltic (Windows 1257)",labelShort:"Windows 1257",order:13},iso88594:{labelLong:"Baltic (ISO 8859-4)",labelShort:"ISO 8859-4",order:14},iso885914:{labelLong:"Celtic (ISO 8859-14)",labelShort:"ISO 8859-14",order:15},windows1250:{labelLong:"Central European (Windows 1250)",labelShort:"Windows 1250",order:16},iso88592:{labelLong:"Central European (ISO 8859-2)",labelShort:"ISO 8859-2",order:17},cp852:{labelLong:"Central European (CP 852)",labelShort:"CP 852",order:18},windows1251:{labelLong:"Cyrillic (Windows 1251)",labelShort:"Windows 1251",order:19},cp866:{labelLong:"Cyrillic (CP 866)",labelShort:"CP 866",order:20},iso88595:{labelLong:"Cyrillic (ISO 8859-5)",labelShort:"ISO 8859-5",order:21},koi8r:{labelLong:"Cyrillic (KOI8-R)",labelShort:"KOI8-R",order:22},koi8u:{labelLong:"Cyrillic (KOI8-U)",labelShort:"KOI8-U",order:23},iso885913:{labelLong:"Estonian (ISO 8859-13)",labelShort:"ISO 8859-13",order:24},windows1253:{labelLong:"Greek (Windows 1253)",labelShort:"Windows 1253",order:25},iso88597:{labelLong:"Greek (ISO 8859-7)",labelShort:"ISO 8859-7",order:26},windows1255:{labelLong:"Hebrew (Windows 1255)",labelShort:"Windows 1255",order:27},iso88598:{labelLong:"Hebrew (ISO 8859-8)",labelShort:"ISO 8859-8",order:28},iso885910:{labelLong:"Nordic (ISO 8859-10)",labelShort:"ISO 8859-10",order:29},iso885916:{labelLong:"Romanian (ISO 8859-16)",labelShort:"ISO 8859-16",order:30},windows1254:{labelLong:"Turkish (Windows 1254)",labelShort:"Windows 1254",order:31},iso88599:{labelLong:"Turkish (ISO 8859-9)",labelShort:"ISO 8859-9",order:32},windows1258:{labelLong:"Vietnamese (Windows 1258)",labelShort:"Windows 1258",order:33},gbk:{labelLong:"Simplified Chinese (GBK)",labelShort:"GBK",order:34},gb18030:{labelLong:"Simplified Chinese (GB18030)",labelShort:"GB18030",order:35},cp950:{labelLong:"Traditional Chinese (Big5)",labelShort:"Big5",order:36},big5hkscs:{labelLong:"Traditional Chinese (Big5-HKSCS)",labelShort:"Big5-HKSCS",order:37},shiftjis:{labelLong:"Japanese (Shift JIS)",labelShort:"Shift JIS",order:38},eucjp:{labelLong:"Japanese (EUC-JP)",labelShort:"EUC-JP",order:39},euckr:{labelLong:"Korean (EUC-KR)",labelShort:"EUC-KR",order:40},windows874:{labelLong:"Thai (Windows 874)",labelShort:"Windows 874",order:41},iso885911:{labelLong:"Latin/Thai (ISO 8859-11)",labelShort:"ISO 8859-11",order:42},koi8ru:{labelLong:"Cyrillic (KOI8-RU)",labelShort:"KOI8-RU",order:43},koi8t:{labelLong:"Tajik (KOI8-T)",labelShort:"KOI8-T",order:44},gb2312:{labelLong:"Simplified Chinese (GB 2312)",labelShort:"GB 2312",order:45},cp865:{labelLong:"Nordic DOS (CP 865)",labelShort:"CP 865",order:46},cp850:{labelLong:"Western European DOS (CP 850)",labelShort:"CP 850",order:47}}}),define(fe[131],me([0,1,268,28,130]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeTextSearchManager=void 0;class y extends k.TextSearchManager{constructor(I,E,C=R){super(I,E,{readdir:n=>C.Promises.readdir(n.fsPath),toCanonicalName:n=>g.toCanonicalName(n)})}}e.NativeTextSearchManager=y}),define(fe[269],me([0,1,270,285,286,2,287]),function(X,e,g,R,k,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connectProxyResolver=void 0;function I(P,d,m,l,u,S){const w=S.environment.useHostProxy,b=typeof w=="boolean"?w:!S.remote.isRemote,h=A.createProxyResolver({resolveProxy:f=>P.resolveProxy(f),getHttpProxySetting:()=>d.getConfiguration("http").get("proxy"),log:(f,t,...r)=>{switch(f){case A.LogLevel.Trace:l.trace(t,...r);break;case A.LogLevel.Debug:l.debug(t,...r);break;case A.LogLevel.Info:l.info(t,...r);break;case A.LogLevel.Warning:l.warn(t,...r);break;case A.LogLevel.Error:l.error(t,...r);break;case A.LogLevel.Critical:l.critical(t,...r);break;case A.LogLevel.Off:break;default:s(f,t,r);break}function s(i,a,...v){l.error("Unknown log level",i),l.error(a,...v)}},getLogLevel:()=>l.getLevel(),proxyResolveTelemetry:f=>{u.$publicLog2("resolveProxy",f)},useHostProxy:b,env:process.env}),c=E(d,h);return n(m,c)}e.connectProxyResolver=I;function E(P,d){const m={config:P.getConfiguration("http").get("proxySupport")||"off"};P.onDidChangeConfiguration(u=>{m.config=P.getConfiguration("http").get("proxySupport")||"off"});const l={config:!!P.getConfiguration("http").get("systemCertificates")};return P.onDidChangeConfiguration(u=>{l.config=!!P.getConfiguration("http").get("systemCertificates")}),{http:{off:Object.assign({},g,A.createHttpPatch(g,d,{config:"off"},l,!0)),on:Object.assign({},g,A.createHttpPatch(g,d,{config:"on"},l,!0)),override:Object.assign({},g,A.createHttpPatch(g,d,{config:"override"},l,!0)),onRequest:Object.assign({},g,A.createHttpPatch(g,d,m,l,!0)),default:Object.assign(g,A.createHttpPatch(g,d,m,l,!1))},https:{off:Object.assign({},R,A.createHttpPatch(R,d,{config:"off"},l,!0)),on:Object.assign({},R,A.createHttpPatch(R,d,{config:"on"},l,!0)),override:Object.assign({},R,A.createHttpPatch(R,d,{config:"override"},l,!0)),onRequest:Object.assign({},R,A.createHttpPatch(R,d,m,l,!0)),default:Object.assign(R,A.createHttpPatch(R,d,m,l,!1))},tls:Object.assign(k,A.createTlsPatch(k))}}const C=new Map;function n(P,d){return P.getExtensionPathIndex().then(m=>{const l=X.__$__nodeRequire("module"),u=l._load;l._load=function(w,b,h){if(w==="tls")return d.tls;if(w!=="http"&&w!=="https")return u.apply(this,arguments);const c=d[w],f=m.findSubstr(y.URI.file(b.filename).fsPath);let t=C.get(f);if(t||C.set(f,t={}),!t[w]){let r=c.default;f&&f.enableProposedApi&&(r=c[f.proxySupport]||c.onRequest),t[w]={...r}}return t[w]}})}}),define(fe[271],me([0,1,38,9,74,29,11,8,89,272]),function(X,e,g,R,k,y,A,I,E,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fixDriveC=e.getAbsoluteGlob=e.foldersToIncludeGlobs=e.foldersToRgExcludeGlobs=e.spawnRipgrepCmd=void 0;const n=C.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");function P(h,c,f,t){const r=d(h,c,f,t),s=c.folder.fsPath;return{cmd:g.spawn(n,r.args,{cwd:s}),rgDiskPath:n,siblingClauses:r.siblingClauses,rgArgs:r,cwd:s}}e.spawnRipgrepCmd=P;function d(h,c,f,t){const r=["--files","--hidden","--case-sensitive"];l([c],f,!1).forEach(i=>{const a=E.anchorGlob(i);if(r.push("-g",a),A.isMacintosh){const v=k.normalizeNFD(a);v!==a&&r.push("-g",v)}});const s=m([c],t,void 0,!1);return s.globArgs.forEach(i=>{const a=`!${E.anchorGlob(i)}`;if(r.push("-g",a),A.isMacintosh){const v=k.normalizeNFD(a);v!==a&&r.push("-g",v)}}),c.disregardIgnoreFiles!==!1?r.push("--no-ignore"):r.push("--no-ignore-parent"),c.ignoreSymlinks||r.push("--follow"),h.exists&&r.push("--quiet"),r.push("--no-config"),c.disregardGlobalIgnoreFiles&&r.push("--no-ignore-global"),{args:r,siblingClauses:s.siblingClauses}}function m(h,c,f,t=!0){const r=[];let s={};return h.forEach(i=>{const a=Object.assign({},i.excludePattern||{},c||{}),v=u(a,t?i.folder.fsPath:void 0,f);r.push(...v.globArgs),v.siblingClauses&&(s=Object.assign(s,v.siblingClauses))}),{globArgs:r,siblingClauses:s}}e.foldersToRgExcludeGlobs=m;function l(h,c,f=!0){const t=[];return h.forEach(r=>{const s=Object.assign({},c||{},r.includePattern||{}),i=u(s,f?r.folder.fsPath:void 0);t.push(...i.globArgs)}),t}e.foldersToIncludeGlobs=l;function u(h,c,f){const t=[],r={};return Object.keys(h).forEach(s=>{if(f&&f.has(s)||!s)return;const i=h[s];s=w(c?S(c,s):s),s.startsWith("\\\\")?s="\\\\"+s.substr(2).replace(/\\/g,"/"):s=s.replace(/\\/g,"/"),typeof i=="boolean"&&i?(s.startsWith("\\\\")&&(s+="**"),t.push(b(s))):i&&i.when&&(r[s]=i)}),{globArgs:t,siblingClauses:r}}function S(h,c){return R.isAbsolute(c)?c:R.join(h,c)}e.getAbsoluteGlob=S;function w(h){return h=I.rtrim(h,"\\"),I.rtrim(h,"/")}function b(h){return y.getRoot(h).toLowerCase()==="c:/"?h.replace(/^c:[/\\]/i,"/"):h}e.fixDriveC=b}),define(fe[273],me([0,1,38,44,9,100,18,58,30,74,29,11,43,8,14,28,31,271,97]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S,w,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.rgErrorMsgForDisplay=e.Engine=e.FileWalker=void 0;const h=new Set;process.on("exit",()=>{h.forEach(s=>s())});class c{constructor(i){this.normalizedFilePatternLowercase=null,this.maxFilesize=null,this.isCanceled=!1,this.fileWalkSW=null,this.cmdSW=null,this.cmdResultCount=0,this.config=i,this.filePattern=i.filePattern||"",this.includePattern=i.includePattern&&E.parse(i.includePattern),this.maxResults=i.maxResults||null,this.exists=!!i.exists,this.walkedPaths=Object.create(null),this.resultCount=0,this.isLimitHit=!1,this.directoriesWalked=0,this.filesWalked=0,this.errors=[],this.filePattern&&(this.normalizedFilePatternLowercase=b.prepareQuery(this.filePattern).normalizedLowercase),this.globalExcludePattern=i.excludePattern&&E.parse(i.excludePattern),this.folderExcludePatterns=new Map,i.folderQueries.forEach(a=>{const v=Object.assign({},a.excludePattern||{},this.config.excludePattern||{}),p=a.folder.fsPath;i.folderQueries.map(_=>_.folder.fsPath).filter(_=>_!==p).forEach(_=>{n.isEqualOrParent(_,p)&&(v[k.relative(p,_)]=!0)}),this.folderExcludePatterns.set(p,new t(v,p))})}cancel(){this.isCanceled=!0}walk(i,a,v,p,_){if(this.fileWalkSW=d.StopWatch.create(!1),this.isCanceled)return _(null,this.isLimitHit);a.forEach(D=>{const o=k.basename(D.fsPath);this.globalExcludePattern&&this.globalExcludePattern(D.fsPath,o)||this.matchFile(v,{relativePath:D.fsPath,searchPath:void 0})}),this.cmdSW=d.StopWatch.create(!1),this.parallel(i,(D,o)=>{this.call(this.cmdTraversal,this,D,v,p,T=>{if(T){const L=I.toErrorMessage(T);console.error(L),this.errors.push(L),o(T,void 0)}else o(null,void 0)})},(D,o)=>{this.fileWalkSW.stop();const T=D?A.coalesce(D)[0]:null;_(T,this.isLimitHit)})}parallel(i,a,v){const p=new Array(i.length),_=new Array(i.length);let D=!1,o=0;if(i.length===0)return v(null,[]);i.forEach((T,L)=>{a(T,(H,B)=>{if(H?(D=!0,p[L]=null,_[L]=H):(p[L]=B,_[L]=null),++o===i.length)return v(D?_:null,p)})})}call(i,a,...v){try{i.apply(a,v)}catch(p){v[v.length-1](p)}}cmdTraversal(i,a,v,p){const _=i.folder.fsPath,D=P.isMacintosh;let o;const T=()=>o&&o.kill();h.add(T);let L=F=>{h.delete(T),L=()=>{},p(F)},H="";const B=this.initDirectoryTree();let Q;const z=w.spawnRipgrepCmd(this.config,i,this.config.includePattern,this.folderExcludePatterns.get(i.folder.fsPath).expression);o=z.cmd,Q=!Object.keys(z.siblingClauses).length;const N=z.rgArgs.args.map(F=>F.match(/^-/)?F:`'${F}'`).join(" ");let W=`${z.rgDiskPath} ${N}
 - cwd: ${z.cwd}`;z.rgArgs.siblingClauses&&(W+=`
 - Sibling clauses: ${JSON.stringify(z.rgArgs.siblingClauses)}`),v({message:W}),this.cmdResultCount=0,this.collectStdout(o,"utf8",v,(F,q,M)=>{if(F){L(F);return}if(this.isLimitHit){L();return}const x=(H+(D?C.normalizeNFC(q||""):q)).split(`
`);if(M){const $=x.length;x[$-1]=x[$-1].trim(),x[$-1]||x.pop()}else H=x.pop()||"";if(x.length&&x[0].indexOf(`
`)!==-1){L(new Error("Splitting up files failed"));return}if(this.cmdResultCount+=x.length,Q){for(const $ of x)if(this.matchFile(a,{base:_,relativePath:$,searchPath:this.getSearchPath(i,$)}),this.isLimitHit){T();break}(M||this.isLimitHit)&&L();return}this.addDirectoryEntries(i,B,_,x,a),M&&(this.matchDirectoryTree(B,_,a),L())})}spawnFindCmd(i){const a=this.folderExcludePatterns.get(i.folder.fsPath),v=a.getBasenameTerms(),p=a.getPathTerms(),_=["-L","."];if(v.length||p.length){_.push("-not","(","(");for(const D of v)_.push("-name",D),_.push("-o");for(const D of p)_.push("-path",D),_.push("-o");_.pop(),_.push(")","-prune",")")}return _.push("-type","f"),g.spawn("find",_,{cwd:i.folder.fsPath})}readStdout(i,a,v){let p="";this.collectStdout(i,a,()=>{},(_,D,o)=>{if(_){v(_);return}p+=D,o&&v(null,p)})}collectStdout(i,a,v,p){let _=(T,L,H)=>{(T||H)&&(_=()=>{},this.cmdSW&&this.cmdSW.stop()),p(T,L,H)},D=!1;i.stdout?(this.forwardData(i.stdout,a,_),i.stdout.once("data",()=>D=!0)):v({message:"stdout is null"});let o;i.stderr?o=this.collectData(i.stderr):v({message:"stderr is null"}),i.on("error",T=>{_(T)}),i.on("close",T=>{let L;!D&&(L=this.decodeData(o,a))&&r(L)?_(new Error(`command failed with error code ${T}: ${this.decodeData(o,a)}`)):(this.exists&&T===0&&(this.isLimitHit=!0),_(null,"",!0))})}forwardData(i,a,v){const p=new y.StringDecoder(a);return i.on("data",_=>{v(null,p.write(_))}),p}collectData(i){const a=[];return i.on("data",v=>{a.push(v)}),a}decodeData(i,a){const v=new y.StringDecoder(a);return i.map(p=>v.write(p)).join("")}initDirectoryTree(){const i={rootEntries:[],pathToEntries:Object.create(null)};return i.pathToEntries["."]=i.rootEntries,i}addDirectoryEntries(i,{pathToEntries:a},v,p,_){p.indexOf(this.filePattern)!==-1&&this.matchFile(_,{base:v,relativePath:this.filePattern,searchPath:this.getSearchPath(i,this.filePattern)});const D=o=>{const T=k.basename(o),L=k.dirname(o);let H=a[L];H||(H=a[L]=[],D(L)),H.push({base:v,relativePath:o,basename:T,searchPath:this.getSearchPath(i,o)})};p.forEach(D)}matchDirectoryTree({rootEntries:i,pathToEntries:a},v,p){const _=this,D=this.folderExcludePatterns.get(v),o=this.filePattern;function T(L){_.directoriesWalked++;const H=E.hasSiblingFn(()=>L.map(B=>B.basename));for(let B=0,Q=L.length;B<Q;B++){const z=L[B],{relativePath:N,basename:W}=z;if(D.test(N,W,o!==W?H:void 0))continue;const F=a[N];if(F)T(F);else{if(_.filesWalked++,N===o)continue;_.matchFile(p,z)}if(_.isLimitHit)break}}T(i)}getStats(){return{cmdTime:this.cmdSW.elapsed(),fileWalkTime:this.fileWalkSW.elapsed(),directoriesWalked:this.directoriesWalked,filesWalked:this.filesWalked,cmdResultCount:this.cmdResultCount}}doWalk(i,a,v,p,_){const D=i.folder,o=E.hasSiblingFn(()=>v);this.parallel(v,(T,L)=>{if(this.isCanceled||this.isLimitHit)return L(null);const H=a?[a,T].join(k.sep):T;if(this.folderExcludePatterns.get(i.folder.fsPath).test(H,T,this.config.filePattern!==T?o:void 0))return L(null);const B=[D.fsPath,H].join(k.sep);R.lstat(B,(Q,z)=>{if(Q||this.isCanceled||this.isLimitHit)return L(null);this.statLinkIfNeeded(B,z,(N,W)=>N||this.isCanceled||this.isLimitHit?L(null):W.isDirectory()?(this.directoriesWalked++,this.realPathIfNeeded(B,z,(F,q)=>F||this.isCanceled||this.isLimitHit||(q=q||"",this.walkedPaths[q])?L(null):(this.walkedPaths[q]=!0,u.Promises.readdir(B).then(M=>{if(this.isCanceled||this.isLimitHit)return L(null);this.doWalk(i,H,M,p,O=>L(O||null))},M=>{L(null)})))):(this.filesWalked++,H===this.filePattern||this.maxFilesize&&l.isNumber(W.size)&&W.size>this.maxFilesize||this.matchFile(p,{base:D.fsPath,relativePath:H,searchPath:this.getSearchPath(i,H)}),L(null,void 0)))})},T=>{const L=T&&A.coalesce(T);return _(L&&L.length>0?L[0]:void 0)})}matchFile(i,a){this.isFileMatch(a)&&(!this.includePattern||this.includePattern(a.relativePath,k.basename(a.relativePath)))&&(this.resultCount++,(this.exists||this.maxResults&&this.resultCount>this.maxResults)&&(this.isLimitHit=!0),this.isLimitHit||i(a))}isFileMatch(i){if(this.filePattern){if(this.filePattern==="*")return!0;if(this.normalizedFilePatternLowercase)return S.isFilePatternMatch(i,this.normalizedFilePatternLowercase)}return!0}statLinkIfNeeded(i,a,v){return a.isSymbolicLink()?R.stat(i,v):v(null,a)}realPathIfNeeded(i,a,v){return a.isSymbolicLink()?R.realpath(i,(p,_)=>p?v(p):v(null,_)):v(null,i)}getSearchPath(i,a){return i.folderName?k.join(i.folderName,a):a}}e.FileWalker=c;class f{constructor(i){this.folderQueries=i.folderQueries,this.extraFiles=i.extraFileResources||[],this.walker=new c(i)}search(i,a,v){this.walker.walk(this.folderQueries,this.extraFiles,i,a,(p,_)=>{v(p,{limitHit:_,stats:this.walker.getStats(),messages:[]})})}cancel(){this.walker.cancel()}}e.Engine=f;class t{constructor(i,a){this.expression=i,this.root=a,this.init(i)}init(i){let a,v;Object.keys(i).filter(p=>i[p]).forEach(p=>{k.isAbsolute(p)?(a=a||E.getEmptyExpression(),a[p]=i[p]):(v=v||E.getEmptyExpression(),v[p]=i[p])}),this.absoluteParsedExpr=a&&E.parse(a,{trimForExclusions:!0}),this.relativeParsedExpr=v&&E.parse(v,{trimForExclusions:!0})}test(i,a,v){return this.relativeParsedExpr&&this.relativeParsedExpr(i,a,v)||this.absoluteParsedExpr&&this.absoluteParsedExpr(k.join(this.root,i),a,v)}getBasenameTerms(){const i=[];return this.absoluteParsedExpr&&i.push(...E.getBasenameTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&i.push(...E.getBasenameTerms(this.relativeParsedExpr)),i}getPathTerms(){const i=[];return this.absoluteParsedExpr&&i.push(...E.getPathTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&i.push(...E.getPathTerms(this.relativeParsedExpr)),i}}function r(s){const i=s.trim().split(`
`),a=i[0].trim();if(a.startsWith("Error parsing regex"))return a;if(a.startsWith("regex parse error"))return m.uppercaseFirstLetter(i[i.length-1].trim());if(a.startsWith("error parsing glob")||a.startsWith("unsupported encoding"))return a.charAt(0).toUpperCase()+a.substr(1);if(a==="Literal '\\n' not allowed.")return"Literal '\\n' currently not supported";if(a.startsWith("Literal "))return a}e.rgErrorMsgForDisplay=r}),define(fe[132],me([0,1,38,288,100,18,69,30,9,8,2,31,65,289,272,89]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fixNewline=e.fixRegexNewline=e.unicodeEscapesToPCRE2=e.spreadGlobComponents=e.RipgrepParser=e.buildRegexParseError=e.rgErrorMsgForDisplay=e.RipgrepTextSearchEngine=void 0;const S=l.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");class w{constructor(D){this.outputChannel=D}provideTextSearchResults(D,o,T,L){return this.outputChannel.appendLine(`provideTextSearchResults ${D.pattern}, ${JSON.stringify({...o,folder:o.folder.toString()})}`),new Promise((H,B)=>{L.onCancellationRequested(()=>O());const Q=r(D,o),z=o.folder.fsPath,N=Q.map(Ee=>Ee.match(/^-/)?Ee:`'${Ee}'`).join(" ");this.outputChannel.appendLine(`${S} ${N}
 - cwd: ${z}`);let W=g.spawn(S,Q,{cwd:z});W.on("error",Ee=>{console.error(Ee),this.outputChannel.appendLine("Error: "+(Ee&&Ee.message)),B(P.serializeSearchError(new P.SearchError(Ee&&Ee.message,P.SearchErrorCode.rgProcessError)))});let F=!1;const q=new c(o.maxResults,z,o.previewOptions);q.on("result",Ee=>{F=!0,$="",T.report(Ee)});let M=!1;const O=()=>{M=!0,W&&W.kill(),q&&q.cancel()};let x=!1;q.on("hitLimit",()=>{x=!0,O()});let $="";W.stdout.on("data",Ee=>{q.handleData(Ee),F||($+=Ee)});let J=!1;W.stdout.once("data",()=>J=!0);let de="";W.stderr.on("data",Ee=>{const Fe=Ee.toString();this.outputChannel.appendLine(Fe),de+=Fe}),W.on("close",()=>{if(this.outputChannel.appendLine(J?"Got data from stdout":"No data from stdout"),this.outputChannel.appendLine(F?"Got result from parser":"No result from parser"),$&&this.outputChannel.appendLine(`Got data without result: ${$}`),this.outputChannel.appendLine(""),M)H({limitHit:x});else{q.flush(),W=null;let Ee;de&&!J&&(Ee=b(de))?B(P.serializeSearchError(new P.SearchError(Ee.message,Ee.code))):H({limitHit:x})}})})}}e.RipgrepTextSearchEngine=w;function b(_){const D=_.split(`
`),o=D[0].trim();if(D.some(L=>L.startsWith("regex parse error")))return new P.SearchError(h(D),P.SearchErrorCode.regexParseError);const T=o.match(/grep config error: unknown encoding: (.*)/);if(T)return new P.SearchError(`Unknown encoding: ${T[1]}`,P.SearchErrorCode.unknownEncoding);if(o.startsWith("error parsing glob"))return new P.SearchError(o.charAt(0).toUpperCase()+o.substr(1),P.SearchErrorCode.globParseError);if(o.startsWith("the literal"))return new P.SearchError(o.charAt(0).toUpperCase()+o.substr(1),P.SearchErrorCode.invalidLiteral);if(o.startsWith("PCRE2: error compiling pattern"))return new P.SearchError(o,P.SearchErrorCode.regexParseError)}e.rgErrorMsgForDisplay=b;function h(_){const D=["Regex parse error"],o=_.filter(T=>T.startsWith("PCRE2:"));if(o.length>=1){const T=o[0].replace("PCRE2:","");if(T.indexOf(":")!==-1&&T.split(":").length>=2){const L=T.split(":")[1];D.push(":"+L)}}return D.join("")}e.buildRegexParseError=h;class c extends R.EventEmitter{constructor(D,o,T){super();this.maxResults=D,this.rootFolder=o,this.previewOptions=T,this.remainder="",this.isDone=!1,this.hitLimit=!1,this.numResults=0,this.stringDecoder=new k.StringDecoder}cancel(){this.isDone=!0}flush(){this.handleDecodedData(this.stringDecoder.end())}on(D,o){return super.on(D,o),this}handleData(D){if(this.isDone)return;const o=typeof D=="string"?D:this.stringDecoder.write(D);this.handleDecodedData(o)}handleDecodedData(D){let o=D.indexOf(`
`);const T=this.remainder+D;if(o>=0)o+=this.remainder.length;else{this.remainder=T;return}let L=0;for(;o>=0;)this.handleLine(T.substring(L,o).trim()),L=o+1,o=T.indexOf(`
`,L);this.remainder=T.substring(L)}handleLine(D){if(this.isDone||!D)return;let o;try{o=JSON.parse(D)}catch(T){throw new Error(`malformed line from rg: ${D}`)}if(o.type==="match"){const T=f(o.data.path),L=n.URI.file(E.join(this.rootFolder,T)),H=this.createTextSearchMatch(o.data,L);this.onResult(H),this.hitLimit&&(this.cancel(),this.emit("hitLimit"))}else if(o.type==="context"){const T=f(o.data.path),L=n.URI.file(E.join(this.rootFolder,T));this.createTextSearchContext(o.data,L).forEach(B=>this.onResult(B))}}createTextSearchMatch(D,o){const T=D.line_number-1,L=f(D.lines),H=Buffer.from(L);let B=0,Q=0,z=T;D.submatches.length===0&&D.submatches.push(L.length?{start:0,end:1,match:{text:L[0]}}:{start:0,end:0,match:{text:""}});const N=y.coalesce(D.submatches.map((W,F)=>{if(this.hitLimit)return null;this.numResults++,this.numResults>=this.maxResults&&(this.hitLimit=!0);const q=f(W.match),M=H.slice(B,W.start).toString().length,O=Q+M,x=t(q),$=z,J=x.numLines+$,de=x.numLines>0?x.lastLineLength:x.lastLineLength+O;return B=W.end,Q=de,z=J,new d.Range($,O,J,de)}));return u.createTextSearchResult(o,L,N,this.previewOptions)}createTextSearchContext(D,o){const T=f(D.lines),L=D.line_number;return T.replace(/\r?\n$/,"").split(`
`).map((H,B)=>({text:H,uri:o,lineNumber:L+B}))}onResult(D){this.emit("result",D)}}e.RipgrepParser=c;function f(_){return _.bytes?Buffer.from(_.bytes,"base64").toString():_.text}function t(_){const D=/\n/g;let o=0,T=-1,L;for(;L=D.exec(_);)o++,T=L.index;const H=T>=0?_.length-T-1:_.length;return{numLines:o,lastLineLength:H}}function r(_,D){const o=["--hidden"];o.push(_.isCaseSensitive?"--case-sensitive":"--ignore-case");const{doubleStarIncludes:T,otherIncludes:L}=A.groupBy(D.includes,B=>B.startsWith("**")?"doubleStarIncludes":"otherIncludes");if(L&&L.length){const B=new Set;L.forEach(Q=>{B.add(Q)}),o.push("-g","!*"),B.forEach(Q=>{s(Q).map(u.anchorGlob).forEach(z=>{o.push("-g",z)})})}T&&T.length&&T.forEach(B=>{o.push("-g",B)}),D.excludes.map(u.anchorGlob).forEach(B=>o.push("-g",`!${B}`)),D.maxFileSize&&o.push("--max-filesize",D.maxFileSize+""),D.useIgnoreFiles?o.push("--no-ignore-parent"):o.push("--no-ignore"),D.followSymlinks&&o.push("--follow"),D.encoding&&D.encoding!=="utf8"&&o.push("--encoding",D.encoding),_.pattern==="--"&&(_.isRegExp=!0,_.pattern="\\-\\-"),_.isMultiline&&!_.isRegExp&&(_.pattern=C.escapeRegExpCharacters(_.pattern),_.isRegExp=!0),D.usePCRE2&&o.push("--pcre2"),o.push("--crlf"),_.isRegExp&&(_.pattern=i(_.pattern),o.push("--auto-hybrid-regex"));let H;if(_.isWordMatch){const Q=C.createRegExp(_.pattern,!!_.isRegExp,{wholeWord:_.isWordMatch}).source.replace(/\\\//g,"/");o.push("--regexp",Q)}else if(_.isRegExp){let B=v(_.pattern);B=p(B),o.push("--regexp",B)}else H=_.pattern,o.push("--fixed-strings");return o.push("--no-config"),D.useGlobalIgnoreFiles||o.push("--no-ignore-global"),o.push("--json"),_.isMultiline&&o.push("--multiline"),D.beforeContext&&o.push("--before-context",D.beforeContext+""),D.afterContext&&o.push("--after-context",D.afterContext+""),o.push("--"),H&&o.push(H),o.push("."),o}function s(_){const D=I.splitGlobAware(_,"/");return D.map((o,T)=>D.slice(0,T+1).join("/"))}e.spreadGlobComponents=s;function i(_){const D=/((?:[^\\]|^)(?:\\\\)*)\\u([a-z0-9]{4})/gi;for(;_.match(D);)_=_.replace(D,"$1\\x{$2}");const o=/((?:[^\\]|^)(?:\\\\)*)\\u\{([a-z0-9]{4})\}/gi;for(;_.match(o);)_=_.replace(o,"$1\\x{$2}");return _}e.unicodeEscapesToPCRE2=i;const a=_=>_.type==="Assertion"&&_.kind==="lookbehind";function v(_){let D;try{D=new m.RegExpParser().parsePattern(_)}catch{return _}let o="",T=0;const L=(Q,z,N)=>{o+=_.slice(T,Q)+N,T=z},H=[];return new m.RegExpVisitor({onCharacterEnter(Q){if(Q.raw!=="\\n")return;const z=H[0];if(!z)L(Q.start,Q.end,"\\r?\\n");else if(!H.some(a))if(z.type==="CharacterClass")if(z.negate){const N=_.slice(z.start+2,Q.start)+_.slice(Q.end,z.end-1);L(z.start,z.end,"(?!\\r?\\n"+(N?`|[${N}]`:"")+")")}else{const N=_.slice(z.start+1,Q.start)+_.slice(Q.end,z.end-1);L(z.start,z.end,N===""?"\\r?\\n":`(?:[${N}]|\\r?\\n)`)}else z.type==="Quantifier"&&L(Q.start,Q.end,"(?:\\r?\\n)")},onQuantifierEnter(Q){H.unshift(Q)},onQuantifierLeave(){H.shift()},onCharacterClassRangeEnter(Q){H.unshift(Q)},onCharacterClassRangeLeave(){H.shift()},onCharacterClassEnter(Q){H.unshift(Q)},onCharacterClassLeave(){H.shift()},onAssertionEnter(Q){a(Q)&&H.push(Q)},onAssertionLeave(Q){H[0]===Q&&H.shift()}}).visit(D),o+=_.slice(T),o}e.fixRegexNewline=v;function p(_){return _.replace(/\n/g,"\\r?\\n")}e.fixNewline=p}),define(fe[274],me([0,1,21,132,115,10]),function(X,e,g,R,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RipgrepSearchProvider=void 0;class A{constructor(C){this.outputChannel=C,this.inProgress=new Set,process.once("exit",()=>this.dispose())}provideTextSearchResults(C,n,P,d){const m=new R.RipgrepTextSearchEngine(this.outputChannel);if(n.folder.scheme===y.Schemas.userData){const l={...n,folder:n.folder.with({scheme:y.Schemas.file})},u=new k.Progress(S=>P.report({...S,uri:S.uri.with({scheme:n.folder.scheme})}));return this.withToken(d,S=>m.provideTextSearchResults(C,l,u,S))}else return this.withToken(d,l=>m.provideTextSearchResults(C,n,P,l))}async withToken(C,n){const P=I(C);this.inProgress.add(P);const d=await n(P.token);return this.inProgress.delete(P),d}dispose(){this.inProgress.forEach(C=>C.cancel())}}e.RipgrepSearchProvider=A;function I(E){const C=new g.CancellationTokenSource;return E.onCancellationRequested(()=>C.cancel()),C}}),define(fe[275],me([0,1,28,132,131]),function(X,e,g,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchEngineAdapter=void 0;class y{constructor(E){this.query=E}search(E,C,n){if((!this.query.folderQueries||!this.query.folderQueries.length)&&(!this.query.extraFileResources||!this.query.extraFileResources.length))return Promise.resolve({type:"success",limitHit:!1,stats:{type:"searchProcess"}});const P={appendLine(m){n({message:m})}},d=new k.NativeTextSearchManager(this.query,new R.RipgrepTextSearchEngine(P),g);return new Promise((m,l)=>d.search(u=>{C(u.map(A))},E).then(u=>m({limitHit:u.limitHit,type:"success"}),l))}}e.TextSearchEngineAdapter=y;function A(I){return{path:I.resource&&I.resource.fsPath,results:I.results,numMatches:(I.results||[]).reduce((E,C)=>{if(C.ranges){const n=C;return E+(Array.isArray(n.ranges)?n.ranges.length:1)}else return E+1},0)}}}),define(fe[276],me([0,1,44,290,18,16,15,3,97,9,43,2,41,31,273,275]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SearchService=void 0,R.gracefulify(g);class S{constructor(){this.caches=Object.create(null)}fileSearch(t){let r;const s=h(t),i=new I.Emitter({onFirstListenerDidAdd:()=>{r=y.createCancelablePromise(a=>this.doFileSearchWithEngine(l.Engine,s,v=>i.fire(v),a)),r.then(a=>i.fire(a),a=>i.fire({type:"error",error:{message:a.message,stack:a.stack}}))},onLastListenerRemove:()=>{r.cancel()}});return i.event}textSearch(t){let r;const s=h(t),i=new I.Emitter({onFirstListenerDidAdd:()=>{r=y.createCancelablePromise(a=>this.ripgrepTextSearch(s,v=>i.fire(v),a)),r.then(a=>i.fire(a),a=>i.fire({type:"error",error:{message:a.message,stack:a.stack}}))},onLastListenerRemove:()=>{r.cancel()}});return i.event}ripgrepTextSearch(t,r,s){return t.maxFileSize=d.getPlatformLimits(process.arch==="ia32"?0:1).maxFileSize,new u.TextSearchEngineAdapter(t).search(s,r,r)}doFileSearch(t,r,s){return this.doFileSearchWithEngine(l.Engine,t,r,s)}doFileSearchWithEngine(t,r,s,i,a=S.BATCH_SIZE){let v=0;const p=D=>{Array.isArray(D)?(v+=D.length,s(D.map(o=>this.rawMatchToSearchItem(o)))):D.relativePath?(v++,s(this.rawMatchToSearchItem(D))):s(D)};if(r.sortByScore){let D=this.trySortedSearchFromCache(r,p,i);if(!D){const o=r.maxResults?Object.assign({},r,{maxResults:null}):r,T=new t(o);D=this.doSortedSearch(T,r,s,p,i)}return new Promise((o,T)=>{D.then(([L,H])=>{const B=H.map(Q=>this.rawMatchToSearchItem(Q));this.sendProgress(B,s,a),o(L)},T)})}const _=new t(r);return this.doSearch(_,p,a,i).then(D=>({limitHit:D.limitHit,type:"success",stats:{detailStats:D.stats,type:"searchProcess",fromCache:!1,resultCount:v,sortingTime:void 0}}))}rawMatchToSearchItem(t){return{path:t.base?C.join(t.base,t.relativePath):t.relativePath}}doSortedSearch(t,r,s,i,a){const v=new I.Emitter;let p=y.createCancelablePromise(D=>{let o=[];const T=L=>{Array.isArray(L)?o=L:(i(L),v.fire(L))};return this.doSearch(t,T,-1,D).then(L=>[L,o])}),_;if(r.cacheKey){_=this.getOrCreateCache(r.cacheKey);const D={promise:p,event:v.event,resolved:!1};_.resultsToSearchCache[r.filePattern||""]=D,p.then(()=>{D.resolved=!0},o=>{delete _.resultsToSearchCache[r.filePattern||""]}),p=this.preventCancellation(p)}return p.then(([D,o])=>{const T=_?_.scorerCache:Object.create(null),L=(typeof r.maxResults!="number"||r.maxResults>0)&&n.StopWatch.create(!1);return this.sortResults(r,o,T,a).then(H=>{const B=L?L.elapsed():-1;return[{type:"success",stats:{detailStats:D.stats,sortingTime:B,fromCache:!1,type:"searchProcess",workspaceFolderCount:r.folderQueries.length,resultCount:H.length},messages:D.messages,limitHit:D.limitHit||typeof r.maxResults=="number"&&o.length>r.maxResults},H]})})}getOrCreateCache(t){const r=this.caches[t];return r||(this.caches[t]=new w)}trySortedSearchFromCache(t,r,s){const i=t.cacheKey&&this.caches[t.cacheKey];if(!i)return;const a=this.getResultsFromCache(i,t.filePattern||"",r,s);if(a)return a.then(([v,p,_])=>{const D=n.StopWatch.create(!1);return this.sortResults(t,p,i.scorerCache,s).then(o=>{const T=D.elapsed(),L={fromCache:!0,detailStats:_,type:"searchProcess",resultCount:p.length,sortingTime:T};return[{type:"success",limitHit:v.limitHit||typeof t.maxResults=="number"&&p.length>t.maxResults,stats:L},o]})})}sortResults(t,r,s,i){const a=E.prepareQuery(t.filePattern||""),v=(_,D)=>E.compareItemsByFuzzyScore(_,D,a,!0,b,s),p=typeof t.maxResults=="number"?t.maxResults:Number.MAX_VALUE;return k.topAsync(r,v,p,1e4,i)}sendProgress(t,r,s){if(s&&s>0)for(let i=0;i<t.length;i+=s)r(t.slice(i,i+s));else r(t)}getResultsFromCache(t,r,s,i){const a=n.StopWatch.create(!1),v=r.indexOf(C.sep)>=0;let p;for(const T in t.resultsToSearchCache)if(r.startsWith(T)){if(v&&T.indexOf(C.sep)<0&&T!=="")continue;const L=t.resultsToSearchCache[T];p={promise:this.preventCancellation(L.promise),event:L.event,resolved:L.resolved};break}if(!p)return null;const _=a.elapsed(),D=n.StopWatch.create(!1),o=p.event(s);return i&&i.onCancellationRequested(()=>{o.dispose()}),p.promise.then(([T,L])=>{if(i&&i.isCancellationRequested)throw A.canceled();const H=[],B=E.prepareQuery(r).normalizedLowercase;for(const Q of L)!m.isFilePatternMatch(Q,B)||H.push(Q);return[T,H,{cacheWasResolved:p.resolved,cacheLookupTime:_,cacheFilterTime:D.elapsed(),cacheEntryCount:L.length}]})}doSearch(t,r,s,i){return new Promise((a,v)=>{let p=[];i&&i.onCancellationRequested(()=>t.cancel()),t.search(_=>{_&&(s?(p.push(_),s>0&&p.length>=s&&(r(p),p=[])):r(_))},_=>{r(_)},(_,D)=>{p.length&&r(p),_?v(_):a(D)})})}clearCache(t){return delete this.caches[t],Promise.resolve(void 0)}preventCancellation(t){return new class{get[Symbol.toStringTag](){return this.toString()}cancel(){}then(r,s){return t.then(r,s)}catch(r){return this.then(void 0,r)}finally(r){return t.finally(r)}}}}e.SearchService=S,S.BATCH_SIZE=512;class w{constructor(){this.resultsToSearchCache=Object.create(null),this.scorerCache=Object.create(null)}}const b=new class{getItemLabel(f){return C.basename(f.relativePath)}getItemDescription(f){return C.dirname(f.relativePath)}getItemPath(f){return f.relativePath}};function h(f){return{...f,folderQueries:f.folderQueries&&f.folderQueries.map(c),extraFileResources:f.extraFileResources&&f.extraFileResources.map(t=>P.URI.revive(t))}}function c(f){return{...f,folder:P.URI.revive(f.folder)}}}),define(fe[277],me([0,1,6,2,28,12,31,276,274,89,13,60,27,68,10,131]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeExtHostSearch=void 0;let S=class extends m.ExtHostSearch{constructor(b,h,c,f){super(b,c,f);this._pfs=k,this._internalFileSearchHandle=-1,this._internalFileSearchProvider=null;const t=new C.OutputChannel("RipgrepSearchUD",this._logService);this.registerTextSearchProvider(l.Schemas.userData,new E.RipgrepSearchProvider(t)),h.remote.isRemote&&h.remote.authority&&this._registerEHSearchProviders()}_registerEHSearchProviders(){const b=new C.OutputChannel("RipgrepSearchEH",this._logService);this.registerTextSearchProvider(l.Schemas.file,new E.RipgrepSearchProvider(b)),this.registerInternalFileSearchProvider(l.Schemas.file,new I.SearchService)}registerInternalFileSearchProvider(b,h){const c=this._handlePool++;return this._internalFileSearchProvider=h,this._internalFileSearchHandle=c,this._proxy.$registerFileSearchProvider(c,this._transformScheme(b)),g.toDisposable(()=>{this._internalFileSearchProvider=null,this._proxy.$unregisterProvider(c)})}$provideFileSearchResults(b,h,c,f){const t=m.reviveQuery(c);return b===this._internalFileSearchHandle?this.doInternalFileSearch(b,h,t,f):super.$provideFileSearchResults(b,h,c,f)}doInternalFileSearch(b,h,c,f){const t=r=>{if(A.isSerializedFileMatch(r)&&(r=[r]),Array.isArray(r)){this._proxy.$handleFileMatch(b,h,r.map(s=>R.URI.file(s.path)));return}r.message&&this._logService.debug("ExtHostSearch",r.message)};if(!this._internalFileSearchProvider)throw new Error("No internal file search handler");return this._internalFileSearchProvider.doFileSearch(c,t,f)}$clearCache(b){return this._internalFileSearchProvider&&this._internalFileSearchProvider.clearCache(b),super.$clearCache(b)}createTextSearchManager(b,h){return new u.NativeTextSearchManager(b,h)}};S=ze([We(0,n.IExtHostRpcService),We(1,d.IExtHostInitDataService),We(2,P.IURITransformerService),We(3,y.ILogService)],S),e.NativeExtHostSearch=S}),define(fe[133],me([0,1,291,122,292,3,103,9,101,32,6,23,104,15,11]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;class u{constructor(p){this.socket=p,this._errorListener=_=>{if(_){if(_.code==="EPIPE")return;m.onUnexpectedError(_)}},this.socket.on("error",this._errorListener)}dispose(){this.socket.off("error",this._errorListener),this.socket.destroy()}onData(p){const _=D=>p(P.VSBuffer.wrap(D));return this.socket.on("data",_),{dispose:()=>this.socket.off("data",_)}}onClose(p){const _=D=>{p({type:0,hadError:D,error:void 0})};return this.socket.on("close",_),{dispose:()=>this.socket.off("close",_)}}onEnd(p){return this.socket.on("end",p),{dispose:()=>this.socket.off("end",p)}}write(p){if(!this.socket.destroyed)try{this.socket.write(p.buffer,_=>{if(_){if(_.code==="EPIPE")return;m.onUnexpectedError(_)}})}catch(_){if(_.code==="EPIPE")return;m.onUnexpectedError(_)}}end(){this.socket.end()}drain(){return new Promise((p,_)=>{if(this.socket.bufferSize===0){p();return}const D=()=>{this.socket.off("close",D),this.socket.off("end",D),this.socket.off("error",D),this.socket.off("timeout",D),this.socket.off("drain",D),p()};this.socket.on("close",D),this.socket.on("end",D),this.socket.on("error",D),this.socket.on("timeout",D),this.socket.on("drain",D)})}}e.NodeSocket=u;var S;(function(v){v[v.MinHeaderByteSize=2]="MinHeaderByteSize"})(S||(S={}));var w;(function(v){v[v.PeekHeader=1]="PeekHeader",v[v.ReadHeader=2]="ReadHeader",v[v.ReadBody=3]="ReadBody",v[v.Fin=4]="Fin"})(w||(w={}));class b extends n.Disposable{constructor(p,_,D,o){super();this._onDidZlibFlush=this._register(new y.Emitter),this._recordedInflateBytes=[],this._pendingInflateData=[],this._pendingDeflateData=[],this._onData=this._register(new y.Emitter),this._onClose=this._register(new y.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,mask:0},this.socket=p,this._totalIncomingWireBytes=0,this._totalIncomingDataBytes=0,this._totalOutgoingWireBytes=0,this._totalOutgoingDataBytes=0,this.permessageDeflate=_,this._recordInflateBytes=o,_?(this._zlibInflate=k.createInflateRaw({windowBits:15}),this._zlibInflate.on("error",T=>{console.error(T),m.onUnexpectedError(T),this._onClose.fire({type:0,hadError:!0,error:T})}),this._zlibInflate.on("data",T=>{this._pendingInflateData.push(T)}),D&&(this._zlibInflate.write(D.buffer),this._zlibInflate.flush(()=>{this._pendingInflateData.length=0})),this._zlibDeflate=k.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",T=>{console.error(T),m.onUnexpectedError(T),this._onClose.fire({type:0,hadError:!0,error:T})}),this._zlibDeflate.on("data",T=>{this._pendingDeflateData.push(T)})):(this._zlibInflate=null,this._zlibDeflate=null),this._zlibDeflateFlushWaitingCount=0,this._incomingData=new d.ChunkStream,this._register(this.socket.onData(T=>this._acceptChunk(T))),this._register(this.socket.onClose(T=>this._onClose.fire(T)))}get totalIncomingWireBytes(){return this._totalIncomingWireBytes}get totalIncomingDataBytes(){return this._totalIncomingDataBytes}get totalOutgoingWireBytes(){return this._totalOutgoingWireBytes}get totalOutgoingDataBytes(){return this._totalOutgoingDataBytes}get recordedInflateBytes(){return this._recordInflateBytes?P.VSBuffer.wrap(Buffer.concat(this._recordedInflateBytes)):P.VSBuffer.alloc(0)}dispose(){this._zlibDeflateFlushWaitingCount>0?this._register(this._onDidZlibFlush.event(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(p){return this._onData.event(p)}onClose(p){return this._onClose.event(p)}onEnd(p){return this.socket.onEnd(p)}write(p){this._totalOutgoingDataBytes+=p.byteLength,this._zlibDeflate?(this._zlibDeflate.write(p.buffer),this._zlibDeflateFlushWaitingCount++,this._zlibDeflate.flush(2,()=>{this._zlibDeflateFlushWaitingCount--;let _=Buffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,_=_.slice(0,_.length-4),this._isEnded||this._write(P.VSBuffer.wrap(_),!0),this._zlibDeflateFlushWaitingCount===0&&this._onDidZlibFlush.fire()})):this._write(p,!1)}_write(p,_){let D=2;p.byteLength<126?D+=0:p.byteLength<2**16?D+=2:D+=8;const o=P.VSBuffer.alloc(D);if(_?o.writeUInt8(194,0):o.writeUInt8(130,0),p.byteLength<126)o.writeUInt8(p.byteLength,1);else if(p.byteLength<2**16){o.writeUInt8(126,1);let T=1;o.writeUInt8(p.byteLength>>>8&255,++T),o.writeUInt8(p.byteLength>>>0&255,++T)}else{o.writeUInt8(127,1);let T=1;o.writeUInt8(0,++T),o.writeUInt8(0,++T),o.writeUInt8(0,++T),o.writeUInt8(0,++T),o.writeUInt8(p.byteLength>>>24&255,++T),o.writeUInt8(p.byteLength>>>16&255,++T),o.writeUInt8(p.byteLength>>>8&255,++T),o.writeUInt8(p.byteLength>>>0&255,++T)}this._totalOutgoingWireBytes+=o.byteLength+p.byteLength,this.socket.write(P.VSBuffer.concat([o,p]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(p){if(p.byteLength!==0){for(this._totalIncomingWireBytes+=p.byteLength,this._incomingData.acceptChunk(p);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const _=this._incomingData.peek(this._state.readLen),o=(_.readUInt8(0)&128)>>>7,T=_.readUInt8(1),L=(T&128)>>>7,H=T&127;this._state.state=2,this._state.readLen=2+(L?4:0)+(H===126?2:0)+(H===127?8:0),this._state.fin=o,this._state.mask=0}else if(this._state.state===2){const _=this._incomingData.read(this._state.readLen),D=_.readUInt8(1),o=(D&128)>>>7;let T=D&127,L=1;T===126?T=_.readUInt8(++L)*2**8+_.readUInt8(++L):T===127&&(T=_.readUInt8(++L)*0+_.readUInt8(++L)*0+_.readUInt8(++L)*0+_.readUInt8(++L)*0+_.readUInt8(++L)*2**24+_.readUInt8(++L)*2**16+_.readUInt8(++L)*2**8+_.readUInt8(++L));let H=0;o&&(H=_.readUInt8(++L)*2**24+_.readUInt8(++L)*2**16+_.readUInt8(++L)*2**8+_.readUInt8(++L)),this._state.state=3,this._state.readLen=T,this._state.mask=H}else if(this._state.state===3){const _=this._incomingData.read(this._state.readLen);h(_,this._state.mask),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._zlibInflate?(this._recordInflateBytes&&this._recordedInflateBytes.push(Buffer.from(_.buffer)),this._zlibInflate.write(_.buffer),this._state.fin&&(this._recordInflateBytes&&this._recordedInflateBytes.push(Buffer.from([0,0,255,255])),this._zlibInflate.write(Buffer.from([0,0,255,255]))),this._zlibInflate.flush(()=>{const D=Buffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,this._totalIncomingDataBytes+=D.length,this._onData.fire(P.VSBuffer.wrap(D))})):(this._totalIncomingDataBytes+=_.byteLength,this._onData.fire(_))}}}async drain(){this._zlibDeflateFlushWaitingCount>0&&await y.Event.toPromise(this._onDidZlibFlush.event),await this.socket.drain()}}e.WebSocketNodeSocket=b;function h(v,p){if(p===0)return;let _=v.byteLength>>>2;for(let B=0;B<_;B++){const Q=v.readUInt32BE(B*4);v.writeUInt32BE(Q^p,B*4)}let D=_*4,o=v.byteLength-D;const T=p>>>24&255,L=p>>>16&255,H=p>>>8&255;o>=1&&v.writeUInt8(v.readUInt8(D)^T,D),o>=2&&v.writeUInt8(v.readUInt8(D+1)^L,D+1),o>=3&&v.writeUInt8(v.readUInt8(D+2)^H,D+2)}e.XDG_RUNTIME_DIR=process.env.XDG_RUNTIME_DIR;const c={[2]:107,[1]:103};function f(){const v=C.generateUuid();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${v}-sock`;let p;return e.XDG_RUNTIME_DIR?p=I.join(e.XDG_RUNTIME_DIR,`vscode-ipc-${v}.sock`):p=I.join(E.tmpdir(),`vscode-ipc-${v}.sock`),r(p),p}e.createRandomIPCHandle=f;function t(v,p,_){const D=g.createHash("md5").update(v).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${D}-${_}-${p}-sock`;let o;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?o=I.join(e.XDG_RUNTIME_DIR,`vscode-${D.substr(0,8)}-${_}-${p}.sock`):o=I.join(v,`${_}-${p}.sock`),r(o),o}e.createStaticIPCHandle=t;function r(v){const p=c[l.platform];typeof p=="number"&&v.length>=p&&console.warn(`WARNING: IPC handle "${v}" is longer than ${p} chars, try a shorter --user-data-dir`)}class s extends A.IPCServer{constructor(p){super(s.toClientConnectionEvent(p));this.server=p}static toClientConnectionEvent(p){const _=y.Event.fromNodeEventEmitter(p,"connection");return y.Event.map(_,D=>({protocol:new d.Protocol(new u(D)),onDidClientDisconnect:y.Event.once(y.Event.fromNodeEventEmitter(D,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=s;function i(v){return new Promise((p,_)=>{const D=R.createServer();D.on("error",_),D.listen(v,()=>{D.removeListener("error",_),p(new s(D))})})}e.serve=i;function a(v,p){return new Promise((_,D)=>{const o=R.createConnection(v,()=>{o.removeListener("error",D),_(d.Client.fromSocket(new u(o),p))});o.once("error",D)})}e.connect=a}),define(fe[278],me([0,1,133,270,44,50,2,192,12]),function(X,e,g,R,k,y,A,I,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CLIServer=e.CLIServerBase=void 0;class C{constructor(d,m,l){this._commands=d,this.logService=m,this._ipcHandlePath=l,this._server=R.createServer((u,S)=>this.onRequest(u,S)),this.setup().catch(u=>(m.error(u),""))}get ipcHandlePath(){return this._ipcHandlePath}async setup(){try{this._server.listen(this.ipcHandlePath),this._server.on("error",d=>this.logService.error(d))}catch(d){this.logService.error("Could not start open from terminal server.")}return this._ipcHandlePath}onRequest(d,m){const l=[];d.setEncoding("utf8"),d.on("data",u=>l.push(u)),d.on("end",()=>{const u=JSON.parse(l.join(""));switch(u.type){case"open":this.open(u,m);break;case"openExternal":this.openExternal(u,m);break;case"status":this.getStatus(u,m);break;case"extensionManagement":this.manageExtensions(u,m).catch(this.logService.error);break;default:m.writeHead(404),m.write(`Unknown message type: ${u.type}`,S=>{S&&this.logService.error(S)}),m.end();break}})}open(d,m){let{fileURIs:l,folderURIs:u,forceNewWindow:S,diffMode:w,addMode:b,forceReuseWindow:h,gotoLineMode:c,waitMarkerFilePath:f}=d;const t=[];if(Array.isArray(u))for(const r of u)try{t.push({folderUri:A.URI.parse(r)})}catch(s){}if(Array.isArray(l))for(const r of l)try{I.hasWorkspaceFileExtension(r)?t.push({workspaceUri:A.URI.parse(r)}):t.push({fileUri:A.URI.parse(r)})}catch(s){}if(t.length){const r=f?A.URI.file(f):void 0,i={forceNewWindow:S,diffMode:w,addMode:b,gotoLineMode:c,forceReuseWindow:h,preferNewWindow:!h&&!r&&!b,waitMarkerFileURI:r};this._commands.executeCommand("_remoteCLI.windowOpen",t,i)}m.writeHead(200),m.end()}async openExternal(d,m){for(const l of d.uris){const u=A.URI.parse(l),S=u.scheme==="file"?u:l;await this._commands.executeCommand("_remoteCLI.openExternal",S)}m.writeHead(200),m.end()}async manageExtensions(d,m){try{const l=w=>w?.map(b=>/\.vsix$/i.test(b)?A.URI.parse(b):b),u={list:d.list,install:l(d.install),uninstall:l(d.uninstall),force:d.force},S=await this._commands.executeCommand("_remoteCLI.manageExtensions",u);m.writeHead(200),m.write(S)}catch(l){m.writeHead(500),m.write(String(l),u=>{u&&this.logService.error(u)})}m.end()}async getStatus(d,m){try{const l=await this._commands.executeCommand("_remoteCLI.getSystemStatus");m.writeHead(200),m.write(l),m.end()}catch(l){m.writeHead(500),m.write(String(l),u=>{u&&this.logService.error(u)}),m.end()}}dispose(){this._server.close(),this._ipcHandlePath&&process.platform!=="win32"&&k.existsSync(this._ipcHandlePath)&&k.unlinkSync(this._ipcHandlePath)}}e.CLIServerBase=C;let n=class extends C{constructor(d,m){super(d,m,g.createRandomIPCHandle())}};n=ze([We(0,y.IExtHostCommands),We(1,E.ILogService)],n),e.CLIServer=n}),define(fe[279],me([0,1,67,266,261,5,269,39,251,2,10,7,278,102]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostExtensionService=void 0;class l extends k.RequireInterceptor{_installInterceptor(){const w=this,b=X.__$__nodeRequire("module"),h=b._load;b._load=function(f,t,r){for(let s of w._alternatives){let i=s(f);if(i){f=i;break}}return w._factories.has(f)?w._factories.get(f).load(f,C.URI.file(m.realpathSync(t.filename)),s=>h.apply(this,[s,t,r])):h.apply(this,arguments)}}}class u extends I.AbstractExtHostExtensionService{constructor(){super(...arguments);this.extensionRuntime=P.ExtensionRuntime.Node}async _beforeAlmostReadyToRunExtensions(){const w=this._instaService.invokeFunction(R.createApiFactoryAndRegisterActors);if(this._instaService.createInstance(E.ExtHostDownloadService),this._initData.remote.isRemote&&this._initData.remote.authority){const t=this._instaService.createInstance(d.CLIServer);process.env.VSCODE_IPC_HOOK_CLI=t.ipcHandlePath}await this._instaService.createInstance(l,w,this._registry).install(),g.mark("code/extHost/didInitAPI");const h=await this._extHostConfiguration.getConfigProvider();await A.connectProxyResolver(this._extHostWorkspace,h,this,this._logService,this._mainThreadTelemetryProxy,this._initData),g.mark("code/extHost/didInitProxyResolver");const c=process.send,f=this._extHostContext.getProxy(y.MainContext.MainThreadConsole);process.send=(...t)=>t.length===0||!t[0]||t[0].type!=="__$console"?c.apply(process,t):(f.$logExtensionHostMessage(t[0]),!1)}_getEntryPoint(w){return w.main}_loadCommonJSModule(w,b,h){if(b.scheme!==n.Schemas.file)throw new Error(`Cannot load URI: '${b}', must be of file-scheme`);let c=null;h.codeLoadingStart(),this._logService.info(`ExtensionService#loadCommonJSModule ${b.toString(!0)}`),this._logService.flush();try{w&&g.mark(`code/extHost/willLoadExtensionCode/${w.value}`),c=X.__$__nodeRequire(b.fsPath)}catch(f){return Promise.reject(f)}finally{w&&g.mark(`code/extHost/didLoadExtensionCode/${w.value}`),h.codeLoadingStop()}return Promise.resolve(c)}async $setRemoteEnvironment(w){if(!!this._initData.remote.isRemote)for(const b in w){const h=w[b];h===null?delete process.env[b]:process.env[b]=h}}}e.ExtHostExtensionService=u}),define(fe[280],me([0,1,77,252,254,263,262,277,279,220,255,51,39,62,68,66,33,49,12,63,253]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S,w,b,h,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),g.registerSingleton(d.IExtHostExtensionService,E.ExtHostExtensionService),g.registerSingleton(b.ILogService,C.ExtHostLogService),g.registerSingleton(h.IExtensionStoragePaths,c.ExtensionStoragePaths),g.registerSingleton(P.IExtHostDebugService,A.ExtHostDebugService),g.registerSingleton(m.IExtHostOutputService,R.ExtHostOutputService2),g.registerSingleton(l.IExtHostSearch,I.NativeExtHostSearch),g.registerSingleton(u.IExtHostTask,y.ExtHostTask),g.registerSingleton(S.IExtHostTerminalService,k.ExtHostTerminalService),g.registerSingleton(w.IExtHostTunnelService,n.ExtHostTunnelService)}),define(fe[281],me([0,1,122,293,67,15,104,133,186,218,264,23,99,28,102,16,111,267,280]),function(X,e,g,R,k,y,A,I,E,C,n,P,d,m,l,u,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.startExtensionHostProcess=void 0,function(){for(let a=0;a<process.execArgv.length;a++)process.execArgv[a]==="--inspect-port=0"&&(process.execArgv.splice(a,1),a--)}();const w=R(process.argv.slice(2),{string:["uriTransformerPath","useHostProxy"],boolean:["skipWorkspaceStorageLock"]});(function(){const i=X.__$__nodeRequire("module"),a=i._load;i._load=function(v){if(v==="natives")throw new Error('Either the extension or a NPM dependency is using the "natives" node module which is unsupported as it can cause a crash of the extension host. Click [here](https://go.microsoft.com/fwlink/?linkid=871887) to find out more');return a.apply(this,arguments)}})();const b=process.exit.bind(process);function h(i){process.exit=function(a){if(i)b(a);else{const v=new Error("An extension called process.exit() and this was prevented.");console.warn(v.stack)}},process.crash=function(){const a=new Error("An extension called process.crash() and this was prevented.");console.warn(a.stack)}}let c=function(i){b()};function f(){if(process.env.VSCODE_EXTHOST_WILL_SEND_SOCKET)return new Promise((i,a)=>{let v=null,p=setTimeout(()=>{c("VSCODE_EXTHOST_IPC_SOCKET timeout")},6e4);const _=108e5,D=3e5,o=new u.RunOnceScheduler(()=>c("renderer disconnected for too long (1)"),_),T=new u.RunOnceScheduler(()=>c("renderer disconnected for too long (2)"),D);process.on("message",(H,B)=>{if(H&&H.type==="VSCODE_EXTHOST_IPC_SOCKET"){const Q=P.VSBuffer.wrap(Buffer.from(H.initialDataChunk,"base64"));let z;if(H.skipWebSocketFrames)z=new I.NodeSocket(B);else{const N=P.VSBuffer.wrap(Buffer.from(H.inflateBytes,"base64"));z=new I.WebSocketNodeSocket(new I.NodeSocket(B),H.permessageDeflate,N,!1)}v?(o.cancel(),T.cancel(),v.beginAcceptReconnection(z,Q),v.endAcceptReconnection()):(clearTimeout(p),v=new A.PersistentProtocol(z,Q),v.onDidDispose(()=>c("renderer disconnected")),i(v),v.onSocketClose(()=>{o.schedule()}))}if(H&&H.type==="VSCODE_EXTHOST_IPC_REDUCE_GRACE_TIME"){if(T.isScheduled())return;o.isScheduled()&&T.schedule()}});const L={type:"VSCODE_EXTHOST_IPC_READY"};process.send&&process.send(L)});{const i=process.env.VSCODE_IPC_HOOK_EXTHOST;return new Promise((a,v)=>{const p=g.createConnection(i,()=>{p.removeListener("error",v),a(new A.PersistentProtocol(new I.NodeSocket(p)))});p.once("error",v),p.on("close",()=>{c("renderer closed the socket")})})}}async function t(){const i=await f();return new class{constructor(){this._onMessage=new A.BufferedEmitter,this.onMessage=this._onMessage.event,this._terminating=!1,i.onMessage(a=>{C.isMessageOfType(a,2)?(this._terminating=!0,c("received terminate message from renderer")):this._onMessage.fire(a)})}send(a){this._terminating||i.send(a)}drain(){return i.drain()}}}function r(i){return new Promise(a=>{const v=i.onMessage(p=>{v.dispose();const _=JSON.parse(p.toString()),D=_.commit,o=E.default.commit;D&&o&&D!==o&&b(55);const T=[];process.on("unhandledRejection",(B,Q)=>{T.push(Q),setTimeout(()=>{const z=T.indexOf(Q);z>=0&&Q.catch(N=>{T.splice(z,1),y.isPromiseCanceledError(N)||(console.warn(`rejected promise not handled within 1 second: ${N}`),N&&N.stack&&console.warn(`stack trace: ${N.stack}`),y.onUnexpectedError(B))})},1e3)}),process.on("rejectionHandled",B=>{const Q=T.indexOf(B);Q>=0&&T.splice(Q,1)}),process.on("uncaughtException",function(B){y.onUnexpectedError(B)});let L=0;setInterval(function(){try{process.kill(_.parentPid,0),L=0}catch(B){B&&B.code==="EPERM"?(L++,L>=3&&c(`parent process ${_.parentPid} does not exist anymore (3 x EPERM): ${B.message} (code: ${B.code}) (errno: ${B.errno})`)):c(`parent process ${_.parentPid} does not exist anymore: ${B.message} (code: ${B.code}) (errno: ${B.errno})`)}},1e3);let H;try{H=X.__$__nodeRequire("native-watchdog"),H.start(_.parentPid)}catch(B){y.onUnexpectedError(B)}i.send(C.createMessageOfType(0)),a({protocol:i,initData:_})});i.send(C.createMessageOfType(1))})}async function s(){k.mark("code/extHost/willConnectToRenderer");const i=await t();k.mark("code/extHost/didConnectToRenderer");const a=await r(i);k.mark("code/extHost/didWaitForInitData");const{initData:v}=a;h(!!v.environment.extensionTestsLocationURI),v.environment.useHostProxy=w.useHostProxy!==void 0?w.useHostProxy!=="false":void 0,v.environment.skipWorkspaceStorageLock=S.boolean(w.skipWorkspaceStorageLock,!1);const p=new class{exit(T){b(T)}exists(T){return m.Promises.exists(T)}realpath(T){return l.realpath(T)}};let _=null;if(v.remote.authority&&w.uriTransformerPath)try{const T=X.__$__nodeRequire(w.uriTransformerPath)(v.remote.authority);_=new d.URITransformer(T)}catch(o){console.error(o)}const D=new n.ExtensionHostMain(a.protocol,v,p,_);c=o=>D.terminate(o)}e.startExtensionHostProcess=s}),define(fe[294],me([0,1,281]),function(X,e,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),g.startExtensionHostProcess().catch(R=>console.log(R))})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/c3f126316369cd610563c75b1b1725e0679adfb3/core/vs/workbench/services/extensions/node/extensionHostProcess.js.map
