/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var we=["require","exports","vs/base/common/uri","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/workbench/api/common/extHost.protocol","vs/base/common/lifecycle","vs/workbench/api/common/extHostTypes","vs/base/common/strings","vs/workbench/api/common/extHostTypeConverters","vs/base/common/types","vs/base/common/network","vs/base/common/errors","vs/workbench/api/common/extHostRpcService","vs/base/common/path","vs/base/common/async","vs/platform/log/common/log","vs/base/common/arrays","vs/base/common/cancellation","vs/nls","vs/nls!vs/workbench/services/extensions/worker/extensionHostWorker","vs/base/common/platform","vs/base/common/map","vs/base/common/resources","vs/base/common/buffer","vs/base/common/objects","vs/platform/extensions/common/extensions","vs/base/common/glob","vs/workbench/api/common/extHostInitDataService","vs/workbench/services/extensions/common/extensions","vs/editor/common/core/range","vs/workbench/api/common/extHostWorkspace","vs/workbench/api/common/extHostConfiguration","vs/workbench/api/common/extHostExtensionService","vs/base/common/uuid","vs/editor/common/core/position","vs/platform/registry/common/platform","vs/workbench/api/common/extHostTerminalService","vs/workbench/services/search/common/search","vs/base/common/assert","vs/base/common/iterator","vs/base/common/process","vs/base/common/severity","vs/base/common/extpath","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/api/common/extHostDocumentsAndEditors","vs/workbench/api/common/extHostWebview","vs/base/common/decorators","vs/base/common/functional","vs/base/common/idGenerator","vs/base/common/stopwatch","vs/base/common/hash","vs/base/common/marshalling","vs/editor/common/modes/languageSelector","vs/base/common/errorMessage","vs/platform/instantiation/common/extensions","vs/editor/common/modes","vs/platform/contextkey/common/contextkey","vs/platform/files/common/files","vs/platform/instantiation/common/serviceCollection","vs/platform/configuration/common/configurationRegistry","vs/workbench/api/common/cache","vs/workbench/api/common/extHostEditorTabs","vs/workbench/api/common/extHostTunnelService","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/api/common/shared/webview","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/api/common/exHostSecretState","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostCommands","vs/workbench/api/common/extHostFileSystemConsumer","vs/workbench/api/common/extHostStorage","vs/workbench/api/common/extHostStoragePaths","vs/base/common/performance","vs/base/common/collections","vs/base/common/linkedList","vs/base/common/numbers","vs/base/common/codicons","vs/base/common/uint","vs/base/common/htmlContent","vs/base/common/labels","vs/base/common/mime","vs/editor/common/core/characterClassifier","vs/editor/common/model","vs/editor/common/model/wordHelper","vs/editor/common/services/semanticTokensDto","vs/editor/common/viewModel/prefixSumComputer","vs/platform/instantiation/common/descriptors","vs/platform/markers/common/markers","vs/platform/configuration/common/configuration","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteHosts","vs/workbench/api/common/extHostTelemetry","vs/workbench/api/common/extHostTestingPrivateApi","vs/workbench/api/common/extHostDocumentData","vs/workbench/contrib/testing/common/testCollection","vs/workbench/services/editor/common/editorService","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostTextEditor","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/api/common/extHostDecorations","vs/workbench/api/common/extHostOutput","vs/workbench/api/common/extHostWindow","vs/workbench/services/search/common/searchExtTypes","vs/workbench/api/common/extHostTask","vs/workbench/api/common/extHostDebugService","vs/workbench/api/common/extHostSearch","vs/base/common/json","vs/base/common/lazy","vs/base/common/stream","vs/base/common/filters","vs/base/common/iconLabels","vs/base/common/comparers","vs/base/common/uriIpc","vs/editor/common/controller/wordCharacterClassifier","vs/editor/common/core/selection","vs/editor/common/model/textModelSearch","vs/editor/common/modes/languageConfiguration","vs/editor/common/modes/linkComputer","vs/editor/common/modes/tokenizationRegistry","vs/editor/common/model/mirrorTextModel","vs/nls!vs/base/common/errorMessage","vs/nls!vs/editor/common/config/editorOptions","vs/editor/common/config/editorOptions","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostProgress","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/common/editor","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/search/common/queryBuilder","vs/nls!vs/workbench/contrib/tasks/common/taskService","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/platform/editor/common/editor","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/graph","vs/editor/common/services/modelService","vs/editor/common/modes/languageFeatureRegistry","vs/platform/environment/common/environment","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/instantiation/common/instantiationService","vs/platform/notification/common/notification","vs/platform/opener/common/opener","vs/platform/progress/common/progress","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/terminal/common/terminalDataBuffering","vs/workbench/api/common/extHostInteractive","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostNotebookDocuments","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostNotebookConcatDocument","vs/workbench/api/common/extHostTheming","vs/workbench/api/common/extHostWebviewMessaging","vs/workbench/api/common/extHostCodeInsets","vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/workbench/contrib/debug/common/debugUtils","vs/workbench/contrib/tasks/common/taskService","vs/workbench/contrib/terminal/common/environmentVariableShared","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostProgress","vs/workbench/api/common/extHostTreeViews","vs/workbench/common/editor","vs/workbench/common/editor/editorInput","vs/workbench/contrib/testing/common/ownedTestCollection","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/services/environment/common/environmentService","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostDocuments","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLanguageFeatures","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostNotebook","vs/workbench/api/common/extHostNotebookEditors","vs/workbench/api/common/extHostNotebookKernels","vs/workbench/api/common/extHostNotebookRenderers","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostTesting","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/api/worker/extHostLogService","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/extensions/worker/polyfillNestedWorker","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/path/common/pathService","vs/workbench/contrib/search/common/queryBuilder","vs/workbench/api/common/shared/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/services/extensions/common/extensionHostMain","vs/workbench/services/search/common/fileSearchManager","vs/workbench/services/search/common/textSearchManager","vs/workbench/api/common/extHost.api.impl","vs/workbench/api/common/extHost.common.services","vs/workbench/api/worker/extHostExtensionService","vs/workbench/api/worker/extHost.worker.services","vs/base/common/marked/marked","vs/workbench/services/extensions/worker/extensionHostWorker"],_e=function(ne){for(var e=[],f=0,R=ne.length;f<R;f++)e[f]=we[ne[f]];return e};define(we[39],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function f(R,D){if(!R)throw new Error(D?`Assertion failed (${D})`:"Assertion Failed")}e.ok=f}),define(we[75],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.fromMap=e.groupBy=e.forEach=e.values=void 0;const f=Object.prototype.hasOwnProperty;function R(n){const I=[];for(let l in n)f.call(n,l)&&I.push(n[l]);return I}e.values=R;function D(n,I){for(let l in n)if(f.call(n,l)&&I({key:l,value:n[l]},function(){delete n[l]})===!1)return}e.forEach=D;function _(n,I){const l=Object.create(null);for(const m of n){const u=I(m);let o=l[u];o||(o=l[u]=[]),o.push(m)}return l}e.groupBy=_;function k(n){const I=Object.create(null);return n&&n.forEach((l,m)=>{I[m]=l}),I}e.fromMap=k;function y(n,I){const l=[],m=[];for(let u of n)I.has(u)||l.push(u);for(let u of I)n.has(u)||m.push(u);return{removed:l,added:m}}e.diffSets=y;function b(n,I){const l=[],m=[];for(let[u,o]of n)I.has(u)||l.push(o);for(let[u,o]of I)n.has(u)||m.push(o);return{removed:l,added:m}}e.diffMaps=b;class C{constructor(){this.map=new Map}add(I,l){let m=this.map.get(I);m||(m=new Set,this.map.set(I,m)),m.add(l)}delete(I,l){const m=this.map.get(I);!m||(m.delete(l),m.size===0&&this.map.delete(I))}forEach(I,l){const m=this.map.get(I);!m||m.forEach(l)}}e.SetMap=C}),define(we[48],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function f(k){return(y,b,C)=>{let n=null,I=null;if(typeof C.value=="function"?(n="value",I=C.value):typeof C.get=="function"&&(n="get",I=C.get),!I)throw new Error("not supported");C[n]=k(I,b)}}e.createDecorator=f;function R(k,y,b){let C=null,n=null;if(typeof b.value=="function"?(C="value",n=b.value,n.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof b.get=="function"&&(C="get",n=b.get),!n)throw new Error("not supported");const I=`$memoize$${y}`;b[C]=function(...l){return this.hasOwnProperty(I)||Object.defineProperty(this,I,{configurable:!1,enumerable:!1,writable:!1,value:n.apply(this,l)}),this[I]}}e.memoize=R;function D(k,y,b){return f((C,n)=>{const I=`$debounce$${n}`,l=`$debounce$result$${n}`;return function(...m){this[l]||(this[l]=b?b():void 0),clearTimeout(this[I]),y&&(this[l]=y(this[l],...m),m=[this[l]]),this[I]=setTimeout(()=>{C.apply(this,m),this[l]=b?b():void 0},k)}})}e.debounce=D;function _(k,y,b){return f((C,n)=>{const I=`$throttle$timer$${n}`,l=`$throttle$result$${n}`,m=`$throttle$lastRun$${n}`,u=`$throttle$pending$${n}`;return function(...o){if(this[l]||(this[l]=b?b():void 0),(this[m]===null||this[m]===void 0)&&(this[m]=-Number.MAX_VALUE),y&&(this[l]=y(this[l],...o)),this[u])return;const E=this[m]+k;E<=Date.now()?(this[m]=Date.now(),C.apply(this,[this[l]]),this[l]=b?b():void 0):(this[u]=!0,this[I]=setTimeout(()=>{this[u]=!1,this[m]=Date.now(),C.apply(this,[this[l]]),this[l]=b?b():void 0},E-Date.now()))}})}e.throttle=_}),define(we[12],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class f{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(t){setTimeout(()=>{throw t.stack?new Error(t.message+`

`+t.stack):t},0)}}addListener(t){return this.listeners.push(t),()=>{this._removeListener(t)}}emit(t){this.listeners.forEach(r=>{r(t)})}_removeListener(t){this.listeners.splice(this.listeners.indexOf(t),1)}setUnexpectedErrorHandler(t){this.unexpectedErrorHandler=t}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(t){this.unexpectedErrorHandler(t),this.emit(t)}onUnexpectedExternalError(t){this.unexpectedErrorHandler(t)}}e.ErrorHandler=f,e.errorHandler=new f;function R(g){e.errorHandler.setUnexpectedErrorHandler(g)}e.setUnexpectedErrorHandler=R;function D(g){b(g)||e.errorHandler.onUnexpectedError(g)}e.onUnexpectedError=D;function _(g){b(g)||e.errorHandler.onUnexpectedExternalError(g)}e.onUnexpectedExternalError=_;function k(g){if(g instanceof Error){let{name:t,message:r}=g;const i=g.stacktrace||g.stack;return{$isError:!0,name:t,message:r,stack:i}}return g}e.transformErrorForSerialization=k;const y="Canceled";function b(g){return g instanceof Error&&g.name===y&&g.message===y}e.isPromiseCanceledError=b;class C extends Error{constructor(){super(y);this.name=this.message}}e.CancellationError=C;function n(){const g=new Error(y);return g.name=g.message,g}e.canceled=n;function I(g){return g?new Error(`Illegal argument: ${g}`):new Error("Illegal argument")}e.illegalArgument=I;function l(g){return g?new Error(`Illegal state: ${g}`):new Error("Illegal state")}e.illegalState=l;function m(g){return g?new Error(`readonly property '${g} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=m;function u(g){const t=new Error(`${g} has been disposed`);return t.name="DISPOSED",t}e.disposed=u;function o(g){return g?g.message?g.message:g.stack?g.stack.split(`
`)[0]:String(g):"Error"}e.getErrorMessage=o;class E extends Error{constructor(t){super("NotImplemented");t&&(this.message=t)}}e.NotImplementedError=E;class v extends Error{constructor(t){super("NotSupported");t&&(this.message=t)}}e.NotSupportedError=v;class S extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=S;function d(g){const t=g;return t instanceof Error&&Array.isArray(t.actions)}e.isErrorWithActions=d;function h(g,t=Object.create(null)){const r=new Error(g);return t.actions&&(r.actions=t.actions),r}e.createErrorWithActions=h}),define(we[17],_e([0,1,12]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ArrayQueue=e.maxIndex=e.minIndex=e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.uniqueFilter=e.distinctES6=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function R(N,W=0){return N[N.length-(1+W)]}e.tail=R;function D(N){if(N.length===0)throw new Error("Invalid tail call");return[N.slice(0,N.length-1),N[N.length-1]]}e.tail2=D;function _(N,W,Q=(G,ue)=>G===ue){if(N===W)return!0;if(!N||!W||N.length!==W.length)return!1;for(let G=0,ue=N.length;G<ue;G++)if(!Q(N[G],W[G]))return!1;return!0}e.equals=_;function k(N,W,Q){let G=0,ue=N.length-1;for(;G<=ue;){const ke=(G+ue)/2|0,Re=Q(N[ke],W);if(Re<0)G=ke+1;else if(Re>0)ue=ke-1;else return ke}return-(G+1)}e.binarySearch=k;function y(N,W){let Q=0,G=N.length;if(G===0)return 0;for(;Q<G;){const ue=Math.floor((Q+G)/2);W(N[ue])?G=ue:Q=ue+1}return Q}e.findFirstInSorted=y;function b(N,W,Q){if(N=N|0,N>=W.length)throw new TypeError("invalid index");let G=W[Math.floor(W.length*Math.random())],ue=[],ke=[],Re=[];for(let ze of W){const xe=Q(ze,G);xe<0?ue.push(ze):xe>0?ke.push(ze):Re.push(ze)}return N<ue.length?b(N,ue,Q):N<ue.length+Re.length?Re[0]:b(N-(ue.length+Re.length),ke,Q)}e.quickSelect=b;function C(N,W){const Q=[];let G;for(const ue of N.slice(0).sort(W))!G||W(G[0],ue)!==0?(G=[ue],Q.push(G)):G.push(ue);return Q}e.groupBy=C;function n(N,W,Q){const G=[];function ue(ze,xe,Ve){if(xe===0&&Ve.length===0)return;const tt=G[G.length-1];tt&&tt.start+tt.deleteCount===ze?(tt.deleteCount+=xe,tt.toInsert.push(...Ve)):G.push({start:ze,deleteCount:xe,toInsert:Ve})}let ke=0,Re=0;for(;;){if(ke===N.length){ue(ke,0,W.slice(Re));break}if(Re===W.length){ue(ke,N.length-ke,[]);break}const ze=N[ke],xe=W[Re],Ve=Q(ze,xe);Ve===0?(ke+=1,Re+=1):Ve<0?(ue(ke,1,[]),ke+=1):Ve>0&&(ue(ke,0,[xe]),Re+=1)}return G}e.sortedDiff=n;function I(N,W,Q){const G=n(N,W,Q),ue=[],ke=[];for(const Re of G)ue.push(...N.slice(Re.start,Re.start+Re.deleteCount)),ke.push(...Re.toInsert);return{removed:ue,added:ke}}e.delta=I;function l(N,W,Q){if(Q===0)return[];const G=N.slice(0,Q).sort(W);return u(N,W,G,Q,N.length),G}e.top=l;function m(N,W,Q,G,ue){return Q===0?Promise.resolve([]):new Promise((ke,Re)=>{(async()=>{const ze=N.length,xe=N.slice(0,Q).sort(W);for(let Ve=Q,tt=Math.min(Q+G,ze);Ve<ze;Ve=tt,tt=Math.min(tt+G,ze)){if(Ve>Q&&await new Promise(Ye=>setTimeout(Ye)),ue&&ue.isCancellationRequested)throw f.canceled();u(N,W,xe,Ve,tt)}return xe})().then(ke,Re)})}e.topAsync=m;function u(N,W,Q,G,ue){for(const ke=Q.length;G<ue;G++){const Re=N[G];if(W(Re,Q[ke-1])<0){Q.pop();const ze=y(Q,xe=>W(Re,xe)<0);Q.splice(ze,0,Re)}}}function o(N){return N.filter(W=>!!W)}e.coalesce=o;function E(N){let W=0;for(let Q=0;Q<N.length;Q++)N[Q]&&(N[W]=N[Q],W+=1);N.length=W}e.coalesceInPlace=E;function v(N,W,Q){N.splice(Q,0,N.splice(W,1)[0])}e.move=v;function S(N){return!Array.isArray(N)||N.length===0}e.isFalsyOrEmpty=S;function d(N){return Array.isArray(N)&&N.length>0}e.isNonEmptyArray=d;function h(N,W){if(!W)return N.filter((G,ue)=>N.indexOf(G)===ue);const Q=Object.create(null);return N.filter(G=>{const ue=W(G);return Q[ue]?!1:(Q[ue]=!0,!0)})}e.distinct=h;function g(N){const W=new Set;return N.filter(Q=>W.has(Q)?!1:(W.add(Q),!0))}e.distinctES6=g;function t(N){const W=Object.create(null);return Q=>{const G=N(Q);return W[G]?!1:(W[G]=!0,!0)}}e.uniqueFilter=t;function r(N,W){for(let Q=N.length-1;Q>=0;Q--){const G=N[Q];if(W(G))return Q}return-1}e.lastIndex=r;function i(N,W){return N.length>0?N[0]:W}e.firstOrDefault=i;function s(N,W,Q=(G,ue)=>G===ue){let G=0;for(let ue=0,ke=Math.min(N.length,W.length);ue<ke&&Q(N[ue],W[ue]);ue++)G++;return G}e.commonPrefixLength=s;function c(N){return[].concat(...N)}e.flatten=c;function w(N,W){let Q=typeof W=="number"?N:0;typeof W=="number"?Q=N:(Q=0,W=N);const G=[];if(Q<=W)for(let ue=Q;ue<W;ue++)G.push(ue);else for(let ue=Q;ue>W;ue--)G.push(ue);return G}e.range=w;function p(N,W,Q){return N.reduce((G,ue)=>(G[W(ue)]=Q?Q(ue):ue,G),Object.create(null))}e.index=p;function P(N,W){return N.push(W),()=>A(N,W)}e.insert=P;function A(N,W){const Q=N.indexOf(W);if(Q>-1)return N.splice(Q,1),W}e.remove=A;function a(N,W,Q){const G=N.slice(0,W),ue=N.slice(W);return G.concat(Q,ue)}e.arrayInsert=a;function T(N,W){let Q;if(typeof W=="number"){let G=W;Q=()=>{const ue=Math.sin(G++)*179426549;return ue-Math.floor(ue)}}else Q=Math.random;for(let G=N.length-1;G>0;G-=1){const ue=Math.floor(Q()*(G+1)),ke=N[G];N[G]=N[ue],N[ue]=ke}}e.shuffle=T;function F(N,W){const Q=N.indexOf(W);Q>-1&&(N.splice(Q,1),N.unshift(W))}e.pushToStart=F;function H(N,W){const Q=N.indexOf(W);Q>-1&&(N.splice(Q,1),N.push(W))}e.pushToEnd=H;function $(N,W){return Array.isArray(N)?N.map(W):W(N)}e.mapArrayOrNot=$;function Z(N){return Array.isArray(N)?N:[N]}e.asArray=Z;function V(N){return N[Math.floor(Math.random()*N.length)]}e.getRandomElement=V;function B(N,W){for(const Q of N){const G=W(Q);if(G!==void 0)return G}}e.mapFind=B;function Y(N,W){let Q=Number.MAX_SAFE_INTEGER,G=0;return N.forEach((ue,ke)=>{const Re=W(ue);Re<Q&&(Q=Re,G=ke)}),G}e.minIndex=Y;function L(N,W){let Q=Number.MIN_SAFE_INTEGER,G=0;return N.forEach((ue,ke)=>{const Re=W(ue);Re>Q&&(Q=Re,G=ke)}),G}e.maxIndex=L;class J{constructor(W){this.items=W,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(W){let Q=this.firstIdx;for(;Q<this.items.length&&W(this.items[Q]);)Q++;const G=Q===this.firstIdx?null:this.items.slice(this.firstIdx,Q);return this.firstIdx=Q,G}takeFromEndWhile(W){let Q=this.lastIdx;for(;Q>=0&&W(this.items[Q]);)Q--;const G=Q===this.lastIdx?null:this.items.slice(Q+1,this.lastIdx+1);return this.lastIdx=Q,G}}e.ArrayQueue=J}),define(we[49],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function f(R){const D=this;let _=!1,k;return function(){return _||(_=!0,k=R.apply(D,arguments)),k}}e.once=f}),define(we[50],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.defaultGenerator=e.IdGenerator=void 0;class f{constructor(D){this._prefix=D,this._lastId=0}nextId(){return this._prefix+ ++this._lastId}}e.IdGenerator=f,e.defaultGenerator=new f("id#")}),define(we[40],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var f;(function(R){function D(g){return g&&typeof g=="object"&&typeof g[Symbol.iterator]=="function"}R.is=D;const _=Object.freeze([]);function k(){return _}R.empty=k;function*y(g){yield g}R.single=y;function b(g){return g||_}R.from=b;function C(g){return!g||g[Symbol.iterator]().next().done===!0}R.isEmpty=C;function n(g){return g[Symbol.iterator]().next().value}R.first=n;function I(g,t){for(const r of g)if(t(r))return!0;return!1}R.some=I;function l(g,t){for(const r of g)if(t(r))return r}R.find=l;function*m(g,t){for(const r of g)t(r)&&(yield r)}R.filter=m;function*u(g,t){let r=0;for(const i of g)yield t(i,r++)}R.map=u;function*o(...g){for(const t of g)for(const r of t)yield r}R.concat=o;function*E(g){for(const t of g)for(const r of t)yield r}R.concatNested=E;function v(g,t,r){let i=r;for(const s of g)i=t(i,s);return i}R.reduce=v;function*S(g,t,r=g.length){for(t<0&&(t+=g.length),r<0?r+=g.length:r>g.length&&(r=g.length);t<r;t++)yield g[t]}R.slice=S;function d(g,t=Number.POSITIVE_INFINITY){const r=[];if(t===0)return[r,g];const i=g[Symbol.iterator]();for(let s=0;s<t;s++){const c=i.next();if(c.done)return[r,R.empty()];r.push(c.value)}return[r,{[Symbol.iterator](){return i}}]}R.consume=d;function h(g,t,r=(i,s)=>i===s){const i=g[Symbol.iterator](),s=t[Symbol.iterator]();for(;;){const c=i.next(),w=s.next();if(c.done!==w.done)return!1;if(c.done)return!0;if(!r(c.value,w.value))return!1}}R.equals=h})(f=e.Iterable||(e.Iterable={}))}),define(we[108],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var f;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(f=e.ScanError||(e.ScanError={}));var R;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(R=e.SyntaxKind||(e.SyntaxKind={}));var D;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(D=e.ParseErrorCode||(e.ParseErrorCode={}));var _;(function(t){t.DEFAULT={allowTrailingComma:!0}})(_=e.ParseOptions||(e.ParseOptions={}));function k(t,r=!1){let i=0,s=t.length,c="",w=0,p=16,P=0;function A(V){let B=0,Y=0;for(;B<V;){const L=t.charCodeAt(i);if(L>=48&&L<=57)Y=Y*16+L-48;else if(L>=65&&L<=70)Y=Y*16+L-65+10;else if(L>=97&&L<=102)Y=Y*16+L-97+10;else break;i++,B++}return B<V&&(Y=-1),Y}function a(V){i=V,c="",w=0,p=16,P=0}function T(){const V=i;if(t.charCodeAt(i)===48)i++;else for(i++;i<t.length&&C(t.charCodeAt(i));)i++;if(i<t.length&&t.charCodeAt(i)===46)if(i++,i<t.length&&C(t.charCodeAt(i)))for(i++;i<t.length&&C(t.charCodeAt(i));)i++;else return P=3,t.substring(V,i);let B=i;if(i<t.length&&(t.charCodeAt(i)===69||t.charCodeAt(i)===101))if(i++,(i<t.length&&t.charCodeAt(i)===43||t.charCodeAt(i)===45)&&i++,i<t.length&&C(t.charCodeAt(i))){for(i++;i<t.length&&C(t.charCodeAt(i));)i++;B=i}else P=3;return t.substring(V,B)}function F(){let V="",B=i;for(;;){if(i>=s){V+=t.substring(B,i),P=2;break}const Y=t.charCodeAt(i);if(Y===34){V+=t.substring(B,i),i++;break}if(Y===92){if(V+=t.substring(B,i),i++,i>=s){P=2;break}switch(t.charCodeAt(i++)){case 34:V+='"';break;case 92:V+="\\";break;case 47:V+="/";break;case 98:V+="\b";break;case 102:V+="\f";break;case 110:V+=`
`;break;case 114:V+="\r";break;case 116:V+="	";break;case 117:const J=A(4);J>=0?V+=String.fromCharCode(J):P=4;break;default:P=5}B=i;continue}if(Y>=0&&Y<=31)if(b(Y)){V+=t.substring(B,i),P=2;break}else P=6;i++}return V}function H(){if(c="",P=0,w=i,i>=s)return w=s,p=17;let V=t.charCodeAt(i);if(y(V)){do i++,c+=String.fromCharCode(V),V=t.charCodeAt(i);while(y(V));return p=15}if(b(V))return i++,c+=String.fromCharCode(V),V===13&&t.charCodeAt(i)===10&&(i++,c+=`
`),p=14;switch(V){case 123:return i++,p=1;case 125:return i++,p=2;case 91:return i++,p=3;case 93:return i++,p=4;case 58:return i++,p=6;case 44:return i++,p=5;case 34:return i++,c=F(),p=10;case 47:const B=i-1;if(t.charCodeAt(i+1)===47){for(i+=2;i<s&&!b(t.charCodeAt(i));)i++;return c=t.substring(B,i),p=12}if(t.charCodeAt(i+1)===42){i+=2;const Y=s-1;let L=!1;for(;i<Y;){if(t.charCodeAt(i)===42&&t.charCodeAt(i+1)===47){i+=2,L=!0;break}i++}return L||(i++,P=1),c=t.substring(B,i),p=13}return c+=String.fromCharCode(V),i++,p=16;case 45:if(c+=String.fromCharCode(V),i++,i===s||!C(t.charCodeAt(i)))return p=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return c+=T(),p=11;default:for(;i<s&&$(V);)i++,V=t.charCodeAt(i);if(w!==i){switch(c=t.substring(w,i),c){case"true":return p=8;case"false":return p=9;case"null":return p=7}return p=16}return c+=String.fromCharCode(V),i++,p=16}}function $(V){if(y(V)||b(V))return!1;switch(V){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function Z(){let V;do V=H();while(V>=12&&V<=15);return V}return{setPosition:a,getPosition:()=>i,scan:r?Z:H,getToken:()=>p,getTokenValue:()=>c,getTokenOffset:()=>w,getTokenLength:()=>i-w,getTokenError:()=>P}}e.createScanner=k;function y(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function b(t){return t===10||t===13||t===8232||t===8233}function C(t){return t>=48&&t<=57}var n;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(n||(n={}));function I(t,r){const i=[],s=new Object;let c;const w={value:{},offset:0,length:0,type:"object",parent:void 0};let p=!1;function P(A,a,T,F){w.value=A,w.offset=a,w.length=T,w.type=F,w.colonOffset=void 0,c=w}try{d(t,{onObjectBegin:(A,a)=>{if(r<=A)throw s;c=void 0,p=r>A,i.push("")},onObjectProperty:(A,a,T)=>{if(r<a||(P(A,a,T,"property"),i[i.length-1]=A,r<=a+T))throw s},onObjectEnd:(A,a)=>{if(r<=A)throw s;c=void 0,i.pop()},onArrayBegin:(A,a)=>{if(r<=A)throw s;c=void 0,i.push(0)},onArrayEnd:(A,a)=>{if(r<=A)throw s;c=void 0,i.pop()},onLiteralValue:(A,a,T)=>{if(r<a||(P(A,a,T,g(A)),r<=a+T))throw s},onSeparator:(A,a,T)=>{if(r<=a)throw s;if(A===":"&&c&&c.type==="property")c.colonOffset=a,p=!1,c=void 0;else if(A===","){const F=i[i.length-1];typeof F=="number"?i[i.length-1]=F+1:(p=!0,i[i.length-1]=""),c=void 0}}})}catch(A){if(A!==s)throw A}return{path:i,previousNode:c,isAtPropertyKey:p,matches:A=>{let a=0;for(let T=0;a<A.length&&T<i.length;T++)if(A[a]===i[T]||A[a]==="*")a++;else if(A[a]!=="**")return!1;return a===A.length}}}e.getLocation=I;function l(t,r=[],i=_.DEFAULT){let s=null,c=[];const w=[];function p(A){Array.isArray(c)?c.push(A):s!==null&&(c[s]=A)}return d(t,{onObjectBegin:()=>{const A={};p(A),w.push(c),c=A,s=null},onObjectProperty:A=>{s=A},onObjectEnd:()=>{c=w.pop()},onArrayBegin:()=>{const A=[];p(A),w.push(c),c=A,s=null},onArrayEnd:()=>{c=w.pop()},onLiteralValue:p,onError:(A,a,T)=>{r.push({error:A,offset:a,length:T})}},i),c[0]}e.parse=l;function m(t,r=[],i=_.DEFAULT){let s={type:"array",offset:-1,length:-1,children:[],parent:void 0};function c(A){s.type==="property"&&(s.length=A-s.offset,s=s.parent)}function w(A){return s.children.push(A),A}d(t,{onObjectBegin:A=>{s=w({type:"object",offset:A,length:-1,parent:s,children:[]})},onObjectProperty:(A,a,T)=>{s=w({type:"property",offset:a,length:-1,parent:s,children:[]}),s.children.push({type:"string",value:A,offset:a,length:T,parent:s})},onObjectEnd:(A,a)=>{s.length=A+a-s.offset,s=s.parent,c(A+a)},onArrayBegin:(A,a)=>{s=w({type:"array",offset:A,length:-1,parent:s,children:[]})},onArrayEnd:(A,a)=>{s.length=A+a-s.offset,s=s.parent,c(A+a)},onLiteralValue:(A,a,T)=>{w({type:g(A),offset:a,length:T,parent:s,value:A}),c(a+T)},onSeparator:(A,a,T)=>{s.type==="property"&&(A===":"?s.colonOffset=a:A===","&&c(a))},onError:(A,a,T)=>{r.push({error:A,offset:a,length:T})}},i);const P=s.children[0];return P&&delete P.parent,P}e.parseTree=m;function u(t,r){if(!t)return;let i=t;for(let s of r)if(typeof s=="string"){if(i.type!=="object"||!Array.isArray(i.children))return;let c=!1;for(const w of i.children)if(Array.isArray(w.children)&&w.children[0].value===s){i=w.children[1],c=!0;break}if(!c)return}else{const c=s;if(i.type!=="array"||c<0||!Array.isArray(i.children)||c>=i.children.length)return;i=i.children[c]}return i}e.findNodeAtLocation=u;function o(t){if(!t.parent||!t.parent.children)return[];const r=o(t.parent);if(t.parent.type==="property"){const i=t.parent.children[0].value;r.push(i)}else if(t.parent.type==="array"){const i=t.parent.children.indexOf(t);i!==-1&&r.push(i)}return r}e.getNodePath=o;function E(t){switch(t.type){case"array":return t.children.map(E);case"object":const r=Object.create(null);for(let i of t.children){const s=i.children[1];s&&(r[i.children[0].value]=E(s))}return r;case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.getNodeValue=E;function v(t,r,i=!1){return r>=t.offset&&r<t.offset+t.length||i&&r===t.offset+t.length}e.contains=v;function S(t,r,i=!1){if(v(t,r,i)){const s=t.children;if(Array.isArray(s))for(let c=0;c<s.length&&s[c].offset<=r;c++){const w=S(s[c],r,i);if(w)return w}return t}}e.findNodeAtOffset=S;function d(t,r,i=_.DEFAULT){const s=k(t,!1);function c(ke){return ke?()=>ke(s.getTokenOffset(),s.getTokenLength()):()=>!0}function w(ke){return ke?Re=>ke(Re,s.getTokenOffset(),s.getTokenLength()):()=>!0}const p=c(r.onObjectBegin),P=w(r.onObjectProperty),A=c(r.onObjectEnd),a=c(r.onArrayBegin),T=c(r.onArrayEnd),F=w(r.onLiteralValue),H=w(r.onSeparator),$=c(r.onComment),Z=w(r.onError),V=i&&i.disallowComments,B=i&&i.allowTrailingComma;function Y(){for(;;){const ke=s.scan();switch(s.getTokenError()){case 4:L(14);break;case 5:L(15);break;case 3:L(13);break;case 1:V||L(11);break;case 2:L(12);break;case 6:L(16);break}switch(ke){case 12:case 13:V?L(10):$();break;case 16:L(1);break;case 15:case 14:break;default:return ke}}}function L(ke,Re=[],ze=[]){if(Z(ke),Re.length+ze.length>0){let xe=s.getToken();for(;xe!==17;){if(Re.indexOf(xe)!==-1){Y();break}else if(ze.indexOf(xe)!==-1)break;xe=Y()}}}function J(ke){const Re=s.getTokenValue();return ke?F(Re):P(Re),Y(),!0}function N(){switch(s.getToken()){case 11:let ke=0;try{ke=JSON.parse(s.getTokenValue()),typeof ke!="number"&&(L(2),ke=0)}catch(Re){L(2)}F(ke);break;case 7:F(null);break;case 8:F(!0);break;case 9:F(!1);break;default:return!1}return Y(),!0}function W(){return s.getToken()!==10?(L(3,[],[2,5]),!1):(J(!1),s.getToken()===6?(H(":"),Y(),ue()||L(4,[],[2,5])):L(5,[],[2,5]),!0)}function Q(){p(),Y();let ke=!1;for(;s.getToken()!==2&&s.getToken()!==17;){if(s.getToken()===5){if(ke||L(4,[],[]),H(","),Y(),s.getToken()===2&&B)break}else ke&&L(6,[],[]);W()||L(4,[],[2,5]),ke=!0}return A(),s.getToken()!==2?L(7,[2],[]):Y(),!0}function G(){a(),Y();let ke=!1;for(;s.getToken()!==4&&s.getToken()!==17;){if(s.getToken()===5){if(ke||L(4,[],[]),H(","),Y(),s.getToken()===4&&B)break}else ke&&L(6,[],[]);ue()||L(4,[],[4,5]),ke=!0}return T(),s.getToken()!==4?L(8,[4],[]):Y(),!0}function ue(){switch(s.getToken()){case 3:return G();case 1:return Q();case 10:return J(!0);default:return N()}}return Y(),s.getToken()===17?i.allowEmptyContent?!0:(L(4,[],[]),!1):ue()?(s.getToken()!==17&&L(9,[],[]),!0):(L(4,[],[]),!1)}e.visit=d;function h(t,r){let i=k(t),s=[],c,w=0,p;do switch(p=i.getPosition(),c=i.scan(),c){case 12:case 13:case 17:w!==p&&s.push(t.substring(w,p)),r!==void 0&&s.push(i.getTokenValue().replace(/[^\r\n]/g,r)),w=i.getPosition();break}while(c!==17);return s.join("")}e.stripComments=h;function g(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=g}),define(we[109],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class f{constructor(D){this.executor=D,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(D){this._error=D}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(D){return new f(()=>D(this.getValue()))}}e.Lazy=f}),define(we[6],_e([0,1,49,40]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ImmortalReference=e.AsyncReferenceCollection=e.ReferenceCollection=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.trackDisposable=e.setDisposableTracker=void 0;const D=!1;let _=null;function k(h){_=h}if(e.setDisposableTracker=k,D){const h="__is_disposable_tracked__";_=new class{trackDisposable(g){const t=new Error("Potentially leaked disposable").stack;setTimeout(()=>{g[h]||console.log(t)},3e3)}markTracked(g){if(g&&g!==o.None)try{g[h]=!0}catch{}}}}function y(h){!_||_.markTracked(h)}function b(h){return _&&_.trackDisposable(h),h}e.trackDisposable=b;class C extends Error{constructor(g){super(`Encountered errors while disposing of store. Errors: [${g.join(", ")}]`);this.errors=g}}e.MultiDisposeError=C;function n(h){return typeof h.dispose=="function"&&h.dispose.length===0}e.isDisposable=n;function I(h){if(R.Iterable.is(h)){let g=[];for(const t of h)if(t){y(t);try{t.dispose()}catch(r){g.push(r)}}if(g.length===1)throw g[0];if(g.length>1)throw new C(g);return Array.isArray(h)?[]:h}else if(h)return y(h),h.dispose(),h}e.dispose=I;function l(...h){return h.forEach(y),m(()=>I(h))}e.combinedDisposable=l;function m(h){const g=b({dispose:()=>{y(g),h()}});return g}e.toDisposable=m;class u{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(y(this),this._isDisposed=!0,this.clear())}clear(){try{I(this._toDispose.values())}finally{this._toDispose.clear()}}add(g){if(!g)return g;if(g===this)throw new Error("Cannot register a disposable on itself!");return y(g),this._isDisposed?u.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(g),g}}e.DisposableStore=u,u.DISABLE_DISPOSED_WARNING=!1;class o{constructor(){this._store=new u,b(this)}dispose(){y(this),this._store.dispose()}_register(g){if(g===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(g)}}e.Disposable=o,o.None=Object.freeze({dispose(){}});class E{constructor(){this._isDisposed=!1,b(this)}get value(){return this._isDisposed?void 0:this._value}set value(g){this._isDisposed||g===this._value||(this._value?.dispose(),g&&y(g),this._value=g)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,y(this),this._value?.dispose(),this._value=void 0}}e.MutableDisposable=E;class v{constructor(){this.references=new Map}acquire(g,...t){let r=this.references.get(g);r||(r={counter:0,object:this.createReferencedObject(g,...t)},this.references.set(g,r));const{object:i}=r,s=f.once(()=>{--r.counter==0&&(this.destroyReferencedObject(g,r.object),this.references.delete(g))});return r.counter++,{object:i,dispose:s}}}e.ReferenceCollection=v;class S{constructor(g){this.referenceCollection=g}async acquire(g,...t){const r=this.referenceCollection.acquire(g,...t);try{return{object:await r.object,dispose:()=>r.dispose()}}catch(i){throw r.dispose(),i}}}e.AsyncReferenceCollection=S;class d{constructor(g){this.object=g}dispose(){}}e.ImmortalReference=d}),define(we[76],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class f{constructor(_){this.element=_,this.next=f.Undefined,this.prev=f.Undefined}}f.Undefined=new f(void 0);class R{constructor(){this._first=f.Undefined,this._last=f.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===f.Undefined}clear(){let _=this._first;for(;_!==f.Undefined;){const k=_.next;_.prev=f.Undefined,_.next=f.Undefined,_=k}this._first=f.Undefined,this._last=f.Undefined,this._size=0}unshift(_){return this._insert(_,!1)}push(_){return this._insert(_,!0)}_insert(_,k){const y=new f(_);if(this._first===f.Undefined)this._first=y,this._last=y;else if(k){const C=this._last;this._last=y,y.prev=C,C.next=y}else{const C=this._first;this._first=y,y.next=C,C.prev=y}this._size+=1;let b=!1;return()=>{b||(b=!0,this._remove(y))}}shift(){if(this._first!==f.Undefined){const _=this._first.element;return this._remove(this._first),_}}pop(){if(this._last!==f.Undefined){const _=this._last.element;return this._remove(this._last),_}}_remove(_){if(_.prev!==f.Undefined&&_.next!==f.Undefined){const k=_.prev;k.next=_.next,_.next.prev=k}else _.prev===f.Undefined&&_.next===f.Undefined?(this._first=f.Undefined,this._last=f.Undefined):_.next===f.Undefined?(this._last=this._last.prev,this._last.next=f.Undefined):_.prev===f.Undefined&&(this._first=this._first.next,this._first.prev=f.Undefined);this._size-=1}*[Symbol.iterator](){let _=this._first;for(;_!==f.Undefined;)yield _.element,_=_.next}}e.LinkedList=R}),function(ne,e){typeof exports=="object"&&typeof module!="undefined"?module.exports=e():typeof define=="function"&&define.amd?define("vs/base/common/marked/marked",e):(ne=typeof globalThis!="undefined"?globalThis:ne||self,ne.marked=e())}(this,function(){"use strict";function ne(De,Se){for(var Ie=0;Ie<Se.length;Ie++){var se=Se[Ie];se.enumerable=se.enumerable||!1,se.configurable=!0,"value"in se&&(se.writable=!0),Object.defineProperty(De,se.key,se)}}function e(De,Se,Ie){return Se&&ne(De.prototype,Se),Ie&&ne(De,Ie),De}function f(De,Se){if(!!De){if(typeof De=="string")return R(De,Se);var Ie=Object.prototype.toString.call(De).slice(8,-1);if(Ie==="Object"&&De.constructor&&(Ie=De.constructor.name),Ie==="Map"||Ie==="Set")return Array.from(De);if(Ie==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(Ie))return R(De,Se)}}function R(De,Se){(Se==null||Se>De.length)&&(Se=De.length);for(var Ie=0,se=new Array(Se);Ie<Se;Ie++)se[Ie]=De[Ie];return se}function D(De,Se){var Ie;if(typeof Symbol=="undefined"||De[Symbol.iterator]==null){if(Array.isArray(De)||(Ie=f(De))||Se&&De&&typeof De.length=="number"){Ie&&(De=Ie);var se=0;return function(){return se>=De.length?{done:!0}:{done:!1,value:De[se++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}return Ie=De[Symbol.iterator](),Ie.next.bind(Ie)}function _(De){var Se={exports:{}};return De(Se,Se.exports),Se.exports}var k=_(function(De){function Se(){return{baseUrl:null,breaks:!1,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}function Ie(se){De.exports.defaults=se}De.exports={defaults:Se(),getDefaults:Se,changeDefaults:Ie}}),y=/[&<>"']/,b=/[&<>"']/g,C=/[<>"']|&(?!#?\w+;)/,n=/[<>"']|&(?!#?\w+;)/g,I={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},l=function(Se){return I[Se]};function m(De,Se){if(Se){if(y.test(De))return De.replace(b,l)}else if(C.test(De))return De.replace(n,l);return De}var u=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function o(De){return De.replace(u,function(Se,Ie){return Ie=Ie.toLowerCase(),Ie==="colon"?":":Ie.charAt(0)==="#"?Ie.charAt(1)==="x"?String.fromCharCode(parseInt(Ie.substring(2),16)):String.fromCharCode(+Ie.substring(1)):""})}var E=/(^|[^\[])\^/g;function v(De,Se){De=De.source||De,Se=Se||"";var Ie={replace:function(le,he){return he=he.source||he,he=he.replace(E,"$1"),De=De.replace(le,he),Ie},getRegex:function(){return new RegExp(De,Se)}};return Ie}var S=/[^\w:]/g,d=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function h(De,Se,Ie){if(De){var se;try{se=decodeURIComponent(o(Ie)).replace(S,"").toLowerCase()}catch(le){return null}if(se.indexOf("javascript:")===0||se.indexOf("vbscript:")===0||se.indexOf("data:")===0)return null}Se&&!d.test(Ie)&&(Ie=s(Se,Ie));try{Ie=encodeURI(Ie).replace(/%25/g,"%")}catch(le){return null}return Ie}var g={},t=/^[^:]+:\/*[^/]*$/,r=/^([^:]+:)[\s\S]*$/,i=/^([^:]+:\/*[^/]*)[\s\S]*$/;function s(De,Se){g[" "+De]||(t.test(De)?g[" "+De]=De+"/":g[" "+De]=P(De,"/",!0)),De=g[" "+De];var Ie=De.indexOf(":")===-1;return Se.substring(0,2)==="//"?Ie?Se:De.replace(r,"$1")+Se:Se.charAt(0)==="/"?Ie?Se:De.replace(i,"$1")+Se:De+Se}var c={exec:function(){}};function w(De){for(var Se=1,Ie,se;Se<arguments.length;Se++){Ie=arguments[Se];for(se in Ie)Object.prototype.hasOwnProperty.call(Ie,se)&&(De[se]=Ie[se])}return De}function p(De,Se){var Ie=De.replace(/\|/g,function(he,ge,U){for(var fe=!1,be=ge;--be>=0&&U[be]==="\\";)fe=!fe;return fe?"|":" |"}),se=Ie.split(/ \|/),le=0;if(se.length>Se)se.splice(Se);else for(;se.length<Se;)se.push("");for(;le<se.length;le++)se[le]=se[le].trim().replace(/\\\|/g,"|");return se}function P(De,Se,Ie){var se=De.length;if(se===0)return"";for(var le=0;le<se;){var he=De.charAt(se-le-1);if(he===Se&&!Ie)le++;else if(he!==Se&&Ie)le++;else break}return De.substr(0,se-le)}function A(De,Se){if(De.indexOf(Se[1])===-1)return-1;for(var Ie=De.length,se=0,le=0;le<Ie;le++)if(De[le]==="\\")le++;else if(De[le]===Se[0])se++;else if(De[le]===Se[1]&&(se--,se<0))return le;return-1}function a(De){De&&De.sanitize&&!De.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function T(De,Se){if(Se<1)return"";for(var Ie="";Se>1;)Se&1&&(Ie+=De),Se>>=1,De+=De;return Ie+De}var F={escape:m,unescape:o,edit:v,cleanUrl:h,resolveUrl:s,noopTest:c,merge:w,splitCells:p,rtrim:P,findClosingBracket:A,checkSanitizeDeprecation:a,repeatString:T},H=k.defaults,$=F.rtrim,Z=F.splitCells,V=F.escape,B=F.findClosingBracket;function Y(De,Se,Ie){var se=Se.href,le=Se.title?V(Se.title):null,he=De[1].replace(/\\([\[\]])/g,"$1");return De[0].charAt(0)!=="!"?{type:"link",raw:Ie,href:se,title:le,text:he}:{type:"image",raw:Ie,href:se,title:le,text:V(he)}}function L(De,Se){var Ie=De.match(/^(\s+)(?:```)/);if(Ie===null)return Se;var se=Ie[1];return Se.split(`
`).map(function(le){var he=le.match(/^\s+/);if(he===null)return le;var ge=he[0];return ge.length>=se.length?le.slice(se.length):le}).join(`
`)}var J=function(){function De(Ie){this.options=Ie||H}var Se=De.prototype;return Se.space=function(se){var le=this.rules.block.newline.exec(se);if(le)return le[0].length>1?{type:"space",raw:le[0]}:{raw:`
`}},Se.code=function(se){var le=this.rules.block.code.exec(se);if(le){var he=le[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:le[0],codeBlockStyle:"indented",text:this.options.pedantic?he:$(he,`
`)}}},Se.fences=function(se){var le=this.rules.block.fences.exec(se);if(le){var he=le[0],ge=L(he,le[3]||"");return{type:"code",raw:he,lang:le[2]?le[2].trim():le[2],text:ge}}},Se.heading=function(se){var le=this.rules.block.heading.exec(se);if(le){var he=le[2].trim();if(/#$/.test(he)){var ge=$(he,"#");(this.options.pedantic||!ge||/ $/.test(ge))&&(he=ge.trim())}return{type:"heading",raw:le[0],depth:le[1].length,text:he}}},Se.nptable=function(se){var le=this.rules.block.nptable.exec(se);if(le){var he={type:"table",header:Z(le[1].replace(/^ *| *\| *$/g,"")),align:le[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:le[3]?le[3].replace(/\n$/,"").split(`
`):[],raw:le[0]};if(he.header.length===he.align.length){var ge=he.align.length,U;for(U=0;U<ge;U++)/^ *-+: *$/.test(he.align[U])?he.align[U]="right":/^ *:-+: *$/.test(he.align[U])?he.align[U]="center":/^ *:-+ *$/.test(he.align[U])?he.align[U]="left":he.align[U]=null;for(ge=he.cells.length,U=0;U<ge;U++)he.cells[U]=Z(he.cells[U],he.header.length);return he}}},Se.hr=function(se){var le=this.rules.block.hr.exec(se);if(le)return{type:"hr",raw:le[0]}},Se.blockquote=function(se){var le=this.rules.block.blockquote.exec(se);if(le){var he=le[0].replace(/^ *> ?/gm,"");return{type:"blockquote",raw:le[0],text:he}}},Se.list=function(se){var le=this.rules.block.list.exec(se);if(le){var he=le[0],ge=le[2],U=ge.length>1,fe={type:"list",raw:he,ordered:U,start:U?+ge.slice(0,-1):"",loose:!1,items:[]},be=le[0].match(this.rules.block.item),Pe=!1,Fe,$e,Ze,Ge,Ke,lt,ct,ve,Ee=be.length;Ze=this.rules.block.listItemStart.exec(be[0]);for(var oe=0;oe<Ee;oe++){if(Fe=be[oe],he=Fe,oe!==Ee-1){if(Ge=this.rules.block.listItemStart.exec(be[oe+1]),this.options.pedantic?Ge[1].length>Ze[1].length:Ge[1].length>Ze[0].length||Ge[1].length>3){be.splice(oe,2,be[oe]+`
`+be[oe+1]),oe--,Ee--;continue}else(!this.options.pedantic||this.options.smartLists?Ge[2][Ge[2].length-1]!==ge[ge.length-1]:U===(Ge[2].length===1))&&(Ke=be.slice(oe+1).join(`
`),fe.raw=fe.raw.substring(0,fe.raw.length-Ke.length),oe=Ee-1);Ze=Ge}$e=Fe.length,Fe=Fe.replace(/^ *([*+-]|\d+[.)]) ?/,""),~Fe.indexOf(`
 `)&&($e-=Fe.length,Fe=this.options.pedantic?Fe.replace(/^ {1,4}/gm,""):Fe.replace(new RegExp("^ {1,"+$e+"}","gm"),"")),lt=Pe||/\n\n(?!\s*$)/.test(Fe),oe!==Ee-1&&(Pe=Fe.charAt(Fe.length-1)===`
`,lt||(lt=Pe)),lt&&(fe.loose=!0),this.options.gfm&&(ct=/^\[[ xX]\] /.test(Fe),ve=void 0,ct&&(ve=Fe[1]!==" ",Fe=Fe.replace(/^\[[ xX]\] +/,""))),fe.items.push({type:"list_item",raw:he,task:ct,checked:ve,loose:lt,text:Fe})}return fe}},Se.html=function(se){var le=this.rules.block.html.exec(se);if(le)return{type:this.options.sanitize?"paragraph":"html",raw:le[0],pre:!this.options.sanitizer&&(le[1]==="pre"||le[1]==="script"||le[1]==="style"),text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(le[0]):V(le[0]):le[0]}},Se.def=function(se){var le=this.rules.block.def.exec(se);if(le){le[3]&&(le[3]=le[3].substring(1,le[3].length-1));var he=le[1].toLowerCase().replace(/\s+/g," ");return{tag:he,raw:le[0],href:le[2],title:le[3]}}},Se.table=function(se){var le=this.rules.block.table.exec(se);if(le){var he={type:"table",header:Z(le[1].replace(/^ *| *\| *$/g,"")),align:le[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:le[3]?le[3].replace(/\n$/,"").split(`
`):[]};if(he.header.length===he.align.length){he.raw=le[0];var ge=he.align.length,U;for(U=0;U<ge;U++)/^ *-+: *$/.test(he.align[U])?he.align[U]="right":/^ *:-+: *$/.test(he.align[U])?he.align[U]="center":/^ *:-+ *$/.test(he.align[U])?he.align[U]="left":he.align[U]=null;for(ge=he.cells.length,U=0;U<ge;U++)he.cells[U]=Z(he.cells[U].replace(/^ *\| *| *\| *$/g,""),he.header.length);return he}}},Se.lheading=function(se){var le=this.rules.block.lheading.exec(se);if(le)return{type:"heading",raw:le[0],depth:le[2].charAt(0)==="="?1:2,text:le[1]}},Se.paragraph=function(se){var le=this.rules.block.paragraph.exec(se);if(le)return{type:"paragraph",raw:le[0],text:le[1].charAt(le[1].length-1)===`
`?le[1].slice(0,-1):le[1]}},Se.text=function(se){var le=this.rules.block.text.exec(se);if(le)return{type:"text",raw:le[0],text:le[0]}},Se.escape=function(se){var le=this.rules.inline.escape.exec(se);if(le)return{type:"escape",raw:le[0],text:V(le[1])}},Se.tag=function(se,le,he){var ge=this.rules.inline.tag.exec(se);if(ge)return!le&&/^<a /i.test(ge[0])?le=!0:le&&/^<\/a>/i.test(ge[0])&&(le=!1),!he&&/^<(pre|code|kbd|script)(\s|>)/i.test(ge[0])?he=!0:he&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(ge[0])&&(he=!1),{type:this.options.sanitize?"text":"html",raw:ge[0],inLink:le,inRawBlock:he,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(ge[0]):V(ge[0]):ge[0]}},Se.link=function(se){var le=this.rules.inline.link.exec(se);if(le){var he=le[2].trim();if(!this.options.pedantic&&/^</.test(he)){if(!/>$/.test(he))return;var ge=$(he.slice(0,-1),"\\");if((he.length-ge.length)%2==0)return}else{var U=B(le[2],"()");if(U>-1){var fe=le[0].indexOf("!")===0?5:4,be=fe+le[1].length+U;le[2]=le[2].substring(0,U),le[0]=le[0].substring(0,be).trim(),le[3]=""}}var Pe=le[2],Fe="";if(this.options.pedantic){var $e=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(Pe);$e&&(Pe=$e[1],Fe=$e[3])}else Fe=le[3]?le[3].slice(1,-1):"";return Pe=Pe.trim(),/^</.test(Pe)&&(this.options.pedantic&&!/>$/.test(he)?Pe=Pe.slice(1):Pe=Pe.slice(1,-1)),Y(le,{href:Pe&&Pe.replace(this.rules.inline._escapes,"$1"),title:Fe&&Fe.replace(this.rules.inline._escapes,"$1")},le[0])}},Se.reflink=function(se,le){var he;if((he=this.rules.inline.reflink.exec(se))||(he=this.rules.inline.nolink.exec(se))){var ge=(he[2]||he[1]).replace(/\s+/g," ");if(ge=le[ge.toLowerCase()],!ge||!ge.href){var U=he[0].charAt(0);return{type:"text",raw:U,text:U}}return Y(he,ge,he[0])}},Se.emStrong=function(se,le,he){he===void 0&&(he="");var ge=this.rules.inline.emStrong.lDelim.exec(se);if(!!ge&&!(ge[3]&&he.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u08A0-\u08B4\u08B6-\u08C7\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\u9FFC\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7BF\uA7C2-\uA7CA\uA7F5-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEC0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82C[\uDC00-\uDD1E\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDD\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var U=ge[1]||ge[2]||"";if(!U||U&&(he===""||this.rules.inline.punctuation.exec(he))){var fe=ge[0].length-1,be,Pe,Fe=fe,$e=0,Ze=ge[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(Ze.lastIndex=0,le=le.slice(-1*se.length+fe);(ge=Ze.exec(le))!=null;)if(be=ge[1]||ge[2]||ge[3]||ge[4]||ge[5]||ge[6],!!be){if(Pe=be.length,ge[3]||ge[4]){Fe+=Pe;continue}else if((ge[5]||ge[6])&&fe%3&&!((fe+Pe)%3)){$e+=Pe;continue}if(Fe-=Pe,!(Fe>0)){if(Fe+$e-Pe<=0&&!le.slice(Ze.lastIndex).match(Ze)&&(Pe=Math.min(Pe,Pe+Fe+$e)),Math.min(fe,Pe)%2)return{type:"em",raw:se.slice(0,fe+ge.index+Pe+1),text:se.slice(1,fe+ge.index+Pe)};if(Math.min(fe,Pe)%2==0)return{type:"strong",raw:se.slice(0,fe+ge.index+Pe+1),text:se.slice(2,fe+ge.index+Pe-1)}}}}}},Se.codespan=function(se){var le=this.rules.inline.code.exec(se);if(le){var he=le[2].replace(/\n/g," "),ge=/[^ ]/.test(he),U=/^ /.test(he)&&/ $/.test(he);return ge&&U&&(he=he.substring(1,he.length-1)),he=V(he,!0),{type:"codespan",raw:le[0],text:he}}},Se.br=function(se){var le=this.rules.inline.br.exec(se);if(le)return{type:"br",raw:le[0]}},Se.del=function(se){var le=this.rules.inline.del.exec(se);if(le)return{type:"del",raw:le[0],text:le[2]}},Se.autolink=function(se,le){var he=this.rules.inline.autolink.exec(se);if(he){var ge,U;return he[2]==="@"?(ge=V(this.options.mangle?le(he[1]):he[1]),U="mailto:"+ge):(ge=V(he[1]),U=ge),{type:"link",raw:he[0],text:ge,href:U,tokens:[{type:"text",raw:ge,text:ge}]}}},Se.url=function(se,le){var he;if(he=this.rules.inline.url.exec(se)){var ge,U;if(he[2]==="@")ge=V(this.options.mangle?le(he[0]):he[0]),U="mailto:"+ge;else{var fe;do fe=he[0],he[0]=this.rules.inline._backpedal.exec(he[0])[0];while(fe!==he[0]);ge=V(he[0]),he[1]==="www."?U="http://"+ge:U=ge}return{type:"link",raw:he[0],text:ge,href:U,tokens:[{type:"text",raw:ge,text:ge}]}}},Se.inlineText=function(se,le,he){var ge=this.rules.inline.text.exec(se);if(ge){var U;return le?U=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(ge[0]):V(ge[0]):ge[0]:U=V(this.options.smartypants?he(ge[0]):ge[0]),{type:"text",raw:ge[0],text:U}}},De}(),N=F.noopTest,W=F.edit,Q=F.merge,G={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?:\n+|$)|$)/,hr:/^ {0,3}((?:- *){3,}|(?:_ *){3,}|(?:\* *){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3})(bull) [\s\S]+?(?:hr|def|\n{2,}(?! )(?! {0,3}bull )\n*|\s*$)/,html:"^ {0,3}(?:<(script|pre|style)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:\\n{2,}|$)|<(?!script|pre|style)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$)|</(?!script|pre|style)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$))",def:/^ {0,3}\[(label)\]: *\n? *<?([^\s>]+)>?(?:(?: +\n? *| *\n *)(title))? *(?:\n+|$)/,nptable:N,table:N,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html| +\n)[^\n]+)*)/,text:/^[^\n]+/};G._label=/(?!\s*\])(?:\\[\[\]]|[^\[\]])+/,G._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,G.def=W(G.def).replace("label",G._label).replace("title",G._title).getRegex(),G.bullet=/(?:[*+-]|\d{1,9}[.)])/,G.item=/^( *)(bull) ?[^\n]*(?:\n(?! *bull ?)[^\n]*)*/,G.item=W(G.item,"gm").replace(/bull/g,G.bullet).getRegex(),G.listItemStart=W(/^( *)(bull)/).replace("bull",G.bullet).getRegex(),G.list=W(G.list).replace(/bull/g,G.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+G.def.source+")").getRegex(),G._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",G._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,G.html=W(G.html,"i").replace("comment",G._comment).replace("tag",G._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),G.paragraph=W(G._paragraph).replace("hr",G.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",G._tag).getRegex(),G.blockquote=W(G.blockquote).replace("paragraph",G.paragraph).getRegex(),G.normal=Q({},G),G.gfm=Q({},G.normal,{nptable:"^ *([^|\\n ].*\\|.*)\\n {0,3}([-:]+ *\\|[-| :]*)(?:\\n((?:(?!\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)",table:"^ *\\|(.+)\\n {0,3}\\|?( *[-:]+[-| :]*)(?:\\n *((?:(?!\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),G.gfm.nptable=W(G.gfm.nptable).replace("hr",G.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",G._tag).getRegex(),G.gfm.table=W(G.gfm.table).replace("hr",G.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",G._tag).getRegex(),G.pedantic=Q({},G.normal,{html:W(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",G._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:N,paragraph:W(G.normal._paragraph).replace("hr",G.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",G.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var ue={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:N,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(?!\s*\])((?:\\[\[\]]?|[^\[\]\\])+)\]/,nolink:/^!?\[(?!\s*\])((?:\[[^\[\]]*\]|\\[\[\]]|[^\[\]])*)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/\_\_[^_]*?\*[^_]*?\_\_|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/\*\*[^*]*?\_[^*]*?\*\*|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:N,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};ue._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",ue.punctuation=W(ue.punctuation).replace(/punctuation/g,ue._punctuation).getRegex(),ue.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,ue.escapedEmSt=/\\\*|\\_/g,ue._comment=W(G._comment).replace("(?:-->|$)","-->").getRegex(),ue.emStrong.lDelim=W(ue.emStrong.lDelim).replace(/punct/g,ue._punctuation).getRegex(),ue.emStrong.rDelimAst=W(ue.emStrong.rDelimAst,"g").replace(/punct/g,ue._punctuation).getRegex(),ue.emStrong.rDelimUnd=W(ue.emStrong.rDelimUnd,"g").replace(/punct/g,ue._punctuation).getRegex(),ue._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,ue._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,ue._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,ue.autolink=W(ue.autolink).replace("scheme",ue._scheme).replace("email",ue._email).getRegex(),ue._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,ue.tag=W(ue.tag).replace("comment",ue._comment).replace("attribute",ue._attribute).getRegex(),ue._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,ue._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,ue._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,ue.link=W(ue.link).replace("label",ue._label).replace("href",ue._href).replace("title",ue._title).getRegex(),ue.reflink=W(ue.reflink).replace("label",ue._label).getRegex(),ue.reflinkSearch=W(ue.reflinkSearch,"g").replace("reflink",ue.reflink).replace("nolink",ue.nolink).getRegex(),ue.normal=Q({},ue),ue.pedantic=Q({},ue.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:W(/^!?\[(label)\]\((.*?)\)/).replace("label",ue._label).getRegex(),reflink:W(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",ue._label).getRegex()}),ue.gfm=Q({},ue.normal,{escape:W(ue.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))/}),ue.gfm.url=W(ue.gfm.url,"i").replace("email",ue.gfm._extended_email).getRegex(),ue.breaks=Q({},ue.gfm,{br:W(ue.br).replace("{2,}","*").getRegex(),text:W(ue.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});var ke={block:G,inline:ue},Re=k.defaults,ze=ke.block,xe=ke.inline,Ve=F.repeatString;function tt(De){return De.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function Ye(De){var Se="",Ie,se,le=De.length;for(Ie=0;Ie<le;Ie++)se=De.charCodeAt(Ie),Math.random()>.5&&(se="x"+se.toString(16)),Se+="&#"+se+";";return Se}var et=function(){function De(Ie){this.tokens=[],this.tokens.links=Object.create(null),this.options=Ie||Re,this.options.tokenizer=this.options.tokenizer||new J,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options;var se={block:ze.normal,inline:xe.normal};this.options.pedantic?(se.block=ze.pedantic,se.inline=xe.pedantic):this.options.gfm&&(se.block=ze.gfm,this.options.breaks?se.inline=xe.breaks:se.inline=xe.gfm),this.tokenizer.rules=se}De.lex=function(se,le){var he=new De(le);return he.lex(se)},De.lexInline=function(se,le){var he=new De(le);return he.inlineTokens(se)};var Se=De.prototype;return Se.lex=function(se){return se=se.replace(/\r\n|\r/g,`
`).replace(/\t/g,"    "),this.blockTokens(se,this.tokens,!0),this.inline(this.tokens),this.tokens},Se.blockTokens=function(se,le,he){le===void 0&&(le=[]),he===void 0&&(he=!0),this.options.pedantic&&(se=se.replace(/^ +$/gm,""));for(var ge,U,fe,be;se;){if(ge=this.tokenizer.space(se)){se=se.substring(ge.raw.length),ge.type&&le.push(ge);continue}if(ge=this.tokenizer.code(se)){se=se.substring(ge.raw.length),be=le[le.length-1],be&&be.type==="paragraph"?(be.raw+=`
`+ge.raw,be.text+=`
`+ge.text):le.push(ge);continue}if(ge=this.tokenizer.fences(se)){se=se.substring(ge.raw.length),le.push(ge);continue}if(ge=this.tokenizer.heading(se)){se=se.substring(ge.raw.length),le.push(ge);continue}if(ge=this.tokenizer.nptable(se)){se=se.substring(ge.raw.length),le.push(ge);continue}if(ge=this.tokenizer.hr(se)){se=se.substring(ge.raw.length),le.push(ge);continue}if(ge=this.tokenizer.blockquote(se)){se=se.substring(ge.raw.length),ge.tokens=this.blockTokens(ge.text,[],he),le.push(ge);continue}if(ge=this.tokenizer.list(se)){for(se=se.substring(ge.raw.length),fe=ge.items.length,U=0;U<fe;U++)ge.items[U].tokens=this.blockTokens(ge.items[U].text,[],!1);le.push(ge);continue}if(ge=this.tokenizer.html(se)){se=se.substring(ge.raw.length),le.push(ge);continue}if(he&&(ge=this.tokenizer.def(se))){se=se.substring(ge.raw.length),this.tokens.links[ge.tag]||(this.tokens.links[ge.tag]={href:ge.href,title:ge.title});continue}if(ge=this.tokenizer.table(se)){se=se.substring(ge.raw.length),le.push(ge);continue}if(ge=this.tokenizer.lheading(se)){se=se.substring(ge.raw.length),le.push(ge);continue}if(he&&(ge=this.tokenizer.paragraph(se))){se=se.substring(ge.raw.length),le.push(ge);continue}if(ge=this.tokenizer.text(se)){se=se.substring(ge.raw.length),be=le[le.length-1],be&&be.type==="text"?(be.raw+=`
`+ge.raw,be.text+=`
`+ge.text):le.push(ge);continue}if(se){var Pe="Infinite loop on byte: "+se.charCodeAt(0);if(this.options.silent){console.error(Pe);break}else throw new Error(Pe)}}return le},Se.inline=function(se){var le,he,ge,U,fe,be,Pe=se.length;for(le=0;le<Pe;le++)switch(be=se[le],be.type){case"paragraph":case"text":case"heading":{be.tokens=[],this.inlineTokens(be.text,be.tokens);break}case"table":{for(be.tokens={header:[],cells:[]},U=be.header.length,he=0;he<U;he++)be.tokens.header[he]=[],this.inlineTokens(be.header[he],be.tokens.header[he]);for(U=be.cells.length,he=0;he<U;he++)for(fe=be.cells[he],be.tokens.cells[he]=[],ge=0;ge<fe.length;ge++)be.tokens.cells[he][ge]=[],this.inlineTokens(fe[ge],be.tokens.cells[he][ge]);break}case"blockquote":{this.inline(be.tokens);break}case"list":{for(U=be.items.length,he=0;he<U;he++)this.inline(be.items[he].tokens);break}}return se},Se.inlineTokens=function(se,le,he,ge){le===void 0&&(le=[]),he===void 0&&(he=!1),ge===void 0&&(ge=!1);var U,fe,be=se,Pe,Fe,$e;if(this.tokens.links){var Ze=Object.keys(this.tokens.links);if(Ze.length>0)for(;(Pe=this.tokenizer.rules.inline.reflinkSearch.exec(be))!=null;)Ze.includes(Pe[0].slice(Pe[0].lastIndexOf("[")+1,-1))&&(be=be.slice(0,Pe.index)+"["+Ve("a",Pe[0].length-2)+"]"+be.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(Pe=this.tokenizer.rules.inline.blockSkip.exec(be))!=null;)be=be.slice(0,Pe.index)+"["+Ve("a",Pe[0].length-2)+"]"+be.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(Pe=this.tokenizer.rules.inline.escapedEmSt.exec(be))!=null;)be=be.slice(0,Pe.index)+"++"+be.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;se;){if(Fe||($e=""),Fe=!1,U=this.tokenizer.escape(se)){se=se.substring(U.raw.length),le.push(U);continue}if(U=this.tokenizer.tag(se,he,ge)){se=se.substring(U.raw.length),he=U.inLink,ge=U.inRawBlock;var Ge=le[le.length-1];Ge&&U.type==="text"&&Ge.type==="text"?(Ge.raw+=U.raw,Ge.text+=U.text):le.push(U);continue}if(U=this.tokenizer.link(se)){se=se.substring(U.raw.length),U.type==="link"&&(U.tokens=this.inlineTokens(U.text,[],!0,ge)),le.push(U);continue}if(U=this.tokenizer.reflink(se,this.tokens.links)){se=se.substring(U.raw.length);var Ke=le[le.length-1];U.type==="link"?(U.tokens=this.inlineTokens(U.text,[],!0,ge),le.push(U)):Ke&&U.type==="text"&&Ke.type==="text"?(Ke.raw+=U.raw,Ke.text+=U.text):le.push(U);continue}if(U=this.tokenizer.emStrong(se,be,$e)){se=se.substring(U.raw.length),U.tokens=this.inlineTokens(U.text,[],he,ge),le.push(U);continue}if(U=this.tokenizer.codespan(se)){se=se.substring(U.raw.length),le.push(U);continue}if(U=this.tokenizer.br(se)){se=se.substring(U.raw.length),le.push(U);continue}if(U=this.tokenizer.del(se)){se=se.substring(U.raw.length),U.tokens=this.inlineTokens(U.text,[],he,ge),le.push(U);continue}if(U=this.tokenizer.autolink(se,Ye)){se=se.substring(U.raw.length),le.push(U);continue}if(!he&&(U=this.tokenizer.url(se,Ye))){se=se.substring(U.raw.length),le.push(U);continue}if(U=this.tokenizer.inlineText(se,ge,tt)){se=se.substring(U.raw.length),U.raw.slice(-1)!=="_"&&($e=U.raw.slice(-1)),Fe=!0,fe=le[le.length-1],fe&&fe.type==="text"?(fe.raw+=U.raw,fe.text+=U.text):le.push(U);continue}if(se){var lt="Infinite loop on byte: "+se.charCodeAt(0);if(this.options.silent){console.error(lt);break}else throw new Error(lt)}}return le},e(De,null,[{key:"rules",get:function(){return{block:ze,inline:xe}}}]),De}(),x=k.defaults,K=F.cleanUrl,ie=F.escape,ae=function(){function De(Ie){this.options=Ie||x}var Se=De.prototype;return Se.code=function(se,le,he){var ge=(le||"").match(/\S*/)[0];if(this.options.highlight){var U=this.options.highlight(se,ge);U!=null&&U!==se&&(he=!0,se=U)}return se=se.replace(/\n$/,"")+`
`,ge?'<pre><code class="'+this.options.langPrefix+ie(ge,!0)+'">'+(he?se:ie(se,!0))+`</code></pre>
`:"<pre><code>"+(he?se:ie(se,!0))+`</code></pre>
`},Se.blockquote=function(se){return`<blockquote>
`+se+`</blockquote>
`},Se.html=function(se){return se},Se.heading=function(se,le,he,ge){return this.options.headerIds?"<h"+le+' id="'+this.options.headerPrefix+ge.slug(he)+'">'+se+"</h"+le+`>
`:"<h"+le+">"+se+"</h"+le+`>
`},Se.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},Se.list=function(se,le,he){var ge=le?"ol":"ul",U=le&&he!==1?' start="'+he+'"':"";return"<"+ge+U+`>
`+se+"</"+ge+`>
`},Se.listitem=function(se){return"<li>"+se+`</li>
`},Se.checkbox=function(se){return"<input "+(se?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},Se.paragraph=function(se){return"<p>"+se+`</p>
`},Se.table=function(se,le){return le&&(le="<tbody>"+le+"</tbody>"),`<table>
<thead>
`+se+`</thead>
`+le+`</table>
`},Se.tablerow=function(se){return`<tr>
`+se+`</tr>
`},Se.tablecell=function(se,le){var he=le.header?"th":"td",ge=le.align?"<"+he+' align="'+le.align+'">':"<"+he+">";return ge+se+"</"+he+`>
`},Se.strong=function(se){return"<strong>"+se+"</strong>"},Se.em=function(se){return"<em>"+se+"</em>"},Se.codespan=function(se){return"<code>"+se+"</code>"},Se.br=function(){return this.options.xhtml?"<br/>":"<br>"},Se.del=function(se){return"<del>"+se+"</del>"},Se.link=function(se,le,he){if(se=K(this.options.sanitize,this.options.baseUrl,se),se===null)return he;var ge='<a href="'+ie(se)+'"';return le&&(ge+=' title="'+le+'"'),ge+=">"+he+"</a>",ge},Se.image=function(se,le,he){if(se=K(this.options.sanitize,this.options.baseUrl,se),se===null)return he;var ge='<img src="'+se+'" alt="'+he+'"';return le&&(ge+=' title="'+le+'"'),ge+=this.options.xhtml?"/>":">",ge},Se.text=function(se){return se},De}(),j=function(){function De(){}var Se=De.prototype;return Se.strong=function(se){return se},Se.em=function(se){return se},Se.codespan=function(se){return se},Se.del=function(se){return se},Se.html=function(se){return se},Se.text=function(se){return se},Se.link=function(se,le,he){return""+he},Se.image=function(se,le,he){return""+he},Se.br=function(){return""},De}(),re=function(){function De(){this.seen={}}var Se=De.prototype;return Se.serialize=function(se){return se.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},Se.getNextSafeSlug=function(se,le){var he=se,ge=0;if(this.seen.hasOwnProperty(he)){ge=this.seen[se];do ge++,he=se+"-"+ge;while(this.seen.hasOwnProperty(he))}return le||(this.seen[se]=ge,this.seen[he]=0),he},Se.slug=function(se,le){le===void 0&&(le={});var he=this.serialize(se);return this.getNextSafeSlug(he,le.dryrun)},De}(),me=k.defaults,Te=F.unescape,Be=function(){function De(Ie){this.options=Ie||me,this.options.renderer=this.options.renderer||new ae,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new j,this.slugger=new re}De.parse=function(se,le){var he=new De(le);return he.parse(se)},De.parseInline=function(se,le){var he=new De(le);return he.parseInline(se)};var Se=De.prototype;return Se.parse=function(se,le){le===void 0&&(le=!0);var he="",ge,U,fe,be,Pe,Fe,$e,Ze,Ge,Ke,lt,ct,ve,Ee,oe,q,Oe,ye,Je=se.length;for(ge=0;ge<Je;ge++)switch(Ke=se[ge],Ke.type){case"space":continue;case"hr":{he+=this.renderer.hr();continue}case"heading":{he+=this.renderer.heading(this.parseInline(Ke.tokens),Ke.depth,Te(this.parseInline(Ke.tokens,this.textRenderer)),this.slugger);continue}case"code":{he+=this.renderer.code(Ke.text,Ke.lang,Ke.escaped);continue}case"table":{for(Ze="",$e="",be=Ke.header.length,U=0;U<be;U++)$e+=this.renderer.tablecell(this.parseInline(Ke.tokens.header[U]),{header:!0,align:Ke.align[U]});for(Ze+=this.renderer.tablerow($e),Ge="",be=Ke.cells.length,U=0;U<be;U++){for(Fe=Ke.tokens.cells[U],$e="",Pe=Fe.length,fe=0;fe<Pe;fe++)$e+=this.renderer.tablecell(this.parseInline(Fe[fe]),{header:!1,align:Ke.align[fe]});Ge+=this.renderer.tablerow($e)}he+=this.renderer.table(Ze,Ge);continue}case"blockquote":{Ge=this.parse(Ke.tokens),he+=this.renderer.blockquote(Ge);continue}case"list":{for(lt=Ke.ordered,ct=Ke.start,ve=Ke.loose,be=Ke.items.length,Ge="",U=0;U<be;U++)oe=Ke.items[U],q=oe.checked,Oe=oe.task,Ee="",oe.task&&(ye=this.renderer.checkbox(q),ve?oe.tokens.length>0&&oe.tokens[0].type==="text"?(oe.tokens[0].text=ye+" "+oe.tokens[0].text,oe.tokens[0].tokens&&oe.tokens[0].tokens.length>0&&oe.tokens[0].tokens[0].type==="text"&&(oe.tokens[0].tokens[0].text=ye+" "+oe.tokens[0].tokens[0].text)):oe.tokens.unshift({type:"text",text:ye}):Ee+=ye),Ee+=this.parse(oe.tokens,ve),Ge+=this.renderer.listitem(Ee,Oe,q);he+=this.renderer.list(Ge,lt,ct);continue}case"html":{he+=this.renderer.html(Ke.text);continue}case"paragraph":{he+=this.renderer.paragraph(this.parseInline(Ke.tokens));continue}case"text":{for(Ge=Ke.tokens?this.parseInline(Ke.tokens):Ke.text;ge+1<Je&&se[ge+1].type==="text";)Ke=se[++ge],Ge+=`
`+(Ke.tokens?this.parseInline(Ke.tokens):Ke.text);he+=le?this.renderer.paragraph(Ge):Ge;continue}default:{var qe='Token with "'+Ke.type+'" type was not found.';if(this.options.silent){console.error(qe);return}else throw new Error(qe)}}return he},Se.parseInline=function(se,le){le=le||this.renderer;var he="",ge,U,fe=se.length;for(ge=0;ge<fe;ge++)switch(U=se[ge],U.type){case"escape":{he+=le.text(U.text);break}case"html":{he+=le.html(U.text);break}case"link":{he+=le.link(U.href,U.title,this.parseInline(U.tokens,le));break}case"image":{he+=le.image(U.href,U.title,U.text);break}case"strong":{he+=le.strong(this.parseInline(U.tokens,le));break}case"em":{he+=le.em(this.parseInline(U.tokens,le));break}case"codespan":{he+=le.codespan(U.text);break}case"br":{he+=le.br();break}case"del":{he+=le.del(this.parseInline(U.tokens,le));break}case"text":{he+=le.text(U.text);break}default:{var be='Token with "'+U.type+'" type was not found.';if(this.options.silent){console.error(be);return}else throw new Error(be)}}return he},De}(),pe=F.merge,Qe=F.checkSanitizeDeprecation,z=F.escape,ee=k.getDefaults,de=k.changeDefaults,Ne=k.defaults;function Ue(De,Se,Ie){if(typeof De=="undefined"||De===null)throw new Error("marked(): input parameter is undefined or null");if(typeof De!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(De)+", string expected");if(typeof Se=="function"&&(Ie=Se,Se=null),Se=pe({},Ue.defaults,Se||{}),Qe(Se),Ie){var se=Se.highlight,le;try{le=et.lex(De,Se)}catch(fe){return Ie(fe)}var he=function(be){var Pe;if(!be)try{Pe=Be.parse(le,Se)}catch(Fe){be=Fe}return Se.highlight=se,be?Ie(be):Ie(null,Pe)};if(!se||se.length<3||(delete Se.highlight,!le.length))return he();var ge=0;Ue.walkTokens(le,function(fe){fe.type==="code"&&(ge++,setTimeout(function(){se(fe.text,fe.lang,function(be,Pe){if(be)return he(be);Pe!=null&&Pe!==fe.text&&(fe.text=Pe,fe.escaped=!0),ge--,ge===0&&he()})},0))}),ge===0&&he();return}try{var U=et.lex(De,Se);return Se.walkTokens&&Ue.walkTokens(U,Se.walkTokens),Be.parse(U,Se)}catch(fe){if(fe.message+=`
Please report this to https://github.com/markedjs/marked.`,Se.silent)return"<p>An error occurred:</p><pre>"+z(fe.message+"",!0)+"</pre>";throw fe}}Ue.options=Ue.setOptions=function(De){return pe(Ue.defaults,De),de(Ue.defaults),Ue},Ue.getDefaults=ee,Ue.defaults=Ne,Ue.use=function(De){var Se=pe({},De);if(De.renderer&&function(){var se=Ue.defaults.renderer||new ae,le=function(U){var fe=se[U];se[U]=function(){for(var be=arguments.length,Pe=new Array(be),Fe=0;Fe<be;Fe++)Pe[Fe]=arguments[Fe];var $e=De.renderer[U].apply(se,Pe);return $e===!1&&($e=fe.apply(se,Pe)),$e}};for(var he in De.renderer)le(he);Se.renderer=se}(),De.tokenizer&&function(){var se=Ue.defaults.tokenizer||new J,le=function(U){var fe=se[U];se[U]=function(){for(var be=arguments.length,Pe=new Array(be),Fe=0;Fe<be;Fe++)Pe[Fe]=arguments[Fe];var $e=De.tokenizer[U].apply(se,Pe);return $e===!1&&($e=fe.apply(se,Pe)),$e}};for(var he in De.tokenizer)le(he);Se.tokenizer=se}(),De.walkTokens){var Ie=Ue.defaults.walkTokens;Se.walkTokens=function(se){De.walkTokens(se),Ie&&Ie(se)}}Ue.setOptions(Se)},Ue.walkTokens=function(De,Se){for(var Ie=D(De),se;!(se=Ie()).done;){var le=se.value;switch(Se(le),le.type){case"table":{for(var he=D(le.tokens.header),ge;!(ge=he()).done;){var U=ge.value;Ue.walkTokens(U,Se)}for(var fe=D(le.tokens.cells),be;!(be=fe()).done;)for(var Pe=be.value,Fe=D(Pe),$e;!($e=Fe()).done;){var Ze=$e.value;Ue.walkTokens(Ze,Se)}break}case"list":{Ue.walkTokens(le.items,Se);break}default:le.tokens&&Ue.walkTokens(le.tokens,Se)}}},Ue.parseInline=function(De,Se){if(typeof De=="undefined"||De===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof De!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(De)+", string expected");Se=pe({},Ue.defaults,Se||{}),Qe(Se);try{var Ie=et.lexInline(De,Se);return Se.walkTokens&&Ue.walkTokens(Ie,Se.walkTokens),Be.parseInline(Ie,Se)}catch(se){if(se.message+=`
Please report this to https://github.com/markedjs/marked.`,Se.silent)return"<p>An error occurred:</p><pre>"+z(se.message+"",!0)+"</pre>";throw se}},Ue.Parser=Be,Ue.parser=Be.parse,Ue.Renderer=ae,Ue.TextRenderer=j,Ue.Lexer=et,Ue.lexer=et.lex,Ue.Tokenizer=J,Ue.Slugger=re,Ue.parse=Ue;var Xe=Ue;return Xe}),define(we[77],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MovingAverage=e.Counter=e.rot=e.clamp=void 0;function f(k,y,b){return Math.min(Math.max(k,y),b)}e.clamp=f;function R(k,y){return(y+k%y)%y}e.rot=R;class D{constructor(){this._next=0}getNext(){return this._next++}}e.Counter=D;class _{constructor(){this._n=1,this._val=0}update(y){return this._val=this._val+(y-this._val)/this._n,this._n+=1,this}get value(){return this._val}}e.MovingAverage=_}),function(){function ne(D){const _=[];typeof D=="number"&&_.push("code/timeOrigin",D);function k(b){_.push(b,Date.now())}function y(){const b=[];for(let C=0;C<_.length;C+=2)b.push({name:_[C],startTime:_[C+1]});return b}return{mark:k,getMarks:y}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function")return typeof performance.timeOrigin!="number"&&!performance.timing?ne():{mark(D){performance.mark(D)},getMarks(){let D=performance.timeOrigin;typeof D!="number"&&(D=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const _=[{name:"code/timeOrigin",startTime:Math.round(D)}];for(const k of performance.getEntriesByType("mark"))_.push({name:k.name,startTime:Math.round(D+k.startTime)});return _}};if(typeof process=="object"){const D=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return ne(D)}else return console.trace("perf-util loaded in UNKNOWN environment"),ne()}function f(D){return D.MonacoPerformanceMarks||(D.MonacoPerformanceMarks=e()),D.MonacoPerformanceMarks}var R;typeof global=="object"?R=global:typeof self=="object"?R=self:R={},typeof define=="function"?define("vs/base/common/performance",[],function(){return f(R)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=f(R):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),R.perf=f(R))}(),define(we[21],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setImmediate=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isPreferringBrowserCodeLoad=e.browserCodeLoadingCacheStrategy=e.isElectronSandboxed=e.globals=void 0;const f="en";let R=!1,D=!1,_=!1,k=!1,y=!1,b=!1,C=!1,n,I=f,l,m;e.globals=typeof self=="object"?self:typeof global=="object"?global:{};let u;typeof e.globals.vscode!="undefined"&&typeof e.globals.vscode.process!="undefined"?u=e.globals.vscode.process:typeof process!="undefined"&&(u=process);const o=typeof u?.versions?.electron=="string"&&u.type==="renderer";if(e.isElectronSandboxed=o&&u?.sandboxed,e.browserCodeLoadingCacheStrategy=(()=>{if(e.isElectronSandboxed)return"bypassHeatCheck";const i=u?.env.VSCODE_BROWSER_CODE_LOADING;if(typeof i=="string")return i==="none"||i==="code"||i==="bypassHeatCheck"||i==="bypassHeatCheckAndEagerCompile"?i:"bypassHeatCheck"})(),e.isPreferringBrowserCodeLoad=typeof e.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!o)m=navigator.userAgent,R=m.indexOf("Windows")>=0,D=m.indexOf("Macintosh")>=0,C=(m.indexOf("Macintosh")>=0||m.indexOf("iPad")>=0||m.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,_=m.indexOf("Linux")>=0,b=!0,n=navigator.language,I=n;else if(typeof u=="object"){R=u.platform==="win32",D=u.platform==="darwin",_=u.platform==="linux",k=_&&!!u.env.SNAP&&!!u.env.SNAP_REVISION,n=f,I=f;const i=u.env.VSCODE_NLS_CONFIG;if(i)try{const s=JSON.parse(i),c=s.availableLanguages["*"];n=s.locale,I=c||f,l=s._translationsConfigFile}catch(s){}y=!0}else console.error("Unable to resolve platform.");var E;(function(i){i[i.Web=0]="Web",i[i.Mac=1]="Mac",i[i.Linux=2]="Linux",i[i.Windows=3]="Windows"})(E=e.Platform||(e.Platform={}));function v(i){switch(i){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=v;let S=0;D?S=1:R?S=3:_&&(S=2),e.isWindows=R,e.isMacintosh=D,e.isLinux=_,e.isLinuxSnap=k,e.isNative=y,e.isWeb=b,e.isIOS=C,e.platform=S,e.userAgent=m,e.language=I;var d;(function(i){function s(){return e.language}i.value=s;function c(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}i.isDefaultVariant=c;function w(){return e.language==="en"}i.isDefault=w})(d=e.Language||(e.Language={})),e.locale=n,e.translationsConfigFile=l,e.setImmediate=function(){if(e.globals.setImmediate)return e.globals.setImmediate.bind(e.globals);if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let c=[];e.globals.addEventListener("message",p=>{if(p.data&&p.data.vscodeSetImmediateId)for(let P=0,A=c.length;P<A;P++){const a=c[P];if(a.id===p.data.vscodeSetImmediateId){c.splice(P,1),a.callback();return}}});let w=0;return p=>{const P=++w;c.push({id:P,callback:p}),e.globals.postMessage({vscodeSetImmediateId:P},"*")}}if(typeof u?.nextTick=="function")return u.nextTick.bind(u);const s=Promise.resolve();return c=>s.then(c)}();var h;(function(i){i[i.Windows=1]="Windows",i[i.Macintosh=2]="Macintosh",i[i.Linux=3]="Linux"})(h=e.OperatingSystem||(e.OperatingSystem={})),e.OS=D||C?2:R?1:3;let g=!0,t=!1;function r(){if(!t){t=!0;const i=new Uint8Array(2);i[0]=1,i[1]=2,g=new Uint16Array(i.buffer)[0]===(2<<8)+1}return g}e.isLittleEndian=r}),define(we[41],_e([0,1,21]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nextTick=e.platform=e.env=e.cwd=void 0;let R;if(typeof f.globals.vscode!="undefined"&&typeof f.globals.vscode.process!="undefined"){const D=f.globals.vscode.process;R={get platform(){return D.platform},get env(){return D.env},cwd(){return D.cwd()},nextTick(_){return f.setImmediate(_)}}}else typeof process!="undefined"?R={get platform(){return process.platform},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()},nextTick(D){return process.nextTick(D)}}:R={get platform(){return f.isWindows?"win32":f.isMacintosh?"darwin":"linux"},nextTick(D){return f.setImmediate(D)},get env(){return{}},cwd(){return"/"}};e.cwd=R.cwd,e.env=R.env,e.platform=R.platform,e.nextTick=R.nextTick}),define(we[14],_e([0,1,41]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const R=65,D=97,_=90,k=122,y=46,b=47,C=92,n=58,I=63;class l extends Error{constructor(h,g,t){let r;typeof g=="string"&&g.indexOf("not ")===0?(r="must not be",g=g.replace(/^not /,"")):r="must be";const i=h.indexOf(".")!==-1?"property":"argument";let s=`The "${h}" ${i} ${r} of type ${g}`;s+=`. Received type ${typeof t}`,super(s),this.code="ERR_INVALID_ARG_TYPE"}}function m(d,h){if(typeof d!="string")throw new l(h,"string",d)}function u(d){return d===b||d===C}function o(d){return d===b}function E(d){return d>=R&&d<=_||d>=D&&d<=k}function v(d,h,g,t){let r="",i=0,s=-1,c=0,w=0;for(let p=0;p<=d.length;++p){if(p<d.length)w=d.charCodeAt(p);else{if(t(w))break;w=b}if(t(w)){if(!(s===p-1||c===1))if(c===2){if(r.length<2||i!==2||r.charCodeAt(r.length-1)!==y||r.charCodeAt(r.length-2)!==y){if(r.length>2){const P=r.lastIndexOf(g);P===-1?(r="",i=0):(r=r.slice(0,P),i=r.length-1-r.lastIndexOf(g)),s=p,c=0;continue}else if(r.length!==0){r="",i=0,s=p,c=0;continue}}h&&(r+=r.length>0?`${g}..`:"..",i=2)}else r.length>0?r+=`${g}${d.slice(s+1,p)}`:r=d.slice(s+1,p),i=p-s-1;s=p,c=0}else w===y&&c!==-1?++c:c=-1}return r}function S(d,h){if(h===null||typeof h!="object")throw new l("pathObject","Object",h);const g=h.dir||h.root,t=h.base||`${h.name||""}${h.ext||""}`;return g?g===h.root?`${g}${t}`:`${g}${d}${t}`:t}e.win32={resolve(...d){let h="",g="",t=!1;for(let r=d.length-1;r>=-1;r--){let i;if(r>=0){if(i=d[r],m(i,"path"),i.length===0)continue}else h.length===0?i=f.cwd():(i=f.env[`=${h}`]||f.cwd(),(i===void 0||i.slice(0,2).toLowerCase()!==h.toLowerCase()&&i.charCodeAt(2)===C)&&(i=`${h}\\`));const s=i.length;let c=0,w="",p=!1;const P=i.charCodeAt(0);if(s===1)u(P)&&(c=1,p=!0);else if(u(P))if(p=!0,u(i.charCodeAt(1))){let A=2,a=A;for(;A<s&&!u(i.charCodeAt(A));)A++;if(A<s&&A!==a){const T=i.slice(a,A);for(a=A;A<s&&u(i.charCodeAt(A));)A++;if(A<s&&A!==a){for(a=A;A<s&&!u(i.charCodeAt(A));)A++;(A===s||A!==a)&&(w=`\\\\${T}\\${i.slice(a,A)}`,c=A)}}}else c=1;else E(P)&&i.charCodeAt(1)===n&&(w=i.slice(0,2),c=2,s>2&&u(i.charCodeAt(2))&&(p=!0,c=3));if(w.length>0)if(h.length>0){if(w.toLowerCase()!==h.toLowerCase())continue}else h=w;if(t){if(h.length>0)break}else if(g=`${i.slice(c)}\\${g}`,t=p,p&&h.length>0)break}return g=v(g,!t,"\\",u),t?`${h}\\${g}`:`${h}${g}`||"."},normalize(d){m(d,"path");const h=d.length;if(h===0)return".";let g=0,t,r=!1;const i=d.charCodeAt(0);if(h===1)return o(i)?"\\":d;if(u(i))if(r=!0,u(d.charCodeAt(1))){let c=2,w=c;for(;c<h&&!u(d.charCodeAt(c));)c++;if(c<h&&c!==w){const p=d.slice(w,c);for(w=c;c<h&&u(d.charCodeAt(c));)c++;if(c<h&&c!==w){for(w=c;c<h&&!u(d.charCodeAt(c));)c++;if(c===h)return`\\\\${p}\\${d.slice(w)}\\`;c!==w&&(t=`\\\\${p}\\${d.slice(w,c)}`,g=c)}}}else g=1;else E(i)&&d.charCodeAt(1)===n&&(t=d.slice(0,2),g=2,h>2&&u(d.charCodeAt(2))&&(r=!0,g=3));let s=g<h?v(d.slice(g),!r,"\\",u):"";return s.length===0&&!r&&(s="."),s.length>0&&u(d.charCodeAt(h-1))&&(s+="\\"),t===void 0?r?`\\${s}`:s:r?`${t}\\${s}`:`${t}${s}`},isAbsolute(d){m(d,"path");const h=d.length;if(h===0)return!1;const g=d.charCodeAt(0);return u(g)||h>2&&E(g)&&d.charCodeAt(1)===n&&u(d.charCodeAt(2))},join(...d){if(d.length===0)return".";let h,g;for(let i=0;i<d.length;++i){const s=d[i];m(s,"path"),s.length>0&&(h===void 0?h=g=s:h+=`\\${s}`)}if(h===void 0)return".";let t=!0,r=0;if(typeof g=="string"&&u(g.charCodeAt(0))){++r;const i=g.length;i>1&&u(g.charCodeAt(1))&&(++r,i>2&&(u(g.charCodeAt(2))?++r:t=!1))}if(t){for(;r<h.length&&u(h.charCodeAt(r));)r++;r>=2&&(h=`\\${h.slice(r)}`)}return e.win32.normalize(h)},relative(d,h){if(m(d,"from"),m(h,"to"),d===h)return"";const g=e.win32.resolve(d),t=e.win32.resolve(h);if(g===t||(d=g.toLowerCase(),h=t.toLowerCase(),d===h))return"";let r=0;for(;r<d.length&&d.charCodeAt(r)===C;)r++;let i=d.length;for(;i-1>r&&d.charCodeAt(i-1)===C;)i--;const s=i-r;let c=0;for(;c<h.length&&h.charCodeAt(c)===C;)c++;let w=h.length;for(;w-1>c&&h.charCodeAt(w-1)===C;)w--;const p=w-c,P=s<p?s:p;let A=-1,a=0;for(;a<P;a++){const F=d.charCodeAt(r+a);if(F!==h.charCodeAt(c+a))break;F===C&&(A=a)}if(a!==P){if(A===-1)return t}else{if(p>P){if(h.charCodeAt(c+a)===C)return t.slice(c+a+1);if(a===2)return t.slice(c+a)}s>P&&(d.charCodeAt(r+a)===C?A=a:a===2&&(A=3)),A===-1&&(A=0)}let T="";for(a=r+A+1;a<=i;++a)(a===i||d.charCodeAt(a)===C)&&(T+=T.length===0?"..":"\\..");return c+=A,T.length>0?`${T}${t.slice(c,w)}`:(t.charCodeAt(c)===C&&++c,t.slice(c,w))},toNamespacedPath(d){if(typeof d!="string")return d;if(d.length===0)return"";const h=e.win32.resolve(d);if(h.length<=2)return d;if(h.charCodeAt(0)===C){if(h.charCodeAt(1)===C){const g=h.charCodeAt(2);if(g!==I&&g!==y)return`\\\\?\\UNC\\${h.slice(2)}`}}else if(E(h.charCodeAt(0))&&h.charCodeAt(1)===n&&h.charCodeAt(2)===C)return`\\\\?\\${h}`;return d},dirname(d){m(d,"path");const h=d.length;if(h===0)return".";let g=-1,t=0;const r=d.charCodeAt(0);if(h===1)return u(r)?d:".";if(u(r)){if(g=t=1,u(d.charCodeAt(1))){let c=2,w=c;for(;c<h&&!u(d.charCodeAt(c));)c++;if(c<h&&c!==w){for(w=c;c<h&&u(d.charCodeAt(c));)c++;if(c<h&&c!==w){for(w=c;c<h&&!u(d.charCodeAt(c));)c++;if(c===h)return d;c!==w&&(g=t=c+1)}}}}else E(r)&&d.charCodeAt(1)===n&&(g=h>2&&u(d.charCodeAt(2))?3:2,t=g);let i=-1,s=!0;for(let c=h-1;c>=t;--c)if(u(d.charCodeAt(c))){if(!s){i=c;break}}else s=!1;if(i===-1){if(g===-1)return".";i=g}return d.slice(0,i)},basename(d,h){h!==void 0&&m(h,"ext"),m(d,"path");let g=0,t=-1,r=!0,i;if(d.length>=2&&E(d.charCodeAt(0))&&d.charCodeAt(1)===n&&(g=2),h!==void 0&&h.length>0&&h.length<=d.length){if(h===d)return"";let s=h.length-1,c=-1;for(i=d.length-1;i>=g;--i){const w=d.charCodeAt(i);if(u(w)){if(!r){g=i+1;break}}else c===-1&&(r=!1,c=i+1),s>=0&&(w===h.charCodeAt(s)?--s==-1&&(t=i):(s=-1,t=c))}return g===t?t=c:t===-1&&(t=d.length),d.slice(g,t)}for(i=d.length-1;i>=g;--i)if(u(d.charCodeAt(i))){if(!r){g=i+1;break}}else t===-1&&(r=!1,t=i+1);return t===-1?"":d.slice(g,t)},extname(d){m(d,"path");let h=0,g=-1,t=0,r=-1,i=!0,s=0;d.length>=2&&d.charCodeAt(1)===n&&E(d.charCodeAt(0))&&(h=t=2);for(let c=d.length-1;c>=h;--c){const w=d.charCodeAt(c);if(u(w)){if(!i){t=c+1;break}continue}r===-1&&(i=!1,r=c+1),w===y?g===-1?g=c:s!==1&&(s=1):g!==-1&&(s=-1)}return g===-1||r===-1||s===0||s===1&&g===r-1&&g===t+1?"":d.slice(g,r)},format:S.bind(null,"\\"),parse(d){m(d,"path");const h={root:"",dir:"",base:"",ext:"",name:""};if(d.length===0)return h;const g=d.length;let t=0,r=d.charCodeAt(0);if(g===1)return u(r)?(h.root=h.dir=d,h):(h.base=h.name=d,h);if(u(r)){if(t=1,u(d.charCodeAt(1))){let A=2,a=A;for(;A<g&&!u(d.charCodeAt(A));)A++;if(A<g&&A!==a){for(a=A;A<g&&u(d.charCodeAt(A));)A++;if(A<g&&A!==a){for(a=A;A<g&&!u(d.charCodeAt(A));)A++;A===g?t=A:A!==a&&(t=A+1)}}}}else if(E(r)&&d.charCodeAt(1)===n){if(g<=2)return h.root=h.dir=d,h;if(t=2,u(d.charCodeAt(2))){if(g===3)return h.root=h.dir=d,h;t=3}}t>0&&(h.root=d.slice(0,t));let i=-1,s=t,c=-1,w=!0,p=d.length-1,P=0;for(;p>=t;--p){if(r=d.charCodeAt(p),u(r)){if(!w){s=p+1;break}continue}c===-1&&(w=!1,c=p+1),r===y?i===-1?i=p:P!==1&&(P=1):i!==-1&&(P=-1)}return c!==-1&&(i===-1||P===0||P===1&&i===c-1&&i===s+1?h.base=h.name=d.slice(s,c):(h.name=d.slice(s,i),h.base=d.slice(s,c),h.ext=d.slice(i,c))),s>0&&s!==t?h.dir=d.slice(0,s-1):h.dir=h.root,h},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...d){let h="",g=!1;for(let t=d.length-1;t>=-1&&!g;t--){const r=t>=0?d[t]:f.cwd();m(r,"path"),r.length!==0&&(h=`${r}/${h}`,g=r.charCodeAt(0)===b)}return h=v(h,!g,"/",o),g?`/${h}`:h.length>0?h:"."},normalize(d){if(m(d,"path"),d.length===0)return".";const h=d.charCodeAt(0)===b,g=d.charCodeAt(d.length-1)===b;return d=v(d,!h,"/",o),d.length===0?h?"/":g?"./":".":(g&&(d+="/"),h?`/${d}`:d)},isAbsolute(d){return m(d,"path"),d.length>0&&d.charCodeAt(0)===b},join(...d){if(d.length===0)return".";let h;for(let g=0;g<d.length;++g){const t=d[g];m(t,"path"),t.length>0&&(h===void 0?h=t:h+=`/${t}`)}return h===void 0?".":e.posix.normalize(h)},relative(d,h){if(m(d,"from"),m(h,"to"),d===h||(d=e.posix.resolve(d),h=e.posix.resolve(h),d===h))return"";const g=1,t=d.length,r=t-g,i=1,s=h.length-i,c=r<s?r:s;let w=-1,p=0;for(;p<c;p++){const A=d.charCodeAt(g+p);if(A!==h.charCodeAt(i+p))break;A===b&&(w=p)}if(p===c)if(s>c){if(h.charCodeAt(i+p)===b)return h.slice(i+p+1);if(p===0)return h.slice(i+p)}else r>c&&(d.charCodeAt(g+p)===b?w=p:p===0&&(w=0));let P="";for(p=g+w+1;p<=t;++p)(p===t||d.charCodeAt(p)===b)&&(P+=P.length===0?"..":"/..");return`${P}${h.slice(i+w)}`},toNamespacedPath(d){return d},dirname(d){if(m(d,"path"),d.length===0)return".";const h=d.charCodeAt(0)===b;let g=-1,t=!0;for(let r=d.length-1;r>=1;--r)if(d.charCodeAt(r)===b){if(!t){g=r;break}}else t=!1;return g===-1?h?"/":".":h&&g===1?"//":d.slice(0,g)},basename(d,h){h!==void 0&&m(h,"ext"),m(d,"path");let g=0,t=-1,r=!0,i;if(h!==void 0&&h.length>0&&h.length<=d.length){if(h===d)return"";let s=h.length-1,c=-1;for(i=d.length-1;i>=0;--i){const w=d.charCodeAt(i);if(w===b){if(!r){g=i+1;break}}else c===-1&&(r=!1,c=i+1),s>=0&&(w===h.charCodeAt(s)?--s==-1&&(t=i):(s=-1,t=c))}return g===t?t=c:t===-1&&(t=d.length),d.slice(g,t)}for(i=d.length-1;i>=0;--i)if(d.charCodeAt(i)===b){if(!r){g=i+1;break}}else t===-1&&(r=!1,t=i+1);return t===-1?"":d.slice(g,t)},extname(d){m(d,"path");let h=-1,g=0,t=-1,r=!0,i=0;for(let s=d.length-1;s>=0;--s){const c=d.charCodeAt(s);if(c===b){if(!r){g=s+1;break}continue}t===-1&&(r=!1,t=s+1),c===y?h===-1?h=s:i!==1&&(i=1):h!==-1&&(i=-1)}return h===-1||t===-1||i===0||i===1&&h===t-1&&h===g+1?"":d.slice(h,t)},format:S.bind(null,"/"),parse(d){m(d,"path");const h={root:"",dir:"",base:"",ext:"",name:""};if(d.length===0)return h;const g=d.charCodeAt(0)===b;let t;g?(h.root="/",t=1):t=0;let r=-1,i=0,s=-1,c=!0,w=d.length-1,p=0;for(;w>=t;--w){const P=d.charCodeAt(w);if(P===b){if(!c){i=w+1;break}continue}s===-1&&(c=!1,s=w+1),P===y?r===-1?r=w:p!==1&&(p=1):r!==-1&&(p=-1)}if(s!==-1){const P=i===0&&g?1:i;r===-1||p===0||p===1&&r===s-1&&r===i+1?h.base=h.name=d.slice(P,s):(h.name=d.slice(P,r),h.base=d.slice(P,s),h.ext=d.slice(r,s))}return i>0?h.dir=d.slice(0,i-1):g&&(h.dir="/"),h},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=f.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=f.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=f.platform==="win32"?e.win32.join:e.posix.join,e.resolve=f.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=f.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=f.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=f.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=f.platform==="win32"?e.win32.extname:e.posix.extname,e.format=f.platform==="win32"?e.win32.format:e.posix.format,e.parse=f.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=f.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=f.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=f.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(we[51],_e([0,1,21]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const R=f.globals.performance&&typeof f.globals.performance.now=="function";class D{constructor(k){this._highResolution=R&&k,this._startTime=this._now(),this._stopTime=-1}static create(k=!0){return new D(k)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?f.globals.performance.now():Date.now()}}e.StopWatch=D}),define(we[3],_e([0,1,12,49,6,76,51]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.DebounceEmitter=e.PauseableEmitter=e.AsyncEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var y;(function(d){d.None=()=>D.Disposable.None;function h(V){return(B,Y=null,L)=>{let J=!1,N;return N=V(W=>{if(!J)return N?N.dispose():J=!0,B.call(Y,W)},null,L),J&&N.dispose(),N}}d.once=h;function g(V,B){return w((Y,L=null,J)=>V(N=>Y.call(L,B(N)),null,J))}d.map=g;function t(V,B){return w((Y,L=null,J)=>V(N=>{B(N),Y.call(L,N)},null,J))}d.forEach=t;function r(V,B){return w((Y,L=null,J)=>V(N=>B(N)&&Y.call(L,N),null,J))}d.filter=r;function i(V){return V}d.signal=i;function s(...V){return(B,Y=null,L)=>D.combinedDisposable(...V.map(J=>J(N=>B.call(Y,N),null,L)))}d.any=s;function c(V,B,Y){let L=Y;return g(V,J=>(L=B(L,J),L))}d.reduce=c;function w(V){let B;const Y=new l({onFirstListenerAdd(){B=V(Y.fire,Y)},onLastListenerRemove(){B.dispose()}});return Y.event}function p(V,B,Y=100,L=!1,J){let N,W,Q,G=0;const ue=new l({leakWarningThreshold:J,onFirstListenerAdd(){N=V(ke=>{G++,W=B(W,ke),L&&!Q&&(ue.fire(W),W=void 0),clearTimeout(Q),Q=setTimeout(()=>{const Re=W;W=void 0,Q=void 0,(!L||G>1)&&ue.fire(Re),G=0},Y)})},onLastListenerRemove(){N.dispose()}});return ue.event}d.debounce=p;function P(V,B=(Y,L)=>Y===L){let Y=!0,L;return r(V,J=>{const N=Y||!B(J,L);return Y=!1,L=J,N})}d.latch=P;function A(V,B){return[d.filter(V,B),d.filter(V,Y=>!B(Y))]}d.split=A;function a(V,B=!1,Y=[]){let L=Y.slice(),J=V(Q=>{L?L.push(Q):W.fire(Q)});const N=()=>{L&&L.forEach(Q=>W.fire(Q)),L=null},W=new l({onFirstListenerAdd(){J||(J=V(Q=>W.fire(Q)))},onFirstListenerDidAdd(){L&&(B?setTimeout(N):N())},onLastListenerRemove(){J&&J.dispose(),J=null}});return W.event}d.buffer=a;class T{constructor(B){this.event=B}map(B){return new T(g(this.event,B))}forEach(B){return new T(t(this.event,B))}filter(B){return new T(r(this.event,B))}reduce(B,Y){return new T(c(this.event,B,Y))}latch(){return new T(P(this.event))}debounce(B,Y=100,L=!1,J){return new T(p(this.event,B,Y,L,J))}on(B,Y,L){return this.event(B,Y,L)}once(B,Y,L){return h(this.event)(B,Y,L)}}function F(V){return new T(V)}d.chain=F;function H(V,B,Y=L=>L){const L=(...Q)=>W.fire(Y(...Q)),J=()=>V.on(B,L),N=()=>V.removeListener(B,L),W=new l({onFirstListenerAdd:J,onLastListenerRemove:N});return W.event}d.fromNodeEventEmitter=H;function $(V,B,Y=L=>L){const L=(...Q)=>W.fire(Y(...Q)),J=()=>V.addEventListener(B,L),N=()=>V.removeEventListener(B,L),W=new l({onFirstListenerAdd:J,onLastListenerRemove:N});return W.event}d.fromDOMEventEmitter=$;function Z(V){return new Promise(B=>h(V)(B))}d.toPromise=Z})(y=e.Event||(e.Event={}));class b{constructor(h){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${h}_${b._idPool++}`}start(h){this._stopWatch=new k.StopWatch(!0),this._listenerCount=h}stop(){if(this._stopWatch){const h=this._stopWatch.elapsed();this._elapsedOverall+=h,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${h.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}b._idPool=0;let C=-1;function n(d){const h=C;return C=d,{dispose(){C=h}}}e.setGlobalLeakWarningThreshold=n;class I{constructor(h,g=Math.random().toString(18).slice(2,5)){this.customThreshold=h,this.name=g,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(h){let g=C;if(typeof this.customThreshold=="number"&&(g=this.customThreshold),g<=0||h<g)return;this._stacks||(this._stacks=new Map);const t=new Error().stack.split(`
`).slice(3).join(`
`),r=this._stacks.get(t)||0;if(this._stacks.set(t,r+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=g*.5;let i,s=0;for(const[c,w]of this._stacks)(!i||s<w)&&(i=c,s=w);console.warn(`[${this.name}] potential listener LEAK detected, having ${h} listeners already. MOST frequent listener (${s}):`),console.warn(i)}return()=>{const i=this._stacks.get(t)||0;this._stacks.set(t,i-1)}}}class l{constructor(h){this._disposed=!1,this._options=h,this._leakageMon=C>0?new I(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new b(this._options._profName):void 0}get event(){return this._event||(this._event=(h,g,t)=>{this._listeners||(this._listeners=new _.LinkedList);const r=this._listeners.isEmpty();r&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const i=this._listeners.push(g?[h,g]:h);r&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,h,g);const s=this._leakageMon?.check(this._listeners.size);let c;return c={dispose:()=>{s&&s(),c.dispose=l._noop,this._disposed||(i(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},t instanceof D.DisposableStore?t.add(c):Array.isArray(t)&&t.push(c),c}),this._event}fire(h){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new _.LinkedList);for(let g of this._listeners)this._deliveryQueue.push([g,h]);for(this._perfMon?.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[g,t]=this._deliveryQueue.shift();try{typeof g=="function"?g.call(void 0,t):g[0].call(g[1],t)}catch(r){f.onUnexpectedError(r)}}this._perfMon?.stop()}}dispose(){this._disposed||(this._disposed=!0,this._listeners?.clear(),this._deliveryQueue?.clear(),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose())}}e.Emitter=l,l._noop=function(){};class m extends l{async fireAsync(h,g,t){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new _.LinkedList);for(const r of this._listeners)this._asyncDeliveryQueue.push([r,h]);for(;this._asyncDeliveryQueue.size>0&&!g.isCancellationRequested;){const[r,i]=this._asyncDeliveryQueue.shift(),s=[],c={...i,waitUntil:w=>{if(Object.isFrozen(s))throw new Error("waitUntil can NOT be called asynchronous");t&&(w=t(w,typeof r=="function"?r:r[0])),s.push(w)}};try{typeof r=="function"?r.call(void 0,c):r[0].call(r[1],c)}catch(w){f.onUnexpectedError(w);continue}Object.freeze(s),await Promise.allSettled(s).then(w=>{for(const p of w)p.status==="rejected"&&f.onUnexpectedError(p.reason)})}}}}e.AsyncEmitter=m;class u extends l{constructor(h){super(h);this._isPaused=0,this._eventQueue=new _.LinkedList,this._mergeFn=h?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const h=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(h))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(h){this._listeners&&(this._isPaused!==0?this._eventQueue.push(h):super.fire(h))}}e.PauseableEmitter=u;class o extends u{constructor(h){super(h);this._delay=h.delay??100}fire(h){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(h)}}e.DebounceEmitter=o;class E{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new l({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(h){const g={event:h,listener:null};this.events.push(g),this.hasListeners&&this.hook(g);const t=()=>{this.hasListeners&&this.unhook(g);const r=this.events.indexOf(g);this.events.splice(r,1)};return D.toDisposable(R.once(t))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(h=>this.hook(h))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(h=>this.unhook(h))}hook(h){h.listener=h.event(g=>this.emitter.fire(g))}unhook(h){h.listener&&h.listener.dispose(),h.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=E;class v{constructor(){this.buffers=[]}wrapEvent(h){return(g,t,r)=>h(i=>{const s=this.buffers[this.buffers.length-1];s?s.push(()=>g.call(t,i)):g.call(t,i)},void 0,r)}bufferEvents(h){const g=[];this.buffers.push(g);const t=h();return this.buffers.pop(),g.forEach(r=>r()),t}}e.EventBufferer=v;class S{constructor(){this.listening=!1,this.inputEvent=y.None,this.inputEventListener=D.Disposable.None,this.emitter=new l({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(h){this.inputEvent=h,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=h(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=S}),define(we[18],_e([0,1,3]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const R=Object.freeze(function(y,b){const C=setTimeout(y.bind(b),0);return{dispose(){clearTimeout(C)}}});var D;(function(y){function b(C){return C===y.None||C===y.Cancelled||C instanceof _?!0:!C||typeof C!="object"?!1:typeof C.isCancellationRequested=="boolean"&&typeof C.onCancellationRequested=="function"}y.isCancellationToken=b,y.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:f.Event.None}),y.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:R})})(D=e.CancellationToken||(e.CancellationToken={}));class _{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?R:(this._emitter||(this._emitter=new f.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class k{constructor(b){this._token=void 0,this._parentListener=void 0,this._parentListener=b&&b.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new _),this._token}cancel(){this._token?this._token instanceof _&&this._token.cancel():this._token=D.Cancelled}dispose(b=!1){b&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof _&&this._token.dispose():this._token=D.None}}e.CancellationTokenSource=k}),define(we[78],_e([0,1,3]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.getCodiconAriaLabel=e.registerCodicon=e.iconRegistry=void 0;class R{constructor(){this._icons=new Map,this._onDidRegister=new f.Emitter}add(I){const l=this._icons.get(I.id);l?I.description?l.description=I.description:console.error(`Duplicate registration of codicon ${I.id}`):(this._icons.set(I.id,I),this._onDidRegister.fire(I))}get(I){return this._icons.get(I)}get all(){return this._icons.values()}get onDidRegister(){return this._onDidRegister.event}}const D=new R;e.iconRegistry=D;function _(n,I){return new y(n,I)}e.registerCodicon=_;function k(n){return n?n.replace(/\$\((.*?)\)/g,(I,l)=>` ${l} `).trim():""}e.getCodiconAriaLabel=k;class y{constructor(I,l,m){this.id=I,this.definition=l,this.description=m,D.add(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}}e.Codicon=y;function b(n,I){const l=["codicon","codicon-"+n];return I&&l.push("codicon-modifier-"+I),l}e.getClassNamesArray=b;var C;(function(n){n.iconNameSegment="[A-Za-z0-9]+",n.iconNameExpression="[A-Za-z0-9\\-]+",n.iconModifierExpression="~[A-Za-z]+";const I=new RegExp(`^(${n.iconNameExpression})(${n.iconModifierExpression})?$`);function l(o){if(o instanceof y)return["codicon","codicon-"+o.id];const E=I.exec(o.id);if(!E)return l(y.error);let[,v,S]=E;const d=["codicon","codicon-"+v];return S&&d.push("codicon-modifier-"+S.substr(1)),d}n.asClassNameArray=l;function m(o){return l(o).join(" ")}n.asClassName=m;function u(o){return"."+l(o).join(".")}n.asCSSSelector=u})(C=e.CSSIcon||(e.CSSIcon={})),function(n){n.add=new n("add",{fontCharacter:"\\ea60"}),n.plus=new n("plus",{fontCharacter:"\\ea60"}),n.gistNew=new n("gist-new",{fontCharacter:"\\ea60"}),n.repoCreate=new n("repo-create",{fontCharacter:"\\ea60"}),n.lightbulb=new n("lightbulb",{fontCharacter:"\\ea61"}),n.lightBulb=new n("light-bulb",{fontCharacter:"\\ea61"}),n.repo=new n("repo",{fontCharacter:"\\ea62"}),n.repoDelete=new n("repo-delete",{fontCharacter:"\\ea62"}),n.gistFork=new n("gist-fork",{fontCharacter:"\\ea63"}),n.repoForked=new n("repo-forked",{fontCharacter:"\\ea63"}),n.gitPullRequest=new n("git-pull-request",{fontCharacter:"\\ea64"}),n.gitPullRequestAbandoned=new n("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),n.recordKeys=new n("record-keys",{fontCharacter:"\\ea65"}),n.keyboard=new n("keyboard",{fontCharacter:"\\ea65"}),n.tag=new n("tag",{fontCharacter:"\\ea66"}),n.tagAdd=new n("tag-add",{fontCharacter:"\\ea66"}),n.tagRemove=new n("tag-remove",{fontCharacter:"\\ea66"}),n.person=new n("person",{fontCharacter:"\\ea67"}),n.personFollow=new n("person-follow",{fontCharacter:"\\ea67"}),n.personOutline=new n("person-outline",{fontCharacter:"\\ea67"}),n.personFilled=new n("person-filled",{fontCharacter:"\\ea67"}),n.gitBranch=new n("git-branch",{fontCharacter:"\\ea68"}),n.gitBranchCreate=new n("git-branch-create",{fontCharacter:"\\ea68"}),n.gitBranchDelete=new n("git-branch-delete",{fontCharacter:"\\ea68"}),n.sourceControl=new n("source-control",{fontCharacter:"\\ea68"}),n.mirror=new n("mirror",{fontCharacter:"\\ea69"}),n.mirrorPublic=new n("mirror-public",{fontCharacter:"\\ea69"}),n.star=new n("star",{fontCharacter:"\\ea6a"}),n.starAdd=new n("star-add",{fontCharacter:"\\ea6a"}),n.starDelete=new n("star-delete",{fontCharacter:"\\ea6a"}),n.starEmpty=new n("star-empty",{fontCharacter:"\\ea6a"}),n.comment=new n("comment",{fontCharacter:"\\ea6b"}),n.commentAdd=new n("comment-add",{fontCharacter:"\\ea6b"}),n.alert=new n("alert",{fontCharacter:"\\ea6c"}),n.warning=new n("warning",{fontCharacter:"\\ea6c"}),n.search=new n("search",{fontCharacter:"\\ea6d"}),n.searchSave=new n("search-save",{fontCharacter:"\\ea6d"}),n.logOut=new n("log-out",{fontCharacter:"\\ea6e"}),n.signOut=new n("sign-out",{fontCharacter:"\\ea6e"}),n.logIn=new n("log-in",{fontCharacter:"\\ea6f"}),n.signIn=new n("sign-in",{fontCharacter:"\\ea6f"}),n.eye=new n("eye",{fontCharacter:"\\ea70"}),n.eyeUnwatch=new n("eye-unwatch",{fontCharacter:"\\ea70"}),n.eyeWatch=new n("eye-watch",{fontCharacter:"\\ea70"}),n.circleFilled=new n("circle-filled",{fontCharacter:"\\ea71"}),n.primitiveDot=new n("primitive-dot",{fontCharacter:"\\ea71"}),n.closeDirty=new n("close-dirty",{fontCharacter:"\\ea71"}),n.debugBreakpoint=new n("debug-breakpoint",{fontCharacter:"\\ea71"}),n.debugBreakpointDisabled=new n("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),n.debugHint=new n("debug-hint",{fontCharacter:"\\ea71"}),n.primitiveSquare=new n("primitive-square",{fontCharacter:"\\ea72"}),n.edit=new n("edit",{fontCharacter:"\\ea73"}),n.pencil=new n("pencil",{fontCharacter:"\\ea73"}),n.info=new n("info",{fontCharacter:"\\ea74"}),n.issueOpened=new n("issue-opened",{fontCharacter:"\\ea74"}),n.gistPrivate=new n("gist-private",{fontCharacter:"\\ea75"}),n.gitForkPrivate=new n("git-fork-private",{fontCharacter:"\\ea75"}),n.lock=new n("lock",{fontCharacter:"\\ea75"}),n.mirrorPrivate=new n("mirror-private",{fontCharacter:"\\ea75"}),n.close=new n("close",{fontCharacter:"\\ea76"}),n.removeClose=new n("remove-close",{fontCharacter:"\\ea76"}),n.x=new n("x",{fontCharacter:"\\ea76"}),n.repoSync=new n("repo-sync",{fontCharacter:"\\ea77"}),n.sync=new n("sync",{fontCharacter:"\\ea77"}),n.clone=new n("clone",{fontCharacter:"\\ea78"}),n.desktopDownload=new n("desktop-download",{fontCharacter:"\\ea78"}),n.beaker=new n("beaker",{fontCharacter:"\\ea79"}),n.microscope=new n("microscope",{fontCharacter:"\\ea79"}),n.vm=new n("vm",{fontCharacter:"\\ea7a"}),n.deviceDesktop=new n("device-desktop",{fontCharacter:"\\ea7a"}),n.file=new n("file",{fontCharacter:"\\ea7b"}),n.fileText=new n("file-text",{fontCharacter:"\\ea7b"}),n.more=new n("more",{fontCharacter:"\\ea7c"}),n.ellipsis=new n("ellipsis",{fontCharacter:"\\ea7c"}),n.kebabHorizontal=new n("kebab-horizontal",{fontCharacter:"\\ea7c"}),n.mailReply=new n("mail-reply",{fontCharacter:"\\ea7d"}),n.reply=new n("reply",{fontCharacter:"\\ea7d"}),n.organization=new n("organization",{fontCharacter:"\\ea7e"}),n.organizationFilled=new n("organization-filled",{fontCharacter:"\\ea7e"}),n.organizationOutline=new n("organization-outline",{fontCharacter:"\\ea7e"}),n.newFile=new n("new-file",{fontCharacter:"\\ea7f"}),n.fileAdd=new n("file-add",{fontCharacter:"\\ea7f"}),n.newFolder=new n("new-folder",{fontCharacter:"\\ea80"}),n.fileDirectoryCreate=new n("file-directory-create",{fontCharacter:"\\ea80"}),n.trash=new n("trash",{fontCharacter:"\\ea81"}),n.trashcan=new n("trashcan",{fontCharacter:"\\ea81"}),n.history=new n("history",{fontCharacter:"\\ea82"}),n.clock=new n("clock",{fontCharacter:"\\ea82"}),n.folder=new n("folder",{fontCharacter:"\\ea83"}),n.fileDirectory=new n("file-directory",{fontCharacter:"\\ea83"}),n.symbolFolder=new n("symbol-folder",{fontCharacter:"\\ea83"}),n.logoGithub=new n("logo-github",{fontCharacter:"\\ea84"}),n.markGithub=new n("mark-github",{fontCharacter:"\\ea84"}),n.github=new n("github",{fontCharacter:"\\ea84"}),n.terminal=new n("terminal",{fontCharacter:"\\ea85"}),n.console=new n("console",{fontCharacter:"\\ea85"}),n.repl=new n("repl",{fontCharacter:"\\ea85"}),n.zap=new n("zap",{fontCharacter:"\\ea86"}),n.symbolEvent=new n("symbol-event",{fontCharacter:"\\ea86"}),n.error=new n("error",{fontCharacter:"\\ea87"}),n.stop=new n("stop",{fontCharacter:"\\ea87"}),n.variable=new n("variable",{fontCharacter:"\\ea88"}),n.symbolVariable=new n("symbol-variable",{fontCharacter:"\\ea88"}),n.array=new n("array",{fontCharacter:"\\ea8a"}),n.symbolArray=new n("symbol-array",{fontCharacter:"\\ea8a"}),n.symbolModule=new n("symbol-module",{fontCharacter:"\\ea8b"}),n.symbolPackage=new n("symbol-package",{fontCharacter:"\\ea8b"}),n.symbolNamespace=new n("symbol-namespace",{fontCharacter:"\\ea8b"}),n.symbolObject=new n("symbol-object",{fontCharacter:"\\ea8b"}),n.symbolMethod=new n("symbol-method",{fontCharacter:"\\ea8c"}),n.symbolFunction=new n("symbol-function",{fontCharacter:"\\ea8c"}),n.symbolConstructor=new n("symbol-constructor",{fontCharacter:"\\ea8c"}),n.symbolBoolean=new n("symbol-boolean",{fontCharacter:"\\ea8f"}),n.symbolNull=new n("symbol-null",{fontCharacter:"\\ea8f"}),n.symbolNumeric=new n("symbol-numeric",{fontCharacter:"\\ea90"}),n.symbolNumber=new n("symbol-number",{fontCharacter:"\\ea90"}),n.symbolStructure=new n("symbol-structure",{fontCharacter:"\\ea91"}),n.symbolStruct=new n("symbol-struct",{fontCharacter:"\\ea91"}),n.symbolParameter=new n("symbol-parameter",{fontCharacter:"\\ea92"}),n.symbolTypeParameter=new n("symbol-type-parameter",{fontCharacter:"\\ea92"}),n.symbolKey=new n("symbol-key",{fontCharacter:"\\ea93"}),n.symbolText=new n("symbol-text",{fontCharacter:"\\ea93"}),n.symbolReference=new n("symbol-reference",{fontCharacter:"\\ea94"}),n.goToFile=new n("go-to-file",{fontCharacter:"\\ea94"}),n.symbolEnum=new n("symbol-enum",{fontCharacter:"\\ea95"}),n.symbolValue=new n("symbol-value",{fontCharacter:"\\ea95"}),n.symbolRuler=new n("symbol-ruler",{fontCharacter:"\\ea96"}),n.symbolUnit=new n("symbol-unit",{fontCharacter:"\\ea96"}),n.activateBreakpoints=new n("activate-breakpoints",{fontCharacter:"\\ea97"}),n.archive=new n("archive",{fontCharacter:"\\ea98"}),n.arrowBoth=new n("arrow-both",{fontCharacter:"\\ea99"}),n.arrowDown=new n("arrow-down",{fontCharacter:"\\ea9a"}),n.arrowLeft=new n("arrow-left",{fontCharacter:"\\ea9b"}),n.arrowRight=new n("arrow-right",{fontCharacter:"\\ea9c"}),n.arrowSmallDown=new n("arrow-small-down",{fontCharacter:"\\ea9d"}),n.arrowSmallLeft=new n("arrow-small-left",{fontCharacter:"\\ea9e"}),n.arrowSmallRight=new n("arrow-small-right",{fontCharacter:"\\ea9f"}),n.arrowSmallUp=new n("arrow-small-up",{fontCharacter:"\\eaa0"}),n.arrowUp=new n("arrow-up",{fontCharacter:"\\eaa1"}),n.bell=new n("bell",{fontCharacter:"\\eaa2"}),n.bold=new n("bold",{fontCharacter:"\\eaa3"}),n.book=new n("book",{fontCharacter:"\\eaa4"}),n.bookmark=new n("bookmark",{fontCharacter:"\\eaa5"}),n.debugBreakpointConditionalUnverified=new n("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),n.debugBreakpointConditional=new n("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),n.debugBreakpointConditionalDisabled=new n("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),n.debugBreakpointDataUnverified=new n("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),n.debugBreakpointData=new n("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),n.debugBreakpointDataDisabled=new n("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),n.debugBreakpointLogUnverified=new n("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),n.debugBreakpointLog=new n("debug-breakpoint-log",{fontCharacter:"\\eaab"}),n.debugBreakpointLogDisabled=new n("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),n.briefcase=new n("briefcase",{fontCharacter:"\\eaac"}),n.broadcast=new n("broadcast",{fontCharacter:"\\eaad"}),n.browser=new n("browser",{fontCharacter:"\\eaae"}),n.bug=new n("bug",{fontCharacter:"\\eaaf"}),n.calendar=new n("calendar",{fontCharacter:"\\eab0"}),n.caseSensitive=new n("case-sensitive",{fontCharacter:"\\eab1"}),n.check=new n("check",{fontCharacter:"\\eab2"}),n.checklist=new n("checklist",{fontCharacter:"\\eab3"}),n.chevronDown=new n("chevron-down",{fontCharacter:"\\eab4"}),n.chevronLeft=new n("chevron-left",{fontCharacter:"\\eab5"}),n.chevronRight=new n("chevron-right",{fontCharacter:"\\eab6"}),n.chevronUp=new n("chevron-up",{fontCharacter:"\\eab7"}),n.chromeClose=new n("chrome-close",{fontCharacter:"\\eab8"}),n.chromeMaximize=new n("chrome-maximize",{fontCharacter:"\\eab9"}),n.chromeMinimize=new n("chrome-minimize",{fontCharacter:"\\eaba"}),n.chromeRestore=new n("chrome-restore",{fontCharacter:"\\eabb"}),n.circleOutline=new n("circle-outline",{fontCharacter:"\\eabc"}),n.debugBreakpointUnverified=new n("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),n.circleSlash=new n("circle-slash",{fontCharacter:"\\eabd"}),n.circuitBoard=new n("circuit-board",{fontCharacter:"\\eabe"}),n.clearAll=new n("clear-all",{fontCharacter:"\\eabf"}),n.clippy=new n("clippy",{fontCharacter:"\\eac0"}),n.closeAll=new n("close-all",{fontCharacter:"\\eac1"}),n.cloudDownload=new n("cloud-download",{fontCharacter:"\\eac2"}),n.cloudUpload=new n("cloud-upload",{fontCharacter:"\\eac3"}),n.code=new n("code",{fontCharacter:"\\eac4"}),n.collapseAll=new n("collapse-all",{fontCharacter:"\\eac5"}),n.colorMode=new n("color-mode",{fontCharacter:"\\eac6"}),n.commentDiscussion=new n("comment-discussion",{fontCharacter:"\\eac7"}),n.compareChanges=new n("compare-changes",{fontCharacter:"\\eafd"}),n.creditCard=new n("credit-card",{fontCharacter:"\\eac9"}),n.dash=new n("dash",{fontCharacter:"\\eacc"}),n.dashboard=new n("dashboard",{fontCharacter:"\\eacd"}),n.database=new n("database",{fontCharacter:"\\eace"}),n.debugContinue=new n("debug-continue",{fontCharacter:"\\eacf"}),n.debugDisconnect=new n("debug-disconnect",{fontCharacter:"\\ead0"}),n.debugPause=new n("debug-pause",{fontCharacter:"\\ead1"}),n.debugRestart=new n("debug-restart",{fontCharacter:"\\ead2"}),n.debugStart=new n("debug-start",{fontCharacter:"\\ead3"}),n.debugStepInto=new n("debug-step-into",{fontCharacter:"\\ead4"}),n.debugStepOut=new n("debug-step-out",{fontCharacter:"\\ead5"}),n.debugStepOver=new n("debug-step-over",{fontCharacter:"\\ead6"}),n.debugStop=new n("debug-stop",{fontCharacter:"\\ead7"}),n.debug=new n("debug",{fontCharacter:"\\ead8"}),n.deviceCameraVideo=new n("device-camera-video",{fontCharacter:"\\ead9"}),n.deviceCamera=new n("device-camera",{fontCharacter:"\\eada"}),n.deviceMobile=new n("device-mobile",{fontCharacter:"\\eadb"}),n.diffAdded=new n("diff-added",{fontCharacter:"\\eadc"}),n.diffIgnored=new n("diff-ignored",{fontCharacter:"\\eadd"}),n.diffModified=new n("diff-modified",{fontCharacter:"\\eade"}),n.diffRemoved=new n("diff-removed",{fontCharacter:"\\eadf"}),n.diffRenamed=new n("diff-renamed",{fontCharacter:"\\eae0"}),n.diff=new n("diff",{fontCharacter:"\\eae1"}),n.discard=new n("discard",{fontCharacter:"\\eae2"}),n.editorLayout=new n("editor-layout",{fontCharacter:"\\eae3"}),n.emptyWindow=new n("empty-window",{fontCharacter:"\\eae4"}),n.exclude=new n("exclude",{fontCharacter:"\\eae5"}),n.extensions=new n("extensions",{fontCharacter:"\\eae6"}),n.eyeClosed=new n("eye-closed",{fontCharacter:"\\eae7"}),n.fileBinary=new n("file-binary",{fontCharacter:"\\eae8"}),n.fileCode=new n("file-code",{fontCharacter:"\\eae9"}),n.fileMedia=new n("file-media",{fontCharacter:"\\eaea"}),n.filePdf=new n("file-pdf",{fontCharacter:"\\eaeb"}),n.fileSubmodule=new n("file-submodule",{fontCharacter:"\\eaec"}),n.fileSymlinkDirectory=new n("file-symlink-directory",{fontCharacter:"\\eaed"}),n.fileSymlinkFile=new n("file-symlink-file",{fontCharacter:"\\eaee"}),n.fileZip=new n("file-zip",{fontCharacter:"\\eaef"}),n.files=new n("files",{fontCharacter:"\\eaf0"}),n.filter=new n("filter",{fontCharacter:"\\eaf1"}),n.flame=new n("flame",{fontCharacter:"\\eaf2"}),n.foldDown=new n("fold-down",{fontCharacter:"\\eaf3"}),n.foldUp=new n("fold-up",{fontCharacter:"\\eaf4"}),n.fold=new n("fold",{fontCharacter:"\\eaf5"}),n.folderActive=new n("folder-active",{fontCharacter:"\\eaf6"}),n.folderOpened=new n("folder-opened",{fontCharacter:"\\eaf7"}),n.gear=new n("gear",{fontCharacter:"\\eaf8"}),n.gift=new n("gift",{fontCharacter:"\\eaf9"}),n.gistSecret=new n("gist-secret",{fontCharacter:"\\eafa"}),n.gist=new n("gist",{fontCharacter:"\\eafb"}),n.gitCommit=new n("git-commit",{fontCharacter:"\\eafc"}),n.gitCompare=new n("git-compare",{fontCharacter:"\\eafd"}),n.gitMerge=new n("git-merge",{fontCharacter:"\\eafe"}),n.githubAction=new n("github-action",{fontCharacter:"\\eaff"}),n.githubAlt=new n("github-alt",{fontCharacter:"\\eb00"}),n.globe=new n("globe",{fontCharacter:"\\eb01"}),n.grabber=new n("grabber",{fontCharacter:"\\eb02"}),n.graph=new n("graph",{fontCharacter:"\\eb03"}),n.gripper=new n("gripper",{fontCharacter:"\\eb04"}),n.heart=new n("heart",{fontCharacter:"\\eb05"}),n.home=new n("home",{fontCharacter:"\\eb06"}),n.horizontalRule=new n("horizontal-rule",{fontCharacter:"\\eb07"}),n.hubot=new n("hubot",{fontCharacter:"\\eb08"}),n.inbox=new n("inbox",{fontCharacter:"\\eb09"}),n.issueClosed=new n("issue-closed",{fontCharacter:"\\eb0a"}),n.issueReopened=new n("issue-reopened",{fontCharacter:"\\eb0b"}),n.issues=new n("issues",{fontCharacter:"\\eb0c"}),n.italic=new n("italic",{fontCharacter:"\\eb0d"}),n.jersey=new n("jersey",{fontCharacter:"\\eb0e"}),n.json=new n("json",{fontCharacter:"\\eb0f"}),n.kebabVertical=new n("kebab-vertical",{fontCharacter:"\\eb10"}),n.key=new n("key",{fontCharacter:"\\eb11"}),n.law=new n("law",{fontCharacter:"\\eb12"}),n.lightbulbAutofix=new n("lightbulb-autofix",{fontCharacter:"\\eb13"}),n.linkExternal=new n("link-external",{fontCharacter:"\\eb14"}),n.link=new n("link",{fontCharacter:"\\eb15"}),n.listOrdered=new n("list-ordered",{fontCharacter:"\\eb16"}),n.listUnordered=new n("list-unordered",{fontCharacter:"\\eb17"}),n.liveShare=new n("live-share",{fontCharacter:"\\eb18"}),n.loading=new n("loading",{fontCharacter:"\\eb19"}),n.location=new n("location",{fontCharacter:"\\eb1a"}),n.mailRead=new n("mail-read",{fontCharacter:"\\eb1b"}),n.mail=new n("mail",{fontCharacter:"\\eb1c"}),n.markdown=new n("markdown",{fontCharacter:"\\eb1d"}),n.megaphone=new n("megaphone",{fontCharacter:"\\eb1e"}),n.mention=new n("mention",{fontCharacter:"\\eb1f"}),n.milestone=new n("milestone",{fontCharacter:"\\eb20"}),n.mortarBoard=new n("mortar-board",{fontCharacter:"\\eb21"}),n.move=new n("move",{fontCharacter:"\\eb22"}),n.multipleWindows=new n("multiple-windows",{fontCharacter:"\\eb23"}),n.mute=new n("mute",{fontCharacter:"\\eb24"}),n.noNewline=new n("no-newline",{fontCharacter:"\\eb25"}),n.note=new n("note",{fontCharacter:"\\eb26"}),n.octoface=new n("octoface",{fontCharacter:"\\eb27"}),n.openPreview=new n("open-preview",{fontCharacter:"\\eb28"}),n.package_=new n("package",{fontCharacter:"\\eb29"}),n.paintcan=new n("paintcan",{fontCharacter:"\\eb2a"}),n.pin=new n("pin",{fontCharacter:"\\eb2b"}),n.play=new n("play",{fontCharacter:"\\eb2c"}),n.run=new n("run",{fontCharacter:"\\eb2c"}),n.plug=new n("plug",{fontCharacter:"\\eb2d"}),n.preserveCase=new n("preserve-case",{fontCharacter:"\\eb2e"}),n.preview=new n("preview",{fontCharacter:"\\eb2f"}),n.project=new n("project",{fontCharacter:"\\eb30"}),n.pulse=new n("pulse",{fontCharacter:"\\eb31"}),n.question=new n("question",{fontCharacter:"\\eb32"}),n.quote=new n("quote",{fontCharacter:"\\eb33"}),n.radioTower=new n("radio-tower",{fontCharacter:"\\eb34"}),n.reactions=new n("reactions",{fontCharacter:"\\eb35"}),n.references=new n("references",{fontCharacter:"\\eb36"}),n.refresh=new n("refresh",{fontCharacter:"\\eb37"}),n.regex=new n("regex",{fontCharacter:"\\eb38"}),n.remoteExplorer=new n("remote-explorer",{fontCharacter:"\\eb39"}),n.remote=new n("remote",{fontCharacter:"\\eb3a"}),n.remove=new n("remove",{fontCharacter:"\\eb3b"}),n.replaceAll=new n("replace-all",{fontCharacter:"\\eb3c"}),n.replace=new n("replace",{fontCharacter:"\\eb3d"}),n.repoClone=new n("repo-clone",{fontCharacter:"\\eb3e"}),n.repoForcePush=new n("repo-force-push",{fontCharacter:"\\eb3f"}),n.repoPull=new n("repo-pull",{fontCharacter:"\\eb40"}),n.repoPush=new n("repo-push",{fontCharacter:"\\eb41"}),n.report=new n("report",{fontCharacter:"\\eb42"}),n.requestChanges=new n("request-changes",{fontCharacter:"\\eb43"}),n.rocket=new n("rocket",{fontCharacter:"\\eb44"}),n.rootFolderOpened=new n("root-folder-opened",{fontCharacter:"\\eb45"}),n.rootFolder=new n("root-folder",{fontCharacter:"\\eb46"}),n.rss=new n("rss",{fontCharacter:"\\eb47"}),n.ruby=new n("ruby",{fontCharacter:"\\eb48"}),n.saveAll=new n("save-all",{fontCharacter:"\\eb49"}),n.saveAs=new n("save-as",{fontCharacter:"\\eb4a"}),n.save=new n("save",{fontCharacter:"\\eb4b"}),n.screenFull=new n("screen-full",{fontCharacter:"\\eb4c"}),n.screenNormal=new n("screen-normal",{fontCharacter:"\\eb4d"}),n.searchStop=new n("search-stop",{fontCharacter:"\\eb4e"}),n.server=new n("server",{fontCharacter:"\\eb50"}),n.settingsGear=new n("settings-gear",{fontCharacter:"\\eb51"}),n.settings=new n("settings",{fontCharacter:"\\eb52"}),n.shield=new n("shield",{fontCharacter:"\\eb53"}),n.smiley=new n("smiley",{fontCharacter:"\\eb54"}),n.sortPrecedence=new n("sort-precedence",{fontCharacter:"\\eb55"}),n.splitHorizontal=new n("split-horizontal",{fontCharacter:"\\eb56"}),n.splitVertical=new n("split-vertical",{fontCharacter:"\\eb57"}),n.squirrel=new n("squirrel",{fontCharacter:"\\eb58"}),n.starFull=new n("star-full",{fontCharacter:"\\eb59"}),n.starHalf=new n("star-half",{fontCharacter:"\\eb5a"}),n.symbolClass=new n("symbol-class",{fontCharacter:"\\eb5b"}),n.symbolColor=new n("symbol-color",{fontCharacter:"\\eb5c"}),n.symbolConstant=new n("symbol-constant",{fontCharacter:"\\eb5d"}),n.symbolEnumMember=new n("symbol-enum-member",{fontCharacter:"\\eb5e"}),n.symbolField=new n("symbol-field",{fontCharacter:"\\eb5f"}),n.symbolFile=new n("symbol-file",{fontCharacter:"\\eb60"}),n.symbolInterface=new n("symbol-interface",{fontCharacter:"\\eb61"}),n.symbolKeyword=new n("symbol-keyword",{fontCharacter:"\\eb62"}),n.symbolMisc=new n("symbol-misc",{fontCharacter:"\\eb63"}),n.symbolOperator=new n("symbol-operator",{fontCharacter:"\\eb64"}),n.symbolProperty=new n("symbol-property",{fontCharacter:"\\eb65"}),n.wrench=new n("wrench",{fontCharacter:"\\eb65"}),n.wrenchSubaction=new n("wrench-subaction",{fontCharacter:"\\eb65"}),n.symbolSnippet=new n("symbol-snippet",{fontCharacter:"\\eb66"}),n.tasklist=new n("tasklist",{fontCharacter:"\\eb67"}),n.telescope=new n("telescope",{fontCharacter:"\\eb68"}),n.textSize=new n("text-size",{fontCharacter:"\\eb69"}),n.threeBars=new n("three-bars",{fontCharacter:"\\eb6a"}),n.thumbsdown=new n("thumbsdown",{fontCharacter:"\\eb6b"}),n.thumbsup=new n("thumbsup",{fontCharacter:"\\eb6c"}),n.tools=new n("tools",{fontCharacter:"\\eb6d"}),n.triangleDown=new n("triangle-down",{fontCharacter:"\\eb6e"}),n.triangleLeft=new n("triangle-left",{fontCharacter:"\\eb6f"}),n.triangleRight=new n("triangle-right",{fontCharacter:"\\eb70"}),n.triangleUp=new n("triangle-up",{fontCharacter:"\\eb71"}),n.twitter=new n("twitter",{fontCharacter:"\\eb72"}),n.unfold=new n("unfold",{fontCharacter:"\\eb73"}),n.unlock=new n("unlock",{fontCharacter:"\\eb74"}),n.unmute=new n("unmute",{fontCharacter:"\\eb75"}),n.unverified=new n("unverified",{fontCharacter:"\\eb76"}),n.verified=new n("verified",{fontCharacter:"\\eb77"}),n.versions=new n("versions",{fontCharacter:"\\eb78"}),n.vmActive=new n("vm-active",{fontCharacter:"\\eb79"}),n.vmOutline=new n("vm-outline",{fontCharacter:"\\eb7a"}),n.vmRunning=new n("vm-running",{fontCharacter:"\\eb7b"}),n.watch=new n("watch",{fontCharacter:"\\eb7c"}),n.whitespace=new n("whitespace",{fontCharacter:"\\eb7d"}),n.wholeWord=new n("whole-word",{fontCharacter:"\\eb7e"}),n.window=new n("window",{fontCharacter:"\\eb7f"}),n.wordWrap=new n("word-wrap",{fontCharacter:"\\eb80"}),n.zoomIn=new n("zoom-in",{fontCharacter:"\\eb81"}),n.zoomOut=new n("zoom-out",{fontCharacter:"\\eb82"}),n.listFilter=new n("list-filter",{fontCharacter:"\\eb83"}),n.listFlat=new n("list-flat",{fontCharacter:"\\eb84"}),n.listSelection=new n("list-selection",{fontCharacter:"\\eb85"}),n.selection=new n("selection",{fontCharacter:"\\eb85"}),n.listTree=new n("list-tree",{fontCharacter:"\\eb86"}),n.debugBreakpointFunctionUnverified=new n("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),n.debugBreakpointFunction=new n("debug-breakpoint-function",{fontCharacter:"\\eb88"}),n.debugBreakpointFunctionDisabled=new n("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),n.debugStackframeActive=new n("debug-stackframe-active",{fontCharacter:"\\eb89"}),n.debugStackframeDot=new n("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),n.debugStackframe=new n("debug-stackframe",{fontCharacter:"\\eb8b"}),n.debugStackframeFocused=new n("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),n.debugBreakpointUnsupported=new n("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),n.symbolString=new n("symbol-string",{fontCharacter:"\\eb8d"}),n.debugReverseContinue=new n("debug-reverse-continue",{fontCharacter:"\\eb8e"}),n.debugStepBack=new n("debug-step-back",{fontCharacter:"\\eb8f"}),n.debugRestartFrame=new n("debug-restart-frame",{fontCharacter:"\\eb90"}),n.callIncoming=new n("call-incoming",{fontCharacter:"\\eb92"}),n.callOutgoing=new n("call-outgoing",{fontCharacter:"\\eb93"}),n.menu=new n("menu",{fontCharacter:"\\eb94"}),n.expandAll=new n("expand-all",{fontCharacter:"\\eb95"}),n.feedback=new n("feedback",{fontCharacter:"\\eb96"}),n.groupByRefType=new n("group-by-ref-type",{fontCharacter:"\\eb97"}),n.ungroupByRefType=new n("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),n.account=new n("account",{fontCharacter:"\\eb99"}),n.bellDot=new n("bell-dot",{fontCharacter:"\\eb9a"}),n.debugConsole=new n("debug-console",{fontCharacter:"\\eb9b"}),n.library=new n("library",{fontCharacter:"\\eb9c"}),n.output=new n("output",{fontCharacter:"\\eb9d"}),n.runAll=new n("run-all",{fontCharacter:"\\eb9e"}),n.syncIgnored=new n("sync-ignored",{fontCharacter:"\\eb9f"}),n.pinned=new n("pinned",{fontCharacter:"\\eba0"}),n.githubInverted=new n("github-inverted",{fontCharacter:"\\eba1"}),n.debugAlt=new n("debug-alt",{fontCharacter:"\\eb91"}),n.serverProcess=new n("server-process",{fontCharacter:"\\eba2"}),n.serverEnvironment=new n("server-environment",{fontCharacter:"\\eba3"}),n.pass=new n("pass",{fontCharacter:"\\eba4"}),n.stopCircle=new n("stop-circle",{fontCharacter:"\\eba5"}),n.playCircle=new n("play-circle",{fontCharacter:"\\eba6"}),n.record=new n("record",{fontCharacter:"\\eba7"}),n.debugAltSmall=new n("debug-alt-small",{fontCharacter:"\\eba8"}),n.vmConnect=new n("vm-connect",{fontCharacter:"\\eba9"}),n.cloud=new n("cloud",{fontCharacter:"\\ebaa"}),n.merge=new n("merge",{fontCharacter:"\\ebab"}),n.exportIcon=new n("export",{fontCharacter:"\\ebac"}),n.graphLeft=new n("graph-left",{fontCharacter:"\\ebad"}),n.magnet=new n("magnet",{fontCharacter:"\\ebae"}),n.notebook=new n("notebook",{fontCharacter:"\\ebaf"}),n.redo=new n("redo",{fontCharacter:"\\ebb0"}),n.checkAll=new n("check-all",{fontCharacter:"\\ebb1"}),n.pinnedDirty=new n("pinned-dirty",{fontCharacter:"\\ebb2"}),n.passFilled=new n("pass-filled",{fontCharacter:"\\ebb3"}),n.circleLargeFilled=new n("circle-large-filled",{fontCharacter:"\\ebb4"}),n.circleLargeOutline=new n("circle-large-outline",{fontCharacter:"\\ebb5"}),n.combine=new n("combine",{fontCharacter:"\\ebb6"}),n.gather=new n("gather",{fontCharacter:"\\ebb6"}),n.table=new n("table",{fontCharacter:"\\ebb7"}),n.variableGroup=new n("variable-group",{fontCharacter:"\\ebb8"}),n.typeHierarchy=new n("type-hierarchy",{fontCharacter:"\\ebb9"}),n.typeHierarchySub=new n("type-hierarchy-sub",{fontCharacter:"\\ebba"}),n.typeHierarchySuper=new n("type-hierarchy-super",{fontCharacter:"\\ebbb"}),n.gitPullRequestCreate=new n("git-pull-request-create",{fontCharacter:"\\ebbc"}),n.runAbove=new n("run-above",{fontCharacter:"\\ebbd"}),n.runBelow=new n("run-below",{fontCharacter:"\\ebbe"}),n.notebookTemplate=new n("notebook-template",{fontCharacter:"\\ebbf"}),n.debugRerun=new n("debug-rerun",{fontCharacter:"\\ebc0"}),n.workspaceTrusted=new n("workspace-trusted",{fontCharacter:"\\ebc1"}),n.workspaceUntrusted=new n("workspace-untrusted",{fontCharacter:"\\ebc2"}),n.workspaceUnspecified=new n("workspace-unspecified",{fontCharacter:"\\ebc3"}),n.terminalCmd=new n("terminal-cmd",{fontCharacter:"\\ebc4"}),n.terminalDebian=new n("terminal-debian",{fontCharacter:"\\ebc5"}),n.terminalLinux=new n("terminal-linux",{fontCharacter:"\\ebc6"}),n.terminalPowershell=new n("terminal-powershell",{fontCharacter:"\\ebc7"}),n.terminalTmux=new n("terminal-tmux",{fontCharacter:"\\ebc8"}),n.terminalUbuntu=new n("terminal-ubuntu",{fontCharacter:"\\ebc9"}),n.terminalBash=new n("terminal-bash",{fontCharacter:"\\ebca"}),n.arrowSwap=new n("arrow-swap",{fontCharacter:"\\ebcb"}),n.copy=new n("copy",{fontCharacter:"\\ebcc"}),n.personAdd=new n("person-add",{fontCharacter:"\\ebcd"}),n.filterFilled=new n("filter-filled",{fontCharacter:"\\ebce"}),n.wand=new n("wand",{fontCharacter:"\\ebcf"}),n.debugLineByLine=new n("debug-line-by-line",{fontCharacter:"\\ebd0"}),n.inspect=new n("inspect",{fontCharacter:"\\ebd1"}),n.dropDownButton=new n("drop-down-button",n.chevronDown.definition)}(y=e.Codicon||(e.Codicon={}))}),define(we[110],_e([0,1,12,6]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function D(d){const h=d;return h?[h.on,h.pause,h.resume,h.destroy].every(g=>typeof g=="function"):!1}e.isReadableStream=D;function _(d){const h=d;return h?D(h.stream)&&Array.isArray(h.buffer)&&typeof h.ended=="boolean":!1}e.isReadableBufferedStream=_;function k(d,h){return new y(d,h)}e.newWriteableStream=k;class y{constructor(h,g){this.reducer=h,this.options=g,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(h){if(!this.state.destroyed){if(this.state.flowing)this.emitData(h);else if(this.buffer.data.push(h),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(g=>this.pendingWritePromises.push(g))}}error(h){this.state.destroyed||(this.state.flowing?this.emitError(h):this.buffer.error.push(h))}end(h){this.state.destroyed||(typeof h!="undefined"&&this.write(h),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(h){this.listeners.data.slice(0).forEach(g=>g(h))}emitError(h){this.listeners.error.length===0?f.onUnexpectedError(h):this.listeners.error.slice(0).forEach(g=>g(h))}emitEnd(){this.listeners.end.slice(0).forEach(h=>h())}on(h,g){if(!this.state.destroyed)switch(h){case"data":this.listeners.data.push(g),this.resume();break;case"end":this.listeners.end.push(g),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(g),this.state.flowing&&this.flowErrors();break}}removeListener(h,g){if(this.state.destroyed)return;let t;switch(h){case"data":t=this.listeners.data;break;case"end":t=this.listeners.end;break;case"error":t=this.listeners.error;break}if(t){const r=t.indexOf(g);r>=0&&t.splice(r,1)}}flowData(){if(this.buffer.data.length>0){const h=this.reducer(this.buffer.data);this.emitData(h),this.buffer.data.length=0;const g=[...this.pendingWritePromises];this.pendingWritePromises.length=0,g.forEach(t=>t())}}flowErrors(){if(this.listeners.error.length>0){for(const h of this.buffer.error)this.emitError(h);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function b(d,h){const g=[];let t;for(;(t=d.read())!==null;)g.push(t);return h(g)}e.consumeReadable=b;function C(d,h,g){const t=[];let r;for(;(r=d.read())!==null&&t.length<g;)t.push(r);return r===null&&t.length>0?h(t):{read:()=>{if(t.length>0)return t.shift();if(typeof r!="undefined"){const i=r;return r=void 0,i}return d.read()}}}e.peekReadable=C;function n(d,h){return new Promise((g,t)=>{const r=[];I(d,{onData:i=>{h&&r.push(i)},onError:i=>{h?t(i):g(void 0)},onEnd:()=>{g(h?h(r):void 0)}})})}e.consumeStream=n;function I(d,h){d.on("error",g=>h.onError(g)),d.on("end",()=>h.onEnd()),d.on("data",g=>h.onData(g))}e.listenStream=I;function l(d,h){return new Promise((g,t)=>{const r=new R.DisposableStore,i=[],s=p=>{if(i.push(p),i.length>h)return r.dispose(),d.pause(),g({stream:d,buffer:i,ended:!1})},c=p=>t(p),w=()=>g({stream:d,buffer:i,ended:!0});r.add(R.toDisposable(()=>d.removeListener("error",c))),d.on("error",c),r.add(R.toDisposable(()=>d.removeListener("end",w))),d.on("end",w),r.add(R.toDisposable(()=>d.removeListener("data",s))),d.on("data",s)})}e.peekStream=l;function m(d,h){const g=k(h);return g.end(d),g}e.toStream=m;function u(){const d=k(()=>{throw new Error("not supported")});return d.end(),d}e.emptyStream=u;function o(d){let h=!1;return{read:()=>h?null:(h=!0,d)}}e.toReadable=o;function E(d,h,g){const t=k(g);return I(d,{onData:r=>t.write(h.data(r)),onError:r=>t.error(h.error?h.error(r):r),onEnd:()=>t.end()}),t}e.transform=E;function v(d,h,g){let t=!1;return{read:()=>{const r=h.read();return t?r:(t=!0,r!==null?g([d,r]):d)}}}e.prefixedReadable=v;function S(d,h,g){let t=!1;const r=k(g);return I(h,{onData:i=>t?r.write(i):(t=!0,r.write(g([d,i]))),onError:i=>r.error(i),onEnd:()=>{t||(t=!0,r.write(d)),r.end()}}),r}e.prefixedStream=S}),define(we[8],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLeftDeleteOffset=e.GraphemeBreakType=e.breakBetweenGraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsEmoji=e.containsRTL=e.decodeUTF8=e.encodeUTF8=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format2=e.format=e.isFalsyOrWhitespace=void 0;function f(U){return!U||typeof U!="string"?!0:U.trim().length===0}e.isFalsyOrWhitespace=f;const R=/{(\d+)}/g;function D(U,...fe){return fe.length===0?U:U.replace(R,function(be,Pe){const Fe=parseInt(Pe,10);return isNaN(Fe)||Fe<0||Fe>=fe.length?be:fe[Fe]})}e.format=D;const _=/{([^}]+)}/g;function k(U,fe){return U.replace(_,(be,Pe)=>fe[Pe]??be)}e.format2=k;function y(U){return U.replace(/[<>&]/g,function(fe){switch(fe){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return fe}})}e.escape=y;function b(U){return U.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=b;function C(U,fe){let be=0;const Pe=fe.charCodeAt(0);for(let Fe=U.length-1;Fe>=0;Fe--)U.charCodeAt(Fe)===Pe&&be++;return be}e.count=C;function n(U,fe,be="\u2026"){return U.length<=fe?U:`${U.substr(0,fe)}${be}`}e.truncate=n;function I(U,fe=" "){const be=l(U,fe);return m(be,fe)}e.trim=I;function l(U,fe){if(!U||!fe)return U;const be=fe.length;if(be===0||U.length===0)return U;let Pe=0;for(;U.indexOf(fe,Pe)===Pe;)Pe=Pe+be;return U.substring(Pe)}e.ltrim=l;function m(U,fe){if(!U||!fe)return U;const be=fe.length,Pe=U.length;if(be===0||Pe===0)return U;let Fe=Pe,$e=-1;for(;$e=U.lastIndexOf(fe,Fe-1),!($e===-1||$e+be!==Fe);){if($e===0)return"";Fe=$e}return U.substring(0,Fe)}e.rtrim=m;function u(U){return U.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=u;function o(U){return U.replace(/\*/g,"")}e.stripWildcards=o;function E(U,fe,be={}){if(!U)throw new Error("Cannot create regex from empty string");fe||(U=b(U)),be.wholeWord&&(/\B/.test(U.charAt(0))||(U="\\b"+U),/\B/.test(U.charAt(U.length-1))||(U=U+"\\b"));let Pe="";return be.global&&(Pe+="g"),be.matchCase||(Pe+="i"),be.multiline&&(Pe+="m"),be.unicode&&(Pe+="u"),new RegExp(U,Pe)}e.createRegExp=E;function v(U){return U.source==="^"||U.source==="^$"||U.source==="$"||U.source==="^\\s*$"?!1:!!(U.exec("")&&U.lastIndex===0)}e.regExpLeadsToEndlessLoop=v;function S(U){return!!U.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=S;function d(U){return(U.global?"g":"")+(U.ignoreCase?"i":"")+(U.multiline?"m":"")+(U.unicode?"u":"")}e.regExpFlags=d;function h(U){return U.split(/\r\n|\r|\n/)}e.splitLines=h;function g(U){for(let fe=0,be=U.length;fe<be;fe++){const Pe=U.charCodeAt(fe);if(Pe!==32&&Pe!==9)return fe}return-1}e.firstNonWhitespaceIndex=g;function t(U,fe=0,be=U.length){for(let Pe=fe;Pe<be;Pe++){const Fe=U.charCodeAt(Pe);if(Fe!==32&&Fe!==9)return U.substring(fe,Pe)}return U.substring(fe,be)}e.getLeadingWhitespace=t;function r(U,fe=U.length-1){for(let be=fe;be>=0;be--){const Pe=U.charCodeAt(be);if(Pe!==32&&Pe!==9)return be}return-1}e.lastNonWhitespaceIndex=r;function i(U,fe){return U<fe?-1:U>fe?1:0}e.compare=i;function s(U,fe,be=0,Pe=U.length,Fe=0,$e=fe.length){for(;be<Pe&&Fe<$e;be++,Fe++){let Ke=U.charCodeAt(be),lt=fe.charCodeAt(Fe);if(Ke<lt)return-1;if(Ke>lt)return 1}const Ze=Pe-be,Ge=$e-Fe;return Ze<Ge?-1:Ze>Ge?1:0}e.compareSubstring=s;function c(U,fe){return w(U,fe,0,U.length,0,fe.length)}e.compareIgnoreCase=c;function w(U,fe,be=0,Pe=U.length,Fe=0,$e=fe.length){for(;be<Pe&&Fe<$e;be++,Fe++){let Ke=U.charCodeAt(be),lt=fe.charCodeAt(Fe);if(Ke===lt)continue;const ct=Ke-lt;if(!(ct===32&&P(lt))&&!(ct===-32&&P(Ke)))return p(Ke)&&p(lt)?ct:s(U.toLowerCase(),fe.toLowerCase(),be,Pe,Fe,$e)}const Ze=Pe-be,Ge=$e-Fe;return Ze<Ge?-1:Ze>Ge?1:0}e.compareSubstringIgnoreCase=w;function p(U){return U>=97&&U<=122}e.isLowerAsciiLetter=p;function P(U){return U>=65&&U<=90}e.isUpperAsciiLetter=P;function A(U){return p(U)||P(U)}function a(U,fe){return U.length===fe.length&&T(U,fe)}e.equalsIgnoreCase=a;function T(U,fe,be=U.length){for(let Pe=0;Pe<be;Pe++){const Fe=U.charCodeAt(Pe),$e=fe.charCodeAt(Pe);if(Fe!==$e){if(A(Fe)&&A($e)){const Ze=Math.abs(Fe-$e);if(Ze!==0&&Ze!==32)return!1}else if(String.fromCharCode(Fe).toLowerCase()!==String.fromCharCode($e).toLowerCase())return!1}}return!0}function F(U,fe){const be=fe.length;return fe.length>U.length?!1:T(U,fe,be)}e.startsWithIgnoreCase=F;function H(U,fe){let be,Pe=Math.min(U.length,fe.length);for(be=0;be<Pe;be++)if(U.charCodeAt(be)!==fe.charCodeAt(be))return be;return Pe}e.commonPrefixLength=H;function $(U,fe){let be,Pe=Math.min(U.length,fe.length);const Fe=U.length-1,$e=fe.length-1;for(be=0;be<Pe;be++)if(U.charCodeAt(Fe-be)!==fe.charCodeAt($e-be))return be;return Pe}e.commonSuffixLength=$;function Z(U){return 55296<=U&&U<=56319}e.isHighSurrogate=Z;function V(U){return 56320<=U&&U<=57343}e.isLowSurrogate=V;function B(U,fe){return(U-55296<<10)+(fe-56320)+65536}e.computeCodePoint=B;function Y(U,fe,be){const Pe=U.charCodeAt(be);if(Z(Pe)&&be+1<fe){const Fe=U.charCodeAt(be+1);if(V(Fe))return B(Pe,Fe)}return Pe}e.getNextCodePoint=Y;function L(U,fe){const be=U.charCodeAt(fe-1);if(V(be)&&fe>1){const Pe=U.charCodeAt(fe-2);if(Z(Pe))return B(Pe,be)}return be}function J(U,fe){const be=De.getInstance(),Pe=fe,Fe=U.length,$e=Y(U,Fe,fe);fe+=$e>=65536?2:1;let Ze=be.getGraphemeBreakType($e);for(;fe<Fe;){const Ge=Y(U,Fe,fe),Ke=be.getGraphemeBreakType(Ge);if(Ue(Ze,Ke))break;fe+=Ge>=65536?2:1,Ze=Ke}return fe-Pe}e.nextCharLength=J;function N(U,fe){const be=De.getInstance(),Pe=fe,Fe=L(U,fe);fe-=Fe>=65536?2:1;let $e=be.getGraphemeBreakType(Fe);for(;fe>0;){const Ze=L(U,fe),Ge=be.getGraphemeBreakType(Ze);if(Ue(Ge,$e))break;fe-=Ze>=65536?2:1,$e=Ge}return Pe-fe}e.prevCharLength=N;function W(U,fe){const be=De.getInstance(),Pe=U.length,Fe=fe,$e=Y(U,Pe,fe),Ze=be.getGraphemeBreakType($e);fe+=$e>=65536?2:1;let Ge=Ze;for(;fe<Pe;){const lt=Y(U,Pe,fe),ct=be.getGraphemeBreakType(lt);if(Ue(Ge,ct))break;fe+=lt>=65536?2:1,Ge=ct}const Ke=fe;for(fe=Fe,Ge=Ze;fe>0;){const lt=L(U,fe),ct=be.getGraphemeBreakType(lt);if(Ue(ct,Ge))break;fe-=lt>=65536?2:1,Ge=ct}return[fe,Ke]}function Q(U,fe){return fe>0&&V(U.charCodeAt(fe))?W(U,fe-1):W(U,fe)}e.getCharContainingOffset=Q;function G(U){const fe=U.length;let be=0,Pe=0;for(;Pe<fe;){const Ze=Y(U,fe,Pe);Pe+=Ze>=65536?2:1,Ze<128?be+=1:Ze<2048?be+=2:Ze<65536?be+=3:be+=4}const Fe=new Uint8Array(be);Pe=0;let $e=0;for(;Pe<fe;){const Ze=Y(U,fe,Pe);Pe+=Ze>=65536?2:1,Ze<128?Fe[$e++]=Ze:Ze<2048?(Fe[$e++]=192|(Ze&1984)>>>6,Fe[$e++]=128|(Ze&63)>>>0):Ze<65536?(Fe[$e++]=224|(Ze&61440)>>>12,Fe[$e++]=128|(Ze&4032)>>>6,Fe[$e++]=128|(Ze&63)>>>0):(Fe[$e++]=240|(Ze&1835008)>>>18,Fe[$e++]=128|(Ze&258048)>>>12,Fe[$e++]=128|(Ze&4032)>>>6,Fe[$e++]=128|(Ze&63)>>>0)}return Fe}e.encodeUTF8=G;function ue(U){const fe=U.byteLength,be=[];let Pe=0;for(;Pe<fe;){const Fe=U[Pe];let $e;if(Fe>=240&&Pe+3<fe?$e=(U[Pe++]&7)<<18>>>0|(U[Pe++]&63)<<12>>>0|(U[Pe++]&63)<<6>>>0|(U[Pe++]&63)<<0>>>0:Fe>=224&&Pe+2<fe?$e=(U[Pe++]&15)<<12>>>0|(U[Pe++]&63)<<6>>>0|(U[Pe++]&63)<<0>>>0:Fe>=192&&Pe+1<fe?$e=(U[Pe++]&31)<<6>>>0|(U[Pe++]&63)<<0>>>0:$e=U[Pe++],$e>=0&&$e<=55295||$e>=57344&&$e<=65535)be.push(String.fromCharCode($e));else if($e>=65536&&$e<=1114111){const Ze=$e-65536,Ge=55296+((Ze&1047552)>>>10),Ke=56320+((Ze&1023)>>>0);be.push(String.fromCharCode(Ge)),be.push(String.fromCharCode(Ke))}else be.push(String.fromCharCode(65533))}return be.join("")}e.decodeUTF8=ue;const ke=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function Re(U){return ke.test(U)}e.containsRTL=Re;const ze=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function xe(U){return ze.test(U)}e.containsEmoji=xe;const Ve=/^[\t\n\r\x20-\x7E]*$/;function tt(U){return Ve.test(U)}e.isBasicASCII=tt,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function Ye(U){return e.UNUSUAL_LINE_TERMINATORS.test(U)}e.containsUnusualLineTerminators=Ye;function et(U){for(let fe=0,be=U.length;fe<be;fe++)if(x(U.charCodeAt(fe)))return!0;return!1}e.containsFullWidthCharacter=et;function x(U){return U=+U,U>=11904&&U<=55215||U>=63744&&U<=64255||U>=65281&&U<=65374}e.isFullWidthCharacter=x;function K(U){return U>=127462&&U<=127487||U===8986||U===8987||U===9200||U===9203||U>=9728&&U<=10175||U===11088||U===11093||U>=127744&&U<=128591||U>=128640&&U<=128764||U>=128992&&U<=129003||U>=129280&&U<=129535||U>=129648&&U<=129750}e.isEmojiImprecise=K;function ie(U,fe){if(U.length<fe)return U;const be=/\b/g;let Pe=0;for(;be.test(U)&&!(U.length-be.lastIndex<fe);)Pe=be.lastIndex,be.lastIndex+=1;return U.substring(Pe).replace(/^\s/,"")}e.lcut=ie;const ae=/\x1B\x5B[12]?K/g,j=/\x1b\[\d+m/g,re=/\x1b\[0?m/g;function me(U){return U&&(U=U.replace(ae,""),U=U.replace(j,""),U=U.replace(re,"")),U}e.removeAnsiEscapeCodes=me,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function Te(U){return!!(U&&U.length>0&&U.charCodeAt(0)===65279)}e.startsWithUTF8BOM=Te;function Be(U){return Te(U)?U.substr(1):U}e.stripUTF8BOM=Be;function pe(U,fe){if(!U||!fe||U.length<fe.length)return!1;const be=fe.length,Pe=U.toLowerCase();let Fe=0,$e=-1;for(;Fe<be;){const Ze=Pe.indexOf(fe[Fe],$e+1);if(Ze<0)return!1;$e=Ze,Fe++}return!0}e.fuzzyContains=pe;function Qe(U,fe=!1){return U?(fe&&(U=U.replace(/\\./g,"")),U.toLowerCase()!==U):!1}e.containsUppercaseCharacter=Qe;function z(U){return U.charAt(0).toUpperCase()+U.slice(1)}e.uppercaseFirstLetter=z;function ee(U,fe=1){if(fe===0)return"";let be=-1;do be=U.indexOf(`
`,be+1),fe--;while(fe>0&&be>=0);return be===-1?U:(U[be-1]==="\r"&&be--,U.substr(0,be))}e.getNLines=ee;function de(U){const fe=90-65+1;return U=U%(2*fe),U<fe?String.fromCharCode(97+U):String.fromCharCode(65+U-fe)}e.singleLetterHash=de;function Ne(U){return De.getInstance().getGraphemeBreakType(U)}e.getGraphemeBreakType=Ne;function Ue(U,fe){return U===0?fe!==5&&fe!==7:U===2&&fe===3?!1:U===4||U===2||U===3||fe===4||fe===2||fe===3?!0:!(U===8&&(fe===8||fe===9||fe===11||fe===12)||(U===11||U===9)&&(fe===9||fe===10)||(U===12||U===10)&&fe===10||fe===5||fe===13||fe===7||U===1||U===13&&fe===14||U===6&&fe===6)}e.breakBetweenGraphemeBreakType=Ue;var Xe;(function(U){U[U.Other=0]="Other",U[U.Prepend=1]="Prepend",U[U.CR=2]="CR",U[U.LF=3]="LF",U[U.Control=4]="Control",U[U.Extend=5]="Extend",U[U.Regional_Indicator=6]="Regional_Indicator",U[U.SpacingMark=7]="SpacingMark",U[U.L=8]="L",U[U.V=9]="V",U[U.T=10]="T",U[U.LV=11]="LV",U[U.LVT=12]="LVT",U[U.ZWJ=13]="ZWJ",U[U.Extended_Pictographic=14]="Extended_Pictographic"})(Xe=e.GraphemeBreakType||(e.GraphemeBreakType={}));class De{constructor(){this._data=Se()}static getInstance(){return De._INSTANCE||(De._INSTANCE=new De),De._INSTANCE}getGraphemeBreakType(fe){if(fe<32)return fe===10?3:fe===13?2:4;if(fe<127)return 0;const be=this._data,Pe=be.length/3;let Fe=1;for(;Fe<=Pe;)if(fe<be[3*Fe])Fe=2*Fe;else if(fe>be[3*Fe+1])Fe=2*Fe+1;else return be[3*Fe+2];return 0}}De._INSTANCE=null;function Se(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}function Ie(U,fe){if(U===0)return 0;const be=se(U,fe);if(be!==void 0)return be;const Pe=L(fe,U);return U-=le(Pe),U}e.getLeftDeleteOffset=Ie;function se(U,fe){let be=L(fe,U);for(U-=le(be);he(be)||be===65039||be===8419;){if(U===0)return;be=L(fe,U),U-=le(be)}if(!!K(be)){if(U>=0){const Pe=L(fe,U);Pe===8205&&(U-=le(Pe))}return U}}function le(U){return U>=65536?2:1}function he(U){return 127995<=U&&U<=127999}var ge;(function(U){U[U.zwj=8205]="zwj",U[U.emojiVariantSelector=65039]="emojiVariantSelector",U[U.enclosingKeyCap=8419]="enclosingKeyCap"})(ge||(ge={}))}),define(we[24],_e([0,1,8,110]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const D=typeof Buffer!="undefined",_=typeof TextEncoder!="undefined",k=typeof TextDecoder!="undefined";let y,b;class C{constructor(p){this.buffer=p,this.byteLength=this.buffer.byteLength}static alloc(p){return D?new C(Buffer.allocUnsafe(p)):new C(new Uint8Array(p))}static wrap(p){return D&&!Buffer.isBuffer(p)&&(p=Buffer.from(p.buffer,p.byteOffset,p.byteLength)),new C(p)}static fromString(p,P){return!(P?.dontUseNodeBuffer||!1)&&D?new C(Buffer.from(p)):_?(y||(y=new TextEncoder),new C(y.encode(p))):new C(f.encodeUTF8(p))}static concat(p,P){if(typeof P=="undefined"){P=0;for(let T=0,F=p.length;T<F;T++)P+=p[T].byteLength}const A=C.alloc(P);let a=0;for(let T=0,F=p.length;T<F;T++){const H=p[T];A.set(H,a),a+=H.byteLength}return A}toString(){return D?this.buffer.toString():k?(b||(b=new TextDecoder),b.decode(this.buffer)):f.decodeUTF8(this.buffer)}slice(p,P){return new C(this.buffer.subarray(p,P))}set(p,P){p instanceof C?this.buffer.set(p.buffer,P):this.buffer.set(p,P)}readUInt32BE(p){return l(this.buffer,p)}writeUInt32BE(p,P){m(this.buffer,p,P)}readUInt32LE(p){return u(this.buffer,p)}writeUInt32LE(p,P){o(this.buffer,p,P)}readUInt8(p){return E(this.buffer,p)}writeUInt8(p,P){v(this.buffer,p,P)}}e.VSBuffer=C;function n(w,p){return w[p+0]<<0>>>0|w[p+1]<<8>>>0}e.readUInt16LE=n;function I(w,p,P){w[P+0]=p&255,p=p>>>8,w[P+1]=p&255}e.writeUInt16LE=I;function l(w,p){return w[p]*2**24+w[p+1]*2**16+w[p+2]*2**8+w[p+3]}e.readUInt32BE=l;function m(w,p,P){w[P+3]=p,p=p>>>8,w[P+2]=p,p=p>>>8,w[P+1]=p,p=p>>>8,w[P]=p}e.writeUInt32BE=m;function u(w,p){return w[p+0]<<0>>>0|w[p+1]<<8>>>0|w[p+2]<<16>>>0|w[p+3]<<24>>>0}e.readUInt32LE=u;function o(w,p,P){w[P+0]=p&255,p=p>>>8,w[P+1]=p&255,p=p>>>8,w[P+2]=p&255,p=p>>>8,w[P+3]=p&255}e.writeUInt32LE=o;function E(w,p){return w[p]}e.readUInt8=E;function v(w,p,P){w[P]=p}e.writeUInt8=v;function S(w){return R.consumeReadable(w,p=>C.concat(p))}e.readableToBuffer=S;function d(w){return R.toReadable(w)}e.bufferToReadable=d;function h(w){return R.consumeStream(w,p=>C.concat(p))}e.streamToBuffer=h;async function g(w){return w.ended?C.concat(w.buffer):C.concat([...w.buffer,await h(w.stream)])}e.bufferedStreamToBuffer=g;function t(w){return R.toStream(w,p=>C.concat(p))}e.bufferToStream=t;function r(w){return R.transform(w,{data:p=>typeof p=="string"?C.fromString(p):C.wrap(p)},p=>C.concat(p))}e.streamToBufferReadableStream=r;function i(w){return R.newWriteableStream(p=>C.concat(p),w)}e.newWriteableBufferStream=i;function s(w,p){return R.prefixedReadable(w,p,P=>C.concat(P))}e.prefixedBufferReadable=s;function c(w,p){return R.prefixedStream(w,p,P=>C.concat(P))}e.prefixedBufferStream=c}),define(we[52],_e([0,1,8]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.doHash=e.hash=void 0;function R(v){return D(v,0)}e.hash=R;function D(v,S){switch(typeof v){case"object":return v===null?_(349,S):Array.isArray(v)?b(v,S):C(v,S);case"string":return y(v,S);case"boolean":return k(v,S);case"number":return _(v,S);case"undefined":return _(937,S);default:return _(617,S)}}e.doHash=D;function _(v,S){return(S<<5)-S+v|0}function k(v,S){return _(v?433:863,S)}function y(v,S){S=_(149417,S);for(let d=0,h=v.length;d<h;d++)S=_(v.charCodeAt(d),S);return S}e.stringHash=y;function b(v,S){return S=_(104579,S),v.reduce((d,h)=>D(h,d),S)}function C(v,S){return S=_(181387,S),Object.keys(v).sort().reduce((d,h)=>(d=y(h,d),D(v[h],d)),S)}class n{constructor(){this._value=0}get value(){return this._value}hash(S){return this._value=D(S,this._value),this._value}}e.Hasher=n;var I;(function(v){v[v.BLOCK_SIZE=64]="BLOCK_SIZE",v[v.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(I||(I={}));function l(v,S,d=32){const h=d-S,g=~((1<<h)-1);return(v<<S|(g&v)>>>h)>>>0}function m(v,S=0,d=v.byteLength,h=0){for(let g=0;g<d;g++)v[S+g]=h}function u(v,S,d="0"){for(;v.length<S;)v=d+v;return v}function o(v,S=32){return v instanceof ArrayBuffer?Array.from(new Uint8Array(v)).map(d=>d.toString(16).padStart(2,"0")).join(""):u((v>>>0).toString(16),S/4)}e.toHexString=o;class E{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(S){const d=S.length;if(d===0)return;const h=this._buff;let g=this._buffLen,t=this._leftoverHighSurrogate,r,i;for(t!==0?(r=t,i=-1,t=0):(r=S.charCodeAt(0),i=0);;){let s=r;if(f.isHighSurrogate(r))if(i+1<d){const c=S.charCodeAt(i+1);f.isLowSurrogate(c)?(i++,s=f.computeCodePoint(r,c)):s=65533}else{t=r;break}else f.isLowSurrogate(r)&&(s=65533);if(g=this._push(h,g,s),i++,i<d)r=S.charCodeAt(i);else break}this._buffLen=g,this._leftoverHighSurrogate=t}_push(S,d,h){return h<128?S[d++]=h:h<2048?(S[d++]=192|(h&1984)>>>6,S[d++]=128|(h&63)>>>0):h<65536?(S[d++]=224|(h&61440)>>>12,S[d++]=128|(h&4032)>>>6,S[d++]=128|(h&63)>>>0):(S[d++]=240|(h&1835008)>>>18,S[d++]=128|(h&258048)>>>12,S[d++]=128|(h&4032)>>>6,S[d++]=128|(h&63)>>>0),d>=64&&(this._step(),d-=64,this._totalLen+=64,S[0]=S[64+0],S[1]=S[64+1],S[2]=S[64+2]),d}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),o(this._h0)+o(this._h1)+o(this._h2)+o(this._h3)+o(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,m(this._buff,this._buffLen),this._buffLen>56&&(this._step(),m(this._buff));const S=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(S/4294967296),!1),this._buffDV.setUint32(60,S%4294967296,!1),this._step()}_step(){const S=E._bigBlock32,d=this._buffDV;for(let p=0;p<64;p+=4)S.setUint32(p,d.getUint32(p,!1),!1);for(let p=64;p<320;p+=4)S.setUint32(p,l(S.getUint32(p-12,!1)^S.getUint32(p-32,!1)^S.getUint32(p-56,!1)^S.getUint32(p-64,!1),1),!1);let h=this._h0,g=this._h1,t=this._h2,r=this._h3,i=this._h4,s,c,w;for(let p=0;p<80;p++)p<20?(s=g&t|~g&r,c=1518500249):p<40?(s=g^t^r,c=1859775393):p<60?(s=g&t|g&r|t&r,c=2400959708):(s=g^t^r,c=3395469782),w=l(h,5)+s+i+c+S.getUint32(p*4,!1)&4294967295,i=r,r=t,t=l(g,30),g=h,h=w;this._h0=this._h0+h&4294967295,this._h1=this._h1+g&4294967295,this._h2=this._h2+t&4294967295,this._h3=this._h3+r&4294967295,this._h4=this._h4+i&4294967295}}e.StringSHA1=E,E._bigBlock32=new DataView(new ArrayBuffer(320))}),define(we[42],_e([0,1,8]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var R;(function(D){D[D.Ignore=0]="Ignore",D[D.Info=1]="Info",D[D.Warning=2]="Warning",D[D.Error=3]="Error"})(R||(R={})),function(D){const _="error",k="warning",y="warn",b="info",C="ignore";function n(l){return l?f.equalsIgnoreCase(_,l)?D.Error:f.equalsIgnoreCase(k,l)||f.equalsIgnoreCase(y,l)?D.Warning:f.equalsIgnoreCase(b,l)?D.Info:D.Ignore:D.Ignore}D.fromValue=n;function I(l){switch(l){case D.Error:return _;case D.Warning:return k;case D.Info:return b;default:return C}}D.toString=I}(R||(R={})),e.default=R}),define(we[10],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.assertNever=e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isIterable=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function f(p){return Array.isArray(p)}e.isArray=f;function R(p){return typeof p=="string"}e.isString=R;function D(p){return Array.isArray(p)&&p.every(P=>R(P))}e.isStringArray=D;function _(p){return typeof p=="object"&&p!==null&&!Array.isArray(p)&&!(p instanceof RegExp)&&!(p instanceof Date)}e.isObject=_;function k(p){return typeof p=="number"&&!isNaN(p)}e.isNumber=k;function y(p){return!!p&&typeof p[Symbol.iterator]=="function"}e.isIterable=y;function b(p){return p===!0||p===!1}e.isBoolean=b;function C(p){return typeof p=="undefined"}e.isUndefined=C;function n(p){return!I(p)}e.isDefined=n;function I(p){return C(p)||p===null}e.isUndefinedOrNull=I;function l(p,P){if(!p)throw new Error(P?`Unexpected type, expected '${P}'`:"Unexpected type")}e.assertType=l;function m(p){if(I(p))throw new Error("Assertion Failed: argument is undefined or null");return p}e.assertIsDefined=m;function u(...p){const P=[];for(let A=0;A<p.length;A++){const a=p[A];if(I(a))throw new Error(`Assertion Failed: argument at index ${A} is undefined or null`);P.push(a)}return P}e.assertAllDefined=u;const o=Object.prototype.hasOwnProperty;function E(p){if(!_(p))return!1;for(let P in p)if(o.call(p,P))return!1;return!0}e.isEmptyObject=E;function v(p){return typeof p=="function"}e.isFunction=v;function S(...p){return p.length>0&&p.every(v)}e.areFunctions=S;function d(p,P){const A=Math.min(p.length,P.length);for(let a=0;a<A;a++)h(p[a],P[a])}e.validateConstraints=d;function h(p,P){if(R(P)){if(typeof p!==P)throw new Error(`argument does not match constraint: typeof ${P}`)}else if(v(P)){try{if(p instanceof P)return}catch{}if(!I(p)&&p.constructor===P||P.length===1&&P.call(void 0,p)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=h;function g(p){let P=[],A=Object.getPrototypeOf(p);for(;Object.prototype!==A;)P=P.concat(Object.getOwnPropertyNames(A)),A=Object.getPrototypeOf(A);return P}e.getAllPropertyNames=g;function t(p){const P=[];for(const A of g(p))typeof p[A]=="function"&&P.push(A);return P}e.getAllMethodNames=t;function r(p,P){const A=T=>function(){const F=Array.prototype.slice.call(arguments,0);return P(T,F)};let a={};for(const T of p)a[T]=A(T);return a}e.createProxyObject=r;function i(p){return p===null?void 0:p}e.withNullAsUndefined=i;function s(p){return typeof p=="undefined"?null:p}e.withUndefinedAsNull=s;function c(p){return class{constructor(){return new Proxy({},{get(P,A){if(P[A])return P[A];throw new Error(`Not Implemented: ${p}->${String(A)}`)}})}}}e.NotImplementedProxy=c;function w(p){throw new Error("Unreachable")}e.assertNever=w}),define(we[43],_e([0,1,21,8,14,10]),function(ne,e,f,R,D,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function k(i){return i===47||i===92}e.isPathSeparator=k;function y(i){return i.replace(/[\\/]/g,D.posix.sep)}e.toSlashes=y;function b(i){return i.indexOf("/")===-1&&(i=y(i)),/^[a-zA-Z]:(\/|$)/.test(i)&&(i="/"+i),i}e.toPosixPath=b;function C(i,s=D.posix.sep){if(!i)return"";const c=i.length,w=i.charCodeAt(0);if(k(w)){if(k(i.charCodeAt(1))&&!k(i.charCodeAt(2))){let P=3;const A=P;for(;P<c&&!k(i.charCodeAt(P));P++);if(A!==P&&!k(i.charCodeAt(P+1))){for(P+=1;P<c;P++)if(k(i.charCodeAt(P)))return i.slice(0,P+1).replace(/[\\/]/g,s)}}return s}else if(v(w)&&i.charCodeAt(1)===58)return k(i.charCodeAt(2))?i.slice(0,2)+s:i.slice(0,2);let p=i.indexOf("://");if(p!==-1){for(p+=3;p<c;p++)if(k(i.charCodeAt(p)))return i.slice(0,p+1)}return""}e.getRoot=C;function n(i){if(!f.isWindows||!i||i.length<5)return!1;let s=i.charCodeAt(0);if(s!==92||(s=i.charCodeAt(1),s!==92))return!1;let c=2;const w=c;for(;c<i.length&&(s=i.charCodeAt(c),s!==92);c++);return!(w===c||(s=i.charCodeAt(c+1),isNaN(s)||s===92))}e.isUNC=n;const I=/[\\/:\*\?"<>\|]/g,l=/[\\/]/g,m=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function u(i,s=f.isWindows){const c=s?I:l;return!(!i||i.length===0||/^\s+$/.test(i)||(c.lastIndex=0,c.test(i))||s&&m.test(i)||i==="."||i===".."||s&&i[i.length-1]==="."||s&&i.length!==i.trim().length||i.length>255)}e.isValidBasename=u;function o(i,s,c){const w=i===s;return!c||w?w:!i||!s?!1:R.equalsIgnoreCase(i,s)}e.isEqual=o;function E(i,s,c,w=D.sep){if(i===s)return!0;if(!i||!s||s.length>i.length)return!1;if(c){if(!R.startsWithIgnoreCase(i,s))return!1;if(s.length===i.length)return!0;let P=s.length;return s.charAt(s.length-1)===w&&P--,i.charAt(P)===w}return s.charAt(s.length-1)!==w&&(s+=w),i.indexOf(s)===0}e.isEqualOrParent=E;function v(i){return i>=65&&i<=90||i>=97&&i<=122}e.isWindowsDriveLetter=v;function S(i,s){return f.isWindows&&i.endsWith(":")&&(i+=D.sep),D.isAbsolute(i)||(i=D.join(s,i)),i=D.normalize(i),f.isWindows?(i=R.rtrim(i,D.sep),i.endsWith(":")&&(i+=D.sep)):(i=R.rtrim(i,D.sep),i||(i=D.sep)),i}e.sanitizeFilePath=S;function d(i){const s=D.normalize(i);return f.isWindows?i.length>3?!1:h(s)&&(i.length===2||s.charCodeAt(2)===92):s===D.posix.sep}e.isRootOrDriveLetter=d;function h(i){return f.isWindows?v(i.charCodeAt(0))&&i.charCodeAt(1)===58:!1}e.hasDriveLetter=h;function g(i){return h(i)?i[0]:void 0}e.getDriveLetter=g;function t(i,s,c){return s.length>i.length?-1:i===s?0:(c&&(i=i.toLowerCase(),s=s.toLowerCase()),i.indexOf(s))}e.indexOfPath=t;function r(i){const s=i.split(":");let c,w,p;if(s.forEach(P=>{const A=Number(P);_.isNumber(A)?w===void 0?w=A:p===void 0&&(p=A):c=c?[c,P].join(":"):P}),!c)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:c,line:w!==void 0?w:void 0,column:p!==void 0?p:w!==void 0?1:void 0}}e.parseLineAndColumnAware=r}),define(we[25],_e([0,1,10]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.filter=e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function R(o){if(!o||typeof o!="object"||o instanceof RegExp)return o;const E=Array.isArray(o)?[]:{};return Object.keys(o).forEach(v=>{o[v]&&typeof o[v]=="object"?E[v]=R(o[v]):E[v]=o[v]}),E}e.deepClone=R;function D(o){if(!o||typeof o!="object")return o;const E=[o];for(;E.length>0;){const v=E.shift();Object.freeze(v);for(const S in v)if(_.call(v,S)){const d=v[S];typeof d=="object"&&!Object.isFrozen(d)&&E.push(d)}}return o}e.deepFreeze=D;const _=Object.prototype.hasOwnProperty;function k(o,E){return y(o,E,new Set)}e.cloneAndChange=k;function y(o,E,v){if(f.isUndefinedOrNull(o))return o;const S=E(o);if(typeof S!="undefined")return S;if(f.isArray(o)){const d=[];for(const h of o)d.push(y(h,E,v));return d}if(f.isObject(o)){if(v.has(o))throw new Error("Cannot clone recursive data-structure");v.add(o);const d={};for(let h in o)_.call(o,h)&&(d[h]=y(o[h],E,v));return v.delete(o),d}return o}function b(o,E,v=!0){return f.isObject(o)?(f.isObject(E)&&Object.keys(E).forEach(S=>{S in o?v&&(f.isObject(o[S])&&f.isObject(E[S])?b(o[S],E[S],v):o[S]=E[S]):o[S]=E[S]}),o):E}e.mixin=b;function C(o,E){if(o===E)return!0;if(o==null||E===null||E===void 0||typeof o!=typeof E||typeof o!="object"||Array.isArray(o)!==Array.isArray(E))return!1;let v,S;if(Array.isArray(o)){if(o.length!==E.length)return!1;for(v=0;v<o.length;v++)if(!C(o[v],E[v]))return!1}else{const d=[];for(S in o)d.push(S);d.sort();const h=[];for(S in E)h.push(S);if(h.sort(),!C(d,h))return!1;for(v=0;v<d.length;v++)if(!C(o[d[v]],E[d[v]]))return!1}return!0}e.equals=C;function n(o){const E=new Set;return JSON.stringify(o,(v,S)=>{if(f.isObject(S)||Array.isArray(S)){if(E.has(S))return"[Circular]";E.add(S)}return S})}e.safeStringify=n;function I(o,E,v){const S=E(o);return typeof S=="undefined"?v:S}e.getOrDefault=I;function l(o,E){const v=Object.create(null);return!o||!E||Object.keys(E).forEach(d=>{const h=o[d],g=E[d];C(h,g)||(v[d]=g)}),v}e.distinct=l;function m(o,E){const v=E.toLowerCase(),S=Object.keys(o).find(d=>d.toLowerCase()===v);return S?o[S]:o[E]}e.getCaseInsensitive=m;function u(o,E){const v=Object.create(null);for(const S of Object.keys(o))E(S,o[S])&&(v[S]=o[S]);return v}e.filter=u}),define(we[79],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toUint32=e.toUint8=e.Constants=void 0;var f;(function(_){_[_.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",_[_.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",_[_.MAX_UINT_8=255]="MAX_UINT_8",_[_.MAX_UINT_16=65535]="MAX_UINT_16",_[_.MAX_UINT_32=4294967295]="MAX_UINT_32",_[_.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(f=e.Constants||(e.Constants={}));function R(_){return _<0?0:_>255?255:_|0}e.toUint8=R;function D(_){return _<0?0:_>4294967295?4294967295:_|0}e.toUint32=D}),define(we[2],_e([0,1,21,14]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const D=/^\w[\w\d+.-]*$/,_=/^\//,k=/^\/\//;function y(i,s){if(!i.scheme&&s)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${i.authority}", path: "${i.path}", query: "${i.query}", fragment: "${i.fragment}"}`);if(i.scheme&&!D.test(i.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(i.path){if(i.authority){if(!_.test(i.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(k.test(i.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function b(i,s){return!i&&!s?"file":i}function C(i,s){switch(i){case"https":case"http":case"file":s?s[0]!==I&&(s=I+s):s=I;break}return s}const n="",I="/",l=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class m{constructor(s,c,w,p,P,A=!1){typeof s=="object"?(this.scheme=s.scheme||n,this.authority=s.authority||n,this.path=s.path||n,this.query=s.query||n,this.fragment=s.fragment||n):(this.scheme=b(s,A),this.authority=c||n,this.path=C(this.scheme,w||n),this.query=p||n,this.fragment=P||n,y(this,A))}static isUri(s){return s instanceof m?!0:s?typeof s.authority=="string"&&typeof s.fragment=="string"&&typeof s.path=="string"&&typeof s.query=="string"&&typeof s.scheme=="string"&&typeof s.fsPath=="string"&&typeof s.with=="function"&&typeof s.toString=="function":!1}get fsPath(){return d(this,!1)}with(s){if(!s)return this;let{scheme:c,authority:w,path:p,query:P,fragment:A}=s;return c===void 0?c=this.scheme:c===null&&(c=n),w===void 0?w=this.authority:w===null&&(w=n),p===void 0?p=this.path:p===null&&(p=n),P===void 0?P=this.query:P===null&&(P=n),A===void 0?A=this.fragment:A===null&&(A=n),c===this.scheme&&w===this.authority&&p===this.path&&P===this.query&&A===this.fragment?this:new o(c,w,p,P,A)}static parse(s,c=!1){const w=l.exec(s);return w?new o(w[2]||n,r(w[4]||n),r(w[5]||n),r(w[7]||n),r(w[9]||n),c):new o(n,n,n,n,n)}static file(s){let c=n;if(f.isWindows&&(s=s.replace(/\\/g,I)),s[0]===I&&s[1]===I){const w=s.indexOf(I,2);w===-1?(c=s.substring(2),s=I):(c=s.substring(2,w),s=s.substring(w)||I)}return new o("file",c,s,n,n)}static from(s){const c=new o(s.scheme,s.authority,s.path,s.query,s.fragment);return y(c,!0),c}static joinPath(s,...c){if(!s.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let w;return f.isWindows&&s.scheme==="file"?w=m.file(R.win32.join(d(s,!0),...c)).path:w=R.posix.join(s.path,...c),s.with({path:w})}toString(s=!1){return h(this,s)}toJSON(){return this}static revive(s){if(s){if(s instanceof m)return s;{const c=new o(s);return c._formatted=s.external,c._fsPath=s._sep===u?s.fsPath:null,c}}else return s}}e.URI=m;const u=f.isWindows?1:void 0;class o extends m{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=d(this,!1)),this._fsPath}toString(s=!1){return s?h(this,!0):(this._formatted||(this._formatted=h(this,!1)),this._formatted)}toJSON(){const s={$mid:1};return this._fsPath&&(s.fsPath=this._fsPath,s._sep=u),this._formatted&&(s.external=this._formatted),this.path&&(s.path=this.path),this.scheme&&(s.scheme=this.scheme),this.authority&&(s.authority=this.authority),this.query&&(s.query=this.query),this.fragment&&(s.fragment=this.fragment),s}}const E={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function v(i,s){let c,w=-1;for(let p=0;p<i.length;p++){const P=i.charCodeAt(p);if(P>=97&&P<=122||P>=65&&P<=90||P>=48&&P<=57||P===45||P===46||P===95||P===126||s&&P===47)w!==-1&&(c+=encodeURIComponent(i.substring(w,p)),w=-1),c!==void 0&&(c+=i.charAt(p));else{c===void 0&&(c=i.substr(0,p));const A=E[P];A!==void 0?(w!==-1&&(c+=encodeURIComponent(i.substring(w,p)),w=-1),c+=A):w===-1&&(w=p)}}return w!==-1&&(c+=encodeURIComponent(i.substring(w))),c!==void 0?c:i}function S(i){let s;for(let c=0;c<i.length;c++){const w=i.charCodeAt(c);w===35||w===63?(s===void 0&&(s=i.substr(0,c)),s+=E[w]):s!==void 0&&(s+=i[c])}return s!==void 0?s:i}function d(i,s){let c;return i.authority&&i.path.length>1&&i.scheme==="file"?c=`//${i.authority}${i.path}`:i.path.charCodeAt(0)===47&&(i.path.charCodeAt(1)>=65&&i.path.charCodeAt(1)<=90||i.path.charCodeAt(1)>=97&&i.path.charCodeAt(1)<=122)&&i.path.charCodeAt(2)===58?s?c=i.path.substr(1):c=i.path[1].toLowerCase()+i.path.substr(2):c=i.path,f.isWindows&&(c=c.replace(/\//g,"\\")),c}e.uriToFsPath=d;function h(i,s){const c=s?S:v;let w="",{scheme:p,authority:P,path:A,query:a,fragment:T}=i;if(p&&(w+=p,w+=":"),(P||p==="file")&&(w+=I,w+=I),P){let F=P.indexOf("@");if(F!==-1){const H=P.substr(0,F);P=P.substr(F+1),F=H.indexOf(":"),F===-1?w+=c(H,!1):(w+=c(H.substr(0,F),!1),w+=":",w+=c(H.substr(F+1),!1)),w+="@"}P=P.toLowerCase(),F=P.indexOf(":"),F===-1?w+=c(P,!1):(w+=c(P.substr(0,F),!1),w+=P.substr(F))}if(A){if(A.length>=3&&A.charCodeAt(0)===47&&A.charCodeAt(2)===58){const F=A.charCodeAt(1);F>=65&&F<=90&&(A=`/${String.fromCharCode(F+32)}:${A.substr(3)}`)}else if(A.length>=2&&A.charCodeAt(1)===58){const F=A.charCodeAt(0);F>=65&&F<=90&&(A=`${String.fromCharCode(F+32)}:${A.substr(2)}`)}w+=c(A,!0)}return a&&(w+="?",w+=c(a,!1)),T&&(w+="#",w+=s?T:v(T,!1)),w}function g(i){try{return decodeURIComponent(i)}catch{return i.length>3?i.substr(0,3)+g(i.substr(3)):i}}const t=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function r(i){return i.match(t)?i.replace(t,s=>g(s)):i}});var it=this&&this.__classPrivateFieldSet||function(ne,e,f,R,D){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ne!==e||!D:!e.has(ne))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?D.call(ne,f):D?D.value=f:e.set(ne,f),f},Me=this&&this.__classPrivateFieldGet||function(ne,e,f,R){if(f==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ne!==e||!R:!e.has(ne))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?R:f==="a"?R.call(ne):R?R.value:e.get(ne)};define(we[22],_e([0,1,2,8]),function(ne,e,f,R){"use strict";var D,_,k;Object.defineProperty(e,"__esModule",{value:!0}),e.ReadonlyMapView=e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function y(t,r,i){let s=t.get(r);return s===void 0&&(s=i,t.set(r,s)),s}e.getOrSet=y;function b(t){const r=[];return t.forEach((i,s)=>{r.push(`${s} => ${i}`)}),`Map(${t.size}) {${r.join(", ")}}`}e.mapToString=b;function C(t){const r=[];return t.forEach(i=>{r.push(i)}),`Set(${t.size}) {${r.join(", ")}}`}e.setToString=C;class n{constructor(){this._value="",this._pos=0}reset(r){return this._value=r,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(r){const i=r.charCodeAt(0),s=this._value.charCodeAt(this._pos);return i-s}value(){return this._value[this._pos]}}e.StringIterator=n;class I{constructor(r=!0){this._caseSensitive=r}reset(r){return this._value=r,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let r=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(r)this._from++;else break;else r=!1;return this}cmp(r){return this._caseSensitive?R.compareSubstring(r,this._value,0,r.length,this._from,this._to):R.compareSubstringIgnoreCase(r,this._value,0,r.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=I;class l{constructor(r=!0,i=!0){this._splitOnBackslash=r,this._caseSensitive=i}reset(r){return this._value=r.replace(/\\$|\/$/,""),this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let r=!0;for(;this._to<this._value.length;this._to++){const i=this._value.charCodeAt(this._to);if(i===47||this._splitOnBackslash&&i===92)if(r)this._from++;else break;else r=!1}return this}cmp(r){return this._caseSensitive?R.compareSubstring(r,this._value,0,r.length,this._from,this._to):R.compareSubstringIgnoreCase(r,this._value,0,r.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=l;var m;(function(t){t[t.Scheme=1]="Scheme",t[t.Authority=2]="Authority",t[t.Path=3]="Path",t[t.Query=4]="Query",t[t.Fragment=5]="Fragment"})(m||(m={}));class u{constructor(r){this._ignorePathCasing=r,this._states=[],this._stateIdx=0}reset(r){return this._value=r,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new l(!1,!this._ignorePathCasing(r)),this._pathIterator.reset(r.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(r){if(this._states[this._stateIdx]===1)return R.compareIgnoreCase(r,this._value.scheme);if(this._states[this._stateIdx]===2)return R.compareIgnoreCase(r,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(r);if(this._states[this._stateIdx]===4)return R.compare(r,this._value.query);if(this._states[this._stateIdx]===5)return R.compare(r,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=u;class o{isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}}class E{constructor(r){this._iter=r}static forUris(r=()=>!1){return new E(new u(r))}static forPaths(){return new E(new l)}static forStrings(){return new E(new n)}static forConfigKeys(){return new E(new I)}clear(){this._root=void 0}set(r,i){const s=this._iter.reset(r);let c;for(this._root||(this._root=new o,this._root.segment=s.value()),c=this._root;;){const p=s.cmp(c.segment);if(p>0)c.left||(c.left=new o,c.left.segment=s.value()),c=c.left;else if(p<0)c.right||(c.right=new o,c.right.segment=s.value()),c=c.right;else if(s.hasNext())s.next(),c.mid||(c.mid=new o,c.mid.segment=s.value()),c=c.mid;else break}const w=c.value;return c.value=i,c.key=r,w}get(r){return this._getNode(r)?.value}_getNode(r){const i=this._iter.reset(r);let s=this._root;for(;s;){const c=i.cmp(s.segment);if(c>0)s=s.left;else if(c<0)s=s.right;else if(i.hasNext())i.next(),s=s.mid;else break}return s}has(r){const i=this._getNode(r);return!(i?.value===void 0&&i?.mid===void 0)}delete(r){return this._delete(r,!1)}deleteSuperstr(r){return this._delete(r,!0)}_delete(r,i){const s=this._iter.reset(r),c=[];let w=this._root;for(;w;){const p=s.cmp(w.segment);if(p>0)c.push([1,w]),w=w.left;else if(p<0)c.push([-1,w]),w=w.right;else if(s.hasNext())s.next(),c.push([0,w]),w=w.mid;else{for(i?(w.left=void 0,w.mid=void 0,w.right=void 0):w.value=void 0;c.length>0&&w.isEmpty();){let[P,A]=c.pop();switch(P){case 1:A.left=void 0;break;case 0:A.mid=void 0;break;case-1:A.right=void 0;break}w=A}break}}}findSubstr(r){const i=this._iter.reset(r);let s=this._root,c;for(;s;){const w=i.cmp(s.segment);if(w>0)s=s.left;else if(w<0)s=s.right;else if(i.hasNext())i.next(),c=s.value||c,s=s.mid;else break}return s&&s.value||c}findSuperstr(r){const i=this._iter.reset(r);let s=this._root;for(;s;){const c=i.cmp(s.segment);if(c>0)s=s.left;else if(c<0)s=s.right;else if(i.hasNext())i.next(),s=s.mid;else return s.mid?this._entries(s.mid):void 0}}forEach(r){for(const[i,s]of this)r(s,i)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(r){if(!r)return;const i=[r];for(;i.length>0;){const s=i.pop();s&&(s.value&&(yield[s.key,s.value]),s.left&&i.push(s.left),s.mid&&i.push(s.mid),s.right&&i.push(s.right))}}}e.TernarySearchTree=E;class v{constructor(r,i){this[D]="ResourceMap",r instanceof v?(this.map=new Map(r.map),this.toKey=i??v.defaultToKey):(this.map=new Map,this.toKey=r??v.defaultToKey)}set(r,i){return this.map.set(this.toKey(r),i),this}get(r){return this.map.get(this.toKey(r))}has(r){return this.map.has(this.toKey(r))}get size(){return this.map.size}clear(){this.map.clear()}delete(r){return this.map.delete(this.toKey(r))}forEach(r,i){typeof i!="undefined"&&(r=r.bind(i));for(let[s,c]of this.map)r(c,f.URI.parse(s),this)}values(){return this.map.values()}*keys(){for(let r of this.map.keys())yield f.URI.parse(r)}*entries(){for(let r of this.map.entries())yield[f.URI.parse(r[0]),r[1]]}*[(D=Symbol.toStringTag,Symbol.iterator)](){for(let r of this.map)yield[f.URI.parse(r[0]),r[1]]}}e.ResourceMap=v,v.defaultToKey=t=>t.toString();var S;(function(t){t[t.None=0]="None",t[t.AsOld=1]="AsOld",t[t.AsNew=2]="AsNew"})(S=e.Touch||(e.Touch={}));class d{constructor(){this[_]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(r){return this._map.has(r)}get(r,i=0){const s=this._map.get(r);if(!!s)return i!==0&&this.touch(s,i),s.value}set(r,i,s=0){let c=this._map.get(r);if(c)c.value=i,s!==0&&this.touch(c,s);else{switch(c={key:r,value:i,next:void 0,previous:void 0},s){case 0:this.addItemLast(c);break;case 1:this.addItemFirst(c);break;case 2:this.addItemLast(c);break;default:this.addItemLast(c);break}this._map.set(r,c),this._size++}return this}delete(r){return!!this.remove(r)}remove(r){const i=this._map.get(r);if(!!i)return this._map.delete(r),this.removeItem(i),this._size--,i.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const r=this._head;return this._map.delete(r.key),this.removeItem(r),this._size--,r.value}forEach(r,i){const s=this._state;let c=this._head;for(;c;){if(i?r.bind(i)(c.value,c.key,this):r(c.value,c.key,this),this._state!==s)throw new Error("LinkedMap got modified during iteration.");c=c.next}}keys(){const r=this,i=this._state;let s=this._head;const c={[Symbol.iterator](){return c},next(){if(r._state!==i)throw new Error("LinkedMap got modified during iteration.");if(s){const w={value:s.key,done:!1};return s=s.next,w}else return{value:void 0,done:!0}}};return c}values(){const r=this,i=this._state;let s=this._head;const c={[Symbol.iterator](){return c},next(){if(r._state!==i)throw new Error("LinkedMap got modified during iteration.");if(s){const w={value:s.value,done:!1};return s=s.next,w}else return{value:void 0,done:!0}}};return c}entries(){const r=this,i=this._state;let s=this._head;const c={[Symbol.iterator](){return c},next(){if(r._state!==i)throw new Error("LinkedMap got modified during iteration.");if(s){const w={value:[s.key,s.value],done:!1};return s=s.next,w}else return{value:void 0,done:!0}}};return c}[(_=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(r){if(r>=this.size)return;if(r===0){this.clear();return}let i=this._head,s=this.size;for(;i&&s>r;)this._map.delete(i.key),i=i.next,s--;this._head=i,this._size=s,i&&(i.previous=void 0),this._state++}addItemFirst(r){if(!this._head&&!this._tail)this._tail=r;else if(this._head)r.next=this._head,this._head.previous=r;else throw new Error("Invalid list");this._head=r,this._state++}addItemLast(r){if(!this._head&&!this._tail)this._head=r;else if(this._tail)r.previous=this._tail,this._tail.next=r;else throw new Error("Invalid list");this._tail=r,this._state++}removeItem(r){if(r===this._head&&r===this._tail)this._head=void 0,this._tail=void 0;else if(r===this._head){if(!r.next)throw new Error("Invalid list");r.next.previous=void 0,this._head=r.next}else if(r===this._tail){if(!r.previous)throw new Error("Invalid list");r.previous.next=void 0,this._tail=r.previous}else{const i=r.next,s=r.previous;if(!i||!s)throw new Error("Invalid list");i.previous=s,s.next=i}r.next=void 0,r.previous=void 0,this._state++}touch(r,i){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(i!==1&&i!==2)){if(i===1){if(r===this._head)return;const s=r.next,c=r.previous;r===this._tail?(c.next=void 0,this._tail=c):(s.previous=c,c.next=s),r.previous=void 0,r.next=this._head,this._head.previous=r,this._head=r,this._state++}else if(i===2){if(r===this._tail)return;const s=r.next,c=r.previous;r===this._head?(s.previous=void 0,this._head=s):(s.previous=c,c.next=s),r.next=void 0,r.previous=this._tail,this._tail.next=r,this._tail=r,this._state++}}}toJSON(){const r=[];return this.forEach((i,s)=>{r.push([s,i])}),r}fromJSON(r){this.clear();for(const[i,s]of r)this.set(i,s)}}e.LinkedMap=d;class h extends d{constructor(r,i=1){super();this._limit=r,this._ratio=Math.min(Math.max(0,i),1)}get limit(){return this._limit}set limit(r){this._limit=r,this.checkTrim()}get ratio(){return this._ratio}set ratio(r){this._ratio=Math.min(Math.max(0,r),1),this.checkTrim()}get(r,i=2){return super.get(r,i)}peek(r){return super.get(r,0)}set(r,i){return super.set(r,i,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=h;class g{constructor(r){k.set(this,void 0),it(this,k,r,"f")}get size(){return Me(this,k,"f").size}forEach(r,i){Me(this,k,"f").forEach(r,i)}get(r){return Me(this,k,"f").get(r)}has(r){return Me(this,k,"f").has(r)}entries(){return Me(this,k,"f").entries()}keys(){return Me(this,k,"f").keys()}values(){return Me(this,k,"f").values()}[(k=new WeakMap,Symbol.iterator)](){return Me(this,k,"f").entries()}}e.ReadonlyMapView=g}),define(we[111],_e([0,1,22,8]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fuzzyScoreGraceful=e.fuzzyScoreGracefulAggressive=e.fuzzyScore=e.FuzzyScore=e.isPatternInWord=e.createMatches=e.anyScore=e.matchesFuzzy2=e.matchesFuzzy=e.matchesWords=e.matchesCamelCase=e.isUpper=e.matchesSubString=e.matchesContiguousSubString=e.matchesPrefix=e.matchesStrictPrefix=e.or=void 0;function D(...j){return function(re,me){for(let Te=0,Be=j.length;Te<Be;Te++){const pe=j[Te](re,me);if(pe)return pe}return null}}e.or=D,e.matchesStrictPrefix=_.bind(void 0,!1),e.matchesPrefix=_.bind(void 0,!0);function _(j,re,me){if(!me||me.length<re.length)return null;let Te;return j?Te=R.startsWithIgnoreCase(me,re):Te=me.indexOf(re)===0,Te?re.length>0?[{start:0,end:re.length}]:[]:null}function k(j,re){const me=re.toLowerCase().indexOf(j.toLowerCase());return me===-1?null:[{start:me,end:me+j.length}]}e.matchesContiguousSubString=k;function y(j,re){return b(j.toLowerCase(),re.toLowerCase(),0,0)}e.matchesSubString=y;function b(j,re,me,Te){if(me===j.length)return[];if(Te===re.length)return null;if(j[me]===re[Te]){let Be=null;return(Be=b(j,re,me+1,Te+1))?v({start:Te,end:Te+1},Be):null}return b(j,re,me,Te+1)}function C(j){return 97<=j&&j<=122}function n(j){return 65<=j&&j<=90}e.isUpper=n;function I(j){return 48<=j&&j<=57}function l(j){return j===32||j===9||j===10||j===13}const m=new Set;"`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?".split("").forEach(j=>m.add(j.charCodeAt(0)));function u(j){return l(j)||m.has(j)}function o(j,re){return j===re||u(j)&&u(re)}function E(j){return C(j)||n(j)||I(j)}function v(j,re){return re.length===0?re=[j]:j.end===re[0].start?re[0].start=j.start:re.unshift(j),re}function S(j,re){for(let me=re;me<j.length;me++){const Te=j.charCodeAt(me);if(n(Te)||I(Te)||me>0&&!E(j.charCodeAt(me-1)))return me}return j.length}function d(j,re,me,Te){if(me===j.length)return[];if(Te===re.length)return null;if(j[me]!==re[Te].toLowerCase())return null;{let Be=null,pe=Te+1;for(Be=d(j,re,me+1,Te+1);!Be&&(pe=S(re,pe))<re.length;)Be=d(j,re,me+1,pe),pe++;return Be===null?null:v({start:Te,end:Te+1},Be)}}function h(j){let re=0,me=0,Te=0,Be=0,pe=0;for(let Ne=0;Ne<j.length;Ne++)pe=j.charCodeAt(Ne),n(pe)&&re++,C(pe)&&me++,E(pe)&&Te++,I(pe)&&Be++;const Qe=re/j.length,z=me/j.length,ee=Te/j.length,de=Be/j.length;return{upperPercent:Qe,lowerPercent:z,alphaPercent:ee,numericPercent:de}}function g(j){const{upperPercent:re,lowerPercent:me}=j;return me===0&&re>.6}function t(j){const{upperPercent:re,lowerPercent:me,alphaPercent:Te,numericPercent:Be}=j;return me>.2&&re<.8&&Te>.6&&Be<.2}function r(j){let re=0,me=0,Te=0,Be=0;for(let pe=0;pe<j.length;pe++)Te=j.charCodeAt(pe),n(Te)&&re++,C(Te)&&me++,l(Te)&&Be++;return(re===0||me===0)&&Be===0?j.length<=30:re<=5}function i(j,re){if(!re||(re=re.trim(),re.length===0)||!r(j)||re.length>60)return null;const me=h(re);if(!t(me)){if(!g(me))return null;re=re.toLowerCase()}let Te=null,Be=0;for(j=j.toLowerCase();Be<re.length&&(Te=d(j,re,0,Be))===null;)Be=S(re,Be+1);return Te}e.matchesCamelCase=i;function s(j,re,me=!1){if(!re||re.length===0)return null;let Te=null,Be=0;for(j=j.toLowerCase(),re=re.toLowerCase();Be<re.length&&(Te=c(j,re,0,Be,me))===null;)Be=w(re,Be+1);return Te}e.matchesWords=s;function c(j,re,me,Te,Be){if(me===j.length)return[];if(Te===re.length)return null;if(o(j.charCodeAt(me),re.charCodeAt(Te))){let pe=null,Qe=Te+1;if(pe=c(j,re,me+1,Te+1,Be),!Be)for(;!pe&&(Qe=w(re,Qe))<re.length;)pe=c(j,re,me+1,Qe,Be),Qe++;return pe===null?null:v({start:Te,end:Te+1},pe)}else return null}function w(j,re){for(let me=re;me<j.length;me++)if(u(j.charCodeAt(me))||me>0&&u(j.charCodeAt(me-1)))return me;return j.length}const p=D(e.matchesPrefix,i,k),P=D(e.matchesPrefix,i,y),A=new f.LRUCache(1e4);function a(j,re,me=!1){if(typeof j!="string"||typeof re!="string")return null;let Te=A.get(j);Te||(Te=new RegExp(R.convertSimple2RegExpPattern(j),"i"),A.set(j,Te));const Be=Te.exec(re);return Be?[{start:Be.index,end:Be.index+Be[0].length}]:me?P(j,re):p(j,re)}e.matchesFuzzy=a;function T(j,re){const me=tt(j,j.toLowerCase(),0,re,re.toLowerCase(),0,!0);return me?H(me):null}e.matchesFuzzy2=T;function F(j,re,me,Te,Be,pe){const Qe=Math.min(13,j.length);for(;me<Qe;me++){const z=tt(j,re,me,Te,Be,pe,!1);if(z)return z}return[0,pe]}e.anyScore=F;function H(j){if(typeof j=="undefined")return[];const re=[],me=j[1];for(let Te=j.length-1;Te>1;Te--){const Be=j[Te]+me,pe=re[re.length-1];pe&&pe.end===Be?pe.end=Be+1:re.push({start:Be,end:Be+1})}return re}e.createMatches=H;const $=128;function Z(){const j=[],re=[];for(let me=0;me<=$;me++)re[me]=0;for(let me=0;me<=$;me++)j.push(re.slice(0));return j}function V(j){const re=[];for(let me=0;me<=j;me++)re[me]=0;return re}const B=V(2*$),Y=V(2*$),L=Z(),J=Z(),N=Z(),W=!1;function Q(j,re,me,Te,Be){function pe(z,ee,de=" "){for(;z.length<ee;)z=de+z;return z}let Qe=` |   |${Te.split("").map(z=>pe(z,3)).join("|")}
`;for(let z=0;z<=me;z++)z===0?Qe+=" |":Qe+=`${re[z-1]}|`,Qe+=j[z].slice(0,Be+1).map(ee=>pe(ee.toString(),3)).join("|")+`
`;return Qe}function G(j,re,me,Te){j=j.substr(re),me=me.substr(Te),console.log(Q(J,j,j.length,me,me.length)),console.log(Q(N,j,j.length,me,me.length)),console.log(Q(L,j,j.length,me,me.length))}function ue(j,re){if(re<0||re>=j.length)return!1;const me=j.codePointAt(re);switch(me){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 40:case 91:return!0;case void 0:return!1;default:return!!R.isEmojiImprecise(me)}}function ke(j,re){if(re<0||re>=j.length)return!1;switch(j.charCodeAt(re)){case 32:case 9:return!0;default:return!1}}function Re(j,re,me){return re[j]!==me[j]}function ze(j,re,me,Te,Be,pe,Qe=!1){for(;re<me&&Be<pe;)j[re]===Te[Be]&&(Qe&&(B[re]=Be),re+=1),Be+=1;return re===me}e.isPatternInWord=ze;var xe;(function(j){j[j.Diag=1]="Diag",j[j.Left=2]="Left",j[j.LeftLeft=3]="LeftLeft"})(xe||(xe={}));var Ve;(function(j){j.Default=[-100,0];function re(me){return!me||me.length===2&&me[0]===-100&&me[1]===0}j.isDefault=re})(Ve=e.FuzzyScore||(e.FuzzyScore={}));function tt(j,re,me,Te,Be,pe,Qe){const z=j.length>$?$:j.length,ee=Te.length>$?$:Te.length;if(me>=z||pe>=ee||z-me>ee-pe||!ze(re,me,z,Be,pe,ee,!0))return;Ye(z,ee,me,pe,re,Be);let de=1,Ne=1,Ue=me,Xe=pe;const De=[!1];for(de=1,Ue=me;Ue<z;de++,Ue++){const he=B[Ue],ge=Y[Ue],U=Ue+1<z?Y[Ue+1]:ee;for(Ne=he-pe+1,Xe=he;Xe<U;Ne++,Xe++){let fe=Number.MIN_SAFE_INTEGER,be=!1;Xe<=ge&&(fe=et(j,re,Ue,me,Te,Be,Xe,ee,pe,L[de-1][Ne-1]===0,De));let Pe=0;fe!==Number.MAX_SAFE_INTEGER&&(be=!0,Pe=fe+J[de-1][Ne-1]);const Fe=Xe>he,$e=Fe?J[de][Ne-1]+(L[de][Ne-1]>0?-5:0):0,Ze=Xe>he+1&&L[de][Ne-1]>0,Ge=Ze?J[de][Ne-2]+(L[de][Ne-2]>0?-5:0):0;if(Ze&&(!Fe||Ge>=$e)&&(!be||Ge>=Pe))J[de][Ne]=Ge,N[de][Ne]=3,L[de][Ne]=0;else if(Fe&&(!be||$e>=Pe))J[de][Ne]=$e,N[de][Ne]=2,L[de][Ne]=0;else if(be)J[de][Ne]=Pe,N[de][Ne]=1,L[de][Ne]=L[de-1][Ne-1]+1;else throw new Error("not possible")}}if(W&&G(j,me,Te,pe),!De[0]&&!Qe)return;de--,Ne--;const Se=[J[de][Ne],pe];let Ie=0,se=0;for(;de>=1;){let he=Ne;do{const ge=N[de][he];if(ge===3)he=he-2;else if(ge===2)he=he-1;else break}while(he>=1);Ie>1&&re[me+de-1]===Be[pe+Ne-1]&&!Re(he+pe-1,Te,Be)&&Ie+1>L[de][he]&&(he=Ne),he===Ne?Ie++:Ie=1,se||(se=he),de--,Ne=he-1,Se.push(Ne)}ee===z&&(Se[0]+=2);const le=se-z;return Se[0]-=le,Se}e.fuzzyScore=tt;function Ye(j,re,me,Te,Be,pe){let Qe=j-1,z=re-1;for(;Qe>=me&&z>=Te;)Be[Qe]===pe[z]&&(Y[Qe]=z,Qe--),z--}function et(j,re,me,Te,Be,pe,Qe,z,ee,de,Ne){if(re[me]!==pe[Qe])return Number.MIN_SAFE_INTEGER;let Ue=1,Xe=!1;return Qe===me-Te?Ue=j[me]===Be[Qe]?7:5:Re(Qe,Be,pe)&&(Qe===0||!Re(Qe-1,Be,pe))?(Ue=j[me]===Be[Qe]?7:5,Xe=!0):ue(pe,Qe)&&(Qe===0||!ue(pe,Qe-1))?Ue=5:(ue(pe,Qe-1)||ke(pe,Qe-1))&&(Ue=5,Xe=!0),Ue>1&&me===Te&&(Ne[0]=!0),Xe||(Xe=Re(Qe,Be,pe)||ue(pe,Qe-1)||ke(pe,Qe-1)),me===Te?Qe>ee&&(Ue-=Xe?3:5):de?Ue+=Xe?2:0:Ue+=Xe?0:1,Qe+1===z&&(Ue-=Xe?3:5),Ue}function x(j,re,me,Te,Be,pe,Qe){return ie(j,re,me,Te,Be,pe,!0,Qe)}e.fuzzyScoreGracefulAggressive=x;function K(j,re,me,Te,Be,pe,Qe){return ie(j,re,me,Te,Be,pe,!1,Qe)}e.fuzzyScoreGraceful=K;function ie(j,re,me,Te,Be,pe,Qe,z){let ee=tt(j,re,me,Te,Be,pe,z);if(ee&&!Qe)return ee;if(j.length>=3){const de=Math.min(7,j.length-1);for(let Ne=me+1;Ne<de;Ne++){const Ue=ae(j,Ne);if(Ue){const Xe=tt(Ue,Ue.toLowerCase(),me,Te,Be,pe,z);Xe&&(Xe[0]-=3,(!ee||Xe[0]>ee[0])&&(ee=Xe))}}}return ee}function ae(j,re){if(re+1>=j.length)return;const me=j[re],Te=j[re+1];if(me!==Te)return j.slice(0,re)+Te+me+j.slice(re+2)}}),define(we[112],_e([0,1,78,111,8]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesFuzzyIconAware=e.parseLabelWithIcons=e.stripIcons=e.markdownEscapeEscapedIcons=e.escapeIcons=e.iconStartMarker=void 0,e.iconStartMarker="$(";const _=new RegExp(`\\$\\(${f.CSSIcon.iconNameExpression}(?:${f.CSSIcon.iconModifierExpression})?\\)`,"g"),k=new RegExp(`(\\\\)?${_.source}`,"g");function y(o){return o.replace(k,(E,v)=>v?E:`\\${E}`)}e.escapeIcons=y;const b=new RegExp(`\\\\${_.source}`,"g");function C(o){return o.replace(b,E=>`\\${E}`)}e.markdownEscapeEscapedIcons=C;const n=new RegExp(`(\\s)?(\\\\)?${_.source}(\\s)?`,"g");function I(o){return o.indexOf(e.iconStartMarker)===-1?o:o.replace(n,(E,v,S,d)=>S?E:v||d||"")}e.stripIcons=I;function l(o){const E=o.indexOf(e.iconStartMarker);return E===-1?{text:o}:m(o,E)}e.parseLabelWithIcons=l;function m(o,E){const v=[];let S="";function d(w){if(w){S+=w;for(const p of w)v.push(t)}}let h=-1,g="",t=0,r,i,s=E;const c=o.length;for(d(o.substr(0,E));s<c;)r=o[s],i=o[s+1],r===e.iconStartMarker[0]&&i===e.iconStartMarker[1]?(h=s,d(g),g=e.iconStartMarker,s++):r===")"&&h!==-1?(t+=s-h+1,h=-1,g=""):h!==-1?/^[a-z0-9\-]$/i.test(r)?g+=r:(d(g),h=-1,g=""):d(r),s++;return d(g),{text:S,iconOffsets:v}}function u(o,E,v=!1){const{text:S,iconOffsets:d}=E;if(!d||d.length===0)return R.matchesFuzzy(o,S,v);const h=D.ltrim(S," "),g=S.length-h.length,t=R.matchesFuzzy(o,h,v);if(t)for(const r of t){const i=d[r.start+g]+g;r.start+=i,r.end+=i}return t}e.matchesFuzzyIconAware=u}),define(we[80],_e([0,1,112,12]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseHrefAndDimensions=e.removeMarkdownEscapes=e.escapeMarkdownSyntaxTokens=e.markdownStringEqual=e.isMarkdownString=e.isEmptyMarkdownString=e.MarkdownString=e.MarkdownStringTextNewlineStyle=void 0;var D;(function(l){l[l.Paragraph=0]="Paragraph",l[l.Break=1]="Break"})(D=e.MarkdownStringTextNewlineStyle||(e.MarkdownStringTextNewlineStyle={}));class _{constructor(m="",u=!1){if(this.value=m,typeof this.value!="string")throw R.illegalArgument("value");typeof u=="boolean"?(this.isTrusted=u,this.supportThemeIcons=!1):(this.isTrusted=u.isTrusted??void 0,this.supportThemeIcons=u.supportThemeIcons??!1)}appendText(m,u=0){return this.value+=C(this.supportThemeIcons?f.escapeIcons(m):m).replace(/([ \t]+)/g,(o,E)=>"&nbsp;".repeat(E.length)).replace(/^>/gm,"\\>").replace(/\n/g,u===1?`\\
`:`

`),this}appendMarkdown(m){return this.value+=m,this}appendCodeblock(m,u){return this.value+="\n```",this.value+=m,this.value+=`
`,this.value+=u,this.value+="\n```\n",this}}e.MarkdownString=_;function k(l){return y(l)?!l.value:Array.isArray(l)?l.every(k):!0}e.isEmptyMarkdownString=k;function y(l){return l instanceof _?!0:l&&typeof l=="object"?typeof l.value=="string"&&(typeof l.isTrusted=="boolean"||l.isTrusted===void 0)&&(typeof l.supportThemeIcons=="boolean"||l.supportThemeIcons===void 0):!1}e.isMarkdownString=y;function b(l,m){return l===m?!0:!l||!m?!1:l.value===m.value&&l.isTrusted===m.isTrusted&&l.supportThemeIcons===m.supportThemeIcons}e.markdownStringEqual=b;function C(l){return l.replace(/[\\`*_{}[\]()#+\-.!]/g,"\\$&")}e.escapeMarkdownSyntaxTokens=C;function n(l){return l&&l.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1")}e.removeMarkdownEscapes=n;function I(l){const m=[],u=l.split("|").map(E=>E.trim());l=u[0];const o=u[1];if(o){const E=/height=(\d+)/.exec(o),v=/width=(\d+)/.exec(o),S=E?E[1]:"",d=v?v[1]:"",h=isFinite(parseInt(d)),g=isFinite(parseInt(S));h&&m.push(`width="${d}"`),g&&m.push(`height="${S}"`)}return{href:l,dimensions:m}}e.parseHrefAndDimensions=I}),define(we[53],_e([0,1,24,8,2]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.MarshalledId=e.parse=e.stringify=void 0;function _(n){return JSON.stringify(n,b)}e.stringify=_;function k(n){let I=JSON.parse(n);return I=C(I),I}e.parse=k;var y;(function(n){n[n.Uri=1]="Uri",n[n.Regexp=2]="Regexp",n[n.ScmResource=3]="ScmResource",n[n.ScmResourceGroup=4]="ScmResourceGroup",n[n.ScmProvider=5]="ScmProvider",n[n.CommentController=6]="CommentController",n[n.CommentThread=7]="CommentThread",n[n.CommentThreadReply=8]="CommentThreadReply",n[n.CommentNode=9]="CommentNode",n[n.CommentThreadNode=10]="CommentThreadNode",n[n.TimelineActionContext=11]="TimelineActionContext",n[n.NotebookCellActionContext=12]="NotebookCellActionContext",n[n.TestItemContext=13]="TestItemContext"})(y=e.MarshalledId||(e.MarshalledId={}));function b(n,I){return I instanceof RegExp?{$mid:2,source:I.source,flags:R.regExpFlags(I)}:I}function C(n,I=0){if(!n||I>200)return n;if(typeof n=="object"){switch(n.$mid){case 1:return D.URI.revive(n);case 2:return new RegExp(n.source,n.flags)}if(n instanceof f.VSBuffer||n instanceof Uint8Array)return n;if(Array.isArray(n))for(let l=0;l<n.length;++l)n[l]=C(n[l],I+1);else for(const l in n)Object.hasOwnProperty.call(n,l)&&(n[l]=C(n[l],I+1))}return n}e.revive=C}),define(we[11],_e([0,1,2,21]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var D;(function(y){y.inMemory="inmemory",y.vscode="vscode",y.internal="private",y.walkThrough="walkThrough",y.walkThroughSnippet="walkThroughSnippet",y.http="http",y.https="https",y.file="file",y.mailto="mailto",y.untitled="untitled",y.data="data",y.command="command",y.vscodeRemote="vscode-remote",y.vscodeRemoteResource="vscode-remote-resource",y.userData="vscode-userdata",y.vscodeCustomEditor="vscode-custom-editor",y.vscodeNotebook="vscode-notebook",y.vscodeNotebookCell="vscode-notebook-cell",y.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",y.vscodeNotebookCellOutput="vscode-notebook-cell-output",y.vscodeInteractive="vscode-interactive",y.vscodeInteractiveInput="vscode-interactive-input",y.vscodeSettings="vscode-settings",y.vscodeWorkspaceTrust="vscode-workspace-trust",y.vscodeTerminal="vscode-terminal",y.webviewPanel="webview-panel",y.vscodeWebview="vscode-webview",y.extension="extension",y.vscodeFileResource="vscode-file",y.tmp="tmp"})(D=e.Schemas||(e.Schemas={}));class _{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(b){this._preferredWebSchema=b}setDelegate(b){this._delegate=b}set(b,C,n){this._hosts[b]=C,this._ports[b]=n}setConnectionToken(b,C){this._connectionTokens[b]=C}rewrite(b){if(this._delegate)return this._delegate(b);const C=b.authority;let n=this._hosts[C];n&&n.indexOf(":")!==-1&&(n=`[${n}]`);const I=this._ports[C],l=this._connectionTokens[C];let m=`path=${encodeURIComponent(b.path)}`;return typeof l=="string"&&(m+=`&tkn=${encodeURIComponent(l)}`),f.URI.from({scheme:R.isWeb?this._preferredWebSchema:D.vscodeRemoteResource,authority:`${n}:${I}`,path:"/vscode-remote-resource",query:m})}}e.RemoteAuthorities=new _;class k{constructor(){this.FALLBACK_AUTHORITY="vscode-app"}asBrowserUri(b,C,n){const I=this.toUri(b,C);if(I.scheme===D.vscodeRemote)return e.RemoteAuthorities.rewrite(I);let l=!1;return R.isNative&&(n||R.isPreferringBrowserCodeLoad)&&I.scheme===D.file&&(l=!0),I.scheme===D.file&&typeof R.globals.importScripts=="function"&&R.globals.origin==="vscode-file://vscode-app"&&(l=!0),l?I.with({scheme:D.vscodeFileResource,authority:I.authority||this.FALLBACK_AUTHORITY,query:null,fragment:null}):I}asFileUri(b,C){const n=this.toUri(b,C);return n.scheme===D.vscodeFileResource?n.with({scheme:D.file,authority:n.authority!==this.FALLBACK_AUTHORITY?n.authority:null,query:null,fragment:null}):n}toUri(b,C){return f.URI.isUri(b)?b:f.URI.parse(C.toUrl(b))}}e.FileAccess=new k}),define(we[23],_e([0,1,43,14,2,8,11,21]),function(ne,e,f,R,D,_,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function b(m){return D.uriToFsPath(m,!0)}e.originalFSPath=b;class C{constructor(u){this._ignorePathCasing=u}compare(u,o,E=!1){return u===o?0:_.compare(this.getComparisonKey(u,E),this.getComparisonKey(o,E))}isEqual(u,o,E=!1){return u===o?!0:!u||!o?!1:this.getComparisonKey(u,E)===this.getComparisonKey(o,E)}getComparisonKey(u,o=!1){return u.with({path:this._ignorePathCasing(u)?u.path.toLowerCase():void 0,fragment:o?null:void 0}).toString()}ignorePathCasing(u){return this._ignorePathCasing(u)}isEqualOrParent(u,o,E=!1){if(u.scheme===o.scheme){if(u.scheme===k.Schemas.file)return f.isEqualOrParent(b(u),b(o),this._ignorePathCasing(u))&&u.query===o.query&&(E||u.fragment===o.fragment);if(e.isEqualAuthority(u.authority,o.authority))return f.isEqualOrParent(u.path,o.path,this._ignorePathCasing(u),"/")&&u.query===o.query&&(E||u.fragment===o.fragment)}return!1}joinPath(u,...o){return D.URI.joinPath(u,...o)}basenameOrAuthority(u){return e.basename(u)||u.authority}basename(u){return R.posix.basename(u.path)}extname(u){return R.posix.extname(u.path)}dirname(u){if(u.path.length===0)return u;let o;return u.scheme===k.Schemas.file?o=D.URI.file(R.dirname(b(u))).path:(o=R.posix.dirname(u.path),u.authority&&o.length&&o.charCodeAt(0)!==47&&(console.error(`dirname("${u.toString})) resulted in a relative path`),o="/")),u.with({path:o})}normalizePath(u){if(!u.path.length)return u;let o;return u.scheme===k.Schemas.file?o=D.URI.file(R.normalize(b(u))).path:o=R.posix.normalize(u.path),u.with({path:o})}relativePath(u,o){if(u.scheme!==o.scheme||!e.isEqualAuthority(u.authority,o.authority))return;if(u.scheme===k.Schemas.file){const S=R.relative(b(u),b(o));return y.isWindows?f.toSlashes(S):S}let E=u.path||"/",v=o.path||"/";if(this._ignorePathCasing(u)){let S=0;for(const d=Math.min(E.length,v.length);S<d&&!(E.charCodeAt(S)!==v.charCodeAt(S)&&E.charAt(S).toLowerCase()!==v.charAt(S).toLowerCase());S++);E=v.substr(0,S)+E.substr(S)}return R.posix.relative(E,v)}resolvePath(u,o){if(u.scheme===k.Schemas.file){const E=D.URI.file(R.resolve(b(u),o));return u.with({authority:E.authority,path:E.path})}return o=f.toPosixPath(o),u.with({path:R.posix.resolve(u.path,o)})}isAbsolutePath(u){return!!u.path&&u.path[0]==="/"}isEqualAuthority(u,o){return u===o||_.equalsIgnoreCase(u,o)}hasTrailingPathSeparator(u,o=R.sep){if(u.scheme===k.Schemas.file){const E=b(u);return E.length>f.getRoot(E).length&&E[E.length-1]===o}else{const E=u.path;return E.length>1&&E.charCodeAt(E.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(u.fsPath)}}removeTrailingPathSeparator(u,o=R.sep){return e.hasTrailingPathSeparator(u,o)?u.with({path:u.path.substr(0,u.path.length-1)}):u}addTrailingPathSeparator(u,o=R.sep){let E=!1;if(u.scheme===k.Schemas.file){const v=b(u);E=v!==void 0&&v.length===f.getRoot(v).length&&v[v.length-1]===o}else{o="/";const v=u.path;E=v.length===1&&v.charCodeAt(v.length-1)===47}return!E&&!e.hasTrailingPathSeparator(u,o)?u.with({path:u.path+"/"}):u}}e.ExtUri=C,e.extUri=new C(()=>!1),e.extUriBiasedIgnorePathCase=new C(m=>m.scheme===k.Schemas.file?!y.isLinux:!0),e.extUriIgnorePathCase=new C(m=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function n(m,u){const o=[];for(let E=0;E<m.length;E++){const v=u(m[E]);m.some((S,d)=>d===E?!1:e.isEqualOrParent(v,u(S)))||o.push(m[E])}return o}e.distinctParents=n;var I;(function(m){m.META_DATA_LABEL="label",m.META_DATA_DESCRIPTION="description",m.META_DATA_SIZE="size",m.META_DATA_MIME="mime";function u(o){const E=new Map;o.path.substring(o.path.indexOf(";")+1,o.path.lastIndexOf(";")).split(";").forEach(d=>{const[h,g]=d.split(":");h&&g&&E.set(h,g)});const S=o.path.substring(0,o.path.indexOf(";"));return S&&E.set(m.META_DATA_MIME,S),E}m.parseMetaData=u})(I=e.DataUri||(e.DataUri={}));function l(m,u,o){if(u){let E=m.path;return E&&E[0]!==R.posix.sep&&(E=R.posix.sep+E),m.with({scheme:o,authority:u,path:E})}return m.with({scheme:o})}e.toLocalResource=l}),define(we[15],_e([0,1,18,12,3,6,23]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.ignoreErrors=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function y(L){return!!L&&typeof L.then=="function"}e.isThenable=y;function b(L){const J=new f.CancellationTokenSource,N=L(J.token),W=new Promise((Q,G)=>{J.token.onCancellationRequested(()=>{G(R.canceled())}),Promise.resolve(N).then(ue=>{J.dispose(),Q(ue)},ue=>{J.dispose(),G(ue)})});return new class{cancel(){J.cancel()}then(Q,G){return W.then(Q,G)}catch(Q){return this.then(void 0,Q)}finally(Q){return W.finally(Q)}}}e.createCancelablePromise=b;function C(L,J,N){return Promise.race([L,new Promise(W=>J.onCancellationRequested(()=>W(N)))])}e.raceCancellation=C;async function n(L){let J=-1;const N=L.map((Q,G)=>Q.then(ue=>(J=G,ue))),W=await Promise.race(N);return L.forEach((Q,G)=>{G!==J&&Q.cancel()}),W}e.raceCancellablePromises=n;function I(L,J,N){let W;const Q=setTimeout(()=>{W?.(void 0),N?.()},J);return Promise.race([L.finally(()=>clearTimeout(Q)),new Promise(G=>W=G)])}e.raceTimeout=I;function l(L){return new Promise((J,N)=>{const W=L();y(W)?W.then(J,N):J(W)})}e.asPromise=l;class m{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(J){if(this.activePromise){if(this.queuedPromiseFactory=J,!this.queuedPromise){const N=()=>{this.queuedPromise=null;const W=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,W};this.queuedPromise=new Promise(W=>{this.activePromise.then(N,N).then(W)})}return new Promise((N,W)=>{this.queuedPromise.then(N,W)})}return this.activePromise=J(),new Promise((N,W)=>{this.activePromise.then(Q=>{this.activePromise=null,N(Q)},Q=>{this.activePromise=null,W(Q)})})}}e.Throttler=m;class u{constructor(){this.current=Promise.resolve(null)}queue(J){return this.current=this.current.then(()=>J(),()=>J())}}e.Sequencer=u;class o{constructor(){this.promiseMap=new Map}queue(J,N){const Q=(this.promiseMap.get(J)??Promise.resolve()).catch(()=>{}).then(N).finally(()=>{this.promiseMap.get(J)===Q&&this.promiseMap.delete(J)});return this.promiseMap.set(J,Q),Q}}e.SequencerByKey=o;class E{constructor(J){this.defaultDelay=J,this.timeout=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(J,N=this.defaultDelay){return this.task=J,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((W,Q)=>{this.doResolve=W,this.doReject=Q}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const W=this.task;return this.task=null,W()}})),this.timeout=setTimeout(()=>{this.timeout=null,this.doResolve&&this.doResolve(null)},N),this.completionPromise}isTriggered(){return this.timeout!==null}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject(R.canceled()),this.completionPromise=null)}cancelTimeout(){this.timeout!==null&&(clearTimeout(this.timeout),this.timeout=null)}dispose(){this.cancel()}}e.Delayer=E;class v{constructor(J){this.delayer=new E(J),this.throttler=new m}trigger(J,N){return this.delayer.trigger(()=>this.throttler.queue(J),N)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=v;class S{constructor(){this._isOpen=!1,this._promise=new Promise((J,N)=>{this._completePromise=J})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=S;class d extends S{constructor(J){super();this._timeout=setTimeout(()=>this.open(),J)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=d;function h(L,J){return J?new Promise((N,W)=>{const Q=setTimeout(N,L);J.onCancellationRequested(()=>{clearTimeout(Q),W(R.canceled())})}):b(N=>h(L,N))}e.timeout=h;function g(L,J=0){const N=setTimeout(L,J);return _.toDisposable(()=>clearTimeout(N))}e.disposableTimeout=g;function t(L){return L.then(void 0,J=>{})}e.ignoreErrors=t;function r(L){const J=[];let N=0;const W=L.length;function Q(){return N<W?L[N++]():null}function G(ue){ue!=null&&J.push(ue);const ke=Q();return ke?ke.then(G):Promise.resolve(J)}return Promise.resolve(null).then(G)}e.sequence=r;function i(L,J=W=>!!W,N=null){let W=0;const Q=L.length,G=()=>{if(W>=Q)return Promise.resolve(N);const ue=L[W++];return Promise.resolve(ue()).then(Re=>J(Re)?Promise.resolve(Re):G())};return G()}e.first=i;function s(L,J=W=>!!W,N=null){if(L.length===0)return Promise.resolve(N);let W=L.length;const Q=()=>{W=-1;for(const G of L)G.cancel?.()};return new Promise((G,ue)=>{for(const ke of L)ke.then(Re=>{--W>=0&&J(Re)?(Q(),G(Re)):W===0&&G(N)}).catch(Re=>{--W>=0&&(Q(),ue(Re))})})}e.firstParallel=s;class c{constructor(J){this._size=0,this.maxDegreeOfParalellism=J,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new D.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(J){return this._size++,new Promise((N,W)=>{this.outstandingPromises.push({factory:J,c:N,e:W}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const J=this.outstandingPromises.shift();this.runningPromises++;const N=J.factory();N.then(J.c,J.e),N.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=c;class w extends c{constructor(){super(1)}}e.Queue=w;class p{constructor(){this.queues=new Map}queueFor(J,N=k.extUri){const W=N.getComparisonKey(J);let Q=this.queues.get(W);return Q||(Q=new w,D.Event.once(Q.onFinished)(()=>{Q?.dispose(),this.queues.delete(W)}),this.queues.set(W,Q)),Q}dispose(){this.queues.forEach(J=>J.dispose()),this.queues.clear()}}e.ResourceQueue=p;class P{constructor(J,N){this._token=-1,typeof J=="function"&&typeof N=="number"&&this.setIfNotSet(J,N)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(J,N){this.cancel(),this._token=setTimeout(()=>{this._token=-1,J()},N)}setIfNotSet(J,N){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,J()},N))}}e.TimeoutTimer=P;class A{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(J,N){this.cancel(),this._token=setInterval(()=>{J()},N)}}e.IntervalTimer=A;class a{constructor(J,N){this.timeoutToken=-1,this.runner=J,this.timeout=N,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(J=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,J)}get delay(){return this.timeout}set delay(J){this.timeout=J}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=a;class T extends a{constructor(J,N){super(J,N);this.units=[]}work(J){this.units.push(J),this.isScheduled()||this.schedule()}doRun(){const J=this.units;this.units=[],this.runner&&this.runner(J)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=T;class F extends _.Disposable{constructor(J,N,W,Q){super();this.maxWorkChunkSize=J,this.maxPendingWork=N,this.throttleDelay=W,this.handler=Q,this.pendingWork=[],this.throttler=this._register(new _.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(J){if(this.disposed)return!1;if(typeof this.maxPendingWork=="number"){if(this.throttler.value){if(this.pending+J.length>this.maxPendingWork)return!1}else if(this.pending+J.length-this.maxWorkChunkSize>this.maxPendingWork)return!1}return this.pendingWork.push(...J),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new a(()=>{this.throttler.clear(),this.doWork()},this.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=F,function(){if(typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"){const L=Object.freeze({didTimeout:!0,timeRemaining(){return 15}});e.runWhenIdle=J=>{const N=setTimeout(()=>J(L));let W=!1;return{dispose(){W||(W=!0,clearTimeout(N))}}}}else e.runWhenIdle=(L,J)=>{const N=requestIdleCallback(L,typeof J=="number"?{timeout:J}:void 0);let W=!1;return{dispose(){W||(W=!0,cancelIdleCallback(N))}}}}();class H{constructor(J){this._didRun=!1,this._executor=()=>{try{this._value=J()}catch(N){this._error=N}finally{this._didRun=!0}},this._handle=e.runWhenIdle(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}}e.IdleValue=H;async function $(L,J,N){let W;for(let Q=0;Q<N;Q++)try{return await L()}catch(G){W=G,await h(J)}throw W}e.retry=$;class Z{hasPending(J){return this._pending?typeof J=="number"?this._pending.taskId===J:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(J,N,W){return this._pending={taskId:J,cancel:()=>W?.(),promise:N},N.then(()=>this.donePending(J),()=>this.donePending(J)),N}donePending(J){this._pending&&J===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const J=this._next;this._next=void 0,J.run().then(J.promiseResolve,J.promiseReject)}}setNext(J){if(this._next)this._next.run=J;else{let N,W;const Q=new Promise((G,ue)=>{N=G,W=ue});this._next={run:J,promise:Q,promiseResolve:N,promiseReject:W}}return this._next.promise}}e.TaskSequentializer=Z;class V{constructor(J){this.interval=J,this.lastIncrementTime=0,this.value=0}increment(){const J=Date.now();return J-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=J,this.value=0),this.value++,this.value}}e.IntervalCounter=V;class B{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((J,N)=>{this.completeCallback=J,this.errorCallback=N})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(J){return new Promise(N=>{this.completeCallback(J),this.resolved=!0,N()})}error(J){return new Promise(N=>{this.errorCallback(J),this.rejected=!0,N()})}cancel(){new Promise(J=>{this.errorCallback(R.canceled()),this.rejected=!0,J()})}}e.DeferredPromise=B;var Y;(function(L){async function J(N){let W;const Q=await Promise.all(N.map(G=>G.then(ue=>ue,ue=>{W||(W=ue)})));if(typeof W!="undefined")throw W;return Q}L.settled=J})(Y=e.Promises||(e.Promises={}))}),define(we[113],_e([0,1,14,15]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.compareByPrefix=e.compareAnything=e.comparePaths=e.compareFileExtensionsUnicode=e.compareFileExtensionsLower=e.compareFileExtensionsUpper=e.compareFileExtensionsDefault=e.compareFileExtensions=e.noIntlCompareFileNames=e.compareFileNamesUnicode=e.compareFileNamesLower=e.compareFileNamesUpper=e.compareFileNamesDefault=e.compareFileNames=void 0;const D=new R.IdleValue(()=>{const A=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:A,collatorIsNumeric:A.resolvedOptions().numeric}}),_=new R.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),k=new R.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function y(A,a,T=!1){const F=A||"",H=a||"",$=D.value.collator.compare(F,H);return D.value.collatorIsNumeric&&$===0&&F!==H?F<H?-1:1:$}e.compareFileNames=y;function b(A,a){const T=_.value.collator;return A=A||"",a=a||"",g(T,A,a)}e.compareFileNamesDefault=b;function C(A,a){const T=_.value.collator;return A=A||"",a=a||"",s(A,a)||g(T,A,a)}e.compareFileNamesUpper=C;function n(A,a){const T=_.value.collator;return A=A||"",a=a||"",i(A,a)||g(T,A,a)}e.compareFileNamesLower=n;function I(A,a){return A=A||"",a=a||"",A===a?0:A<a?-1:1}e.compareFileNamesUnicode=I;function l(A,a,T=!1){T||(A=A&&A.toLowerCase(),a=a&&a.toLowerCase());const[F,H]=d(A),[$,Z]=d(a);return F!==$?F<$?-1:1:H===Z?0:H<Z?-1:1}e.noIntlCompareFileNames=l;function m(A,a){const[T,F]=d(A),[H,$]=d(a);let Z=D.value.collator.compare(F,$);if(Z===0){if(D.value.collatorIsNumeric&&F!==$)return F<$?-1:1;if(Z=D.value.collator.compare(T,H),D.value.collatorIsNumeric&&Z===0&&T!==H)return T<H?-1:1}return Z}e.compareFileExtensions=m;function u(A,a){A=A||"",a=a||"";const T=h(A),F=h(a),H=_.value.collator,$=k.value.collator;return g($,T,F)||g(H,A,a)}e.compareFileExtensionsDefault=u;function o(A,a){A=A||"",a=a||"";const T=h(A),F=h(a),H=_.value.collator,$=k.value.collator;return g($,T,F)||s(A,a)||g(H,A,a)}e.compareFileExtensionsUpper=o;function E(A,a){A=A||"",a=a||"";const T=h(A),F=h(a),H=_.value.collator,$=k.value.collator;return g($,T,F)||i(A,a)||g(H,A,a)}e.compareFileExtensionsLower=E;function v(A,a){A=A||"",a=a||"";const T=h(A).toLowerCase(),F=h(a).toLowerCase();return T!==F?T<F?-1:1:A!==a?A<a?-1:1:0}e.compareFileExtensionsUnicode=v;const S=/^(.*?)(\.([^.]*))?$/;function d(A,a=!1){const T=A?S.exec(A):[];let F=[T&&T[1]||"",T&&T[3]||""];return a&&(!F[0]&&F[1]||F[0]&&F[0].charAt(0)===".")&&(F=[F[0]+"."+F[1],""]),F}function h(A){const a=A?S.exec(A):[];return a&&a[1]&&a[1].charAt(0)!=="."&&a[3]||""}function g(A,a,T){let F=A.compare(a,T);return F!==0?F:a.length!==T.length?a.length<T.length?-1:1:0}function t(A){const a=A.charAt(0);return a.toLocaleUpperCase()!==a}function r(A){const a=A.charAt(0);return a.toLocaleLowerCase()!==a}function i(A,a){return t(A)&&r(a)?-1:r(A)&&t(a)?1:0}function s(A,a){return r(A)&&t(a)?-1:t(A)&&r(a)?1:0}function c(A,a,T=!1){return T||(A=A&&A.toLowerCase(),a=a&&a.toLowerCase()),A===a?0:A<a?-1:1}function w(A,a,T=!1){const F=A.split(f.sep),H=a.split(f.sep),$=F.length-1,Z=H.length-1;let V,B;for(let Y=0;;Y++){if(V=$===Y,B=Z===Y,V&&B)return y(F[Y],H[Y],T);if(V)return-1;if(B)return 1;const L=c(F[Y],H[Y],T);if(L!==0)return L}}e.comparePaths=w;function p(A,a,T){const F=A.toLowerCase(),H=a.toLowerCase(),$=P(A,a,T);if($)return $;const Z=F.endsWith(T),V=H.endsWith(T);if(Z!==V)return Z?-1:1;const B=y(F,H);return B!==0?B:F.localeCompare(H)}e.compareAnything=p;function P(A,a,T){const F=A.toLowerCase(),H=a.toLowerCase(),$=F.startsWith(T),Z=H.startsWith(T);if($!==Z)return $?-1:1;if($&&Z){if(F.length<H.length)return-1;if(F.length>H.length)return 1}return 0}e.compareByPrefix=P}),define(we[27],_e([0,1,8,43,14,22,15]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.getEmptyExpression=void 0;function y(){return Object.create(null)}e.getEmptyExpression=y;const b="**",C="/",n="[/\\\\]",I="[^/\\\\]",l=/\//g;function m(W){switch(W){case 0:return"";case 1:return`${I}*?`;default:return`(?:${n}|${I}+${n}|${n}${I}+)*?`}}function u(W,Q){if(!W)return[];const G=[];let ue=!1,ke=!1,Re="";for(const ze of W){switch(ze){case Q:if(!ue&&!ke){G.push(Re),Re="";continue}break;case"{":ue=!0;break;case"}":ue=!1;break;case"[":ke=!0;break;case"]":ke=!1;break}Re+=ze}return Re&&G.push(Re),G}e.splitGlobAware=u;function o(W){if(!W)return"";let Q="";const G=u(W,C);if(G.every(ue=>ue===b))Q=".*";else{let ue=!1;G.forEach((ke,Re)=>{if(ke===b){ue||(Q+=m(2),ue=!0);return}let ze=!1,xe="",Ve=!1,tt="";for(const Ye of ke){if(Ye!=="}"&&ze){xe+=Ye;continue}if(Ve&&(Ye!=="]"||!tt)){let et;Ye==="-"?et=Ye:(Ye==="^"||Ye==="!")&&!tt?et="^":Ye===C?et="":et=f.escapeRegExpCharacters(Ye),tt+=et;continue}switch(Ye){case"{":ze=!0;continue;case"[":Ve=!0;continue;case"}":Q+=`(?:${u(xe,",").map(K=>o(K)).join("|")})`,ze=!1,xe="";break;case"]":Q+="["+tt+"]",Ve=!1,tt="";break;case"?":Q+=I;continue;case"*":Q+=m(1);continue;default:Q+=f.escapeRegExpCharacters(Ye)}}Re<G.length-1&&(G[Re+1]!==b||Re+2<G.length)&&(Q+=n),ue=!1})}return Q}const E=/^\*\*\/\*\.[\w\.-]+$/,v=/^\*\*\/([\w\.-]+)\/?$/,S=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,d=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,h=/^\*\*((\/[\w\.-]+)+)\/?$/,g=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new _.LRUCache(1e4),r=function(){return!1},i=function(){return null};function s(W,Q){if(!W)return i;let G;typeof W!="string"?G=W.pattern:G=W,G=G.trim();const ue=`${G}_${!!Q.trimForExclusions}`;let ke=t.get(ue);if(ke)return c(ke,W);let Re;if(E.test(G)){const ze=G.substr(4);ke=function(xe,Ve){return typeof xe=="string"&&xe.endsWith(ze)?G:null}}else(Re=v.exec(w(G,Q)))?ke=p(Re[1],G):(Q.trimForExclusions?d:S).test(G)?ke=P(G,Q):(Re=h.exec(w(G,Q)))?ke=A(Re[1].substr(1),G,!0):(Re=g.exec(w(G,Q)))?ke=A(Re[1],G,!1):ke=a(G);return t.set(ue,ke),c(ke,W)}function c(W,Q){return typeof Q=="string"?W:function(G,ue){return R.isEqualOrParent(G,Q.base)?W(D.relative(Q.base,G),ue):null}}function w(W,Q){return Q.trimForExclusions&&W.endsWith("/**")?W.substr(0,W.length-2):W}function p(W,Q){const G=`/${W}`,ue=`\\${W}`,ke=function(ze,xe){return typeof ze!="string"?null:xe?xe===W?Q:null:ze===W||ze.endsWith(G)||ze.endsWith(ue)?Q:null},Re=[W];return ke.basenames=Re,ke.patterns=[Q],ke.allBasenames=Re,ke}function P(W,Q){const G=N(W.slice(1,-1).split(",").map(xe=>s(xe,Q)).filter(xe=>xe!==i),W),ue=G.length;if(!ue)return i;if(ue===1)return G[0];const ke=function(xe,Ve){for(let tt=0,Ye=G.length;tt<Ye;tt++)if(G[tt](xe,Ve))return W;return null},Re=G.find(xe=>!!xe.allBasenames);Re&&(ke.allBasenames=Re.allBasenames);const ze=G.reduce((xe,Ve)=>Ve.allPaths?xe.concat(Ve.allPaths):xe,[]);return ze.length&&(ke.allPaths=ze),ke}function A(W,Q,G){const ue=D.sep===D.posix.sep,ke=ue?W:W.replace(l,D.sep),Re=D.sep+ke,ze=D.posix.sep+W,xe=G?function(Ve,tt){return typeof Ve=="string"&&(Ve===ke||Ve.endsWith(Re)||!ue&&(Ve===W||Ve.endsWith(ze)))?Q:null}:function(Ve,tt){return typeof Ve=="string"&&(Ve===ke||!ue&&Ve===W)?Q:null};return xe.allPaths=[(G?"*/":"./")+W],xe}function a(W){try{const Q=new RegExp(`^${o(W)}$`);return function(G){return Q.lastIndex=0,typeof G=="string"&&Q.test(G)?W:null}}catch(Q){return i}}function T(W,Q,G){return!W||typeof Q!="string"?!1:F(W)(Q,void 0,G)}e.match=T;function F(W,Q={}){if(!W)return r;if(typeof W=="string"||V(W)){const G=s(W,Q);if(G===i)return r;const ue=function(ke,Re){return!!G(ke,Re)};return G.allBasenames&&(ue.allBasenames=G.allBasenames),G.allPaths&&(ue.allPaths=G.allPaths),ue}return L(W,Q)}e.parse=F;function H(W){if(!W)return;let Q;return G=>(Q||(Q=(W()||Promise.resolve([])).then(ue=>ue?Z(ue):{})),Q.then(ue=>!!ue[G]))}e.hasSiblingPromiseFn=H;function $(W){if(!W)return;let Q;return G=>{if(!Q){const ue=W();Q=ue?Z(ue):{}}return!!Q[G]}}e.hasSiblingFn=$;function Z(W){const Q={};for(const G of W)Q[G]=!0;return Q}function V(W){const Q=W;return Q&&typeof Q.base=="string"&&typeof Q.pattern=="string"}e.isRelativePattern=V;function B(W){return W.allBasenames||[]}e.getBasenameTerms=B;function Y(W){return W.allPaths||[]}e.getPathTerms=Y;function L(W,Q){const G=N(Object.getOwnPropertyNames(W).map(xe=>J(xe,W[xe],Q)).filter(xe=>xe!==i)),ue=G.length;if(!ue)return i;if(!G.some(xe=>!!xe.requiresSiblings)){if(ue===1)return G[0];const xe=function(Ye,et){for(let x=0,K=G.length;x<K;x++){const ie=G[x](Ye,et);if(ie)return ie}return null},Ve=G.find(Ye=>!!Ye.allBasenames);Ve&&(xe.allBasenames=Ve.allBasenames);const tt=G.reduce((Ye,et)=>et.allPaths?Ye.concat(et.allPaths):Ye,[]);return tt.length&&(xe.allPaths=tt),xe}const ke=function(xe,Ve,tt){let Ye;for(let et=0,x=G.length;et<x;et++){const K=G[et];K.requiresSiblings&&tt&&(Ve||(Ve=D.basename(xe)),Ye||(Ye=Ve.substr(0,Ve.length-D.extname(xe).length)));const ie=K(xe,Ve,Ye,tt);if(ie)return ie}return null},Re=G.find(xe=>!!xe.allBasenames);Re&&(ke.allBasenames=Re.allBasenames);const ze=G.reduce((xe,Ve)=>Ve.allPaths?xe.concat(Ve.allPaths):xe,[]);return ze.length&&(ke.allPaths=ze),ke}function J(W,Q,G){if(Q===!1)return i;const ue=s(W,G);if(ue===i)return i;if(typeof Q=="boolean")return ue;if(Q){const ke=Q.when;if(typeof ke=="string"){const Re=(ze,xe,Ve,tt)=>{if(!tt||!ue(ze,xe))return null;const Ye=ke.replace("$(basename)",Ve),et=tt(Ye);return k.isThenable(et)?et.then(x=>x?W:null):et?W:null};return Re.requiresSiblings=!0,Re}}return ue}function N(W,Q){const G=W.filter(xe=>!!xe.basenames);if(G.length<2)return W;const ue=G.reduce((xe,Ve)=>{const tt=Ve.basenames;return tt?xe.concat(tt):xe},[]);let ke;if(Q){ke=[];for(let xe=0,Ve=ue.length;xe<Ve;xe++)ke.push(Q)}else ke=G.reduce((xe,Ve)=>{const tt=Ve.patterns;return tt?xe.concat(tt):xe},[]);const Re=function(xe,Ve){if(typeof xe!="string")return null;if(!Ve){let Ye;for(Ye=xe.length;Ye>0;Ye--){const et=xe.charCodeAt(Ye-1);if(et===47||et===92)break}Ve=xe.substr(Ye)}const tt=ue.indexOf(Ve);return tt!==-1?ke[tt]:null};Re.basenames=ue,Re.patterns=ke,Re.allBasenames=ue;const ze=W.filter(xe=>!xe.basenames);return ze.push(Re),ze}}),define(we[81],_e([0,1,2,14,8,11,21,23,43]),function(ne,e,f,R,D,_,k,y,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function C(s,c,w){if(typeof s=="string"&&(s=f.URI.file(s)),w){const P=w.getWorkspaceFolder(s);if(P){const A=w.getWorkspace().folders.length>1;let a;if(y.isEqual(P.uri,s)?a="":a=y.relativePath(P.uri,s),A){const T=P.name?P.name:y.basename(P.uri);a=a?T+" \u2022 "+a:T}return a}}if(s.scheme!==_.Schemas.file&&s.scheme!==_.Schemas.untitled)return s.with({query:null,fragment:null}).toString(!0);if(b.hasDriveLetter(s.fsPath))return R.normalize(I(s.fsPath));let p=R.normalize(s.fsPath);return!k.isWindows&&c?.userHome&&(p=m(p,c.userHome.fsPath)),p}e.getPathLabel=C;function n(s){if(!s)return;typeof s=="string"&&(s=f.URI.file(s));const c=y.basename(s)||(s.scheme===_.Schemas.file?s.fsPath:s.path);return k.isWindows&&b.isRootOrDriveLetter(c)?I(c):c}e.getBaseLabel=n;function I(s){return b.hasDriveLetter(s)?s.charAt(0).toUpperCase()+s.slice(1):s}e.normalizeDriveLetter=I;let l=Object.create(null);function m(s,c){if(k.isWindows||!s||!c)return s;let w=l.original===c?l.normalized:void 0;return w||(w=`${D.rtrim(c,R.posix.sep)}${R.posix.sep}`,l={original:c,normalized:w}),(k.isLinux?s.startsWith(w):D.startsWithIgnoreCase(s,w))&&(s=`~/${s.substr(w.length)}`),s}e.tildify=m;function u(s,c){return s.replace(/^~($|\/|\\)/,`${c}$1`)}e.untildify=u;const o="\u2026",E="\\\\",v="~";function S(s,c=R.sep){const w=new Array(s.length);let p=!1;for(let P=0;P<s.length;P++){let A=s[P];if(A===""){w[P]=`.${c}`;continue}if(!A){w[P]=A;continue}p=!0;let a="";A.indexOf(E)===0?(a=A.substr(0,A.indexOf(E)+E.length),A=A.substr(A.indexOf(E)+E.length)):A.indexOf(c)===0?(a=A.substr(0,A.indexOf(c)+c.length),A=A.substr(A.indexOf(c)+c.length)):A.indexOf(v)===0&&(a=A.substr(0,A.indexOf(v)+v.length),A=A.substr(A.indexOf(v)+v.length));const T=A.split(c);for(let F=1;p&&F<=T.length;F++)for(let H=T.length-F;p&&H>=0;H--){p=!1;let $=T.slice(H,H+F).join(c);for(let Z=0;!p&&Z<s.length;Z++)if(Z!==P&&s[Z]&&s[Z].indexOf($)>-1){const V=H+F===T.length,B=H>0&&s[Z].indexOf(c)>-1?c+$:$,Y=s[Z].endsWith(B);p=!V||Y}if(!p){let Z="";(T[0].endsWith(":")||a!=="")&&(H===1&&(H=0,F++,$=T[0]+c+$),H>0&&(Z=T[0]+c),Z=a+Z),H>0&&(Z=Z+o+c),Z=Z+$,H+F<T.length&&(Z=Z+c+o),w[P]=Z}}p&&(w[P]=A)}return w}e.shorten=S;var d;(function(s){s[s.TEXT=0]="TEXT",s[s.VARIABLE=1]="VARIABLE",s[s.SEPARATOR=2]="SEPARATOR"})(d||(d={}));function h(s,c=Object.create(null)){const w=[];let p=!1,P="";for(const A of s)if(A==="$"||p&&A==="{")P&&w.push({value:P,type:d.TEXT}),P="",p=!0;else if(A==="}"&&p){const a=c[P];if(typeof a=="string")a.length&&w.push({value:a,type:d.VARIABLE});else if(a){const T=w[w.length-1];(!T||T.type!==d.SEPARATOR)&&w.push({value:a.label,type:d.SEPARATOR})}P="",p=!1}else P+=A;return P&&!p&&w.push({value:P,type:d.TEXT}),w.filter((A,a)=>{if(A.type===d.SEPARATOR){const T=w[a-1],F=w[a+1];return[T,F].every(H=>H&&(H.type===d.VARIABLE||H.type===d.TEXT)&&H.value.length>0)}return!0}).map(A=>A.value).join("")}e.template=h;function g(s,c){return k.isMacintosh||c?s.replace(/\(&&\w\)|&&/g,"").replace(/&/g,k.isMacintosh?"&":"&&"):s.replace(/&&|&/g,w=>w==="&"?"&&":"&")}e.mnemonicMenuLabel=g;function t(s,c){return k.isMacintosh||c?s.replace(/\(&&\w\)|&&/g,""):k.isWindows?s.replace(/&&|&/g,w=>w==="&"?"&&":"&"):s.replace(/&&/g,"_")}e.mnemonicButtonLabel=t;function r(s){return s.replace(/&/g,"&&")}e.unmnemonicLabel=r;function i(s){const c=s.indexOf("/")!==-1?R.posix:R.win32,w=c.basename(s),p=c.dirname(s);return w.length?{name:w,parentPath:p}:{name:p,parentPath:""}}e.splitName=i}),define(we[82],_e([0,1,14,8,27,11,23]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeMimeType=e.getExtensionForMimeType=e.getMediaMime=e.isUnspecific=e.guessMimeTypes=e.clearTextMimes=e.registerTextMime=e.Mimes=void 0;var y;(function(r){r.text="text/plain",r.binary="application/octet-stream",r.unknown="application/unknown",r.markdown="text/markdown"})(y=e.Mimes||(e.Mimes={}));let b=[],C=[],n=[];function I(r,i=!1){const s=l(r);b.push(s),s.userConfigured?n.push(s):C.push(s),i&&!s.userConfigured&&b.forEach(c=>{c.mime===s.mime||c.userConfigured||(s.extension&&c.extension===s.extension&&console.warn(`Overwriting extension <<${s.extension}>> to now point to mime <<${s.mime}>>`),s.filename&&c.filename===s.filename&&console.warn(`Overwriting filename <<${s.filename}>> to now point to mime <<${s.mime}>>`),s.filepattern&&c.filepattern===s.filepattern&&console.warn(`Overwriting filepattern <<${s.filepattern}>> to now point to mime <<${s.mime}>>`),s.firstline&&c.firstline===s.firstline&&console.warn(`Overwriting firstline <<${s.firstline}>> to now point to mime <<${s.mime}>>`))})}e.registerTextMime=I;function l(r){return{id:r.id,mime:r.mime,filename:r.filename,extension:r.extension,filepattern:r.filepattern,firstline:r.firstline,userConfigured:r.userConfigured,filenameLowercase:r.filename?r.filename.toLowerCase():void 0,extensionLowercase:r.extension?r.extension.toLowerCase():void 0,filepatternLowercase:r.filepattern?r.filepattern.toLowerCase():void 0,filepatternOnPath:r.filepattern?r.filepattern.indexOf(f.posix.sep)>=0:!1}}function m(r){r?(b=b.filter(i=>!i.userConfigured),n=[]):(b=[],C=[],n=[])}e.clearTextMimes=m;function u(r,i){let s;if(r)switch(r.scheme){case _.Schemas.file:s=r.fsPath;break;case _.Schemas.data:s=k.DataUri.parseMetaData(r).get(k.DataUri.META_DATA_LABEL);break;default:s=r.path}if(!s)return[y.unknown];s=s.toLowerCase();const c=f.basename(s),w=o(s,c,n);if(w)return[w,y.text];const p=o(s,c,C);if(p)return[p,y.text];if(i){const P=E(i);if(P)return[P,y.text]}return[y.unknown]}e.guessMimeTypes=u;function o(r,i,s){let c=null,w=null,p=null;for(let P=s.length-1;P>=0;P--){const A=s[P];if(i===A.filenameLowercase){c=A;break}if(A.filepattern&&(!w||A.filepattern.length>w.filepattern.length)){const a=A.filepatternOnPath?r:i;D.match(A.filepatternLowercase,a)&&(w=A)}A.extension&&(!p||A.extension.length>p.extension.length)&&i.endsWith(A.extensionLowercase)&&(p=A)}return c?c.mime:w?w.mime:p?p.mime:null}function E(r){if(R.startsWithUTF8BOM(r)&&(r=r.substr(1)),r.length>0)for(let i=b.length-1;i>=0;i--){const s=b[i];if(!s.firstline)continue;const c=r.match(s.firstline);if(c&&c.length>0)return s.mime}return null}function v(r){return r?typeof r=="string"?r===y.binary||r===y.text||r===y.unknown:r.length===1&&v(r[0]):!0}e.isUnspecific=v;const S={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function d(r){const i=f.extname(r);return S[i.toLowerCase()]}e.getMediaMime=d;function h(r){for(const i in S)if(S[i]===r)return i}e.getExtensionForMimeType=h;const g=/^(.+)\/(.+?)(;.+)?$/;function t(r,i){const s=g.exec(r);return s?`${s[1].toLowerCase()}/${s[2].toLowerCase()}${s[3]??""}`:i?void 0:r}e.normalizeMimeType=t}),define(we[114],_e([0,1,2]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function R(n){return n.toJSON()}class D{constructor(I){this._uriTransformer=I}transformIncoming(I){const l=this._uriTransformer.transformIncoming(I);return l===I?I:R(f.URI.from(l))}transformOutgoing(I){const l=this._uriTransformer.transformOutgoing(I);return l===I?I:R(f.URI.from(l))}transformOutgoingURI(I){const l=this._uriTransformer.transformOutgoing(I);return l===I?I:f.URI.from(l)}transformOutgoingScheme(I){return this._uriTransformer.transformOutgoingScheme(I)}}e.URITransformer=D,e.DefaultURITransformer=new class{transformIncoming(n){return n}transformOutgoing(n){return n}transformOutgoingURI(n){return n}transformOutgoingScheme(n){return n}};function _(n,I,l){if(!n||l>200)return null;if(typeof n=="object"){if(n instanceof f.URI)return I.transformOutgoing(n);for(let m in n)if(Object.hasOwnProperty.call(n,m)){const u=_(n[m],I,l+1);u!==null&&(n[m]=u)}}return null}function k(n,I){const l=_(n,I,0);return l===null?n:l}e.transformOutgoingURIs=k;function y(n,I,l,m){if(!n||m>200)return null;if(typeof n=="object"){if(n.$mid===1)return l?f.URI.revive(I.transformIncoming(n)):I.transformIncoming(n);for(let u in n)if(Object.hasOwnProperty.call(n,u)){const o=y(n[u],I,l,m+1);o!==null&&(n[u]=o)}}return null}function b(n,I){const l=y(n,I,!1,0);return l===null?n:l}e.transformIncomingURIs=b;function C(n,I){const l=y(n,I,!0,0);return l===null?n:l}e.transformAndReviveIncomingURIs=C}),define(we[34],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const f=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function R(b){return f.test(b)}e.isUUID=R;const D=new Uint8Array(16),_=[];for(let b=0;b<256;b++)_.push(b.toString(16).padStart(2,"0"));let k;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?k=crypto.getRandomValues.bind(crypto):k=function(b){for(let C=0;C<b.length;C++)b[C]=Math.floor(Math.random()*256);return b};function y(){k(D),D[6]=D[6]&15|64,D[8]=D[8]&63|128;let b=0,C="";return C+=_[D[b++]],C+=_[D[b++]],C+=_[D[b++]],C+=_[D[b++]],C+="-",C+=_[D[b++]],C+=_[D[b++]],C+="-",C+=_[D[b++]],C+=_[D[b++]],C+="-",C+=_[D[b++]],C+=_[D[b++]],C+="-",C+=_[D[b++]],C+=_[D[b++]],C+=_[D[b++]],C+=_[D[b++]],C+=_[D[b++]],C+=_[D[b++]],C}e.generateUuid=y}),define(we[83],_e([0,1,79]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CharacterSet=e.CharacterClassifier=void 0;class R{constructor(y){let b=f.toUint8(y);this._defaultValue=b,this._asciiMap=R._createAsciiMap(b),this._map=new Map}static _createAsciiMap(y){let b=new Uint8Array(256);for(let C=0;C<256;C++)b[C]=y;return b}set(y,b){let C=f.toUint8(b);y>=0&&y<256?this._asciiMap[y]=C:this._map.set(y,C)}get(y){return y>=0&&y<256?this._asciiMap[y]:this._map.get(y)||this._defaultValue}}e.CharacterClassifier=R;var D;(function(k){k[k.False=0]="False",k[k.True=1]="True"})(D||(D={}));class _{constructor(){this._actual=new R(0)}add(y){this._actual.set(y,1)}has(y){return this._actual.get(y)===1}}e.CharacterSet=_}),define(we[115],_e([0,1,83]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMapForWordSeparators=e.WordCharacterClassifier=e.WordCharacterClass=void 0;var R;(function(k){k[k.Regular=0]="Regular",k[k.Whitespace=1]="Whitespace",k[k.WordSeparator=2]="WordSeparator"})(R=e.WordCharacterClass||(e.WordCharacterClass={}));class D extends f.CharacterClassifier{constructor(y){super(0);for(let b=0,C=y.length;b<C;b++)this.set(y.charCodeAt(b),2);this.set(32,1),this.set(9,1)}}e.WordCharacterClassifier=D;function _(k){let y={};return b=>(y.hasOwnProperty(b)||(y[b]=k(b)),y[b])}e.getMapForWordSeparators=_(k=>new D(k))}),define(we[35],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Position=void 0;class f{constructor(D,_){this.lineNumber=D,this.column=_}with(D=this.lineNumber,_=this.column){return D===this.lineNumber&&_===this.column?this:new f(D,_)}delta(D=0,_=0){return this.with(this.lineNumber+D,this.column+_)}equals(D){return f.equals(this,D)}static equals(D,_){return!D&&!_?!0:!!D&&!!_&&D.lineNumber===_.lineNumber&&D.column===_.column}isBefore(D){return f.isBefore(this,D)}static isBefore(D,_){return D.lineNumber<_.lineNumber?!0:_.lineNumber<D.lineNumber?!1:D.column<_.column}isBeforeOrEqual(D){return f.isBeforeOrEqual(this,D)}static isBeforeOrEqual(D,_){return D.lineNumber<_.lineNumber?!0:_.lineNumber<D.lineNumber?!1:D.column<=_.column}static compare(D,_){let k=D.lineNumber|0,y=_.lineNumber|0;if(k===y){let b=D.column|0,C=_.column|0;return b-C}return k-y}clone(){return new f(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(D){return new f(D.lineNumber,D.column)}static isIPosition(D){return D&&typeof D.lineNumber=="number"&&typeof D.column=="number"}}e.Position=f}),define(we[30],_e([0,1,35]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Range=void 0;class R{constructor(_,k,y,b){_>y||_===y&&k>b?(this.startLineNumber=y,this.startColumn=b,this.endLineNumber=_,this.endColumn=k):(this.startLineNumber=_,this.startColumn=k,this.endLineNumber=y,this.endColumn=b)}isEmpty(){return R.isEmpty(this)}static isEmpty(_){return _.startLineNumber===_.endLineNumber&&_.startColumn===_.endColumn}containsPosition(_){return R.containsPosition(this,_)}static containsPosition(_,k){return!(k.lineNumber<_.startLineNumber||k.lineNumber>_.endLineNumber||k.lineNumber===_.startLineNumber&&k.column<_.startColumn||k.lineNumber===_.endLineNumber&&k.column>_.endColumn)}containsRange(_){return R.containsRange(this,_)}static containsRange(_,k){return!(k.startLineNumber<_.startLineNumber||k.endLineNumber<_.startLineNumber||k.startLineNumber>_.endLineNumber||k.endLineNumber>_.endLineNumber||k.startLineNumber===_.startLineNumber&&k.startColumn<_.startColumn||k.endLineNumber===_.endLineNumber&&k.endColumn>_.endColumn)}strictContainsRange(_){return R.strictContainsRange(this,_)}static strictContainsRange(_,k){return!(k.startLineNumber<_.startLineNumber||k.endLineNumber<_.startLineNumber||k.startLineNumber>_.endLineNumber||k.endLineNumber>_.endLineNumber||k.startLineNumber===_.startLineNumber&&k.startColumn<=_.startColumn||k.endLineNumber===_.endLineNumber&&k.endColumn>=_.endColumn)}plusRange(_){return R.plusRange(this,_)}static plusRange(_,k){let y,b,C,n;return k.startLineNumber<_.startLineNumber?(y=k.startLineNumber,b=k.startColumn):k.startLineNumber===_.startLineNumber?(y=k.startLineNumber,b=Math.min(k.startColumn,_.startColumn)):(y=_.startLineNumber,b=_.startColumn),k.endLineNumber>_.endLineNumber?(C=k.endLineNumber,n=k.endColumn):k.endLineNumber===_.endLineNumber?(C=k.endLineNumber,n=Math.max(k.endColumn,_.endColumn)):(C=_.endLineNumber,n=_.endColumn),new R(y,b,C,n)}intersectRanges(_){return R.intersectRanges(this,_)}static intersectRanges(_,k){let y=_.startLineNumber,b=_.startColumn,C=_.endLineNumber,n=_.endColumn,I=k.startLineNumber,l=k.startColumn,m=k.endLineNumber,u=k.endColumn;return y<I?(y=I,b=l):y===I&&(b=Math.max(b,l)),C>m?(C=m,n=u):C===m&&(n=Math.min(n,u)),y>C||y===C&&b>n?null:new R(y,b,C,n)}equalsRange(_){return R.equalsRange(this,_)}static equalsRange(_,k){return!!_&&!!k&&_.startLineNumber===k.startLineNumber&&_.startColumn===k.startColumn&&_.endLineNumber===k.endLineNumber&&_.endColumn===k.endColumn}getEndPosition(){return R.getEndPosition(this)}static getEndPosition(_){return new f.Position(_.endLineNumber,_.endColumn)}getStartPosition(){return R.getStartPosition(this)}static getStartPosition(_){return new f.Position(_.startLineNumber,_.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(_,k){return new R(this.startLineNumber,this.startColumn,_,k)}setStartPosition(_,k){return new R(_,k,this.endLineNumber,this.endColumn)}collapseToStart(){return R.collapseToStart(this)}static collapseToStart(_){return new R(_.startLineNumber,_.startColumn,_.startLineNumber,_.startColumn)}static fromPositions(_,k=_){return new R(_.lineNumber,_.column,k.lineNumber,k.column)}static lift(_){return _?new R(_.startLineNumber,_.startColumn,_.endLineNumber,_.endColumn):null}static isIRange(_){return _&&typeof _.startLineNumber=="number"&&typeof _.startColumn=="number"&&typeof _.endLineNumber=="number"&&typeof _.endColumn=="number"}static areIntersectingOrTouching(_,k){return!(_.endLineNumber<k.startLineNumber||_.endLineNumber===k.startLineNumber&&_.endColumn<k.startColumn||k.endLineNumber<_.startLineNumber||k.endLineNumber===_.startLineNumber&&k.endColumn<_.startColumn)}static areIntersecting(_,k){return!(_.endLineNumber<k.startLineNumber||_.endLineNumber===k.startLineNumber&&_.endColumn<=k.startColumn||k.endLineNumber<_.startLineNumber||k.endLineNumber===_.startLineNumber&&k.endColumn<=_.startColumn)}static compareRangesUsingStarts(_,k){if(_&&k){const C=_.startLineNumber|0,n=k.startLineNumber|0;if(C===n){const I=_.startColumn|0,l=k.startColumn|0;if(I===l){const m=_.endLineNumber|0,u=k.endLineNumber|0;if(m===u){const o=_.endColumn|0,E=k.endColumn|0;return o-E}return m-u}return I-l}return C-n}return(_?1:0)-(k?1:0)}static compareRangesUsingEnds(_,k){return _.endLineNumber===k.endLineNumber?_.endColumn===k.endColumn?_.startLineNumber===k.startLineNumber?_.startColumn-k.startColumn:_.startLineNumber-k.startLineNumber:_.endColumn-k.endColumn:_.endLineNumber-k.endLineNumber}static spansMultipleLines(_){return _.endLineNumber>_.startLineNumber}}e.Range=R}),define(we[116],_e([0,1,35,30]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Selection=e.SelectionDirection=void 0;var D;(function(k){k[k.LTR=0]="LTR",k[k.RTL=1]="RTL"})(D=e.SelectionDirection||(e.SelectionDirection={}));class _ extends R.Range{constructor(y,b,C,n){super(y,b,C,n);this.selectionStartLineNumber=y,this.selectionStartColumn=b,this.positionLineNumber=C,this.positionColumn=n}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(y){return _.selectionsEqual(this,y)}static selectionsEqual(y,b){return y.selectionStartLineNumber===b.selectionStartLineNumber&&y.selectionStartColumn===b.selectionStartColumn&&y.positionLineNumber===b.positionLineNumber&&y.positionColumn===b.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(y,b){return this.getDirection()===0?new _(this.startLineNumber,this.startColumn,y,b):new _(y,b,this.startLineNumber,this.startColumn)}getPosition(){return new f.Position(this.positionLineNumber,this.positionColumn)}setStartPosition(y,b){return this.getDirection()===0?new _(y,b,this.endLineNumber,this.endColumn):new _(this.endLineNumber,this.endColumn,y,b)}static fromPositions(y,b=y){return new _(y.lineNumber,y.column,b.lineNumber,b.column)}static liftSelection(y){return new _(y.selectionStartLineNumber,y.selectionStartColumn,y.positionLineNumber,y.positionColumn)}static selectionsArrEqual(y,b){if(y&&!b||!y&&b)return!1;if(!y&&!b)return!0;if(y.length!==b.length)return!1;for(let C=0,n=y.length;C<n;C++)if(!this.selectionsEqual(y[C],b[C]))return!1;return!0}static isISelection(y){return y&&typeof y.selectionStartLineNumber=="number"&&typeof y.selectionStartColumn=="number"&&typeof y.positionLineNumber=="number"&&typeof y.positionColumn=="number"}static createWithDirection(y,b,C,n,I){return I===0?new _(y,b,C,n):new _(C,n,y,b)}}e.Selection=_}),define(we[84],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApplyEditsResult=e.ValidAnnotatedEditOperation=e.ModelConstants=e.PositionNormalizationAffinity=e.TrackedRangeStickiness=e.FindMatch=e.TextModelResolvedOptions=e.EndOfLineSequence=e.DefaultEndOfLine=e.EndOfLinePreference=e.MinimapPosition=e.OverviewRulerLane=void 0;var f;(function(u){u[u.Left=1]="Left",u[u.Center=2]="Center",u[u.Right=4]="Right",u[u.Full=7]="Full"})(f=e.OverviewRulerLane||(e.OverviewRulerLane={}));var R;(function(u){u[u.Inline=1]="Inline",u[u.Gutter=2]="Gutter"})(R=e.MinimapPosition||(e.MinimapPosition={}));var D;(function(u){u[u.TextDefined=0]="TextDefined",u[u.LF=1]="LF",u[u.CRLF=2]="CRLF"})(D=e.EndOfLinePreference||(e.EndOfLinePreference={}));var _;(function(u){u[u.LF=1]="LF",u[u.CRLF=2]="CRLF"})(_=e.DefaultEndOfLine||(e.DefaultEndOfLine={}));var k;(function(u){u[u.LF=0]="LF",u[u.CRLF=1]="CRLF"})(k=e.EndOfLineSequence||(e.EndOfLineSequence={}));class y{constructor(o){this._textModelResolvedOptionsBrand=void 0,this.tabSize=Math.max(1,o.tabSize|0),this.indentSize=o.tabSize|0,this.insertSpaces=Boolean(o.insertSpaces),this.defaultEOL=o.defaultEOL|0,this.trimAutoWhitespace=Boolean(o.trimAutoWhitespace)}equals(o){return this.tabSize===o.tabSize&&this.indentSize===o.indentSize&&this.insertSpaces===o.insertSpaces&&this.defaultEOL===o.defaultEOL&&this.trimAutoWhitespace===o.trimAutoWhitespace}createChangeEvent(o){return{tabSize:this.tabSize!==o.tabSize,indentSize:this.indentSize!==o.indentSize,insertSpaces:this.insertSpaces!==o.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==o.trimAutoWhitespace}}}e.TextModelResolvedOptions=y;class b{constructor(o,E){this._findMatchBrand=void 0,this.range=o,this.matches=E}}e.FindMatch=b;var C;(function(u){u[u.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",u[u.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",u[u.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",u[u.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(C=e.TrackedRangeStickiness||(e.TrackedRangeStickiness={}));var n;(function(u){u[u.Left=0]="Left",u[u.Right=1]="Right"})(n=e.PositionNormalizationAffinity||(e.PositionNormalizationAffinity={}));var I;(function(u){u[u.FIRST_LINE_DETECTION_LENGTH_LIMIT=1e3]="FIRST_LINE_DETECTION_LENGTH_LIMIT"})(I=e.ModelConstants||(e.ModelConstants={}));class l{constructor(o,E,v,S,d,h){this.identifier=o,this.range=E,this.text=v,this.forceMoveMarkers=S,this.isAutoWhitespaceEdit=d,this._isTracked=h}}e.ValidAnnotatedEditOperation=l;class m{constructor(o,E,v){this.reverseEdits=o,this.changes=E,this.trimAutoWhitespaceLineNumbers=v}}e.ApplyEditsResult=m}),define(we[117],_e([0,1,8,115,35,30,84]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Searcher=e.isValidMatch=e.TextModelSearch=e.createFindMatch=e.SearchData=e.isMultilineRegexSource=e.SearchParams=void 0;const y=999;class b{constructor(d,h,g,t){this.searchString=d,this.isRegex=h,this.matchCase=g,this.wordSeparators=t}parseSearchRequest(){if(this.searchString==="")return null;let d;this.isRegex?d=C(this.searchString):d=this.searchString.indexOf(`
`)>=0;let h=null;try{h=f.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:d,global:!0,unicode:!0})}catch(t){return null}if(!h)return null;let g=!this.isRegex&&!d;return g&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(g=this.matchCase),new n(h,this.wordSeparators?R.getMapForWordSeparators(this.wordSeparators):null,g?this.searchString:null)}}e.SearchParams=b;function C(S){if(!S||S.length===0)return!1;for(let d=0,h=S.length;d<h;d++)if(S.charCodeAt(d)===92){if(d++,d>=h)break;const t=S.charCodeAt(d);if(t===110||t===114||t===87||t===119)return!0}return!1}e.isMultilineRegexSource=C;class n{constructor(d,h,g){this.regex=d,this.wordSeparators=h,this.simpleSearch=g}}e.SearchData=n;function I(S,d,h){if(!h)return new k.FindMatch(S,null);let g=[];for(let t=0,r=d.length;t<r;t++)g[t]=d[t];return new k.FindMatch(S,g)}e.createFindMatch=I;class l{constructor(d){let h=[],g=0;for(let t=0,r=d.length;t<r;t++)d.charCodeAt(t)===10&&(h[g++]=t);this._lineFeedsOffsets=h}findLineFeedCountBeforeOffset(d){const h=this._lineFeedsOffsets;let g=0,t=h.length-1;if(t===-1||d<=h[0])return 0;for(;g<t;){const r=g+((t-g)/2>>0);h[r]>=d?t=r-1:h[r+1]>=d?(g=r,t=r):g=r+1}return g+1}}class m{static findMatches(d,h,g,t,r){const i=h.parseSearchRequest();return i?i.regex.multiline?this._doFindMatchesMultiline(d,g,new v(i.wordSeparators,i.regex),t,r):this._doFindMatchesLineByLine(d,g,i,t,r):[]}static _getMultilineMatchRange(d,h,g,t,r,i){let s,c=0;t?(c=t.findLineFeedCountBeforeOffset(r),s=h+r+c):s=h+r;let w;if(t){let a=t.findLineFeedCountBeforeOffset(r+i.length)-c;w=s+i.length+a}else w=s+i.length;const p=d.getPositionAt(s),P=d.getPositionAt(w);return new _.Range(p.lineNumber,p.column,P.lineNumber,P.column)}static _doFindMatchesMultiline(d,h,g,t,r){const i=d.getOffsetAt(h.getStartPosition()),s=d.getValueInRange(h,1),c=d.getEOL()===`\r
`?new l(s):null,w=[];let p=0,P;for(g.reset(0);P=g.next(s);)if(w[p++]=I(this._getMultilineMatchRange(d,i,s,c,P.index,P[0]),P,t),p>=r)return w;return w}static _doFindMatchesLineByLine(d,h,g,t,r){const i=[];let s=0;if(h.startLineNumber===h.endLineNumber){const w=d.getLineContent(h.startLineNumber).substring(h.startColumn-1,h.endColumn-1);return s=this._findMatchesInLine(g,w,h.startLineNumber,h.startColumn-1,s,i,t,r),i}const c=d.getLineContent(h.startLineNumber).substring(h.startColumn-1);s=this._findMatchesInLine(g,c,h.startLineNumber,h.startColumn-1,s,i,t,r);for(let w=h.startLineNumber+1;w<h.endLineNumber&&s<r;w++)s=this._findMatchesInLine(g,d.getLineContent(w),w,0,s,i,t,r);if(s<r){const w=d.getLineContent(h.endLineNumber).substring(0,h.endColumn-1);s=this._findMatchesInLine(g,w,h.endLineNumber,0,s,i,t,r)}return i}static _findMatchesInLine(d,h,g,t,r,i,s,c){const w=d.wordSeparators;if(!s&&d.simpleSearch){const A=d.simpleSearch,a=A.length,T=h.length;let F=-a;for(;(F=h.indexOf(A,F+a))!==-1;)if((!w||E(w,h,T,F,a))&&(i[r++]=new k.FindMatch(new _.Range(g,F+1+t,g,F+1+a+t),null),r>=c))return r;return r}const p=new v(d.wordSeparators,d.regex);let P;p.reset(0);do if(P=p.next(h),P&&(i[r++]=I(new _.Range(g,P.index+1+t,g,P.index+1+P[0].length+t),P,s),r>=c))return r;while(P);return r}static findNextMatch(d,h,g,t){const r=h.parseSearchRequest();if(!r)return null;const i=new v(r.wordSeparators,r.regex);return r.regex.multiline?this._doFindNextMatchMultiline(d,g,i,t):this._doFindNextMatchLineByLine(d,g,i,t)}static _doFindNextMatchMultiline(d,h,g,t){const r=new D.Position(h.lineNumber,1),i=d.getOffsetAt(r),s=d.getLineCount(),c=d.getValueInRange(new _.Range(r.lineNumber,r.column,s,d.getLineMaxColumn(s)),1),w=d.getEOL()===`\r
`?new l(c):null;g.reset(h.column-1);let p=g.next(c);return p?I(this._getMultilineMatchRange(d,i,c,w,p.index,p[0]),p,t):h.lineNumber!==1||h.column!==1?this._doFindNextMatchMultiline(d,new D.Position(1,1),g,t):null}static _doFindNextMatchLineByLine(d,h,g,t){const r=d.getLineCount(),i=h.lineNumber,s=d.getLineContent(i),c=this._findFirstMatchInLine(g,s,i,h.column,t);if(c)return c;for(let w=1;w<=r;w++){const p=(i+w-1)%r,P=d.getLineContent(p+1),A=this._findFirstMatchInLine(g,P,p+1,1,t);if(A)return A}return null}static _findFirstMatchInLine(d,h,g,t,r){d.reset(t-1);const i=d.next(h);return i?I(new _.Range(g,i.index+1,g,i.index+1+i[0].length),i,r):null}static findPreviousMatch(d,h,g,t){const r=h.parseSearchRequest();if(!r)return null;const i=new v(r.wordSeparators,r.regex);return r.regex.multiline?this._doFindPreviousMatchMultiline(d,g,i,t):this._doFindPreviousMatchLineByLine(d,g,i,t)}static _doFindPreviousMatchMultiline(d,h,g,t){const r=this._doFindMatchesMultiline(d,new _.Range(1,1,h.lineNumber,h.column),g,t,10*y);if(r.length>0)return r[r.length-1];const i=d.getLineCount();return h.lineNumber!==i||h.column!==d.getLineMaxColumn(i)?this._doFindPreviousMatchMultiline(d,new D.Position(i,d.getLineMaxColumn(i)),g,t):null}static _doFindPreviousMatchLineByLine(d,h,g,t){const r=d.getLineCount(),i=h.lineNumber,s=d.getLineContent(i).substring(0,h.column-1),c=this._findLastMatchInLine(g,s,i,t);if(c)return c;for(let w=1;w<=r;w++){const p=(r+i-w-1)%r,P=d.getLineContent(p+1),A=this._findLastMatchInLine(g,P,p+1,t);if(A)return A}return null}static _findLastMatchInLine(d,h,g,t){let r=null,i;for(d.reset(0);i=d.next(h);)r=I(new _.Range(g,i.index+1,g,i.index+1+i[0].length),i,t);return r}}e.TextModelSearch=m;function u(S,d,h,g,t){if(g===0)return!0;const r=d.charCodeAt(g-1);if(S.get(r)!==0||r===13||r===10)return!0;if(t>0){const i=d.charCodeAt(g);if(S.get(i)!==0)return!0}return!1}function o(S,d,h,g,t){if(g+t===h)return!0;const r=d.charCodeAt(g+t);if(S.get(r)!==0||r===13||r===10)return!0;if(t>0){const i=d.charCodeAt(g+t-1);if(S.get(i)!==0)return!0}return!1}function E(S,d,h,g,t){return u(S,d,h,g,t)&&o(S,d,h,g,t)}e.isValidMatch=E;class v{constructor(d,h){this._wordSeparators=d,this._searchRegex=h,this._prevMatchStartIndex=-1,this._prevMatchLength=0}reset(d){this._searchRegex.lastIndex=d,this._prevMatchStartIndex=-1,this._prevMatchLength=0}next(d){const h=d.length;let g;do{if(this._prevMatchStartIndex+this._prevMatchLength===h||(g=this._searchRegex.exec(d),!g))return null;const t=g.index,r=g[0].length;if(t===this._prevMatchStartIndex&&r===this._prevMatchLength){if(r===0){f.getNextCodePoint(d,h,this._searchRegex.lastIndex)>65535?this._searchRegex.lastIndex+=2:this._searchRegex.lastIndex+=1;continue}return null}if(this._prevMatchStartIndex=t,this._prevMatchLength=r,!this._wordSeparators||E(this._wordSeparators,d,h,t,r))return g}while(g);return null}}e.Searcher=v}),define(we[85],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWordAtText=e.ensureValidWordDefinition=e.DEFAULT_WORD_REGEXP=e.USUAL_WORD_SEPARATORS=void 0,e.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function f(y=""){let b="(-?\\d*\\.\\d\\w*)|([^";for(const C of e.USUAL_WORD_SEPARATORS)y.indexOf(C)>=0||(b+="\\"+C);return b+="\\s]+)",new RegExp(b,"g")}e.DEFAULT_WORD_REGEXP=f();function R(y){let b=e.DEFAULT_WORD_REGEXP;if(y&&y instanceof RegExp)if(y.global)b=y;else{let C="g";y.ignoreCase&&(C+="i"),y.multiline&&(C+="m"),y.unicode&&(C+="u"),b=new RegExp(y.source,C)}return b.lastIndex=0,b}e.ensureValidWordDefinition=R;const D={maxLen:1e3,windowSize:15,timeBudget:150};function _(y,b,C,n,I=D){if(C.length>I.maxLen){let E=y-I.maxLen/2;return E<0?E=0:n+=E,C=C.substring(E,y+I.maxLen/2),_(y,b,C,n,I)}const l=Date.now(),m=y-1-n;let u=-1,o=null;for(let E=1;!(Date.now()-l>=I.timeBudget);E++){const v=m-I.windowSize*E;b.lastIndex=Math.max(0,v);const S=k(b,C,m,u);if(!S&&o||(o=S,v<=0))break;u=v}if(o){let E={word:o[0],startColumn:n+1+o.index,endColumn:n+1+o.index+o[0].length};return b.lastIndex=0,E}return null}e.getWordAtText=_;function k(y,b,C,n){let I;for(;I=y.exec(b);){const l=I.index||0;if(l<=C&&y.lastIndex>=C)return I;if(n>0&&l>n)return null}return null}}),define(we[118],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AutoClosingPairs=e.StandardAutoClosingPairConditional=e.IndentAction=void 0;var f;(function(k){k[k.None=0]="None",k[k.Indent=1]="Indent",k[k.IndentOutdent=2]="IndentOutdent",k[k.Outdent=3]="Outdent"})(f=e.IndentAction||(e.IndentAction={}));class R{constructor(y){if(this._standardAutoClosingPairConditionalBrand=void 0,this.open=y.open,this.close=y.close,this._standardTokenMask=0,Array.isArray(y.notIn))for(let b=0,C=y.notIn.length;b<C;b++)switch(y.notIn[b]){case"string":this._standardTokenMask|=2;break;case"comment":this._standardTokenMask|=1;break;case"regex":this._standardTokenMask|=4;break}}isOK(y){return(this._standardTokenMask&y)==0}}e.StandardAutoClosingPairConditional=R;class D{constructor(y){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const b of y)_(this.autoClosingPairsOpenByStart,b.open.charAt(0),b),_(this.autoClosingPairsOpenByEnd,b.open.charAt(b.open.length-1),b),_(this.autoClosingPairsCloseByStart,b.close.charAt(0),b),_(this.autoClosingPairsCloseByEnd,b.close.charAt(b.close.length-1),b),b.close.length===1&&b.open.length===1&&_(this.autoClosingPairsCloseSingleChar,b.close,b)}}e.AutoClosingPairs=D;function _(k,y,b){k.has(y)?k.get(y).push(b):k.set(y,[b])}}),define(we[54],_e([0,1,27,14]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.score=void 0;function D(_,k,y,b){if(Array.isArray(_)){let C=0;for(const n of _){const I=D(n,k,y,b);if(I===10)return I;I>C&&(C=I)}return C}else{if(typeof _=="string")return b?_==="*"?5:_===y?10:0:0;if(_){const{language:C,pattern:n,scheme:I,hasAccessToAllModels:l}=_;if(!b&&!l)return 0;let m=0;if(I)if(I===k.scheme)m=10;else if(I==="*")m=5;else return 0;if(C)if(C===y)m=10;else if(C==="*")m=Math.max(m,5);else return 0;if(n){let u;if(typeof n=="string"?u=n:u={...n,base:R.normalize(n.base)},u===k.fsPath||f.match(u,k.fsPath))m=10;else return 0}return m}else return 0}}e.score=D}),define(we[119],_e([0,1,83]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeLinks=e.LinkComputer=e.StateMachine=e.Uint8Matrix=e.State=void 0;var R;(function(m){m[m.Invalid=0]="Invalid",m[m.Start=1]="Start",m[m.H=2]="H",m[m.HT=3]="HT",m[m.HTT=4]="HTT",m[m.HTTP=5]="HTTP",m[m.F=6]="F",m[m.FI=7]="FI",m[m.FIL=8]="FIL",m[m.BeforeColon=9]="BeforeColon",m[m.AfterColon=10]="AfterColon",m[m.AlmostThere=11]="AlmostThere",m[m.End=12]="End",m[m.Accept=13]="Accept",m[m.LastKnownState=14]="LastKnownState"})(R=e.State||(e.State={}));class D{constructor(u,o,E){const v=new Uint8Array(u*o);for(let S=0,d=u*o;S<d;S++)v[S]=E;this._data=v,this.rows=u,this.cols=o}get(u,o){return this._data[u*this.cols+o]}set(u,o,E){this._data[u*this.cols+o]=E}}e.Uint8Matrix=D;class _{constructor(u){let o=0,E=0;for(let S=0,d=u.length;S<d;S++){let[h,g,t]=u[S];g>o&&(o=g),h>E&&(E=h),t>E&&(E=t)}o++,E++;let v=new D(E,o,0);for(let S=0,d=u.length;S<d;S++){let[h,g,t]=u[S];v.set(h,g,t)}this._states=v,this._maxCharCode=o}nextState(u,o){return o<0||o>=this._maxCharCode?0:this._states.get(u,o)}}e.StateMachine=_;let k=null;function y(){return k===null&&(k=new _([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),k}var b;(function(m){m[m.None=0]="None",m[m.ForceTermination=1]="ForceTermination",m[m.CannotEndIn=2]="CannotEndIn"})(b||(b={}));let C=null;function n(){if(C===null){C=new f.CharacterClassifier(0);const m=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u3008\u300C\u300E\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u300F\u300D\u3009\u2019\uFF40\uFF5E\u2026`;for(let o=0;o<m.length;o++)C.set(m.charCodeAt(o),1);const u=".,;";for(let o=0;o<u.length;o++)C.set(u.charCodeAt(o),2)}return C}class I{static _createLink(u,o,E,v,S){let d=S-1;do{const h=o.charCodeAt(d);if(u.get(h)!==2)break;d--}while(d>v);if(v>0){const h=o.charCodeAt(v-1),g=o.charCodeAt(d);(h===40&&g===41||h===91&&g===93||h===123&&g===125)&&d--}return{range:{startLineNumber:E,startColumn:v+1,endLineNumber:E,endColumn:d+2},url:o.substring(v,d+1)}}static computeLinks(u,o=y()){const E=n();let v=[];for(let S=1,d=u.getLineCount();S<=d;S++){const h=u.getLineContent(S),g=h.length;let t=0,r=0,i=0,s=1,c=!1,w=!1,p=!1,P=!1;for(;t<g;){let A=!1;const a=h.charCodeAt(t);if(s===13){let T;switch(a){case 40:c=!0,T=0;break;case 41:T=c?0:1;break;case 91:p=!0,w=!0,T=0;break;case 93:p=!1,T=w?0:1;break;case 123:P=!0,T=0;break;case 125:T=P?0:1;break;case 39:T=i===34||i===96?0:1;break;case 34:T=i===39||i===96?0:1;break;case 96:T=i===39||i===34?0:1;break;case 42:T=i===42?1:0;break;case 124:T=i===124?1:0;break;case 32:T=p?0:1;break;default:T=E.get(a)}T===1&&(v.push(I._createLink(E,h,S,r,t)),A=!0)}else if(s===12){let T;a===91?(w=!0,T=0):T=E.get(a),T===1?A=!0:s=13}else s=o.nextState(s,a),s===0&&(A=!0);A&&(s=1,c=!1,w=!1,P=!1,r=t+1,i=a),t++}s===13&&v.push(I._createLink(E,h,S,r,g))}return v}}e.LinkComputer=I;function l(m){return!m||typeof m.getLineCount!="function"||typeof m.getLineContent!="function"?[]:I.computeLinks(m)}e.computeLinks=l}),define(we[120],_e([0,1,3,6]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TokenizationRegistryImpl=void 0;class D{constructor(){this._map=new Map,this._promises=new Map,this._onDidChange=new f.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}fire(k){this._onDidChange.fire({changedLanguages:k,changedColorMap:!1})}register(k,y){return this._map.set(k,y),this.fire([k]),R.toDisposable(()=>{this._map.get(k)===y&&(this._map.delete(k),this.fire([k]))})}registerPromise(k,y){let b=null,C=!1;return this._promises.set(k,y.then(n=>{this._promises.delete(k),!(C||!n)&&(b=this.register(k,n))})),R.toDisposable(()=>{C=!0,b&&b.dispose()})}getPromise(k){const y=this.get(k);if(y)return Promise.resolve(y);const b=this._promises.get(k);return b?b.then(C=>this.get(k)):null}get(k){return this._map.get(k)||null}setColorMap(k){this._colorMap=k,this._onDidChange.fire({changedLanguages:Array.from(this._map.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}e.TokenizationRegistryImpl=D}),define(we[86],_e([0,1,24,21]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeSemanticTokensDto=e.encodeSemanticTokensDto=void 0;var D;(function(I){I[I.Full=1]="Full",I[I.Delta=2]="Delta"})(D||(D={}));function _(I){for(let l=0,m=I.length;l<m;l+=4){const u=I[l+0],o=I[l+1],E=I[l+2],v=I[l+3];I[l+0]=v,I[l+1]=E,I[l+2]=o,I[l+3]=u}}function k(I){const l=new Uint8Array(I.buffer,I.byteOffset,I.length*4);return R.isLittleEndian()||_(l),f.VSBuffer.wrap(l)}function y(I){const l=I.buffer;if(R.isLittleEndian()||_(l),l.byteOffset%4==0)return new Uint32Array(l.buffer,l.byteOffset,l.length/4);{const m=new Uint8Array(l.byteLength);return m.set(l),new Uint32Array(m.buffer,m.byteOffset,m.length/4)}}function b(I){const l=new Uint32Array(C(I));let m=0;if(l[m++]=I.id,I.type==="full")l[m++]=1,l[m++]=I.data.length,l.set(I.data,m),m+=I.data.length;else{l[m++]=2,l[m++]=I.deltas.length;for(const u of I.deltas)l[m++]=u.start,l[m++]=u.deleteCount,u.data?(l[m++]=u.data.length,l.set(u.data,m),m+=u.data.length):l[m++]=0}return k(l)}e.encodeSemanticTokensDto=b;function C(I){let l=0;if(l+=1+1,I.type==="full")l+=1+I.data.length;else{l+=1,l+=(1+1+1)*I.deltas.length;for(const m of I.deltas)m.data&&(l+=m.data.length)}return l}function n(I){const l=y(I);let m=0;const u=l[m++];if(l[m++]===1){const S=l[m++],d=l.subarray(m,m+S);return m+=S,{id:u,type:"full",data:d}}const E=l[m++];let v=[];for(let S=0;S<E;S++){const d=l[m++],h=l[m++],g=l[m++];let t;g>0&&(t=l.subarray(m,m+g),m+=g),v[S]={start:d,deleteCount:h,data:t}}return{id:u,type:"delta",deltas:v}}e.decodeSemanticTokensDto=n}),define(we[87],_e([0,1,79]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PrefixSumComputer=e.PrefixSumIndexOfResult=void 0;class R{constructor(k,y){this._prefixSumIndexOfResultBrand=void 0,this.index=k,this.remainder=y}}e.PrefixSumIndexOfResult=R;class D{constructor(k){this.values=k,this.prefixSum=new Uint32Array(k.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}getCount(){return this.values.length}insertValues(k,y){k=f.toUint32(k);const b=this.values,C=this.prefixSum,n=y.length;return n===0?!1:(this.values=new Uint32Array(b.length+n),this.values.set(b.subarray(0,k),0),this.values.set(b.subarray(k),k+n),this.values.set(y,k),k-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=k-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(C.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}changeValue(k,y){return k=f.toUint32(k),y=f.toUint32(y),this.values[k]===y?!1:(this.values[k]=y,k-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=k-1),!0)}removeValues(k,y){k=f.toUint32(k),y=f.toUint32(y);const b=this.values,C=this.prefixSum;if(k>=b.length)return!1;let n=b.length-k;return y>=n&&(y=n),y===0?!1:(this.values=new Uint32Array(b.length-y),this.values.set(b.subarray(0,k),0),this.values.set(b.subarray(k+y),k),this.prefixSum=new Uint32Array(this.values.length),k-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=k-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(C.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalSum(){return this.values.length===0?0:this._getPrefixSum(this.values.length-1)}getPrefixSum(k){return k<0?0:(k=f.toUint32(k),this._getPrefixSum(k))}_getPrefixSum(k){if(k<=this.prefixSumValidIndex[0])return this.prefixSum[k];let y=this.prefixSumValidIndex[0]+1;y===0&&(this.prefixSum[0]=this.values[0],y++),k>=this.values.length&&(k=this.values.length-1);for(let b=y;b<=k;b++)this.prefixSum[b]=this.prefixSum[b-1]+this.values[b];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],k),this.prefixSum[k]}getIndexOf(k){k=Math.floor(k),this.getTotalSum();let y=0,b=this.values.length-1,C=0,n=0,I=0;for(;y<=b;)if(C=y+(b-y)/2|0,n=this.prefixSum[C],I=n-this.values[C],k<I)b=C-1;else if(k>=n)y=C+1;else break;return new R(C,k-I)}}e.PrefixSumComputer=D}),define(we[121],_e([0,1,8,35,87]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MirrorTextModel=void 0;class _{constructor(y,b,C,n){this._uri=y,this._lines=b,this._eol=C,this._versionId=n,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(y){y.eol&&y.eol!==this._eol&&(this._eol=y.eol,this._lineStarts=null);const b=y.changes;for(const C of b)this._acceptDeleteRange(C.range),this._acceptInsertText(new R.Position(C.range.startLineNumber,C.range.startColumn),C.text);this._versionId=y.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const y=this._eol.length,b=this._lines.length,C=new Uint32Array(b);for(let n=0;n<b;n++)C[n]=this._lines[n].length+y;this._lineStarts=new D.PrefixSumComputer(C)}}_setLineText(y,b){this._lines[y]=b,this._lineStarts&&this._lineStarts.changeValue(y,this._lines[y].length+this._eol.length)}_acceptDeleteRange(y){if(y.startLineNumber===y.endLineNumber){if(y.startColumn===y.endColumn)return;this._setLineText(y.startLineNumber-1,this._lines[y.startLineNumber-1].substring(0,y.startColumn-1)+this._lines[y.startLineNumber-1].substring(y.endColumn-1));return}this._setLineText(y.startLineNumber-1,this._lines[y.startLineNumber-1].substring(0,y.startColumn-1)+this._lines[y.endLineNumber-1].substring(y.endColumn-1)),this._lines.splice(y.startLineNumber,y.endLineNumber-y.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(y.startLineNumber,y.endLineNumber-y.startLineNumber)}_acceptInsertText(y,b){if(b.length===0)return;let C=f.splitLines(b);if(C.length===1){this._setLineText(y.lineNumber-1,this._lines[y.lineNumber-1].substring(0,y.column-1)+C[0]+this._lines[y.lineNumber-1].substring(y.column-1));return}C[C.length-1]+=this._lines[y.lineNumber-1].substring(y.column-1),this._setLineText(y.lineNumber-1,this._lines[y.lineNumber-1].substring(0,y.column-1)+C[0]);let n=new Uint32Array(C.length-1);for(let I=1;I<C.length;I++)this._lines.splice(y.lineNumber+I-1,0,C[I]),n[I-1]=C[I].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(y.lineNumber,n)}}e.MirrorTextModel=_}),define(we[122],_e([19,20]),function(ne,e){return ne.create("vs/base/common/errorMessage",e)}),define(we[55],_e([0,1,122,10,17]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function _(C,n){return n&&(C.stack||C.stacktrace)?f.localize(0,null,y(C),k(C.stack)||k(C.stacktrace)):y(C)}function k(C){return Array.isArray(C)?C.join(`
`):C}function y(C){return typeof C.code=="string"&&typeof C.errno=="number"&&typeof C.syscall=="string"?f.localize(1,null,C.message):C.message||f.localize(2,null)}function b(C=null,n=!1){if(!C)return f.localize(3,null);if(Array.isArray(C)){const I=D.coalesce(C),l=b(I[0],n);return I.length>1?f.localize(4,null,l,I.length):l}if(R.isString(C))return C;if(C.detail){const I=C.detail;if(I.error)return _(I.error,n);if(I.exception)return _(I.exception,n)}return C.stack?_(C,n):C.message?C.message:f.localize(5,null)}e.toErrorMessage=b}),define(we[123],_e([19,20]),function(ne,e){return ne.create("vs/editor/common/config/editorOptions",e)}),define(we[124],_e([0,1,123,21,85]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_MODEL_DEFAULTS=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.filterValidationDecorations=e.RenderLineNumbersType=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontLigatures=e.cursorStyleToString=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.stringSet=e.boolean=e.ComputeOptionsMemory=e.ValidatedEditorOptions=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0;var _;(function(z){z[z.None=0]="None",z[z.Keep=1]="Keep",z[z.Brackets=2]="Brackets",z[z.Advanced=3]="Advanced",z[z.Full=4]="Full"})(_=e.EditorAutoIndentStrategy||(e.EditorAutoIndentStrategy={})),e.MINIMAP_GUTTER_WIDTH=8;class k{constructor(ee){this._values=ee}hasChanged(ee){return this._values[ee]}}e.ConfigurationChangedEvent=k;class y{constructor(){this._values=[]}_read(ee){return this._values[ee]}get(ee){return this._values[ee]}_write(ee,de){this._values[ee]=de}}e.ValidatedEditorOptions=y;class b{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=b;class C{constructor(ee,de,Ne,Ue){this.id=ee,this.name=de,this.defaultValue=Ne,this.schema=Ue}compute(ee,de,Ne){return Ne}}class n{constructor(ee,de=null){this.schema=void 0,this.id=ee,this.name="_never_",this.defaultValue=void 0,this.deps=de}validate(ee){return this.defaultValue}}class I{constructor(ee,de,Ne,Ue){this.id=ee,this.name=de,this.defaultValue=Ne,this.schema=Ue}validate(ee){return typeof ee=="undefined"?this.defaultValue:ee}compute(ee,de,Ne){return Ne}}function l(z,ee){return typeof z=="undefined"?ee:z==="false"?!1:Boolean(z)}e.boolean=l;class m extends I{constructor(ee,de,Ne,Ue=void 0){typeof Ue!="undefined"&&(Ue.type="boolean",Ue.default=Ne),super(ee,de,Ne,Ue)}validate(ee){return l(ee,this.defaultValue)}}class u extends I{constructor(ee,de,Ne,Ue,Xe,De=void 0){typeof De!="undefined"&&(De.type="integer",De.default=Ne,De.minimum=Ue,De.maximum=Xe),super(ee,de,Ne,De),this.minimum=Ue,this.maximum=Xe}static clampedInt(ee,de,Ne,Ue){if(typeof ee=="undefined")return de;let Xe=parseInt(ee,10);return isNaN(Xe)?de:(Xe=Math.max(Ne,Xe),Xe=Math.min(Ue,Xe),Xe|0)}validate(ee){return u.clampedInt(ee,this.defaultValue,this.minimum,this.maximum)}}class o extends I{constructor(ee,de,Ne,Ue,Xe){typeof Xe!="undefined"&&(Xe.type="number",Xe.default=Ne),super(ee,de,Ne,Xe),this.validationFn=Ue}static clamp(ee,de,Ne){return ee<de?de:ee>Ne?Ne:ee}static float(ee,de){if(typeof ee=="number")return ee;if(typeof ee=="undefined")return de;const Ne=parseFloat(ee);return isNaN(Ne)?de:Ne}validate(ee){return this.validationFn(o.float(ee,this.defaultValue))}}class E extends I{static string(ee,de){return typeof ee!="string"?de:ee}constructor(ee,de,Ne,Ue=void 0){typeof Ue!="undefined"&&(Ue.type="string",Ue.default=Ne),super(ee,de,Ne,Ue)}validate(ee){return E.string(ee,this.defaultValue)}}function v(z,ee,de){return typeof z!="string"||de.indexOf(z)===-1?ee:z}e.stringSet=v;class S extends I{constructor(ee,de,Ne,Ue,Xe=void 0){typeof Xe!="undefined"&&(Xe.type="string",Xe.enum=Ue,Xe.default=Ne),super(ee,de,Ne,Xe),this._allowedValues=Ue}validate(ee){return v(ee,this.defaultValue,this._allowedValues)}}class d extends C{constructor(ee,de,Ne,Ue,Xe,De,Se=void 0){typeof Se!="undefined"&&(Se.type="string",Se.enum=Xe,Se.default=Ue),super(ee,de,Ne,Se),this._allowedValues=Xe,this._convert=De}validate(ee){return typeof ee!="string"?this.defaultValue:this._allowedValues.indexOf(ee)===-1?this.defaultValue:this._convert(ee)}}function h(z){switch(z){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class g extends C{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[f.localize(0,null),f.localize(1,null),f.localize(2,null)],default:"auto",description:f.localize(3,null)})}validate(ee){switch(ee){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(ee,de,Ne){return Ne===0?ee.accessibilitySupport:Ne}}class t extends C{constructor(){const ee={insertSpace:!0,ignoreEmptyLines:!0};super(17,"comments",ee,{"editor.comments.insertSpace":{type:"boolean",default:ee.insertSpace,description:f.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:ee.ignoreEmptyLines,description:f.localize(5,null)}})}validate(ee){if(!ee||typeof ee!="object")return this.defaultValue;const de=ee;return{insertSpace:l(de.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:l(de.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var r;(function(z){z[z.Hidden=0]="Hidden",z[z.Blink=1]="Blink",z[z.Smooth=2]="Smooth",z[z.Phase=3]="Phase",z[z.Expand=4]="Expand",z[z.Solid=5]="Solid"})(r=e.TextEditorCursorBlinkingStyle||(e.TextEditorCursorBlinkingStyle={}));function i(z){switch(z){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var s;(function(z){z[z.Line=1]="Line",z[z.Block=2]="Block",z[z.Underline=3]="Underline",z[z.LineThin=4]="LineThin",z[z.BlockOutline=5]="BlockOutline",z[z.UnderlineThin=6]="UnderlineThin"})(s=e.TextEditorCursorStyle||(e.TextEditorCursorStyle={}));function c(z){switch(z){case s.Line:return"line";case s.Block:return"block";case s.Underline:return"underline";case s.LineThin:return"line-thin";case s.BlockOutline:return"block-outline";case s.UnderlineThin:return"underline-thin"}}e.cursorStyleToString=c;function w(z){switch(z){case"line":return s.Line;case"block":return s.Block;case"underline":return s.Underline;case"line-thin":return s.LineThin;case"block-outline":return s.BlockOutline;case"underline-thin":return s.UnderlineThin}}class p extends n{constructor(){super(125,[63,31])}compute(ee,de,Ne){const Ue=["monaco-editor"];return de.get(31)&&Ue.push(de.get(31)),ee.extraEditorClassName&&Ue.push(ee.extraEditorClassName),de.get(63)==="default"?Ue.push("mouse-default"):de.get(63)==="copy"&&Ue.push("mouse-copy"),de.get(98)&&Ue.push("showUnused"),de.get(123)&&Ue.push("showDeprecated"),Ue.join(" ")}}class P extends m{constructor(){super(30,"emptySelectionClipboard",!0,{description:f.localize(6,null)})}compute(ee,de,Ne){return Ne&&ee.emptySelectionClipboard}}class A extends C{constructor(){const ee={cursorMoveOnType:!0,seedSearchStringFromSelection:!0,autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(33,"find",ee,{"editor.find.cursorMoveOnType":{type:"boolean",default:ee.cursorMoveOnType,description:f.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"boolean",default:ee.seedSearchStringFromSelection,description:f.localize(8,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:ee.autoFindInSelection,enumDescriptions:[f.localize(9,null),f.localize(10,null),f.localize(11,null)],description:f.localize(12,null)},"editor.find.globalFindClipboard":{type:"boolean",default:ee.globalFindClipboard,description:f.localize(13,null),included:R.isMacintosh},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:ee.addExtraSpaceOnTop,description:f.localize(14,null)},"editor.find.loop":{type:"boolean",default:ee.loop,description:f.localize(15,null)}})}validate(ee){if(!ee||typeof ee!="object")return this.defaultValue;const de=ee;return{cursorMoveOnType:l(de.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:l(de.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection),autoFindInSelection:typeof ee.autoFindInSelection=="boolean"?ee.autoFindInSelection?"always":"never":v(de.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:l(de.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:l(de.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:l(de.loop,this.defaultValue.loop)}}}class a extends C{constructor(){super(41,"fontLigatures",a.OFF,{anyOf:[{type:"boolean",description:f.localize(16,null)},{type:"string",description:f.localize(17,null)}],description:f.localize(18,null),default:!1})}validate(ee){return typeof ee=="undefined"?this.defaultValue:typeof ee=="string"?ee==="false"?a.OFF:ee==="true"?a.ON:ee:Boolean(ee)?a.ON:a.OFF}}e.EditorFontLigatures=a,a.OFF='"liga" off, "calt" off',a.ON='"liga" on, "calt" on';class T extends n{constructor(){super(40)}compute(ee,de,Ne){return ee.fontInfo}}class F extends I{constructor(){super(42,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:f.localize(19,null)})}validate(ee){let de=o.float(ee,this.defaultValue);return de===0?e.EDITOR_FONT_DEFAULTS.fontSize:o.clamp(de,6,100)}compute(ee,de,Ne){return ee.fontInfo.fontSize}}class H extends C{constructor(){super(43,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:H.MINIMUM_VALUE,maximum:H.MAXIMUM_VALUE,errorMessage:f.localize(20,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:H.SUGGESTION_VALUES}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:f.localize(21,null)})}validate(ee){return ee==="normal"||ee==="bold"?ee:String(u.clampedInt(ee,e.EDITOR_FONT_DEFAULTS.fontWeight,H.MINIMUM_VALUE,H.MAXIMUM_VALUE))}}H.SUGGESTION_VALUES=["normal","bold","100","200","300","400","500","600","700","800","900"],H.MINIMUM_VALUE=1,H.MAXIMUM_VALUE=1e3;class $ extends C{constructor(){const ee={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},de={type:"string",enum:["peek","gotoAndPeek","goto"],default:ee.multiple,enumDescriptions:[f.localize(22,null),f.localize(23,null),f.localize(24,null)]},Ne=["","editor.action.referenceSearch.trigger","editor.action.goToReferences","editor.action.peekImplementation","editor.action.goToImplementation","editor.action.peekTypeDefinition","editor.action.goToTypeDefinition","editor.action.peekDeclaration","editor.action.revealDeclaration","editor.action.peekDefinition","editor.action.revealDefinitionAside","editor.action.revealDefinition"];super(47,"gotoLocation",ee,{"editor.gotoLocation.multiple":{deprecationMessage:f.localize(25,null)},"editor.gotoLocation.multipleDefinitions":{description:f.localize(26,null),...de},"editor.gotoLocation.multipleTypeDefinitions":{description:f.localize(27,null),...de},"editor.gotoLocation.multipleDeclarations":{description:f.localize(28,null),...de},"editor.gotoLocation.multipleImplementations":{description:f.localize(29,null),...de},"editor.gotoLocation.multipleReferences":{description:f.localize(30,null),...de},"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:ee.alternativeDefinitionCommand,enum:Ne,description:f.localize(31,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:ee.alternativeTypeDefinitionCommand,enum:Ne,description:f.localize(32,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:ee.alternativeDeclarationCommand,enum:Ne,description:f.localize(33,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:ee.alternativeImplementationCommand,enum:Ne,description:f.localize(34,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:ee.alternativeReferenceCommand,enum:Ne,description:f.localize(35,null)}})}validate(ee){if(!ee||typeof ee!="object")return this.defaultValue;const de=ee;return{multiple:v(de.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:de.multipleDefinitions??v(de.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:de.multipleTypeDefinitions??v(de.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:de.multipleDeclarations??v(de.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:de.multipleImplementations??v(de.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:de.multipleReferences??v(de.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:E.string(de.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:E.string(de.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:E.string(de.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:E.string(de.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:E.string(de.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class Z extends C{constructor(){const ee={enabled:!0,delay:300,sticky:!0};super(50,"hover",ee,{"editor.hover.enabled":{type:"boolean",default:ee.enabled,description:f.localize(36,null)},"editor.hover.delay":{type:"number",default:ee.delay,description:f.localize(37,null)},"editor.hover.sticky":{type:"boolean",default:ee.sticky,description:f.localize(38,null)}})}validate(ee){if(!ee||typeof ee!="object")return this.defaultValue;const de=ee;return{enabled:l(de.enabled,this.defaultValue.enabled),delay:u.clampedInt(de.delay,this.defaultValue.delay,0,1e4),sticky:l(de.sticky,this.defaultValue.sticky)}}}var V;(function(z){z[z.None=0]="None",z[z.Text=1]="Text",z[z.Blocks=2]="Blocks"})(V=e.RenderMinimap||(e.RenderMinimap={}));class B extends n{constructor(){super(128,[46,55,35,62,90,57,58,92,115,118,119,120,2])}compute(ee,de,Ne){return B.computeLayout(de,{memory:ee.memory,outerWidth:ee.outerWidth,outerHeight:ee.outerHeight,isDominatedByLongLines:ee.isDominatedByLongLines,lineHeight:ee.fontInfo.lineHeight,viewLineCount:ee.viewLineCount,lineNumbersDigitCount:ee.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:ee.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:ee.fontInfo.maxDigitWidth,pixelRatio:ee.pixelRatio})}static computeContainedMinimapLineCount(ee){const de=ee.height/ee.lineHeight,Ne=ee.scrollBeyondLastLine?de-1:0,Ue=(ee.viewLineCount+Ne)/(ee.pixelRatio*ee.height),Xe=Math.floor(ee.viewLineCount/Ue);return{typicalViewportLineCount:de,extraLinesBeyondLastLine:Ne,desiredRatio:Ue,minimapLineCount:Xe}}static _computeMinimapLayout(ee,de){const Ne=ee.outerWidth,Ue=ee.outerHeight,Xe=ee.pixelRatio;if(!ee.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(Xe*Ue),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:Ue};const De=de.stableMinimapLayoutInput,Se=De&&ee.outerHeight===De.outerHeight&&ee.lineHeight===De.lineHeight&&ee.typicalHalfwidthCharacterWidth===De.typicalHalfwidthCharacterWidth&&ee.pixelRatio===De.pixelRatio&&ee.scrollBeyondLastLine===De.scrollBeyondLastLine&&ee.minimap.enabled===De.minimap.enabled&&ee.minimap.side===De.minimap.side&&ee.minimap.size===De.minimap.size&&ee.minimap.showSlider===De.minimap.showSlider&&ee.minimap.renderCharacters===De.minimap.renderCharacters&&ee.minimap.maxColumn===De.minimap.maxColumn&&ee.minimap.scale===De.minimap.scale&&ee.verticalScrollbarWidth===De.verticalScrollbarWidth&&ee.isViewportWrapping===De.isViewportWrapping,Ie=ee.lineHeight,se=ee.typicalHalfwidthCharacterWidth,le=ee.scrollBeyondLastLine,he=ee.minimap.renderCharacters;let ge=Xe>=2?Math.round(ee.minimap.scale*2):ee.minimap.scale;const U=ee.minimap.maxColumn,fe=ee.minimap.size,be=ee.minimap.side,Pe=ee.verticalScrollbarWidth,Fe=ee.viewLineCount,$e=ee.remainingWidth,Ze=ee.isViewportWrapping,Ge=he?2:3;let Ke=Math.floor(Xe*Ue);const lt=Ke/Xe;let ct=!1,ve=!1,Ee=Ge*ge,oe=ge/Xe,q=1;if(fe==="fill"||fe==="fit"){const{typicalViewportLineCount:bt,extraLinesBeyondLastLine:wt,desiredRatio:Et,minimapLineCount:St}=B.computeContainedMinimapLineCount({viewLineCount:Fe,scrollBeyondLastLine:le,height:Ue,lineHeight:Ie,pixelRatio:Xe});if(Fe/St>1)ct=!0,ve=!0,ge=1,Ee=1,oe=ge/Xe;else{let _t=!1,dt=ge+1;if(fe==="fit"){const vt=Math.ceil((Fe+wt)*Ee);Ze&&Se&&$e<=de.stableFitRemainingWidth?(_t=!0,dt=de.stableFitMaxMinimapScale):_t=vt>Ke}if(fe==="fill"||_t){ct=!0;const vt=ge;Ee=Math.min(Ie*Xe,Math.max(1,Math.floor(1/Et))),Ze&&Se&&$e<=de.stableFitRemainingWidth&&(dt=de.stableFitMaxMinimapScale),ge=Math.min(dt,Math.max(1,Math.floor(Ee/Ge))),ge>vt&&(q=Math.min(2,ge/vt)),oe=ge/Xe/q,Ke=Math.ceil(Math.max(bt,Fe+wt)*Ee),Ze?(de.stableMinimapLayoutInput=ee,de.stableFitRemainingWidth=$e,de.stableFitMaxMinimapScale=ge):(de.stableMinimapLayoutInput=null,de.stableFitRemainingWidth=0)}}}const Oe=Math.floor(U*oe),ye=Math.min(Oe,Math.max(0,Math.floor(($e-Pe-2)*oe/(se+oe)))+e.MINIMAP_GUTTER_WIDTH);let Je=Math.floor(Xe*ye);const qe=Je/Xe;Je=Math.floor(Je*q);const rt=he?1:2,ft=be==="left"?0:Ne-ye-Pe;return{renderMinimap:rt,minimapLeft:ft,minimapWidth:ye,minimapHeightIsEditorHeight:ct,minimapIsSampling:ve,minimapScale:ge,minimapLineHeight:Ee,minimapCanvasInnerWidth:Je,minimapCanvasInnerHeight:Ke,minimapCanvasOuterWidth:qe,minimapCanvasOuterHeight:lt}}static computeLayout(ee,de){const Ne=de.outerWidth|0,Ue=de.outerHeight|0,Xe=de.lineHeight|0,De=de.lineNumbersDigitCount|0,Se=de.typicalHalfwidthCharacterWidth,Ie=de.maxDigitWidth,se=de.pixelRatio,le=de.viewLineCount,he=ee.get(120),ge=he==="inherit"?ee.get(119):he,U=ge==="inherit"?ee.get(115):ge,fe=ee.get(118),be=ee.get(2),Pe=de.isDominatedByLongLines,Fe=ee.get(46),$e=ee.get(57).renderType!==0,Ze=ee.get(58),Ge=ee.get(92),Ke=ee.get(62),lt=ee.get(90),ct=lt.verticalScrollbarSize,ve=lt.verticalHasArrows,Ee=lt.arrowSize,oe=lt.horizontalScrollbarSize,q=ee.get(55),Oe=ee.get(35);let ye;if(typeof q=="string"&&/^\d+(\.\d+)?ch$/.test(q)){const Pt=parseFloat(q.substr(0,q.length-2));ye=u.clampedInt(Pt*Se,0,0,1e3)}else ye=u.clampedInt(q,0,0,1e3);Oe&&(ye+=16);let Je=0;if($e){const Pt=Math.max(De,Ze);Je=Math.round(Pt*Ie)}let qe=0;Fe&&(qe=Xe);let rt=0,ft=rt+qe,bt=ft+Je,wt=bt+ye;const Et=Ne-qe-Je-ye;let St=!1,kt=!1,_t=-1;be!==2&&(ge==="inherit"&&Pe?(St=!0,kt=!0):U==="on"||U==="bounded"?kt=!0:U==="wordWrapColumn"&&(_t=fe));const dt=B._computeMinimapLayout({outerWidth:Ne,outerHeight:Ue,lineHeight:Xe,typicalHalfwidthCharacterWidth:Se,pixelRatio:se,scrollBeyondLastLine:Ge,minimap:Ke,verticalScrollbarWidth:ct,viewLineCount:le,remainingWidth:Et,isViewportWrapping:kt},de.memory||new b);dt.renderMinimap!==0&&dt.minimapLeft===0&&(rt+=dt.minimapWidth,ft+=dt.minimapWidth,bt+=dt.minimapWidth,wt+=dt.minimapWidth);const vt=Et-dt.minimapWidth,ht=Math.max(1,Math.floor((vt-ct-2)/Se)),xt=ve?Ee:0;return kt&&(_t=Math.max(1,ht),U==="bounded"&&(_t=Math.min(_t,fe))),{width:Ne,height:Ue,glyphMarginLeft:rt,glyphMarginWidth:qe,lineNumbersLeft:ft,lineNumbersWidth:Je,decorationsLeft:bt,decorationsWidth:ye,contentLeft:wt,contentWidth:vt,minimap:dt,viewportColumn:ht,isWordWrapMinified:St,isViewportWrapping:kt,wrappingColumn:_t,verticalScrollbarWidth:ct,horizontalScrollbarHeight:oe,overviewRuler:{top:xt,width:ct,height:Ue-2*xt,right:0}}}}e.EditorLayoutInfoComputer=B;class Y extends C{constructor(){const ee={enabled:!0};super(54,"lightbulb",ee,{"editor.lightbulb.enabled":{type:"boolean",default:ee.enabled,description:f.localize(39,null)}})}validate(ee){return!ee||typeof ee!="object"?this.defaultValue:{enabled:l(ee.enabled,this.defaultValue.enabled)}}}class L extends C{constructor(){const ee={enabled:!0,fontSize:0,fontFamily:e.EDITOR_FONT_DEFAULTS.fontFamily};super(124,"inlayHints",ee,{"editor.inlayHints.enabled":{type:"boolean",default:ee.enabled,description:f.localize(40,null)},"editor.inlayHints.fontSize":{type:"number",default:ee.fontSize,markdownDescription:f.localize(41,null)},"editor.inlayHints.fontFamily":{type:"string",default:ee.fontFamily,description:f.localize(42,null)}})}validate(ee){if(!ee||typeof ee!="object")return this.defaultValue;const de=ee;return{enabled:l(de.enabled,this.defaultValue.enabled),fontSize:u.clampedInt(de.fontSize,this.defaultValue.fontSize,0,100),fontFamily:E.string(de.fontFamily,this.defaultValue.fontFamily)}}}class J extends o{constructor(){super(56,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,ee=>o.clamp(ee,0,150),{markdownDescription:f.localize(43,null)})}compute(ee,de,Ne){return ee.fontInfo.lineHeight}}class N extends C{constructor(){const ee={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",renderCharacters:!0,maxColumn:120,scale:1};super(62,"minimap",ee,{"editor.minimap.enabled":{type:"boolean",default:ee.enabled,description:f.localize(44,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[f.localize(45,null),f.localize(46,null),f.localize(47,null)],default:ee.size,description:f.localize(48,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:ee.side,description:f.localize(49,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:ee.showSlider,description:f.localize(50,null)},"editor.minimap.scale":{type:"number",default:ee.scale,minimum:1,maximum:3,enum:[1,2,3],description:f.localize(51,null)},"editor.minimap.renderCharacters":{type:"boolean",default:ee.renderCharacters,description:f.localize(52,null)},"editor.minimap.maxColumn":{type:"number",default:ee.maxColumn,description:f.localize(53,null)}})}validate(ee){if(!ee||typeof ee!="object")return this.defaultValue;const de=ee;return{enabled:l(de.enabled,this.defaultValue.enabled),size:v(de.size,this.defaultValue.size,["proportional","fill","fit"]),side:v(de.side,this.defaultValue.side,["right","left"]),showSlider:v(de.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:l(de.renderCharacters,this.defaultValue.renderCharacters),scale:u.clampedInt(de.scale,1,1,3),maxColumn:u.clampedInt(de.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}function W(z){return z==="ctrlCmd"?R.isMacintosh?"metaKey":"ctrlKey":"altKey"}class Q extends C{constructor(){super(72,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:f.localize(54,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:f.localize(55,null)}})}validate(ee){if(!ee||typeof ee!="object")return this.defaultValue;const de=ee;return{top:u.clampedInt(de.top,0,0,1e3),bottom:u.clampedInt(de.bottom,0,0,1e3)}}}class G extends C{constructor(){const ee={enabled:!0,cycle:!1};super(73,"parameterHints",ee,{"editor.parameterHints.enabled":{type:"boolean",default:ee.enabled,description:f.localize(56,null)},"editor.parameterHints.cycle":{type:"boolean",default:ee.cycle,description:f.localize(57,null)}})}validate(ee){if(!ee||typeof ee!="object")return this.defaultValue;const de=ee;return{enabled:l(de.enabled,this.defaultValue.enabled),cycle:l(de.cycle,this.defaultValue.cycle)}}}class ue extends n{constructor(){super(126)}compute(ee,de,Ne){return ee.pixelRatio}}class ke extends C{constructor(){const ee={other:!0,comments:!1,strings:!1};super(76,"quickSuggestions",ee,{anyOf:[{type:"boolean"},{type:"object",properties:{strings:{type:"boolean",default:ee.strings,description:f.localize(58,null)},comments:{type:"boolean",default:ee.comments,description:f.localize(59,null)},other:{type:"boolean",default:ee.other,description:f.localize(60,null)}}}],default:ee,description:f.localize(61,null)});this.defaultValue=ee}validate(ee){if(typeof ee=="boolean")return ee;if(ee&&typeof ee=="object"){const de=ee,Ne={other:l(de.other,this.defaultValue.other),comments:l(de.comments,this.defaultValue.comments),strings:l(de.strings,this.defaultValue.strings)};return Ne.other&&Ne.comments&&Ne.strings?!0:!Ne.other&&!Ne.comments&&!Ne.strings?!1:Ne}return this.defaultValue}}var Re;(function(z){z[z.Off=0]="Off",z[z.On=1]="On",z[z.Relative=2]="Relative",z[z.Interval=3]="Interval",z[z.Custom=4]="Custom"})(Re=e.RenderLineNumbersType||(e.RenderLineNumbersType={}));class ze extends C{constructor(){super(57,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[f.localize(62,null),f.localize(63,null),f.localize(64,null),f.localize(65,null)],default:"on",description:f.localize(66,null)})}validate(ee){let de=this.defaultValue.renderType,Ne=this.defaultValue.renderFn;return typeof ee!="undefined"&&(typeof ee=="function"?(de=4,Ne=ee):ee==="interval"?de=3:ee==="relative"?de=2:ee==="on"?de=1:de=0),{renderType:de,renderFn:Ne}}}function xe(z){const ee=z.get(85);return ee==="editable"?z.get(78):ee!=="on"}e.filterValidationDecorations=xe;class Ve extends C{constructor(){const ee=[],de={type:"number",description:f.localize(67,null)};super(89,"rulers",ee,{type:"array",items:{anyOf:[de,{type:["object"],properties:{column:de,color:{type:"string",description:f.localize(68,null),format:"color-hex"}}}]},default:ee,description:f.localize(69,null)})}validate(ee){if(Array.isArray(ee)){let de=[];for(let Ne of ee)if(typeof Ne=="number")de.push({column:u.clampedInt(Ne,0,0,1e4),color:null});else if(Ne&&typeof Ne=="object"){const Ue=Ne;de.push({column:u.clampedInt(Ue.column,0,0,1e4),color:Ue.color})}return de.sort((Ne,Ue)=>Ne.column-Ue.column),de}return this.defaultValue}}function tt(z,ee){if(typeof z!="string")return ee;switch(z){case"hidden":return 2;case"visible":return 3;default:return 1}}class Ye extends C{constructor(){const ee={vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1};super(90,"scrollbar",ee,{"editor.scrollbar.vertical":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[f.localize(70,null),f.localize(71,null),f.localize(72,null)],default:"auto",description:f.localize(73,null)},"editor.scrollbar.horizontal":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[f.localize(74,null),f.localize(75,null),f.localize(76,null)],default:"auto",description:f.localize(77,null)},"editor.scrollbar.verticalScrollbarSize":{type:"number",default:ee.verticalScrollbarSize,description:f.localize(78,null)},"editor.scrollbar.horizontalScrollbarSize":{type:"number",default:ee.horizontalScrollbarSize,description:f.localize(79,null)},"editor.scrollbar.scrollByPage":{type:"boolean",default:ee.scrollByPage,description:f.localize(80,null)}})}validate(ee){if(!ee||typeof ee!="object")return this.defaultValue;const de=ee,Ne=u.clampedInt(de.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),Ue=u.clampedInt(de.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:u.clampedInt(de.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:tt(de.vertical,this.defaultValue.vertical),horizontal:tt(de.horizontal,this.defaultValue.horizontal),useShadows:l(de.useShadows,this.defaultValue.useShadows),verticalHasArrows:l(de.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:l(de.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:l(de.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:l(de.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:Ne,horizontalSliderSize:u.clampedInt(de.horizontalSliderSize,Ne,0,1e3),verticalScrollbarSize:Ue,verticalSliderSize:u.clampedInt(de.verticalSliderSize,Ue,0,1e3),scrollByPage:l(de.scrollByPage,this.defaultValue.scrollByPage)}}}class et extends C{constructor(){const ee={enabled:!1,mode:"subwordDiff"};super(52,"inlineSuggest",ee,{"editor.inlineSuggest.enabled":{type:"boolean",default:ee.enabled,description:f.localize(81,null)},"editor.inlineSuggest.mode":{type:"string",enum:["prefix","subwordDiff"],enumDescriptions:[f.localize(82,null),f.localize(83,null)],default:ee.mode,description:f.localize(84,null)}})}validate(ee){if(!ee||typeof ee!="object")return this.defaultValue;const de=ee;return{enabled:l(de.enabled,this.defaultValue.enabled),mode:v(de.mode,this.defaultValue.mode,["prefix","subwordDiff"])}}}class x extends C{constructor(){const ee={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!0,localityBonus:!1,shareSuggestSelections:!1,showIcons:!0,showStatusBar:!1,preview:!1,previewMode:"prefix",showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showDeprecated:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(104,"suggest",ee,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[f.localize(85,null),f.localize(86,null)],default:ee.insertMode,description:f.localize(87,null)},"editor.suggest.filterGraceful":{type:"boolean",default:ee.filterGraceful,description:f.localize(88,null)},"editor.suggest.localityBonus":{type:"boolean",default:ee.localityBonus,description:f.localize(89,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:ee.shareSuggestSelections,markdownDescription:f.localize(90,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:ee.snippetsPreventQuickSuggestions,description:f.localize(91,null)},"editor.suggest.showIcons":{type:"boolean",default:ee.showIcons,description:f.localize(92,null)},"editor.suggest.showStatusBar":{type:"boolean",default:ee.showStatusBar,description:f.localize(93,null)},"editor.suggest.preview":{type:"boolean",default:ee.preview,description:f.localize(94,null)},"editor.suggest.previewMode":{type:"string",enum:["prefix","subwordDiff"],enumDescriptions:[f.localize(95,null),f.localize(96,null)],default:ee.previewMode,description:f.localize(97,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:ee.showInlineDetails,description:f.localize(98,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:f.localize(99,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:f.localize(100,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:f.localize(101,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:f.localize(102,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:f.localize(103,null)},"editor.suggest.showDeprecated":{type:"boolean",default:!0,markdownDescription:f.localize(104,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:f.localize(105,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:f.localize(106,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:f.localize(107,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:f.localize(108,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:f.localize(109,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:f.localize(110,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:f.localize(111,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:f.localize(112,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:f.localize(113,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:f.localize(114,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:f.localize(115,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:f.localize(116,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:f.localize(117,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:f.localize(118,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:f.localize(119,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:f.localize(120,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:f.localize(121,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:f.localize(122,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:f.localize(123,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:f.localize(124,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:f.localize(125,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:f.localize(126,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:f.localize(127,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:f.localize(128,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:f.localize(129,null)}})}validate(ee){if(!ee||typeof ee!="object")return this.defaultValue;const de=ee;return{insertMode:v(de.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:l(de.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:l(de.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:l(de.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:l(de.shareSuggestSelections,this.defaultValue.shareSuggestSelections),showIcons:l(de.showIcons,this.defaultValue.showIcons),showStatusBar:l(de.showStatusBar,this.defaultValue.showStatusBar),preview:l(de.preview,this.defaultValue.preview),previewMode:v(de.previewMode,this.defaultValue.previewMode,["prefix","subwordDiff"]),showInlineDetails:l(de.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:l(de.showMethods,this.defaultValue.showMethods),showFunctions:l(de.showFunctions,this.defaultValue.showFunctions),showConstructors:l(de.showConstructors,this.defaultValue.showConstructors),showDeprecated:l(de.showDeprecated,this.defaultValue.showDeprecated),showFields:l(de.showFields,this.defaultValue.showFields),showVariables:l(de.showVariables,this.defaultValue.showVariables),showClasses:l(de.showClasses,this.defaultValue.showClasses),showStructs:l(de.showStructs,this.defaultValue.showStructs),showInterfaces:l(de.showInterfaces,this.defaultValue.showInterfaces),showModules:l(de.showModules,this.defaultValue.showModules),showProperties:l(de.showProperties,this.defaultValue.showProperties),showEvents:l(de.showEvents,this.defaultValue.showEvents),showOperators:l(de.showOperators,this.defaultValue.showOperators),showUnits:l(de.showUnits,this.defaultValue.showUnits),showValues:l(de.showValues,this.defaultValue.showValues),showConstants:l(de.showConstants,this.defaultValue.showConstants),showEnums:l(de.showEnums,this.defaultValue.showEnums),showEnumMembers:l(de.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:l(de.showKeywords,this.defaultValue.showKeywords),showWords:l(de.showWords,this.defaultValue.showWords),showColors:l(de.showColors,this.defaultValue.showColors),showFiles:l(de.showFiles,this.defaultValue.showFiles),showReferences:l(de.showReferences,this.defaultValue.showReferences),showFolders:l(de.showFolders,this.defaultValue.showFolders),showTypeParameters:l(de.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:l(de.showSnippets,this.defaultValue.showSnippets),showUsers:l(de.showUsers,this.defaultValue.showUsers),showIssues:l(de.showIssues,this.defaultValue.showIssues)}}}class K extends C{constructor(){super(100,"smartSelect",{selectLeadingAndTrailingWhitespace:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:f.localize(130,null),default:!0,type:"boolean"}})}validate(ee){return!ee||typeof ee!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:l(ee.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace)}}}class ie extends n{constructor(){super(127,[78])}compute(ee,de,Ne){return de.get(78)?!0:ee.tabFocusMode}}var ae;(function(z){z[z.None=0]="None",z[z.Same=1]="Same",z[z.Indent=2]="Indent",z[z.DeepIndent=3]="DeepIndent"})(ae=e.WrappingIndent||(e.WrappingIndent={}));function j(z){switch(z){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}}class re extends n{constructor(){super(129,[128])}compute(ee,de,Ne){const Ue=de.get(128);return{isDominatedByLongLines:ee.isDominatedByLongLines,isWordWrapMinified:Ue.isWordWrapMinified,isViewportWrapping:Ue.isViewportWrapping,wrappingColumn:Ue.wrappingColumn}}}const me="Consolas, 'Courier New', monospace",Te="Menlo, Monaco, 'Courier New', monospace",Be="'Droid Sans Mono', 'monospace', monospace, 'Droid Sans Fallback'";e.EDITOR_FONT_DEFAULTS={fontFamily:R.isMacintosh?Te:R.isLinux?Be:me,fontWeight:"normal",fontSize:R.isMacintosh?12:14,lineHeight:0,letterSpacing:0},e.EDITOR_MODEL_DEFAULTS={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0},e.editorOptionsRegistry=[];function pe(z){return e.editorOptionsRegistry[z.id]=z,z}var Qe;(function(z){z[z.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",z[z.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",z[z.accessibilitySupport=2]="accessibilitySupport",z[z.accessibilityPageSize=3]="accessibilityPageSize",z[z.ariaLabel=4]="ariaLabel",z[z.autoClosingBrackets=5]="autoClosingBrackets",z[z.autoClosingDelete=6]="autoClosingDelete",z[z.autoClosingOvertype=7]="autoClosingOvertype",z[z.autoClosingQuotes=8]="autoClosingQuotes",z[z.autoIndent=9]="autoIndent",z[z.automaticLayout=10]="automaticLayout",z[z.autoSurround=11]="autoSurround",z[z.codeLens=12]="codeLens",z[z.codeLensFontFamily=13]="codeLensFontFamily",z[z.codeLensFontSize=14]="codeLensFontSize",z[z.colorDecorators=15]="colorDecorators",z[z.columnSelection=16]="columnSelection",z[z.comments=17]="comments",z[z.contextmenu=18]="contextmenu",z[z.copyWithSyntaxHighlighting=19]="copyWithSyntaxHighlighting",z[z.cursorBlinking=20]="cursorBlinking",z[z.cursorSmoothCaretAnimation=21]="cursorSmoothCaretAnimation",z[z.cursorStyle=22]="cursorStyle",z[z.cursorSurroundingLines=23]="cursorSurroundingLines",z[z.cursorSurroundingLinesStyle=24]="cursorSurroundingLinesStyle",z[z.cursorWidth=25]="cursorWidth",z[z.disableLayerHinting=26]="disableLayerHinting",z[z.disableMonospaceOptimizations=27]="disableMonospaceOptimizations",z[z.domReadOnly=28]="domReadOnly",z[z.dragAndDrop=29]="dragAndDrop",z[z.emptySelectionClipboard=30]="emptySelectionClipboard",z[z.extraEditorClassName=31]="extraEditorClassName",z[z.fastScrollSensitivity=32]="fastScrollSensitivity",z[z.find=33]="find",z[z.fixedOverflowWidgets=34]="fixedOverflowWidgets",z[z.folding=35]="folding",z[z.foldingStrategy=36]="foldingStrategy",z[z.foldingHighlight=37]="foldingHighlight",z[z.unfoldOnClickAfterEndOfLine=38]="unfoldOnClickAfterEndOfLine",z[z.fontFamily=39]="fontFamily",z[z.fontInfo=40]="fontInfo",z[z.fontLigatures=41]="fontLigatures",z[z.fontSize=42]="fontSize",z[z.fontWeight=43]="fontWeight",z[z.formatOnPaste=44]="formatOnPaste",z[z.formatOnType=45]="formatOnType",z[z.glyphMargin=46]="glyphMargin",z[z.gotoLocation=47]="gotoLocation",z[z.hideCursorInOverviewRuler=48]="hideCursorInOverviewRuler",z[z.highlightActiveIndentGuide=49]="highlightActiveIndentGuide",z[z.hover=50]="hover",z[z.inDiffEditor=51]="inDiffEditor",z[z.inlineSuggest=52]="inlineSuggest",z[z.letterSpacing=53]="letterSpacing",z[z.lightbulb=54]="lightbulb",z[z.lineDecorationsWidth=55]="lineDecorationsWidth",z[z.lineHeight=56]="lineHeight",z[z.lineNumbers=57]="lineNumbers",z[z.lineNumbersMinChars=58]="lineNumbersMinChars",z[z.linkedEditing=59]="linkedEditing",z[z.links=60]="links",z[z.matchBrackets=61]="matchBrackets",z[z.minimap=62]="minimap",z[z.mouseStyle=63]="mouseStyle",z[z.mouseWheelScrollSensitivity=64]="mouseWheelScrollSensitivity",z[z.mouseWheelZoom=65]="mouseWheelZoom",z[z.multiCursorMergeOverlapping=66]="multiCursorMergeOverlapping",z[z.multiCursorModifier=67]="multiCursorModifier",z[z.multiCursorPaste=68]="multiCursorPaste",z[z.occurrencesHighlight=69]="occurrencesHighlight",z[z.overviewRulerBorder=70]="overviewRulerBorder",z[z.overviewRulerLanes=71]="overviewRulerLanes",z[z.padding=72]="padding",z[z.parameterHints=73]="parameterHints",z[z.peekWidgetDefaultFocus=74]="peekWidgetDefaultFocus",z[z.definitionLinkOpensInPeek=75]="definitionLinkOpensInPeek",z[z.quickSuggestions=76]="quickSuggestions",z[z.quickSuggestionsDelay=77]="quickSuggestionsDelay",z[z.readOnly=78]="readOnly",z[z.renameOnType=79]="renameOnType",z[z.renderControlCharacters=80]="renderControlCharacters",z[z.renderIndentGuides=81]="renderIndentGuides",z[z.renderFinalNewline=82]="renderFinalNewline",z[z.renderLineHighlight=83]="renderLineHighlight",z[z.renderLineHighlightOnlyWhenFocus=84]="renderLineHighlightOnlyWhenFocus",z[z.renderValidationDecorations=85]="renderValidationDecorations",z[z.renderWhitespace=86]="renderWhitespace",z[z.revealHorizontalRightPadding=87]="revealHorizontalRightPadding",z[z.roundedSelection=88]="roundedSelection",z[z.rulers=89]="rulers",z[z.scrollbar=90]="scrollbar",z[z.scrollBeyondLastColumn=91]="scrollBeyondLastColumn",z[z.scrollBeyondLastLine=92]="scrollBeyondLastLine",z[z.scrollPredominantAxis=93]="scrollPredominantAxis",z[z.selectionClipboard=94]="selectionClipboard",z[z.selectionHighlight=95]="selectionHighlight",z[z.selectOnLineNumbers=96]="selectOnLineNumbers",z[z.showFoldingControls=97]="showFoldingControls",z[z.showUnused=98]="showUnused",z[z.snippetSuggestions=99]="snippetSuggestions",z[z.smartSelect=100]="smartSelect",z[z.smoothScrolling=101]="smoothScrolling",z[z.stickyTabStops=102]="stickyTabStops",z[z.stopRenderingLineAfter=103]="stopRenderingLineAfter",z[z.suggest=104]="suggest",z[z.suggestFontSize=105]="suggestFontSize",z[z.suggestLineHeight=106]="suggestLineHeight",z[z.suggestOnTriggerCharacters=107]="suggestOnTriggerCharacters",z[z.suggestSelection=108]="suggestSelection",z[z.tabCompletion=109]="tabCompletion",z[z.tabIndex=110]="tabIndex",z[z.unusualLineTerminators=111]="unusualLineTerminators",z[z.useShadowDOM=112]="useShadowDOM",z[z.useTabStops=113]="useTabStops",z[z.wordSeparators=114]="wordSeparators",z[z.wordWrap=115]="wordWrap",z[z.wordWrapBreakAfterCharacters=116]="wordWrapBreakAfterCharacters",z[z.wordWrapBreakBeforeCharacters=117]="wordWrapBreakBeforeCharacters",z[z.wordWrapColumn=118]="wordWrapColumn",z[z.wordWrapOverride1=119]="wordWrapOverride1",z[z.wordWrapOverride2=120]="wordWrapOverride2",z[z.wrappingIndent=121]="wrappingIndent",z[z.wrappingStrategy=122]="wrappingStrategy",z[z.showDeprecated=123]="showDeprecated",z[z.inlayHints=124]="inlayHints",z[z.editorClassName=125]="editorClassName",z[z.pixelRatio=126]="pixelRatio",z[z.tabFocusMode=127]="tabFocusMode",z[z.layoutInfo=128]="layoutInfo",z[z.wrappingInfo=129]="wrappingInfo"})(Qe=e.EditorOption||(e.EditorOption={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:pe(new m(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:f.localize(131,null)})),acceptSuggestionOnEnter:pe(new S(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",f.localize(132,null),""],markdownDescription:f.localize(133,null)})),accessibilitySupport:pe(new g),accessibilityPageSize:pe(new u(3,"accessibilityPageSize",10,1,1073741824,{description:f.localize(134,null)})),ariaLabel:pe(new E(4,"ariaLabel",f.localize(135,null))),autoClosingBrackets:pe(new S(5,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",f.localize(136,null),f.localize(137,null),""],description:f.localize(138,null)})),autoClosingDelete:pe(new S(6,"autoClosingDelete","auto",["always","auto","never"],{enumDescriptions:["",f.localize(139,null),""],description:f.localize(140,null)})),autoClosingOvertype:pe(new S(7,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",f.localize(141,null),""],description:f.localize(142,null)})),autoClosingQuotes:pe(new S(8,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",f.localize(143,null),f.localize(144,null),""],description:f.localize(145,null)})),autoIndent:pe(new d(9,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],h,{enumDescriptions:[f.localize(146,null),f.localize(147,null),f.localize(148,null),f.localize(149,null),f.localize(150,null)],description:f.localize(151,null)})),automaticLayout:pe(new m(10,"automaticLayout",!1)),autoSurround:pe(new S(11,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[f.localize(152,null),f.localize(153,null),f.localize(154,null),""],description:f.localize(155,null)})),stickyTabStops:pe(new m(102,"stickyTabStops",!1,{description:f.localize(156,null)})),codeLens:pe(new m(12,"codeLens",!0,{description:f.localize(157,null)})),codeLensFontFamily:pe(new E(13,"codeLensFontFamily","",{description:f.localize(158,null)})),codeLensFontSize:pe(new u(14,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,markdownDescription:f.localize(159,null)})),colorDecorators:pe(new m(15,"colorDecorators",!0,{description:f.localize(160,null)})),columnSelection:pe(new m(16,"columnSelection",!1,{description:f.localize(161,null)})),comments:pe(new t),contextmenu:pe(new m(18,"contextmenu",!0)),copyWithSyntaxHighlighting:pe(new m(19,"copyWithSyntaxHighlighting",!0,{description:f.localize(162,null)})),cursorBlinking:pe(new d(20,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],i,{description:f.localize(163,null)})),cursorSmoothCaretAnimation:pe(new m(21,"cursorSmoothCaretAnimation",!1,{description:f.localize(164,null)})),cursorStyle:pe(new d(22,"cursorStyle",s.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],w,{description:f.localize(165,null)})),cursorSurroundingLines:pe(new u(23,"cursorSurroundingLines",0,0,1073741824,{description:f.localize(166,null)})),cursorSurroundingLinesStyle:pe(new S(24,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[f.localize(167,null),f.localize(168,null)],description:f.localize(169,null)})),cursorWidth:pe(new u(25,"cursorWidth",0,0,1073741824,{markdownDescription:f.localize(170,null)})),disableLayerHinting:pe(new m(26,"disableLayerHinting",!1)),disableMonospaceOptimizations:pe(new m(27,"disableMonospaceOptimizations",!1)),domReadOnly:pe(new m(28,"domReadOnly",!1)),dragAndDrop:pe(new m(29,"dragAndDrop",!0,{description:f.localize(171,null)})),emptySelectionClipboard:pe(new P),extraEditorClassName:pe(new E(31,"extraEditorClassName","")),fastScrollSensitivity:pe(new o(32,"fastScrollSensitivity",5,z=>z<=0?5:z,{markdownDescription:f.localize(172,null)})),find:pe(new A),fixedOverflowWidgets:pe(new m(34,"fixedOverflowWidgets",!1)),folding:pe(new m(35,"folding",!0,{description:f.localize(173,null)})),foldingStrategy:pe(new S(36,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[f.localize(174,null),f.localize(175,null)],description:f.localize(176,null)})),foldingHighlight:pe(new m(37,"foldingHighlight",!0,{description:f.localize(177,null)})),unfoldOnClickAfterEndOfLine:pe(new m(38,"unfoldOnClickAfterEndOfLine",!1,{description:f.localize(178,null)})),fontFamily:pe(new E(39,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:f.localize(179,null)})),fontInfo:pe(new T),fontLigatures2:pe(new a),fontSize:pe(new F),fontWeight:pe(new H),formatOnPaste:pe(new m(44,"formatOnPaste",!1,{description:f.localize(180,null)})),formatOnType:pe(new m(45,"formatOnType",!1,{description:f.localize(181,null)})),glyphMargin:pe(new m(46,"glyphMargin",!0,{description:f.localize(182,null)})),gotoLocation:pe(new $),hideCursorInOverviewRuler:pe(new m(48,"hideCursorInOverviewRuler",!1,{description:f.localize(183,null)})),highlightActiveIndentGuide:pe(new m(49,"highlightActiveIndentGuide",!0,{description:f.localize(184,null)})),hover:pe(new Z),inDiffEditor:pe(new m(51,"inDiffEditor",!1)),letterSpacing:pe(new o(53,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,z=>o.clamp(z,-5,20),{description:f.localize(185,null)})),lightbulb:pe(new Y),lineDecorationsWidth:pe(new I(55,"lineDecorationsWidth",10)),lineHeight:pe(new J),lineNumbers:pe(new ze),lineNumbersMinChars:pe(new u(58,"lineNumbersMinChars",5,1,300)),linkedEditing:pe(new m(59,"linkedEditing",!1,{description:f.localize(186,null)})),links:pe(new m(60,"links",!0,{description:f.localize(187,null)})),matchBrackets:pe(new S(61,"matchBrackets","always",["always","near","never"],{description:f.localize(188,null)})),minimap:pe(new N),mouseStyle:pe(new S(63,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:pe(new o(64,"mouseWheelScrollSensitivity",1,z=>z===0?1:z,{markdownDescription:f.localize(189,null)})),mouseWheelZoom:pe(new m(65,"mouseWheelZoom",!1,{markdownDescription:f.localize(190,null)})),multiCursorMergeOverlapping:pe(new m(66,"multiCursorMergeOverlapping",!0,{description:f.localize(191,null)})),multiCursorModifier:pe(new d(67,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],W,{markdownEnumDescriptions:[f.localize(192,null),f.localize(193,null)],markdownDescription:f.localize(194,null)})),multiCursorPaste:pe(new S(68,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[f.localize(195,null),f.localize(196,null)],markdownDescription:f.localize(197,null)})),occurrencesHighlight:pe(new m(69,"occurrencesHighlight",!0,{description:f.localize(198,null)})),overviewRulerBorder:pe(new m(70,"overviewRulerBorder",!0,{description:f.localize(199,null)})),overviewRulerLanes:pe(new u(71,"overviewRulerLanes",3,0,3)),padding:pe(new Q),parameterHints:pe(new G),peekWidgetDefaultFocus:pe(new S(74,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[f.localize(200,null),f.localize(201,null)],description:f.localize(202,null)})),definitionLinkOpensInPeek:pe(new m(75,"definitionLinkOpensInPeek",!1,{description:f.localize(203,null)})),quickSuggestions:pe(new ke),quickSuggestionsDelay:pe(new u(77,"quickSuggestionsDelay",10,0,1073741824,{description:f.localize(204,null)})),readOnly:pe(new m(78,"readOnly",!1)),renameOnType:pe(new m(79,"renameOnType",!1,{description:f.localize(205,null),markdownDeprecationMessage:f.localize(206,null)})),renderControlCharacters:pe(new m(80,"renderControlCharacters",!1,{description:f.localize(207,null)})),renderIndentGuides:pe(new m(81,"renderIndentGuides",!0,{description:f.localize(208,null)})),renderFinalNewline:pe(new m(82,"renderFinalNewline",!0,{description:f.localize(209,null)})),renderLineHighlight:pe(new S(83,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",f.localize(210,null)],description:f.localize(211,null)})),renderLineHighlightOnlyWhenFocus:pe(new m(84,"renderLineHighlightOnlyWhenFocus",!1,{description:f.localize(212,null)})),renderValidationDecorations:pe(new S(85,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:pe(new S(86,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",f.localize(213,null),f.localize(214,null),f.localize(215,null),""],description:f.localize(216,null)})),revealHorizontalRightPadding:pe(new u(87,"revealHorizontalRightPadding",30,0,1e3)),roundedSelection:pe(new m(88,"roundedSelection",!0,{description:f.localize(217,null)})),rulers:pe(new Ve),scrollbar:pe(new Ye),scrollBeyondLastColumn:pe(new u(91,"scrollBeyondLastColumn",5,0,1073741824,{description:f.localize(218,null)})),scrollBeyondLastLine:pe(new m(92,"scrollBeyondLastLine",!0,{description:f.localize(219,null)})),scrollPredominantAxis:pe(new m(93,"scrollPredominantAxis",!0,{description:f.localize(220,null)})),selectionClipboard:pe(new m(94,"selectionClipboard",!0,{description:f.localize(221,null),included:R.isLinux})),selectionHighlight:pe(new m(95,"selectionHighlight",!0,{description:f.localize(222,null)})),selectOnLineNumbers:pe(new m(96,"selectOnLineNumbers",!0)),showFoldingControls:pe(new S(97,"showFoldingControls","mouseover",["always","mouseover"],{enumDescriptions:[f.localize(223,null),f.localize(224,null)],description:f.localize(225,null)})),showUnused:pe(new m(98,"showUnused",!0,{description:f.localize(226,null)})),showDeprecated:pe(new m(123,"showDeprecated",!0,{description:f.localize(227,null)})),inlayHints:pe(new L),snippetSuggestions:pe(new S(99,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[f.localize(228,null),f.localize(229,null),f.localize(230,null),f.localize(231,null)],description:f.localize(232,null)})),smartSelect:pe(new K),smoothScrolling:pe(new m(101,"smoothScrolling",!1,{description:f.localize(233,null)})),stopRenderingLineAfter:pe(new u(103,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:pe(new x),inlineSuggest:pe(new et),suggestFontSize:pe(new u(105,"suggestFontSize",0,0,1e3,{markdownDescription:f.localize(234,null)})),suggestLineHeight:pe(new u(106,"suggestLineHeight",0,0,1e3,{markdownDescription:f.localize(235,null)})),suggestOnTriggerCharacters:pe(new m(107,"suggestOnTriggerCharacters",!0,{description:f.localize(236,null)})),suggestSelection:pe(new S(108,"suggestSelection","recentlyUsed",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[f.localize(237,null),f.localize(238,null),f.localize(239,null)],description:f.localize(240,null)})),tabCompletion:pe(new S(109,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[f.localize(241,null),f.localize(242,null),f.localize(243,null)],description:f.localize(244,null)})),tabIndex:pe(new u(110,"tabIndex",0,-1,1073741824)),unusualLineTerminators:pe(new S(111,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[f.localize(245,null),f.localize(246,null),f.localize(247,null)],description:f.localize(248,null)})),useShadowDOM:pe(new m(112,"useShadowDOM",!0)),useTabStops:pe(new m(113,"useTabStops",!0,{description:f.localize(249,null)})),wordSeparators:pe(new E(114,"wordSeparators",D.USUAL_WORD_SEPARATORS,{description:f.localize(250,null)})),wordWrap:pe(new S(115,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[f.localize(251,null),f.localize(252,null),f.localize(253,null),f.localize(254,null)],description:f.localize(255,null)})),wordWrapBreakAfterCharacters:pe(new E(116,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:pe(new E(117,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:pe(new u(118,"wordWrapColumn",80,1,1073741824,{markdownDescription:f.localize(256,null)})),wordWrapOverride1:pe(new S(119,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:pe(new S(120,"wordWrapOverride2","inherit",["off","on","inherit"])),wrappingIndent:pe(new d(121,"wrappingIndent",1,"same",["none","same","indent","deepIndent"],j,{enumDescriptions:[f.localize(257,null),f.localize(258,null),f.localize(259,null),f.localize(260,null)],description:f.localize(261,null)})),wrappingStrategy:pe(new S(122,"wrappingStrategy","simple",["simple","advanced"],{enumDescriptions:[f.localize(262,null),f.localize(263,null)],description:f.localize(264,null)})),editorClassName:pe(new p),pixelRatio:pe(new ue),tabFocusMode:pe(new ie),layoutInfo:pe(new B),wrappingInfo:pe(new re)}}),define(we[125],_e([19,20]),function(ne,e){return ne.create("vs/platform/configuration/common/configurationRegistry",e)}),define(we[126],_e([19,20]),function(ne,e){return ne.create("vs/platform/extensions/common/extensionValidator",e)}),define(we[127],_e([19,20]),function(ne,e){return ne.create("vs/platform/files/common/files",e)}),define(we[128],_e([19,20]),function(ne,e){return ne.create("vs/platform/markers/common/markers",e)}),define(we[129],_e([19,20]),function(ne,e){return ne.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(we[130],_e([19,20]),function(ne,e){return ne.create("vs/workbench/api/common/extHostExtensionService",e)}),define(we[131],_e([19,20]),function(ne,e){return ne.create("vs/workbench/api/common/extHostProgress",e)}),define(we[132],_e([19,20]),function(ne,e){return ne.create("vs/workbench/api/common/extHostStatusBar",e)}),define(we[133],_e([19,20]),function(ne,e){return ne.create("vs/workbench/api/common/extHostTerminalService",e)}),define(we[134],_e([19,20]),function(ne,e){return ne.create("vs/workbench/api/common/extHostTreeViews",e)}),define(we[135],_e([19,20]),function(ne,e){return ne.create("vs/workbench/api/common/extHostWorkspace",e)}),define(we[136],_e([19,20]),function(ne,e){return ne.create("vs/workbench/common/editor",e)}),define(we[137],_e([19,20]),function(ne,e){return ne.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(we[138],_e([19,20]),function(ne,e){return ne.create("vs/workbench/contrib/search/common/queryBuilder",e)}),define(we[139],_e([19,20]),function(ne,e){return ne.create("vs/workbench/contrib/tasks/common/taskService",e)}),define(we[140],_e([19,20]),function(ne,e){return ne.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(we[141],_e([0,1,2]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextEditorSelectionRevealType=e.EditorOpenContext=e.EditorOverride=e.EditorActivation=e.isResourceEditorInput=void 0;function R(b){const C=b;return f.URI.isUri(C?.resource)}e.isResourceEditorInput=R;var D;(function(b){b[b.ACTIVATE=1]="ACTIVATE",b[b.RESTORE=2]="RESTORE",b[b.PRESERVE=3]="PRESERVE"})(D=e.EditorActivation||(e.EditorActivation={}));var _;(function(b){b[b.PICK=0]="PICK",b[b.DISABLED=1]="DISABLED",b[b.EXCLUSIVE_ONLY=2]="EXCLUSIVE_ONLY"})(_=e.EditorOverride||(e.EditorOverride={}));var k;(function(b){b[b.API=0]="API",b[b.USER=1]="USER"})(k=e.EditorOpenContext||(e.EditorOpenContext={}));var y;(function(b){b[b.Center=0]="Center",b[b.CenterIfOutsideViewport=1]="CenterIfOutsideViewport",b[b.NearTop=2]="NearTop",b[b.NearTopIfOutsideViewport=3]="NearTopIfOutsideViewport"})(y=e.TextEditorSelectionRevealType||(e.TextEditorSelectionRevealType={}))}),define(we[142],_e([0,1,126]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const R=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,D=/^-(\d{4})(\d{2})(\d{2})$/;function _(l){return l=l.trim(),l==="*"||R.test(l)}e.isValidVersionStr=_;function k(l){if(!_(l))return null;if(l=l.trim(),l==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let m=l.match(R);return m?{hasCaret:m[1]==="^",hasGreaterEquals:m[1]===">=",majorBase:m[2]==="x"?0:parseInt(m[2],10),majorMustEqual:m[2]!=="x",minorBase:m[4]==="x"?0:parseInt(m[4],10),minorMustEqual:m[4]!=="x",patchBase:m[6]==="x"?0:parseInt(m[6],10),patchMustEqual:m[6]!=="x",preRelease:m[8]||null}:null}e.parseVersion=k;function y(l){if(!l)return null;let m=l.majorBase,u=l.majorMustEqual,o=l.minorBase,E=l.minorMustEqual,v=l.patchBase,S=l.patchMustEqual;l.hasCaret&&(m===0||(E=!1),S=!1);let d=0;if(l.preRelease){const h=D.exec(l.preRelease);if(h){const[,g,t,r]=h;d=Date.UTC(Number(g),Number(t)-1,Number(r))}}return{majorBase:m,majorMustEqual:u,minorBase:o,minorMustEqual:E,patchBase:v,patchMustEqual:S,isMinimum:l.hasGreaterEquals,notBefore:d}}e.normalizeVersion=y;function b(l,m,u){let o;typeof l=="string"?o=y(k(l)):o=l;let E;m instanceof Date?E=m.getTime():typeof m=="string"&&(E=new Date(m).getTime());let v;if(typeof u=="string"?v=y(k(u)):v=u,!o||!v)return!1;let S=o.majorBase,d=o.minorBase,h=o.patchBase,g=v.majorBase,t=v.minorBase,r=v.patchBase,i=v.notBefore,s=v.majorMustEqual,c=v.minorMustEqual,w=v.patchMustEqual;return v.isMinimum?S>g?!0:S<g?!1:d>t?!0:d<t||E&&E<i?!1:h>=r:(S===1&&g===0&&(!s||!c||!w)&&(g=1,t=0,r=0,s=!0,c=!1,w=!1),S<g?!1:S>g?!s:d<t?!1:d>t?!c:h<r?!1:h>r?!w:!(E&&E<i))}e.isValidVersion=b;function C(l,m,u,o){return u.isBuiltin||typeof u.main=="undefined"?!0:I(l,m,u.engines.vscode,o)}e.isValidExtensionVersion=C;function n(l,m,u){return l==="*"||I(m,u,l)}e.isEngineValid=n;function I(l,m,u,o=[]){let E=y(k(u));if(!E)return o.push(f.localize(0,null,u)),!1;if(E.majorBase===0){if(!E.majorMustEqual||!E.minorMustEqual)return o.push(f.localize(1,null,u)),!1}else if(!E.majorMustEqual)return o.push(f.localize(2,null,u)),!1;return b(l,m,E)?!0:(o.push(f.localize(3,null,l,u)),!1)}}),define(we[88],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class f{constructor(D,_=[],k=!1){this.ctor=D,this.staticArguments=_,this.supportsDelayedInstantiation=k}}e.SyncDescriptor=f}),define(we[56],_e([0,1,88]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const R=[];function D(k,y,b){y instanceof f.SyncDescriptor||(y=new f.SyncDescriptor(y,[],b)),R.push([k,y])}e.registerSingleton=D;function _(){return R}e.getSingletonServiceDescriptors=_}),define(we[143],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class f{constructor(_){this.incoming=new Map,this.outgoing=new Map,this.data=_}}e.Node=f;class R{constructor(_){this._hashFn=_,this._nodes=new Map}roots(){const _=[];for(let k of this._nodes.values())k.outgoing.size===0&&_.push(k);return _}insertEdge(_,k){const y=this.lookupOrInsertNode(_),b=this.lookupOrInsertNode(k);y.outgoing.set(this._hashFn(k),b),b.incoming.set(this._hashFn(_),y)}removeNode(_){const k=this._hashFn(_);this._nodes.delete(k);for(let y of this._nodes.values())y.outgoing.delete(k),y.incoming.delete(k)}lookupOrInsertNode(_){const k=this._hashFn(_);let y=this._nodes.get(k);return y||(y=new f(_),this._nodes.set(k,y)),y}lookup(_){return this._nodes.get(this._hashFn(_))}isEmpty(){return this._nodes.size===0}toString(){let _=[];for(let[k,y]of this._nodes)_.push(`${k}, (incoming)[${[...y.incoming.keys()].join(", ")}], (outgoing)[${[...y.outgoing.keys()].join(",")}]`);return _.join(`
`)}findCycleSlow(){for(let[_,k]of this._nodes){const y=new Set([_]),b=this._findCycle(k,y);if(b)return b}}_findCycle(_,k){for(let[y,b]of _.outgoing){if(k.has(y))return[...k,y].join(" -> ");k.add(y);const C=this._findCycle(b,k);if(C)return C;k.delete(y)}}}e.Graph=R}),define(we[4],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.optional=e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var f;(function(y){y.serviceIds=new Map,y.DI_TARGET="$di$target",y.DI_DEPENDENCIES="$di$dependencies";function b(C){return C[y.DI_DEPENDENCIES]||[]}y.getServiceDependencies=b})(f=e._util||(e._util={})),e.IInstantiationService=D("instantiationService");function R(y,b,C,n){b[f.DI_TARGET]===b?b[f.DI_DEPENDENCIES].push({id:y,index:C,optional:n}):(b[f.DI_DEPENDENCIES]=[{id:y,index:C,optional:n}],b[f.DI_TARGET]=b)}function D(y){if(f.serviceIds.has(y))return f.serviceIds.get(y);const b=function(C,n,I){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");R(b,C,I,!1)};return b.toString=()=>y,f.serviceIds.set(y,b),b}e.createDecorator=D;function _(y){return y}e.refineServiceDecorator=_;function k(y){return function(b,C,n){if(arguments.length!==3)throw new Error("@optional-decorator can only be used to decorate a parameter");R(y,b,n,!0)}}e.optional=k}),define(we[144],_e([0,1,4]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.shouldSynchronizeModel=e.IModelService=void 0,e.IModelService=f.createDecorator("modelService");function R(D){return!D.isTooLargeForSyncing()&&!D.isForSimpleWidget}e.shouldSynchronizeModel=R}),define(we[145],_e([0,1,3,52,6,22,77,54,144]),function(ne,e,f,R,D,_,k,y,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguageFeatureRequestDelays=e.LanguageFeatureRegistry=void 0;function C(l){return typeof l=="string"?!1:Array.isArray(l)?l.every(C):!!l.exclusive}class n{constructor(){this._clock=0,this._entries=[],this._onDidChange=new f.Emitter}get onDidChange(){return this._onDidChange.event}register(m,u){let o={selector:m,provider:u,_score:-1,_time:this._clock++};return this._entries.push(o),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),D.toDisposable(()=>{if(o){let E=this._entries.indexOf(o);E>=0&&(this._entries.splice(E,1),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),o=void 0)}})}has(m){return this.all(m).length>0}all(m){if(!m)return[];this._updateScores(m);const u=[];for(let o of this._entries)o._score>0&&u.push(o.provider);return u}ordered(m){const u=[];return this._orderedForEach(m,o=>u.push(o.provider)),u}orderedGroups(m){const u=[];let o,E;return this._orderedForEach(m,v=>{o&&E===v._score?o.push(v.provider):(E=v._score,o=[v.provider],u.push(o))}),u}_orderedForEach(m,u){if(!!m){this._updateScores(m);for(const o of this._entries)o._score>0&&u(o)}}_updateScores(m){let u={uri:m.uri.toString(),language:m.getLanguageIdentifier().language};if(!(this._lastCandidate&&this._lastCandidate.language===u.language&&this._lastCandidate.uri===u.uri)){this._lastCandidate=u;for(let o of this._entries)if(o._score=y.score(o.selector,m.uri,m.getLanguageIdentifier().language,b.shouldSynchronizeModel(m)),C(o.selector)&&o._score>0){for(let E of this._entries)E._score=0;o._score=1e3;break}this._entries.sort(n._compareByScoreAndTime)}}static _compareByScoreAndTime(m,u){return m._score<u._score?1:m._score>u._score?-1:m._time<u._time?1:m._time>u._time?-1:0}}e.LanguageFeatureRegistry=n;class I{constructor(m,u,o=Number.MAX_SAFE_INTEGER){this._registry=m,this.min=u,this.max=o,this._cache=new _.LRUCache(50,.7)}_key(m){return m.id+R.hash(this._registry.all(m))}_clamp(m){return m===void 0?this.min:Math.min(this.max,Math.max(this.min,Math.floor(m*1.3)))}get(m){const u=this._key(m),o=this._cache.get(u);return this._clamp(o?.value)}update(m,u){const o=this._key(m);let E=this._cache.get(o);return E||(E=new k.MovingAverage,this._cache.set(o,E)),E.update(u),this.get(m)}}e.LanguageFeatureRequestDelays=I}),define(we[57],_e([0,1,2,30,145,120,78]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExternalUriOpenerPriority=e.TokenizationRegistry=e.DocumentRangeSemanticTokensProviderRegistry=e.DocumentSemanticTokensProviderRegistry=e.FoldingRangeProviderRegistry=e.SelectionRangeRegistry=e.ColorProviderRegistry=e.LinkProviderRegistry=e.OnTypeFormattingEditProviderRegistry=e.DocumentRangeFormattingEditProviderRegistry=e.DocumentFormattingEditProviderRegistry=e.CodeActionProviderRegistry=e.InlayHintsProviderRegistry=e.CodeLensProviderRegistry=e.TypeDefinitionProviderRegistry=e.ImplementationProviderRegistry=e.DeclarationProviderRegistry=e.DefinitionProviderRegistry=e.LinkedEditingRangeProviderRegistry=e.DocumentHighlightProviderRegistry=e.DocumentSymbolProviderRegistry=e.InlineValuesProviderRegistry=e.EvaluatableExpressionProviderRegistry=e.HoverProviderRegistry=e.SignatureHelpProviderRegistry=e.InlineCompletionsProviderRegistry=e.CompletionProviderRegistry=e.RenameProviderRegistry=e.ReferenceProviderRegistry=e.InlayHintKind=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.SymbolKinds=e.SymbolTag=e.SymbolKind=e.isLocationLink=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.InlineCompletionTriggerKind=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.completionKindFromString=e.completionKindToCssClass=e.CompletionItemKind=e.TokenMetadata=e.MetadataConsts=e.StandardTokenType=e.ColorId=e.FontStyle=e.LanguageIdentifier=e.LanguageId=void 0;var y;(function(a){a[a.Null=0]="Null",a[a.PlainText=1]="PlainText"})(y=e.LanguageId||(e.LanguageId={}));class b{constructor(T,F){this.language=T,this.id=F}}e.LanguageIdentifier=b;var C;(function(a){a[a.NotSet=-1]="NotSet",a[a.None=0]="None",a[a.Italic=1]="Italic",a[a.Bold=2]="Bold",a[a.Underline=4]="Underline"})(C=e.FontStyle||(e.FontStyle={}));var n;(function(a){a[a.None=0]="None",a[a.DefaultForeground=1]="DefaultForeground",a[a.DefaultBackground=2]="DefaultBackground"})(n=e.ColorId||(e.ColorId={}));var I;(function(a){a[a.Other=0]="Other",a[a.Comment=1]="Comment",a[a.String=2]="String",a[a.RegEx=4]="RegEx"})(I=e.StandardTokenType||(e.StandardTokenType={}));var l;(function(a){a[a.LANGUAGEID_MASK=255]="LANGUAGEID_MASK",a[a.TOKEN_TYPE_MASK=1792]="TOKEN_TYPE_MASK",a[a.FONT_STYLE_MASK=14336]="FONT_STYLE_MASK",a[a.FOREGROUND_MASK=8372224]="FOREGROUND_MASK",a[a.BACKGROUND_MASK=4286578688]="BACKGROUND_MASK",a[a.ITALIC_MASK=2048]="ITALIC_MASK",a[a.BOLD_MASK=4096]="BOLD_MASK",a[a.UNDERLINE_MASK=8192]="UNDERLINE_MASK",a[a.SEMANTIC_USE_ITALIC=1]="SEMANTIC_USE_ITALIC",a[a.SEMANTIC_USE_BOLD=2]="SEMANTIC_USE_BOLD",a[a.SEMANTIC_USE_UNDERLINE=4]="SEMANTIC_USE_UNDERLINE",a[a.SEMANTIC_USE_FOREGROUND=8]="SEMANTIC_USE_FOREGROUND",a[a.SEMANTIC_USE_BACKGROUND=16]="SEMANTIC_USE_BACKGROUND",a[a.LANGUAGEID_OFFSET=0]="LANGUAGEID_OFFSET",a[a.TOKEN_TYPE_OFFSET=8]="TOKEN_TYPE_OFFSET",a[a.FONT_STYLE_OFFSET=11]="FONT_STYLE_OFFSET",a[a.FOREGROUND_OFFSET=14]="FOREGROUND_OFFSET",a[a.BACKGROUND_OFFSET=23]="BACKGROUND_OFFSET"})(l=e.MetadataConsts||(e.MetadataConsts={}));class m{static getLanguageId(T){return(T&255)>>>0}static getTokenType(T){return(T&1792)>>>8}static getFontStyle(T){return(T&14336)>>>11}static getForeground(T){return(T&8372224)>>>14}static getBackground(T){return(T&4286578688)>>>23}static getClassNameFromMetadata(T){let F=this.getForeground(T),H="mtk"+F,$=this.getFontStyle(T);return $&1&&(H+=" mtki"),$&2&&(H+=" mtkb"),$&4&&(H+=" mtku"),H}static getInlineStyleFromMetadata(T,F){const H=this.getForeground(T),$=this.getFontStyle(T);let Z=`color: ${F[H]};`;return $&1&&(Z+="font-style: italic;"),$&2&&(Z+="font-weight: bold;"),$&4&&(Z+="text-decoration: underline;"),Z}}e.TokenMetadata=m;var u;(function(a){a[a.Method=0]="Method",a[a.Function=1]="Function",a[a.Constructor=2]="Constructor",a[a.Field=3]="Field",a[a.Variable=4]="Variable",a[a.Class=5]="Class",a[a.Struct=6]="Struct",a[a.Interface=7]="Interface",a[a.Module=8]="Module",a[a.Property=9]="Property",a[a.Event=10]="Event",a[a.Operator=11]="Operator",a[a.Unit=12]="Unit",a[a.Value=13]="Value",a[a.Constant=14]="Constant",a[a.Enum=15]="Enum",a[a.EnumMember=16]="EnumMember",a[a.Keyword=17]="Keyword",a[a.Text=18]="Text",a[a.Color=19]="Color",a[a.File=20]="File",a[a.Reference=21]="Reference",a[a.Customcolor=22]="Customcolor",a[a.Folder=23]="Folder",a[a.TypeParameter=24]="TypeParameter",a[a.User=25]="User",a[a.Issue=26]="Issue",a[a.Snippet=27]="Snippet"})(u=e.CompletionItemKind||(e.CompletionItemKind={})),e.completionKindToCssClass=function(){let a=Object.create(null);return a[0]="symbol-method",a[1]="symbol-function",a[2]="symbol-constructor",a[3]="symbol-field",a[4]="symbol-variable",a[5]="symbol-class",a[6]="symbol-struct",a[7]="symbol-interface",a[8]="symbol-module",a[9]="symbol-property",a[10]="symbol-event",a[11]="symbol-operator",a[12]="symbol-unit",a[13]="symbol-value",a[14]="symbol-constant",a[15]="symbol-enum",a[16]="symbol-enum-member",a[17]="symbol-keyword",a[27]="symbol-snippet",a[18]="symbol-text",a[19]="symbol-color",a[20]="symbol-file",a[21]="symbol-reference",a[22]="symbol-customcolor",a[23]="symbol-folder",a[24]="symbol-type-parameter",a[25]="account",a[26]="issues",function(T){const F=a[T];let H=F&&k.iconRegistry.get(F);return H||(console.info("No codicon found for CompletionItemKind "+T),H=k.Codicon.symbolProperty),H.classNames}}(),e.completionKindFromString=function(){let a=Object.create(null);return a.method=0,a.function=1,a.constructor=2,a.field=3,a.variable=4,a.class=5,a.struct=6,a.interface=7,a.module=8,a.property=9,a.event=10,a.operator=11,a.unit=12,a.value=13,a.constant=14,a.enum=15,a["enum-member"]=16,a.enumMember=16,a.keyword=17,a.snippet=27,a.text=18,a.color=19,a.file=20,a.reference=21,a.customcolor=22,a.folder=23,a["type-parameter"]=24,a.typeParameter=24,a.account=25,a.issue=26,function(T,F){let H=a[T];return typeof H=="undefined"&&!F&&(H=9),H}}();var o;(function(a){a[a.Deprecated=1]="Deprecated"})(o=e.CompletionItemTag||(e.CompletionItemTag={}));var E;(function(a){a[a.KeepWhitespace=1]="KeepWhitespace",a[a.InsertAsSnippet=4]="InsertAsSnippet"})(E=e.CompletionItemInsertTextRule||(e.CompletionItemInsertTextRule={}));var v;(function(a){a[a.Invoke=0]="Invoke",a[a.TriggerCharacter=1]="TriggerCharacter",a[a.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(v=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var S;(function(a){a[a.Automatic=0]="Automatic",a[a.Explicit=1]="Explicit"})(S=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));var d;(function(a){a[a.Invoke=1]="Invoke",a[a.Auto=2]="Auto"})(d=e.CodeActionTriggerType||(e.CodeActionTriggerType={}));var h;(function(a){a[a.Invoke=1]="Invoke",a[a.TriggerCharacter=2]="TriggerCharacter",a[a.ContentChange=3]="ContentChange"})(h=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var g;(function(a){a[a.Text=0]="Text",a[a.Read=1]="Read",a[a.Write=2]="Write"})(g=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));function t(a){return a&&f.URI.isUri(a.uri)&&R.Range.isIRange(a.range)&&(R.Range.isIRange(a.originSelectionRange)||R.Range.isIRange(a.targetSelectionRange))}e.isLocationLink=t;var r;(function(a){a[a.File=0]="File",a[a.Module=1]="Module",a[a.Namespace=2]="Namespace",a[a.Package=3]="Package",a[a.Class=4]="Class",a[a.Method=5]="Method",a[a.Property=6]="Property",a[a.Field=7]="Field",a[a.Constructor=8]="Constructor",a[a.Enum=9]="Enum",a[a.Interface=10]="Interface",a[a.Function=11]="Function",a[a.Variable=12]="Variable",a[a.Constant=13]="Constant",a[a.String=14]="String",a[a.Number=15]="Number",a[a.Boolean=16]="Boolean",a[a.Array=17]="Array",a[a.Object=18]="Object",a[a.Key=19]="Key",a[a.Null=20]="Null",a[a.EnumMember=21]="EnumMember",a[a.Struct=22]="Struct",a[a.Event=23]="Event",a[a.Operator=24]="Operator",a[a.TypeParameter=25]="TypeParameter"})(r=e.SymbolKind||(e.SymbolKind={}));var i;(function(a){a[a.Deprecated=1]="Deprecated"})(i=e.SymbolTag||(e.SymbolTag={}));var s;(function(a){const T=new Map;T.set("file",0),T.set("module",1),T.set("namespace",2),T.set("package",3),T.set("class",4),T.set("method",5),T.set("property",6),T.set("field",7),T.set("constructor",8),T.set("enum",9),T.set("interface",10),T.set("function",11),T.set("variable",12),T.set("constant",13),T.set("string",14),T.set("number",15),T.set("boolean",16),T.set("array",17),T.set("object",18),T.set("key",19),T.set("null",20),T.set("enum-member",21),T.set("struct",22),T.set("event",23),T.set("operator",24),T.set("type-parameter",25);const F=new Map;F.set(0,"file"),F.set(1,"module"),F.set(2,"namespace"),F.set(3,"package"),F.set(4,"class"),F.set(5,"method"),F.set(6,"property"),F.set(7,"field"),F.set(8,"constructor"),F.set(9,"enum"),F.set(10,"interface"),F.set(11,"function"),F.set(12,"variable"),F.set(13,"constant"),F.set(14,"string"),F.set(15,"number"),F.set(16,"boolean"),F.set(17,"array"),F.set(18,"object"),F.set(19,"key"),F.set(20,"null"),F.set(21,"enum-member"),F.set(22,"struct"),F.set(23,"event"),F.set(24,"operator"),F.set(25,"type-parameter");function H(V){return T.get(V)}a.fromString=H;function $(V){return F.get(V)}a.toString=$;function Z(V,B){const Y=F.get(V);let L=Y&&k.iconRegistry.get("symbol-"+Y);return L||(console.info("No codicon found for SymbolKind "+V),L=k.Codicon.symbolProperty),`${B?"inline":"block"} ${L.classNames}`}a.toCssClassName=Z})(s=e.SymbolKinds||(e.SymbolKinds={}));class c{constructor(T){this.value=T}}e.FoldingRangeKind=c,c.Comment=new c("comment"),c.Imports=new c("imports"),c.Region=new c("region");var w;(function(a){a[a.Collapsed=0]="Collapsed",a[a.Expanded=1]="Expanded"})(w=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var p;(function(a){a[a.Editing=0]="Editing",a[a.Preview=1]="Preview"})(p=e.CommentMode||(e.CommentMode={}));var P;(function(a){a[a.Other=0]="Other",a[a.Type=1]="Type",a[a.Parameter=2]="Parameter"})(P=e.InlayHintKind||(e.InlayHintKind={})),e.ReferenceProviderRegistry=new D.LanguageFeatureRegistry,e.RenameProviderRegistry=new D.LanguageFeatureRegistry,e.CompletionProviderRegistry=new D.LanguageFeatureRegistry,e.InlineCompletionsProviderRegistry=new D.LanguageFeatureRegistry,e.SignatureHelpProviderRegistry=new D.LanguageFeatureRegistry,e.HoverProviderRegistry=new D.LanguageFeatureRegistry,e.EvaluatableExpressionProviderRegistry=new D.LanguageFeatureRegistry,e.InlineValuesProviderRegistry=new D.LanguageFeatureRegistry,e.DocumentSymbolProviderRegistry=new D.LanguageFeatureRegistry,e.DocumentHighlightProviderRegistry=new D.LanguageFeatureRegistry,e.LinkedEditingRangeProviderRegistry=new D.LanguageFeatureRegistry,e.DefinitionProviderRegistry=new D.LanguageFeatureRegistry,e.DeclarationProviderRegistry=new D.LanguageFeatureRegistry,e.ImplementationProviderRegistry=new D.LanguageFeatureRegistry,e.TypeDefinitionProviderRegistry=new D.LanguageFeatureRegistry,e.CodeLensProviderRegistry=new D.LanguageFeatureRegistry,e.InlayHintsProviderRegistry=new D.LanguageFeatureRegistry,e.CodeActionProviderRegistry=new D.LanguageFeatureRegistry,e.DocumentFormattingEditProviderRegistry=new D.LanguageFeatureRegistry,e.DocumentRangeFormattingEditProviderRegistry=new D.LanguageFeatureRegistry,e.OnTypeFormattingEditProviderRegistry=new D.LanguageFeatureRegistry,e.LinkProviderRegistry=new D.LanguageFeatureRegistry,e.ColorProviderRegistry=new D.LanguageFeatureRegistry,e.SelectionRangeRegistry=new D.LanguageFeatureRegistry,e.FoldingRangeProviderRegistry=new D.LanguageFeatureRegistry,e.DocumentSemanticTokensProviderRegistry=new D.LanguageFeatureRegistry,e.DocumentRangeSemanticTokensProviderRegistry=new D.LanguageFeatureRegistry,e.TokenizationRegistry=new _.TokenizationRegistryImpl;var A;(function(a){a[a.None=0]="None",a[a.Option=1]="Option",a[a.Default=2]="Default",a[a.Preferred=3]="Preferred"})(A=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}))}),define(we[58],_e([0,1,8,4,21]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyOrExpr=e.ContextKeyAndExpr=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.ContextKeyExpr=e.ContextKeyExprType=void 0;let _=D.userAgent||"";const k=new Map;k.set("false",!1),k.set("true",!0),k.set("isMac",D.isMacintosh),k.set("isLinux",D.isLinux),k.set("isWindows",D.isWindows),k.set("isWeb",D.isWeb),k.set("isMacNative",D.isMacintosh&&!D.isWeb),k.set("isEdge",_.indexOf("Edg/")>=0),k.set("isFirefox",_.indexOf("Firefox")>=0),k.set("isChrome",_.indexOf("Chrome")>=0),k.set("isSafari",_.indexOf("Safari")>=0);const y=Object.prototype.hasOwnProperty;var b;(function(A){A[A.False=0]="False",A[A.True=1]="True",A[A.Defined=2]="Defined",A[A.Not=3]="Not",A[A.Equals=4]="Equals",A[A.NotEquals=5]="NotEquals",A[A.And=6]="And",A[A.Regex=7]="Regex",A[A.NotRegex=8]="NotRegex",A[A.Or=9]="Or",A[A.In=10]="In",A[A.NotIn=11]="NotIn",A[A.Greater=12]="Greater",A[A.GreaterEquals=13]="GreaterEquals",A[A.Smaller=14]="Smaller",A[A.SmallerEquals=15]="SmallerEquals"})(b=e.ContextKeyExprType||(e.ContextKeyExprType={}));class C{static false(){return I.INSTANCE}static true(){return l.INSTANCE}static has(a){return m.create(a)}static equals(a,T){return u.create(a,T)}static notEquals(a,T){return v.create(a,T)}static regex(a,T){return r.create(a,T)}static in(a,T){return o.create(a,T)}static not(a){return S.create(a)}static and(...a){return s.create(a)}static or(...a){return c.create(a)}static greater(a,T){return d.create(a,T)}static less(a,T){return g.create(a,T)}static deserialize(a,T=!1){if(!!a)return this._deserializeOrExpression(a,T)}static _deserializeOrExpression(a,T){let F=a.split("||");return c.create(F.map(H=>this._deserializeAndExpression(H,T)))}static _deserializeAndExpression(a,T){let F=a.split("&&");return s.create(F.map(H=>this._deserializeOne(H,T)))}static _deserializeOne(a,T){if(a=a.trim(),a.indexOf("!=")>=0){let F=a.split("!=");return v.create(F[0].trim(),this._deserializeValue(F[1],T))}if(a.indexOf("==")>=0){let F=a.split("==");return u.create(F[0].trim(),this._deserializeValue(F[1],T))}if(a.indexOf("=~")>=0){let F=a.split("=~");return r.create(F[0].trim(),this._deserializeRegexValue(F[1],T))}if(a.indexOf(" in ")>=0){let F=a.split(" in ");return o.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(a)){const F=a.split(">=");return h.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(a)){const F=a.split(">");return d.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(a)){const F=a.split("<=");return t.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(a)){const F=a.split("<");return g.create(F[0].trim(),F[1].trim())}return/^\!\s*/.test(a)?S.create(a.substr(1).trim()):m.create(a)}static _deserializeValue(a,T){if(a=a.trim(),a==="true")return!0;if(a==="false")return!1;let F=/^'([^']*)'$/.exec(a);return F?F[1].trim():a}static _deserializeRegexValue(a,T){if(f.isFalsyOrWhitespace(a)){if(T)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let F=a.indexOf("/"),H=a.lastIndexOf("/");if(F===H||F<0){if(T)throw new Error(`bad regexp-value '${a}', missing /-enclosure`);return console.warn(`bad regexp-value '${a}', missing /-enclosure`),null}let $=a.slice(F+1,H),Z=a[H+1]==="i"?"i":"";try{return new RegExp($,Z)}catch(V){if(T)throw new Error(`bad regexp-value '${a}', parse error: ${V}`);return console.warn(`bad regexp-value '${a}', parse error: ${V}`),null}}}e.ContextKeyExpr=C;function n(A,a){return A.cmp(a)}class I{constructor(){this.type=0}cmp(a){return this.type-a.type}equals(a){return a.type===this.type}evaluate(a){return!1}serialize(){return"false"}keys(){return[]}map(a){return this}negate(){return l.INSTANCE}}e.ContextKeyFalseExpr=I,I.INSTANCE=new I;class l{constructor(){this.type=1}cmp(a){return this.type-a.type}equals(a){return a.type===this.type}evaluate(a){return!0}serialize(){return"true"}keys(){return[]}map(a){return this}negate(){return I.INSTANCE}}e.ContextKeyTrueExpr=l,l.INSTANCE=new l;class m{constructor(a){this.key=a,this.type=2}static create(a){const T=k.get(a);return typeof T=="boolean"?T?l.INSTANCE:I.INSTANCE:new m(a)}cmp(a){return a.type!==this.type?this.type-a.type:p(this.key,a.key)}equals(a){return a.type===this.type?this.key===a.key:!1}evaluate(a){return!!a.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(a){return a.mapDefined(this.key)}negate(){return S.create(this.key)}}e.ContextKeyDefinedExpr=m;class u{constructor(a,T){this.key=a,this.value=T,this.type=4}static create(a,T){if(typeof T=="boolean")return T?m.create(a):S.create(a);const F=k.get(a);return typeof F=="boolean"?T===(F?"true":"false")?l.INSTANCE:I.INSTANCE:new u(a,T)}cmp(a){return a.type!==this.type?this.type-a.type:P(this.key,this.value,a.key,a.value)}equals(a){return a.type===this.type?this.key===a.key&&this.value===a.value:!1}evaluate(a){return a.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(a){return a.mapEquals(this.key,this.value)}negate(){return v.create(this.key,this.value)}}e.ContextKeyEqualsExpr=u;class o{constructor(a,T){this.key=a,this.valueKey=T,this.type=10}static create(a,T){return new o(a,T)}cmp(a){return a.type!==this.type?this.type-a.type:P(this.key,this.valueKey,a.key,a.valueKey)}equals(a){return a.type===this.type?this.key===a.key&&this.valueKey===a.valueKey:!1}evaluate(a){const T=a.getValue(this.valueKey),F=a.getValue(this.key);return Array.isArray(T)?T.indexOf(F)>=0:typeof F=="string"&&typeof T=="object"&&T!==null?y.call(T,F):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(a){return a.mapIn(this.key,this.valueKey)}negate(){return E.create(this)}}e.ContextKeyInExpr=o;class E{constructor(a){this._actual=a,this.type=11}static create(a){return new E(a)}cmp(a){return a.type!==this.type?this.type-a.type:this._actual.cmp(a._actual)}equals(a){return a.type===this.type?this._actual.equals(a._actual):!1}evaluate(a){return!this._actual.evaluate(a)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(a){return new E(this._actual.map(a))}negate(){return this._actual}}e.ContextKeyNotInExpr=E;class v{constructor(a,T){this.key=a,this.value=T,this.type=5}static create(a,T){if(typeof T=="boolean")return T?S.create(a):m.create(a);const F=k.get(a);return typeof F=="boolean"?T===(F?"true":"false")?I.INSTANCE:l.INSTANCE:new v(a,T)}cmp(a){return a.type!==this.type?this.type-a.type:P(this.key,this.value,a.key,a.value)}equals(a){return a.type===this.type?this.key===a.key&&this.value===a.value:!1}evaluate(a){return a.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(a){return a.mapNotEquals(this.key,this.value)}negate(){return u.create(this.key,this.value)}}e.ContextKeyNotEqualsExpr=v;class S{constructor(a){this.key=a,this.type=3}static create(a){const T=k.get(a);return typeof T=="boolean"?T?I.INSTANCE:l.INSTANCE:new S(a)}cmp(a){return a.type!==this.type?this.type-a.type:p(this.key,a.key)}equals(a){return a.type===this.type?this.key===a.key:!1}evaluate(a){return!a.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(a){return a.mapNot(this.key)}negate(){return m.create(this.key)}}e.ContextKeyNotExpr=S;class d{constructor(a,T){this.key=a,this.value=T,this.type=12}static create(a,T){return new d(a,T)}cmp(a){return a.type!==this.type?this.type-a.type:P(this.key,this.value,a.key,a.value)}equals(a){return a.type===this.type?this.key===a.key&&this.value===a.value:!1}evaluate(a){return parseFloat(a.getValue(this.key))>parseFloat(this.value)}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(a){return a.mapGreater(this.key,this.value)}negate(){return t.create(this.key,this.value)}}e.ContextKeyGreaterExpr=d;class h{constructor(a,T){this.key=a,this.value=T,this.type=13}static create(a,T){return new h(a,T)}cmp(a){return a.type!==this.type?this.type-a.type:P(this.key,this.value,a.key,a.value)}equals(a){return a.type===this.type?this.key===a.key&&this.value===a.value:!1}evaluate(a){return parseFloat(a.getValue(this.key))>=parseFloat(this.value)}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(a){return a.mapGreaterEquals(this.key,this.value)}negate(){return g.create(this.key,this.value)}}e.ContextKeyGreaterEqualsExpr=h;class g{constructor(a,T){this.key=a,this.value=T,this.type=14}static create(a,T){return new g(a,T)}cmp(a){return a.type!==this.type?this.type-a.type:P(this.key,this.value,a.key,a.value)}equals(a){return a.type===this.type?this.key===a.key&&this.value===a.value:!1}evaluate(a){return parseFloat(a.getValue(this.key))<parseFloat(this.value)}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(a){return a.mapSmaller(this.key,this.value)}negate(){return h.create(this.key,this.value)}}e.ContextKeySmallerExpr=g;class t{constructor(a,T){this.key=a,this.value=T,this.type=15}static create(a,T){return new t(a,T)}cmp(a){return a.type!==this.type?this.type-a.type:P(this.key,this.value,a.key,a.value)}equals(a){return a.type===this.type?this.key===a.key&&this.value===a.value:!1}evaluate(a){return parseFloat(a.getValue(this.key))<=parseFloat(this.value)}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(a){return a.mapSmallerEquals(this.key,this.value)}negate(){return d.create(this.key,this.value)}}e.ContextKeySmallerEqualsExpr=t;class r{constructor(a,T){this.key=a,this.regexp=T,this.type=7}static create(a,T){return new r(a,T)}cmp(a){if(a.type!==this.type)return this.type-a.type;if(this.key<a.key)return-1;if(this.key>a.key)return 1;const T=this.regexp?this.regexp.source:"",F=a.regexp?a.regexp.source:"";return T<F?-1:T>F?1:0}equals(a){if(a.type===this.type){const T=this.regexp?this.regexp.source:"",F=a.regexp?a.regexp.source:"";return this.key===a.key&&T===F}return!1}evaluate(a){let T=a.getValue(this.key);return this.regexp?this.regexp.test(T):!1}serialize(){const a=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${a}`}keys(){return[this.key]}map(a){return a.mapRegex(this.key,this.regexp)}negate(){return i.create(this)}}e.ContextKeyRegexExpr=r;class i{constructor(a){this._actual=a,this.type=8}static create(a){return new i(a)}cmp(a){return a.type!==this.type?this.type-a.type:this._actual.cmp(a._actual)}equals(a){return a.type===this.type?this._actual.equals(a._actual):!1}evaluate(a){return!this._actual.evaluate(a)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(a){return new i(this._actual.map(a))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=i;class s{constructor(a){this.expr=a,this.type=6}static create(a){return s._normalizeArr(a)}cmp(a){if(a.type!==this.type)return this.type-a.type;if(this.expr.length<a.expr.length)return-1;if(this.expr.length>a.expr.length)return 1;for(let T=0,F=this.expr.length;T<F;T++){const H=n(this.expr[T],a.expr[T]);if(H!==0)return H}return 0}equals(a){if(a.type===this.type){if(this.expr.length!==a.expr.length)return!1;for(let T=0,F=this.expr.length;T<F;T++)if(!this.expr[T].equals(a.expr[T]))return!1;return!0}return!1}evaluate(a){for(let T=0,F=this.expr.length;T<F;T++)if(!this.expr[T].evaluate(a))return!1;return!0}static _normalizeArr(a){const T=[];let F=!1;for(const H of a)if(!!H){if(H.type===1){F=!0;continue}if(H.type===0)return I.INSTANCE;if(H.type===6){T.push(...H.expr);continue}T.push(H)}if(T.length===0&&F)return l.INSTANCE;if(T.length!==0){if(T.length===1)return T[0];for(T.sort(n);T.length>1;){const H=T[T.length-1];if(H.type!==9)break;T.pop();const $=T.pop(),Z=c.create(H.expr.map(V=>s.create([V,$])));Z&&(T.push(Z),T.sort(n))}return T.length===1?T[0]:new s(T)}}serialize(){return this.expr.map(a=>a.serialize()).join(" && ")}keys(){const a=[];for(let T of this.expr)a.push(...T.keys());return a}map(a){return new s(this.expr.map(T=>T.map(a)))}negate(){let a=[];for(let T of this.expr)a.push(T.negate());return c.create(a)}}e.ContextKeyAndExpr=s;class c{constructor(a){this.expr=a,this.type=9}static create(a){const T=c._normalizeArr(a);if(T.length!==0)return T.length===1?T[0]:new c(T)}cmp(a){if(a.type!==this.type)return this.type-a.type;if(this.expr.length<a.expr.length)return-1;if(this.expr.length>a.expr.length)return 1;for(let T=0,F=this.expr.length;T<F;T++){const H=n(this.expr[T],a.expr[T]);if(H!==0)return H}return 0}equals(a){if(a.type===this.type){if(this.expr.length!==a.expr.length)return!1;for(let T=0,F=this.expr.length;T<F;T++)if(!this.expr[T].equals(a.expr[T]))return!1;return!0}return!1}evaluate(a){for(let T=0,F=this.expr.length;T<F;T++)if(this.expr[T].evaluate(a))return!0;return!1}static _normalizeArr(a){let T=[],F=!1;if(a){for(let H=0,$=a.length;H<$;H++){const Z=a[H];if(!!Z){if(Z.type===0){F=!0;continue}if(Z.type===1)return[l.INSTANCE];if(Z.type===9){T=T.concat(Z.expr);continue}T.push(Z)}}if(T.length===0&&F)return[I.INSTANCE];T.sort(n)}return T}serialize(){return this.expr.map(a=>a.serialize()).join(" || ")}keys(){const a=[];for(let T of this.expr)a.push(...T.keys());return a}map(a){return new c(this.expr.map(T=>T.map(a)))}negate(){let a=[];for(let F of this.expr)a.push(F.negate());const T=F=>F.type===9?F.expr:[F];for(;a.length>1;){const F=a.shift(),H=a.shift(),$=[];for(const Z of T(F))for(const V of T(H))$.push(C.and(Z,V));a.unshift(C.or(...$))}return a[0]}}e.ContextKeyOrExpr=c;class w extends m{constructor(a,T,F){super(a);this._defaultValue=T,typeof F=="object"?w._info.push({...F,key:a}):F!==!0&&w._info.push({key:a,description:F,type:T!=null?typeof T:void 0})}static all(){return w._info.values()}bindTo(a){return a.createKey(this.key,this._defaultValue)}getValue(a){return a.getContextKeyValue(this.key)}toNegated(){return C.not(this.key)}isEqualTo(a){return C.equals(this.key,a)}notEqualsTo(a){return C.notEquals(this.key,a)}}e.RawContextKey=w,w._info=[],e.IContextKeyService=R.createDecorator("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function p(A,a){return A<a?-1:A>a?1:0}function P(A,a,T,F){return A<T?-1:A>T?1:a<F?-1:a>F?1:0}}),define(we[146],_e([0,1,4]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=f.createDecorator("environmentService"),e.INativeEnvironmentService=f.refineServiceDecorator(e.IEnvironmentService)}),define(we[26],_e([0,1,8,4]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isAuthenticaionProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin";function D(n){if(typeof n=="object"&&n!==null&&n.supported!==!0)return n.description}e.getWorkspaceSupportTypeMessage=D;function _(n){return n&&typeof n=="object"&&typeof n.id=="string"&&(!n.uuid||typeof n.uuid=="string")}e.isIExtensionIdentifier=_,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var k;(function(n){n[n.System=0]="System",n[n.User=1]="User"})(k=e.ExtensionType||(e.ExtensionType={}));class y{constructor(I){this.value=I,this._lower=I.toLowerCase()}static equals(I,l){if(typeof I=="undefined"||I===null)return typeof l=="undefined"||l===null;if(typeof l=="undefined"||l===null)return!1;if(typeof I=="string"||typeof l=="string"){let m=typeof I=="string"?I:I.value,u=typeof l=="string"?l:l.value;return f.equalsIgnoreCase(m,u)}return I._lower===l._lower}static toKey(I){return typeof I=="string"?I.toLowerCase():I._lower}}e.ExtensionIdentifier=y;function b(n){return n.contributes&&n.contributes.localizations?n.contributes.localizations.length>0:!1}e.isLanguagePackExtension=b;function C(n){return n.contributes&&n.contributes.authentication?n.contributes.authentication.length>0:!1}e.isAuthenticaionProviderExtension=C,e.IBuiltinExtensionsScannerService=R.createDecorator("IBuiltinExtensionsScannerService")}),define(we[147],_e([0,1,8,26]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getExtensionDependencies=e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function D(u,o){return u.uuid&&o.uuid?u.uuid===o.uuid:u.id===o.id?!0:f.compareIgnoreCase(u.id,o.id)===0}e.areSameExtensions=D;class _{constructor(o,E){this.version=E,this.id=o.id,this.uuid=o.uuid}key(){return`${this.id}-${this.version}`}equals(o){return o instanceof _?D(this,o)&&this.version===o.version:!1}}e.ExtensionIdentifierWithVersion=_;function k(u,o){return`${u}.${o}`}e.getExtensionId=k;function y(u){return u.toLocaleLowerCase()}e.adoptToGalleryExtensionId=y;function b(u,o){return y(k(u,o))}e.getGalleryExtensionId=b;function C(u,o){const E=[],v=S=>{for(const d of E)if(d.some(h=>D(o(h),o(S))))return d;return null};for(const S of u){const d=v(S);d?d.push(S):E.push([S])}return E}e.groupByExtension=C;function n(u){return{id:u.identifier.id,name:u.manifest.name,galleryId:null,publisherId:u.publisherId,publisherName:u.manifest.publisher,publisherDisplayName:u.publisherDisplayName,dependencies:u.manifest.extensionDependencies&&u.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=n;function I(u){return{id:u.identifier.id,name:u.name,galleryId:u.identifier.uuid,publisherId:u.publisherId,publisherName:u.publisher,publisherDisplayName:u.publisherDisplayName,dependencies:!!(u.properties.dependencies&&u.properties.dependencies.length>0),...u.telemetryData}}e.getGalleryExtensionTelemetryData=I,e.BetterMergeId=new R.ExtensionIdentifier("pprice.better-merge");function l(u){const o=new Set;for(const E of u)E.malicious&&o.add(E.id.id);return o}e.getMaliciousExtensionsSet=l;function m(u,o){const E=[],v=o.manifest.extensionDependencies?.slice(0)??[];for(;v.length;){const S=v.shift();if(S&&E.every(d=>!D(d.identifier,{id:S}))){const d=u.filter(h=>D(h.identifier,{id:S}));d.length===1&&(E.push(d[0]),v.push(...d[0].manifest.extensionDependencies?.slice(0)??[]))}}return E}e.getExtensionDependencies=m}),define(we[59],_e([0,1,127,14,2,4,8,10,22]),function(ne,e,f,R,D,_,k,y,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=_.createDecorator("fileService");function C(B){return B.create===!0}e.isFileOpenForWriteOptions=C;var n;(function(B){B[B.Unknown=0]="Unknown",B[B.File=1]="File",B[B.Directory=2]="Directory",B[B.SymbolicLink=64]="SymbolicLink"})(n=e.FileType||(e.FileType={}));var I;(function(B){B[B.Readonly=1]="Readonly"})(I=e.FilePermission||(e.FilePermission={}));var l;(function(B){B[B.FileReadWrite=2]="FileReadWrite",B[B.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",B[B.FileReadStream=16]="FileReadStream",B[B.FileFolderCopy=8]="FileFolderCopy",B[B.PathCaseSensitive=1024]="PathCaseSensitive",B[B.Readonly=2048]="Readonly",B[B.Trash=4096]="Trash",B[B.FileWriteUnlock=8192]="FileWriteUnlock"})(l=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function m(B){return!!(B.capabilities&2)}e.hasReadWriteCapability=m;function u(B){return!!(B.capabilities&8)}e.hasFileFolderCopyCapability=u;function o(B){return!!(B.capabilities&4)}e.hasOpenReadWriteCloseCapability=o;function E(B){return!!(B.capabilities&16)}e.hasFileReadStreamCapability=E;var v;(function(B){B.FileExists="EntryExists",B.FileNotFound="EntryNotFound",B.FileNotADirectory="EntryNotADirectory",B.FileIsADirectory="EntryIsADirectory",B.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",B.FileTooLarge="EntryTooLarge",B.FileWriteLocked="EntryWriteLocked",B.NoPermissions="NoPermissions",B.Unavailable="Unavailable",B.Unknown="Unknown"})(v=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class S extends Error{constructor(Y,L){super(Y);this.code=L}}e.FileSystemProviderError=S;function d(B,Y){const L=new S(B.toString(),Y);return g(L,Y),L}e.createFileSystemProviderError=d;function h(B){return B||d(f.localize(0,null),v.Unknown)}e.ensureFileSystemProviderError=h;function g(B,Y){return B.name=Y?`${Y} (FileSystemError)`:"FileSystemError",B}e.markAsFileSystemProviderError=g;function t(B){if(!B)return v.Unknown;if(B instanceof S)return B.code;const Y=/^(.+) \(FileSystemError\)$/.exec(B.name);if(!Y)return v.Unknown;switch(Y[1]){case v.FileExists:return v.FileExists;case v.FileIsADirectory:return v.FileIsADirectory;case v.FileNotADirectory:return v.FileNotADirectory;case v.FileNotFound:return v.FileNotFound;case v.FileExceedsMemoryLimit:return v.FileExceedsMemoryLimit;case v.FileTooLarge:return v.FileTooLarge;case v.FileWriteLocked:return v.FileWriteLocked;case v.NoPermissions:return v.NoPermissions;case v.Unavailable:return v.Unavailable}return v.Unknown}e.toFileSystemProviderErrorCode=t;function r(B){if(B instanceof P)return B.fileOperationResult;switch(t(B)){case v.FileNotFound:return 1;case v.FileIsADirectory:return 0;case v.FileNotADirectory:return 10;case v.FileWriteLocked:return 5;case v.NoPermissions:return 6;case v.FileExists:return 4;case v.FileExceedsMemoryLimit:return 9;case v.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=r;var i;(function(B){B[B.CREATE=0]="CREATE",B[B.DELETE=1]="DELETE",B[B.MOVE=2]="MOVE",B[B.COPY=3]="COPY"})(i=e.FileOperation||(e.FileOperation={}));class s{constructor(Y,L,J){this.resource=Y,this.operation=L,this.target=J}isOperation(Y){return this.operation===Y}}e.FileOperationEvent=s;var c;(function(B){B[B.UPDATED=0]="UPDATED",B[B.ADDED=1]="ADDED",B[B.DELETED=2]="DELETED"})(c=e.FileChangeType||(e.FileChangeType={}));class w{constructor(Y,L){this.added=void 0,this.updated=void 0,this.deleted=void 0;for(const J of Y)switch(J.type){case 1:this.added||(this.added=b.TernarySearchTree.forUris(()=>L)),this.added.set(J.resource,J);break;case 0:this.updated||(this.updated=b.TernarySearchTree.forUris(()=>L)),this.updated.set(J.resource,J);break;case 2:this.deleted||(this.deleted=b.TernarySearchTree.forUris(()=>L)),this.deleted.set(J.resource,J);break}}contains(Y,...L){return this.doContains(Y,{includeChildren:!1},...L)}affects(Y,...L){return this.doContains(Y,{includeChildren:!0},...L)}doContains(Y,L,...J){if(!Y)return!1;const N=J.length>0;return!!((!N||J.includes(1))&&(this.added?.get(Y)||L.includeChildren&&this.added?.findSuperstr(Y))||(!N||J.includes(0))&&(this.updated?.get(Y)||L.includeChildren&&this.updated?.findSuperstr(Y))||(!N||J.includes(2))&&(this.deleted?.findSubstr(Y)||L.includeChildren&&this.deleted?.findSuperstr(Y)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}get rawAdded(){return this.added}get rawDeleted(){return this.deleted}}e.FileChangesEvent=w;function p(B,Y,L){return!B||!Y||B===Y||Y.length>B.length?!1:(Y.charAt(Y.length-1)!==R.sep&&(Y+=R.sep),L?k.startsWithIgnoreCase(B,Y):B.indexOf(Y)===0)}e.isParent=p;class P extends Error{constructor(Y,L,J){super(Y);this.fileOperationResult=L,this.options=J}}e.FileOperationError=P;class A extends P{constructor(Y,L,J){super(Y,2,J);this.stat=L}}e.NotModifiedSinceFileOperationError=A;var a;(function(B){B[B.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",B[B.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",B[B.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",B[B.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",B[B.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",B[B.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",B[B.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",B[B.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",B[B.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",B[B.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",B[B.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",B[B.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(a=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var T;(function(B){B[B.FILE=0]="FILE",B[B.FOLDER=1]="FOLDER",B[B.ROOT_FOLDER=2]="ROOT_FOLDER"})(T=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function F(B){if(!(typeof B.size!="number"||typeof B.mtime!="number"))return B.mtime.toString(29)+B.size.toString(31)}e.etag=F;async function H(B,Y){if(!Y.canHandleResource(D.URI.from({scheme:B.scheme})))return new Promise(L=>{const J=Y.onDidChangeFileSystemProviderRegistrations(N=>{N.scheme===B.scheme&&N.added&&(J.dispose(),L())})})}e.whenProviderRegistered=H,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class ${static formatSize(Y){return y.isNumber(Y)||(Y=0),Y<$.KB?f.localize(1,null,Y.toFixed(0)):Y<$.MB?f.localize(2,null,(Y/$.KB).toFixed(2)):Y<$.GB?f.localize(3,null,(Y/$.MB).toFixed(2)):Y<$.TB?f.localize(4,null,(Y/$.GB).toFixed(2)):f.localize(5,null,(Y/$.TB).toFixed(2))}}e.ByteSize=$,$.KB=1024,$.MB=$.KB*$.KB,$.GB=$.MB*$.KB,$.TB=$.GB*$.KB;var Z;(function(B){B[B.IA32=0]="IA32",B[B.OTHER=1]="OTHER"})(Z=e.Arch||(e.Arch={}));function V(B){return{maxFileSize:B===0?300*$.MB:16*$.GB,maxHeapSize:B===0?700*$.MB:2*700*$.MB}}e.getPlatformLimits=V}),define(we[60],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class f{constructor(...D){this._entries=new Map;for(let[_,k]of D)this.set(_,k)}set(D,_){const k=this._entries.get(D);return this._entries.set(D,_),k}has(D){return this._entries.has(D)}get(D){return this._entries.get(D)}}e.ServiceCollection=f}),define(we[148],_e([0,1,12,143,88,4,60,15]),function(ne,e,f,R,D,_,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const b=!1;class C extends Error{constructor(u){super("cyclic dependency between services");this.message=u.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${u.toString()}`}}class n{constructor(u=new k.ServiceCollection,o=!1,E){this._activeInstantiations=new Set,this._services=u,this._strict=o,this._parent=E,this._services.set(_.IInstantiationService,this)}createChild(u){return new n(u,this._strict,this)}invokeFunction(u,...o){let E=l.traceInvocation(u),v=!1;try{return u({get:(d,h)=>{if(v)throw f.illegalState("service accessor is only valid during the invocation of its target method");const g=this._getOrCreateServiceInstance(d,E);if(!g&&h!==_.optional)throw new Error(`[invokeFunction] unknown service '${d}'`);return g}},...o)}finally{v=!0,E.stop()}}createInstance(u,...o){let E,v;return u instanceof D.SyncDescriptor?(E=l.traceCreation(u.ctor),v=this._createInstance(u.ctor,u.staticArguments.concat(o),E)):(E=l.traceCreation(u),v=this._createInstance(u,o,E)),E.stop(),v}_createInstance(u,o=[],E){let v=_._util.getServiceDependencies(u).sort((h,g)=>h.index-g.index),S=[];for(const h of v){let g=this._getOrCreateServiceInstance(h.id,E);if(!g&&this._strict&&!h.optional)throw new Error(`[createInstance] ${u.name} depends on UNKNOWN service ${h.id}.`);S.push(g)}let d=v.length>0?v[0].index:o.length;if(o.length!==d){console.warn(`[createInstance] First service dependency of ${u.name} at position ${d+1} conflicts with ${o.length} static arguments`);let h=d-o.length;h>0?o=o.concat(new Array(h)):o=o.slice(0,d)}return new u(...[...o,...S])}_setServiceInstance(u,o){if(this._services.get(u)instanceof D.SyncDescriptor)this._services.set(u,o);else if(this._parent)this._parent._setServiceInstance(u,o);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(u){let o=this._services.get(u);return!o&&this._parent?this._parent._getServiceInstanceOrDescriptor(u):o}_getOrCreateServiceInstance(u,o){let E=this._getServiceInstanceOrDescriptor(u);return E instanceof D.SyncDescriptor?this._safeCreateAndCacheServiceInstance(u,E,o.branch(u,!0)):(o.branch(u,!1),E)}_safeCreateAndCacheServiceInstance(u,o,E){if(this._activeInstantiations.has(u))throw new Error(`illegal state - RECURSIVELY instantiating service '${u}'`);this._activeInstantiations.add(u);try{return this._createAndCacheServiceInstance(u,o,E)}finally{this._activeInstantiations.delete(u)}}_createAndCacheServiceInstance(u,o,E){const v=new R.Graph(h=>h.id.toString());let S=0;const d=[{id:u,desc:o,_trace:E}];for(;d.length;){const h=d.pop();if(v.lookupOrInsertNode(h),S++>1e3)throw new C(v);for(let g of _._util.getServiceDependencies(h.desc.ctor)){let t=this._getServiceInstanceOrDescriptor(g.id);if(!t&&!g.optional&&console.warn(`[createInstance] ${u} depends on ${g.id} which is NOT registered.`),t instanceof D.SyncDescriptor){const r={id:g.id,desc:t,_trace:h._trace.branch(g.id,!0)};v.insertEdge(h,r),d.push(r)}}}for(;;){const h=v.roots();if(h.length===0){if(!v.isEmpty())throw new C(v);break}for(const{data:g}of h){if(this._getServiceInstanceOrDescriptor(g.id)instanceof D.SyncDescriptor){const r=this._createServiceInstanceWithOwner(g.id,g.desc.ctor,g.desc.staticArguments,g.desc.supportsDelayedInstantiation,g._trace);this._setServiceInstance(g.id,r)}v.removeNode(g)}}return this._getServiceInstanceOrDescriptor(u)}_createServiceInstanceWithOwner(u,o,E=[],v,S){if(this._services.get(u)instanceof D.SyncDescriptor)return this._createServiceInstance(o,E,v,S);if(this._parent)return this._parent._createServiceInstanceWithOwner(u,o,E,v,S);throw new Error(`illegalState - creating UNKNOWN service instance ${o.name}`)}_createServiceInstance(u,o=[],E,v){if(E){const S=new y.IdleValue(()=>this._createInstance(u,o,v));return new Proxy(Object.create(null),{get(d,h){if(h in d)return d[h];let g=S.value,t=g[h];return typeof t!="function"||(t=t.bind(g),d[h]=t),t},set(d,h,g){return S.value[h]=g,!0}})}else return this._createInstance(u,o,v)}}e.InstantiationService=n;var I;(function(m){m[m.Creation=0]="Creation",m[m.Invocation=1]="Invocation",m[m.Branch=2]="Branch"})(I||(I={}));class l{constructor(u,o){this.type=u,this.name=o,this._start=Date.now(),this._dep=[]}static traceInvocation(u){return b?new l(1,u.name||u.toString().substring(0,42).replace(/\n/g,"")):l._None}static traceCreation(u){return b?new l(0,u.name):l._None}branch(u,o){let E=new l(2,u.toString());return this._dep.push([u,o,E]),E}stop(){let u=Date.now()-this._start;l._totals+=u;let o=!1;function E(S,d){let h=[],g=new Array(S+1).join("	");for(const[t,r,i]of d._dep)if(r&&i){o=!0,h.push(`${g}CREATES -> ${t}`);let s=E(S+1,i);s&&h.push(s)}else h.push(`${g}uses -> ${t}`);return h.join(`
`)}let v=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${E(1,this)}`,`DONE, took ${u.toFixed(2)}ms (grand total ${l._totals.toFixed(2)}ms)`];(u>2||o)&&console.log(v.join(`
`))}}l._None=new class extends l{constructor(){super(-1,null)}stop(){}branch(){return this}},l._totals=0}),define(we[16],_e([0,1,4,6,21,3,55]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=f.createDecorator("logService"),e.ILoggerService=f.createDecorator("loggerService");function y(){return new Date().toISOString()}var b;(function(g){g[g.Trace=0]="Trace",g[g.Debug=1]="Debug",g[g.Info=2]="Info",g[g.Warning=3]="Warning",g[g.Error=4]="Error",g[g.Critical=5]="Critical",g[g.Off=6]="Off"})(b=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=b.Info;class C extends R.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new _.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(t){this.level!==t&&(this.level=t,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=C;class n extends C{constructor(t){super();this.logAlways=t}checkLogLevel(t){return this.logAlways||this.getLevel()<=t}trace(t,...r){this.checkLogLevel(b.Trace)&&this.log(b.Trace,this.format([t,...r]))}debug(t,...r){this.checkLogLevel(b.Debug)&&this.log(b.Debug,this.format([t,...r]))}info(t,...r){this.checkLogLevel(b.Info)&&this.log(b.Info,this.format([t,...r]))}warn(t,...r){this.checkLogLevel(b.Warning)&&this.log(b.Warning,this.format([t,...r]))}error(t,...r){if(this.checkLogLevel(b.Error))if(t instanceof Error){const i=Array.prototype.slice.call(arguments);i[0]=t.stack,this.log(b.Error,this.format(i))}else this.log(b.Error,this.format([t,...r]))}critical(t,...r){this.checkLogLevel(b.Critical)&&this.log(b.Critical,this.format([t,...r]))}flush(){}format(t){let r="";for(let i=0;i<t.length;i++){let s=t[i];if(typeof s=="object")try{s=JSON.stringify(s)}catch(c){}r+=(i>0?" ":"")+s}return r}}e.AbstractMessageLogger=n;class I extends C{constructor(t=e.DEFAULT_LOG_LEVEL){super();this.setLevel(t),this.useColors=!D.isWindows}trace(t,...r){this.getLevel()<=b.Trace&&(this.useColors?console.log(`[90m[main ${y()}][0m`,t,...r):console.log(`[main ${y()}]`,t,...r))}debug(t,...r){this.getLevel()<=b.Debug&&(this.useColors?console.log(`[90m[main ${y()}][0m`,t,...r):console.log(`[main ${y()}]`,t,...r))}info(t,...r){this.getLevel()<=b.Info&&(this.useColors?console.log(`[90m[main ${y()}][0m`,t,...r):console.log(`[main ${y()}]`,t,...r))}warn(t,...r){this.getLevel()<=b.Warning&&(this.useColors?console.warn(`[93m[main ${y()}][0m`,t,...r):console.warn(`[main ${y()}]`,t,...r))}error(t,...r){this.getLevel()<=b.Error&&(this.useColors?console.error(`[91m[main ${y()}][0m`,t,...r):console.error(`[main ${y()}]`,t,...r))}critical(t,...r){this.getLevel()<=b.Critical&&(this.useColors?console.error(`[90m[main ${y()}][0m`,t,...r):console.error(`[main ${y()}]`,t,...r))}dispose(){}flush(){}}e.ConsoleMainLogger=I;class l extends C{constructor(t=e.DEFAULT_LOG_LEVEL){super();this.setLevel(t)}trace(t,...r){this.getLevel()<=b.Trace&&console.log("%cTRACE","color: #888",t,...r)}debug(t,...r){this.getLevel()<=b.Debug&&console.log("%cDEBUG","background: #eee; color: #888",t,...r)}info(t,...r){this.getLevel()<=b.Info&&console.log("%c INFO","color: #33f",t,...r)}warn(t,...r){this.getLevel()<=b.Warning&&console.log("%c WARN","color: #993",t,...r)}error(t,...r){this.getLevel()<=b.Error&&console.log("%c  ERR","color: #f33",t,...r)}critical(t,...r){this.getLevel()<=b.Critical&&console.log("%cCRITI","background: #f33; color: white",t,...r)}dispose(){}flush(){}}e.ConsoleLogger=l;class m extends C{constructor(t,r=e.DEFAULT_LOG_LEVEL){super();this.adapter=t,this.setLevel(r)}trace(t,...r){this.getLevel()<=b.Trace&&this.adapter.log(b.Trace,[this.extractMessage(t),...r])}debug(t,...r){this.getLevel()<=b.Debug&&this.adapter.log(b.Debug,[this.extractMessage(t),...r])}info(t,...r){this.getLevel()<=b.Info&&this.adapter.log(b.Info,[this.extractMessage(t),...r])}warn(t,...r){this.getLevel()<=b.Warning&&this.adapter.log(b.Warning,[this.extractMessage(t),...r])}error(t,...r){this.getLevel()<=b.Error&&this.adapter.log(b.Error,[this.extractMessage(t),...r])}critical(t,...r){this.getLevel()<=b.Critical&&this.adapter.log(b.Critical,[this.extractMessage(t),...r])}extractMessage(t){return typeof t=="string"?t:k.toErrorMessage(t,this.getLevel()<=b.Trace)}dispose(){}flush(){}}e.AdapterLogger=m;class u extends C{constructor(t){super();this.logServices=t,t.length&&this.setLevel(t[0].getLevel())}setLevel(t){for(const r of this.logServices)r.setLevel(t);super.setLevel(t)}trace(t,...r){for(const i of this.logServices)i.trace(t,...r)}debug(t,...r){for(const i of this.logServices)i.debug(t,...r)}info(t,...r){for(const i of this.logServices)i.info(t,...r)}warn(t,...r){for(const i of this.logServices)i.warn(t,...r)}error(t,...r){for(const i of this.logServices)i.error(t,...r)}critical(t,...r){for(const i of this.logServices)i.critical(t,...r)}flush(){for(const t of this.logServices)t.flush()}dispose(){for(const t of this.logServices)t.dispose()}}e.MultiplexLogService=u;class o extends R.Disposable{constructor(t){super();this.logger=t,this._register(t)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(t){this.logger.setLevel(t)}getLevel(){return this.logger.getLevel()}trace(t,...r){this.logger.trace(t,...r)}debug(t,...r){this.logger.debug(t,...r)}info(t,...r){this.logger.info(t,...r)}warn(t,...r){this.logger.warn(t,...r)}error(t,...r){this.logger.error(t,...r)}critical(t,...r){this.logger.critical(t,...r)}flush(){this.logger.flush()}}e.LogService=o;class E extends R.Disposable{constructor(t,r){super();this.logLevel=t,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(r(i=>{this.logLevel=i,this.logLevelChangeableLoggers.forEach(s=>s.setLevel(i))}))}createLogger(t,r){let i=this.loggers.get(t.toString());return i||(i=this.doCreateLogger(t,r?.always?b.Trace:this.logLevel,r),this.loggers.set(t.toString(),i),r?.always||this.logLevelChangeableLoggers.push(i)),i}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(t=>t.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=E;class v{constructor(){this.onDidChangeLogLevel=new _.Emitter().event}setLevel(t){}getLevel(){return b.Info}trace(t,...r){}debug(t,...r){}info(t,...r){}warn(t,...r){}error(t,...r){}critical(t,...r){}dispose(){}flush(){}}e.NullLogService=v;function S(g){if(g.verbose)return b.Trace;if(typeof g.logLevel=="string"){const t=d(g.logLevel.toLowerCase());if(t!==void 0)return t}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=S;function d(g){switch(g){case"trace":return b.Trace;case"debug":return b.Debug;case"info":return b.Info;case"warn":return b.Warning;case"error":return b.Error;case"critical":return b.Critical;case"off":return b.Off}}e.parseLogLevel=d;function h(g){switch(g){case b.Trace:return"trace";case b.Debug:return"debug";case b.Info:return"info";case b.Warning:return"warn";case b.Error:return"error";case b.Critical:return"critical";case b.Off:return"off"}}e.LogLevelToString=h}),define(we[89],_e([0,1,4,128,42]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IMarkerService=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var _;(function(b){b[b.Unnecessary=1]="Unnecessary",b[b.Deprecated=2]="Deprecated"})(_=e.MarkerTag||(e.MarkerTag={}));var k;(function(b){b[b.Hint=1]="Hint",b[b.Info=2]="Info",b[b.Warning=4]="Warning",b[b.Error=8]="Error"})(k=e.MarkerSeverity||(e.MarkerSeverity={})),function(b){function C(u,o){return o-u}b.compare=C;const n=Object.create(null);n[b.Error]=R.localize(0,null),n[b.Warning]=R.localize(1,null),n[b.Info]=R.localize(2,null);function I(u){return n[u]||""}b.toString=I;function l(u){switch(u){case D.default.Error:return b.Error;case D.default.Warning:return b.Warning;case D.default.Info:return b.Info;case D.default.Ignore:return b.Hint}}b.fromSeverity=l;function m(u){switch(u){case b.Error:return D.default.Error;case b.Warning:return D.default.Warning;case b.Info:return D.default.Info;case b.Hint:return D.default.Ignore}}b.toSeverity=m}(k=e.MarkerSeverity||(e.MarkerSeverity={}));var y;(function(b){const C="";function n(l){return I(l,!0)}b.makeKey=n;function I(l,m){let u=[C];return l.source?u.push(l.source.replace("\xA6","\\\xA6")):u.push(C),l.code?typeof l.code=="string"?u.push(l.code.replace("\xA6","\\\xA6")):u.push(l.code.value.replace("\xA6","\\\xA6")):u.push(C),l.severity!==void 0&&l.severity!==null?u.push(k.toString(l.severity)):u.push(C),l.message&&m?u.push(l.message.replace("\xA6","\\\xA6")):u.push(C),l.startLineNumber!==void 0&&l.startLineNumber!==null?u.push(l.startLineNumber.toString()):u.push(C),l.startColumn!==void 0&&l.startColumn!==null?u.push(l.startColumn.toString()):u.push(C),l.endLineNumber!==void 0&&l.endLineNumber!==null?u.push(l.endLineNumber.toString()):u.push(C),l.endColumn!==void 0&&l.endColumn!==null?u.push(l.endColumn.toString()):u.push(C),u.push(C),u.join("\xA6")}b.makeKeyOptionalMessage=I})(y=e.IMarkerData||(e.IMarkerData={})),e.IMarkerService=f.createDecorator("markerService")}),define(we[149],_e([0,1,42,4,3]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NoOpProgress=e.NoOpNotification=e.NotificationsFilter=e.NeverShowAgainScope=e.INotificationService=e.Severity=void 0,e.Severity=f.default,e.INotificationService=R.createDecorator("notificationService");var _;(function(C){C[C.WORKSPACE=0]="WORKSPACE",C[C.GLOBAL=1]="GLOBAL"})(_=e.NeverShowAgainScope||(e.NeverShowAgainScope={}));var k;(function(C){C[C.OFF=0]="OFF",C[C.SILENT=1]="SILENT",C[C.ERROR=2]="ERROR"})(k=e.NotificationsFilter||(e.NotificationsFilter={}));class y{constructor(){this.progress=new b,this.onDidClose=D.Event.None,this.onDidChangeVisibility=D.Event.None}updateSeverity(n){}updateMessage(n){}updateActions(n){}close(){}}e.NoOpNotification=y;class b{infinite(){}done(){}total(n){}worked(n){}}e.NoOpProgress=b}),define(we[150],_e([0,1,6,8,2,4]),function(ne,e,f,R,D,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesScheme=e.NullOpenerService=e.IOpenerService=void 0,e.IOpenerService=_.createDecorator("openerService"),e.NullOpenerService=Object.freeze({_serviceBrand:void 0,registerOpener(){return f.Disposable.None},registerValidator(){return f.Disposable.None},registerExternalUriResolver(){return f.Disposable.None},setDefaultExternalOpener(){},registerExternalOpener(){return f.Disposable.None},async open(){return!1},async resolveExternalUri(y){return{resolved:y,dispose(){}}}});function k(y,b){return D.URI.isUri(y)?R.equalsIgnoreCase(y.scheme,b):R.startsWithIgnoreCase(y,b+":")}e.matchesScheme=k});var We=this&&this.__decorate||function(ne,e,f,R){var D=arguments.length,_=D<3?e:R===null?R=Object.getOwnPropertyDescriptor(e,f):R,k;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")_=Reflect.decorate(ne,e,f,R);else for(var y=ne.length-1;y>=0;y--)(k=ne[y])&&(_=(D<3?k(_):D>3?k(e,f,_):k(e,f))||_);return D>3&&_&&Object.defineProperty(e,f,_),_},He=this&&this.__param||function(ne,e){return function(f,R){e(f,R,ne)}};define(we[151],_e([0,1,4,18,6,15]),function(ne,e,f,R,D,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEditorProgressService=e.LongRunningOperation=e.UnmanagedProgress=e.Progress=e.emptyProgressRunner=e.ProgressLocation=e.IProgressService=void 0,e.IProgressService=f.createDecorator("progressService");var k;(function(n){n[n.Explorer=1]="Explorer",n[n.Scm=3]="Scm",n[n.Extensions=5]="Extensions",n[n.Window=10]="Window",n[n.Notification=15]="Notification",n[n.Dialog=20]="Dialog"})(k=e.ProgressLocation||(e.ProgressLocation={})),e.emptyProgressRunner=Object.freeze({total(){},worked(){},done(){}});class y{constructor(I){this.callback=I}get value(){return this._value}report(I){this._value=I,this.callback(this._value)}}e.Progress=y,y.None=Object.freeze({report(){}});let b=class extends D.Disposable{constructor(I,l){super();this.deferred=new _.DeferredPromise,l.withProgress(I,m=>(this.reporter=m,this.lastStep&&m.report(this.lastStep),this.deferred.p)),this._register(D.toDisposable(()=>this.deferred.complete()))}report(I){this.reporter?this.reporter.report(I):this.lastStep=I}};b=We([He(1,e.IProgressService)],b),e.UnmanagedProgress=b;class C extends D.Disposable{constructor(I){super();this.progressIndicator=I,this.currentOperationId=0,this.currentOperationDisposables=this._register(new D.DisposableStore)}start(I){this.stop();const l=++this.currentOperationId,m=new R.CancellationTokenSource;return this.currentProgressTimeout=setTimeout(()=>{l===this.currentOperationId&&(this.currentProgressRunner=this.progressIndicator.show(!0))},I),this.currentOperationDisposables.add(D.toDisposable(()=>clearTimeout(this.currentProgressTimeout))),this.currentOperationDisposables.add(D.toDisposable(()=>m.cancel())),this.currentOperationDisposables.add(D.toDisposable(()=>this.currentProgressRunner?this.currentProgressRunner.done():void 0)),{id:l,token:m.token,stop:()=>this.doStop(l),isCurrent:()=>this.currentOperationId===l}}stop(){this.doStop(this.currentOperationId)}doStop(I){this.currentOperationId===I&&this.currentOperationDisposables.clear()}}e.LongRunningOperation=C,e.IEditorProgressService=f.createDecorator("editorProgressService")}),define(we[36],_e([0,1,10,39]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class D{constructor(){this.data=new Map}add(k,y){R.ok(f.isString(k)),R.ok(f.isObject(y)),R.ok(!this.data.has(k),"There is already an extension with this id"),this.data.set(k,y)}knows(k){return this.data.has(k)}as(k){return this.data.get(k)||null}}e.Registry=new D}),define(we[152],_e([0,1,36,3]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function D(y){return y.length>0&&y.charAt(y.length-1)==="#"?y.substring(0,y.length-1):y}class _{constructor(){this._onDidChangeSchema=new R.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(b,C){this.schemasById[D(b)]=C,this._onDidChangeSchema.fire(b)}notifySchemaChanged(b){this._onDidChangeSchema.fire(b)}getSchemaContributions(){return{schemas:this.schemasById}}}const k=new _;f.Registry.add(e.Extensions.JSONContribution,k)}),define(we[61],_e([0,1,125,3,36,10,152]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.overrideIdentifierFromKey=e.OVERRIDE_PROPERTY_PATTERN=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=void 0,e.Extensions={Configuration:"base.contributions.configuration"};var y;(function(E){E[E.APPLICATION=1]="APPLICATION",E[E.MACHINE=2]="MACHINE",E[E.WINDOW=3]="WINDOW",E[E.RESOURCE=4]="RESOURCE",E[E.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",E[E.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(y=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const b=D.Registry.as(k.Extensions.JSONContribution);class C{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new R.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new R.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultValues={},this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:f.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},b.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(v,S=!0){this.registerConfigurations([v],S)}registerConfigurations(v,S=!0){const d=[];v.forEach(h=>{d.push(...this.validateAndRegisterProperties(h,S,h.extensionInfo)),this.configurationContributors.push(h),this.registerJSONConfiguration(h)}),b.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(d)}deregisterConfigurations(v){const S=[],d=h=>{if(h.properties)for(const g in h.properties)S.push(g),delete this.configurationProperties[g],this.removeFromSchema(g,h.properties[g]);h.allOf&&h.allOf.forEach(g=>d(g))};for(const h of v){d(h);const g=this.configurationContributors.indexOf(h);g!==-1&&this.configurationContributors.splice(g,1)}b.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(S)}registerDefaultConfigurations(v){const S=[],d=[];for(const h of v)for(const g in h)if(S.push(g),e.OVERRIDE_PROPERTY_PATTERN.test(g)){this.defaultValues[g]={...this.defaultValues[g]||{},...h[g]};const t={type:"object",default:this.defaultValues[g],description:f.localize(1,null,g),$ref:e.resourceLanguageSettingsSchemaId};d.push(I(g)),this.configurationProperties[g]=t,this.defaultLanguageConfigurationOverridesNode.properties[g]=t}else{this.defaultValues[g]=h[g];const t=this.configurationProperties[g];t&&(this.updatePropertyDefaultValue(g,t),this.updateSchema(g,t))}this.registerOverrideIdentifiers(d),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(S)}deregisterDefaultConfigurations(v){const S=[];for(const d of v)for(const h in d)if(S.push(h),delete this.defaultValues[h],e.OVERRIDE_PROPERTY_PATTERN.test(h))delete this.configurationProperties[h],delete this.defaultLanguageConfigurationOverridesNode.properties[h];else{const g=this.configurationProperties[h];g&&(this.updatePropertyDefaultValue(h,g),this.updateSchema(h,g))}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(S)}notifyConfigurationSchemaUpdated(...v){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(v){for(const S of v)this.overrideIdentifiers.add(S);this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(v,S=!0,d,h=3){h=_.isUndefinedOrNull(v.scope)?h:v.scope;let g=[],t=v.properties;if(t)for(let i in t){if(S&&u(i)){delete t[i];continue}const s=t[i];if(this.updatePropertyDefaultValue(i,s),e.OVERRIDE_PROPERTY_PATTERN.test(i)?s.scope=void 0:(s.scope=_.isUndefinedOrNull(s.scope)?h:s.scope,s.restricted=_.isUndefinedOrNull(s.restricted)?!!d?.restrictedConfigurations?.includes(i):s.restricted),t[i].hasOwnProperty("included")&&!t[i].included){this.excludedConfigurationProperties[i]=t[i],delete t[i];continue}else this.configurationProperties[i]=t[i];!t[i].deprecationMessage&&t[i].markdownDeprecationMessage&&(t[i].deprecationMessage=t[i].markdownDeprecationMessage),g.push(i)}let r=v.allOf;if(r)for(let i of r)g.push(...this.validateAndRegisterProperties(i,S,d,h));return g}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(v){const S=d=>{let h=d.properties;if(h)for(const t in h)this.updateSchema(t,h[t]);let g=d.allOf;g&&g.forEach(S)};S(v)}updateSchema(v,S){switch(e.allSettings.properties[v]=S,S.scope){case 1:e.applicationSettings.properties[v]=S;break;case 2:e.machineSettings.properties[v]=S;break;case 6:e.machineOverridableSettings.properties[v]=S;break;case 3:e.windowSettings.properties[v]=S;break;case 4:e.resourceSettings.properties[v]=S;break;case 5:e.resourceSettings.properties[v]=S,this.resourceLanguageSettingsSchema.properties[v]=S;break}}removeFromSchema(v,S){switch(delete e.allSettings.properties[v],S.scope){case 1:delete e.applicationSettings.properties[v];break;case 2:delete e.machineSettings.properties[v];break;case 6:delete e.machineOverridableSettings.properties[v];break;case 3:delete e.windowSettings.properties[v];break;case 4:case 5:delete e.resourceSettings.properties[v];break}}updateOverridePropertyPatternKey(){for(const v of this.overrideIdentifiers.values()){const S=`[${v}]`,d={type:"object",description:f.localize(2,null),errorMessage:f.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(S,d),e.allSettings.properties[S]=d,e.applicationSettings.properties[S]=d,e.machineSettings.properties[S]=d,e.machineOverridableSettings.properties[S]=d,e.windowSettings.properties[S]=d,e.resourceSettings.properties[S]=d}this._onDidSchemaChange.fire()}updatePropertyDefaultValue(v,S){let d=this.defaultValues[v];_.isUndefined(d)&&(d=S.default),_.isUndefined(d)&&(d=l(S.type)),S.default=d}}const n="\\[.*\\]$";e.OVERRIDE_PROPERTY_PATTERN=new RegExp(n);function I(E){return E.substring(1,E.length-1)}e.overrideIdentifierFromKey=I;function l(E){switch(Array.isArray(E)?E[0]:E){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=l;const m=new C;D.Registry.add(e.Extensions.Configuration,m);function u(E){return E.trim()?e.OVERRIDE_PROPERTY_PATTERN.test(E)?f.localize(5,null,E):m.getConfigurationProperties()[E]!==void 0?f.localize(6,null,E):null:f.localize(4,null)}e.validateProperty=u;function o(){const E=[],v=m.getConfigurationProperties();for(const S of Object.keys(v))E.push([S,v[S].scope]);return E.push(["launch",4]),E.push(["task",4]),E}e.getScopes=o}),define(we[90],_e([0,1,25,10,2,36,4,61]),function(ne,e,f,R,D,_,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.keyFromOverrideIdentifier=e.getDefaultValues=e.getConfigurationKeys=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.toOverrides=e.compare=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=k.createDecorator("configurationService");function b(r){return r&&typeof r=="object"&&(!r.overrideIdentifier||typeof r.overrideIdentifier=="string")&&(!r.resource||r.resource instanceof D.URI)}e.isConfigurationOverrides=b;var C;(function(r){r[r.USER=1]="USER",r[r.USER_LOCAL=2]="USER_LOCAL",r[r.USER_REMOTE=3]="USER_REMOTE",r[r.WORKSPACE=4]="WORKSPACE",r[r.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",r[r.DEFAULT=6]="DEFAULT",r[r.MEMORY=7]="MEMORY"})(C=e.ConfigurationTarget||(e.ConfigurationTarget={}));function n(r){switch(r){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=n;function I(r,i){const s=i?r?i.keys.filter(T=>r.keys.indexOf(T)===-1):[...i.keys]:[],c=r?i?r.keys.filter(T=>i.keys.indexOf(T)===-1):[...r.keys]:[],w=[];if(i&&r){for(const T of r.keys)if(i.keys.indexOf(T)!==-1){const F=v(r.contents,T),H=v(i.contents,T);f.equals(F,H)||w.push(T)}}const p=[],P=T=>{const F={};for(const H of T)for(const $ of H.identifiers)F[g($)]=H;return F},A=i?P(i.overrides):{},a=r?P(r.overrides):{};if(Object.keys(A).length)for(const T of s){const F=A[T];F&&p.push([y.overrideIdentifierFromKey(T),F.keys])}if(Object.keys(a).length)for(const T of c){const F=a[T];F&&p.push([y.overrideIdentifierFromKey(T),F.keys])}if(Object.keys(A).length&&Object.keys(a).length)for(const T of w){const F=a[T],H=A[T];if(F&&H){const $=I({contents:F.contents,keys:F.keys,overrides:[]},{contents:H.contents,keys:H.keys,overrides:[]});p.push([y.overrideIdentifierFromKey(T),[...$.added,...$.removed,...$.updated]])}}return{added:s,removed:c,updated:w,overrides:p}}e.compare=I;function l(r,i){const s=[];for(const c of Object.keys(r))if(y.OVERRIDE_PROPERTY_PATTERN.test(c)){const w={};for(const p in r[c])w[p]=r[c][p];s.push({identifiers:[y.overrideIdentifierFromKey(c).trim()],keys:Object.keys(w),contents:m(w,i)})}return s}e.toOverrides=l;function m(r,i){const s=Object.create(null);for(let c in r)u(s,c,r[c],i);return s}e.toValuesTree=m;function u(r,i,s,c){const w=i.split("."),p=w.pop();let P=r;for(let A=0;A<w.length;A++){let a=w[A],T=P[a];switch(typeof T){case"undefined":T=P[a]=Object.create(null);break;case"object":break;default:c(`Ignoring ${i} as ${w.slice(0,A+1).join(".")} is ${JSON.stringify(T)}`);return}P=T}if(typeof P=="object"&&P!==null)try{P[p]=s}catch(A){c(`Ignoring ${i} as ${w.join(".")} is ${JSON.stringify(P)}`)}else c(`Ignoring ${i} as ${w.join(".")} is ${JSON.stringify(P)}`)}e.addToValueTree=u;function o(r,i){const s=i.split(".");E(r,s)}e.removeFromValueTree=o;function E(r,i){const s=i.shift();if(i.length===0){delete r[s];return}if(Object.keys(r).indexOf(s)!==-1){const c=r[s];typeof c=="object"&&!Array.isArray(c)&&(E(c,i),Object.keys(c).length===0&&delete r[s])}}function v(r,i,s){function c(P,A){let a=P;for(const T of A){if(typeof a!="object"||a===null)return;a=a[T]}return a}const w=i.split("."),p=c(r,w);return typeof p=="undefined"?s:p}e.getConfigurationValue=v;function S(r,i,s){Object.keys(i).forEach(c=>{c!=="__proto__"&&(c in r?R.isObject(r[c])&&R.isObject(i[c])?S(r[c],i[c],s):s&&(r[c]=i[c]):r[c]=i[c])})}e.merge=S;function d(){const r=_.Registry.as(y.Extensions.Configuration).getConfigurationProperties();return Object.keys(r)}e.getConfigurationKeys=d;function h(){const r=Object.create(null),i=_.Registry.as(y.Extensions.Configuration).getConfigurationProperties();for(let s in i){let c=i[s].default;u(r,s,c,w=>console.error(`Conflict in default settings: ${w}`))}return r}e.getDefaultValues=h;function g(r){return`[${r}]`}e.keyFromOverrideIdentifier=g;function t(r,i,s){const c=r.inspect(i),w=r.inspect(s);return typeof c.userValue!="undefined"||typeof c.workspaceValue!="undefined"||typeof c.workspaceFolderValue!="undefined"?c.value:typeof w.userValue!="undefined"||typeof w.workspaceValue!="undefined"||typeof w.workspaceFolderValue!="undefined"?w.value:c.defaultValue}e.getMigratedSettingValue=t}),define(we[153],_e([0,1,108,22,17,10,25,2,61,90,36,6,3]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class m{constructor(t={},r=[],i=[]){this._contents=t,this._keys=r,this._overrides=i,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(t){return t?C.getConfigurationValue(this.contents,t):this.contents}getOverrideValue(t,r){const i=this.getContentsForOverrideIdentifer(r);return i?t?C.getConfigurationValue(i,t):i:void 0}getKeysForOverrideIdentifier(t){for(const r of this.overrides)if(r.identifiers.indexOf(t)!==-1)return r.keys;return[]}override(t){const r=this.getContentsForOverrideIdentifer(t);if(!r||typeof r!="object"||!Object.keys(r).length)return this;let i={};for(const s of D.distinct([...Object.keys(this.contents),...Object.keys(r)])){let c=this.contents[s],w=r[s];w&&(typeof c=="object"&&typeof w=="object"?(c=k.deepClone(c),this.mergeContents(c,w)):c=w),i[s]=c}return new m(i,this.keys,this.overrides)}merge(...t){const r=k.deepClone(this.contents),i=k.deepClone(this.overrides),s=[...this.keys];for(const c of t){this.mergeContents(r,c.contents);for(const w of c.overrides){const[p]=i.filter(P=>D.equals(P.identifiers,w.identifiers));p?this.mergeContents(p.contents,w.contents):i.push(k.deepClone(w))}for(const w of c.keys)s.indexOf(w)===-1&&s.push(w)}return new m(r,s,i)}freeze(){return this.isFrozen=!0,this}mergeContents(t,r){for(const i of Object.keys(r)){if(i in t&&_.isObject(t[i])&&_.isObject(r[i])){this.mergeContents(t[i],r[i]);continue}t[i]=k.deepClone(r[i])}}checkAndFreeze(t){return this.isFrozen&&!Object.isFrozen(t)?k.deepFreeze(t):t}getContentsForOverrideIdentifer(t){for(const r of this.overrides)if(r.identifiers.indexOf(t)!==-1)return r.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(t,r){this.addKey(t),C.addToValueTree(this.contents,t,r,i=>{throw new Error(i)})}removeValue(t){this.removeKey(t)&&C.removeFromValueTree(this.contents,t)}addKey(t){let r=this.keys.length;for(let i=0;i<r;i++)t.indexOf(this.keys[i])===0&&(r=i);this.keys.splice(r,1,t)}removeKey(t){let r=this.keys.indexOf(t);return r!==-1?(this.keys.splice(r,1),!0):!1}}e.ConfigurationModel=m;class u extends m{constructor(){const t=C.getDefaultValues(),r=C.getConfigurationKeys(),i=[];for(const s of Object.keys(t))b.OVERRIDE_PROPERTY_PATTERN.test(s)&&i.push({identifiers:[b.overrideIdentifierFromKey(s).trim()],keys:Object.keys(t[s]),contents:C.toValuesTree(t[s],c=>console.error(`Conflict in default settings file: ${c}`))});super(t,r,i)}}e.DefaultConfigurationModel=u;class o{constructor(t){this._name=t,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new m}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(t,r){if(!_.isUndefinedOrNull(t)){const i=this.doParseContent(t);this.parseRaw(i,r)}}reparse(t){this._raw&&this.parseRaw(this._raw,t)}parseRaw(t,r){this._raw=t;const{contents:i,keys:s,overrides:c,restricted:w}=this.doParseRaw(t,r);this._configurationModel=new m(i,s,c),this._restrictedConfigurations=w||[]}doParseContent(t){let r={},i=null,s=[],c=[],w=[];function p(A){Array.isArray(s)?s.push(A):i&&(s[i]=A)}let P={onObjectBegin:()=>{let A={};p(A),c.push(s),s=A,i=null},onObjectProperty:A=>{i=A},onObjectEnd:()=>{s=c.pop()},onArrayBegin:()=>{let A=[];p(A),c.push(s),s=A,i=null},onArrayEnd:()=>{s=c.pop()},onLiteralValue:p,onError:(A,a,T)=>{w.push({error:A,offset:a,length:T})}};if(t)try{f.visit(t,P),r=s[0]||{}}catch(A){console.error(`Error while parsing settings file ${this._name}: ${A}`),this._parseErrors=[A]}return r}doParseRaw(t,r){const i=n.Registry.as(b.Extensions.Configuration).getConfigurationProperties(),s=this.filter(t,i,!0,r);t=s.raw;const c=C.toValuesTree(t,P=>console.error(`Conflict in settings file ${this._name}: ${P}`)),w=Object.keys(t),p=C.toOverrides(t,P=>console.error(`Conflict in settings file ${this._name}: ${P}`));return{contents:c,keys:w,overrides:p,restricted:s.restricted}}filter(t,r,i,s){if(!s?.scopes&&!s?.skipRestricted)return{raw:t,restricted:[]};const c={},w=[];for(let p in t)if(b.OVERRIDE_PROPERTY_PATTERN.test(p)&&i){const P=this.filter(t[p],r,!1,s);c[p]=P.raw,w.push(...P.restricted)}else{const P=r[p],A=P?typeof P.scope!="undefined"?P.scope:3:void 0;P?.restricted&&w.push(p),(A===void 0||s.scopes===void 0||s.scopes.includes(A))&&(s.skipRestricted&&P?.restricted||(c[p]=t[p]))}return{raw:c,restricted:w}}}e.ConfigurationModelParser=o;class E extends I.Disposable{constructor(t,r,i,s){super();this.userSettingsResource=t,this.scopes=r,this.fileService=s,this._onDidChange=this._register(new l.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new o(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(i.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(l.Event.filter(this.fileService.onDidFilesChange,c=>c.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const t=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(t.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch(t){return new m}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=E;class v{constructor(t,r,i=new m,s=new m,c=new R.ResourceMap,w=new m,p=new R.ResourceMap,P=!0){this._defaultConfiguration=t,this._localUserConfiguration=r,this._remoteUserConfiguration=i,this._workspaceConfiguration=s,this._folderConfigurations=c,this._memoryConfiguration=w,this._memoryConfigurationByResource=p,this._freeze=P,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new R.ResourceMap,this._userConfiguration=null}getValue(t,r,i){return this.getConsolidateConfigurationModel(r,i).getValue(t)}updateValue(t,r,i={}){let s;i.resource?(s=this._memoryConfigurationByResource.get(i.resource),s||(s=new m,this._memoryConfigurationByResource.set(i.resource,s))):s=this._memoryConfiguration,r===void 0?s.removeValue(t):s.setValue(t,r),i.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(t,r,i){const s=this.getConsolidateConfigurationModel(r,i),c=this.getFolderConfigurationModelForResource(r.resource,i),w=r.resource?this._memoryConfigurationByResource.get(r.resource)||this._memoryConfiguration:this._memoryConfiguration,p=r.overrideIdentifier?this._defaultConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this._defaultConfiguration.freeze().getValue(t),P=r.overrideIdentifier?this.userConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.userConfiguration.freeze().getValue(t),A=r.overrideIdentifier?this.localUserConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.localUserConfiguration.freeze().getValue(t),a=r.overrideIdentifier?this.remoteUserConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.remoteUserConfiguration.freeze().getValue(t),T=i?r.overrideIdentifier?this._workspaceConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this._workspaceConfiguration.freeze().getValue(t):void 0,F=c?r.overrideIdentifier?c.freeze().override(r.overrideIdentifier).getValue(t):c.freeze().getValue(t):void 0,H=r.overrideIdentifier?w.override(r.overrideIdentifier).getValue(t):w.getValue(t),$=s.getValue(t),Z=D.distinct(D.flatten(s.overrides.map(V=>V.identifiers))).filter(V=>s.getOverrideValue(t,V)!==void 0);return{defaultValue:p,userValue:P,userLocalValue:A,userRemoteValue:a,workspaceValue:T,workspaceFolderValue:F,memoryValue:H,value:$,default:p!==void 0?{value:this._defaultConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,user:P!==void 0?{value:this.userConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,userLocal:A!==void 0?{value:this.localUserConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,userRemote:a!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,workspace:T!==void 0?{value:this._workspaceConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,workspaceFolder:F!==void 0?{value:c?.freeze().getValue(t),override:r.overrideIdentifier?c?.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,memory:H!==void 0?{value:w.getValue(t),override:r.overrideIdentifier?w.getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,overrideIdentifiers:Z.length?Z:void 0}}keys(t){const r=this.getFolderConfigurationModelForResource(void 0,t);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:r?r.freeze().keys:[]}}updateDefaultConfiguration(t){this._defaultConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(t){this._localUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(t){this._remoteUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(t){this._workspaceConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(t,r){this._folderConfigurations.set(t,r),this._foldersConsolidatedConfigurations.delete(t)}deleteFolderConfiguration(t){this.folderConfigurations.delete(t),this._foldersConsolidatedConfigurations.delete(t)}compareAndUpdateDefaultConfiguration(t,r){const i=r.filter(s=>b.OVERRIDE_PROPERTY_PATTERN.test(s)).map(s=>{const c=b.overrideIdentifierFromKey(s),w=this._defaultConfiguration.getKeysForOverrideIdentifier(c),p=t.getKeysForOverrideIdentifier(c),P=[...p.filter(A=>w.indexOf(A)===-1),...w.filter(A=>p.indexOf(A)===-1),...w.filter(A=>!k.equals(this._defaultConfiguration.override(c).getValue(A),t.override(c).getValue(A)))];return[c,P]});return this.updateDefaultConfiguration(t),{keys:r,overrides:i}}compareAndUpdateLocalUserConfiguration(t){const{added:r,updated:i,removed:s,overrides:c}=C.compare(this.localUserConfiguration,t),w=[...r,...i,...s];return w.length&&this.updateLocalUserConfiguration(t),{keys:w,overrides:c}}compareAndUpdateRemoteUserConfiguration(t){const{added:r,updated:i,removed:s,overrides:c}=C.compare(this.remoteUserConfiguration,t);let w=[...r,...i,...s];return w.length&&this.updateRemoteUserConfiguration(t),{keys:w,overrides:c}}compareAndUpdateWorkspaceConfiguration(t){const{added:r,updated:i,removed:s,overrides:c}=C.compare(this.workspaceConfiguration,t);let w=[...r,...i,...s];return w.length&&this.updateWorkspaceConfiguration(t),{keys:w,overrides:c}}compareAndUpdateFolderConfiguration(t,r){const i=this.folderConfigurations.get(t),{added:s,updated:c,removed:w,overrides:p}=C.compare(i,r);let P=[...s,...c,...w];return(P.length||!i)&&this.updateFolderConfiguration(t,r),{keys:P,overrides:p}}compareAndDeleteFolderConfiguration(t){const r=this.folderConfigurations.get(t);if(!r)throw new Error("Unknown folder");this.deleteFolderConfiguration(t);const{added:i,updated:s,removed:c,overrides:w}=C.compare(r,void 0);return{keys:[...i,...s,...c],overrides:w}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(t,r){let i=this.getConsolidatedConfigurationModelForResource(t,r);return t.overrideIdentifier?i.override(t.overrideIdentifier):i}getConsolidatedConfigurationModelForResource({resource:t},r){let i=this.getWorkspaceConsolidatedConfiguration();if(r&&t){const s=r.getFolder(t);s&&(i=this.getFolderConsolidatedConfiguration(s.uri)||i);const c=this._memoryConfigurationByResource.get(t);c&&(i=i.merge(c))}return i}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(t){let r=this._foldersConsolidatedConfigurations.get(t);if(!r){const i=this.getWorkspaceConsolidatedConfiguration(),s=this._folderConfigurations.get(t);s?(r=i.merge(s),this._freeze&&(r=r.freeze()),this._foldersConsolidatedConfigurations.set(t,r)):r=i}return r}getFolderConfigurationModelForResource(t,r){if(r&&t){const i=r.getFolder(t);if(i)return this._folderConfigurations.get(i.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((t,r)=>{const{contents:i,overrides:s,keys:c}=this._folderConfigurations.get(r);return t.push([r,{contents:i,overrides:s,keys:c}]),t},[])}}allKeys(){const t=new Set;return this._defaultConfiguration.freeze().keys.forEach(r=>t.add(r)),this.userConfiguration.freeze().keys.forEach(r=>t.add(r)),this._workspaceConfiguration.freeze().keys.forEach(r=>t.add(r)),this._folderConfigurations.forEach(r=>r.freeze().keys.forEach(i=>t.add(i))),[...t.values()]}getAllKeysForOverrideIdentifier(t){const r=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(t).forEach(i=>r.add(i)),this.userConfiguration.getKeysForOverrideIdentifier(t).forEach(i=>r.add(i)),this._workspaceConfiguration.getKeysForOverrideIdentifier(t).forEach(i=>r.add(i)),this._folderConfigurations.forEach(i=>i.getKeysForOverrideIdentifier(t).forEach(s=>r.add(s))),[...r.values()]}static parse(t){const r=this.parseConfigurationModel(t.defaults),i=this.parseConfigurationModel(t.user),s=this.parseConfigurationModel(t.workspace),c=t.folders.reduce((w,p)=>(w.set(y.URI.revive(p[0]),this.parseConfigurationModel(p[1])),w),new R.ResourceMap);return new v(r,i,new m,s,c,new m,new R.ResourceMap,!1)}static parseConfigurationModel(t){return new m(t.contents,t.keys,t.overrides).freeze()}}e.Configuration=v;function S(...g){if(g.length===0)return{keys:[],overrides:[]};if(g.length===1)return g[0];const t=new Set,r=new Map;for(const s of g)s.keys.forEach(c=>t.add(c)),s.overrides.forEach(([c,w])=>{const p=R.getOrSet(r,c,new Set);w.forEach(P=>p.add(P))});const i=[];return r.forEach((s,c)=>i.push([c,[...s.values()]])),{keys:[...t.values()],overrides:i}}e.mergeChanges=S;class d{constructor(t,r,i,s){this.change=t,this.previous=r,this.currentConfiguraiton=i,this.currentWorkspace=s,this._previousConfiguration=void 0;const c=new Set;t.keys.forEach(p=>c.add(p)),t.overrides.forEach(([,p])=>p.forEach(P=>c.add(P))),this.affectedKeys=[...c.values()];const w=new m;this.affectedKeys.forEach(p=>w.setValue(p,{})),this.affectedKeysTree=w.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=v.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(t,r){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,t)){if(r){const i=this.previousConfiguration?this.previousConfiguration.getValue(t,r,this.previous?.workspace):void 0,s=this.currentConfiguraiton.getValue(t,r,this.currentWorkspace);return!k.equals(i,s)}return!0}return!1}doesAffectedKeysTreeContains(t,r){let i=C.toValuesTree({[r]:!0},()=>{}),s;for(;typeof i=="object"&&(s=Object.keys(i)[0]);){if(t=t[s],!t)return!1;i=i[s]}return!0}}e.ConfigurationChangeEvent=d;class h extends d{constructor(t,r,i,s){super({keys:t.allKeys(),overrides:[]},void 0,t,r);this.source=i,this.sourceConfig=s}}e.AllKeysConfigurationChangeEvent=h}),define(we[91],_e([0,1,4]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=f.createDecorator("remoteAuthorityResolverService");var R;(function(_){_.Unknown="Unknown",_.NotAvailable="NotAvailable",_.TemporarilyNotAvailable="TemporarilyNotAvailable",_.NoResolverFound="NoResolverFound"})(R=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class D extends Error{constructor(k,y=R.Unknown,b){super(k);this._message=k,this._code=y,this._detail=b,this.isHandled=y===R.NotAvailable&&b===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,D.prototype)}static isTemporarilyNotAvailable(k){return k instanceof D&&k._code===R.TemporarilyNotAvailable}static isNoResolverFound(k){return k instanceof D&&k._code===R.NoResolverFound}static isHandled(k){return k instanceof D&&k.isHandled}}e.RemoteAuthorityResolverError=D}),define(we[92],_e([0,1,11]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isVirtualWorkspace=e.getVirtualWorkspaceScheme=e.getVirtualWorkspaceLocation=e.isVirtualResource=e.getRemoteName=e.getRemoteAuthority=void 0;function R(C){return C.scheme===f.Schemas.vscodeRemote?C.authority:void 0}e.getRemoteAuthority=R;function D(C){if(!C)return;const n=C.indexOf("+");return n<0?C:C.substr(0,n)}e.getRemoteName=D;function _(C){return C.scheme!==f.Schemas.file&&C.scheme!==f.Schemas.vscodeRemote}e.isVirtualResource=_;function k(C){if(C.folders.length)return C.folders.every(n=>_(n.uri))?C.folders[0].uri:void 0;if(C.configuration&&_(C.configuration))return C.configuration}e.getVirtualWorkspaceLocation=k;function y(C){return k(C)?.scheme}e.getVirtualWorkspaceScheme=y;function b(C){return k(C)!==void 0}e.isVirtualWorkspace=b}),define(we[154],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalDataBufferer=void 0;class f{constructor(D){this._callback=D,this._terminalBufferMap=new Map}dispose(){for(const D of this._terminalBufferMap.values())D.dispose()}startBuffering(D,_,k=5){let y;return y=_(b=>{const C=typeof b=="string"?b:b.data;let n=this._terminalBufferMap.get(D);if(n){n.data.push(C);return}const I=setTimeout(()=>this.flushBuffer(D),k);n={data:[C],timeoutId:I,dispose:()=>{clearTimeout(I),this.flushBuffer(D),y.dispose()}},this._terminalBufferMap.set(D,n)}),y}stopBuffering(D){const _=this._terminalBufferMap.get(D);_&&_.dispose()}flushBuffer(D){const _=this._terminalBufferMap.get(D);_&&(this._terminalBufferMap.delete(D),this._callback(D,_.data.join("")))}}e.TerminalDataBufferer=f}),define(we[44],_e([0,1,2,23,4,22]),function(ne,e,f,R,D,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=D.createDecorator("contextService");var k;(function(l){l[l.EMPTY=1]="EMPTY",l[l.FOLDER=2]="FOLDER",l[l.WORKSPACE=3]="WORKSPACE"})(k=e.WorkbenchState||(e.WorkbenchState={}));function y(l){const m=l;return!!(m&&typeof m=="object"&&typeof m.id=="string"&&Array.isArray(m.folders))}e.isWorkspace=y;function b(l){const m=l;return!!(m&&typeof m=="object"&&f.URI.isUri(m.uri)&&typeof m.name=="string"&&typeof m.toResource=="function")}e.isWorkspaceFolder=b;class C{constructor(m,u,o,E){this._id=m,this._configuration=o,this._ignorePathCasing=E,this._foldersMap=_.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=u}update(m){this._id=m.id,this._configuration=m.configuration,this._ignorePathCasing=m._ignorePathCasing,this.folders=m.folders}get folders(){return this._folders}set folders(m){this._folders=m,this.updateFoldersMap()}get id(){return this._id}get configuration(){return this._configuration}set configuration(m){this._configuration=m}getFolder(m){return m&&this._foldersMap.findSubstr(m.with({scheme:m.scheme,authority:m.authority,path:m.path}))||null}updateFoldersMap(){this._foldersMap=_.TernarySearchTree.forUris(this._ignorePathCasing);for(const m of this.folders)this._foldersMap.set(m.uri,m)}toJSON(){return{id:this.id,folders:this.folders,configuration:this.configuration}}}e.Workspace=C;class n{constructor(m,u){this.raw=u,this.uri=m.uri,this.index=m.index,this.name=m.name}toResource(m){return R.joinPath(this.uri,m)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=n;function I(l){return new n({uri:l,index:0,name:R.basenameOrAuthority(l)},{uri:l.toString()})}e.toWorkspaceFolder=I}),define(we[62],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Cache=void 0;class f{constructor(D){this.id=D,this._data=new Map,this._idPool=1}add(D){const _=this._idPool++;return this._data.set(_,D),this.logDebugInfo(),_}get(D,_){return this._data.has(D)?this._data.get(D)[_]:void 0}delete(D){this._data.delete(D),this.logDebugInfo()}logDebugInfo(){!f.enableDebugLogging||console.log(`${this.id} cache size \u2014 ${this._data.size}`)}}e.Cache=f,f.enableDebugLogging=!1}),define(we[63],_e([0,1,2,3,4]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorTabs=e.IExtHostEditorTabs=void 0,e.IExtHostEditorTabs=D.createDecorator("IExtHostEditorTabs");class _{constructor(){this._onDidChangeTabs=new R.Emitter,this.onDidChangeTabs=this._onDidChangeTabs.event,this._tabs=[]}get tabs(){return this._tabs}$acceptEditorTabs(y){this._tabs=y.map(b=>({name:b.name,group:b.group,resource:f.URI.revive(b.resource),isActive:b.isActive})),this._onDidChangeTabs.fire()}}e.ExtHostEditorTabs=_}),define(we[45],_e([0,1,11,4]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostFileSystemInfo=e.ExtHostFileSystemInfo=void 0;class D{constructor(){this._systemSchemes=new Set(Object.keys(f.Schemas)),this._providerInfo=new Map}$acceptProviderInfos(k,y){y===null?this._providerInfo.delete(k):this._providerInfo.set(k,y)}isFreeScheme(k){return!this._providerInfo.has(k)&&!this._systemSchemes.has(k)}getCapabilities(k){return this._providerInfo.get(k)}}e.ExtHostFileSystemInfo=D,e.IExtHostFileSystemInfo=R.createDecorator("IExtHostFileSystemInfo")}),define(we[28],_e([0,1,4]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostInitDataService=void 0,e.IExtHostInitDataService=f.createDecorator("IExtHostInitDataService")}),define(we[155],_e([0,1,2]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostInteractive=void 0;class R{constructor(_,k,y){this._extHostNotebooks=k,this._textDocumentsAndEditors=y}$willAddInteractiveDocument(_,k,y,b){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:[{EOL:k,lines:[""],modeId:y,uri:_,isDirty:!1,versionId:1,notebook:this._extHostNotebooks.getNotebookDocument(f.URI.revive(b))?.apiNotebook}]})}$willRemoveInteractiveDocument(_,k){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({removedDocuments:[_]})}}e.ExtHostInteractive=R}),define(we[156],_e([0,1,15]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGlobalMemento=e.ExtensionMemento=void 0;class R{constructor(k,y,b){this._deferredPromises=new Map,this._id=k,this._shared=y,this._storage=b,this._init=this._storage.getValue(this._shared,this._id,Object.create(null)).then(C=>(this._value=C,this)),this._storageListener=this._storage.onDidChangeStorage(C=>{C.shared===this._shared&&C.key===this._id&&(this._value=C.value)}),this._scheduler=new f.RunOnceScheduler(()=>{const C=this._deferredPromises;this._deferredPromises=new Map,(async()=>{try{await this._storage.setValue(this._shared,this._id,this._value);for(const n of C.values())n.complete()}catch(n){for(const I of C.values())I.error(n)}})()},0)}keys(){return Object.entries(this._value??{}).filter(([,k])=>k!==void 0).map(([k])=>k)}get whenReady(){return this._init}get(k,y){let b=this._value[k];return typeof b=="undefined"&&(b=y),b}update(k,y){this._value[k]=y;let b=this._deferredPromises.get(k);if(b!==void 0)return b.p;const C=new f.DeferredPromise;return this._deferredPromises.set(k,C),this._scheduler.isScheduled()||this._scheduler.schedule(),C.p}dispose(){this._storageListener.dispose()}}e.ExtensionMemento=R;class D extends R{constructor(k,y){super(k.identifier.value,!0,y);this._extension=k}setKeysForSync(k){this._storage.registerExtensionStorageKeysToSync({id:this._id,version:this._extension.version},k)}}e.ExtensionGlobalMemento=D}),define(we[157],_e([0,1,3,2,16]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocuments=void 0;let _=class{constructor(y,b){this._logService=y,this._notebooksAndEditors=b,this._onDidChangeNotebookDocumentMetadata=new f.Emitter,this.onDidChangeNotebookDocumentMetadata=this._onDidChangeNotebookDocumentMetadata.event,this._onDidSaveNotebookDocument=new f.Emitter,this.onDidSaveNotebookDocument=this._onDidSaveNotebookDocument.event}$acceptModelChanged(y,b,C){this._notebooksAndEditors.getNotebookDocument(R.URI.revive(y)).acceptModelChanged(b,C)}$acceptDirtyStateChanged(y,b){this._notebooksAndEditors.getNotebookDocument(R.URI.revive(y)).acceptDirty(b)}$acceptModelSaved(y){const b=this._notebooksAndEditors.getNotebookDocument(R.URI.revive(y));this._onDidSaveNotebookDocument.fire(b.apiNotebook)}$acceptDocumentPropertiesChanged(y,b){this._logService.debug("ExtHostNotebook#$acceptDocumentPropertiesChanged",y.path,b);const C=this._notebooksAndEditors.getNotebookDocument(R.URI.revive(y));C.acceptDocumentPropertiesChanged(b),b.metadata&&this._onDidChangeNotebookDocumentMetadata.fire({document:C.apiNotebook})}};_=We([He(0,D.ILogService)],_),e.ExtHostNotebookDocuments=_}),define(we[13],_e([0,1,4]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostRpcService=e.IExtHostRpcService=void 0,e.IExtHostRpcService=f.createDecorator("IExtHostRpcService");class R{constructor(_){this.getProxy=_.getProxy.bind(_),this.set=_.set.bind(_),this.assertRegistered=_.assertRegistered.bind(_),this.drain=_.drain.bind(_)}}e.ExtHostRpcService=R});var it=this&&this.__classPrivateFieldSet||function(ne,e,f,R,D){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ne!==e||!D:!e.has(ne))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?D.call(ne,f):D?D.value=f:e.set(ne,f),f},Me=this&&this.__classPrivateFieldGet||function(ne,e,f,R){if(f==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ne!==e||!R:!e.has(ne))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?R:f==="a"?R.call(ne):R?R.value:e.get(ne)};define(we[158],_e([0,1,26,3]),function(ne,e,f,R){"use strict";var D;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionSecrets=void 0;class _{constructor(y,b){D.set(this,void 0),this._onDidChange=new R.Emitter,this.onDidChange=this._onDidChange.event,this._id=f.ExtensionIdentifier.toKey(y.identifier),it(this,D,b,"f"),Me(this,D,"f").onDidChangePassword(C=>{C.extensionId===this._id&&this._onDidChange.fire({key:C.key})})}get(y){return Me(this,D,"f").get(this._id,y)}store(y,b){return Me(this,D,"f").store(this._id,y,b)}delete(y){return Me(this,D,"f").delete(this._id,y)}}e.ExtensionSecrets=_,D=new WeakMap}),define(we[93],_e([0,1,4,3]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTelemetry=e.ExtHostTelemetry=void 0;class D{constructor(){this._onDidChangeTelemetryEnabled=new R.Emitter,this.onDidChangeTelemetryEnabled=this._onDidChangeTelemetryEnabled.event,this._enabled=!1}getTelemetryEnabled(){return this._enabled}$initializeTelemetryEnabled(k){this._enabled=k}$onDidChangeTelemetryEnabled(k){this._enabled=k,this._onDidChangeTelemetryEnabled.fire(k)}}e.ExtHostTelemetry=D,e.IExtHostTelemetry=f.createDecorator("IExtHostTelemetry")}),define(we[94],_e([0,1,3]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPrivateApiFor=e.ExtHostTestItemEventType=void 0;var R;(function(k){k[k.NewChild=0]="NewChild",k[k.Disposed=1]="Disposed",k[k.Invalidated=2]="Invalidated",k[k.SetProp=3]="SetProp"})(R=e.ExtHostTestItemEventType||(e.ExtHostTestItemEventType={}));const D=new WeakMap,_=k=>{let y=D.get(k);return y||(y={children:new Map,bus:new f.Emitter},D.set(k,y)),y};e.getPrivateApiFor=_}),define(we[64],_e([0,1,4,3,13]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.IExtHostTunnelService=e.TunnelDto=void 0;var _;(function(y){function b(n){return{remoteAddress:n.remoteAddress,localAddress:n.localAddress,public:!!n.public,protocol:n.protocol}}y.fromApiTunnel=b;function C(n){return{remoteAddress:{host:n.tunnelRemoteHost,port:n.tunnelRemotePort},localAddress:n.localAddress,public:n.public,protocol:n.protocol}}y.fromServiceTunnel=C})(_=e.TunnelDto||(e.TunnelDto={})),e.IExtHostTunnelService=f.createDecorator("IExtHostTunnelService");let k=class{constructor(b){this.onDidChangeTunnels=new R.Emitter().event}async $applyCandidateFilter(b){return b}async openTunnel(b,C){}async getTunnels(){return[]}async setTunnelExtensionFunctions(b){return{dispose:()=>{}}}registerPortsAttributesProvider(b,C){return{dispose:()=>{}}}async $providePortAttributes(b,C,n,I,l){return[]}async $forwardPort(b,C){}async $closeTunnel(b){}async $onDidTunnelsChange(){}async $registerCandidateFinder(){}};k=We([He(0,D.IExtHostRpcService)],k),e.ExtHostTunnelService=k});var it=this&&this.__classPrivateFieldSet||function(ne,e,f,R,D){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ne!==e||!D:!e.has(ne))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?D.call(ne,f):D?D.value=f:e.set(ne,f),f},Me=this&&this.__classPrivateFieldGet||function(ne,e,f,R){if(f==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ne!==e||!R:!e.has(ne))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?R:f==="a"?R.call(ne):R?R.value:e.get(ne)};define(we[7],_e([0,1,17,12,80,22,82,10,2,34,59,91,94]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l){"use strict";var m,u,o,E,v,S,d,h,g,t,r,i,s,c,w,p,P,A,a,T;Object.defineProperty(e,"__esModule",{value:!0}),e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.FunctionCoverage=e.BranchCoverage=e.StatementCoverage=e.FileCoverage=e.CoveredCount=e.TestMessage=e.TestItemImpl=e.TestRunRequest=e.TestMessageSeverity=e.TestResultState=e.PortAttributes=e.LinkedEditingRanges=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.TimelineItem=e.NotebookRendererScript=e.NotebookControllerAffinity=e.NotebookCellStatusBarItem=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookCellExecutionState=e.NotebookCellKind=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookData=e.NotebookCellData=e.NotebookRange=e.ColorThemeKind=e.ColorTheme=e.FileDecoration=e.ExtensionKind=e.QuickInputButtons=e.DebugConfigurationProviderTriggerKind=e.DebugConsoleMode=e.SemanticTokensEdits=e.SemanticTokensEdit=e.SemanticTokens=e.SemanticTokensBuilder=e.SemanticTokensLegend=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.FoldingRange=e.FileSystemError=e.FileChangeType=e.InlineValueContext=e.InlineValueEvaluatableExpression=e.InlineValueVariableLookup=e.InlineValueText=e.InlineCompletionTriggerKind=e.EvaluatableExpression=e.DebugAdapterInlineImplementation=e.DebugAdapterNamedPipeServer=e.DebugAdapterServer=e.DebugAdapterExecutable=e.DataBreakpoint=e.FunctionBreakpoint=e.SourceBreakpoint=e.Breakpoint=e.RelativePattern=e.ConfigurationTarget=e.ThemeColor=e.ThemeIcon=e.TreeItemCollapsibleState=e.TreeItem=e.ProgressLocation=e.Task=e.CustomExecution=e.TaskScope=e.ShellQuoting=e.ShellExecution=e.ProcessExecution=e.TaskGroup=e.TaskPanelKind=e.TaskRevealKind=e.TerminalProfile=e.TerminalLink=e.SourceControlInputBoxValidationType=e.ColorFormat=e.ColorPresentation=e.ColorInformation=e.Color=e.DocumentLink=e.DecorationRangeBehavior=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.StatusBarAlignment=e.ViewColumn=e.InlineSuggestions=e.InlineSuggestion=e.CompletionList=e.CompletionItem=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.InlayHint=e.InlayHintKind=e.SignatureHelpTriggerKind=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.MarkdownString=e.CodeLens=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.SelectionRange=e.CodeActionKind=e.CodeAction=e.CodeActionTriggerKind=e.DocumentSymbol=e.SymbolInformation=e.SymbolTag=e.SymbolKind=e.DocumentHighlight=e.DocumentHighlightKind=e.Hover=e.Diagnostic=e.DiagnosticRelatedInformation=e.Location=e.DiagnosticSeverity=e.DiagnosticTag=e.SnippetString=e.WorkspaceEdit=e.FileEditType=e.TextEdit=e.EnvironmentVariableMutatorType=e.EndOfLine=e.RemoteAuthorityResolverError=e.ResolvedAuthority=e.Selection=e.Range=e.Position=e.Disposable=void 0;function F(O){function M(){return Reflect.construct(O,arguments,this.constructor)}return Object.defineProperty(M,"name",Object.getOwnPropertyDescriptor(O,"name")),Object.setPrototypeOf(M,O),Object.setPrototypeOf(M.prototype,O.prototype),M}let H=v=class{constructor(M){m.set(this,void 0),it(this,m,M,"f")}static from(...M){let te=M;return new v(function(){if(te){for(const Ce of te)Ce&&typeof Ce.dispose=="function"&&Ce.dispose();te=void 0}})}dispose(){typeof Me(this,m,"f")=="function"&&(Me(this,m,"f").call(this),it(this,m,void 0,"f"))}};m=new WeakMap,H=v=We([F],H),e.Disposable=H;let $=S=class{constructor(M,te){if(M<0)throw R.illegalArgument("line must be non-negative");if(te<0)throw R.illegalArgument("character must be non-negative");this._line=M,this._character=te}static Min(...M){if(M.length===0)throw new TypeError;let te=M[0];for(let Ce=1;Ce<M.length;Ce++){const je=M[Ce];je.isBefore(te)&&(te=je)}return te}static Max(...M){if(M.length===0)throw new TypeError;let te=M[0];for(let Ce=1;Ce<M.length;Ce++){const je=M[Ce];je.isAfter(te)&&(te=je)}return te}static isPosition(M){if(!M)return!1;if(M instanceof S)return!0;let{line:te,character:Ce}=M;return typeof te=="number"&&typeof Ce=="number"}get line(){return this._line}get character(){return this._character}isBefore(M){return this._line<M._line?!0:M._line<this._line?!1:this._character<M._character}isBeforeOrEqual(M){return this._line<M._line?!0:M._line<this._line?!1:this._character<=M._character}isAfter(M){return!this.isBeforeOrEqual(M)}isAfterOrEqual(M){return!this.isBefore(M)}isEqual(M){return this._line===M._line&&this._character===M._character}compareTo(M){return this._line<M._line?-1:this._line>M.line?1:this._character<M._character?-1:this._character>M._character?1:0}translate(M,te=0){if(M===null||te===null)throw R.illegalArgument();let Ce;return typeof M=="undefined"?Ce=0:typeof M=="number"?Ce=M:(Ce=typeof M.lineDelta=="number"?M.lineDelta:0,te=typeof M.characterDelta=="number"?M.characterDelta:0),Ce===0&&te===0?this:new S(this.line+Ce,this.character+te)}with(M,te=this.character){if(M===null||te===null)throw R.illegalArgument();let Ce;return typeof M=="undefined"?Ce=this.line:typeof M=="number"?Ce=M:(Ce=typeof M.line=="number"?M.line:this.line,te=typeof M.character=="number"?M.character:this.character),Ce===this.line&&te===this.character?this:new S(Ce,te)}toJSON(){return{line:this.line,character:this.character}}};$=S=We([F],$),e.Position=$;let Z=d=class{constructor(M,te,Ce,je){let nt,st;if(typeof M=="number"&&typeof te=="number"&&typeof Ce=="number"&&typeof je=="number"?(nt=new $(M,te),st=new $(Ce,je)):M instanceof $&&te instanceof $&&(nt=M,st=te),!nt||!st)throw new Error("Invalid arguments");nt.isBefore(st)?(this._start=nt,this._end=st):(this._start=st,this._end=nt)}static isRange(M){return M instanceof d?!0:M?$.isPosition(M.start)&&$.isPosition(M.end):!1}get start(){return this._start}get end(){return this._end}contains(M){return M instanceof d?this.contains(M._start)&&this.contains(M._end):M instanceof $?!(M.isBefore(this._start)||this._end.isBefore(M)):!1}isEqual(M){return this._start.isEqual(M._start)&&this._end.isEqual(M._end)}intersection(M){const te=$.Max(M.start,this._start),Ce=$.Min(M.end,this._end);if(!te.isAfter(Ce))return new d(te,Ce)}union(M){if(this.contains(M))return this;if(M.contains(this))return M;const te=$.Min(M.start,this._start),Ce=$.Max(M.end,this.end);return new d(te,Ce)}get isEmpty(){return this._start.isEqual(this._end)}get isSingleLine(){return this._start.line===this._end.line}with(M,te=this.end){if(M===null||te===null)throw R.illegalArgument();let Ce;return M?$.isPosition(M)?Ce=M:(Ce=M.start||this.start,te=M.end||this.end):Ce=this.start,Ce.isEqual(this._start)&&te.isEqual(this.end)?this:new d(Ce,te)}toJSON(){return[this.start,this.end]}};Z=d=We([F],Z),e.Range=Z;let V=h=class extends Z{constructor(M,te,Ce,je){let nt,st;if(typeof M=="number"&&typeof te=="number"&&typeof Ce=="number"&&typeof je=="number"?(nt=new $(M,te),st=new $(Ce,je)):M instanceof $&&te instanceof $&&(nt=M,st=te),!nt||!st)throw new Error("Invalid arguments");super(nt,st);this._anchor=nt,this._active=st}static isSelection(M){return M instanceof h?!0:M?Z.isRange(M)&&$.isPosition(M.anchor)&&$.isPosition(M.active)&&typeof M.isReversed=="boolean":!1}get anchor(){return this._anchor}get active(){return this._active}get isReversed(){return this._anchor===this._end}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};V=h=We([F],V),e.Selection=V;class B{constructor(M,te,Ce){if(typeof M!="string"||M.length===0)throw R.illegalArgument("host");if(typeof te!="number"||te===0||Math.round(te)!==te)throw R.illegalArgument("port");if(typeof Ce!="undefined"&&(typeof Ce!="string"||Ce.length===0||!/^[0-9A-Za-z\-]+$/.test(Ce)))throw R.illegalArgument("connectionToken");this.host=M,this.port=Math.round(te),this.connectionToken=Ce}}e.ResolvedAuthority=B;class Y extends Error{constructor(M,te=I.RemoteAuthorityResolverErrorCode.Unknown,Ce){super(M);this._message=M,this._code=te,this._detail=Ce,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,Y.prototype)}static NotAvailable(M,te){return new Y(M,I.RemoteAuthorityResolverErrorCode.NotAvailable,te)}static TemporarilyNotAvailable(M){return new Y(M,I.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}}e.RemoteAuthorityResolverError=Y;var L;(function(O){O[O.LF=1]="LF",O[O.CRLF=2]="CRLF"})(L=e.EndOfLine||(e.EndOfLine={}));var J;(function(O){O[O.Replace=1]="Replace",O[O.Append=2]="Append",O[O.Prepend=3]="Prepend"})(J=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}));let N=g=class{constructor(M,te){this._range=M,this._newText=te}static isTextEdit(M){return M instanceof g?!0:M?Z.isRange(M)&&typeof M.newText=="string":!1}static replace(M,te){return new g(M,te)}static insert(M,te){return g.replace(new Z(M,M),te)}static delete(M){return g.replace(M,"")}static setEndOfLine(M){const te=new g(new Z(new $(0,0),new $(0,0)),"");return te.newEol=M,te}get range(){return this._range}set range(M){if(M&&!Z.isRange(M))throw R.illegalArgument("range");this._range=M}get newText(){return this._newText||""}set newText(M){if(M&&typeof M!="string")throw R.illegalArgument("newText");this._newText=M}get newEol(){return this._newEol}set newEol(M){if(M&&typeof M!="number")throw R.illegalArgument("newEol");this._newEol=M}toJSON(){return{range:this.range,newText:this.newText,newEol:this._newEol}}};N=g=We([F],N),e.TextEdit=N;var W;(function(O){O[O.File=1]="File",O[O.Text=2]="Text",O[O.Cell=3]="Cell",O[O.CellReplace=5]="CellReplace"})(W=e.FileEditType||(e.FileEditType={}));let Q=class{constructor(){this._edits=[]}_allEntries(){return this._edits}renameFile(M,te,Ce,je){this._edits.push({_type:1,from:M,to:te,options:Ce,metadata:je})}createFile(M,te,Ce){this._edits.push({_type:1,from:void 0,to:M,options:te,metadata:Ce})}deleteFile(M,te,Ce){this._edits.push({_type:1,from:M,to:void 0,options:te,metadata:Ce})}replaceNotebookMetadata(M,te,Ce){this._edits.push({_type:3,metadata:Ce,uri:M,edit:{editType:5,metadata:te},notebookMetadata:te})}replaceNotebookCells(M,te,Ce,je,nt){let st,ot,yt=[],It;if(Wt.isNotebookRange(te)&&Nt.isNotebookCellDataArray(Ce)&&!Nt.isNotebookCellDataArray(je)?(st=te.start,ot=te.end,yt=Ce,It=je):typeof te=="number"&&typeof Ce=="number"&&Nt.isNotebookCellDataArray(je)&&(st=te,ot=Ce,yt=je,It=nt),st===void 0||ot===void 0)throw new Error("Invalid arguments");(st!==ot||yt.length>0)&&this._edits.push({_type:5,uri:M,index:st,count:ot-st,cells:yt,metadata:It})}replaceNotebookCellMetadata(M,te,Ce,je){this._edits.push({_type:3,metadata:je,uri:M,edit:{editType:8,index:te,metadata:Ce}})}replace(M,te,Ce,je){this._edits.push({_type:2,uri:M,edit:new N(te,Ce),metadata:je})}insert(M,te,Ce,je){this.replace(M,new Z(te,te),Ce,je)}delete(M,te,Ce){this.replace(M,te,"",Ce)}has(M){return this._edits.some(te=>te._type===2&&te.uri.toString()===M.toString())}set(M,te){if(te)for(const Ce of te)Ce&&this._edits.push({_type:2,uri:M,edit:Ce});else{for(let Ce=0;Ce<this._edits.length;Ce++){const je=this._edits[Ce];je._type===2&&je.uri.toString()===M.toString()&&(this._edits[Ce]=void 0)}f.coalesceInPlace(this._edits)}}get(M){const te=[];for(let Ce of this._edits)Ce._type===2&&Ce.uri.toString()===M.toString()&&te.push(Ce.edit);return te}entries(){const M=new _.ResourceMap;for(let te of this._edits)if(te._type===2){let Ce=M.get(te.uri);Ce||(Ce=[te.uri,[]],M.set(te.uri,Ce)),Ce[1].push(te.edit)}return[...M.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};Q=We([F],Q),e.WorkspaceEdit=Q;let G=t=class{constructor(M){this._tabstop=1,this.value=M||""}static isSnippetString(M){return M instanceof t?!0:M?typeof M.value=="string":!1}static _escape(M){return M.replace(/\$|}|\\/g,"\\$&")}appendText(M){return this.value+=t._escape(M),this}appendTabstop(M=this._tabstop++){return this.value+="$",this.value+=M,this}appendPlaceholder(M,te=this._tabstop++){if(typeof M=="function"){const Ce=new t;Ce._tabstop=this._tabstop,M(Ce),this._tabstop=Ce._tabstop,M=Ce.value}else M=t._escape(M);return this.value+="${",this.value+=te,this.value+=":",this.value+=M,this.value+="}",this}appendChoice(M,te=this._tabstop++){const Ce=M.map(je=>je.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=te,this.value+="|",this.value+=Ce,this.value+="|}",this}appendVariable(M,te){if(typeof te=="function"){const Ce=new t;Ce._tabstop=this._tabstop,te(Ce),this._tabstop=Ce._tabstop,te=Ce.value}else typeof te=="string"&&(te=te.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=M,te&&(this.value+=":",this.value+=te),this.value+="}",this}};G=t=We([F],G),e.SnippetString=G;var ue;(function(O){O[O.Unnecessary=1]="Unnecessary",O[O.Deprecated=2]="Deprecated"})(ue=e.DiagnosticTag||(e.DiagnosticTag={}));var ke;(function(O){O[O.Hint=3]="Hint",O[O.Information=2]="Information",O[O.Warning=1]="Warning",O[O.Error=0]="Error"})(ke=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));let Re=r=class{constructor(M,te){if(this.uri=M,te)if(te instanceof Z)this.range=te;else if(te instanceof $)this.range=new Z(te,te);else throw new Error("Illegal argument")}static isLocation(M){return M instanceof r?!0:M?Z.isRange(M.range)&&b.URI.isUri(M.uri):!1}toJSON(){return{uri:this.uri,range:this.range}}};Re=r=We([F],Re),e.Location=Re;let ze=class{constructor(M,te){this.location=M,this.message=te}static is(M){return M?typeof M.message=="string"&&M.location&&Z.isRange(M.location.range)&&b.URI.isUri(M.location.uri):!1}static isEqual(M,te){return M===te?!0:!M||!te?!1:M.message===te.message&&M.location.range.isEqual(te.location.range)&&M.location.uri.toString()===te.location.uri.toString()}};ze=We([F],ze),e.DiagnosticRelatedInformation=ze;let xe=class{constructor(M,te,Ce=ke.Error){if(!Z.isRange(M))throw new TypeError("range must be set");if(!te)throw new TypeError("message must be set");this.range=M,this.message=te,this.severity=Ce}toJSON(){return{severity:ke[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(M,te){return M===te?!0:!M||!te?!1:M.message===te.message&&M.severity===te.severity&&M.code===te.code&&M.severity===te.severity&&M.source===te.source&&M.range.isEqual(te.range)&&f.equals(M.tags,te.tags)&&f.equals(M.relatedInformation,te.relatedInformation,ze.isEqual)}};xe=We([F],xe),e.Diagnostic=xe;let Ve=class{constructor(M,te){if(!M)throw new Error("Illegal argument, contents must be defined");Array.isArray(M)?this.contents=M:this.contents=[M],this.range=te}};Ve=We([F],Ve),e.Hover=Ve;var tt;(function(O){O[O.Text=0]="Text",O[O.Read=1]="Read",O[O.Write=2]="Write"})(tt=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));let Ye=class{constructor(M,te=tt.Text){this.range=M,this.kind=te}toJSON(){return{range:this.range,kind:tt[this.kind]}}};Ye=We([F],Ye),e.DocumentHighlight=Ye;var et;(function(O){O[O.File=0]="File",O[O.Module=1]="Module",O[O.Namespace=2]="Namespace",O[O.Package=3]="Package",O[O.Class=4]="Class",O[O.Method=5]="Method",O[O.Property=6]="Property",O[O.Field=7]="Field",O[O.Constructor=8]="Constructor",O[O.Enum=9]="Enum",O[O.Interface=10]="Interface",O[O.Function=11]="Function",O[O.Variable=12]="Variable",O[O.Constant=13]="Constant",O[O.String=14]="String",O[O.Number=15]="Number",O[O.Boolean=16]="Boolean",O[O.Array=17]="Array",O[O.Object=18]="Object",O[O.Key=19]="Key",O[O.Null=20]="Null",O[O.EnumMember=21]="EnumMember",O[O.Struct=22]="Struct",O[O.Event=23]="Event",O[O.Operator=24]="Operator",O[O.TypeParameter=25]="TypeParameter"})(et=e.SymbolKind||(e.SymbolKind={}));var x;(function(O){O[O.Deprecated=1]="Deprecated"})(x=e.SymbolTag||(e.SymbolTag={}));let K=i=class{constructor(M,te,Ce,je,nt){this.name=M,this.kind=te,this.containerName=nt,typeof Ce=="string"&&(this.containerName=Ce),je instanceof Re?this.location=je:Ce instanceof Z&&(this.location=new Re(je,Ce)),i.validate(this)}static validate(M){if(!M.name)throw new Error("name must not be falsy")}toJSON(){return{name:this.name,kind:et[this.kind],location:this.location,containerName:this.containerName}}};K=i=We([F],K),e.SymbolInformation=K;let ie=s=class{constructor(M,te,Ce,je,nt){this.name=M,this.detail=te,this.kind=Ce,this.range=je,this.selectionRange=nt,this.children=[],s.validate(this)}static validate(M){if(!M.name)throw new Error("name must not be falsy");if(!M.range.contains(M.selectionRange))throw new Error("selectionRange must be contained in fullRange");M.children&&M.children.forEach(s.validate)}};ie=s=We([F],ie),e.DocumentSymbol=ie;var ae;(function(O){O[O.Invoke=1]="Invoke",O[O.Automatic=2]="Automatic"})(ae=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));let j=class{constructor(M,te){this.title=M,this.kind=te}};j=We([F],j),e.CodeAction=j;let re=c=class{constructor(M){this.value=M}append(M){return new c(this.value?this.value+c.sep+M:M)}intersects(M){return this.contains(M)||M.contains(this)}contains(M){return this.value===M.value||M.value.startsWith(this.value+c.sep)}};re.sep=".",re=c=We([F],re),e.CodeActionKind=re,re.Empty=new re(""),re.QuickFix=re.Empty.append("quickfix"),re.Refactor=re.Empty.append("refactor"),re.RefactorExtract=re.Refactor.append("extract"),re.RefactorInline=re.Refactor.append("inline"),re.RefactorRewrite=re.Refactor.append("rewrite"),re.Source=re.Empty.append("source"),re.SourceOrganizeImports=re.Source.append("organizeImports"),re.SourceFixAll=re.Source.append("fixAll");let me=class{constructor(M,te){if(this.range=M,this.parent=te,te&&!te.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};me=We([F],me),e.SelectionRange=me;class Te{constructor(M,te,Ce,je,nt,st){this.kind=M,this.name=te,this.detail=Ce,this.uri=je,this.range=nt,this.selectionRange=st}}e.CallHierarchyItem=Te;class Be{constructor(M,te){this.fromRanges=te,this.from=M}}e.CallHierarchyIncomingCall=Be;class pe{constructor(M,te){this.fromRanges=te,this.to=M}}e.CallHierarchyOutgoingCall=pe;let Qe=class{constructor(M,te){this.range=M,this.command=te}get isResolved(){return!!this.command}};Qe=We([F],Qe),e.CodeLens=Qe;let z=w=class{constructor(M,te=!1){u.set(this,void 0),it(this,u,new D.MarkdownString(M,{supportThemeIcons:te}),"f")}static isMarkdownString(M){return M instanceof w?!0:M&&M.appendCodeblock&&M.appendMarkdown&&M.appendText&&M.value!==void 0}get value(){return Me(this,u,"f").value}set value(M){Me(this,u,"f").value=M}get isTrusted(){return Me(this,u,"f").isTrusted}set isTrusted(M){Me(this,u,"f").isTrusted=M}get supportThemeIcons(){return Me(this,u,"f").supportThemeIcons}set supportThemeIcons(M){Me(this,u,"f").supportThemeIcons=M}appendText(M){return Me(this,u,"f").appendText(M),this}appendMarkdown(M){return Me(this,u,"f").appendMarkdown(M),this}appendCodeblock(M,te){return Me(this,u,"f").appendCodeblock(te??"",M),this}};u=new WeakMap,z=w=We([F],z),e.MarkdownString=z;let ee=class{constructor(M,te){this.label=M,this.documentation=te}};ee=We([F],ee),e.ParameterInformation=ee;let de=class{constructor(M,te){this.label=M,this.documentation=te,this.parameters=[]}};de=We([F],de),e.SignatureInformation=de;let Ne=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};Ne=We([F],Ne),e.SignatureHelp=Ne;var Ue;(function(O){O[O.Invoke=1]="Invoke",O[O.TriggerCharacter=2]="TriggerCharacter",O[O.ContentChange=3]="ContentChange"})(Ue=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var Xe;(function(O){O[O.Other=0]="Other",O[O.Type=1]="Type",O[O.Parameter=2]="Parameter"})(Xe=e.InlayHintKind||(e.InlayHintKind={}));let De=class{constructor(M,te,Ce){this.text=M,this.position=te,this.kind=Ce}};De=We([F],De),e.InlayHint=De;var Se;(function(O){O[O.Invoke=0]="Invoke",O[O.TriggerCharacter=1]="TriggerCharacter",O[O.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(Se=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var Ie;(function(O){O[O.Text=0]="Text",O[O.Method=1]="Method",O[O.Function=2]="Function",O[O.Constructor=3]="Constructor",O[O.Field=4]="Field",O[O.Variable=5]="Variable",O[O.Class=6]="Class",O[O.Interface=7]="Interface",O[O.Module=8]="Module",O[O.Property=9]="Property",O[O.Unit=10]="Unit",O[O.Value=11]="Value",O[O.Enum=12]="Enum",O[O.Keyword=13]="Keyword",O[O.Snippet=14]="Snippet",O[O.Color=15]="Color",O[O.File=16]="File",O[O.Reference=17]="Reference",O[O.Folder=18]="Folder",O[O.EnumMember=19]="EnumMember",O[O.Constant=20]="Constant",O[O.Struct=21]="Struct",O[O.Event=22]="Event",O[O.Operator=23]="Operator",O[O.TypeParameter=24]="TypeParameter",O[O.User=25]="User",O[O.Issue=26]="Issue"})(Ie=e.CompletionItemKind||(e.CompletionItemKind={}));var se;(function(O){O[O.Deprecated=1]="Deprecated"})(se=e.CompletionItemTag||(e.CompletionItemTag={}));let le=class{constructor(M,te){this.label=M,this.kind=te}toJSON(){return{label:this.label,kind:this.kind&&Ie[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};le=We([F],le),e.CompletionItem=le;let he=class{constructor(M=[],te=!1){this.items=M,this.isIncomplete=te}};he=We([F],he),e.CompletionList=he;let ge=class{constructor(M,te,Ce){this.text=M,this.range=te,this.command=Ce}};ge=We([F],ge),e.InlineSuggestion=ge;let U=class{constructor(M){this.items=M}};U=We([F],U),e.InlineSuggestions=U;var fe;(function(O){O[O.Active=-1]="Active",O[O.Beside=-2]="Beside",O[O.One=1]="One",O[O.Two=2]="Two",O[O.Three=3]="Three",O[O.Four=4]="Four",O[O.Five=5]="Five",O[O.Six=6]="Six",O[O.Seven=7]="Seven",O[O.Eight=8]="Eight",O[O.Nine=9]="Nine"})(fe=e.ViewColumn||(e.ViewColumn={}));var be;(function(O){O[O.Left=1]="Left",O[O.Right=2]="Right"})(be=e.StatusBarAlignment||(e.StatusBarAlignment={}));var Pe;(function(O){O[O.Off=0]="Off",O[O.On=1]="On",O[O.Relative=2]="Relative"})(Pe=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var Fe;(function(O){O[O.Manual=1]="Manual",O[O.AfterDelay=2]="AfterDelay",O[O.FocusOut=3]="FocusOut"})(Fe=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var $e;(function(O){O[O.Default=0]="Default",O[O.InCenter=1]="InCenter",O[O.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",O[O.AtTop=3]="AtTop"})($e=e.TextEditorRevealType||(e.TextEditorRevealType={}));var Ze;(function(O){O[O.Keyboard=1]="Keyboard",O[O.Mouse=2]="Mouse",O[O.Command=3]="Command"})(Ze=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));var Ge;(function(O){O[O.OpenOpen=0]="OpenOpen",O[O.ClosedClosed=1]="ClosedClosed",O[O.OpenClosed=2]="OpenClosed",O[O.ClosedOpen=3]="ClosedOpen"})(Ge=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={})),function(O){function M(te){switch(te){case"keyboard":return O.Keyboard;case"mouse":return O.Mouse;case"api":return O.Command}}O.fromValue=M}(Ze=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));let Ke=class{constructor(M,te){if(te&&!b.URI.isUri(te))throw R.illegalArgument("target");if(!Z.isRange(M)||M.isEmpty)throw R.illegalArgument("range");this.range=M,this.target=te}};Ke=We([F],Ke),e.DocumentLink=Ke;let lt=class{constructor(M,te,Ce,je){this.red=M,this.green=te,this.blue=Ce,this.alpha=je}};lt=We([F],lt),e.Color=lt;let ct=class{constructor(M,te){if(te&&!(te instanceof lt))throw R.illegalArgument("color");if(!Z.isRange(M)||M.isEmpty)throw R.illegalArgument("range");this.range=M,this.color=te}};ct=We([F],ct),e.ColorInformation=ct;let ve=class{constructor(M){if(!M||typeof M!="string")throw R.illegalArgument("label");this.label=M}};ve=We([F],ve),e.ColorPresentation=ve;var Ee;(function(O){O[O.RGB=0]="RGB",O[O.HEX=1]="HEX",O[O.HSL=2]="HSL"})(Ee=e.ColorFormat||(e.ColorFormat={}));var oe;(function(O){O[O.Error=0]="Error",O[O.Warning=1]="Warning",O[O.Information=2]="Information"})(oe=e.SourceControlInputBoxValidationType||(e.SourceControlInputBoxValidationType={}));class q{constructor(M,te,Ce){if(this.startIndex=M,this.length=te,this.tooltip=Ce,typeof M!="number"||M<0)throw R.illegalArgument("startIndex");if(typeof te!="number"||te<1)throw R.illegalArgument("length");if(Ce!==void 0&&typeof Ce!="string")throw R.illegalArgument("tooltip")}}e.TerminalLink=q;class Oe{constructor(M){this.options=M,typeof M!="object"&&R.illegalArgument("options")}}e.TerminalProfile=Oe;var ye;(function(O){O[O.Always=1]="Always",O[O.Silent=2]="Silent",O[O.Never=3]="Never"})(ye=e.TaskRevealKind||(e.TaskRevealKind={}));var Je;(function(O){O[O.Shared=1]="Shared",O[O.Dedicated=2]="Dedicated",O[O.New=3]="New"})(Je=e.TaskPanelKind||(e.TaskPanelKind={}));let qe=p=class{constructor(M,te){if(typeof M!="string"||typeof te!="string")throw R.illegalArgument("name");this._id=M}static from(M){switch(M){case"clean":return p.Clean;case"build":return p.Build;case"rebuild":return p.Rebuild;case"test":return p.Test;default:return}}get id(){return this._id}};qe.Clean=new p("clean","Clean"),qe.Build=new p("build","Build"),qe.Rebuild=new p("rebuild","Rebuild"),qe.Test=new p("test","Test"),qe=p=We([F],qe),e.TaskGroup=qe;function rt(O){let M="";for(let te=0;te<O.length;te++)M+=O[te].replace(/,/g,",,")+",";return M}let ft=class{constructor(M,te,Ce){if(typeof M!="string")throw R.illegalArgument("process");this._args=[],this._process=M,te!==void 0&&(Array.isArray(te)?(this._args=te,this._options=Ce):this._options=te)}get process(){return this._process}set process(M){if(typeof M!="string")throw R.illegalArgument("process");this._process=M}get args(){return this._args}set args(M){Array.isArray(M)||(M=[]),this._args=M}get options(){return this._options}set options(M){this._options=M}computeId(){const M=[];if(M.push("process"),this._process!==void 0&&M.push(this._process),this._args&&this._args.length>0)for(let te of this._args)M.push(te);return rt(M)}};ft=We([F],ft),e.ProcessExecution=ft;let bt=class{constructor(M,te,Ce){if(this._args=[],Array.isArray(te)){if(!M)throw R.illegalArgument("command can't be undefined or null");if(typeof M!="string"&&typeof M.value!="string")throw R.illegalArgument("command");this._command=M,this._args=te,this._options=Ce}else{if(typeof M!="string")throw R.illegalArgument("commandLine");this._commandLine=M,this._options=te}}get commandLine(){return this._commandLine}set commandLine(M){if(typeof M!="string")throw R.illegalArgument("commandLine");this._commandLine=M}get command(){return this._command?this._command:""}set command(M){if(typeof M!="string"&&typeof M.value!="string")throw R.illegalArgument("command");this._command=M}get args(){return this._args}set args(M){this._args=M||[]}get options(){return this._options}set options(M){this._options=M}computeId(){const M=[];if(M.push("shell"),this._commandLine!==void 0&&M.push(this._commandLine),this._command!==void 0&&M.push(typeof this._command=="string"?this._command:this._command.value),this._args&&this._args.length>0)for(let te of this._args)M.push(typeof te=="string"?te:te.value);return rt(M)}};bt=We([F],bt),e.ShellExecution=bt;var wt;(function(O){O[O.Escape=1]="Escape",O[O.Strong=2]="Strong",O[O.Weak=3]="Weak"})(wt=e.ShellQuoting||(e.ShellQuoting={}));var Et;(function(O){O[O.Global=1]="Global",O[O.Workspace=2]="Workspace"})(Et=e.TaskScope||(e.TaskScope={}));class St{constructor(M){this._callback=M}computeId(){return"customExecution"+C.generateUuid()}set callback(M){this._callback=M}get callback(){return this._callback}}e.CustomExecution=St;let kt=P=class{constructor(M,te,Ce,je,nt,st){this.__deprecated=!1,this._definition=this.definition=M;let ot;typeof te=="string"?(this._name=this.name=te,this._source=this.source=Ce,this.execution=je,ot=nt,this.__deprecated=!0):te===Et.Global||te===Et.Workspace?(this.target=te,this._name=this.name=Ce,this._source=this.source=je,this.execution=nt,ot=st):(this.target=te,this._name=this.name=Ce,this._source=this.source=je,this.execution=nt,ot=st),typeof ot=="string"?(this._problemMatchers=[ot],this._hasDefinedMatchers=!0):Array.isArray(ot)?(this._problemMatchers=ot,this._hasDefinedMatchers=!0):(this._problemMatchers=[],this._hasDefinedMatchers=!1),this._isBackground=!1,this._presentationOptions=Object.create(null),this._runOptions=Object.create(null)}get _id(){return this.__id}set _id(M){this.__id=M}get _deprecated(){return this.__deprecated}clear(){this.__id!==void 0&&(this.__id=void 0,this._scope=void 0,this.computeDefinitionBasedOnExecution())}computeDefinitionBasedOnExecution(){this._execution instanceof ft?this._definition={type:P.ProcessType,id:this._execution.computeId()}:this._execution instanceof bt?this._definition={type:P.ShellType,id:this._execution.computeId()}:this._execution instanceof St?this._definition={type:P.ExtensionCallbackType,id:this._execution.computeId()}:this._definition={type:P.EmptyType,id:C.generateUuid()}}get definition(){return this._definition}set definition(M){if(M==null)throw R.illegalArgument("Kind can't be undefined or null");this.clear(),this._definition=M}get scope(){return this._scope}set target(M){this.clear(),this._scope=M}get name(){return this._name}set name(M){if(typeof M!="string")throw R.illegalArgument("name");this.clear(),this._name=M}get execution(){return this._execution}set execution(M){M===null&&(M=void 0),this.clear(),this._execution=M;const te=this._definition.type;(P.EmptyType===te||P.ProcessType===te||P.ShellType===te||P.ExtensionCallbackType===te)&&this.computeDefinitionBasedOnExecution()}get problemMatchers(){return this._problemMatchers}set problemMatchers(M){if(Array.isArray(M))this.clear(),this._problemMatchers=M,this._hasDefinedMatchers=!0;else{this.clear(),this._problemMatchers=[],this._hasDefinedMatchers=!1;return}}get hasDefinedMatchers(){return this._hasDefinedMatchers}get isBackground(){return this._isBackground}set isBackground(M){M!==!0&&M!==!1&&(M=!1),this.clear(),this._isBackground=M}get source(){return this._source}set source(M){if(typeof M!="string"||M.length===0)throw R.illegalArgument("source must be a string of length > 0");this.clear(),this._source=M}get group(){return this._group}set group(M){M===null&&(M=void 0),this.clear(),this._group=M}get detail(){return this._detail}set detail(M){M===null&&(M=void 0),this._detail=M}get presentationOptions(){return this._presentationOptions}set presentationOptions(M){M==null&&(M=Object.create(null)),this.clear(),this._presentationOptions=M}get runOptions(){return this._runOptions}set runOptions(M){M==null&&(M=Object.create(null)),this.clear(),this._runOptions=M}};kt.ExtensionCallbackType="customExecution",kt.ProcessType="process",kt.ShellType="shell",kt.EmptyType="$empty",kt=P=We([F],kt),e.Task=kt;var _t;(function(O){O[O.SourceControl=1]="SourceControl",O[O.Window=10]="Window",O[O.Notification=15]="Notification"})(_t=e.ProgressLocation||(e.ProgressLocation={}));let dt=class{constructor(M,te=vt.None){this.collapsibleState=te,b.URI.isUri(M)?this.resourceUri=M:this.label=M}};dt=We([F],dt),e.TreeItem=dt;var vt;(function(O){O[O.None=0]="None",O[O.Collapsed=1]="Collapsed",O[O.Expanded=2]="Expanded"})(vt=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));let ht=class{constructor(M,te){this.id=M,this.color=te}};ht=We([F],ht),e.ThemeIcon=ht,ht.File=new ht("file"),ht.Folder=new ht("folder");let xt=class{constructor(M){this.id=M}};xt=We([F],xt),e.ThemeColor=xt;var Pt;(function(O){O[O.Global=1]="Global",O[O.Workspace=2]="Workspace",O[O.WorkspaceFolder=3]="WorkspaceFolder"})(Pt=e.ConfigurationTarget||(e.ConfigurationTarget={}));let Yt=class{constructor(M,te){if(typeof M!="string"&&(!M||!b.URI.isUri(M)&&!b.URI.isUri(M.uri)))throw R.illegalArgument("base");if(typeof te!="string")throw R.illegalArgument("pattern");typeof M=="string"?(this.baseFolder=b.URI.file(M),this.base=M):b.URI.isUri(M)?(this.baseFolder=M,this.base=M.fsPath):(this.baseFolder=M.uri,this.base=M.uri.fsPath),this.pattern=te}};Yt=We([F],Yt),e.RelativePattern=Yt;let Bt=class{constructor(M,te,Ce,je){this.enabled=typeof M=="boolean"?M:!0,typeof te=="string"&&(this.condition=te),typeof Ce=="string"&&(this.hitCondition=Ce),typeof je=="string"&&(this.logMessage=je)}get id(){return this._id||(this._id=C.generateUuid()),this._id}};Bt=We([F],Bt),e.Breakpoint=Bt;let Ct=class extends Bt{constructor(M,te,Ce,je,nt){super(te,Ce,je,nt);if(M===null)throw R.illegalArgument("location");this.location=M}};Ct=We([F],Ct),e.SourceBreakpoint=Ct;let Jt=class extends Bt{constructor(M,te,Ce,je,nt){super(te,Ce,je,nt);this.functionName=M}};Jt=We([F],Jt),e.FunctionBreakpoint=Jt;let Xt=class extends Bt{constructor(M,te,Ce,je,nt,st,ot){super(je,nt,st,ot);if(!te)throw R.illegalArgument("dataId");this.label=M,this.dataId=te,this.canPersist=Ce}};Xt=We([F],Xt),e.DataBreakpoint=Xt;let mt=class{constructor(M,te,Ce){this.command=M,this.args=te||[],this.options=Ce}};mt=We([F],mt),e.DebugAdapterExecutable=mt;let Gt=class{constructor(M,te){this.port=M,this.host=te}};Gt=We([F],Gt),e.DebugAdapterServer=Gt;let jt=class{constructor(M){this.path=M}};jt=We([F],jt),e.DebugAdapterNamedPipeServer=jt;let Zt=class{constructor(M){this.implementation=M}};Zt=We([F],Zt),e.DebugAdapterInlineImplementation=Zt;let en=class{constructor(M,te){this.range=M,this.expression=te}};en=We([F],en),e.EvaluatableExpression=en;var At;(function(O){O[O.Automatic=0]="Automatic",O[O.Explicit=1]="Explicit"})(At=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));let Kt=class{constructor(M,te){this.range=M,this.text=te}};Kt=We([F],Kt),e.InlineValueText=Kt;let tn=class{constructor(M,te,Ce=!0){this.range=M,this.variableName=te,this.caseSensitiveLookup=Ce}};tn=We([F],tn),e.InlineValueVariableLookup=tn;let qt=class{constructor(M,te){this.range=M,this.expression=te}};qt=We([F],qt),e.InlineValueEvaluatableExpression=qt;let ut=class{constructor(M,te){this.frameId=M,this.stoppedLocation=te}};ut=We([F],ut),e.InlineValueContext=ut;var _n;(function(O){O[O.Changed=1]="Changed",O[O.Created=2]="Created",O[O.Deleted=3]="Deleted"})(_n=e.FileChangeType||(e.FileChangeType={}));let Rt=A=class extends Error{constructor(M,te=n.FileSystemProviderErrorCode.Unknown,Ce){super(b.URI.isUri(M)?M.toString(!0):M);this.code=Ce?.name??"Unknown",n.markAsFileSystemProviderError(this,te),typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,A.prototype),typeof Error.captureStackTrace=="function"&&typeof Ce=="function"&&Error.captureStackTrace(this,Ce)}static FileExists(M){return new A(M,n.FileSystemProviderErrorCode.FileExists,A.FileExists)}static FileNotFound(M){return new A(M,n.FileSystemProviderErrorCode.FileNotFound,A.FileNotFound)}static FileNotADirectory(M){return new A(M,n.FileSystemProviderErrorCode.FileNotADirectory,A.FileNotADirectory)}static FileIsADirectory(M){return new A(M,n.FileSystemProviderErrorCode.FileIsADirectory,A.FileIsADirectory)}static NoPermissions(M){return new A(M,n.FileSystemProviderErrorCode.NoPermissions,A.NoPermissions)}static Unavailable(M){return new A(M,n.FileSystemProviderErrorCode.Unavailable,A.Unavailable)}};Rt=A=We([F],Rt),e.FileSystemError=Rt;let $t=class{constructor(M,te,Ce){this.start=M,this.end=te,this.kind=Ce}};$t=We([F],$t),e.FoldingRange=$t;var dn;(function(O){O[O.Comment=1]="Comment",O[O.Imports=2]="Imports",O[O.Region=3]="Region"})(dn=e.FoldingRangeKind||(e.FoldingRangeKind={}));var yn;(function(O){O[O.Collapsed=0]="Collapsed",O[O.Expanded=1]="Expanded"})(yn=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var hn;(function(O){O[O.Editing=0]="Editing",O[O.Preview=1]="Preview"})(hn=e.CommentMode||(e.CommentMode={}));class Sn{constructor(M,te=[]){this.tokenTypes=M,this.tokenModifiers=te}}e.SemanticTokensLegend=Sn;function fn(O){return typeof O=="undefined"||y.isStringArray(O)}class Lt{constructor(M){if(this._prevLine=0,this._prevChar=0,this._dataIsSortedAndDeltaEncoded=!0,this._data=[],this._dataLen=0,this._tokenTypeStrToInt=new Map,this._tokenModifierStrToInt=new Map,this._hasLegend=!1,M){this._hasLegend=!0;for(let te=0,Ce=M.tokenTypes.length;te<Ce;te++)this._tokenTypeStrToInt.set(M.tokenTypes[te],te);for(let te=0,Ce=M.tokenModifiers.length;te<Ce;te++)this._tokenModifierStrToInt.set(M.tokenModifiers[te],te)}}push(M,te,Ce,je,nt){if(typeof M=="number"&&typeof te=="number"&&typeof Ce=="number"&&typeof je=="number"&&(typeof nt=="number"||typeof nt=="undefined"))return typeof nt=="undefined"&&(nt=0),this._pushEncoded(M,te,Ce,je,nt);if(Z.isRange(M)&&typeof te=="string"&&fn(Ce))return this._push(M,te,Ce);throw R.illegalArgument()}_push(M,te,Ce){if(!this._hasLegend)throw new Error("Legend must be provided in constructor");if(M.start.line!==M.end.line)throw new Error("`range` cannot span multiple lines");if(!this._tokenTypeStrToInt.has(te))throw new Error("`tokenType` is not in the provided legend");const je=M.start.line,nt=M.start.character,st=M.end.character-M.start.character,ot=this._tokenTypeStrToInt.get(te);let yt=0;if(Ce)for(const It of Ce){if(!this._tokenModifierStrToInt.has(It))throw new Error("`tokenModifier` is not in the provided legend");const Ft=this._tokenModifierStrToInt.get(It);yt|=1<<Ft>>>0}this._pushEncoded(je,nt,st,ot,yt)}_pushEncoded(M,te,Ce,je,nt){if(this._dataIsSortedAndDeltaEncoded&&(M<this._prevLine||M===this._prevLine&&te<this._prevChar)){this._dataIsSortedAndDeltaEncoded=!1;const yt=this._data.length/5|0;let It=0,Ft=0;for(let Ut=0;Ut<yt;Ut++){let zt=this._data[5*Ut],un=this._data[5*Ut+1];zt===0?(zt=It,un+=Ft):zt+=It,this._data[5*Ut]=zt,this._data[5*Ut+1]=un,It=zt,Ft=un}}let st=M,ot=te;this._dataIsSortedAndDeltaEncoded&&this._dataLen>0&&(st-=this._prevLine,st===0&&(ot-=this._prevChar)),this._data[this._dataLen++]=st,this._data[this._dataLen++]=ot,this._data[this._dataLen++]=Ce,this._data[this._dataLen++]=je,this._data[this._dataLen++]=nt,this._prevLine=M,this._prevChar=te}static _sortAndDeltaEncode(M){let te=[];const Ce=M.length/5|0;for(let ot=0;ot<Ce;ot++)te[ot]=ot;te.sort((ot,yt)=>{const It=M[5*ot],Ft=M[5*yt];if(It===Ft){const Ut=M[5*ot+1],zt=M[5*yt+1];return Ut-zt}return It-Ft});const je=new Uint32Array(M.length);let nt=0,st=0;for(let ot=0;ot<Ce;ot++){const yt=5*te[ot],It=M[yt+0],Ft=M[yt+1],Ut=M[yt+2],zt=M[yt+3],un=M[yt+4],Bn=It-nt,Gn=Bn===0?Ft-st:Ft,cn=5*ot;je[cn+0]=Bn,je[cn+1]=Gn,je[cn+2]=Ut,je[cn+3]=zt,je[cn+4]=un,nt=It,st=Ft}return je}build(M){return this._dataIsSortedAndDeltaEncoded?new nn(new Uint32Array(this._data),M):new nn(Lt._sortAndDeltaEncode(this._data),M)}}e.SemanticTokensBuilder=Lt;class nn{constructor(M,te){this.resultId=te,this.data=M}}e.SemanticTokens=nn;class rn{constructor(M,te,Ce){this.start=M,this.deleteCount=te,this.data=Ce}}e.SemanticTokensEdit=rn;class sn{constructor(M,te){this.resultId=te,this.edits=M}}e.SemanticTokensEdits=sn;var Dn;(function(O){O[O.Separate=0]="Separate",O[O.MergeWithParent=1]="MergeWithParent"})(Dn=e.DebugConsoleMode||(e.DebugConsoleMode={}));var Cn;(function(O){O[O.Initial=1]="Initial",O[O.Dynamic=2]="Dynamic"})(Cn=e.DebugConfigurationProviderTriggerKind||(e.DebugConfigurationProviderTriggerKind={}));let Mt=class{constructor(){}};Mt.Back={iconPath:new ht("arrow-left")},Mt=We([F],Mt),e.QuickInputButtons=Mt;var kn;(function(O){O[O.UI=1]="UI",O[O.Workspace=2]="Workspace"})(kn=e.ExtensionKind||(e.ExtensionKind={}));class In{constructor(M,te,Ce){this.badge=M,this.tooltip=te,this.color=Ce}static validate(M){if(M.badge&&M.badge.length!==1&&M.badge.length!==2)throw new Error("The 'badge'-property must be undefined or a short character");if(!M.color&&!M.badge&&!M.tooltip)throw new Error("The decoration is empty")}}e.FileDecoration=In;let on=class{constructor(M){this.kind=M}};on=We([F],on),e.ColorTheme=on;var Pn;(function(O){O[O.Light=1]="Light",O[O.Dark=2]="Dark",O[O.HighContrast=3]="HighContrast"})(Pn=e.ColorThemeKind||(e.ColorThemeKind={}));class Wt{constructor(M,te){if(M<0)throw R.illegalArgument("start must be positive");if(te<0)throw R.illegalArgument("end must be positive");M<=te?(this._start=M,this._end=te):(this._start=te,this._end=M)}static isNotebookRange(M){return M instanceof Wt?!0:M?typeof M.start=="number"&&typeof M.end=="number":!1}get start(){return this._start}get end(){return this._end}get isEmpty(){return this._start===this._end}with(M){let te=this._start,Ce=this._end;return M.start!==void 0&&(te=M.start),M.end!==void 0&&(Ce=M.end),te===this._start&&Ce===this._end?this:new Wt(te,Ce)}}e.NotebookRange=Wt;class Nt{constructor(M,te,Ce,je,nt,st,ot){this.kind=M,this.value=te,this.languageId=Ce,this.mime=je,this.outputs=nt??[],this.metadata=st,this.executionSummary=ot,Nt.validate(this)}static validate(M){if(typeof M.kind!="number")throw new Error("NotebookCellData MUST have 'kind' property");if(typeof M.value!="string")throw new Error("NotebookCellData MUST have 'value' property");if(typeof M.languageId!="string")throw new Error("NotebookCellData MUST have 'languageId' property")}static isNotebookCellDataArray(M){return Array.isArray(M)&&M.every(te=>Nt.isNotebookCellData(te))}static isNotebookCellData(M){return!0}}e.NotebookCellData=Nt;class mn{constructor(M){this.cells=M}}e.NotebookData=mn;class Tt{constructor(M,te){this.data=M,this.mime=te;const Ce=k.normalizeMimeType(te,!0);if(!Ce)throw new Error("INVALID mime type, must not be empty or falsy: "+te);this.mime=Ce}static isNotebookCellOutputItem(M){return M instanceof Tt?!0:M?typeof M.mime=="string"&&M.data instanceof Uint8Array:!1}static error(M){const te={name:M.name,message:M.message,stack:M.stack};return Tt.json(te,"application/vnd.code.notebook.error")}static stdout(M){return Tt.text(M,"application/vnd.code.notebook.stdout")}static stderr(M){return Tt.text(M,"application/vnd.code.notebook.stderr")}static bytes(M,te="application/octet-stream"){return new Tt(M,te)}static text(M,te=k.Mimes.text){const Ce=Me(Tt,o,"f",E).encode(String(M));return new Tt(Ce,te)}static json(M,te="application/json"){const Ce=JSON.stringify(M,void 0,"	");return Tt.text(Ce,te)}}e.NotebookCellOutputItem=Tt,o=Tt,E={value:new TextEncoder};class Le{constructor(M,te,Ce){this.items=Le.ensureUniqueMimeTypes(M,!0),typeof te=="string"?(this.id=te,this.metadata=Ce):(this.id=C.generateUuid(),this.metadata=te??Ce)}static isNotebookCellOutput(M){return M instanceof Le?!0:!M||typeof M!="object"?!1:typeof M.id=="string"&&y.isArray(M.items)}static ensureUniqueMimeTypes(M,te=!1){const Ce=new Set,je=new Set;for(let nt=0;nt<M.length;nt++){const st=M[nt],ot=k.normalizeMimeType(st.mime);if(!Ce.has(ot)){Ce.add(ot);continue}je.add(nt),te&&console.warn(`DUPLICATED mime type '${st.mime}' will be dropped`)}return je.size===0?M:M.filter((nt,st)=>!je.has(st))}}e.NotebookCellOutput=Le;var an;(function(O){O[O.Markup=1]="Markup",O[O.Code=2]="Code"})(an=e.NotebookCellKind||(e.NotebookCellKind={}));var gn;(function(O){O[O.Idle=1]="Idle",O[O.Pending=2]="Pending",O[O.Executing=3]="Executing"})(gn=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var gt;(function(O){O[O.Left=1]="Left",O[O.Right=2]="Right"})(gt=e.NotebookCellStatusBarAlignment||(e.NotebookCellStatusBarAlignment={}));var An;(function(O){O[O.Default=0]="Default",O[O.InCenter=1]="InCenter",O[O.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",O[O.AtTop=3]="AtTop"})(An=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));class Tn{constructor(M,te){this.text=M,this.alignment=te}}e.NotebookCellStatusBarItem=Tn;var pn;(function(O){O[O.Default=1]="Default",O[O.Preferred=2]="Preferred"})(pn=e.NotebookControllerAffinity||(e.NotebookControllerAffinity={}));class vn{constructor(M,te=[]){this.uri=M,this.provides=f.asArray(te)}}e.NotebookRendererScript=vn;let ln=class{constructor(M,te){this.label=M,this.timestamp=te}};ln=We([F],ln),e.TimelineItem=ln;var Rn;(function(O){O[O.Production=1]="Production",O[O.Development=2]="Development",O[O.Test=3]="Test"})(Rn=e.ExtensionMode||(e.ExtensionMode={}));var Fn;(function(O){O[O.Node=1]="Node",O[O.Webworker=2]="Webworker"})(Fn=e.ExtensionRuntime||(e.ExtensionRuntime={}));var Ln;(function(O){O[O.Other=0]="Other",O[O.Comment=1]="Comment",O[O.String=2]="String",O[O.RegEx=4]="RegEx"})(Ln=e.StandardTokenType||(e.StandardTokenType={}));class bn{constructor(M,te){this.ranges=M,this.wordPattern=te}}e.LinkedEditingRanges=bn;class Mn{constructor(M,te){this._port=M,this._autoForwardAction=te}get port(){return this._port}get autoForwardAction(){return this._autoForwardAction}}e.PortAttributes=Mn;var Nn;(function(O){O[O.Unset=0]="Unset",O[O.Queued=1]="Queued",O[O.Running=2]="Running",O[O.Passed=3]="Passed",O[O.Failed=4]="Failed",O[O.Skipped=5]="Skipped",O[O.Errored=6]="Errored"})(Nn=e.TestResultState||(e.TestResultState={}));var wn;(function(O){O[O.Error=0]="Error",O[O.Warning=1]="Warning",O[O.Information=2]="Information",O[O.Hint=3]="Hint"})(wn=e.TestMessageSeverity||(e.TestMessageSeverity={}));const Ot=(O,M,te,Ce)=>{let je=te;return{enumerable:!0,configurable:!1,get(){return je},set(nt){Ce(je,nt)||(je=nt,O.bus.fire([3,M,nt]))}}},Ht=(O,M)=>O===M,X=(O,M)=>O===M?!0:!O||!M?!1:O.isEqual(M);class ce{constructor(M,te,Ce=!1){this.tests=M,this.exclude=te,this.debug=Ce}}e.TestRunRequest=ce;class Ae{constructor(M,te,Ce,je,nt){this.data=je;const st=l.getPrivateApiFor(this);if(Object.defineProperties(this,{id:{value:M,enumerable:!0,writable:!1},uri:{value:Ce,enumerable:!0,writable:!1},parent:{enumerable:!1,value:nt,writable:!1},children:{value:new _.ReadonlyMapView(st.children),enumerable:!0,writable:!1},range:Ot(st,"range",void 0,X),label:Ot(st,"label",te,Ht),description:Ot(st,"description",void 0,Ht),runnable:Ot(st,"runnable",!0,Ht),debuggable:Ot(st,"debuggable",!1,Ht),canResolveChildren:Ot(st,"canResolveChildren",!1,Ht),busy:Ot(st,"busy",!1,Ht),error:Ot(st,"error",void 0,Ht)}),nt){if(!(nt instanceof Ae))throw new Error(`The "parent" passed in for TestItem ${M} is invalid`);const ot=l.getPrivateApiFor(nt);if(ot.children.has(M))throw new Error(`Attempted to insert a duplicate test item ID ${M}`);ot.children.set(M,this),ot.bus.fire([0,this])}}invalidate(){return this.invalidateResults()}invalidateResults(){l.getPrivateApiFor(this).bus.fire([2])}dispose(){this.parent&&l.getPrivateApiFor(this.parent).children.delete(this.id),l.getPrivateApiFor(this).bus.fire([1])}}e.TestItemImpl=Ae;let at=a=class{constructor(M){this.message=M,this.severity=wn.Error}static diff(M,te,Ce){const je=new a(M);return je.expectedOutput=te,je.actualOutput=Ce,je}};at=a=We([F],at),e.TestMessage=at;let pt=class{constructor(M,te){this.covered=M,this.total=te}};pt=We([F],pt),e.CoveredCount=pt;let Dt=T=class{constructor(M,te,Ce,je){this.uri=M,this.statementCoverage=te,this.branchCoverage=Ce,this.functionCoverage=je}static fromDetails(M,te){const Ce=new pt(0,0),je=new pt(0,0),nt=new pt(0,0);for(const ot of te)if("branches"in ot){Ce.total+=1,Ce.covered+=ot.executionCount>0?1:0;for(const yt of ot.branches)je.total+=1,je.covered+=yt.executionCount>0?1:0}else nt.total+=1,nt.covered+=ot.executionCount>0?1:0;const st=new T(M,Ce,je.total>0?je:void 0,nt.total>0?nt:void 0);return st.detailedCoverage=te,st}};Dt=T=We([F],Dt),e.FileCoverage=Dt;let On=class{constructor(M,te,Ce=[]){this.executionCount=M,this.location=te,this.branches=Ce}};On=We([F],On),e.StatementCoverage=On;let Un=class{constructor(M,te){this.executionCount=M,this.location=te}};Un=We([F],Un),e.BranchCoverage=Un;let xn=class{constructor(M,te){this.executionCount=M,this.location=te}};xn=We([F],xn),e.FunctionCoverage=xn;var Vn;(function(O){O[O.None=0]="None",O[O.Option=1]="Option",O[O.Default=2]="Default",O[O.Preferred=3]="Preferred"})(Vn=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}));var qn;(function(O){O[O.Untrusted=0]="Untrusted",O[O.Trusted=1]="Trusted",O[O.Unspecified=2]="Unspecified"})(qn=e.WorkspaceTrustState||(e.WorkspaceTrustState={}));var jn;(function(O){O[O.Notify=1]="Notify",O[O.OpenBrowser=2]="OpenBrowser",O[O.OpenPreview=3]="OpenPreview",O[O.Silent=4]="Silent",O[O.Ignore=5]="Ignore",O[O.OpenBrowserOnce=6]="OpenBrowserOnce"})(jn=e.PortAutoForwardAction||(e.PortAutoForwardAction={}))}),define(we[95],_e([0,1,39,11,8,121,85,7,17]),function(ne,e,f,R,D,_,k,y,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentLine=e.ExtHostDocumentData=e.getWordDefinitionFor=e.setWordDefinitionFor=void 0;const C=new Map;function n(u,o){o?C.set(u,o):C.delete(u)}e.setWordDefinitionFor=n;function I(u){return C.get(u)}e.getWordDefinitionFor=I;class l extends _.MirrorTextModel{constructor(o,E,v,S,d,h,g,t){super(E,v,S,d);this._proxy=o,this._languageId=h,this._isDirty=g,this._notebook=t,this._isDisposed=!1}dispose(){f.ok(!this._isDisposed),this._isDisposed=!0,this._isDirty=!1}equalLines(o){return b.equals(this._lines,o)}get document(){if(!this._document){const o=this;this._document={get uri(){return o._uri},get fileName(){return o._uri.fsPath},get isUntitled(){return o._uri.scheme===R.Schemas.untitled},get languageId(){return o._languageId},get version(){return o._versionId},get isClosed(){return o._isDisposed},get isDirty(){return o._isDirty},get notebook(){return o._notebook},save(){return o._save()},getText(E){return E?o._getTextInRange(E):o.getText()},get eol(){return o._eol===`
`?y.EndOfLine.LF:y.EndOfLine.CRLF},get lineCount(){return o._lines.length},lineAt(E){return o._lineAt(E)},offsetAt(E){return o._offsetAt(E)},positionAt(E){return o._positionAt(E)},validateRange(E){return o._validateRange(E)},validatePosition(E){return o._validatePosition(E)},getWordRangeAtPosition(E,v){return o._getWordRangeAtPosition(E,v)}}}return Object.freeze(this._document)}_acceptLanguageId(o){f.ok(!this._isDisposed),this._languageId=o}_acceptIsDirty(o){f.ok(!this._isDisposed),this._isDirty=o}_save(){return this._isDisposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this._uri)}_getTextInRange(o){const E=this._validateRange(o);if(E.isEmpty)return"";if(E.isSingleLine)return this._lines[E.start.line].substring(E.start.character,E.end.character);const v=this._eol,S=E.start.line,d=E.end.line,h=[];h.push(this._lines[S].substring(E.start.character));for(let g=S+1;g<d;g++)h.push(this._lines[g]);return h.push(this._lines[d].substring(0,E.end.character)),h.join(v)}_lineAt(o){let E;if(o instanceof y.Position?E=o.line:typeof o=="number"&&(E=o),typeof E!="number"||E<0||E>=this._lines.length||Math.floor(E)!==E)throw new Error("Illegal value for `line`");return new m(E,this._lines[E],E===this._lines.length-1)}_offsetAt(o){return o=this._validatePosition(o),this._ensureLineStarts(),this._lineStarts.getPrefixSum(o.line-1)+o.character}_positionAt(o){o=Math.floor(o),o=Math.max(0,o),this._ensureLineStarts();const E=this._lineStarts.getIndexOf(o),v=this._lines[E.index].length;return new y.Position(E.index,Math.min(E.remainder,v))}_validateRange(o){if(!(o instanceof y.Range))throw new Error("Invalid argument");const E=this._validatePosition(o.start),v=this._validatePosition(o.end);return E===o.start&&v===o.end?o:new y.Range(E.line,E.character,v.line,v.character)}_validatePosition(o){if(!(o instanceof y.Position))throw new Error("Invalid argument");if(this._lines.length===0)return o.with(0,0);let{line:E,character:v}=o,S=!1;if(E<0)E=0,v=0,S=!0;else if(E>=this._lines.length)E=this._lines.length-1,v=this._lines[E].length,S=!0;else{const d=this._lines[E].length;v<0?(v=0,S=!0):v>d&&(v=d,S=!0)}return S?new y.Position(E,v):o}_getWordRangeAtPosition(o,E){const v=this._validatePosition(o);if(!E)E=I(this._languageId);else if(D.regExpLeadsToEndlessLoop(E))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${E.source}' because it matches the empty string.`);const S=k.getWordAtText(v.character+1,k.ensureValidWordDefinition(E),this._lines[v.line],0);if(S)return new y.Range(v.line,S.startColumn-1,v.line,S.endColumn-1)}}e.ExtHostDocumentData=l;class m{constructor(o,E,v){this._line=o,this._text=E,this._isLastLine=v}get lineNumber(){return this._line}get text(){return this._text}get range(){return new y.Range(this._line,0,this._line,this._text.length)}get rangeIncludingLineBreak(){return this._isLastLine?this.range:new y.Range(this._line,0,this._line+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this._text)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this._text.length}}e.ExtHostDocumentLine=m}),define(we[159],_e([0,1,7,3,87,6,54,22,2,34]),function(ne,e,f,R,D,_,k,y,b,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookConcatDocument=void 0;class n{constructor(l,m,u,o){this._notebook=u,this._selector=o,this._disposables=new _.DisposableStore,this._isClosed=!1,this._versionId=0,this._onDidChange=new R.Emitter,this.onDidChange=this._onDidChange.event,this.uri=b.URI.from({scheme:"vscode-concat-doc",path:C.generateUuid()}),this._init(),this._disposables.add(m.onDidChangeDocument(v=>{const S=this._cellUris.get(v.document.uri);S!==void 0&&(this._cellLengths.changeValue(S,this._cells[S].document.getText().length+1),this._cellLines.changeValue(S,this._cells[S].document.lineCount),this._versionId+=1,this._onDidChange.fire(void 0))}));const E=v=>{v===this._notebook&&(this._init(),this._versionId+=1,this._onDidChange.fire(void 0))};this._disposables.add(l.onDidChangeNotebookCells(v=>E(v.document)))}dispose(){this._disposables.dispose(),this._isClosed=!0}get isClosed(){return this._isClosed}_init(){this._cells=[],this._cellUris=new y.ResourceMap;const l=[],m=[];for(const u of this._notebook.getCells())u.kind===f.NotebookCellKind.Code&&(!this._selector||k.score(this._selector,u.document.uri,u.document.languageId,!0))&&(this._cellUris.set(u.document.uri,this._cells.length),this._cells.push(u),l.push(u.document.getText().length+1),m.push(u.document.lineCount));this._cellLengths=new D.PrefixSumComputer(new Uint32Array(l)),this._cellLines=new D.PrefixSumComputer(new Uint32Array(m))}get version(){return this._versionId}getText(l){if(!l){let S="";for(const d of this._cells)S+=d.document.getText()+`
`;return S=S.slice(0,-1),S}if(l.isEmpty)return"";const m=this.locationAt(l.start),u=this.locationAt(l.end),o=this._cellUris.get(m.uri),E=this._cellUris.get(u.uri);if(o===void 0||E===void 0)return"";if(o===E)return this._cells[o].document.getText(new f.Range(m.range.start,u.range.end));const v=[this._cells[o].document.getText(new f.Range(m.range.start,new f.Position(this._cells[o].document.lineCount,0)))];for(let S=o+1;S<E;S++)v.push(this._cells[S].document.getText());return v.push(this._cells[E].document.getText(new f.Range(new f.Position(0,0),u.range.end))),v.join(`
`)}offsetAt(l){const m=this._cellLines.getIndexOf(l.line),u=this._cellLengths.getPrefixSum(m.index-1),o=this._cells[m.index].document.offsetAt(l.with(m.remainder));return u+o}positionAt(l){if(typeof l=="number"){const u=this._cellLengths.getIndexOf(l),o=this._cellLines.getPrefixSum(u.index-1);return this._cells[u.index].document.positionAt(u.remainder).translate(o)}const m=this._cellUris.get(l.uri);if(m!==void 0){const u=this._cellLines.getPrefixSum(m-1);return new f.Position(u+l.range.start.line,l.range.start.character)}return new f.Position(0,0)}locationAt(l){f.Range.isRange(l)||(l=new f.Range(l,l));const m=this._cellLines.getIndexOf(l.start.line);let u=m;l.isEmpty||(u=this._cellLines.getIndexOf(l.end.line));const o=new f.Position(m.remainder,l.start.character),E=new f.Position(u.remainder,l.end.character),v=new f.Range(o,E),S=this._cells[m.index];return new f.Location(S.document.uri,S.document.validateRange(v))}contains(l){return this._cellUris.has(l)}validateRange(l){const m=this.validatePosition(l.start),u=this.validatePosition(l.end);return l.with(m,u)}validatePosition(l){const m=this._cellLines.getIndexOf(l.line),u=new f.Position(m.remainder,l.character),o=this._cells[m.index].document.validatePosition(u),E=this._cellLines.getPrefixSum(m.index-1);return new f.Position(E+o.line,o.character)}}e.ExtHostNotebookConcatDocument=n}),define(we[160],_e([0,1,7,13,3]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTheming=void 0;let _=class{constructor(y){this._actual=new f.ColorTheme(f.ColorThemeKind.Dark),this._onDidChangeActiveColorTheme=new D.Emitter}get activeColorTheme(){return this._actual}$onColorThemeChange(y){let b=y==="light"?f.ColorThemeKind.Light:y==="dark"?f.ColorThemeKind.Dark:f.ColorThemeKind.HighContrast;this._actual=new f.ColorTheme(b),this._onDidChangeActiveColorTheme.fire(this._actual)}get onDidChangeActiveColorTheme(){return this._onDidChangeActiveColorTheme.event}};_=We([He(0,R.IExtHostRpcService)],_),e.ExtHostTheming=_}),define(we[65],_e([0,1,4]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URITransformerService=e.IURITransformerService=void 0,e.IURITransformerService=f.createDecorator("IURITransformerService");class R{constructor(_){_?(this.transformIncoming=_.transformIncoming.bind(_),this.transformOutgoing=_.transformOutgoing.bind(_),this.transformOutgoingURI=_.transformOutgoingURI.bind(_),this.transformOutgoingScheme=_.transformOutgoingScheme.bind(_)):(this.transformIncoming=k=>k,this.transformOutgoing=k=>k,this.transformOutgoingURI=k=>k,this.transformOutgoingScheme=k=>k)}}e.URITransformerService=R}),define(we[161],_e([0,1,24]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeWebviewMessage=e.serializeWebviewMessage=void 0;class R{constructor(){this.buffers=[]}add(b){let C=this.buffers.indexOf(b);return C<0&&(C=this.buffers.length,this.buffers.push(b)),C}}function D(y,b){if(b.serializeBuffersForPostMessage){const C=new R,n=(m,u)=>{if(u instanceof ArrayBuffer){const o=C.add(u);return{$$vscode_array_buffer_reference$$:!0,index:o}}else if(ArrayBuffer.isView(u)){const o=_(u);if(o){const E=C.add(u.buffer);return{$$vscode_array_buffer_reference$$:!0,index:E,view:{type:o,byteLength:u.byteLength,byteOffset:u.byteOffset}}}}return u},I=JSON.stringify(y,n),l=C.buffers.map(m=>{const u=new Uint8Array(m);return f.VSBuffer.wrap(u)});return{message:I,buffers:l}}else return{message:JSON.stringify(y),buffers:[]}}e.serializeWebviewMessage=D;function _(y){switch(y.constructor.name){case"Int8Array":return 1;case"Uint8Array":return 2;case"Uint8ClampedArray":return 3;case"Int16Array":return 4;case"Uint16Array":return 5;case"Int32Array":return 6;case"Uint32Array":return 7;case"Float32Array":return 8;case"Float64Array":return 9;case"BigInt64Array":return 10;case"BigUint64Array":return 11}}function k(y,b){const C=b.map(l=>{const m=new ArrayBuffer(l.byteLength);return new Uint8Array(m).set(l.buffer),m}),n=b.length?(l,m)=>{if(typeof m=="object"&&m.$$vscode_array_buffer_reference$$){const u=m,{index:o}=u,E=C[o];if(u.view)switch(u.view.type){case 1:return new Int8Array(E,u.view.byteOffset,u.view.byteLength/Int8Array.BYTES_PER_ELEMENT);case 2:return new Uint8Array(E,u.view.byteOffset,u.view.byteLength/Uint8Array.BYTES_PER_ELEMENT);case 3:return new Uint8ClampedArray(E,u.view.byteOffset,u.view.byteLength/Uint8ClampedArray.BYTES_PER_ELEMENT);case 4:return new Int16Array(E,u.view.byteOffset,u.view.byteLength/Int16Array.BYTES_PER_ELEMENT);case 5:return new Uint16Array(E,u.view.byteOffset,u.view.byteLength/Uint16Array.BYTES_PER_ELEMENT);case 6:return new Int32Array(E,u.view.byteOffset,u.view.byteLength/Int32Array.BYTES_PER_ELEMENT);case 7:return new Uint32Array(E,u.view.byteOffset,u.view.byteLength/Uint32Array.BYTES_PER_ELEMENT);case 8:return new Float32Array(E,u.view.byteOffset,u.view.byteLength/Float32Array.BYTES_PER_ELEMENT);case 9:return new Float64Array(E,u.view.byteOffset,u.view.byteLength/Float64Array.BYTES_PER_ELEMENT);case 10:return new BigInt64Array(E,u.view.byteOffset,u.view.byteLength/BigInt64Array.BYTES_PER_ELEMENT);case 11:return new BigUint64Array(E,u.view.byteOffset,u.view.byteLength/BigUint64Array.BYTES_PER_ELEMENT);default:throw new Error("Unknown array buffer view type")}return E}return m}:void 0;return{message:JSON.parse(y,n),arrayBuffers:C}}e.deserializeWebviewMessage=k}),define(we[66],_e([0,1,11,2]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.asWebviewUri=e.webviewGenericCspSource=e.webviewRootResourceAuthority=e.webviewResourceBaseHost=void 0,e.webviewResourceBaseHost="vscode-webview.net",e.webviewRootResourceAuthority=`vscode-resource.${e.webviewResourceBaseHost}`,e.webviewGenericCspSource=`https://*.${e.webviewResourceBaseHost}`;function D(_,k){return _.scheme===f.Schemas.http||_.scheme===f.Schemas.https?_:(k&&k.authority&&k.isRemote&&_.scheme===f.Schemas.file&&(_=R.URI.from({scheme:f.Schemas.vscodeRemote,authority:k.authority,path:_.path})),R.URI.from({scheme:f.Schemas.https,authority:`${_.scheme}+${_.authority}.${e.webviewRootResourceAuthority}`,path:_.path,fragment:_.fragment,query:_.query}))}e.asWebviewUri=D}),define(we[162],_e([0,1,3,6,66]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorInsets=void 0;class _{constructor(y,b,C){this._proxy=y,this._editors=b,this._initData=C,this._handlePool=0,this._disposables=new R.DisposableStore,this._insets=new Map,this._disposables.add(b.onDidChangeVisibleTextEditors(()=>{const n=b.getVisibleTextEditors();for(const I of this._insets.values())n.indexOf(I.editor)<0&&I.inset.dispose()}))}dispose(){this._insets.forEach(y=>y.inset.dispose()),this._disposables.dispose()}createWebviewEditorInset(y,b,C,n,I){let l;for(const d of this._editors.getVisibleTextEditors(!0))if(d.value===y){l=d;break}if(!l)throw new Error("not a visible editor");const m=this,u=this._handlePool++,o=new f.Emitter,E=new f.Emitter,v=new class{constructor(){this._html="",this._options=Object.create(null)}asWebviewUri(d){return D.asWebviewUri(d,m._initData.remote)}get cspSource(){return D.webviewGenericCspSource}set options(d){this._options=d,m._proxy.$setOptions(u,d)}get options(){return this._options}set html(d){this._html=d,m._proxy.$setHtml(u,d)}get html(){return this._html}get onDidReceiveMessage(){return o.event}postMessage(d){return m._proxy.$postMessage(u,d)}},S=new class{constructor(){this.editor=y,this.line=b,this.height=C,this.webview=v,this.onDidDispose=E.event}dispose(){m._insets.has(u)&&(m._insets.delete(u),m._proxy.$disposeEditorInset(u),E.fire(),E.dispose(),o.dispose())}};return this._proxy.$createEditorInset(u,l.id,l.value.document.uri,b+1,C,n||{},I.identifier,I.extensionLocation),this._insets.set(u,{editor:y,inset:S,onDidReceiveMessage:o}),S}$onDidDispose(y){const b=this._insets.get(y);b&&b.inset.dispose()}$onDidReceiveMessage(y,b){const C=this._insets.get(y);C&&C.onDidReceiveMessage.fire(b)}}e.ExtHostEditorInsets=_}),define(we[163],_e([0,1,3,15,137]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDebugAdapter=void 0;class _{constructor(){this.pendingRequests=new Map,this.queue=[],this._onError=new f.Emitter,this._onExit=new f.Emitter,this.sequence=1}get onError(){return this._onError.event}get onExit(){return this._onExit.event}onMessage(y){this.messageCallback&&this._onError.fire(new Error("attempt to set more than one 'Message' callback")),this.messageCallback=y}onEvent(y){this.eventCallback&&this._onError.fire(new Error("attempt to set more than one 'Event' callback")),this.eventCallback=y}onRequest(y){this.requestCallback&&this._onError.fire(new Error("attempt to set more than one 'Request' callback")),this.requestCallback=y}sendResponse(y){y.seq>0?this._onError.fire(new Error(`attempt to send more than one response for command ${y.command}`)):this.internalSend("response",y)}sendRequest(y,b,C,n){const I={command:y};if(b&&Object.keys(b).length>0&&(I.arguments=b),this.internalSend("request",I),typeof n=="number"){const l=setTimeout(()=>{clearTimeout(l);const m=this.pendingRequests.get(I.seq);if(m){this.pendingRequests.delete(I.seq);const u={type:"response",seq:0,request_seq:I.seq,success:!1,command:y,message:D.localize(0,null,n,y)};m(u)}},n)}return C&&this.pendingRequests.set(I.seq,C),I.seq}acceptMessage(y){this.messageCallback?this.messageCallback(y):(this.queue.push(y),this.queue.length===1&&this.processQueue())}needsTaskBoundaryBetween(y,b){return y.type!=="event"||b.type!=="event"}async processQueue(){let y;for(;this.queue.length;){if((!y||this.needsTaskBoundaryBetween(this.queue[0],y))&&await R.timeout(0),y=this.queue.shift(),!y)return;switch(y.type){case"event":this.eventCallback&&this.eventCallback(y);break;case"request":this.requestCallback&&this.requestCallback(y);break;case"response":const b=y,C=this.pendingRequests.get(b.request_seq);C&&(this.pendingRequests.delete(b.request_seq),C(b));break}}}internalSend(y,b){b.type=y,b.seq=this.sequence++,this.sendMessage(b)}async cancelPendingRequests(){if(this.pendingRequests.size===0)return Promise.resolve();const y=new Map;this.pendingRequests.forEach((b,C)=>y.set(C,b)),await R.timeout(500),y.forEach((b,C)=>{b({type:"response",seq:0,request_seq:C,success:!1,command:"canceled",message:"canceled"}),this.pendingRequests.delete(C)})}getPendingRequestIds(){return Array.from(this.pendingRequests.keys())}dispose(){this.queue=[]}}e.AbstractDebugAdapter=_}),define(we[164],_e([0,1,8,2,14,25,11]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getVisibleAndSorted=e.convertToVSCPaths=e.convertToDAPaths=e.isUri=e.getExactExpressionStartAndEnd=e.isDebuggerMainContribution=e.getExtensionHostDebugSession=e.isSessionAttach=e.filterExceptionsFromTelemetry=e.formatPII=void 0;const y=/{([^}]+)}/g;function b(r,i,s){return r.replace(y,function(c,w){return i&&w.length>0&&w[0]!=="_"?c:s&&s.hasOwnProperty(w)?s[w]:c})}e.formatPII=b;function C(r){const i={};for(const s of Object.keys(r))s.startsWith("!")||(i[s]=r[s]);return i}e.filterExceptionsFromTelemetry=C;function n(r){return r.configuration.request==="attach"&&!I(r)&&(!r.parentSession||n(r.parentSession))}e.isSessionAttach=n;function I(r){let i=r.configuration.type;if(!!i)return i==="vslsShare"&&(i=r.configuration.adapterProxy.configuration.type),f.equalsIgnoreCase(i,"extensionhost")||f.equalsIgnoreCase(i,"pwa-extensionhost")?r:r.parentSession?I(r.parentSession):void 0}e.getExtensionHostDebugSession=I;function l(r){return r.type&&(r.label||r.program||r.runtime)}e.isDebuggerMainContribution=l;function m(r,i,s){let c,w=0,p=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g,P=null;for(;P=p.exec(r);){let A=P.index+1,a=A+P[0].length;if(A<=i&&a>=s){c=P[0],w=A;break}}if(c){let A=/\w+/g,a=null;for(;(a=A.exec(c))&&!(a.index+1+w+a[0].length>=s););a&&(c=c.substring(0,A.lastIndex))}return c?{start:w,end:w+c.length-1}:{start:0,end:0}}e.getExactExpressionStartAndEnd=m;const u=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function o(r){return!!(r&&r.match(u))}e.isUri=o;function E(r){if(typeof r.path=="string"&&!(typeof r.sourceReference=="number"&&r.sourceReference>0)){if(o(r.path))return R.URI.parse(r.path);if(D.isAbsolute(r.path))return R.URI.file(r.path)}return r.path}function v(r){if(typeof r.path=="object"){const i=R.URI.revive(r.path);if(i)return i.scheme===k.Schemas.file?i.fsPath:i.toString()}return r.path}function S(r,i){const s=i?E:v,c=_.deepClone(r);return h(c,(w,p)=>{w&&p&&(p.path=s(p))}),c}e.convertToDAPaths=S;function d(r,i){const s=i?E:v,c=_.deepClone(r);return h(c,(w,p)=>{!w&&p&&(p.path=s(p))}),c}e.convertToVSCPaths=d;function h(r,i){switch(r.type){case"event":const s=r;switch(s.event){case"output":i(!1,s.body.source);break;case"loadedSource":i(!1,s.body.source);break;case"breakpoint":i(!1,s.body.breakpoint.source);break;default:break}break;case"request":const c=r;switch(c.command){case"setBreakpoints":i(!0,c.arguments.source);break;case"breakpointLocations":i(!0,c.arguments.source);break;case"source":i(!0,c.arguments.source);break;case"gotoTargets":i(!0,c.arguments.source);break;case"launchVSCode":c.arguments.args.forEach(p=>i(!1,p));break;default:break}break;case"response":const w=r;if(w.success&&w.body)switch(w.command){case"stackTrace":w.body.stackFrames.forEach(p=>i(!1,p.source));break;case"loadedSources":w.body.sources.forEach(p=>i(!1,p));break;case"scopes":w.body.scopes.forEach(p=>i(!1,p.source));break;case"setFunctionBreakpoints":w.body.breakpoints.forEach(p=>i(!1,p.source));break;case"setBreakpoints":w.body.breakpoints.forEach(p=>i(!1,p.source));break;default:break}break}}function g(r){return r.filter(i=>!i.presentation?.hidden).sort((i,s)=>i.presentation?s.presentation?i.presentation.group?s.presentation.group?i.presentation.group!==s.presentation.group?i.presentation.group.localeCompare(s.presentation.group):t(i.presentation.order,s.presentation.order):-1:s.presentation.group?1:t(i.presentation.order,s.presentation.order):-1:s.presentation?1:0)}e.getVisibleAndSorted=g;function t(r,i){return typeof r!="number"?typeof i!="number"?0:1:typeof i!="number"?-1:r-i}}),define(we[67],_e([0,1,27,82,11,14,21,58]),function(ne,e,f,R,D,_,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotebookWorkingCopyTypeIdentifier=e.CellStatusbarAlignment=e.OpenGettingStarted=e.ConsolidatedRunButton=e.NotebookCellEditorOptionsCustomizations=e.DragAndDropEnabled=e.ShowFoldingControls=e.ConsolidatedOutputButton=e.UndoRedoPerCell=e.GlobalToolbar=e.InsertToolbarLocation=e.FocusIndicator=e.CompactView=e.ExperimentalInsertToolbarAlignment=e.ExperimentalUseMarkdownRenderer=e.NotebookTextDiffEditorPreview=e.ShowCellStatusBar=e.CellToolbarVisibility=e.CellToolbarLocation=e.DisplayOrderKey=e.CellSequence=e.notebookDocumentFilterMatch=e.isDocumentExcludePattern=e.NotebookEditorPriority=e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=e.diff=e.sortMimeTypes=e.mimeTypeIsMergeable=e.mimeTypeSupportedByCore=e.mimeTypeIsAlwaysSecure=e.CellUri=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.RendererMessagingSpec=e.NotebookRendererMatch=e.NotebookCellExecutionState=e.NotebookRunState=e.RENDERER_NOT_AVAILABLE=e.BUILTIN_RENDERER_ID=e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=e.NOTEBOOK_DISPLAY_ORDER=e.CellKind=void 0;var b;(function(a){a[a.Markup=1]="Markup",a[a.Code=2]="Code"})(b=e.CellKind||(e.CellKind={})),e.NOTEBOOK_DISPLAY_ORDER=["application/json","application/javascript","text/html","image/svg+xml",R.Mimes.markdown,"image/png","image/jpeg",R.Mimes.text],e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=[R.Mimes.markdown,"application/json",R.Mimes.text,"text/html","image/svg+xml","image/png","image/jpeg"],e.BUILTIN_RENDERER_ID="_builtin",e.RENDERER_NOT_AVAILABLE="_notAvailable";var C;(function(a){a[a.Running=1]="Running",a[a.Idle=2]="Idle"})(C=e.NotebookRunState||(e.NotebookRunState={}));var n;(function(a){a[a.Pending=2]="Pending",a[a.Executing=3]="Executing"})(n=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var I;(function(a){a[a.WithHardKernelDependency=0]="WithHardKernelDependency",a[a.WithOptionalKernelDependency=1]="WithOptionalKernelDependency",a[a.Pure=2]="Pure",a[a.Never=3]="Never"})(I=e.NotebookRendererMatch||(e.NotebookRendererMatch={}));var l;(function(a){a.Always="always",a.Never="never",a.Optional="optional"})(l=e.RendererMessagingSpec||(e.RendererMessagingSpec={}));var m;(function(a){a[a.ModelChange=1]="ModelChange",a[a.Move=2]="Move",a[a.ChangeLanguage=5]="ChangeLanguage",a[a.Initialize=6]="Initialize",a[a.ChangeCellMetadata=7]="ChangeCellMetadata",a[a.Output=8]="Output",a[a.OutputItem=9]="OutputItem",a[a.ChangeCellContent=10]="ChangeCellContent",a[a.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",a[a.ChangeCellInternalMetadata=12]="ChangeCellInternalMetadata",a[a.ChangeCellMime=13]="ChangeCellMime",a[a.Unknown=100]="Unknown"})(m=e.NotebookCellsChangeType||(e.NotebookCellsChangeType={}));var u;(function(a){a[a.Handle=0]="Handle",a[a.Index=1]="Index"})(u=e.SelectionStateType||(e.SelectionStateType={}));var o;(function(a){a[a.Replace=1]="Replace",a[a.Output=2]="Output",a[a.Metadata=3]="Metadata",a[a.CellLanguage=4]="CellLanguage",a[a.DocumentMetadata=5]="DocumentMetadata",a[a.Move=6]="Move",a[a.OutputItems=7]="OutputItems",a[a.PartialMetadata=8]="PartialMetadata",a[a.PartialInternalMetadata=9]="PartialInternalMetadata"})(o=e.CellEditType||(e.CellEditType={}));var E;(function(a){a.scheme=D.Schemas.vscodeNotebookCell;const T=/^ch(\d{7,})/;function F(B,Y){return B.with({scheme:a.scheme,fragment:`ch${Y.toString().padStart(7,"0")}${B.scheme!==D.Schemas.file?B.scheme:""}`})}a.generate=F;function H(B){if(B.scheme!==a.scheme)return;const Y=T.exec(B.fragment);return Y?{handle:Number(Y[1]),notebook:B.with({scheme:B.fragment.substr(Y[0].length)||D.Schemas.file,fragment:null})}:void 0}a.parse=H;function $(B){if(B.scheme!==D.Schemas.vscodeNotebookCellMetadata)return;const Y=T.exec(B.fragment);return Y?{handle:Number(Y[1]),notebook:B.with({scheme:B.fragment.substr(Y[0].length)||D.Schemas.file,fragment:null})}:void 0}a.parseCellMetadataUri=$;function Z(B,Y,L){return B.with({scheme:L,fragment:`ch${Y.toString().padStart(7,"0")}${B.scheme!==D.Schemas.file?B.scheme:""}`})}a.generateCellUri=Z;function V(B,Y){if(B.scheme!==Y)return;const L=T.exec(B.fragment);return L?{handle:Number(L[1]),notebook:B.with({scheme:B.fragment.substr(L[0].length)||D.Schemas.file,fragment:null})}:void 0}a.parseCellUri=V})(E=e.CellUri||(e.CellUri={}));const v=new Map([["application/javascript",{supportedByCore:!0}],["image/png",{alwaysSecure:!0,supportedByCore:!0}],["image/jpeg",{alwaysSecure:!0,supportedByCore:!0}],["image/git",{alwaysSecure:!0,supportedByCore:!0}],["image/svg+xml",{supportedByCore:!0}],["application/json",{alwaysSecure:!0,supportedByCore:!0}],[R.Mimes.markdown,{alwaysSecure:!0,supportedByCore:!0}],[R.Mimes.text,{alwaysSecure:!0,supportedByCore:!0}],["text/html",{supportedByCore:!0}],["text/x-javascript",{alwaysSecure:!0,supportedByCore:!0}],["application/vnd.code.notebook.error",{alwaysSecure:!0,supportedByCore:!0}],["application/vnd.code.notebook.stdout",{alwaysSecure:!0,supportedByCore:!0,mergeable:!0}],["application/vnd.code.notebook.stderr",{alwaysSecure:!0,supportedByCore:!0,mergeable:!0}]]);function S(a){return v.get(a)?.alwaysSecure??!1}e.mimeTypeIsAlwaysSecure=S;function d(a){return v.get(a)?.supportedByCore??!1}e.mimeTypeSupportedByCore=d;function h(a){return v.get(a)?.mergeable??!1}e.mimeTypeIsMergeable=h;function g(a,T){return k.isWindows&&(a=a.replace(/\//g,"\\"),T=T.replace(/\//g,"\\")),f.match(a,T)}function t(a,T,F){let H=0;for(let $=0;$<T.length;$++){if(g(T[$],a))return H;H++}for(let $=0;$<F.length;$++){if(g(F[$],a))return H;H++}return H}function r(a,T,F){return a.sort((H,$)=>t(H,T,F)-t($,T,F))}e.sortMimeTypes=r;function i(a,T,F,H=($,Z)=>$===Z){const $=[];function Z(Y,L,J){if(L===0&&J.length===0)return;const N=$[$.length-1];N&&N.start+N.deleteCount===Y?(N.deleteCount+=L,N.toInsert.push(...J)):$.push({start:Y,deleteCount:L,toInsert:J})}let V=0,B=0;for(;;){if(V===a.length){Z(V,0,T.slice(B));break}if(B===T.length){Z(V,a.length-V,[]);break}const Y=a[V],L=T[B];if(H(Y,L)){V+=1,B+=1;continue}F(L)?(Z(V,1,[]),V+=1):(Z(V,0,[L]),B+=1)}return $}e.diff=i,e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=new y.RawContextKey("notebookEditorCursorAtBoundary","none");var s;(function(a){a.default="default",a.option="option"})(s=e.NotebookEditorPriority||(e.NotebookEditorPriority={}));function c(a){const T=a;return!!((typeof T.include=="string"||f.isRelativePattern(T.include))&&(typeof T.exclude=="string"||f.isRelativePattern(T.exclude)))}e.isDocumentExcludePattern=c;function w(a,T,F){if(Array.isArray(a.viewType)&&a.viewType.indexOf(T)>=0||a.viewType===T)return!0;if(a.filenamePattern){let H=c(a.filenamePattern)?a.filenamePattern.include:a.filenamePattern,$=c(a.filenamePattern)?a.filenamePattern.exclude:void 0;if(f.match(H,_.basename(F.fsPath).toLowerCase()))return!($&&f.match($,_.basename(F.fsPath).toLowerCase()))}return!1}e.notebookDocumentFilterMatch=w;class p{constructor(T){this.textModel=T}getElements(){const T=new Int32Array(this.textModel.cells.length);for(let F=0;F<this.textModel.cells.length;F++)T[F]=this.textModel.cells[F].getHashValue();return T}}e.CellSequence=p,e.DisplayOrderKey="notebook.displayOrder",e.CellToolbarLocation="notebook.cellToolbarLocation",e.CellToolbarVisibility="notebook.cellToolbarVisibility",e.ShowCellStatusBar="notebook.showCellStatusBar",e.NotebookTextDiffEditorPreview="notebook.diff.enablePreview",e.ExperimentalUseMarkdownRenderer="notebook.experimental.useMarkdownRenderer",e.ExperimentalInsertToolbarAlignment="notebook.experimental.insertToolbarAlignment",e.CompactView="notebook.compactView",e.FocusIndicator="notebook.cellFocusIndicator",e.InsertToolbarLocation="notebook.insertToolbarLocation",e.GlobalToolbar="notebook.globalToolbar",e.UndoRedoPerCell="notebook.undoRedoPerCell",e.ConsolidatedOutputButton="notebook.consolidatedOutputButton",e.ShowFoldingControls="notebook.showFoldingControls",e.DragAndDropEnabled="notebook.dragAndDropEnabled",e.NotebookCellEditorOptionsCustomizations="notebook.editorOptionsCustomizations",e.ConsolidatedRunButton="notebook.consolidatedRunButton",e.OpenGettingStarted="notebook.experimental.openGettingStarted";var P;(function(a){a[a.Left=1]="Left",a[a.Right=2]="Right"})(P=e.CellStatusbarAlignment||(e.CellStatusbarAlignment={}));class A{static create(T){return`${A._prefix}${T}`}static parse(T){if(T.startsWith(A._prefix))return T.substr(A._prefix.length)}}e.NotebookWorkingCopyTypeIdentifier=A,A._prefix="notebook/"}),define(we[165],_e([0,1,139,4,58]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.USER_TASKS_GROUP_KEY=e.ITaskService=e.ProcessExecutionSupportedContext=e.ShellExecutionSupportedContext=e.CustomExecutionSupportedContext=void 0,e.CustomExecutionSupportedContext=new D.RawContextKey("customExecutionSupported",!0,f.localize(0,null)),e.ShellExecutionSupportedContext=new D.RawContextKey("shellExecutionSupported",!1,f.localize(1,null)),e.ProcessExecutionSupportedContext=new D.RawContextKey("processExecutionSupported",!1,f.localize(2,null)),e.ITaskService=R.createDecorator("taskService"),e.USER_TASKS_GROUP_KEY="settings"}),define(we[166],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeEnvironmentVariableCollection=e.serializeEnvironmentVariableCollection=void 0;function f(D){return[...D.entries()]}e.serializeEnvironmentVariableCollection=f;function R(D){return new Map(D)}e.deserializeEnvironmentVariableCollection=R}),define(we[96],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractIncrementalTestCollection=e.IncrementalChangeCollector=e.TestDiffOpType=e.DetailType=e.applyTestItemUpdate=e.TestItemExpandState=e.identifyTest=void 0;const f=C=>({testId:C.item.extId,controllerId:C.controllerId});e.identifyTest=f;var R;(function(C){C[C.NotExpandable=0]="NotExpandable",C[C.Expandable=1]="Expandable",C[C.BusyExpanding=2]="BusyExpanding",C[C.Expanded=3]="Expanded"})(R=e.TestItemExpandState||(e.TestItemExpandState={}));const D=(C,n)=>{n.expand!==void 0&&(C.expand=n.expand),n.item!==void 0&&(C.item=C.item?Object.assign(C.item,n.item):n.item)};e.applyTestItemUpdate=D;var _;(function(C){C[C.Function=0]="Function",C[C.Statement=1]="Statement"})(_=e.DetailType||(e.DetailType={}));var k;(function(C){C[C.Add=0]="Add",C[C.Update=1]="Update",C[C.Remove=2]="Remove",C[C.IncrementPendingExtHosts=3]="IncrementPendingExtHosts",C[C.Retire=4]="Retire"})(k=e.TestDiffOpType||(e.TestDiffOpType={}));class y{add(n){}update(n){}remove(n,I){}complete(){}}e.IncrementalChangeCollector=y;class b{constructor(){this.items=new Map,this.roots=new Set,this.busyControllerCount=0,this.pendingRootCount=0}apply(n){const I=this.createChangeCollector();for(const l of n)switch(l[0]){case 0:{const m=l[1];if(m.parent){if(this.items.has(m.parent)){const u=this.items.get(m.parent);u.children.add(m.item.extId);const o=this.createItem(m,u);this.items.set(m.item.extId,o),I.add(o)}}else{const u=this.createItem(m);this.roots.add(u),this.items.set(m.item.extId,u),I.add(u)}m.expand===2&&this.busyControllerCount++;break}case 1:{const m=l[1],u=this.items.get(m.extId);if(!u)break;m.expand!==void 0&&(u.expand===2&&this.busyControllerCount--,m.expand===2&&this.busyControllerCount++),e.applyTestItemUpdate(u,m),I.update(u);break}case 2:{const m=this.items.get(l[1]);if(!m)break;m.parent?this.items.get(m.parent).children.delete(m.item.extId):this.roots.delete(m);const u=[[l[1]]];for(;u.length;)for(const o of u.pop()){const E=this.items.get(o);E&&(u.push(E.children),this.items.delete(o),I.remove(E,E!==m),E.expand===2&&this.busyControllerCount--)}break}case 4:this.retireTest(l[1]);break;case 3:this.updatePendingRoots(l[1]);break}I.complete()}retireTest(n){}updatePendingRoots(n){this.pendingRootCount+=n}createChangeCollector(){return new y}}e.AbstractIncrementalTestCollection=b}),define(we[167],_e([0,1,14,41,10,25,21,81,140]),function(ne,e,f,R,D,_,k,y,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractVariableResolverService=void 0;class C{constructor(I,l,m){this._contributedVariables=new Map,this._context=I,this._labelService=l,m&&(this._envVariablesPromise=m.then(u=>this.prepareEnv(u)))}prepareEnv(I){if(k.isWindows){const l=Object.create(null);return Object.keys(I).forEach(m=>{l[m.toLowerCase()]=I[m]}),l}return I}resolveWithEnvironment(I,l,m){return this.recursiveResolve(this.prepareEnv(I),l?l.uri:void 0,m)}async resolveAsync(I,l){return this.recursiveResolve(await this._envVariablesPromise,I?I.uri:void 0,l)}async resolveAnyBase(I,l,m,u){const o=_.deepClone(l);return k.isWindows&&o.windows?Object.keys(o.windows).forEach(E=>o[E]=o.windows[E]):k.isMacintosh&&o.osx?Object.keys(o.osx).forEach(E=>o[E]=o.osx[E]):k.isLinux&&o.linux&&Object.keys(o.linux).forEach(E=>o[E]=o.linux[E]),delete o.windows,delete o.osx,delete o.linux,this.recursiveResolve(await this._envVariablesPromise,I?I.uri:void 0,o,m,u)}async resolveAnyAsync(I,l,m){return this.resolveAnyBase(I,l,m)}async resolveAnyMap(I,l,m){const u=new Map;return{newConfig:await this.resolveAnyBase(I,l,m,u),resolvedVariables:u}}resolveWithInteractionReplace(I,l,m,u){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(I,l,m,u){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(I,l){if(this._contributedVariables.has(I))throw new Error("Variable "+I+" is contributed twice.");this._contributedVariables.set(I,l)}recursiveResolve(I,l,m,u,o){if(D.isString(m))return this.resolveString(I,l,m,u,o);if(D.isArray(m))return m.map(E=>this.recursiveResolve(I,l,E,u,o));if(D.isObject(m)){let E=Object.create(null);return Object.keys(m).forEach(v=>{const S=this.resolveString(I,l,v,u,o);E[S]=this.recursiveResolve(I,l,m[v],u,o)}),E}return m}resolveString(I,l,m,u,o){return m.replace(C.VARIABLE_REGEXP,(v,S)=>{if(S.includes(C.VARIABLE_LHS))return v;let d=this.evaluateSingleVariable(I,v,S,l,u);return o&&o.set(S,d),d!==v&&D.isString(d)&&d.match(C.VARIABLE_REGEXP)&&(d=this.resolveString(I,l,d,u,o)),d})}fsPath(I){return this._labelService?this._labelService.getUriLabel(I,{noPrefix:!0}):I.fsPath}evaluateSingleVariable(I,l,m,u,o){let E;const v=m.split(":");v.length>1&&(m=v[0],E=v[1]);const S=()=>{const g=this._context.getFilePath();if(g)return g;throw new Error(b.localize(0,null,l))},d=()=>{const g=S();if(this._context.getWorkspaceFolderPathForFile){const t=this._context.getWorkspaceFolderPathForFile();if(t)return t}throw new Error(b.localize(1,null,l,f.basename(g)))},h=()=>{if(E){const g=this._context.getFolderUri(E);if(g)return g;throw new Error(b.localize(2,null,l,E))}if(u)return u;throw this._context.getWorkspaceFolderCount()>1?new Error(b.localize(3,null,l)):new Error(b.localize(4,null,l))};switch(m){case"env":if(E){if(I){const g=I[k.isWindows?E.toLowerCase():E];if(D.isString(g))return g}return""}throw new Error(b.localize(5,null,l));case"config":if(E){const g=this._context.getConfigurationValue(u,E);if(D.isUndefinedOrNull(g))throw new Error(b.localize(6,null,l,E));if(D.isObject(g))throw new Error(b.localize(7,null,l,E));return g}throw new Error(b.localize(8,null,l));case"command":return this.resolveFromMap(l,E,o,"command");case"input":return this.resolveFromMap(l,E,o,"input");default:switch(m){case"workspaceRoot":case"workspaceFolder":return y.normalizeDriveLetter(this.fsPath(h()));case"cwd":return u||E?y.normalizeDriveLetter(this.fsPath(h())):R.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return f.basename(this.fsPath(h()));case"lineNumber":const g=this._context.getLineNumber();if(g)return g;throw new Error(b.localize(9,null,l));case"selectedText":const t=this._context.getSelectedText();if(t)return t;throw new Error(b.localize(10,null,l));case"file":return S();case"fileWorkspaceFolder":return d();case"relativeFile":return u||E?f.relative(this.fsPath(h()),S()):S();case"relativeFileDirname":const r=f.dirname(S());if(u||E){const w=f.relative(this.fsPath(h()),r);return w.length===0?".":w}return r;case"fileDirname":return f.dirname(S());case"fileExtname":return f.extname(S());case"fileBasename":return f.basename(S());case"fileBasenameNoExtension":const i=f.basename(S());return i.slice(0,i.length-f.extname(i).length);case"fileDirnameBasename":return f.basename(f.dirname(S()));case"execPath":const s=this._context.getExecPath();return s||l;case"execInstallFolder":const c=this._context.getAppRoot();return c||l;case"pathSeparator":return f.sep;default:try{const w=E?`${m}:${E}`:m;return this.resolveFromMap(l,w,o,void 0)}catch(w){return l}}}}resolveFromMap(I,l,m,u){if(l&&m){const o=u===void 0?m[l]:m[u+":"+l];if(typeof o=="string")return o;throw new Error(b.localize(11,null,I))}return I}}e.AbstractVariableResolverService=C,C.VARIABLE_LHS="${",C.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(we[97],_e([0,1,4]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SIDE_GROUP=e.ACTIVE_GROUP=e.IEditorService=void 0,e.IEditorService=f.createDecorator("editorService"),e.ACTIVE_GROUP=-1,e.SIDE_GROUP=-2}),define(we[9],_e([0,1,17,80,226,53,25,10,2,30,57,141,89,67,97,7]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m,u,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeActionTriggerKind=e.TestCoverage=e.TestResults=e.TestItem=e.TestMessage=e.NotebookRendererScript=e.NotebookDocumentContentOptions=e.NotebookStatusBarItem=e.NotebookDecorationRenderOptions=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookData=e.NotebookCellKind=e.NotebookCellExecutionSummary=e.NotebookRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlayHintKind=e.InlayHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.pathOrURIToURI=e.fromRangeOrRangeWithMessage=e.MarkdownString=e.isDecorationOptionsArr=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.Position=e.TokenType=e.Range=e.Selection=void 0;var E;(function(ve){function Ee(q){const{selectionStartLineNumber:Oe,selectionStartColumn:ye,positionLineNumber:Je,positionColumn:qe}=q,rt=new o.Position(Oe-1,ye-1),ft=new o.Position(Je-1,qe-1);return new o.Selection(rt,ft)}ve.to=Ee;function oe(q){const{anchor:Oe,active:ye}=q;return{selectionStartLineNumber:Oe.line+1,selectionStartColumn:Oe.character+1,positionLineNumber:ye.line+1,positionColumn:ye.character+1}}ve.from=oe})(E=e.Selection||(e.Selection={}));var v;(function(ve){function Ee(q){if(!q)return;const{start:Oe,end:ye}=q;return{startLineNumber:Oe.line+1,startColumn:Oe.character+1,endLineNumber:ye.line+1,endColumn:ye.character+1}}ve.from=Ee;function oe(q){if(!q)return;const{startLineNumber:Oe,startColumn:ye,endLineNumber:Je,endColumn:qe}=q;return new o.Range(Oe-1,ye-1,Je-1,qe-1)}ve.to=oe})(v=e.Range||(e.Range={}));var S;(function(ve){function Ee(oe){switch(oe){case 1:return o.StandardTokenType.Comment;case 0:return o.StandardTokenType.Other;case 4:return o.StandardTokenType.RegEx;case 2:return o.StandardTokenType.String}}ve.to=Ee})(S=e.TokenType||(e.TokenType={}));var d;(function(ve){function Ee(q){return new o.Position(q.lineNumber-1,q.column-1)}ve.to=Ee;function oe(q){return{lineNumber:q.line+1,column:q.character+1}}ve.from=oe})(d=e.Position||(e.Position={}));var h;(function(ve){function Ee(q){switch(q){case o.DiagnosticTag.Unnecessary:return 1;case o.DiagnosticTag.Deprecated:return 2}}ve.from=Ee;function oe(q){switch(q){case 1:return o.DiagnosticTag.Unnecessary;case 2:return o.DiagnosticTag.Deprecated;default:return}}ve.to=oe})(h=e.DiagnosticTag||(e.DiagnosticTag={}));var g;(function(ve){function Ee(q){let Oe;return q.code&&(y.isString(q.code)||y.isNumber(q.code)?Oe=String(q.code):Oe={value:String(q.code.value),target:q.code.target}),{...v.from(q.range),message:q.message,source:q.source,code:Oe,severity:r.from(q.severity),relatedInformation:q.relatedInformation&&q.relatedInformation.map(t.from),tags:Array.isArray(q.tags)?f.coalesce(q.tags.map(h.from)):void 0}}ve.from=Ee;function oe(q){const Oe=new o.Diagnostic(v.to(q),q.message,r.to(q.severity));return Oe.source=q.source,Oe.code=y.isString(q.code)?q.code:q.code?.value,Oe.relatedInformation=q.relatedInformation&&q.relatedInformation.map(t.to),Oe.tags=q.tags&&f.coalesce(q.tags.map(h.to)),Oe}ve.to=oe})(g=e.Diagnostic||(e.Diagnostic={}));var t;(function(ve){function Ee(q){return{...v.from(q.location.range),message:q.message,resource:q.location.uri}}ve.from=Ee;function oe(q){return new o.DiagnosticRelatedInformation(new o.Location(q.resource,v.to(q)),q.message)}ve.to=oe})(t=e.DiagnosticRelatedInformation||(e.DiagnosticRelatedInformation={}));var r;(function(ve){function Ee(q){switch(q){case o.DiagnosticSeverity.Error:return l.MarkerSeverity.Error;case o.DiagnosticSeverity.Warning:return l.MarkerSeverity.Warning;case o.DiagnosticSeverity.Information:return l.MarkerSeverity.Info;case o.DiagnosticSeverity.Hint:return l.MarkerSeverity.Hint}return l.MarkerSeverity.Error}ve.from=Ee;function oe(q){switch(q){case l.MarkerSeverity.Info:return o.DiagnosticSeverity.Information;case l.MarkerSeverity.Warning:return o.DiagnosticSeverity.Warning;case l.MarkerSeverity.Error:return o.DiagnosticSeverity.Error;case l.MarkerSeverity.Hint:return o.DiagnosticSeverity.Hint;default:return o.DiagnosticSeverity.Error}}ve.to=oe})(r=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));var i;(function(ve){function Ee(q){return typeof q=="number"&&q>=o.ViewColumn.One?q-1:q===o.ViewColumn.Beside?u.SIDE_GROUP:u.ACTIVE_GROUP}ve.from=Ee;function oe(q){if(typeof q=="number"&&q>=0)return q+1;throw new Error("invalid 'EditorGroupColumn'")}ve.to=oe})(i=e.ViewColumn||(e.ViewColumn={}));function s(ve){return typeof ve.range!="undefined"}function c(ve){return ve.length===0?!0:!!s(ve[0])}e.isDecorationOptionsArr=c;var w;(function(ve){function Ee(qe){return qe.map(ve.from)}ve.fromMany=Ee;function oe(qe){return qe&&typeof qe=="object"&&typeof qe.language=="string"&&typeof qe.value=="string"}function q(qe){let rt;if(oe(qe)){const{language:Et,value:St}=qe;rt={value:"```"+Et+`
`+St+"\n```\n"}}else o.MarkdownString.isMarkdownString(qe)?rt={value:qe.value,isTrusted:qe.isTrusted,supportThemeIcons:qe.supportThemeIcons}:typeof qe=="string"?rt={value:qe}:rt={value:""};const ft=Object.create(null);rt.uris=ft;const bt=Et=>{try{let St=b.URI.parse(Et,!0);St=St.with({query:Oe(St.query,ft)}),ft[Et]=St}catch(St){}return""},wt=new D.Renderer;return wt.link=bt,wt.image=Et=>bt(R.parseHrefAndDimensions(Et).href),D(rt.value,{renderer:wt}),rt}ve.from=q;function Oe(qe,rt){if(!qe)return qe;let ft;try{ft=_.parse(qe)}catch(wt){}if(!ft)return qe;let bt=!1;return ft=k.cloneAndChange(ft,wt=>{if(b.URI.isUri(wt)){const Et=`__uri_${Math.random().toString(16).slice(2,8)}`;return rt[Et]=wt,bt=!0,Et}else return}),bt?JSON.stringify(ft):qe}function ye(qe){const rt=new o.MarkdownString(qe.value,qe.supportThemeIcons);return rt.isTrusted=qe.isTrusted,rt}ve.to=ye;function Je(qe){if(!!qe)return typeof qe=="string"?qe:ve.from(qe)}ve.fromStrict=Je})(w=e.MarkdownString||(e.MarkdownString={}));function p(ve){return c(ve)?ve.map(Ee=>({range:v.from(Ee.range),hoverMessage:Array.isArray(Ee.hoverMessage)?w.fromMany(Ee.hoverMessage):Ee.hoverMessage?w.from(Ee.hoverMessage):void 0,renderOptions:Ee.renderOptions})):ve.map(Ee=>({range:v.from(Ee)}))}e.fromRangeOrRangeWithMessage=p;function P(ve){return typeof ve=="undefined"?ve:typeof ve=="string"?b.URI.file(ve):ve}e.pathOrURIToURI=P;var A;(function(ve){function Ee(oe){return typeof oe=="undefined"?oe:{contentText:oe.contentText,contentIconPath:oe.contentIconPath?P(oe.contentIconPath):void 0,border:oe.border,borderColor:oe.borderColor,fontStyle:oe.fontStyle,fontWeight:oe.fontWeight,textDecoration:oe.textDecoration,color:oe.color,backgroundColor:oe.backgroundColor,margin:oe.margin,width:oe.width,height:oe.height}}ve.from=Ee})(A=e.ThemableDecorationAttachmentRenderOptions||(e.ThemableDecorationAttachmentRenderOptions={}));var a;(function(ve){function Ee(oe){return typeof oe=="undefined"?oe:{backgroundColor:oe.backgroundColor,outline:oe.outline,outlineColor:oe.outlineColor,outlineStyle:oe.outlineStyle,outlineWidth:oe.outlineWidth,border:oe.border,borderColor:oe.borderColor,borderRadius:oe.borderRadius,borderSpacing:oe.borderSpacing,borderStyle:oe.borderStyle,borderWidth:oe.borderWidth,fontStyle:oe.fontStyle,fontWeight:oe.fontWeight,textDecoration:oe.textDecoration,cursor:oe.cursor,color:oe.color,opacity:oe.opacity,letterSpacing:oe.letterSpacing,gutterIconPath:oe.gutterIconPath?P(oe.gutterIconPath):void 0,gutterIconSize:oe.gutterIconSize,overviewRulerColor:oe.overviewRulerColor,before:oe.before?A.from(oe.before):void 0,after:oe.after?A.from(oe.after):void 0}}ve.from=Ee})(a=e.ThemableDecorationRenderOptions||(e.ThemableDecorationRenderOptions={}));var T;(function(ve){function Ee(oe){if(typeof oe=="undefined")return oe;switch(oe){case o.DecorationRangeBehavior.OpenOpen:return 0;case o.DecorationRangeBehavior.ClosedClosed:return 1;case o.DecorationRangeBehavior.OpenClosed:return 2;case o.DecorationRangeBehavior.ClosedOpen:return 3}}ve.from=Ee})(T=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={}));var F;(function(ve){function Ee(oe){return{isWholeLine:oe.isWholeLine,rangeBehavior:oe.rangeBehavior?T.from(oe.rangeBehavior):void 0,overviewRulerLane:oe.overviewRulerLane,light:oe.light?a.from(oe.light):void 0,dark:oe.dark?a.from(oe.dark):void 0,backgroundColor:oe.backgroundColor,outline:oe.outline,outlineColor:oe.outlineColor,outlineStyle:oe.outlineStyle,outlineWidth:oe.outlineWidth,border:oe.border,borderColor:oe.borderColor,borderRadius:oe.borderRadius,borderSpacing:oe.borderSpacing,borderStyle:oe.borderStyle,borderWidth:oe.borderWidth,fontStyle:oe.fontStyle,fontWeight:oe.fontWeight,textDecoration:oe.textDecoration,cursor:oe.cursor,color:oe.color,opacity:oe.opacity,letterSpacing:oe.letterSpacing,gutterIconPath:oe.gutterIconPath?P(oe.gutterIconPath):void 0,gutterIconSize:oe.gutterIconSize,overviewRulerColor:oe.overviewRulerColor,before:oe.before?A.from(oe.before):void 0,after:oe.after?A.from(oe.after):void 0}}ve.from=Ee})(F=e.DecorationRenderOptions||(e.DecorationRenderOptions={}));var H;(function(ve){function Ee(q){return{text:q.newText,eol:q.newEol&&z.from(q.newEol),range:v.from(q.range)}}ve.from=Ee;function oe(q){const Oe=new o.TextEdit(v.to(q.range),q.text);return Oe.newEol=typeof q.eol=="undefined"?void 0:z.to(q.eol),Oe}ve.to=oe})(H=e.TextEdit||(e.TextEdit={}));var $;(function(ve){function Ee(q,Oe,ye){const Je={edits:[]};if(q instanceof o.WorkspaceEdit)for(let qe of q._allEntries())if(qe._type===1)Je.edits.push({_type:1,oldUri:qe.from,newUri:qe.to,options:qe.options,metadata:qe.metadata});else if(qe._type===2){const rt=Oe?.getDocument(qe.uri);Je.edits.push({_type:2,resource:qe.uri,edit:H.from(qe.edit),modelVersionId:rt?.version,metadata:qe.metadata})}else qe._type===3?Je.edits.push({_type:3,metadata:qe.metadata,resource:qe.uri,edit:qe.edit,notebookMetadata:qe.notebookMetadata,notebookVersionId:ye?.getNotebookDocument(qe.uri,!0)?.apiNotebook.version}):qe._type===5&&Je.edits.push({_type:3,metadata:qe.metadata,resource:qe.uri,notebookVersionId:ye?.getNotebookDocument(qe.uri,!0)?.apiNotebook.version,edit:{editType:1,index:qe.index,count:qe.count,cells:qe.cells.map(he.from)}});return Je}ve.from=Ee;function oe(q){const Oe=new o.WorkspaceEdit;for(const ye of q.edits)ye.edit?Oe.replace(b.URI.revive(ye.resource),v.to(ye.edit.range),ye.edit.text):Oe.renameFile(b.URI.revive(ye.oldUri),b.URI.revive(ye.newUri),ye.options);return Oe}ve.to=oe})($=e.WorkspaceEdit||(e.WorkspaceEdit={}));var Z;(function(ve){const Ee=Object.create(null);Ee[o.SymbolKind.File]=0,Ee[o.SymbolKind.Module]=1,Ee[o.SymbolKind.Namespace]=2,Ee[o.SymbolKind.Package]=3,Ee[o.SymbolKind.Class]=4,Ee[o.SymbolKind.Method]=5,Ee[o.SymbolKind.Property]=6,Ee[o.SymbolKind.Field]=7,Ee[o.SymbolKind.Constructor]=8,Ee[o.SymbolKind.Enum]=9,Ee[o.SymbolKind.Interface]=10,Ee[o.SymbolKind.Function]=11,Ee[o.SymbolKind.Variable]=12,Ee[o.SymbolKind.Constant]=13,Ee[o.SymbolKind.String]=14,Ee[o.SymbolKind.Number]=15,Ee[o.SymbolKind.Boolean]=16,Ee[o.SymbolKind.Array]=17,Ee[o.SymbolKind.Object]=18,Ee[o.SymbolKind.Key]=19,Ee[o.SymbolKind.Null]=20,Ee[o.SymbolKind.EnumMember]=21,Ee[o.SymbolKind.Struct]=22,Ee[o.SymbolKind.Event]=23,Ee[o.SymbolKind.Operator]=24,Ee[o.SymbolKind.TypeParameter]=25;function oe(Oe){return typeof Ee[Oe]=="number"?Ee[Oe]:6}ve.from=oe;function q(Oe){for(const ye in Ee)if(Ee[ye]===Oe)return Number(ye);return o.SymbolKind.Property}ve.to=q})(Z=e.SymbolKind||(e.SymbolKind={}));var V;(function(ve){function Ee(q){switch(q){case o.SymbolTag.Deprecated:return 1}}ve.from=Ee;function oe(q){switch(q){case 1:return o.SymbolTag.Deprecated}}ve.to=oe})(V=e.SymbolTag||(e.SymbolTag={}));var B;(function(ve){function Ee(q){return{name:q.name,kind:Z.from(q.kind),tags:q.tags&&q.tags.map(V.from),containerName:q.containerName,location:W.from(q.location)}}ve.from=Ee;function oe(q){const Oe=new o.SymbolInformation(q.name,Z.to(q.kind),q.containerName,W.to(q.location));return Oe.tags=q.tags&&q.tags.map(V.to),Oe}ve.to=oe})(B=e.WorkspaceSymbol||(e.WorkspaceSymbol={}));var Y;(function(ve){function Ee(q){const Oe={name:q.name||"!!MISSING: name!!",detail:q.detail,range:v.from(q.range),selectionRange:v.from(q.selectionRange),kind:Z.from(q.kind),tags:q.tags?.map(V.from)??[]};return q.children&&(Oe.children=q.children.map(Ee)),Oe}ve.from=Ee;function oe(q){const Oe=new o.DocumentSymbol(q.name,q.detail,Z.to(q.kind),v.to(q.range),v.to(q.selectionRange));return f.isNonEmptyArray(q.tags)&&(Oe.tags=q.tags.map(V.to)),q.children&&(Oe.children=q.children.map(oe)),Oe}ve.to=oe})(Y=e.DocumentSymbol||(e.DocumentSymbol={}));var L;(function(ve){function Ee(oe){const q=new o.CallHierarchyItem(Z.to(oe.kind),oe.name,oe.detail||"",b.URI.revive(oe.uri),v.to(oe.range),v.to(oe.selectionRange));return q._sessionId=oe._sessionId,q._itemId=oe._itemId,q}ve.to=Ee})(L=e.CallHierarchyItem||(e.CallHierarchyItem={}));var J;(function(ve){function Ee(oe){return new o.CallHierarchyIncomingCall(L.to(oe.from),oe.fromRanges.map(q=>v.to(q)))}ve.to=Ee})(J=e.CallHierarchyIncomingCall||(e.CallHierarchyIncomingCall={}));var N;(function(ve){function Ee(oe){return new o.CallHierarchyOutgoingCall(L.to(oe.to),oe.fromRanges.map(q=>v.to(q)))}ve.to=Ee})(N=e.CallHierarchyOutgoingCall||(e.CallHierarchyOutgoingCall={}));var W;(function(ve){function Ee(q){return{range:q.range&&v.from(q.range),uri:q.uri}}ve.from=Ee;function oe(q){return new o.Location(b.URI.revive(q.uri),v.to(q.range))}ve.to=oe})(W=e.location||(e.location={}));var Q;(function(ve){function Ee(q){const Oe=q,ye=q;return{originSelectionRange:Oe.originSelectionRange?v.from(Oe.originSelectionRange):void 0,uri:Oe.targetUri?Oe.targetUri:ye.uri,range:v.from(Oe.targetRange?Oe.targetRange:ye.range),targetSelectionRange:Oe.targetSelectionRange?v.from(Oe.targetSelectionRange):void 0}}ve.from=Ee;function oe(q){return{targetUri:b.URI.revive(q.uri),targetRange:v.to(q.range),targetSelectionRange:q.targetSelectionRange?v.to(q.targetSelectionRange):void 0,originSelectionRange:q.originSelectionRange?v.to(q.originSelectionRange):void 0}}ve.to=oe})(Q=e.DefinitionLink||(e.DefinitionLink={}));var G;(function(ve){function Ee(q){return{range:v.from(q.range),contents:w.fromMany(q.contents)}}ve.from=Ee;function oe(q){return new o.Hover(q.contents.map(w.to),v.to(q.range))}ve.to=oe})(G=e.Hover||(e.Hover={}));var ue;(function(ve){function Ee(q){return{range:v.from(q.range),expression:q.expression}}ve.from=Ee;function oe(q){return new o.EvaluatableExpression(v.to(q.range),q.expression)}ve.to=oe})(ue=e.EvaluatableExpression||(e.EvaluatableExpression={}));var ke;(function(ve){function Ee(q){if(q instanceof o.InlineValueText)return{type:"text",range:v.from(q.range),text:q.text};if(q instanceof o.InlineValueVariableLookup)return{type:"variable",range:v.from(q.range),variableName:q.variableName,caseSensitiveLookup:q.caseSensitiveLookup};if(q instanceof o.InlineValueEvaluatableExpression)return{type:"expression",range:v.from(q.range),expression:q.expression};throw new Error("Unknown 'InlineValue' type")}ve.from=Ee;function oe(q){switch(q.type){case"text":return{range:v.to(q.range),text:q.text};case"variable":return{range:v.to(q.range),variableName:q.variableName,caseSensitiveLookup:q.caseSensitiveLookup};case"expression":return{range:v.to(q.range),expression:q.expression}}}ve.to=oe})(ke=e.InlineValue||(e.InlineValue={}));var Re;(function(ve){function Ee(q){return{frameId:q.frameId,stoppedLocation:v.from(q.stoppedLocation)}}ve.from=Ee;function oe(q){return new o.InlineValueContext(q.frameId,v.to(q.stoppedLocation))}ve.to=oe})(Re=e.InlineValueContext||(e.InlineValueContext={}));var ze;(function(ve){function Ee(q){return{range:v.from(q.range),kind:q.kind}}ve.from=Ee;function oe(q){return new o.DocumentHighlight(v.to(q.range),q.kind)}ve.to=oe})(ze=e.DocumentHighlight||(e.DocumentHighlight={}));var xe;(function(ve){function Ee(oe){switch(oe){case 1:return o.CompletionTriggerKind.TriggerCharacter;case 2:return o.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return o.CompletionTriggerKind.Invoke}}ve.to=Ee})(xe=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var Ve;(function(ve){function Ee(oe){return{triggerKind:xe.to(oe.triggerKind),triggerCharacter:oe.triggerCharacter}}ve.to=Ee})(Ve=e.CompletionContext||(e.CompletionContext={}));var tt;(function(ve){function Ee(q){switch(q){case o.CompletionItemTag.Deprecated:return 1}}ve.from=Ee;function oe(q){switch(q){case 1:return o.CompletionItemTag.Deprecated}}ve.to=oe})(tt=e.CompletionItemTag||(e.CompletionItemTag={}));var Ye;(function(ve){const Ee=new Map([[o.CompletionItemKind.Method,0],[o.CompletionItemKind.Function,1],[o.CompletionItemKind.Constructor,2],[o.CompletionItemKind.Field,3],[o.CompletionItemKind.Variable,4],[o.CompletionItemKind.Class,5],[o.CompletionItemKind.Interface,7],[o.CompletionItemKind.Struct,6],[o.CompletionItemKind.Module,8],[o.CompletionItemKind.Property,9],[o.CompletionItemKind.Unit,12],[o.CompletionItemKind.Value,13],[o.CompletionItemKind.Constant,14],[o.CompletionItemKind.Enum,15],[o.CompletionItemKind.EnumMember,16],[o.CompletionItemKind.Keyword,17],[o.CompletionItemKind.Snippet,27],[o.CompletionItemKind.Text,18],[o.CompletionItemKind.Color,19],[o.CompletionItemKind.File,20],[o.CompletionItemKind.Reference,21],[o.CompletionItemKind.Folder,23],[o.CompletionItemKind.Event,10],[o.CompletionItemKind.Operator,11],[o.CompletionItemKind.TypeParameter,24],[o.CompletionItemKind.Issue,26],[o.CompletionItemKind.User,25]]);function oe(ye){return Ee.get(ye)??9}ve.from=oe;const q=new Map([[0,o.CompletionItemKind.Method],[1,o.CompletionItemKind.Function],[2,o.CompletionItemKind.Constructor],[3,o.CompletionItemKind.Field],[4,o.CompletionItemKind.Variable],[5,o.CompletionItemKind.Class],[7,o.CompletionItemKind.Interface],[6,o.CompletionItemKind.Struct],[8,o.CompletionItemKind.Module],[9,o.CompletionItemKind.Property],[12,o.CompletionItemKind.Unit],[13,o.CompletionItemKind.Value],[14,o.CompletionItemKind.Constant],[15,o.CompletionItemKind.Enum],[16,o.CompletionItemKind.EnumMember],[17,o.CompletionItemKind.Keyword],[27,o.CompletionItemKind.Snippet],[18,o.CompletionItemKind.Text],[19,o.CompletionItemKind.Color],[20,o.CompletionItemKind.File],[21,o.CompletionItemKind.Reference],[23,o.CompletionItemKind.Folder],[10,o.CompletionItemKind.Event],[11,o.CompletionItemKind.Operator],[24,o.CompletionItemKind.TypeParameter],[25,o.CompletionItemKind.User],[26,o.CompletionItemKind.Issue]]);function Oe(ye){return q.get(ye)??o.CompletionItemKind.Property}ve.to=Oe})(Ye=e.CompletionItemKind||(e.CompletionItemKind={}));var et;(function(ve){function Ee(oe,q){const Oe=new o.CompletionItem(oe.label);return Oe.insertText=oe.insertText,Oe.kind=Ye.to(oe.kind),Oe.tags=oe.tags?.map(tt.to),Oe.detail=oe.detail,Oe.documentation=R.isMarkdownString(oe.documentation)?w.to(oe.documentation):oe.documentation,Oe.sortText=oe.sortText,Oe.filterText=oe.filterText,Oe.preselect=oe.preselect,Oe.commitCharacters=oe.commitCharacters,C.Range.isIRange(oe.range)?Oe.range=v.to(oe.range):typeof oe.range=="object"&&(Oe.range={inserting:v.to(oe.range.insert),replacing:v.to(oe.range.replace)}),Oe.keepWhitespace=typeof oe.insertTextRules=="undefined"?!1:Boolean(oe.insertTextRules&1),typeof oe.insertTextRules!="undefined"&&oe.insertTextRules&4?Oe.insertText=new o.SnippetString(oe.insertText):(Oe.insertText=oe.insertText,Oe.textEdit=Oe.range instanceof o.Range?new o.TextEdit(Oe.range,Oe.insertText):void 0),oe.additionalTextEdits&&oe.additionalTextEdits.length>0&&(Oe.additionalTextEdits=oe.additionalTextEdits.map(ye=>H.to(ye))),Oe.command=q&&oe.command?q.fromInternal(oe.command):void 0,Oe}ve.to=Ee})(et=e.CompletionItem||(e.CompletionItem={}));var x;(function(ve){function Ee(q){return{label:q.label,documentation:q.documentation?w.fromStrict(q.documentation):void 0}}ve.from=Ee;function oe(q){return{label:q.label,documentation:R.isMarkdownString(q.documentation)?w.to(q.documentation):q.documentation}}ve.to=oe})(x=e.ParameterInformation||(e.ParameterInformation={}));var K;(function(ve){function Ee(q){return{label:q.label,documentation:q.documentation?w.fromStrict(q.documentation):void 0,parameters:Array.isArray(q.parameters)?q.parameters.map(x.from):[],activeParameter:q.activeParameter}}ve.from=Ee;function oe(q){return{label:q.label,documentation:R.isMarkdownString(q.documentation)?w.to(q.documentation):q.documentation,parameters:Array.isArray(q.parameters)?q.parameters.map(x.to):[],activeParameter:q.activeParameter}}ve.to=oe})(K=e.SignatureInformation||(e.SignatureInformation={}));var ie;(function(ve){function Ee(q){return{activeSignature:q.activeSignature,activeParameter:q.activeParameter,signatures:Array.isArray(q.signatures)?q.signatures.map(K.from):[]}}ve.from=Ee;function oe(q){return{activeSignature:q.activeSignature,activeParameter:q.activeParameter,signatures:Array.isArray(q.signatures)?q.signatures.map(K.to):[]}}ve.to=oe})(ie=e.SignatureHelp||(e.SignatureHelp={}));var ae;(function(ve){function Ee(q){return{text:q.text,position:d.from(q.position),kind:j.from(q.kind??o.InlayHintKind.Other),whitespaceBefore:q.whitespaceBefore,whitespaceAfter:q.whitespaceAfter}}ve.from=Ee;function oe(q){const Oe=new o.InlayHint(q.text,d.to(q.position),j.to(q.kind));return Oe.whitespaceAfter=q.whitespaceAfter,Oe.whitespaceBefore=q.whitespaceBefore,Oe}ve.to=oe})(ae=e.InlayHint||(e.InlayHint={}));var j;(function(ve){function Ee(q){return q}ve.from=Ee;function oe(q){return q}ve.to=oe})(j=e.InlayHintKind||(e.InlayHintKind={}));var re;(function(ve){function Ee(q){return{range:v.from(q.range),url:q.target,tooltip:q.tooltip}}ve.from=Ee;function oe(q){let Oe;if(q.url)try{Oe=typeof q.url=="string"?b.URI.parse(q.url,!0):b.URI.revive(q.url)}catch(ye){}return new o.DocumentLink(v.to(q.range),Oe)}ve.to=oe})(re=e.DocumentLink||(e.DocumentLink={}));var me;(function(ve){function Ee(q){const Oe=new o.ColorPresentation(q.label);return q.textEdit&&(Oe.textEdit=H.to(q.textEdit)),q.additionalTextEdits&&(Oe.additionalTextEdits=q.additionalTextEdits.map(ye=>H.to(ye))),Oe}ve.to=Ee;function oe(q){return{label:q.label,textEdit:q.textEdit?H.from(q.textEdit):void 0,additionalTextEdits:q.additionalTextEdits?q.additionalTextEdits.map(Oe=>H.from(Oe)):void 0}}ve.from=oe})(me=e.ColorPresentation||(e.ColorPresentation={}));var Te;(function(ve){function Ee(q){return new o.Color(q[0],q[1],q[2],q[3])}ve.to=Ee;function oe(q){return[q.red,q.green,q.blue,q.alpha]}ve.from=oe})(Te=e.Color||(e.Color={}));var Be;(function(ve){function Ee(q){return{range:v.from(q.range)}}ve.from=Ee;function oe(q){return new o.SelectionRange(v.to(q.range))}ve.to=oe})(Be=e.SelectionRange||(e.SelectionRange={}));var pe;(function(ve){function Ee(oe){switch(oe){case 2:return o.TextDocumentSaveReason.AfterDelay;case 1:return o.TextDocumentSaveReason.Manual;case 3:case 4:return o.TextDocumentSaveReason.FocusOut}}ve.to=Ee})(pe=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var Qe;(function(ve){function Ee(q){switch(q){case o.TextEditorLineNumbersStyle.Off:return 0;case o.TextEditorLineNumbersStyle.Relative:return 2;case o.TextEditorLineNumbersStyle.On:default:return 1}}ve.from=Ee;function oe(q){switch(q){case 0:return o.TextEditorLineNumbersStyle.Off;case 2:return o.TextEditorLineNumbersStyle.Relative;case 1:default:return o.TextEditorLineNumbersStyle.On}}ve.to=oe})(Qe=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var z;(function(ve){function Ee(q){if(q===o.EndOfLine.CRLF)return 1;if(q===o.EndOfLine.LF)return 0}ve.from=Ee;function oe(q){if(q===1)return o.EndOfLine.CRLF;if(q===0)return o.EndOfLine.LF}ve.to=oe})(z=e.EndOfLine||(e.EndOfLine={}));var ee;(function(ve){function Ee(oe){if(typeof oe=="object")return oe.viewId;switch(oe){case o.ProgressLocation.SourceControl:return 3;case o.ProgressLocation.Window:return 10;case o.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}ve.from=Ee})(ee=e.ProgressLocation||(e.ProgressLocation={}));var de;(function(ve){function Ee(oe){const q={start:oe.start+1,end:oe.end+1};return oe.kind&&(q.kind=Ne.from(oe.kind)),q}ve.from=Ee})(de=e.FoldingRange||(e.FoldingRange={}));var Ne;(function(ve){function Ee(oe){if(oe)switch(oe){case o.FoldingRangeKind.Comment:return n.FoldingRangeKind.Comment;case o.FoldingRangeKind.Imports:return n.FoldingRangeKind.Imports;case o.FoldingRangeKind.Region:return n.FoldingRangeKind.Region}}ve.from=Ee})(Ne=e.FoldingRangeKind||(e.FoldingRangeKind={}));var Ue;(function(ve){function Ee(oe){if(oe)return{pinned:typeof oe.preview=="boolean"?!oe.preview:void 0,inactive:oe.background,preserveFocus:oe.preserveFocus,selection:typeof oe.selection=="object"?v.from(oe.selection):void 0,override:typeof oe.override=="boolean"?I.EditorOverride.DISABLED:void 0}}ve.from=Ee})(Ue=e.TextEditorOpenOptions||(e.TextEditorOpenOptions={}));var Xe;(function(ve){function Ee(q){return q instanceof o.RelativePattern||typeof q=="string"?q:oe(q)?new o.RelativePattern(q.base,q.pattern):q}ve.from=Ee;function oe(q){const Oe=q;return Oe&&typeof Oe.base=="string"&&typeof Oe.pattern=="string"}})(Xe=e.GlobPattern||(e.GlobPattern={}));var De;(function(ve){function Ee(oe){if(oe){if(Array.isArray(oe))return oe.map(Ee);if(typeof oe=="string")return oe;{const q=oe;return{language:q.language,scheme:q.scheme,pattern:typeof q.pattern=="undefined"?void 0:Xe.from(q.pattern),exclusive:q.exclusive}}}else return}ve.from=Ee})(De=e.LanguageSelector||(e.LanguageSelector={}));var Se;(function(ve){function Ee(q){return{start:q.start,end:q.end}}ve.from=Ee;function oe(q){return new o.NotebookRange(q.start,q.end)}ve.to=oe})(Se=e.NotebookRange||(e.NotebookRange={}));var Ie;(function(ve){function Ee(q){return{timing:typeof q.runStartTime=="number"&&typeof q.runEndTime=="number"?{startTime:q.runStartTime,endTime:q.runEndTime}:void 0,executionOrder:q.executionOrder,success:q.lastRunSuccess}}ve.to=Ee;function oe(q){return{lastRunSuccess:q.success,runStartTime:q.timing?.startTime,runEndTime:q.timing?.endTime,executionOrder:q.executionOrder}}ve.from=oe})(Ie=e.NotebookCellExecutionSummary||(e.NotebookCellExecutionSummary={}));var se;(function(ve){function Ee(q){switch(q){case o.NotebookCellKind.Markup:return m.CellKind.Markup;case o.NotebookCellKind.Code:default:return m.CellKind.Code}}ve.from=Ee;function oe(q){switch(q){case m.CellKind.Markup:return o.NotebookCellKind.Markup;case m.CellKind.Code:default:return o.NotebookCellKind.Code}}ve.to=oe})(se=e.NotebookCellKind||(e.NotebookCellKind={}));var le;(function(ve){function Ee(q){const Oe={metadata:q.metadata??Object.create(null),cells:[]};for(let ye of q.cells)o.NotebookCellData.validate(ye),Oe.cells.push(he.from(ye));return Oe}ve.from=Ee;function oe(q){const Oe=new o.NotebookData(q.cells.map(he.to));return y.isEmptyObject(q.metadata)||(Oe.metadata=q.metadata),Oe}ve.to=oe})(le=e.NotebookData||(e.NotebookData={}));var he;(function(ve){function Ee(q){return{cellKind:se.from(q.kind),language:q.languageId,mime:q.mime,source:q.value,metadata:q.metadata,internalMetadata:Ie.from(q.executionSummary??{}),outputs:q.outputs?q.outputs.map(U.from):[]}}ve.from=Ee;function oe(q){return new o.NotebookCellData(se.to(q.cellKind),q.source,q.language,q.mime,q.outputs?q.outputs.map(U.to):void 0,q.metadata,q.internalMetadata?Ie.to(q.internalMetadata):void 0)}ve.to=oe})(he=e.NotebookCellData||(e.NotebookCellData={}));var ge;(function(ve){function Ee(q){return{mime:q.mime,valueBytes:Array.from(q.data)}}ve.from=Ee;function oe(q){return new o.NotebookCellOutputItem(new Uint8Array(q.valueBytes),q.mime)}ve.to=oe})(ge=e.NotebookCellOutputItem||(e.NotebookCellOutputItem={}));var U;(function(ve){function Ee(q){return{outputId:q.id,items:q.items.map(ge.from),metadata:q.metadata}}ve.from=Ee;function oe(q){const Oe=q.items.map(ge.to);return new o.NotebookCellOutput(Oe,q.outputId,q.metadata)}ve.to=oe})(U=e.NotebookCellOutput||(e.NotebookCellOutput={}));var fe;(function(ve){function Ee(ye){if(ye!=null){if(ye instanceof o.RelativePattern||typeof ye=="string")return ye;if(Oe(ye))return new o.RelativePattern(ye.base,ye.pattern);if(q(ye))return{include:Xe.from(ye.include)||void 0,exclude:Xe.from(ye.exclude)||void 0}}}ve.from=Ee;function oe(ye){return typeof ye=="string"?ye:Oe(ye)?{base:ye.base,pattern:ye.pattern}:{include:ye.include,exclude:ye.exclude}}ve.to=oe;function q(ye){const Je=ye,qe=Xe.from(Je.include);if(!(qe&&qe instanceof o.RelativePattern||typeof qe=="string"))return!1;const rt=Xe.from(Je.exclude);return!!(rt&&rt instanceof o.RelativePattern||typeof rt=="string")}function Oe(ye){const Je=ye;return Je&&typeof Je.base=="string"&&typeof Je.pattern=="string"}})(fe=e.NotebookExclusiveDocumentPattern||(e.NotebookExclusiveDocumentPattern={}));var be;(function(ve){function Ee(oe){return{backgroundColor:oe.backgroundColor,borderColor:oe.borderColor,top:oe.top?A.from(oe.top):void 0}}ve.from=Ee})(be=e.NotebookDecorationRenderOptions||(e.NotebookDecorationRenderOptions={}));var Pe;(function(ve){function Ee(oe,q,Oe){const ye=typeof oe.command=="string"?{title:"",command:oe.command}:oe.command;return{alignment:oe.alignment===o.NotebookCellStatusBarAlignment.Left?1:2,command:q.toInternal(ye,Oe),text:oe.text,tooltip:oe.tooltip,accessibilityInformation:oe.accessibilityInformation,priority:oe.priority}}ve.from=Ee})(Pe=e.NotebookStatusBarItem||(e.NotebookStatusBarItem={}));var Fe;(function(ve){function Ee(oe){return{transientOutputs:oe?.transientOutputs??!1,transientCellMetadata:oe?.transientCellMetadata??{},transientDocumentMetadata:oe?.transientDocumentMetadata??{}}}ve.from=Ee})(Fe=e.NotebookDocumentContentOptions||(e.NotebookDocumentContentOptions={}));var $e;(function(ve){function Ee(q){return{uri:q.uri,provides:q.provides}}ve.from=Ee;function oe(q){return new o.NotebookRendererScript(b.URI.revive(q.uri),q.provides)}ve.to=oe})($e=e.NotebookRendererScript||(e.NotebookRendererScript={}));var Ze;(function(ve){function Ee(q){return{message:w.fromStrict(q.message)||"",severity:q.severity,expectedOutput:q.expectedOutput,actualOutput:q.actualOutput,location:q.location?W.from(q.location):void 0}}ve.from=Ee;function oe(q){const Oe=new o.TestMessage(typeof q.message=="string"?q.message:w.to(q.message));return Oe.severity=q.severity,Oe.actualOutput=q.actualOutput,Oe.expectedOutput=q.expectedOutput,Oe}ve.to=oe})(Ze=e.TestMessage||(e.TestMessage={}));var Ge;(function(ve){function Ee(Je){return{extId:Je.id,label:Je.label,uri:Je.uri,range:v.from(Je.range)||null,debuggable:Je.debuggable??!1,description:Je.description||null,runnable:Je.runnable??!0,error:Je.error&&w.fromStrict(Je.error)||null}}ve.from=Ee;function oe(Je){return{extId:Je.id,label:Je.label,uri:Je.uri,range:v.from(Je.range)||null,debuggable:!1,description:Je.description||null,error:null,runnable:!0}}ve.fromResultSnapshot=oe;function q(Je){return{id:Je.extId,label:Je.label,uri:b.URI.revive(Je.uri),range:v.to(Je.range||void 0),dispose:()=>{},invalidateResults:()=>{},canResolveChildren:!1,busy:!1,debuggable:Je.debuggable,description:Je.description||void 0,runnable:Je.runnable}}ve.toPlain=q;function Oe(Je,qe){const rt=new o.TestItemImpl(Je.extId,Je.label,b.URI.revive(Je.uri),void 0,qe);return rt.range=v.to(Je.range||void 0),rt.debuggable=Je.debuggable,rt.description=Je.description||void 0,rt.runnable=Je.runnable,rt}ve.to=Oe;function ye(Je){let qe;for(const rt of Je.tests)qe=Oe(rt.item,qe);return qe}ve.toItemFromContext=ye})(Ge=e.TestItem||(e.TestItem={}));var Ke;(function(ve){const Ee=(q,Oe)=>({...Ge.toPlain(q.item),taskStates:q.tasks.map(ye=>({state:ye.state,duration:ye.duration,messages:ye.messages.map(Ze.to)})),children:q.children.map(ye=>Oe.get(ye)).filter(y.isDefined).map(ye=>Ee(ye,Oe))});function oe(q){const Oe=[],ye=new Map;for(const Je of q.items)ye.set(Je.item.extId,Je),Je.direct&&Oe.push(Je);return{completedAt:q.completedAt,results:Oe.map(Je=>Ee(Je,ye))}}ve.to=oe})(Ke=e.TestResults||(e.TestResults={}));var lt;(function(ve){function Ee(ye){return{covered:ye.covered,total:ye.covered}}function oe(ye){return"line"in ye?d.from(ye):v.from(ye)}function q(ye){return"branches"in ye?{count:ye.executionCount,location:oe(ye.location),type:1,branches:ye.branches.length?ye.branches.map(Je=>({count:Je.executionCount,location:Je.location&&oe(Je.location)})):void 0}:{type:0,count:ye.executionCount,location:oe(ye.location)}}ve.fromDetailed=q;function Oe(ye){return{uri:ye.uri,statement:Ee(ye.statementCoverage),branch:ye.branchCoverage&&Ee(ye.branchCoverage),function:ye.functionCoverage&&Ee(ye.functionCoverage),details:ye.detailedCoverage?.map(q)}}ve.fromFile=Oe})(lt=e.TestCoverage||(e.TestCoverage={}));var ct;(function(ve){function Ee(oe){switch(oe){case 1:return o.CodeActionTriggerKind.Invoke;case 2:return o.CodeActionTriggerKind.Automatic}}ve.to=Ee})(ct=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}))}),define(we[168],_e([0,1,2,12,7,9,76]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentSaveParticipant=void 0;class y{constructor(C,n,I,l={timeout:1500,errors:3}){this._logService=C,this._documents=n,this._mainThreadBulkEdits=I,this._thresholds=l,this._callbacks=new k.LinkedList,this._badListeners=new WeakMap}dispose(){this._callbacks.clear()}getOnWillSaveTextDocumentEvent(C){return(n,I,l)=>{const u={dispose:this._callbacks.push([n,I,C])};return Array.isArray(l)&&l.push(u),u}}async $participateInSave(C,n){const I=f.URI.revive(C);let l=!1;const m=setTimeout(()=>l=!0,this._thresholds.timeout),u=[];try{for(let o of[...this._callbacks]){if(l)break;const E=this._documents.getDocument(I),v=await this._deliverEventAsyncAndBlameBadListeners(o,{document:E,reason:_.TextDocumentSaveReason.to(n)});u.push(v)}}finally{clearTimeout(m)}return u}_deliverEventAsyncAndBlameBadListeners([C,n,I],l){const m=this._badListeners.get(C);return typeof m=="number"&&m>this._thresholds.errors?Promise.resolve(!1):this._deliverEventAsync(I,C,n,l).then(()=>!0,u=>{if(this._logService.error(`onWillSaveTextDocument-listener from extension '${I.identifier.value}' threw ERROR`),this._logService.error(u),!(u instanceof Error)||u.message!=="concurrent_edits"){const o=this._badListeners.get(C);this._badListeners.set(C,o?o+1:1),typeof o=="number"&&o>this._thresholds.errors&&this._logService.info(`onWillSaveTextDocument-listener from extension '${I.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}_deliverEventAsync(C,n,I,l){const m=[],u=Date.now(),{document:o,reason:E}=l,{version:v}=o,S=Object.freeze({document:o,reason:E,waitUntil(d){if(Object.isFrozen(m))throw R.illegalState("waitUntil can not be called async");m.push(Promise.resolve(d))}});try{n.apply(I,[S])}catch(d){return Promise.reject(d)}return Object.freeze(m),new Promise((d,h)=>{const g=setTimeout(()=>h(new Error("timeout")),this._thresholds.timeout);return Promise.all(m).then(t=>{this._logService.debug(`onWillSaveTextDocument-listener from extension '${C.identifier.value}' finished after ${Date.now()-u}ms`),clearTimeout(g),d(t)}).catch(t=>{clearTimeout(g),h(t)})}).then(d=>{const h={edits:[]};for(const g of d)if(Array.isArray(g)&&g.every(t=>t instanceof D.TextEdit))for(const{newText:t,newEol:r,range:i}of g)h.edits.push({_type:2,resource:o.uri,edit:{range:i&&_.Range.from(i),text:t,eol:r&&_.EndOfLine.from(r)}});if(h.edits.length!==0)return v===o.version?this._mainThreadBulkEdits.$tryApplyWorkspaceEdit(h):Promise.reject(new Error("concurrent_edits"))})}}e.ExtHostDocumentSaveParticipant=y}),define(we[169],_e([0,1,3,27,2,9,7]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystemEventService=void 0;class y{constructor(n,I,l,m,u){this._onDidCreate=new f.Emitter,this._onDidChange=new f.Emitter,this._onDidDelete=new f.Emitter,this._config=0,l&&(this._config+=1),m&&(this._config+=2),u&&(this._config+=4);const o=R.parse(I),E=n(v=>{if(!l)for(let S of v.created){const d=D.URI.revive(S);o(d.fsPath)&&this._onDidCreate.fire(d)}if(!m)for(let S of v.changed){const d=D.URI.revive(S);o(d.fsPath)&&this._onDidChange.fire(d)}if(!u)for(let S of v.deleted){const d=D.URI.revive(S);o(d.fsPath)&&this._onDidDelete.fire(d)}});this._disposable=k.Disposable.from(this._onDidCreate,this._onDidChange,this._onDidDelete,E)}get ignoreCreateEvents(){return Boolean(this._config&1)}get ignoreChangeEvents(){return Boolean(this._config&2)}get ignoreDeleteEvents(){return Boolean(this._config&4)}dispose(){this._disposable.dispose()}get onDidCreate(){return this._onDidCreate.event}get onDidChange(){return this._onDidChange.event}get onDidDelete(){return this._onDidDelete.event}}class b{constructor(n,I,l){this._logService=I,this._extHostDocumentsAndEditors=l,this._onFileSystemEvent=new f.Emitter,this._onDidRenameFile=new f.Emitter,this._onDidCreateFile=new f.Emitter,this._onDidDeleteFile=new f.Emitter,this._onWillRenameFile=new f.AsyncEmitter,this._onWillCreateFile=new f.AsyncEmitter,this._onWillDeleteFile=new f.AsyncEmitter,this.onDidRenameFile=this._onDidRenameFile.event,this.onDidCreateFile=this._onDidCreateFile.event,this.onDidDeleteFile=this._onDidDeleteFile.event}createFileSystemWatcher(n,I,l,m){return new y(this._onFileSystemEvent.event,n,I,l,m)}$onFileEvent(n){this._onFileSystemEvent.fire(n)}$onDidRunFileOperation(n,I){switch(n){case 2:this._onDidRenameFile.fire(Object.freeze({files:I.map(l=>({oldUri:D.URI.revive(l.source),newUri:D.URI.revive(l.target)}))}));break;case 1:this._onDidDeleteFile.fire(Object.freeze({files:I.map(l=>D.URI.revive(l.target))}));break;case 0:this._onDidCreateFile.fire(Object.freeze({files:I.map(l=>D.URI.revive(l.target))}));break;default:}}getOnWillRenameFileEvent(n){return this._createWillExecuteEvent(n,this._onWillRenameFile)}getOnWillCreateFileEvent(n){return this._createWillExecuteEvent(n,this._onWillCreateFile)}getOnWillDeleteFileEvent(n){return this._createWillExecuteEvent(n,this._onWillDeleteFile)}_createWillExecuteEvent(n,I){return(l,m,u)=>{const o=function(v){l.call(m,v)};return o.extension=n,I.event(o,void 0,u)}}async $onWillRunFileOperation(n,I,l,m){switch(n){case 2:return await this._fireWillEvent(this._onWillRenameFile,{files:I.map(u=>({oldUri:D.URI.revive(u.source),newUri:D.URI.revive(u.target)}))},l,m);case 1:return await this._fireWillEvent(this._onWillDeleteFile,{files:I.map(u=>D.URI.revive(u.target))},l,m);case 0:return await this._fireWillEvent(this._onWillCreateFile,{files:I.map(u=>D.URI.revive(u.target))},l,m)}}async _fireWillEvent(n,I,l,m){const u=new Set,o=[];if(await n.fireAsync(I,m,async(v,S)=>{const d=Date.now(),h=await Promise.resolve(v);h instanceof k.WorkspaceEdit&&(o.push(h),u.add(S.extension.displayName??S.extension.identifier.value)),Date.now()-d>l&&this._logService.warn("SLOW file-participant",S.extension.identifier)}),m.isCancellationRequested||o.length===0)return;const E={edits:[]};for(let v of o){let{edits:S}=_.WorkspaceEdit.from(v,this._extHostDocumentsAndEditors);E.edits=E.edits.concat(S)}return{edit:E,extensionNames:Array.from(u)}}}e.ExtHostFileSystemEventService=b}),define(we[170],_e([0,1,11,25,2,9,7,67]),function(ne,e,f,R,D,_,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocument=e.ExtHostCell=void 0;class b{constructor(l,m,u,o){this.start=l,this.deletedCount=m,this.deletedItems=u,this.items=o}static asApiEvents(l){return l.map(m=>({start:m.start,deletedCount:m.deletedCount,deletedItems:m.deletedItems,items:m.items.map(u=>u.apiCell)}))}}class C{constructor(l,m,u){this.notebook=l,this._extHostDocument=m,this._cellData=u,this.handle=u.handle,this.uri=D.URI.revive(u.uri),this.cellKind=u.cellKind,this._outputs=u.outputs.map(_.NotebookCellOutput.to),this._internalMetadata=u.internalMetadata??{},this._metadata=u.metadata??{},this._previousResult=_.NotebookCellExecutionSummary.to(u.internalMetadata??{})}static asModelAddData(l,m){return{EOL:m.eol,lines:m.source,modeId:m.language,uri:m.uri,isDirty:!1,versionId:1,notebook:l}}get internalMetadata(){return this._internalMetadata}get apiCell(){if(!this._apiCell){const l=this,m=this._extHostDocument.getDocument(this.uri);if(!m)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);this._apiCell=Object.freeze({get index(){return l.notebook.getCellIndex(l)},notebook:l.notebook.apiNotebook,kind:_.NotebookCellKind.to(this._cellData.cellKind),document:m.document,get mime(){return l._mime},set mime(u){l._mime=u},get outputs(){return l._outputs.slice(0)},get metadata(){return l._metadata},get executionSummary(){return l._previousResult}})}return this._apiCell}setOutputs(l){this._outputs=l.map(_.NotebookCellOutput.to)}setOutputItems(l,m,u){const o=u.map(_.NotebookCellOutputItem.to),E=this._outputs.find(v=>v.id===l);E&&(m||(E.items.length=0),E.items.push(...o))}setMetadata(l){this._metadata=l}setInternalMetadata(l){this._internalMetadata=l,this._previousResult=_.NotebookCellExecutionSummary.to(l)}setMime(l){}}e.ExtHostCell=C;class n{constructor(l,m,u,o,E,v){this._proxy=l,this._textDocumentsAndEditors=m,this._textDocuments=u,this._emitter=o,this.uri=E,this.handle=n._handlePool++,this._cells=[],this._versionId=0,this._isDirty=!1,this._disposed=!1,this._notebookType=v.viewType,this._metadata=v.metadata??Object.create(null),this._spliceNotebookCells([[0,0,v.cells]],!0),this._versionId=v.versionId}dispose(){this._disposed=!0}get apiNotebook(){if(!this._notebook){const l=this;this._notebook={get uri(){return l.uri},get version(){return l._versionId},get notebookType(){return l._notebookType},get isDirty(){return l._isDirty},get isUntitled(){return l.uri.scheme===f.Schemas.untitled},get isClosed(){return l._disposed},get metadata(){return l._metadata},get cellCount(){return l._cells.length},cellAt(m){return m=l._validateIndex(m),l._cells[m].apiCell},getCells(m){return(m?l._getCells(m):l._cells).map(o=>o.apiCell)},save(){return l._save()}}}return this._notebook}updateBackup(l){this._backup?.delete(),this._backup=l}disposeBackup(){this._backup?.delete(),this._backup=void 0}acceptDocumentPropertiesChanged(l){l.metadata&&(this._metadata={...this._metadata,...l.metadata})}acceptDirty(l){this._isDirty=l}acceptModelChanged(l,m){this._versionId=l.versionId,this._isDirty=m;for(const u of l.rawEvents)u.kind===y.NotebookCellsChangeType.ModelChange?this._spliceNotebookCells(u.changes,!1):u.kind===y.NotebookCellsChangeType.Move?this._moveCell(u.index,u.newIdx):u.kind===y.NotebookCellsChangeType.Output?this._setCellOutputs(u.index,u.outputs):u.kind===y.NotebookCellsChangeType.OutputItem?this._setCellOutputItems(u.index,u.outputId,u.append,u.outputItems):u.kind===y.NotebookCellsChangeType.ChangeLanguage?this._changeCellLanguage(u.index,u.language):u.kind===y.NotebookCellsChangeType.ChangeCellMime?this._changeCellMime(u.index,u.mime):u.kind===y.NotebookCellsChangeType.ChangeCellMetadata?this._changeCellMetadata(u.index,u.metadata):u.kind===y.NotebookCellsChangeType.ChangeCellInternalMetadata&&this._changeCellInternalMetadata(u.index,u.internalMetadata)}_validateIndex(l){return l=l|0,l<0?0:l>=this._cells.length?this._cells.length-1:l}_validateRange(l){let m=l.start|0,u=l.end|0;return m<0&&(m=0),u>this._cells.length&&(u=this._cells.length),l.with({start:m,end:u})}_getCells(l){l=this._validateRange(l);const m=[];for(let u=l.start;u<l.end;u++)m.push(this._cells[u]);return m}async _save(){return this._disposed?Promise.reject(new Error("Notebook has been closed")):this._proxy.$trySaveNotebook(this.uri)}_spliceNotebookCells(l,m){if(this._disposed)return;const u=[],o=[],E=[];l.reverse().forEach(v=>{const d=v[2].map(t=>{const r=new C(this,this._textDocumentsAndEditors,t);return m||o.push(C.asModelAddData(this.apiNotebook,t)),r}),h=new b(v[0],v[1],[],d),g=this._cells.splice(v[0],v[1],...d);for(const t of g)E.push(t.uri),h.deletedItems.push(t.apiCell);u.push(h)}),this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:o,removedDocuments:E}),m||this._emitter.emitModelChange(R.deepFreeze({document:this.apiNotebook,changes:b.asApiEvents(u)}))}_moveCell(l,m){const u=this._cells.splice(l,1);this._cells.splice(m,0,...u);const o=[new b(l,1,u.map(E=>E.apiCell),[]),new b(m,0,[],u)];this._emitter.emitModelChange(R.deepFreeze({document:this.apiNotebook,changes:b.asApiEvents(o)}))}_setCellOutputs(l,m){const u=this._cells[l];u.setOutputs(m),this._emitter.emitCellOutputsChange(R.deepFreeze({document:this.apiNotebook,cells:[u.apiCell]}))}_setCellOutputItems(l,m,u,o){const E=this._cells[l];E.setOutputItems(m,u,o),this._emitter.emitCellOutputsChange(R.deepFreeze({document:this.apiNotebook,cells:[E.apiCell]}))}_changeCellLanguage(l,m){const u=this._cells[l];u.apiCell.document.languageId!==m&&this._textDocuments.$acceptModelModeChanged(u.uri,m)}_changeCellMime(l,m){const u=this._cells[l];u.apiCell.mime=m}_changeCellMetadata(l,m){const u=this._cells[l],o=u.apiCell.metadata;u.setMetadata(m);const E=u.apiCell.metadata;R.equals(o,E)||this._emitter.emitCellMetadataChange(R.deepFreeze({document:this.apiNotebook,cell:u.apiCell}))}_changeCellInternalMetadata(l,m){const u=this._cells[l],o=u.internalMetadata;if(u.setInternalMetadata(m),o.runState!==m.runState){const E=m.runState??k.NotebookCellExecutionState.Idle;this._emitter.emitCellExecutionStateChange(R.deepFreeze({document:this.apiNotebook,cell:u.apiCell,state:E}))}}getCellFromApiCell(l){return this._cells.find(m=>m.apiCell===l)}getCellFromIndex(l){return this._cells[l]}getCell(l){return this._cells.find(m=>m.handle===l)}getCellIndex(l){return this._cells.indexOf(l)}}e.ExtHostNotebookDocument=n,n._handlePool=0}),define(we[98],_e([0,1,7,9,12]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditor=void 0;class _{constructor(b){this._finalized=!1,this._collectedEdits=[],this._documentVersionId=b}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,cellEdits:this._collectedEdits}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replaceMetadata(b){this._throwIfFinalized(),this._collectedEdits.push({editType:5,metadata:b})}replaceCellMetadata(b,C){this._throwIfFinalized(),this._collectedEdits.push({editType:8,index:b,metadata:C})}replaceCells(b,C,n){this._throwIfFinalized(),!(b===C&&n.length===0)&&this._collectedEdits.push({editType:1,index:b,count:C-b,cells:n.map(R.NotebookCellData.from)})}}class k{constructor(b,C,n,I,l,m){this.id=b,this._proxy=C,this.notebookData=n,this._selections=[],this._visibleRanges=[],this._visible=!1,this._hasDecorationsForKey=new Set,this._selections=l,this._visibleRanges=I,this._viewColumn=m}get apiEditor(){if(!this._editor){const b=this;this._editor={get document(){return b.notebookData.apiNotebook},get selections(){return b._selections},set selections(C){if(!Array.isArray(C)||!C.every(f.NotebookRange.isNotebookRange))throw D.illegalArgument("selections");b._selections=C,b._trySetSelections(C)},get visibleRanges(){return b._visibleRanges},revealRange(C,n){b._proxy.$tryRevealRange(b.id,R.NotebookRange.from(C),n??f.NotebookEditorRevealType.Default)},get viewColumn(){return b._viewColumn},edit(C){const n=new _(this.document.version);return C(n),b._applyEdit(n.finalize())},setDecorations(C,n){return b.setDecorations(C,n)}},k.apiEditorsToExtHost.set(this._editor,this)}return this._editor}get visible(){return this._visible}_acceptVisibility(b){this._visible=b}_acceptVisibleRanges(b){this._visibleRanges=b}_acceptSelections(b){this._selections=b}_trySetSelections(b){this._proxy.$trySetSelections(this.id,b.map(R.NotebookRange.from))}_acceptViewColumn(b){this._viewColumn=b}_applyEdit(b){if(b.cellEdits.length===0)return Promise.resolve(!0);const C=[];let n=-1;for(let I=0;I<b.cellEdits.length;I++){if(n<0){C.push(b.cellEdits[I]),n++;continue}const m=C[n],u=b.cellEdits[I];if(m.editType===1&&u.editType===1&&m.index===u.index){m.cells.push(...b.cellEdits[I].cells),m.count+=b.cellEdits[I].count;continue}C.push(b.cellEdits[I]),n++}return this._proxy.$tryApplyEdits(this.id,b.documentVersionId,C)}setDecorations(b,C){if(!(C.isEmpty&&!this._hasDecorationsForKey.has(b.key)))return C.isEmpty?this._hasDecorationsForKey.delete(b.key):this._hasDecorationsForKey.add(b.key),this._proxy.$trySetDecorations(this.id,R.NotebookRange.from(C),b.key)}}e.ExtHostNotebookEditor=k,k.apiEditorsToExtHost=new WeakMap}),define(we[171],_e([0,1,9,151,131,18,48]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostProgress=void 0;class y{constructor(I){this._handles=0,this._mapHandleToCancellationSource=new Map,this._proxy=I}withProgress(I,l,m){const u=this._handles++,{title:o,location:E,cancellable:v}=l,S={label:D.localize(0,null,I.displayName||I.name),id:I.identifier.value};return this._proxy.$startProgress(u,{location:f.ProgressLocation.from(E),title:o,source:S,cancellable:v},I),this._withProgress(u,m,!!v)}_withProgress(I,l,m){let u;m&&(u=new _.CancellationTokenSource,this._mapHandleToCancellationSource.set(I,u));const o=v=>{this._proxy.$progressEnd(v),this._mapHandleToCancellationSource.delete(v),u&&u.dispose()};let E;try{E=l(new C(this._proxy,I),m&&u?u.token:_.CancellationToken.None)}catch(v){throw o(I),v}return E.then(v=>o(I),v=>o(I)),E}$acceptProgressCanceled(I){const l=this._mapHandleToCancellationSource.get(I);l&&(l.cancel(),this._mapHandleToCancellationSource.delete(I))}}e.ExtHostProgress=y;function b(n,I){return n.message=I.message,typeof I.increment=="number"&&(typeof n.increment=="number"?n.increment+=I.increment:n.increment=I.increment),n}class C extends R.Progress{constructor(I,l){super(m=>this.throttledReport(m));this._proxy=I,this._handle=l}throttledReport(I){this._proxy.$progressReport(this._handle,I)}}We([k.throttle(100,(n,I)=>b(n,I),()=>Object.create(null))],C.prototype,"throttledReport",null)}),define(we[99],_e([0,1,39,12,50,9,7]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTextEditor=e.ExtHostTextEditorOptions=e.TextEditorEdit=e.TextEditorDecorationType=void 0;class y{constructor(l,m,u){const o=y._Keys.nextId();l.$registerTextEditorDecorationType(m.identifier,o,_.DecorationRenderOptions.from(u)),this.value=Object.freeze({key:o,dispose(){l.$removeTextEditorDecorationType(o)}})}}e.TextEditorDecorationType=y,y._Keys=new D.IdGenerator("TextEditorDecorationType");class b{constructor(l,m){this._collectedEdits=[],this._setEndOfLine=void 0,this._finalized=!1,this._document=l,this._documentVersionId=l.version,this._undoStopBefore=m.undoStopBefore,this._undoStopAfter=m.undoStopAfter}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,edits:this._collectedEdits,setEndOfLine:this._setEndOfLine,undoStopBefore:this._undoStopBefore,undoStopAfter:this._undoStopAfter}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replace(l,m){this._throwIfFinalized();let u=null;if(l instanceof k.Position)u=new k.Range(l,l);else if(l instanceof k.Range)u=l;else throw new Error("Unrecognized location");this._pushEdit(u,m,!1)}insert(l,m){this._throwIfFinalized(),this._pushEdit(new k.Range(l,l),m,!0)}delete(l){this._throwIfFinalized();let m=null;if(l instanceof k.Range)m=l;else throw new Error("Unrecognized location");this._pushEdit(m,null,!0)}_pushEdit(l,m,u){const o=this._document.validateRange(l);this._collectedEdits.push({range:o,text:m,forceMoveMarkers:u})}setEndOfLine(l){if(this._throwIfFinalized(),l!==k.EndOfLine.LF&&l!==k.EndOfLine.CRLF)throw R.illegalArgument("endOfLine");this._setEndOfLine=l}}e.TextEditorEdit=b;class C{constructor(l,m,u,o){this._proxy=l,this._id=m,this._accept(u),this._logService=o;const E=this;this.value={get tabSize(){return E._tabSize},set tabSize(v){E._setTabSize(v)},get insertSpaces(){return E._insertSpaces},set insertSpaces(v){E._setInsertSpaces(v)},get cursorStyle(){return E._cursorStyle},set cursorStyle(v){E._setCursorStyle(v)},get lineNumbers(){return E._lineNumbers},set lineNumbers(v){E._setLineNumbers(v)}}}_accept(l){this._tabSize=l.tabSize,this._insertSpaces=l.insertSpaces,this._cursorStyle=l.cursorStyle,this._lineNumbers=_.TextEditorLineNumbersStyle.to(l.lineNumbers)}_validateTabSize(l){if(l==="auto")return"auto";if(typeof l=="number"){const m=Math.floor(l);return m>0?m:null}if(typeof l=="string"){const m=parseInt(l,10);return isNaN(m)?null:m>0?m:null}return null}_setTabSize(l){const m=this._validateTabSize(l);if(m!==null){if(typeof m=="number"){if(this._tabSize===m)return;this._tabSize=m}this._warnOnError(this._proxy.$trySetOptions(this._id,{tabSize:m}))}}_validateInsertSpaces(l){return l==="auto"?"auto":l==="false"?!1:Boolean(l)}_setInsertSpaces(l){const m=this._validateInsertSpaces(l);if(typeof m=="boolean"){if(this._insertSpaces===m)return;this._insertSpaces=m}this._warnOnError(this._proxy.$trySetOptions(this._id,{insertSpaces:m}))}_setCursorStyle(l){this._cursorStyle!==l&&(this._cursorStyle=l,this._warnOnError(this._proxy.$trySetOptions(this._id,{cursorStyle:l})))}_setLineNumbers(l){this._lineNumbers!==l&&(this._lineNumbers=l,this._warnOnError(this._proxy.$trySetOptions(this._id,{lineNumbers:_.TextEditorLineNumbersStyle.from(l)})))}assign(l){const m={};let u=!1;if(typeof l.tabSize!="undefined"){const o=this._validateTabSize(l.tabSize);o==="auto"?(u=!0,m.tabSize=o):typeof o=="number"&&this._tabSize!==o&&(this._tabSize=o,u=!0,m.tabSize=o)}if(typeof l.insertSpaces!="undefined"){const o=this._validateInsertSpaces(l.insertSpaces);o==="auto"?(u=!0,m.insertSpaces=o):this._insertSpaces!==o&&(this._insertSpaces=o,u=!0,m.insertSpaces=o)}typeof l.cursorStyle!="undefined"&&this._cursorStyle!==l.cursorStyle&&(this._cursorStyle=l.cursorStyle,u=!0,m.cursorStyle=l.cursorStyle),typeof l.lineNumbers!="undefined"&&this._lineNumbers!==l.lineNumbers&&(this._lineNumbers=l.lineNumbers,u=!0,m.lineNumbers=_.TextEditorLineNumbersStyle.from(l.lineNumbers)),u&&this._warnOnError(this._proxy.$trySetOptions(this._id,m))}_warnOnError(l){l.catch(m=>this._logService.warn(m))}}e.ExtHostTextEditorOptions=C;class n{constructor(l,m,u,o,E,v,S,d){this.id=l,this._proxy=m,this._logService=u,this._disposed=!1,this._hasDecorationsForKey=new Set,this._selections=E,this._options=new C(this._proxy,this.id,v,u),this._visibleRanges=S,this._viewColumn=d;const h=this;this.value=Object.freeze({get document(){return o.getValue()},set document(g){throw R.readonly("document")},get selection(){return h._selections&&h._selections[0]},set selection(g){if(!(g instanceof k.Selection))throw R.illegalArgument("selection");h._selections=[g],h._trySetSelection()},get selections(){return h._selections},set selections(g){if(!Array.isArray(g)||g.some(t=>!(t instanceof k.Selection)))throw R.illegalArgument("selections");h._selections=g,h._trySetSelection()},get visibleRanges(){return h._visibleRanges},set visibleRanges(g){throw R.readonly("visibleRanges")},get options(){return h._options.value},set options(g){h._disposed||h._options.assign(g)},get viewColumn(){return h._viewColumn},set viewColumn(g){throw R.readonly("viewColumn")},edit(g,t={undoStopBefore:!0,undoStopAfter:!0}){if(h._disposed)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const r=new b(o.getValue(),t);return g(r),h._applyEdit(r)},insertSnippet(g,t,r={undoStopBefore:!0,undoStopAfter:!0}){if(h._disposed)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let i;if(!t||Array.isArray(t)&&t.length===0)i=h._selections.map(s=>_.Range.from(s));else if(t instanceof k.Position){const{lineNumber:s,column:c}=_.Position.from(t);i=[{startLineNumber:s,startColumn:c,endLineNumber:s,endColumn:c}]}else if(t instanceof k.Range)i=[_.Range.from(t)];else{i=[];for(const s of t)if(s instanceof k.Range)i.push(_.Range.from(s));else{const{lineNumber:c,column:w}=_.Position.from(s);i.push({startLineNumber:c,startColumn:w,endLineNumber:c,endColumn:w})}}return m.$tryInsertSnippet(l,g.value,i,r)},setDecorations(g,t){const r=t.length===0;r&&!h._hasDecorationsForKey.has(g.key)||(r?h._hasDecorationsForKey.delete(g.key):h._hasDecorationsForKey.add(g.key),h._runOnProxy(()=>{if(_.isDecorationOptionsArr(t))return m.$trySetDecorations(l,g.key,_.fromRangeOrRangeWithMessage(t));{const i=new Array(4*t.length);for(let s=0,c=t.length;s<c;s++){const w=t[s];i[4*s]=w.start.line+1,i[4*s+1]=w.start.character+1,i[4*s+2]=w.end.line+1,i[4*s+3]=w.end.character+1}return m.$trySetDecorationsFast(l,g.key,i)}}))},revealRange(g,t){h._runOnProxy(()=>m.$tryRevealRange(l,_.Range.from(g),t||k.TextEditorRevealType.Default))},show(g){m.$tryShowEditor(l,_.ViewColumn.from(g))},hide(){m.$tryHideEditor(l)}})}dispose(){f.ok(!this._disposed),this._disposed=!0}_acceptOptions(l){f.ok(!this._disposed),this._options._accept(l)}_acceptVisibleRanges(l){f.ok(!this._disposed),this._visibleRanges=l}_acceptViewColumn(l){f.ok(!this._disposed),this._viewColumn=l}_acceptSelections(l){f.ok(!this._disposed),this._selections=l}async _trySetSelection(){const l=this._selections.map(_.Selection.from);return await this._runOnProxy(()=>this._proxy.$trySetSelections(this.id,l)),this.value}_applyEdit(l){const m=l.finalize();if(m.edits.length===0&&!m.setEndOfLine)return Promise.resolve(!0);const u=m.edits.map(E=>E.range);u.sort((E,v)=>E.end.line===v.end.line?E.end.character===v.end.character?E.start.line===v.start.line?E.start.character-v.start.character:E.start.line-v.start.line:E.end.character-v.end.character:E.end.line-v.end.line);for(let E=0,v=u.length-1;E<v;E++){const S=u[E].end;if(u[E+1].start.isBefore(S))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const o=m.edits.map(E=>({range:_.Range.from(E.range),text:E.text,forceMoveMarkers:E.forceMoveMarkers}));return this._proxy.$tryApplyEdits(this.id,m.documentVersionId,o,{setEndOfLine:typeof m.setEndOfLine=="number"?_.EndOfLine.from(m.setEndOfLine):void 0,undoStopBefore:m.undoStopBefore,undoStopAfter:m.undoStopAfter})}_runOnProxy(l){return this._disposed?(this._logService.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):l().then(()=>this,m=>(m instanceof Error&&m.name==="DISPOSED"||this._logService.warn(m),null))}}e.ExtHostTextEditor=n}),define(we[172],_e([0,1,134,23,2,3,6,15,7,10,17,9,18]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTreeViews=void 0;function m(E,v){if(C.isString(E))return{label:E};if(E&&typeof E=="object"&&typeof E.label=="string"){let S;return Array.isArray(E.highlights)&&(S=E.highlights.filter(d=>d.length===2&&typeof d[0]=="number"&&typeof d[1]=="number"),S=S.length?S:void 0),{label:E.label,highlights:S}}}class u{constructor(v,S,d){this._proxy=v,this.commands=S,this.logService=d,this.treeViews=new Map;function h(g){return g&&g.$treeViewId&&g.$treeItemHandle}S.registerArgumentProcessor({processArgument:g=>h(g)?this.convertArgument(g):Array.isArray(g)&&g.length>0?g.map(t=>h(t)?this.convertArgument(t):t):g})}registerTreeDataProvider(v,S,d){const h=this.createTreeView(v,{treeDataProvider:S},d);return{dispose:()=>h.dispose()}}createTreeView(v,S,d){if(!S||!S.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const h=S.dragAndDropController!==void 0,g=this._proxy.$registerTreeViewDataProvider(v,{showCollapseAll:!!S.showCollapseAll,canSelectMany:!!S.canSelectMany,canDragAndDrop:h}),t=this.createExtHostTreeView(v,S,d);return{get onDidCollapseElement(){return t.onDidCollapseElement},get onDidExpandElement(){return t.onDidExpandElement},get selection(){return t.selectedElements},get onDidChangeSelection(){return t.onDidChangeSelection},get visible(){return t.visible},get onDidChangeVisibility(){return t.onDidChangeVisibility},get message(){return t.message},set message(r){t.message=r},get title(){return t.title},set title(r){t.title=r},get description(){return t.description},set description(r){t.description=r},reveal:(r,i)=>t.reveal(r,i),dispose:async()=>{await g,this.treeViews.delete(v),t.dispose()}}}$getChildren(v,S){const d=this.treeViews.get(v);return d?d.getChildren(S):Promise.reject(new Error(f.localize(0,null,v)))}$onDrop(v,S,d){const h=this.treeViews.get(v);return h?h.onDrop(S,d):Promise.reject(new Error(f.localize(1,null,v)))}async $hasResolve(v){const S=this.treeViews.get(v);if(!S)throw new Error(f.localize(2,null,v));return S.hasResolve}$resolve(v,S,d){const h=this.treeViews.get(v);if(!h)throw new Error(f.localize(3,null,v));return h.resolveTreeItem(S,d)}$setExpanded(v,S,d){const h=this.treeViews.get(v);if(!h)throw new Error(f.localize(4,null,v));h.setExpanded(S,d)}$setSelection(v,S){const d=this.treeViews.get(v);if(!d)throw new Error(f.localize(5,null,v));d.setSelection(S)}$setVisible(v,S){const d=this.treeViews.get(v);if(!d)throw new Error(f.localize(6,null,v));d.setVisible(S)}createExtHostTreeView(v,S,d){const h=new o(v,S,this._proxy,this.commands.converter,this.logService,d);return this.treeViews.set(v,h),h}convertArgument(v){const S=this.treeViews.get(v.$treeViewId);return S?S.getExtensionElement(v.$treeItemHandle):null}}e.ExtHostTreeViews=u;class o extends k.Disposable{constructor(v,S,d,h,g,t){super();if(this.viewId=v,this.proxy=d,this.commands=h,this.logService=g,this.extension=t,this.roots=null,this.elements=new Map,this.nodes=new Map,this._visible=!1,this._selectedHandles=[],this._onDidExpandElement=this._register(new _.Emitter),this.onDidExpandElement=this._onDidExpandElement.event,this._onDidCollapseElement=this._register(new _.Emitter),this.onDidCollapseElement=this._onDidCollapseElement.event,this._onDidChangeSelection=this._register(new _.Emitter),this.onDidChangeSelection=this._onDidChangeSelection.event,this._onDidChangeVisibility=this._register(new _.Emitter),this.onDidChangeVisibility=this._onDidChangeVisibility.event,this._onDidChangeData=this._register(new _.Emitter),this.refreshPromise=Promise.resolve(),this.refreshQueue=Promise.resolve(),this._message="",this._title="",this._refreshCancellationSource=new l.CancellationTokenSource,t.contributes&&t.contributes.views)for(const s in t.contributes.views)for(const c of t.contributes.views[s])c.id===v&&(this._title=c.name);this.dataProvider=S.treeDataProvider,this.dndController=S.dragAndDropController,this.dataProvider.onDidChangeTreeData2?this._register(this.dataProvider.onDidChangeTreeData2(s=>this._onDidChangeData.fire({message:!1,element:s}))):this.dataProvider.onDidChangeTreeData&&this._register(this.dataProvider.onDidChangeTreeData(s=>this._onDidChangeData.fire({message:!1,element:s})));let r,i;this._register(_.Event.debounce(this._onDidChangeData.event,(s,c)=>(s||(s={message:!1,elements:[]}),c.element!==!1&&(r||(r=new Promise(w=>i=w),this.refreshPromise=this.refreshPromise.then(()=>r)),Array.isArray(c.element)?s.elements.push(...c.element):s.elements.push(c.element)),c.message&&(s.message=!0),s),200,!0)(({message:s,elements:c})=>{c.length&&(this.refreshQueue=this.refreshQueue.then(()=>{const w=i;return r=null,this.refresh(c).then(()=>w())})),s&&this.proxy.$setMessage(this.viewId,this._message)}))}get visible(){return this._visible}get selectedElements(){return this._selectedHandles.map(v=>this.getExtensionElement(v)).filter(v=>!C.isUndefinedOrNull(v))}getChildren(v){const S=v?this.getExtensionElement(v):void 0;if(v&&!S)return this.logService.error(`No tree item with id '${v}' found.`),Promise.resolve([]);const d=this.getChildrenNodes(v);return(d?Promise.resolve(d):this.fetchChildrenNodes(S)).then(h=>h.map(g=>g.item))}getExtensionElement(v){return this.elements.get(v)}reveal(v,S){S=S||{select:!0,focus:!1};const d=C.isUndefinedOrNull(S.select)?!0:S.select,h=C.isUndefinedOrNull(S.focus)?!1:S.focus,g=C.isUndefinedOrNull(S.expand)?!1:S.expand;return typeof this.dataProvider.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):v?this.refreshPromise.then(()=>this.resolveUnknownParentChain(v)).then(t=>this.resolveTreeNode(v,t[t.length-1]).then(r=>this.proxy.$reveal(this.viewId,{item:r.item,parentChain:t.map(i=>i.item)},{select:d,focus:h,expand:g})),t=>this.logService.error(t)):this.proxy.$reveal(this.viewId,void 0,{select:d,focus:h,expand:g})}get message(){return this._message}set message(v){this._message=v,this._onDidChangeData.fire({message:!0,element:!1})}get title(){return this._title}set title(v){this._title=v,this.proxy.$setTitle(this.viewId,v,this._description)}get description(){return this._description}set description(v){this._description=v,this.proxy.$setTitle(this.viewId,this._title,v)}setExpanded(v,S){const d=this.getExtensionElement(v);d&&(S?this._onDidExpandElement.fire(Object.freeze({element:d})):this._onDidCollapseElement.fire(Object.freeze({element:d})))}setSelection(v){n.equals(this._selectedHandles,v)||(this._selectedHandles=v,this._onDidChangeSelection.fire(Object.freeze({selection:this.selectedElements})))}setVisible(v){v!==this._visible&&(this._visible=v,this._onDidChangeVisibility.fire(Object.freeze({visible:this._visible})))}onDrop(v,S){const d=v.map(g=>this.getExtensionElement(g)).filter(g=>!C.isUndefinedOrNull(g)),h=this.getExtensionElement(S);return d&&h?y.asPromise(()=>this.dndController?.onDrop(d,h)):Promise.resolve(void 0)}get hasResolve(){return!!this.dataProvider.resolveTreeItem}async resolveTreeItem(v,S){if(!this.dataProvider.resolveTreeItem)return;const d=this.elements.get(v);if(d){const h=this.nodes.get(d);if(h){const g=await this.dataProvider.resolveTreeItem(h.extensionItem,d,S)??h.extensionItem;return h.item.tooltip=this.getTooltip(g.tooltip),h.item.command=this.getCommand(h.disposableStore,g.command),h.item}}}resolveUnknownParentChain(v){return this.resolveParent(v).then(S=>S?this.resolveUnknownParentChain(S).then(d=>this.resolveTreeNode(S,d[d.length-1]).then(h=>(d.push(h),d))):Promise.resolve([]))}resolveParent(v){const S=this.nodes.get(v);return S?Promise.resolve(S.parent?this.elements.get(S.parent.item.handle):void 0):y.asPromise(()=>this.dataProvider.getParent(v))}resolveTreeNode(v,S){const d=this.nodes.get(v);return d?Promise.resolve(d):y.asPromise(()=>this.dataProvider.getTreeItem(v)).then(h=>this.createHandle(v,h,S,!0)).then(h=>this.getChildren(S?S.item.handle:void 0).then(()=>{const g=this.getExtensionElement(h);if(g){const t=this.nodes.get(g);if(t)return Promise.resolve(t)}throw new Error(`Cannot resolve tree item for element ${h}`)}))}getChildrenNodes(v){if(v){let S;if(typeof v=="string"){const d=this.getExtensionElement(v);S=d?this.nodes.get(d):void 0}else S=v;return S&&S.children||null}return this.roots}async fetchChildrenNodes(v){this.clearChildren(v);const S=new l.CancellationTokenSource(this._refreshCancellationSource.token);try{const d=v?this.nodes.get(v):void 0,h=await this.dataProvider.getChildren(v);if(S.token.isCancellationRequested)return[];const g=await Promise.all(n.coalesce(h||[]).map(async t=>{const r=await this.dataProvider.getTreeItem(t);return r&&!S.token.isCancellationRequested?this.createAndRegisterTreeNode(t,r,d):null}));return S.token.isCancellationRequested?[]:n.coalesce(g)}finally{S.dispose()}}refresh(v){if(v.some(d=>!d))return this._refreshCancellationSource.dispose(!0),this._refreshCancellationSource=new l.CancellationTokenSource,this.clearAll(),this.proxy.$refresh(this.viewId);{const d=this.getHandlesToRefresh(v);if(d.length)return this.refreshHandles(d)}return Promise.resolve(void 0)}getHandlesToRefresh(v){const S=new Set,d=v.map(g=>this.nodes.get(g));for(const g of d)if(g&&!S.has(g.item.handle)){let t=g;for(;t&&t.parent&&d.findIndex(r=>t&&t.parent&&r&&r.item.handle===t.parent.item.handle)===-1;){const r=this.elements.get(t.parent.item.handle);t=r?this.nodes.get(r):void 0}t&&!t.parent&&S.add(g.item.handle)}const h=[];return S.forEach(g=>{const t=this.elements.get(g);if(t){const r=this.nodes.get(t);r&&(!r.parent||!S.has(r.parent.item.handle))&&h.push(g)}}),h}refreshHandles(v){const S={};return Promise.all(v.map(d=>this.refreshNode(d).then(h=>{h&&(S[d]=h.item)}))).then(()=>Object.keys(S).length?this.proxy.$refresh(this.viewId,S):void 0)}refreshNode(v){const S=this.getExtensionElement(v);if(S){const d=this.nodes.get(S);if(d)return this.clearChildren(S),y.asPromise(()=>this.dataProvider.getTreeItem(S)).then(h=>{if(h){const g=this.createTreeNode(S,h,d.parent);return this.updateNodeCache(S,g,d,d.parent),d.dispose(),g}return null})}return Promise.resolve(null)}createAndRegisterTreeNode(v,S,d){const h=this.createTreeNode(v,S,d);if(S.id&&this.elements.has(h.item.handle))throw new Error(f.localize(7,null,S.id));return this.addNodeToCache(v,h),this.addNodeToParentCache(h,d),h}getTooltip(v){return b.MarkdownString.isMarkdownString(v)?I.MarkdownString.from(v):v}getCommand(v,S){return S?this.commands.toInternal(S,v):void 0}createTreeNode(v,S,d){const h=new k.DisposableStore,g=this.createHandle(v,S,d),t=this.getLightIconPath(S);return{item:{handle:g,parentHandle:d?d.item.handle:void 0,label:m(S.label,this.extension),description:S.description,resourceUri:S.resourceUri,tooltip:this.getTooltip(S.tooltip),command:this.getCommand(h,S.command),contextValue:S.contextValue,icon:t,iconDark:this.getDarkIconPath(S)||t,themeIcon:this.getThemeIcon(S),collapsibleState:C.isUndefinedOrNull(S.collapsibleState)?b.TreeItemCollapsibleState.None:S.collapsibleState,accessibilityInformation:S.accessibilityInformation},extensionItem:S,parent:d,children:void 0,disposableStore:h,dispose(){h.dispose()}}}getThemeIcon(v){return v.iconPath instanceof b.ThemeIcon?v.iconPath:void 0}createHandle(v,{id:S,label:d,resourceUri:h},g,t){if(S)return`${o.ID_HANDLE_PREFIX}/${S}`;const r=m(d,this.extension),i=g?g.item.handle:o.LABEL_HANDLE_PREFIX;let s=r?r.label:h?R.basename(h):"";s=s.indexOf("/")!==-1?s.replace("/","//"):s;const c=this.nodes.has(v)?this.nodes.get(v).item.handle:void 0,w=this.getChildrenNodes(g)||[];let p,P=0;do{if(p=`${i}/${P}:${s}`,t||!this.elements.has(p)||c===p)break;P++}while(P<=w.length);return p}getLightIconPath(v){if(v.iconPath&&!(v.iconPath instanceof b.ThemeIcon))return typeof v.iconPath=="string"||D.URI.isUri(v.iconPath)?this.getIconPath(v.iconPath):this.getIconPath(v.iconPath.light)}getDarkIconPath(v){if(v.iconPath&&!(v.iconPath instanceof b.ThemeIcon)&&v.iconPath.dark)return this.getIconPath(v.iconPath.dark)}getIconPath(v){return D.URI.isUri(v)?v:D.URI.file(v)}addNodeToCache(v,S){this.elements.set(S.item.handle,v),this.nodes.set(v,S)}updateNodeCache(v,S,d,h){this.elements.delete(S.item.handle),this.nodes.delete(v),S.item.handle!==d.item.handle&&this.elements.delete(d.item.handle),this.addNodeToCache(v,S);const g=this.getChildrenNodes(h)||[],t=g.filter(r=>r.item.handle===d.item.handle)[0];t&&g.splice(g.indexOf(t),1,S)}addNodeToParentCache(v,S){S?(S.children||(S.children=[]),S.children.push(v)):(this.roots||(this.roots=[]),this.roots.push(v))}clearChildren(v){if(v){const S=this.nodes.get(v);if(S){if(S.children)for(const d of S.children){const h=this.elements.get(d.item.handle);h&&this.clear(h)}S.children=void 0}}else this.clearAll()}clear(v){const S=this.nodes.get(v);if(S){if(S.children)for(const d of S.children){const h=this.elements.get(d.item.handle);h&&this.clear(h)}this.nodes.delete(v),this.elements.delete(S.item.handle),S.dispose()}}clearAll(){this.roots=null,this.elements.clear(),this.nodes.forEach(v=>v.dispose()),this.nodes.clear()}dispose(){this._refreshCancellationSource.dispose(),this.clearAll()}}o.LABEL_HANDLE_PREFIX="0",o.ID_HANDLE_PREFIX="1"}),define(we[173],_e([0,1,136,10,2,6,4,58,36,17,97,11]),function(ne,e,f,R,D,_,k,y,b,C,n,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.editorGroupToViewColumn=e.viewColumnToEditorGroup=e.EditorsOrder=e.pathsToEditors=e.CloseDirection=e.EditorResourceAccessor=e.SideBySideEditor=e.isEditorIdentifier=e.isEditorInputWithOptions=e.isEditorInputWithPreferredResource=e.UntypedEditorContext=e.EditorInputCapabilities=e.SaveReason=e.Verbosity=e.isUntitledResourceEditorInput=e.isResourceDiffEditorInput=e.isTextEditorPane=e.BINARY_DIFF_EDITOR_ID=e.TEXT_DIFF_EDITOR_ID=e.EditorAreaVisibleContext=e.SplitEditorsVertically=e.IsCenteredLayoutContext=e.InEditorZenModeContext=e.EditorsVisibleContext=e.SingleEditorGroupsContext=e.MultipleEditorGroupsContext=e.ActiveEditorGroupLastContext=e.ActiveEditorGroupIndexContext=e.ActiveEditorGroupEmptyContext=e.EditorGroupEditorsCountContext=e.TextCompareEditorActiveContext=e.TextCompareEditorVisibleContext=e.ActiveEditorAvailableEditorIdsContext=e.ActiveEditorContext=e.ActiveEditorCanRevertContext=e.ActiveEditorReadonlyContext=e.ActiveEditorStickyContext=e.ActiveEditorPinnedContext=e.ActiveEditorDirtyContext=e.DEFAULT_EDITOR_ASSOCIATION=e.EditorExtensions=void 0,e.EditorExtensions={Editors:"workbench.contributions.editors",Associations:"workbench.editors.associations",EditorInputFactories:"workbench.contributions.editor.inputFactories"},e.DEFAULT_EDITOR_ASSOCIATION={id:"default",displayName:f.localize(0,null),providerDisplayName:f.localize(1,null)},e.ActiveEditorDirtyContext=new y.RawContextKey("activeEditorIsDirty",!1,f.localize(2,null)),e.ActiveEditorPinnedContext=new y.RawContextKey("activeEditorIsNotPreview",!1,f.localize(3,null)),e.ActiveEditorStickyContext=new y.RawContextKey("activeEditorIsPinned",!1,f.localize(4,null)),e.ActiveEditorReadonlyContext=new y.RawContextKey("activeEditorIsReadonly",!1,f.localize(5,null)),e.ActiveEditorCanRevertContext=new y.RawContextKey("activeEditorCanRevert",!1,f.localize(6,null)),e.ActiveEditorContext=new y.RawContextKey("activeEditor",null,{type:"string",description:f.localize(7,null)}),e.ActiveEditorAvailableEditorIdsContext=new y.RawContextKey("activeEditorAvailableEditorIds","",f.localize(8,null)),e.TextCompareEditorVisibleContext=new y.RawContextKey("textCompareEditorVisible",!1,f.localize(9,null)),e.TextCompareEditorActiveContext=new y.RawContextKey("textCompareEditorActive",!1,f.localize(10,null)),e.EditorGroupEditorsCountContext=new y.RawContextKey("groupEditorsCount",0,f.localize(11,null)),e.ActiveEditorGroupEmptyContext=new y.RawContextKey("activeEditorGroupEmpty",!1,f.localize(12,null)),e.ActiveEditorGroupIndexContext=new y.RawContextKey("activeEditorGroupIndex",0,f.localize(13,null)),e.ActiveEditorGroupLastContext=new y.RawContextKey("activeEditorGroupLast",!1,f.localize(14,null)),e.MultipleEditorGroupsContext=new y.RawContextKey("multipleEditorGroups",!1,f.localize(15,null)),e.SingleEditorGroupsContext=e.MultipleEditorGroupsContext.toNegated(),e.EditorsVisibleContext=new y.RawContextKey("editorIsOpen",!1,f.localize(16,null)),e.InEditorZenModeContext=new y.RawContextKey("inZenMode",!1,f.localize(17,null)),e.IsCenteredLayoutContext=new y.RawContextKey("isCenteredLayout",!1,f.localize(18,null)),e.SplitEditorsVertically=new y.RawContextKey("splitEditorsVertically",!1,f.localize(19,null)),e.EditorAreaVisibleContext=new y.RawContextKey("editorAreaVisible",!0,f.localize(20,null)),e.TEXT_DIFF_EDITOR_ID="workbench.editors.textDiffEditor",e.BINARY_DIFF_EDITOR_ID="workbench.editors.binaryResourceDiffEditor";function l(a){return typeof a?.getViewState=="function"}e.isTextEditorPane=l;function m(a){const T=a;return T.originalInput!==void 0&&T.modifiedInput!==void 0}e.isResourceDiffEditorInput=m;function u(a){const T=a;return T.resource===void 0||T.resource.scheme===I.Schemas.untitled||T.forceUntitled===!0}e.isUntitledResourceEditorInput=u;var o;(function(a){a[a.SHORT=0]="SHORT",a[a.MEDIUM=1]="MEDIUM",a[a.LONG=2]="LONG"})(o=e.Verbosity||(e.Verbosity={}));var E;(function(a){a[a.EXPLICIT=1]="EXPLICIT",a[a.AUTO=2]="AUTO",a[a.FOCUS_CHANGE=3]="FOCUS_CHANGE",a[a.WINDOW_CHANGE=4]="WINDOW_CHANGE"})(E=e.SaveReason||(e.SaveReason={}));var v;(function(a){a[a.None=0]="None",a[a.Readonly=2]="Readonly",a[a.Untitled=4]="Untitled",a[a.Singleton=8]="Singleton",a[a.RequiresTrust=16]="RequiresTrust"})(v=e.EditorInputCapabilities||(e.EditorInputCapabilities={}));var S;(function(a){a[a.Default=0]="Default",a[a.Full=1]="Full"})(S=e.UntypedEditorContext||(e.UntypedEditorContext={}));function d(a){const T=a;return T?D.URI.isUri(T.preferredResource):!1}e.isEditorInputWithPreferredResource=d;function h(a){const T=a;return T?!!T.primary&&!!T.secondary:!1}function g(a){const T=a;return!!T&&!!T.editor}e.isEditorInputWithOptions=g;function t(a){const T=a;return T?typeof T.groupId=="number"&&!R.isUndefinedOrNull(T.editor):!1}e.isEditorIdentifier=t;var r;(function(a){a[a.PRIMARY=1]="PRIMARY",a[a.SECONDARY=2]="SECONDARY",a[a.BOTH=3]="BOTH"})(r=e.SideBySideEditor||(e.SideBySideEditor={}));class i{getOriginalUri(T,F){if(!T)return;const H=h(T)?T.primary:m(T)?T.modifiedInput:void 0,$=h(T)?T.secondary:m(T)?T.originalInput:void 0;if(F?.supportSideBySide&&H&&$){if(F?.supportSideBySide===r.BOTH)return{primary:this.getOriginalUri(H,{filterByScheme:F.filterByScheme}),secondary:this.getOriginalUri($,{filterByScheme:F.filterByScheme})};T=F.supportSideBySide===r.PRIMARY?H:$}if(m(T))return;const Z=d(T)?T.preferredResource:T.resource;return!Z||!F||!F.filterByScheme?Z:this.filterUri(Z,F.filterByScheme)}getCanonicalUri(T,F){if(!T)return;const H=h(T)?T.primary:m(T)?T.modifiedInput:void 0,$=h(T)?T.secondary:m(T)?T.originalInput:void 0;if(F?.supportSideBySide&&H&&$){if(F?.supportSideBySide===r.BOTH)return{primary:this.getCanonicalUri(H,{filterByScheme:F.filterByScheme}),secondary:this.getCanonicalUri($,{filterByScheme:F.filterByScheme})};T=F.supportSideBySide===r.PRIMARY?H:$}if(m(T))return;const Z=T.resource;return!Z||!F||!F.filterByScheme?Z:this.filterUri(Z,F.filterByScheme)}filterUri(T,F){if(Array.isArray(F)){if(F.some(H=>T.scheme===H))return T}else if(F===T.scheme)return T}}e.EditorResourceAccessor=new i;var s;(function(a){a[a.LEFT=0]="LEFT",a[a.RIGHT=1]="RIGHT"})(s=e.CloseDirection||(e.CloseDirection={}));class c{constructor(){this.editorInputSerializerConstructors=new Map,this.editorInputSerializerInstances=new Map}start(T){const F=this.instantiationService=T.get(k.IInstantiationService);for(const[H,$]of this.editorInputSerializerConstructors)this.createEditorInputSerializer(H,$,F);this.editorInputSerializerConstructors.clear()}createEditorInputSerializer(T,F,H){const $=H.createInstance(F);this.editorInputSerializerInstances.set(T,$)}registerFileEditorInputFactory(T){if(this.fileEditorInputFactory)throw new Error("Can only register one file editor input factory.");this.fileEditorInputFactory=T}getFileEditorInputFactory(){return R.assertIsDefined(this.fileEditorInputFactory)}registerEditorInputSerializer(T,F){if(this.editorInputSerializerConstructors.has(T)||this.editorInputSerializerInstances.has(T))throw new Error(`A editor input serializer with type ID '${T}' was already registered.`);return this.instantiationService?this.createEditorInputSerializer(T,F,this.instantiationService):this.editorInputSerializerConstructors.set(T,F),_.toDisposable(()=>{this.editorInputSerializerConstructors.delete(T),this.editorInputSerializerInstances.delete(T)})}getEditorInputSerializer(T){return this.editorInputSerializerInstances.get(typeof T=="string"?T:T.typeId)}}b.Registry.add(e.EditorExtensions.EditorInputFactories,new c);async function w(a,T){if(!a||!a.length)return[];const F=await Promise.all(a.map(async H=>{const $=D.URI.revive(H.fileUri);if(!$||!T.canHandleResource($))return;const Z=typeof H.exists=="boolean"?H.exists:await T.exists($);if(!Z&&H.openOnlyIfExists)return;const V=Z&&typeof H.lineNumber=="number"?{selection:{startLineNumber:H.lineNumber,startColumn:H.columnNumber||1},pinned:!0,override:H.editorOverrideId}:{pinned:!0,override:H.editorOverrideId};let B;return Z?B={resource:$,options:V,forceFile:!0}:B={resource:$,options:V,forceUntitled:!0},B}));return C.coalesce(F)}e.pathsToEditors=w;var p;(function(a){a[a.MOST_RECENTLY_ACTIVE=0]="MOST_RECENTLY_ACTIVE",a[a.SEQUENTIAL=1]="SEQUENTIAL"})(p=e.EditorsOrder||(e.EditorsOrder={}));function P(a,T){if(typeof T!="number"||T===n.ACTIVE_GROUP)return n.ACTIVE_GROUP;const F=a.getGroups(2);let H=F[T];if(H)return H.id;let $=F[0];return F.length===1&&$.count===0?$.id:n.SIDE_GROUP}e.viewColumnToEditorGroup=P;function A(a,T){let F=typeof T=="number"?a.getGroup(T):T;return F=F??a.activeGroup,a.getGroups(2).indexOf(F)}e.editorGroupToViewColumn=A}),define(we[174],_e([0,1,3,6,17,173,23]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEditorInput=e.EditorInput=void 0;class y extends R.Disposable{constructor(){super(...arguments);this._onDidChangeDirty=this._register(new f.Emitter),this.onDidChangeDirty=this._onDidChangeDirty.event,this._onDidChangeLabel=this._register(new f.Emitter),this.onDidChangeLabel=this._onDidChangeLabel.event,this._onDidChangeCapabilities=this._register(new f.Emitter),this.onDidChangeCapabilities=this._onDidChangeCapabilities.event,this._onWillDispose=this._register(new f.Emitter),this.onWillDispose=this._onWillDispose.event,this.disposed=!1}get editorId(){}get capabilities(){return 2}hasCapability(n){return n===0?this.capabilities===0:(this.capabilities&n)!=0}getName(){return`Editor ${this.typeId}`}getLabelExtraClasses(){return[]}getDescription(n){}getTitle(n){return this.getName()}getAriaLabel(){return this.getTitle(0)}getTelemetryDescriptor(){return{typeId:this.typeId}}isDirty(){return!1}isSaving(){return!1}async resolve(){return null}async save(n,I){return this}async saveAs(n,I){return this}async revert(n,I){}rename(n,I){}copy(){return this}matches(n){if(b(n))return this===n;const I=n.options?.override;return this.editorId===void 0||this.editorId!==I?!1:k.isEqual(this.resource,_.EditorResourceAccessor.getCanonicalUri(n))}prefersEditor(n){return D.firstOrDefault(n)}toUntyped(n,I){}isDisposed(){return this.disposed}dispose(){this.disposed||(this.disposed=!0,this._onWillDispose.fire()),super.dispose()}}e.EditorInput=y;function b(C){return C instanceof y}e.isEditorInput=b}),define(we[175],_e([0,1,15,3,40,6,10,94,9,7,96]),function(ne,e,f,R,D,_,k,y,b,C,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SingleUseTestCollection=e.TestTree=e.TestPosition=void 0;var I;(function(u){u[u.Disconnected=0]="Disconnected",u[u.IsChild=1]="IsChild",u[u.IsParent=2]="IsParent",u[u.IsSame=3]="IsSame"})(I=e.TestPosition||(e.TestPosition={}));class l{constructor(){this.map=new Map,this._roots=new Set,this.roots=this._roots}get size(){return this.map.size}add(o){if(this.map.has(o.item.extId))throw new Error(`Attempted to insert a duplicate test item ID ${o.item.extId}`);this.map.set(o.item.extId,o),o.parent||this._roots.add(o)}has(o){return this.map.has(o)}delete(o){const E=this.map.get(o);return E?(this.map.delete(o),this._roots.delete(E),!0):!1}get(o){return this.map.get(o)}comparePositions(o,E){const v=typeof o=="string"?this.map.get(o):o,S=typeof E=="string"?this.map.get(E):E;if(!v||!S)return 0;if(v===S)return 3;for(let d=this.map.get(S.parent);d;d=this.map.get(d.parent))if(d===v)return 1;for(let d=this.map.get(v.parent);d;d=this.map.get(d.parent))if(d===S)return 2;return 0}[Symbol.iterator](){return this.map.values()}}e.TestTree=l;class m extends _.Disposable{constructor(o){super();this.controllerId=o,this.testItemToInternal=new Map,this.debounceSendDiff=this._register(new f.RunOnceScheduler(()=>this.flushDiff(),200)),this.diffOpEmitter=this._register(new R.Emitter),this.root=new C.TestItemImpl(`${this.controllerId}Root`,this.controllerId,void 0,void 0,void 0),this.tree=new l,this.diff=[],this.onDidGenerateDiff=this.diffOpEmitter.event,this.addItemInner(this.root,null)}set resolveHandler(o){this._resolveHandler=o;for(const E of this.testItemToInternal.values())this.updateExpandability(E)}get roots(){return D.Iterable.filter(this.testItemToInternal.values(),o=>o.parent===null)}getTestByReference(o){return this.testItemToInternal.get(o)}collectDiff(){const o=this.diff;return this.diff=[],o}pushDiff(o){const E=this.diff[this.diff.length-1];if(E&&o[0]===1){if(E[0]===1&&E[1].extId===o[1].extId){n.applyTestItemUpdate(E[1],o[1]);return}if(E[0]===0&&E[1].item.extId===o[1].extId){n.applyTestItemUpdate(E[1],o[1]);return}}this.diff.push(o),this.debounceSendDiff.isScheduled()||this.debounceSendDiff.schedule()}expand(o,E){const v=this.tree.get(o);if(!!v){if((v.expandLevels===void 0||E>v.expandLevels)&&(v.expandLevels=E),v.expand===1){const S=this.resolveChildren(v);return S.isOpen()?this.expandChildren(v,E-1):S.wait().then(()=>this.expandChildren(v,E-1))}else if(v.expand===3)return v.resolveBarrier?.isOpen()===!1?v.resolveBarrier.wait().then(()=>this.expandChildren(v,E-1)):this.expandChildren(v,E-1)}}dispose(){for(const o of this.testItemToInternal.values())y.getPrivateApiFor(o.actual).bus.dispose();this.diff=[],super.dispose()}onTestItemEvent(o,E){const v=o?.actual.id;switch(E[0]){case 2:this.pushDiff([4,v]);break;case 1:this.removeItem(o);break;case 0:this.addItemInner(E[1],o);break;case 3:const[S,d,h]=E;switch(d){case"canResolveChildren":this.updateExpandability(o);break;case"range":this.pushDiff([1,{extId:v,item:{range:b.Range.from(h)}}]);break;case"error":this.pushDiff([1,{extId:v,item:{error:b.MarkdownString.fromStrict(h)||null}}]);break;default:this.pushDiff([1,{extId:v,item:{[d]:h??null}}]);break}break;default:k.assertNever(E[0])}}addItemInner(o,E){if(!(o instanceof C.TestItemImpl))throw new Error(`TestItems provided to the VS Code API must extend \`vscode.TestItem\`, but ${o.id} did not`);if(this.testItemToInternal.has(o))throw new Error(`Attempted to add a single TestItem ${o.id} multiple times to the tree`);if(this.tree.has(o.id))throw new Error(`Attempted to insert a duplicate test item ID ${o.id}`);const v=E?E.item.extId:null,S=E?E.expandLevels:1,d={actual:o,parent:v,item:b.TestItem.from(o),expandLevels:S?S-1:void 0,expand:0,controllerId:this.controllerId};this.tree.add(d),this.testItemToInternal.set(o,d),this.pushDiff([0,{parent:v,controllerId:this.controllerId,expand:d.expand,item:d.item}]);const h=y.getPrivateApiFor(o);h.bus.event(this.onTestItemEvent.bind(this,d)),this.updateExpandability(d);for(const g of h.children.values())this.testItemToInternal.has(g)||this.addItemInner(g,d)}updateExpandability(o){let E;this._resolveHandler?o.resolveBarrier?E=o.resolveBarrier.isOpen()?3:2:E=o.actual.canResolveChildren?1:0:E=0,E!==o.expand&&(o.expand=E,this.pushDiff([1,{extId:o.actual.id,expand:E}]),E===1&&o.expandLevels!==void 0&&this.resolveChildren(o))}expandChildren(o,E){if(E<0)return;const v=[...o.actual.children.values()].map(S=>this.expand(S.id,E)).filter(f.isThenable);if(v.length)return Promise.all(v).then(()=>{})}resolveChildren(o){if(o.resolveBarrier)return o.resolveBarrier;if(!this._resolveHandler){const S=new f.Barrier;return S.open(),S}o.expand=2,this.pushExpandStateUpdate(o);const E=o.resolveBarrier=new f.Barrier;let v;try{v=this._resolveHandler(o.actual)}catch(S){o.actual.error=S.stack||S.message}return f.isThenable(v)?v.catch(S=>o.actual.error=S.stack||S.message).then(()=>{E.open(),this.updateExpandability(o)}):(E.open(),this.updateExpandability(o)),o.resolveBarrier}pushExpandStateUpdate(o){this.pushDiff([1,{extId:o.actual.id,expand:o.expand}])}removeItem(o){this.pushDiff([2,o.actual.id]);const E=[o];for(;E.length;){const v=E.pop();if(!!v){this.tree.delete(v.item.extId),this.testItemToInternal.delete(v.actual);for(const S of v.actual.children.values())E.push(this.tree.get(S.id))}}}flushDiff(){const o=this.collectDiff();o.length&&this.diffOpEmitter.fire(o)}}e.SingleUseTestCollection=m}),define(we[176],_e([0,1,4,174]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.preferredSideBySideGroupDirection=e.isEditorGroup=e.OpenEditorContext=e.GroupChangeKind=e.GroupsOrder=e.isEditorReplacement=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.IEditorGroupsService=void 0,e.IEditorGroupsService=f.createDecorator("editorGroupsService");var D;(function(o){o[o.UP=0]="UP",o[o.DOWN=1]="DOWN",o[o.LEFT=2]="LEFT",o[o.RIGHT=3]="RIGHT"})(D=e.GroupDirection||(e.GroupDirection={}));var _;(function(o){o[o.HORIZONTAL=0]="HORIZONTAL",o[o.VERTICAL=1]="VERTICAL"})(_=e.GroupOrientation||(e.GroupOrientation={}));var k;(function(o){o[o.FIRST=0]="FIRST",o[o.LAST=1]="LAST",o[o.NEXT=2]="NEXT",o[o.PREVIOUS=3]="PREVIOUS"})(k=e.GroupLocation||(e.GroupLocation={}));var y;(function(o){o[o.MINIMIZE_OTHERS=0]="MINIMIZE_OTHERS",o[o.EVEN=1]="EVEN",o[o.TOGGLE=2]="TOGGLE"})(y=e.GroupsArrangement||(e.GroupsArrangement={}));var b;(function(o){o[o.COPY_EDITORS=0]="COPY_EDITORS",o[o.MOVE_EDITORS=1]="MOVE_EDITORS"})(b=e.MergeGroupMode||(e.MergeGroupMode={}));function C(o){const E=o;return!!E&&R.isEditorInput(E.editor)&&R.isEditorInput(E.replacement)}e.isEditorReplacement=C;var n;(function(o){o[o.CREATION_TIME=0]="CREATION_TIME",o[o.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",o[o.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(n=e.GroupsOrder||(e.GroupsOrder={}));var I;(function(o){o[o.GROUP_ACTIVE=0]="GROUP_ACTIVE",o[o.GROUP_INDEX=1]="GROUP_INDEX",o[o.EDITOR_OPEN=2]="EDITOR_OPEN",o[o.EDITOR_CLOSE=3]="EDITOR_CLOSE",o[o.EDITOR_MOVE=4]="EDITOR_MOVE",o[o.EDITOR_ACTIVE=5]="EDITOR_ACTIVE",o[o.EDITOR_LABEL=6]="EDITOR_LABEL",o[o.EDITOR_CAPABILITIES=7]="EDITOR_CAPABILITIES",o[o.EDITOR_PIN=8]="EDITOR_PIN",o[o.EDITOR_STICKY=9]="EDITOR_STICKY",o[o.EDITOR_DIRTY=10]="EDITOR_DIRTY"})(I=e.GroupChangeKind||(e.GroupChangeKind={}));var l;(function(o){o[o.NEW_EDITOR=1]="NEW_EDITOR",o[o.MOVE_EDITOR=2]="MOVE_EDITOR",o[o.COPY_EDITOR=3]="COPY_EDITOR"})(l=e.OpenEditorContext||(e.OpenEditorContext={}));function m(o){const E=o;return!!E&&typeof E.id=="number"&&Array.isArray(E.editors)}e.isEditorGroup=m;function u(o){return o.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.preferredSideBySideGroupDirection=u}),define(we[177],_e([0,1,4,146]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWorkbenchEnvironmentService=void 0,e.IWorkbenchEnvironmentService=f.refineServiceDecorator(R.IEnvironmentService)}),define(we[178],_e([0,1,26,3,14]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionDescriptionRegistry=e.DeltaExtensionsResult=void 0;class _{constructor(n){this.removedDueToLooping=n}}e.DeltaExtensionsResult=_;class k{constructor(n){this._onDidChange=new R.Emitter,this.onDidChange=this._onDidChange.event,this._extensionDescriptions=n,this._initialize()}_initialize(){this._extensionDescriptions.sort(b),this._extensionsMap=new Map,this._extensionsArr=[],this._activationMap=new Map;for(const n of this._extensionDescriptions){if(this._extensionsMap.has(f.ExtensionIdentifier.toKey(n.identifier))){console.error("Extension `"+n.identifier.value+"` is already registered");continue}if(this._extensionsMap.set(f.ExtensionIdentifier.toKey(n.identifier),n),this._extensionsArr.push(n),Array.isArray(n.activationEvents))for(let I of n.activationEvents)I==="onUri"&&(I=`onUri:${f.ExtensionIdentifier.toKey(n.identifier)}`),this._activationMap.has(I)||this._activationMap.set(I,[]),this._activationMap.get(I).push(n)}}keepOnly(n){const I=new Set;n.forEach(l=>I.add(f.ExtensionIdentifier.toKey(l))),this._extensionDescriptions=this._extensionDescriptions.filter(l=>I.has(f.ExtensionIdentifier.toKey(l.identifier))),this._initialize(),this._onDidChange.fire(void 0)}deltaExtensions(n,I){n.length>0&&(this._extensionDescriptions=this._extensionDescriptions.concat(n));const l=k._findLoopingExtensions(this._extensionDescriptions);if(I=I.concat(l.map(m=>m.identifier)),I.length>0){const m=new Set;I.forEach(u=>m.add(f.ExtensionIdentifier.toKey(u))),this._extensionDescriptions=this._extensionDescriptions.filter(u=>!m.has(f.ExtensionIdentifier.toKey(u.identifier)))}return this._initialize(),this._onDidChange.fire(void 0),new _(l)}static _findLoopingExtensions(n){const I=new class{constructor(){this._arcs=new Map,this._nodesSet=new Set,this._nodesArr=[]}addNode(E){this._nodesSet.has(E)||(this._nodesSet.add(E),this._nodesArr.push(E))}addArc(E,v){this.addNode(E),this.addNode(v),this._arcs.has(E)?this._arcs.get(E).push(v):this._arcs.set(E,[v])}getArcs(E){return this._arcs.has(E)?this._arcs.get(E):[]}hasOnlyGoodArcs(E,v){const S=I.getArcs(E);for(let d=0;d<S.length;d++)if(!v.has(S[d]))return!1;return!0}getNodes(){return this._nodesArr}};let l=new Map;for(let E of n){const v=f.ExtensionIdentifier.toKey(E.identifier);if(l.set(v,E),E.extensionDependencies)for(let S of E.extensionDependencies){const d=f.ExtensionIdentifier.toKey(S);I.addArc(v,d)}}let m=new Set;I.getNodes().filter(E=>I.getArcs(E).length===0).forEach(E=>m.add(E));let u=I.getNodes().filter(E=>!m.has(E)),o;do{o=!1;for(let E=0;E<u.length;E++){const v=u[E];I.hasOnlyGoodArcs(v,m)&&(u.splice(E,1),E--,m.add(v),o=!0)}}while(o);return u.map(E=>l.get(E))}containsActivationEvent(n){return this._activationMap.has(n)}containsExtension(n){return this._extensionsMap.has(f.ExtensionIdentifier.toKey(n))}getExtensionDescriptionsForActivationEvent(n){const I=this._activationMap.get(n);return I?I.slice(0):[]}getAllExtensionDescriptions(){return this._extensionsArr.slice(0)}getExtensionDescription(n){const I=this._extensionsMap.get(f.ExtensionIdentifier.toKey(n));return I||void 0}}e.ExtensionDescriptionRegistry=k;var y;(function(C){C[C.Builtin=0]="Builtin",C[C.User=1]="User",C[C.Dev=2]="Dev"})(y||(y={}));function b(C,n){const I=C.isBuiltin?0:C.isUnderDevelopment?2:1,l=n.isBuiltin?0:n.isUnderDevelopment?2:1;if(I!==l)return I-l;const m=D.posix.basename(C.extensionLocation.path),u=D.posix.basename(n.extensionLocation.path);return m<u?-1:m>u?1:0}}),define(we[179],_e([0,1,24]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMessageOfType=e.createMessageOfType=e.MessageType=e.ExtensionHostExitCode=void 0;var R;(function(y){y[y.VersionMismatch=55]="VersionMismatch",y[y.UnexpectedError=81]="UnexpectedError"})(R=e.ExtensionHostExitCode||(e.ExtensionHostExitCode={}));var D;(function(y){y[y.Initialized=0]="Initialized",y[y.Ready=1]="Ready",y[y.Terminate=2]="Terminate"})(D=e.MessageType||(e.MessageType={}));function _(y){const b=f.VSBuffer.alloc(1);switch(y){case 0:b.writeUInt8(1,0);break;case 1:b.writeUInt8(2,0);break;case 2:b.writeUInt8(3,0);break}return b}e.createMessageOfType=_;function k(y,b){if(y.byteLength!==1)return!1;switch(y.readUInt8(0)){case 1:return b===0;case 2:return b===1;case 3:return b===2;default:return!1}}e.isMessageOfType=k}),define(we[29],_e([0,1,3,2,4,26,147]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullExtensionService=e.toExtensionDescription=e.toExtension=e.throwProposedApiError=e.checkProposedApiEnabled=e.ActivationKind=e.ExtensionHostLogFileName=e.ExtensionPointContribution=e.ActivationTimes=e.ExtensionHostKind=e.MissingExtensionDependency=e.IExtensionService=e.webWorkerExtHostConfig=e.nullExtensionDescription=void 0,e.nullExtensionDescription=Object.freeze({identifier:new _.ExtensionIdentifier("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",enableProposedApi:!1,engines:{vscode:""},extensionLocation:R.URI.parse("void:location"),isBuiltin:!1}),e.webWorkerExtHostConfig="extensions.webWorker",e.IExtensionService=D.createDecorator("extensionService");class y{constructor(S){this.dependency=S}}e.MissingExtensionDependency=y;var b;(function(v){v[v.LocalProcess=0]="LocalProcess",v[v.LocalWebWorker=1]="LocalWebWorker",v[v.Remote=2]="Remote"})(b=e.ExtensionHostKind||(e.ExtensionHostKind={}));class C{constructor(S,d,h,g){this.codeLoadingTime=S,this.activateCallTime=d,this.activateResolvedTime=h,this.activationReason=g}}e.ActivationTimes=C;class n{constructor(S,d){this.description=S,this.value=d}}e.ExtensionPointContribution=n,e.ExtensionHostLogFileName="exthost";var I;(function(v){v[v.Normal=0]="Normal",v[v.Immediate=1]="Immediate"})(I=e.ActivationKind||(e.ActivationKind={}));function l(v){v.enableProposedApi||m(v)}e.checkProposedApiEnabled=l;function m(v){throw new Error(`[${v.identifier.value}]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ${v.identifier.value}`)}e.throwProposedApiError=m;function u(v){return{type:v.isBuiltin?0:1,isBuiltin:v.isBuiltin||v.isUserBuiltin,identifier:{id:k.getGalleryExtensionId(v.publisher,v.name),uuid:v.uuid},manifest:v,location:v.extensionLocation}}e.toExtension=u;function o(v,S){return{identifier:new _.ExtensionIdentifier(v.identifier.id),isBuiltin:v.type===0,isUserBuiltin:v.type===1&&v.isBuiltin,isUnderDevelopment:!!S,extensionLocation:v.location,...v.manifest,uuid:v.identifier.uuid}}e.toExtensionDescription=o;class E{constructor(){this.onDidRegisterExtensions=f.Event.None,this.onDidChangeExtensionsStatus=f.Event.None,this.onDidChangeExtensions=f.Event.None,this.onWillActivateByEvent=f.Event.None,this.onDidChangeResponsiveChange=f.Event.None}activateByEvent(S){return Promise.resolve(void 0)}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtensions(){return Promise.resolve([])}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(S){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPort(S){return Promise.resolve(0)}stopExtensionHosts(){}async restartExtensionHost(){}async startExtensionHosts(){}async setRemoteEnvironment(S){}canAddExtension(){return!1}canRemoveExtension(){return!1}_activateById(S,d){return Promise.resolve()}_onWillActivateExtension(S){}_onDidActivateExtension(S,d,h,g,t){}_onDidActivateExtensionError(S,d){}_onExtensionRuntimeError(S,d){}_onExtensionHostExit(S){}}e.NullExtensionService=E}),define(we[180],_e([0,1,26,29,16]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsActivator=e.FailedExtension=e.HostExtension=e.EmptyExtension=e.ActivatedExtension=e.ExtensionActivationTimesBuilder=e.ExtensionActivationTimes=void 0;const _=Promise.resolve(void 0);class k{constructor(u,o,E,v){this.startup=u,this.codeLoadingTime=o,this.activateCallTime=E,this.activateResolvedTime=v}}e.ExtensionActivationTimes=k,k.NONE=new k(!1,-1,-1,-1);class y{constructor(u){this._startup=u,this._codeLoadingStart=-1,this._codeLoadingStop=-1,this._activateCallStart=-1,this._activateCallStop=-1,this._activateResolveStart=-1,this._activateResolveStop=-1}_delta(u,o){return u===-1||o===-1?-1:o-u}build(){return new k(this._startup,this._delta(this._codeLoadingStart,this._codeLoadingStop),this._delta(this._activateCallStart,this._activateCallStop),this._delta(this._activateResolveStart,this._activateResolveStop))}codeLoadingStart(){this._codeLoadingStart=Date.now()}codeLoadingStop(){this._codeLoadingStop=Date.now()}activateCallStart(){this._activateCallStart=Date.now()}activateCallStop(){this._activateCallStop=Date.now()}activateResolveStart(){this._activateResolveStart=Date.now()}activateResolveStop(){this._activateResolveStop=Date.now()}}e.ExtensionActivationTimesBuilder=y;class b{constructor(u,o,E,v,S,d){this.activationFailed=u,this.activationFailedError=o,this.activationTimes=E,this.module=v,this.exports=S,this.subscriptions=d}}e.ActivatedExtension=b;class C extends b{constructor(u){super(!1,null,u,{activate:void 0,deactivate:void 0},void 0,[])}}e.EmptyExtension=C;class n extends b{constructor(){super(!1,null,k.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.HostExtension=n;class I extends b{constructor(u){super(!0,u,k.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.FailedExtension=I;let l=class{constructor(u,o,E,v,S){this._logService=S,this._registry=u,this._resolvedExtensionsSet=new Set,o.forEach(d=>this._resolvedExtensionsSet.add(f.ExtensionIdentifier.toKey(d))),this._hostExtensionsMap=new Map,E.forEach(d=>this._hostExtensionsMap.set(f.ExtensionIdentifier.toKey(d),d)),this._host=v,this._activatingExtensions=new Map,this._activatedExtensions=new Map,this._alreadyActivatedEvents=Object.create(null)}isActivated(u){const o=f.ExtensionIdentifier.toKey(u);return this._activatedExtensions.has(o)}getActivatedExtension(u){const o=f.ExtensionIdentifier.toKey(u),E=this._activatedExtensions.get(o);if(!E)throw new Error("Extension `"+u.value+"` is not known or not activated");return E}activateByEvent(u,o){if(this._alreadyActivatedEvents[u])return _;const E=this._registry.getExtensionDescriptionsForActivationEvent(u);return this._activateExtensions(E.map(v=>({id:v.identifier,reason:{startup:o,extensionId:v.identifier,activationEvent:u}}))).then(()=>{this._alreadyActivatedEvents[u]=!0})}activateById(u,o){const E=this._registry.getExtensionDescription(u);if(!E)throw new Error("Extension `"+u+"` is not known");return this._activateExtensions([{id:E.identifier,reason:o}])}_handleActivateRequest(u,o,E){if(this._hostExtensionsMap.has(f.ExtensionIdentifier.toKey(u.id))){o[f.ExtensionIdentifier.toKey(u.id)]=u;return}const v=this._registry.getExtensionDescription(u.id);if(!v){const h=new Error(`Cannot activate unknown extension '${u.id.value}'`);this._host.onExtensionActivationError(u.id,h,new R.MissingExtensionDependency(u.id.value)),this._activatedExtensions.set(f.ExtensionIdentifier.toKey(u.id),new I(h));return}const S=typeof v.extensionDependencies=="undefined"?[]:v.extensionDependencies;let d=!0;for(let h=0,g=S.length;h<g;h++){const t=S[h];if(this._resolvedExtensionsSet.has(f.ExtensionIdentifier.toKey(t)))continue;const r=this._activatedExtensions.get(f.ExtensionIdentifier.toKey(t));if(r&&!r.activationFailed)continue;if(r&&r.activationFailed){const w=v.displayName||v.identifier.value,p=this._registry.getExtensionDescription(t),P=p&&p.displayName||t,A=new Error(`Cannot activate the '${w}' extension because its dependency '${P}' failed to activate`);A.detail=r.activationFailedError,this._host.onExtensionActivationError(v.identifier,A,null),this._activatedExtensions.set(f.ExtensionIdentifier.toKey(v.identifier),new I(A));return}if(this._hostExtensionsMap.has(f.ExtensionIdentifier.toKey(t))){d=!1,o[f.ExtensionIdentifier.toKey(t)]={id:this._hostExtensionsMap.get(f.ExtensionIdentifier.toKey(t)),reason:u.reason};continue}const i=this._registry.getExtensionDescription(t);if(i){d=!1,o[f.ExtensionIdentifier.toKey(t)]={id:i.identifier,reason:u.reason};continue}const s=v.displayName||v.identifier.value,c=new Error(`Cannot activate the '${s}' extension because it depends on unknown extension '${t}'`);this._host.onExtensionActivationError(v.identifier,c,new R.MissingExtensionDependency(t)),this._activatedExtensions.set(f.ExtensionIdentifier.toKey(v.identifier),new I(c));return}d?o[f.ExtensionIdentifier.toKey(v.identifier)]=u:E.push(u)}_activateExtensions(u){if(u.length===0||(u=u.filter(S=>!this._activatedExtensions.has(f.ExtensionIdentifier.toKey(S.id))),u.length===0))return Promise.resolve(void 0);const o=Object.create(null),E=[];for(let S=0,d=u.length;S<d;S++)this._handleActivateRequest(u[S],o,E);for(let S=0,d=E.length;S<d;S++){const h=f.ExtensionIdentifier.toKey(E[S].id);o[h]&&delete o[h]}const v=Object.keys(o).map(S=>o[S]);return E.length===0?Promise.all(v.map(S=>this._activateExtension(S.id,S.reason))).then(S=>{}):this._activateExtensions(v).then(S=>this._activateExtensions(E))}_activateExtension(u,o){const E=f.ExtensionIdentifier.toKey(u);if(this._activatedExtensions.has(E))return Promise.resolve(void 0);const v=this._activatingExtensions.get(E);if(v)return v;const S=this._host.actualActivateExtension(u,o).then(void 0,d=>{const h=new Error;return d&&d.name&&(h.name=d.name),d&&d.message?h.message=`Activating extension '${u.value}' failed: ${d.message}.`:h.message=`Activating extension '${u.value}' failed: ${d}.`,d&&d.stack&&(h.stack=d.stack),this._host.onExtensionActivationError(u,h,null),this._logService.error(`Activating extension ${u.value} failed due to an error:`),this._logService.error(d),new I(d)}).then(d=>{this._activatedExtensions.set(E,d),this._activatingExtensions.delete(E)});return this._activatingExtensions.set(E,S),S}};l=We([He(4,D.ILogService)],l),e.ExtensionsActivator=l}),define(we[181],_e([0,1,12]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LazyPromise=void 0;class R{constructor(){this._actual=null,this._actualOk=null,this._actualErr=null,this._hasValue=!1,this._value=null,this._hasErr=!1,this._err=null}get[Symbol.toStringTag](){return this.toString()}_ensureActual(){return this._actual||(this._actual=new Promise((_,k)=>{this._actualOk=_,this._actualErr=k,this._hasValue&&this._actualOk(this._value),this._hasErr&&this._actualErr(this._err)})),this._actual}resolveOk(_){this._hasValue||this._hasErr||(this._hasValue=!0,this._value=_,this._actual&&this._actualOk(_))}resolveErr(_){this._hasValue||this._hasErr||(this._hasErr=!0,this._err=_,this._actual?this._actualErr(_):f.onUnexpectedError(_))}then(_,k){return this._ensureActual().then(_,k)}catch(_){return this._ensureActual().then(void 0,_)}finally(_){return this._ensureActual().finally(_)}}e.LazyPromise=R}),define(we[100],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getStringIdentifierForProxy=e.createExtHostContextProxyIdentifier=e.createMainContextProxyIdentifier=e.ProxyIdentifier=void 0;class f{constructor(b,C){this._proxyIdentifierBrand=void 0,this.isMain=b,this.sid=C,this.nid=++f.count}}e.ProxyIdentifier=f,f.count=0;const R=[];function D(y){const b=new f(!0,y);return R[b.nid]=b,b}e.createMainContextProxyIdentifier=D;function _(y){const b=new f(!1,y);return R[b.nid]=b,b}e.createExtHostContextProxyIdentifier=_;function k(y){return R[y].sid}e.getStringIdentifierForProxy=k}),define(we[5],_e([0,1,53,2,100]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostContext=e.MainContext=e.ExtHostTestingResource=e.reviveWorkspaceEditDto=e.WorkspaceEditType=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.IdObject=e.ObjectIdentifier=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.WebviewMessageArrayBufferViewType=e.WebviewEditorCapabilities=e.TextEditorRevealType=e.UIKind=void 0;var _;(function(d){d[d.Desktop=1]="Desktop",d[d.Web=2]="Web"})(_=e.UIKind||(e.UIKind={}));var k;(function(d){d[d.Default=0]="Default",d[d.InCenter=1]="InCenter",d[d.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",d[d.AtTop=3]="AtTop"})(k=e.TextEditorRevealType||(e.TextEditorRevealType={}));var y;(function(d){d[d.Editable=0]="Editable",d[d.SupportsHotExit=1]="SupportsHotExit"})(y=e.WebviewEditorCapabilities||(e.WebviewEditorCapabilities={}));var b;(function(d){d[d.Int8Array=1]="Int8Array",d[d.Uint8Array=2]="Uint8Array",d[d.Uint8ClampedArray=3]="Uint8ClampedArray",d[d.Int16Array=4]="Int16Array",d[d.Uint16Array=5]="Uint16Array",d[d.Int32Array=6]="Int32Array",d[d.Uint32Array=7]="Uint32Array",d[d.Float32Array=8]="Float32Array",d[d.Float64Array=9]="Float64Array",d[d.BigInt64Array=10]="BigInt64Array",d[d.BigUint64Array=11]="BigUint64Array"})(b=e.WebviewMessageArrayBufferViewType||(e.WebviewMessageArrayBufferViewType={}));var C;(function(d){d[d.Text=1]="Text",d[d.Error=2]="Error",d[d.Rich=3]="Rich"})(C=e.CellOutputKind||(e.CellOutputKind={}));var n;(function(d){d[d.Default=0]="Default",d[d.InCenter=1]="InCenter",d[d.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",d[d.AtTop=3]="AtTop"})(n=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));var I;(function(d){d[d.None=0]="None",d[d.Process=1]="Process",d[d.Output=2]="Output"})(I=e.CandidatePortSource||(e.CandidatePortSource={}));var l;(function(d){d.name="$ident";function h(t,r){return Object.defineProperty(t,d.name,{value:r,enumerable:!0}),t}d.mixin=h;function g(t){return t[d.name]}d.of=g})(l=e.ObjectIdentifier||(e.ObjectIdentifier={}));class m{static mixin(h){return h._id=m._n++,h}}e.IdObject=m,m._n=0;var u;(function(d){d.label="a",d.kind="b",d.detail="c",d.documentation="d",d.sortText="e",d.filterText="f",d.preselect="g",d.insertText="h",d.insertTextRules="i",d.range="j",d.commitCharacters="k",d.additionalTextEdits="l",d.command="m",d.kindModifier="n"})(u=e.ISuggestDataDtoField||(e.ISuggestDataDtoField={}));var o;(function(d){d.defaultRanges="a",d.completions="b",d.isIncomplete="c",d.duration="d"})(o=e.ISuggestResultDtoField||(e.ISuggestResultDtoField={}));var E;(function(d){d[d.File=1]="File",d[d.Text=2]="Text",d[d.Cell=3]="Cell"})(E=e.WorkspaceEditType||(e.WorkspaceEditType={}));function v(d){if(d&&d.edits)for(const h of d.edits)typeof h.resource=="object"?h.resource=R.URI.revive(h.resource):(h.newUri=R.URI.revive(h.newUri),h.oldUri=R.URI.revive(h.oldUri)),h.metadata&&h.metadata.iconPath&&(h.metadata=f.revive(h.metadata));return d}e.reviveWorkspaceEditDto=v;var S;(function(d){d[d.Workspace=0]="Workspace",d[d.TextDocument=1]="TextDocument"})(S=e.ExtHostTestingResource||(e.ExtHostTestingResource={})),e.MainContext={MainThreadAuthentication:D.createMainContextProxyIdentifier("MainThreadAuthentication"),MainThreadBulkEdits:D.createMainContextProxyIdentifier("MainThreadBulkEdits"),MainThreadClipboard:D.createMainContextProxyIdentifier("MainThreadClipboard"),MainThreadCommands:D.createMainContextProxyIdentifier("MainThreadCommands"),MainThreadComments:D.createMainContextProxyIdentifier("MainThreadComments"),MainThreadConfiguration:D.createMainContextProxyIdentifier("MainThreadConfiguration"),MainThreadConsole:D.createMainContextProxyIdentifier("MainThreadConsole"),MainThreadDebugService:D.createMainContextProxyIdentifier("MainThreadDebugService"),MainThreadDecorations:D.createMainContextProxyIdentifier("MainThreadDecorations"),MainThreadDiagnostics:D.createMainContextProxyIdentifier("MainThreadDiagnostics"),MainThreadDialogs:D.createMainContextProxyIdentifier("MainThreadDiaglogs"),MainThreadDocuments:D.createMainContextProxyIdentifier("MainThreadDocuments"),MainThreadDocumentContentProviders:D.createMainContextProxyIdentifier("MainThreadDocumentContentProviders"),MainThreadTextEditors:D.createMainContextProxyIdentifier("MainThreadTextEditors"),MainThreadEditorInsets:D.createMainContextProxyIdentifier("MainThreadEditorInsets"),MainThreadEditorTabs:D.createMainContextProxyIdentifier("MainThreadEditorTabs"),MainThreadErrors:D.createMainContextProxyIdentifier("MainThreadErrors"),MainThreadTreeViews:D.createMainContextProxyIdentifier("MainThreadTreeViews"),MainThreadDownloadService:D.createMainContextProxyIdentifier("MainThreadDownloadService"),MainThreadKeytar:D.createMainContextProxyIdentifier("MainThreadKeytar"),MainThreadLanguageFeatures:D.createMainContextProxyIdentifier("MainThreadLanguageFeatures"),MainThreadLanguages:D.createMainContextProxyIdentifier("MainThreadLanguages"),MainThreadLog:D.createMainContextProxyIdentifier("MainThread"),MainThreadMessageService:D.createMainContextProxyIdentifier("MainThreadMessageService"),MainThreadOutputService:D.createMainContextProxyIdentifier("MainThreadOutputService"),MainThreadProgress:D.createMainContextProxyIdentifier("MainThreadProgress"),MainThreadQuickOpen:D.createMainContextProxyIdentifier("MainThreadQuickOpen"),MainThreadStatusBar:D.createMainContextProxyIdentifier("MainThreadStatusBar"),MainThreadSecretState:D.createMainContextProxyIdentifier("MainThreadSecretState"),MainThreadStorage:D.createMainContextProxyIdentifier("MainThreadStorage"),MainThreadTelemetry:D.createMainContextProxyIdentifier("MainThreadTelemetry"),MainThreadTerminalService:D.createMainContextProxyIdentifier("MainThreadTerminalService"),MainThreadWebviews:D.createMainContextProxyIdentifier("MainThreadWebviews"),MainThreadWebviewPanels:D.createMainContextProxyIdentifier("MainThreadWebviewPanels"),MainThreadWebviewViews:D.createMainContextProxyIdentifier("MainThreadWebviewViews"),MainThreadCustomEditors:D.createMainContextProxyIdentifier("MainThreadCustomEditors"),MainThreadUrls:D.createMainContextProxyIdentifier("MainThreadUrls"),MainThreadUriOpeners:D.createMainContextProxyIdentifier("MainThreadUriOpeners"),MainThreadWorkspace:D.createMainContextProxyIdentifier("MainThreadWorkspace"),MainThreadFileSystem:D.createMainContextProxyIdentifier("MainThreadFileSystem"),MainThreadExtensionService:D.createMainContextProxyIdentifier("MainThreadExtensionService"),MainThreadSCM:D.createMainContextProxyIdentifier("MainThreadSCM"),MainThreadSearch:D.createMainContextProxyIdentifier("MainThreadSearch"),MainThreadTask:D.createMainContextProxyIdentifier("MainThreadTask"),MainThreadWindow:D.createMainContextProxyIdentifier("MainThreadWindow"),MainThreadLabelService:D.createMainContextProxyIdentifier("MainThreadLabelService"),MainThreadNotebook:D.createMainContextProxyIdentifier("MainThreadNotebook"),MainThreadNotebookDocuments:D.createMainContextProxyIdentifier("MainThreadNotebookDocumentsShape"),MainThreadNotebookEditors:D.createMainContextProxyIdentifier("MainThreadNotebookEditorsShape"),MainThreadNotebookKernels:D.createMainContextProxyIdentifier("MainThreadNotebookKernels"),MainThreadNotebookRenderers:D.createMainContextProxyIdentifier("MainThreadNotebookRenderers"),MainThreadInteractive:D.createMainContextProxyIdentifier("MainThreadInteractive"),MainThreadTheming:D.createMainContextProxyIdentifier("MainThreadTheming"),MainThreadTunnelService:D.createMainContextProxyIdentifier("MainThreadTunnelService"),MainThreadTimeline:D.createMainContextProxyIdentifier("MainThreadTimeline"),MainThreadTesting:D.createMainContextProxyIdentifier("MainThreadTesting")},e.ExtHostContext={ExtHostCommands:D.createExtHostContextProxyIdentifier("ExtHostCommands"),ExtHostConfiguration:D.createExtHostContextProxyIdentifier("ExtHostConfiguration"),ExtHostDiagnostics:D.createExtHostContextProxyIdentifier("ExtHostDiagnostics"),ExtHostDebugService:D.createExtHostContextProxyIdentifier("ExtHostDebugService"),ExtHostDecorations:D.createExtHostContextProxyIdentifier("ExtHostDecorations"),ExtHostDocumentsAndEditors:D.createExtHostContextProxyIdentifier("ExtHostDocumentsAndEditors"),ExtHostDocuments:D.createExtHostContextProxyIdentifier("ExtHostDocuments"),ExtHostDocumentContentProviders:D.createExtHostContextProxyIdentifier("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:D.createExtHostContextProxyIdentifier("ExtHostDocumentSaveParticipant"),ExtHostEditors:D.createExtHostContextProxyIdentifier("ExtHostEditors"),ExtHostTreeViews:D.createExtHostContextProxyIdentifier("ExtHostTreeViews"),ExtHostFileSystem:D.createExtHostContextProxyIdentifier("ExtHostFileSystem"),ExtHostFileSystemInfo:D.createExtHostContextProxyIdentifier("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:D.createExtHostContextProxyIdentifier("ExtHostFileSystemEventService"),ExtHostLanguageFeatures:D.createExtHostContextProxyIdentifier("ExtHostLanguageFeatures"),ExtHostQuickOpen:D.createExtHostContextProxyIdentifier("ExtHostQuickOpen"),ExtHostExtensionService:D.createExtHostContextProxyIdentifier("ExtHostExtensionService"),ExtHostLogService:D.createExtHostContextProxyIdentifier("ExtHostLogService"),ExtHostTerminalService:D.createExtHostContextProxyIdentifier("ExtHostTerminalService"),ExtHostSCM:D.createExtHostContextProxyIdentifier("ExtHostSCM"),ExtHostSearch:D.createExtHostContextProxyIdentifier("ExtHostSearch"),ExtHostTask:D.createExtHostContextProxyIdentifier("ExtHostTask"),ExtHostWorkspace:D.createExtHostContextProxyIdentifier("ExtHostWorkspace"),ExtHostWindow:D.createExtHostContextProxyIdentifier("ExtHostWindow"),ExtHostWebviews:D.createExtHostContextProxyIdentifier("ExtHostWebviews"),ExtHostWebviewPanels:D.createExtHostContextProxyIdentifier("ExtHostWebviewPanels"),ExtHostCustomEditors:D.createExtHostContextProxyIdentifier("ExtHostCustomEditors"),ExtHostWebviewViews:D.createExtHostContextProxyIdentifier("ExtHostWebviewViews"),ExtHostEditorInsets:D.createExtHostContextProxyIdentifier("ExtHostEditorInsets"),ExtHostEditorTabs:D.createExtHostContextProxyIdentifier("ExtHostEditorTabs"),ExtHostProgress:D.createMainContextProxyIdentifier("ExtHostProgress"),ExtHostComments:D.createMainContextProxyIdentifier("ExtHostComments"),ExtHostSecretState:D.createMainContextProxyIdentifier("ExtHostSecretState"),ExtHostStorage:D.createMainContextProxyIdentifier("ExtHostStorage"),ExtHostUrls:D.createExtHostContextProxyIdentifier("ExtHostUrls"),ExtHostUriOpeners:D.createExtHostContextProxyIdentifier("ExtHostUriOpeners"),ExtHostOutputService:D.createMainContextProxyIdentifier("ExtHostOutputService"),ExtHosLabelService:D.createMainContextProxyIdentifier("ExtHostLabelService"),ExtHostNotebook:D.createMainContextProxyIdentifier("ExtHostNotebook"),ExtHostNotebookDocuments:D.createMainContextProxyIdentifier("ExtHostNotebookDocuments"),ExtHostNotebookEditors:D.createMainContextProxyIdentifier("ExtHostNotebookEditors"),ExtHostNotebookKernels:D.createMainContextProxyIdentifier("ExtHostNotebookKernels"),ExtHostNotebookRenderers:D.createMainContextProxyIdentifier("ExtHostNotebookRenderers"),ExtHostInteractive:D.createMainContextProxyIdentifier("ExtHostInteractive"),ExtHostTheming:D.createMainContextProxyIdentifier("ExtHostTheming"),ExtHostTunnelService:D.createMainContextProxyIdentifier("ExtHostTunnelService"),ExtHostAuthentication:D.createMainContextProxyIdentifier("ExtHostAuthentication"),ExtHostTimeline:D.createMainContextProxyIdentifier("ExtHostTimeline"),ExtHostTesting:D.createMainContextProxyIdentifier("ExtHostTesting"),ExtHostTelemetry:D.createMainContextProxyIdentifier("ExtHostTelemetry")}}),define(we[68],_e([0,1,5,3,4]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostSecretState=e.ExtHostSecretState=void 0;class _{constructor(y){this._onDidChangePassword=new R.Emitter,this.onDidChangePassword=this._onDidChangePassword.event,this._proxy=y.getProxy(f.MainContext.MainThreadSecretState)}async $onDidChangePassword(y){this._onDidChangePassword.fire(y)}get(y,b){return this._proxy.$getPassword(y,b)}store(y,b,C){return this._proxy.$setPassword(y,b,C)}delete(y,b){return this._proxy.$deletePassword(y,b)}}e.ExtHostSecretState=_,e.IExtHostSecretState=D.createDecorator("IExtHostSecretState")}),define(we[69],_e([0,1,4,16,5,13]),function(ne,e,f,R,D,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullApiDeprecationService=e.ExtHostApiDeprecationService=e.IExtHostApiDeprecationService=void 0,e.IExtHostApiDeprecationService=f.createDecorator("IExtHostApiDeprecationService");let k=class{constructor(b,C){this._extHostLogService=C,this._reportedUsages=new Set,this._telemetryShape=b.getProxy(D.MainContext.MainThreadTelemetry)}report(b,C,n){const I=this.getUsageKey(b,C);this._reportedUsages.has(I)||(this._reportedUsages.add(I),C.isUnderDevelopment&&this._extHostLogService.warn(`[Deprecation Warning] '${b}' is deprecated. ${n}`),this._telemetryShape.$publicLog2("extHostDeprecatedApiUsage",{extensionId:C.identifier.value,apiId:b}))}getUsageKey(b,C){return`${b}-${C.identifier.value}`}};k=We([He(0,_.IExtHostRpcService),He(1,R.ILogService)],k),e.ExtHostApiDeprecationService=k,e.NullApiDeprecationService=Object.freeze(new class{report(y,b,C){}})}),define(we[182],_e([0,1,3,5,7,26]),function(ne,e,f,R,D,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostAuthentication=void 0;class k{constructor(b){this._authenticationProviders=new Map,this._providers=[],this._onDidChangeAuthenticationProviders=new f.Emitter,this.onDidChangeAuthenticationProviders=this._onDidChangeAuthenticationProviders.event,this._onDidChangeSessions=new f.Emitter,this.onDidChangeSessions=this._onDidChangeSessions.event,this._inFlightRequests=new Map,this._proxy=b.getProxy(R.MainContext.MainThreadAuthentication)}$setProviders(b){return this._providers=b,Promise.resolve()}get providers(){return Object.freeze(this._providers.slice())}async getSession(b,C,n,I={}){const l=_.ExtensionIdentifier.toKey(b.identifier),m=this._inFlightRequests.get(l)||[],u=[...n].sort().join(" ");let o=m.find(E=>E.scopes===u);if(o)return o.result;{const E=this._getSession(b,l,C,n,I);o={scopes:u,result:E},m.push(o),this._inFlightRequests.set(l,m);try{await E}finally{const v=m.findIndex(S=>S.scopes===u);v>-1&&(m.splice(v),this._inFlightRequests.set(l,m))}return E}}async _getSession(b,C,n,I,l={}){await this._proxy.$ensureProvider(n);const m=b.displayName||b.name;return this._proxy.$getSession(n,I,C,m,l)}async removeSession(b,C){const n=this._authenticationProviders.get(b);return n?n.provider.removeSession(C):this._proxy.$removeSession(b,C)}registerAuthenticationProvider(b,C,n,I){if(this._authenticationProviders.get(b))throw new Error(`An authentication provider with id '${b}' is already registered.`);this._authenticationProviders.set(b,{label:C,provider:n,options:I??{supportsMultipleAccounts:!1}}),this._providers.find(m=>m.id===b)||this._providers.push({id:b,label:C});const l=n.onDidChangeSessions(m=>{this._proxy.$sendDidChangeSessions(b,{added:m.added??[],changed:m.changed??[],removed:m.removed??[]})});return this._proxy.$registerAuthenticationProvider(b,C,I?.supportsMultipleAccounts??!1),new D.Disposable(()=>{l.dispose(),this._authenticationProviders.delete(b);const m=this._providers.findIndex(u=>u.id===b);m>-1&&this._providers.splice(m),this._proxy.$unregisterAuthenticationProvider(b)})}$createSession(b,C){const n=this._authenticationProviders.get(b);if(n)return Promise.resolve(n.provider.createSession(C));throw new Error(`Unable to find authentication provider with handle: ${b}`)}$removeSession(b,C){const n=this._authenticationProviders.get(b);if(n)return Promise.resolve(n.provider.removeSession(C));throw new Error(`Unable to find authentication provider with handle: ${b}`)}$getSessions(b,C){const n=this._authenticationProviders.get(b);if(n)return Promise.resolve(n.provider.getSessions(C));throw new Error(`Unable to find authentication provider with handle: ${b}`)}$onDidChangeAuthenticationSessions(b,C){return this._onDidChangeSessions.fire({provider:{id:b,label:C}}),Promise.resolve()}$onDidChangeAuthenticationProviders(b,C){return b.forEach(n=>{this._providers.some(I=>I.id===n.id)||this._providers.push(n)}),C.forEach(n=>{const I=this._providers.findIndex(l=>l.id===n.id);I>-1&&this._providers.splice(I)}),this._onDidChangeAuthenticationProviders.fire({added:b,removed:C}),Promise.resolve()}}e.ExtHostAuthentication=k}),define(we[183],_e([0,1,5,13,9]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostBulkEdits=void 0;let _=class{constructor(y,b){this._extHostDocumentsAndEditors=b,this._proxy=y.getProxy(f.MainContext.MainThreadBulkEdits)}applyWorkspaceEdit(y){const b=D.WorkspaceEdit.from(y,this._extHostDocumentsAndEditors);return this._proxy.$tryApplyWorkspaceEdit(b)}};_=We([He(0,R.IExtHostRpcService)],_),e.ExtHostBulkEdits=_}),define(we[184],_e([0,1,5]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostClipboard=void 0;class R{constructor(_){const k=_.getProxy(f.MainContext.MainThreadClipboard);this.value=Object.freeze({readText(){return k.$readText()},writeText(y){return k.$writeText(y)}})}}e.ExtHostClipboard=R}),define(we[70],_e([0,1,10,7,9,25,5,17,16,53,30,35,2,6,4,13]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m,u,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApiCommand=e.ApiCommandResult=e.ApiCommandArgument=e.CommandsConverter=e.IExtHostCommands=e.ExtHostCommands=void 0;let E=class{constructor(t,r){this._commands=new Map,this._apiCommands=new Map,this._proxy=t.getProxy(k.MainContext.MainThreadCommands),this._logService=r,this.converter=new v(this,i=>{const s=this._apiCommands.get(i);return s?.result===d.Void?s:void 0},r),this._argumentProcessors=[{processArgument(i){return C.revive(i)}},{processArgument(i){return _.cloneAndChange(i,function(s){if(n.Range.isIRange(s))return D.Range.to(s);if(I.Position.isIPosition(s))return D.Position.to(s);if(n.Range.isIRange(s.range)&&l.URI.isUri(s.uri))return D.location.to(s);if(!Array.isArray(s))return s})}}]}registerArgumentProcessor(t){this._argumentProcessors.push(t)}registerApiCommand(t){const r=this.registerCommand(!1,t.id,async(...i)=>{const s=t.args.map((w,p)=>{if(!w.validate(i[p]))throw new Error(`Invalid argument '${w.name}' when running '${t.id}', received: ${i[p]}`);return w.convert(i[p])}),c=await this.executeCommand(t.internalId,...s);return t.result.convert(c,i,this.converter)},void 0,{description:t.description,args:t.args,returns:t.result.description});return this._apiCommands.set(t.id,t),new R.Disposable(()=>{r.dispose(),this._apiCommands.delete(t.id)})}registerCommand(t,r,i,s,c){if(this._logService.trace("ExtHostCommands#registerCommand",r),!r.trim().length)throw new Error("invalid id");if(this._commands.has(r))throw new Error(`command '${r}' already exists`);return this._commands.set(r,{callback:i,thisArg:s,description:c}),t&&this._proxy.$registerCommand(r),new R.Disposable(()=>{this._commands.delete(r)&&t&&this._proxy.$unregisterCommand(r)})}executeCommand(t,...r){return this._logService.trace("ExtHostCommands#executeCommand",t),this._doExecuteCommand(t,r,!0)}async _doExecuteCommand(t,r,i){if(this._commands.has(t))return this._executeContributedCommand(t,r);{const s=_.cloneAndChange(r,function(c){if(c instanceof R.Position)return D.Position.from(c);if(c instanceof R.Range)return D.Range.from(c);if(c instanceof R.Location)return D.location.from(c);if(R.NotebookRange.isNotebookRange(c))return D.NotebookRange.from(c);if(!Array.isArray(c))return c});try{const c=await this._proxy.$executeCommand(t,s,i);return C.revive(c)}catch(c){if(c instanceof Error&&c.message==="$executeCommand:retry")return this._doExecuteCommand(t,r,!1);throw c}}}async _executeContributedCommand(t,r){const i=this._commands.get(t);if(!i)throw new Error("Unknown command");let{callback:s,thisArg:c,description:w}=i;if(w)for(let p=0;p<w.args.length;p++)try{f.validateConstraint(r[p],w.args[p].constraint)}catch(P){throw new Error(`Running the contributed command: '${t}' failed. Illegal argument '${w.args[p].name}' - ${w.args[p].description}`)}try{return await s.apply(c,r)}catch(p){if(t===this.converter.delegatingCommandId){const P=this.converter.getActualCommand(...r);P&&(t=P.command)}throw this._logService.error(p,t),new Error(`Running the contributed command: '${t}' failed.`)}}$executeContributedCommand(t,...r){return this._logService.trace("ExtHostCommands#$executeContributedCommand",t),this._commands.has(t)?(r=r.map(i=>this._argumentProcessors.reduce((s,c)=>c.processArgument(s),i)),this._executeContributedCommand(t,r)):Promise.reject(new Error(`Contributed command '${t}' does not exist.`))}getCommands(t=!1){return this._logService.trace("ExtHostCommands#getCommands",t),this._proxy.$getCommands().then(r=>(t&&(r=r.filter(i=>i[0]!=="_")),r))}$getContributedCommandHandlerDescriptions(){const t=Object.create(null);for(let[r,i]of this._commands){let{description:s}=i;s&&(t[r]=s)}return Promise.resolve(t)}};E=We([He(0,o.IExtHostRpcService),He(1,b.ILogService)],E),e.ExtHostCommands=E,e.IExtHostCommands=u.createDecorator("IExtHostCommands");class v{constructor(t,r,i){this._commands=t,this._lookupApiCommand=r,this._logService=i,this.delegatingCommandId=`_vscode_delegate_cmd_${Date.now().toString(36)}`,this._cache=new Map,this._cachIdPool=0,this._commands.registerCommand(!0,this.delegatingCommandId,this._executeConvertedCommand,this)}toInternal(t,r){if(!t)return;const i={$ident:void 0,id:t.command,title:t.title,tooltip:t.tooltip};if(!t.command)return i;const s=this._lookupApiCommand(t.command);if(s)i.id=s.internalId,i.arguments=s.args.map((c,w)=>c.convert(t.arguments&&t.arguments[w]));else if(y.isNonEmptyArray(t.arguments)){const c=++this._cachIdPool;this._cache.set(c,t),r.add(m.toDisposable(()=>{this._cache.delete(c),this._logService.trace("CommandsConverter#DISPOSE",c)})),i.$ident=c,i.id=this.delegatingCommandId,i.arguments=[c],this._logService.trace("CommandsConverter#CREATE",t.command,c)}return i}fromInternal(t){const r=k.ObjectIdentifier.of(t);return typeof r=="number"?this._cache.get(r):{command:t.id,title:t.title,arguments:t.arguments}}getActualCommand(...t){return this._cache.get(t[0])}_executeConvertedCommand(...t){const r=this.getActualCommand(...t);return this._logService.trace("CommandsConverter#EXECUTE",t[0],r?r.command:"MISSING"),r?this._commands.executeCommand(r.command,...r.arguments||[]):Promise.reject("actual command NOT FOUND")}}e.CommandsConverter=v;class S{constructor(t,r,i,s){this.name=t,this.description=r,this.validate=i,this.convert=s}optional(){return new S(this.name,`(optional) ${this.description}`,t=>t==null||this.validate(t),t=>t===void 0?void 0:t===null?null:this.convert(t))}with(t,r){return new S(t??this.name,r??this.description,this.validate,this.convert)}}e.ApiCommandArgument=S,S.Uri=new S("uri","Uri of a text document",g=>l.URI.isUri(g),g=>g),S.Position=new S("position","A position in a text document",g=>R.Position.isPosition(g),D.Position.from),S.Range=new S("range","A range in a text document",g=>R.Range.isRange(g),D.Range.from),S.Selection=new S("selection","A selection in a text document",g=>R.Selection.isSelection(g),D.Selection.from),S.Number=new S("number","",g=>typeof g=="number",g=>g),S.String=new S("string","",g=>typeof g=="string",g=>g),S.CallHierarchyItem=new S("item","A call hierarchy item",g=>g instanceof R.CallHierarchyItem,D.CallHierarchyItem.to);class d{constructor(t,r){this.description=t,this.convert=r}}e.ApiCommandResult=d,d.Void=new d("no result",g=>g);class h{constructor(t,r,i,s,c){this.id=t,this.internalId=r,this.description=i,this.args=s,this.result=c}}e.ApiCommand=h}),define(we[185],_e([0,1,9,7,57,70,17,86]),function(ne,e,f,R,D,_,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostApiCommands=void 0;const b=[new _.ApiCommand("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Position],new _.ApiCommandResult("A promise that resolves to an array of DocumentHighlight-instances.",n(f.DocumentHighlight.to))),new _.ApiCommand("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[_.ApiCommandArgument.Uri],new _.ApiCommandResult("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",(l,m)=>{if(k.isFalsyOrEmpty(l))return;class u extends R.SymbolInformation{static to(E){const v=new u(E.name,f.SymbolKind.to(E.kind),E.containerName||"",new R.Location(m[0],f.Range.to(E.range)));return v.detail=E.detail,v.range=v.location.range,v.selectionRange=f.Range.to(E.selectionRange),v.children=E.children?E.children.map(u.to):[],v}}return l.map(u.to)})),new _.ApiCommand("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[_.ApiCommandArgument.Uri,new _.ApiCommandArgument("options","Formatting options",l=>!0,l=>l)],new _.ApiCommandResult("A promise that resolves to an array of TextEdits.",n(f.TextEdit.to))),new _.ApiCommand("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Range,new _.ApiCommandArgument("options","Formatting options",l=>!0,l=>l)],new _.ApiCommandResult("A promise that resolves to an array of TextEdits.",n(f.TextEdit.to))),new _.ApiCommand("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Position,new _.ApiCommandArgument("ch","Trigger character",l=>typeof l=="string",l=>l),new _.ApiCommandArgument("options","Formatting options",l=>!0,l=>l)],new _.ApiCommandResult("A promise that resolves to an array of TextEdits.",n(f.TextEdit.to))),new _.ApiCommand("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Position],new _.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",I)),new _.ApiCommand("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Position],new _.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",I)),new _.ApiCommand("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Position],new _.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",I)),new _.ApiCommand("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Position],new _.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",I)),new _.ApiCommand("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Position],new _.ApiCommandResult("A promise that resolves to an array of Location-instances.",n(f.location.to))),new _.ApiCommand("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Position],new _.ApiCommandResult("A promise that resolves to an array of Hover-instances.",n(f.Hover.to))),new _.ApiCommand("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[_.ApiCommandArgument.Uri,new _.ApiCommandArgument("position","A position in a text document",l=>Array.isArray(l)&&l.every(m=>R.Position.isPosition(m)),l=>l.map(f.Position.from))],new _.ApiCommandResult("A promise that resolves to an array of ranges.",l=>l.map(m=>{let u;for(const o of m.reverse())u=new R.SelectionRange(f.Range.to(o),u);return u}))),new _.ApiCommand("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[_.ApiCommandArgument.String.with("query","Search string")],new _.ApiCommandResult("A promise that resolves to an array of SymbolInformation-instances.",l=>{const m=[];if(Array.isArray(l))for(let u of l)m.push(...u[1].map(f.WorkspaceSymbol.to));return m})),new _.ApiCommand("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Position],new _.ApiCommandResult("A CallHierarchyItem or undefined",l=>l.map(f.CallHierarchyItem.to))),new _.ApiCommand("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[_.ApiCommandArgument.CallHierarchyItem],new _.ApiCommandResult("A CallHierarchyItem or undefined",l=>l.map(f.CallHierarchyIncomingCall.to))),new _.ApiCommand("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[_.ApiCommandArgument.CallHierarchyItem],new _.ApiCommandResult("A CallHierarchyItem or undefined",l=>l.map(f.CallHierarchyOutgoingCall.to))),new _.ApiCommand("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Position,_.ApiCommandArgument.String.with("newName","The new symbol name")],new _.ApiCommandResult("A promise that resolves to a WorkspaceEdit.",l=>{if(!!l){if(l.rejectReason)throw new Error(l.rejectReason);return f.WorkspaceEdit.to(l)}})),new _.ApiCommand("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new _.ApiCommandResult("A promise that resolves to an array of DocumentLink-instances.",l=>l.map(f.DocumentLink.to))),new _.ApiCommand("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[_.ApiCommandArgument.Uri],new _.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",l=>{if(!!l)return new R.SemanticTokensLegend(l.tokenTypes,l.tokenModifiers)})),new _.ApiCommand("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[_.ApiCommandArgument.Uri],new _.ApiCommandResult("A promise that resolves to SemanticTokens.",l=>{if(!l)return;const m=y.decodeSemanticTokensDto(l);if(m.type==="full")return new R.SemanticTokens(m.data,void 0)})),new _.ApiCommand("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[_.ApiCommandArgument.Uri],new _.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",l=>{if(!!l)return new R.SemanticTokensLegend(l.tokenTypes,l.tokenModifiers)})),new _.ApiCommand("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Range],new _.ApiCommandResult("A promise that resolves to SemanticTokens.",l=>{if(!l)return;const m=y.decodeSemanticTokensDto(l);if(m.type==="full")return new R.SemanticTokens(m.data,void 0)})),new _.ApiCommand("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Position,_.ApiCommandArgument.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),_.ApiCommandArgument.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new _.ApiCommandResult("A promise that resolves to a CompletionList-instance.",(l,m,u)=>{if(!l)return new R.CompletionList([]);const o=l.suggestions.map(E=>f.CompletionItem.to(E,u));return new R.CompletionList(o,l.incomplete)})),new _.ApiCommand("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Position,_.ApiCommandArgument.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new _.ApiCommandResult("A promise that resolves to SignatureHelp.",l=>{if(l)return f.SignatureHelp.to(l)})),new _.ApiCommand("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new _.ApiCommandResult("A promise that resolves to an array of CodeLens-instances.",(l,m,u)=>n(o=>new R.CodeLens(f.Range.to(o.range),o.command&&u.fromInternal(o.command)))(l))),new _.ApiCommand("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[_.ApiCommandArgument.Uri,new _.ApiCommandArgument("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",l=>R.Range.isRange(l),l=>R.Selection.isSelection(l)?f.Selection.from(l):f.Range.from(l)),_.ApiCommandArgument.String.with("kind","Code action kind to return code actions for").optional(),_.ApiCommandArgument.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new _.ApiCommandResult("A promise that resolves to an array of Command-instances.",(l,m,u)=>n(o=>{if(o._isSynthetic){if(!o.command)throw new Error("Synthetic code actions must have a command");return u.fromInternal(o.command)}else{const E=new R.CodeAction(o.title,o.kind?new R.CodeActionKind(o.kind):void 0);return o.edit&&(E.edit=f.WorkspaceEdit.to(o.edit)),o.command&&(E.command=u.fromInternal(o.command)),E.isPreferred=o.isPreferred,E}})(l))),new _.ApiCommand("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[_.ApiCommandArgument.Uri],new _.ApiCommandResult("A promise that resolves to an array of ColorInformation objects.",l=>l?l.map(m=>new R.ColorInformation(f.Range.to(m.range),f.Color.to(m.color))):[])),new _.ApiCommand("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new _.ApiCommandArgument("color","The color to show and insert",l=>l instanceof R.Color,f.Color.from),new _.ApiCommandArgument("context","Context object with uri and range",l=>!0,l=>({uri:l.uri,range:f.Range.from(l.range)}))],new _.ApiCommandResult("A promise that resolves to an array of ColorPresentation objects.",l=>l?l.map(f.ColorPresentation.to):[])),new _.ApiCommand("vscode.executeInlayHintProvider","_executeInlayHintProvider","Execute inlay hints provider",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Range],new _.ApiCommandResult("A promise that resolves to an array of Inlay objects",l=>l.map(f.InlayHint.to))),new _.ApiCommand("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new _.ApiCommandResult("A promise that resolves to an array of NotebookContentProvider static info objects.",n(l=>({viewType:l.viewType,displayName:l.displayName,options:{transientOutputs:l.options.transientOutputs,transientCellMetadata:l.options.transientCellMetadata,transientDocumentMetadata:l.options.transientDocumentMetadata},filenamePattern:l.filenamePattern.map(m=>f.NotebookExclusiveDocumentPattern.to(m))})))),new _.ApiCommand("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[_.ApiCommandArgument.Uri,_.ApiCommandArgument.Range],new _.ApiCommandResult("A promise that resolves to an array of InlineValue objects",l=>l.map(f.InlineValue.to))),new _.ApiCommand("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[_.ApiCommandArgument.Uri,new _.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",l=>l===void 0||typeof l=="number"||typeof l=="object",l=>l&&(typeof l=="number"?[l,void 0]:[f.ViewColumn.from(l.viewColumn),f.TextEditorOpenOptions.from(l)])).optional(),_.ApiCommandArgument.String.with("label","").optional()],_.ApiCommandResult.Void),new _.ApiCommand("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[_.ApiCommandArgument.Uri.with("resource","Resource to open"),_.ApiCommandArgument.String.with("viewId","Custom editor view id or 'default' to use VS Code's default editor"),new _.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",l=>l===void 0||typeof l=="number"||typeof l=="object",l=>l&&(typeof l=="number"?[l,void 0]:[f.ViewColumn.from(l.viewColumn),f.TextEditorOpenOptions.from(l)])).optional()],_.ApiCommandResult.Void),new _.ApiCommand("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[_.ApiCommandArgument.Uri.with("left","Left-hand side resource of the diff editor"),_.ApiCommandArgument.Uri.with("right","Right-hand side resource of the diff editor"),_.ApiCommandArgument.String.with("title","Human readable title for the diff editor").optional(),new _.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",l=>l===void 0||typeof l=="object",l=>l&&[f.ViewColumn.from(l.viewColumn),f.TextEditorOpenOptions.from(l)]).optional()],_.ApiCommandResult.Void)];class C{static register(m){b.forEach(m.registerApiCommand,m)}}e.ExtHostApiCommands=C;function n(l){return m=>{if(Array.isArray(m))return m.map(l)}}function I(l){if(!Array.isArray(l))return;const m=[];for(const u of l)D.isLocationLink(u)?m.push(f.DefinitionLink.to(u)):m.push(f.location.to(u));return m}}),define(we[186],_e([0,1,15,48,3,6,2,57,26,9,7,5]),function(ne,e,f,R,D,_,k,y,b,C,n,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCommentThread=e.ExtHostComments=void 0;class l{constructor(h,g,t){this._documents=t,this._commentControllers=new Map,this._commentControllersByExtension=new Map,this._proxy=h.getProxy(I.MainContext.MainThreadComments),g.registerArgumentProcessor({processArgument:r=>{if(r&&r.$mid===6){const i=this._commentControllers.get(r.handle);return i||r}else if(r&&r.$mid===7){const i=this._commentControllers.get(r.commentControlHandle);if(!i)return r;const s=i.getCommentThread(r.commentThreadHandle);return s||r}else if(r&&r.$mid===8){const i=this._commentControllers.get(r.thread.commentControlHandle);if(!i)return r;const s=i.getCommentThread(r.thread.commentThreadHandle);return s?{thread:s,text:r.text}:r}else if(r&&r.$mid===9){const i=this._commentControllers.get(r.thread.commentControlHandle);if(!i)return r;const s=i.getCommentThread(r.thread.commentThreadHandle);if(!s)return r;let c=r.commentUniqueId,w=s.getCommentByUniqueId(c);return w||r}else if(r&&r.$mid===10){const i=this._commentControllers.get(r.thread.commentControlHandle);if(!i)return r;const s=i.getCommentThread(r.thread.commentThreadHandle);if(!s)return r;let c=r.text,w=r.commentUniqueId,p=s.getCommentByUniqueId(w);return p?(p.body=c,p):r}return r}})}createCommentController(h,g,t){const r=l.handlePool++,i=new u(h,r,this._proxy,g,t);this._commentControllers.set(i.handle,i);const s=this._commentControllersByExtension.get(b.ExtensionIdentifier.toKey(h.identifier))||[];return s.push(i),this._commentControllersByExtension.set(b.ExtensionIdentifier.toKey(h.identifier),s),i}$createCommentThreadTemplate(h,g,t){const r=this._commentControllers.get(h);!r||r.$createCommentThreadTemplate(g,t)}async $updateCommentThreadTemplate(h,g,t){const r=this._commentControllers.get(h);!r||r.$updateCommentThreadTemplate(g,t)}$deleteCommentThread(h,g){const t=this._commentControllers.get(h);t&&t.$deleteCommentThread(g)}$provideCommentingRanges(h,g,t){const r=this._commentControllers.get(h);if(!r||!r.commentingRangeProvider)return Promise.resolve(void 0);const i=this._documents.getDocument(k.URI.revive(g));return f.asPromise(()=>r.commentingRangeProvider.provideCommentingRanges(i,t)).then(s=>s?s.map(c=>C.Range.from(c)):void 0)}$toggleReaction(h,g,t,r,i){const s=this._commentControllers.get(h);return!s||!s.reactionHandler?Promise.resolve(void 0):f.asPromise(()=>{const c=s.getCommentThread(g);if(c){const w=c.getCommentByUniqueId(r.uniqueIdInThread);if(s!==void 0&&w&&s.reactionHandler)return s.reactionHandler(w,v(i))}return Promise.resolve(void 0)})}dispose(){}}e.ExtHostComments=l,l.handlePool=0;class m{constructor(h,g,t,r,i,s,c){this._proxy=h,this._commentController=g,this._id=t,this._uri=r,this._range=i,this._comments=s,this.handle=m._handlePool++,this.commentHandle=0,this.modifications=Object.create(null),this._onDidUpdateCommentThread=new D.Emitter,this.onDidUpdateCommentThread=this._onDidUpdateCommentThread.event,this._canReply=!0,this._commentsMap=new Map,this._acceptInputDisposables=new _.MutableDisposable,this._acceptInputDisposables.value=new _.DisposableStore,this._id===void 0&&(this._id=`${g.id}.${this.handle}`),this._proxy.$createCommentThread(this._commentController.handle,this.handle,this._id,this._uri,C.Range.from(this._range),c),this._localDisposables=[],this._isDiposed=!1,this._localDisposables.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=s}set threadId(h){this._id=h}get threadId(){return this._id}get id(){return this._id}get resource(){return this._uri}get uri(){return this._uri}set range(h){h.isEqual(this._range)||(this._range=h,this.modifications.range=h,this._onDidUpdateCommentThread.fire())}get range(){return this._range}set canReply(h){this._canReply!==h&&(this._canReply=h,this.modifications.canReply=h,this._onDidUpdateCommentThread.fire())}get canReply(){return this._canReply}get label(){return this._label}set label(h){this._label=h,this.modifications.label=h,this._onDidUpdateCommentThread.fire()}get contextValue(){return this._contextValue}set contextValue(h){this._contextValue=h,this.modifications.contextValue=h,this._onDidUpdateCommentThread.fire()}get comments(){return this._comments}set comments(h){this._comments=h,this.modifications.comments=h,this._onDidUpdateCommentThread.fire()}get collapsibleState(){return this._collapseState}set collapsibleState(h){this._collapseState=h,this.modifications.collapsibleState=h,this._onDidUpdateCommentThread.fire()}get isDisposed(){return this._isDiposed}eventuallyUpdateCommentThread(){if(this._isDiposed)return;this._acceptInputDisposables.value||(this._acceptInputDisposables.value=new _.DisposableStore);const h=t=>Object.prototype.hasOwnProperty.call(this.modifications,t),g={};h("range")&&(g.range=C.Range.from(this._range)),h("label")&&(g.label=this.label),h("contextValue")&&(g.contextValue=this.contextValue),h("comments")&&(g.comments=this._comments.map(t=>o(this,this._commentController,t,this._commentsMap))),h("collapsibleState")&&(g.collapseState=S(this._collapseState)),h("canReply")&&(g.canReply=this.canReply),this.modifications={},this._proxy.$updateCommentThread(this._commentController.handle,this.handle,this._id,this._uri,g)}getCommentByUniqueId(h){for(let g of this._commentsMap){let t=g[0],r=g[1];if(h===r)return t}}dispose(){this._isDiposed=!0,this._acceptInputDisposables.dispose(),this._localDisposables.forEach(h=>h.dispose()),this._proxy.$deleteCommentThread(this._commentController.handle,this.handle)}}m._handlePool=0,We([R.debounce(100)],m.prototype,"eventuallyUpdateCommentThread",null),e.ExtHostCommentThread=m;class u{constructor(h,g,t,r,i){this._extension=h,this._handle=g,this._proxy=t,this._id=r,this._label=i,this._threads=new Map,this._proxy.$registerCommentController(this.handle,r,i)}get id(){return this._id}get label(){return this._label}get handle(){return this._handle}get reactionHandler(){return this._reactionHandler}set reactionHandler(h){this._reactionHandler=h,this._proxy.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!h})}get options(){return this._options}set options(h){this._options=h,this._proxy.$updateCommentControllerFeatures(this.handle,{options:this._options})}createCommentThread(h,g,t,r){if(typeof h=="string"){const i=new m(this._proxy,this,h,g,t,r,this._extension.identifier);return this._threads.set(i.handle,i),i}else{const i=new m(this._proxy,this,void 0,h,g,t,this._extension.identifier);return this._threads.set(i.handle,i),i}}$createCommentThreadTemplate(h,g){const t=new m(this._proxy,this,void 0,k.URI.revive(h),C.Range.to(g),[],this._extension.identifier);return t.collapsibleState=y.CommentThreadCollapsibleState.Expanded,this._threads.set(t.handle,t),t}$updateCommentThreadTemplate(h,g){let t=this._threads.get(h);t&&(t.range=C.Range.to(g))}$deleteCommentThread(h){let g=this._threads.get(h);g&&g.dispose(),this._threads.delete(h)}getCommentThread(h){return this._threads.get(h)}dispose(){this._threads.forEach(h=>{h.dispose()}),this._proxy.$unregisterCommentController(this.handle)}}function o(d,h,g,t){let r=t.get(g);r||(r=++d.commentHandle,t.set(g,r));const i=g.author&&g.author.iconPath?g.author.iconPath.toString():void 0;return{mode:g.mode,contextValue:g.contextValue,uniqueIdInThread:r,body:C.MarkdownString.from(g.body),userName:g.author.name,userIconPath:i,label:g.label,commentReactions:g.reactions?g.reactions.map(s=>E(s)):void 0}}function E(d){return{label:d.label,iconPath:d.iconPath?C.pathOrURIToURI(d.iconPath):void 0,count:d.count,hasReacted:d.authorHasReacted}}function v(d){return{label:d.label||"",count:d.count||0,iconPath:d.iconPath?k.URI.revive(d.iconPath):"",authorHasReacted:d.hasReacted||!1}}function S(d){if(d!==void 0)switch(d){case n.CommentThreadCollapsibleState.Expanded:return y.CommentThreadCollapsibleState.Expanded;case n.CommentThreadCollapsibleState.Collapsed:return y.CommentThreadCollapsibleState.Collapsed}return y.CommentThreadCollapsibleState.Collapsed}}),define(we[101],_e([0,1,2,5,7,4,13,16,17,8,14]),function(ne,e,f,R,D,_,k,y,b,C,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDecorations=e.ExtHostDecorations=void 0;let I=class En{constructor(m,u){this._logService=u,this._provider=new Map,this._proxy=m.getProxy(R.MainContext.MainThreadDecorations)}registerFileDecorationProvider(m,u){const o=En._handlePool++;this._provider.set(o,{provider:m,extensionId:u}),this._proxy.$registerDecorationProvider(o,u.value);const E=m.onDidChangeFileDecorations&&m.onDidChangeFileDecorations(v=>{if(!v){this._proxy.$onDidChange(o,null);return}let S=b.asArray(v);if(S.length<=En._maxEventSize){this._proxy.$onDidChange(o,S);return}this._logService.warn("[Decorations] CAPPING events from decorations provider",u.value,S.length);const d=S.map(t=>({uri:t,rank:C.count(t.path,"/")})),h=b.groupBy(d,(t,r)=>t.rank-r.rank||C.compare(t.uri.path,r.uri.path));let g=[];e:for(let t of h){let r;for(let i of t){let s=n.dirname(i.uri.path);if(r!==s&&(r=s,g.push(i.uri)>=En._maxEventSize))break e}}this._proxy.$onDidChange(o,g)});return new D.Disposable(()=>{E?.dispose(),this._proxy.$unregisterDecorationProvider(o),this._provider.delete(o)})}async $provideDecorations(m,u,o){if(!this._provider.has(m))return Object.create(null);const E=Object.create(null),{provider:v,extensionId:S}=this._provider.get(m);return await Promise.all(u.map(async d=>{try{const{uri:h,id:g}=d,t=await Promise.resolve(v.provideFileDecoration(f.URI.revive(h),o));if(!t)return;try{D.FileDecoration.validate(t),E[g]=[t.propagate,t.tooltip,t.badge,t.color]}catch(r){this._logService.warn(`INVALID decoration from extension '${S.value}': ${r}`)}}catch(h){this._logService.error(h)}})),E}};I._handlePool=0,I._maxEventSize=250,I=We([He(0,k.IExtHostRpcService),He(1,y.ILogService)],I),e.ExtHostDecorations=I,e.IExtHostDecorations=_.createDecorator("IExtHostDecorations")}),define(we[187],_e([0,1,129,89,2,5,7,9,3,16,22]),function(ne,e,f,R,D,_,k,y,b,C,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDiagnostics=e.DiagnosticCollection=void 0;class I{constructor(u,o,E,v,S){this._name=u,this._owner=o,this._maxDiagnosticsPerFile=E,this._proxy=v,this._onDidChangeDiagnostics=S,this._isDisposed=!1,this._data=new n.ResourceMap}dispose(){this._isDisposed||(this._onDidChangeDiagnostics.fire([...this._data.keys()]),this._proxy&&this._proxy.$clear(this._owner),this._data=void 0,this._isDisposed=!0)}get name(){return this._checkDisposed(),this._name}set(u,o){if(!u){this.clear();return}this._checkDisposed();let E=[];if(D.URI.isUri(u)){if(!o){this.delete(u);return}this._data.set(u,o.slice()),E=[u]}else if(Array.isArray(u)){E=[];let S;u=[...u].sort(I._compareIndexedTuplesByUri);for(const d of u){const[h,g]=d;if((!S||h.toString()!==S.toString())&&(S&&this._data.get(S).length===0&&this._data.delete(S),S=h,E.push(h),this._data.set(h,[])),g){const t=this._data.get(h);t&&t.push(...g)}else{const t=this._data.get(h);t&&(t.length=0)}}}if(this._onDidChangeDiagnostics.fire(E),!this._proxy)return;const v=[];for(let S of E){let d=[];const h=this._data.get(S);if(h)if(h.length>this._maxDiagnosticsPerFile){d=[];const g=[k.DiagnosticSeverity.Error,k.DiagnosticSeverity.Warning,k.DiagnosticSeverity.Information,k.DiagnosticSeverity.Hint];e:for(let t=0;t<4;t++)for(let r of h)if(r.severity===g[t]&&d.push(y.Diagnostic.from(r))===this._maxDiagnosticsPerFile)break e;d.push({severity:R.MarkerSeverity.Info,message:f.localize(0,null,h.length-this._maxDiagnosticsPerFile),startLineNumber:d[d.length-1].startLineNumber,startColumn:d[d.length-1].startColumn,endLineNumber:d[d.length-1].endLineNumber,endColumn:d[d.length-1].endColumn})}else d=h.map(g=>y.Diagnostic.from(g));v.push([S,d])}this._proxy.$changeMany(this._owner,v)}delete(u){this._checkDisposed(),this._onDidChangeDiagnostics.fire([u]),this._data.delete(u),this._proxy&&this._proxy.$changeMany(this._owner,[[u,void 0]])}clear(){this._checkDisposed(),this._onDidChangeDiagnostics.fire([...this._data.keys()]),this._data.clear(),this._proxy&&this._proxy.$clear(this._owner)}forEach(u,o){this._checkDisposed();for(let E of this._data.keys())u.apply(o,[E,this.get(E),this])}get(u){this._checkDisposed();const o=this._data.get(u);return Array.isArray(o)?Object.freeze(o.slice(0)):[]}has(u){return this._checkDisposed(),Array.isArray(this._data.get(u))}_checkDisposed(){if(this._isDisposed)throw new Error("illegal state - object is disposed")}static _compareIndexedTuplesByUri(u,o){return u[0].toString()<o[0].toString()?-1:u[0].toString()>o[0].toString()?1:0}}e.DiagnosticCollection=I;let l=class Qt{constructor(u,o){this._logService=o,this._collections=new Map,this._onDidChangeDiagnostics=new b.DebounceEmitter({merge:E=>E.flat(),delay:50}),this.onDidChangeDiagnostics=b.Event.map(this._onDidChangeDiagnostics.event,Qt._mapper),this._proxy=u.getProxy(_.MainContext.MainThreadDiagnostics)}static _mapper(u){const o=new n.ResourceMap;for(const E of u)o.set(E,E);return{uris:Object.freeze(Array.from(o.values()))}}createDiagnosticCollection(u,o){const{_collections:E,_proxy:v,_onDidChangeDiagnostics:S,_logService:d}=this,h=new class{$changeMany(r,i){v.$changeMany(r,i),d.trace("[DiagnosticCollection] change many (extension, owner, uris)",u.value,r,i.length===0?"CLEARING":i)}$clear(r){v.$clear(r),d.trace("[DiagnosticCollection] remove all (extension, owner)",u.value,r)}dispose(){v.dispose()}};let g;if(!o)o="_generated_diagnostic_collection_name_#"+Qt._idPool++,g=o;else if(!E.has(o))g=o;else{this._logService.warn(`DiagnosticCollection with name '${o}' does already exist.`);do g=o+Qt._idPool++;while(E.has(g))}return new class extends I{constructor(){super(o,g,Qt._maxDiagnosticsPerFile,h,S);E.set(g,this)}dispose(){super.dispose(),E.delete(g)}}}getDiagnostics(u){if(u)return this._getDiagnostics(u);{const o=new Map,E=[];for(const v of this._collections.values())v.forEach((S,d)=>{let h=o.get(S.toString());typeof h=="undefined"&&(h=E.length,o.set(S.toString(),h),E.push([S,[]])),E[h][1]=E[h][1].concat(...d)});return E}}_getDiagnostics(u){let o=[];for(let E of this._collections.values())E.has(u)&&(o=o.concat(E.get(u)));return o}$acceptMarkersChange(u){if(!this._mirrorCollection){const o="_generated_mirror",E=new I(o,o,Qt._maxDiagnosticsPerFile,void 0,this._onDidChangeDiagnostics);this._collections.set(o,E),this._mirrorCollection=E}for(const[o,E]of u)this._mirrorCollection.set(D.URI.revive(o),E.map(y.Diagnostic.to))}};l._idPool=0,l._maxDiagnosticsPerFile=1e3,l=We([He(1,C.ILogService)],l),e.ExtHostDiagnostics=l}),define(we[188],_e([0,1,2,5]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDialogs=void 0;class D{constructor(k){this._proxy=k.getProxy(R.MainContext.MainThreadDialogs)}showOpenDialog(k){return this._proxy.$showOpenDialog(k).then(y=>y?y.map(b=>f.URI.revive(b)):void 0)}showSaveDialog(k){return this._proxy.$showSaveDialog(k).then(y=>y?f.URI.revive(y):void 0)}}e.ExtHostDialogs=D}),define(we[189],_e([0,1,12,2,7,5,11,18,8]),function(ne,e,f,R,D,_,k,y,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentContentProvider=void 0;class C{constructor(I,l,m){this._documentsAndEditors=l,this._logService=m,this._documentContentProviders=new Map,this._proxy=I.getProxy(_.MainContext.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(I,l){if(Object.keys(k.Schemas).indexOf(I)>=0)throw new Error(`scheme '${I}' already registered`);const m=C._handlePool++;this._documentContentProviders.set(m,l),this._proxy.$registerTextContentProvider(m,I);let u;return typeof l.onDidChange=="function"&&(u=l.onDidChange(o=>{if(o.scheme!==I){this._logService.warn(`Provider for scheme '${I}' is firing event for schema '${o.scheme}' which will be IGNORED`);return}this._documentsAndEditors.getDocument(o)&&this.$provideTextDocumentContent(m,o).then(E=>{if(!E&&typeof E!="string")return;const v=this._documentsAndEditors.getDocument(o);if(!v)return;const S=b.splitLines(E);if(!v.equalLines(S))return this._proxy.$onVirtualDocumentChange(o,E)},f.onUnexpectedError)})),new D.Disposable(()=>{this._documentContentProviders.delete(m)&&this._proxy.$unregisterTextContentProvider(m),u&&(u.dispose(),u=void 0)})}$provideTextDocumentContent(I,l){const m=this._documentContentProviders.get(I);return m?Promise.resolve(m.provideTextDocumentContent(R.URI.revive(l),y.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${l.scheme}`))}}e.ExtHostDocumentContentProvider=C,C._handlePool=0}),define(we[190],_e([0,1,3,6,2,5,95,9,10,25]),function(ne,e,f,R,D,_,k,y,b,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocuments=void 0;class n{constructor(l,m){this._onDidAddDocument=new f.Emitter,this._onDidRemoveDocument=new f.Emitter,this._onDidChangeDocument=new f.Emitter,this._onDidSaveDocument=new f.Emitter,this.onDidAddDocument=this._onDidAddDocument.event,this.onDidRemoveDocument=this._onDidRemoveDocument.event,this.onDidChangeDocument=this._onDidChangeDocument.event,this.onDidSaveDocument=this._onDidSaveDocument.event,this._toDispose=new R.DisposableStore,this._documentLoader=new Map,this._proxy=l.getProxy(_.MainContext.MainThreadDocuments),this._documentsAndEditors=m,this._documentsAndEditors.onDidRemoveDocuments(u=>{for(const o of u)this._onDidRemoveDocument.fire(o.document)},void 0,this._toDispose),this._documentsAndEditors.onDidAddDocuments(u=>{for(const o of u)this._onDidAddDocument.fire(o.document)},void 0,this._toDispose)}dispose(){this._toDispose.dispose()}getAllDocumentData(){return[...this._documentsAndEditors.allDocuments()]}getDocumentData(l){if(!l)return;const m=this._documentsAndEditors.getDocument(l);if(m)return m}getDocument(l){const m=this.getDocumentData(l);if(!m?.document)throw new Error(`Unable to retrieve document from URI '${l}'`);return m.document}ensureDocumentData(l){const m=this._documentsAndEditors.getDocument(l);if(m)return Promise.resolve(m);let u=this._documentLoader.get(l.toString());return u||(u=this._proxy.$tryOpenDocument(l).then(o=>{this._documentLoader.delete(l.toString());const E=D.URI.revive(o);return b.assertIsDefined(this._documentsAndEditors.getDocument(E))},o=>(this._documentLoader.delete(l.toString()),Promise.reject(o))),this._documentLoader.set(l.toString(),u)),u}createDocumentData(l){return this._proxy.$tryCreateDocument(l).then(m=>D.URI.revive(m))}$acceptModelModeChanged(l,m){const u=D.URI.revive(l),o=this._documentsAndEditors.getDocument(u);if(!o)throw new Error("unknown document");this._onDidRemoveDocument.fire(o.document),o._acceptLanguageId(m),this._onDidAddDocument.fire(o.document)}$acceptModelSaved(l){const m=D.URI.revive(l),u=this._documentsAndEditors.getDocument(m);if(!u)throw new Error("unknown document");this.$acceptDirtyStateChanged(l,!1),this._onDidSaveDocument.fire(u.document)}$acceptDirtyStateChanged(l,m){const u=D.URI.revive(l),o=this._documentsAndEditors.getDocument(u);if(!o)throw new Error("unknown document");o._acceptIsDirty(m),this._onDidChangeDocument.fire({document:o.document,contentChanges:[]})}$acceptModelChanged(l,m,u){const o=D.URI.revive(l),E=this._documentsAndEditors.getDocument(o);if(!E)throw new Error("unknown document");E._acceptIsDirty(u),E.onEvents(m),this._onDidChangeDocument.fire(C.deepFreeze({document:E.document,contentChanges:m.changes.map(v=>({range:y.Range.to(v.range),rangeOffset:v.rangeOffset,rangeLength:v.rangeLength,text:v.text}))}))}setWordDefinitionFor(l,m){k.setWordDefinitionFor(l,m)}}e.ExtHostDocuments=n}),define(we[46],_e([0,1,39,3,6,2,4,5,95,13,99,9,16,22,11,40,109]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m,u,o,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDocumentsAndEditors=e.ExtHostDocumentsAndEditors=void 0;class v{constructor(h){this.value=h,this._count=0}ref(){this._count++}unref(){return--this._count==0}}let S=class{constructor(h,g){this._extHostRpc=h,this._logService=g,this._activeEditorId=null,this._editors=new Map,this._documents=new m.ResourceMap,this._onDidAddDocuments=new R.Emitter,this._onDidRemoveDocuments=new R.Emitter,this._onDidChangeVisibleTextEditors=new R.Emitter,this._onDidChangeActiveTextEditor=new R.Emitter,this.onDidAddDocuments=this._onDidAddDocuments.event,this.onDidRemoveDocuments=this._onDidRemoveDocuments.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event}$acceptDocumentsAndEditorsDelta(h){this.acceptDocumentsAndEditorsDelta(h)}acceptDocumentsAndEditorsDelta(h){const g=[],t=[],r=[];if(h.removedDocuments)for(const i of h.removedDocuments){const s=_.URI.revive(i),c=this._documents.get(s);c?.unref()&&(this._documents.delete(s),g.push(c.value))}if(h.addedDocuments)for(const i of h.addedDocuments){const s=_.URI.revive(i.uri);let c=this._documents.get(s);if(c&&s.scheme!==u.Schemas.vscodeNotebookCell&&s.scheme!==u.Schemas.vscodeInteractiveInput)throw new Error(`document '${s} already exists!'`);c||(c=new v(new b.ExtHostDocumentData(this._extHostRpc.getProxy(y.MainContext.MainThreadDocuments),s,i.lines,i.EOL,i.versionId,i.modeId,i.isDirty,i.notebook)),this._documents.set(s,c),t.push(c.value)),c.ref()}if(h.removedEditors)for(const i of h.removedEditors){const s=this._editors.get(i);this._editors.delete(i),s&&r.push(s)}if(h.addedEditors)for(const i of h.addedEditors){const s=_.URI.revive(i.documentUri);f.ok(this._documents.has(s),`document '${s}' does not exist`),f.ok(!this._editors.has(i.id),`editor '${i.id}' already exists!`);const c=this._documents.get(s).value,w=new n.ExtHostTextEditor(i.id,this._extHostRpc.getProxy(y.MainContext.MainThreadTextEditors),this._logService,new E.Lazy(()=>c.document),i.selections.map(I.Selection.to),i.options,i.visibleRanges.map(p=>I.Range.to(p)),typeof i.editorPosition=="number"?I.ViewColumn.to(i.editorPosition):void 0);this._editors.set(i.id,w)}h.newActiveEditor!==void 0&&(f.ok(h.newActiveEditor===null||this._editors.has(h.newActiveEditor),`active editor '${h.newActiveEditor}' does not exist`),this._activeEditorId=h.newActiveEditor),D.dispose(g),D.dispose(r),h.removedDocuments&&this._onDidRemoveDocuments.fire(g),h.addedDocuments&&this._onDidAddDocuments.fire(t),(h.removedEditors||h.addedEditors)&&this._onDidChangeVisibleTextEditors.fire(this.allEditors().map(i=>i.value)),h.newActiveEditor!==void 0&&this._onDidChangeActiveTextEditor.fire(this.activeEditor())}getDocument(h){return this._documents.get(h)?.value}allDocuments(){return o.Iterable.map(this._documents.values(),h=>h.value)}getEditor(h){return this._editors.get(h)}activeEditor(h){if(!this._activeEditorId)return;const g=this._editors.get(this._activeEditorId);return h?g:g?.value}allEditors(){return[...this._editors.values()]}};S=We([He(0,C.IExtHostRpcService),He(1,l.ILogService)],S),e.ExtHostDocumentsAndEditors=S,e.IExtHostDocumentsAndEditors=k.createDecorator("IExtHostDocumentsAndEditors")}),define(we[191],_e([0,1,2,5,6,7,9,119,8,24]),function(ne,e,f,R,D,_,k,y,b,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystem=void 0;class n{constructor(){this._schemes=[]}add(m){this._stateMachine=void 0,this._schemes.push(m)}delete(m){const u=this._schemes.indexOf(m);u>=0&&(this._schemes.splice(u,1),this._stateMachine=void 0)}_initStateMachine(){if(!this._stateMachine){const m=this._schemes.sort(),u=[];let o,E,v=14,S=14;for(const d of m){let h=o?b.commonPrefixLength(o,d):0;for(h===0?E=1:E=S;h<d.length;h++)h+1===d.length?(v=S,S=9):S+=1,u.push([E,d.toUpperCase().charCodeAt(h),S]),u.push([E,d.toLowerCase().charCodeAt(h),S]),E=S;o=d,S=v}u.push([9,58,10]),u.push([10,47,12]),this._stateMachine=new y.StateMachine(u)}}provideDocumentLinks(m){this._initStateMachine();const u=[],o=y.LinkComputer.computeLinks({getLineContent(E){return m.lineAt(E-1).text},getLineCount(){return m.lineCount}},this._stateMachine);for(const E of o){const v=k.DocumentLink.to(E);v.target&&u.push(v)}return u}}class I{constructor(m,u){this._extHostLanguageFeatures=u,this._linkProvider=new n,this._fsProvider=new Map,this._registeredSchemes=new Set,this._watches=new Map,this._enableProposedApi=new Map,this._handlePool=0,this._proxy=m.getProxy(R.MainContext.MainThreadFileSystem)}dispose(){this._linkProviderRegistration?.dispose()}_registerLinkProviderIfNotYetRegistered(){this._linkProviderRegistration||(this._linkProviderRegistration=this._extHostLanguageFeatures.registerDocumentLinkProvider(void 0,"*",this._linkProvider))}registerFileSystemProvider(m,u,o,E={},v){if(this._registeredSchemes.has(u))throw new Error(`a provider for the scheme '${u}' is already registered`);this._registerLinkProviderIfNotYetRegistered();const S=this._handlePool++;this._linkProvider.add(u),this._registeredSchemes.add(u),this._fsProvider.set(S,o),this._enableProposedApi.set(S,v??!1);let d=2;E.isCaseSensitive&&(d+=1024),E.isReadonly&&(d+=2048),typeof o.copy=="function"&&(d+=8),typeof o.open=="function"&&typeof o.close=="function"&&typeof o.read=="function"&&typeof o.write=="function"&&(d+=4),this._proxy.$registerFileSystemProvider(S,u,d).catch(g=>{console.error(`FAILED to register filesystem provider of ${m.value}-extension for the scheme ${u}`),console.error(g)});const h=o.onDidChangeFile(g=>{const t=[];for(const r of g){let{uri:i,type:s}=r;if(i.scheme!==u)continue;let c;switch(s){case _.FileChangeType.Changed:c=0;break;case _.FileChangeType.Created:c=1;break;case _.FileChangeType.Deleted:c=2;break;default:throw new Error("Unknown FileChangeType")}t.push({resource:i,type:c})}this._proxy.$onFileSystemChange(S,t)});return D.toDisposable(()=>{h.dispose(),this._linkProvider.delete(u),this._registeredSchemes.delete(u),this._fsProvider.delete(S),this._enableProposedApi.delete(S),this._proxy.$unregisterProvider(S)})}static _asIStat(m,u){const{type:o,ctime:E,mtime:v,size:S,permissions:d}=m;return u?{type:o,ctime:E,mtime:v,size:S,permissions:d}:{type:o,ctime:E,mtime:v,size:S}}$stat(m,u){return Promise.resolve(this._getFsProvider(m).stat(f.URI.revive(u))).then(o=>I._asIStat(o,this._enableProposedApi.get(m)??!1))}$readdir(m,u){return Promise.resolve(this._getFsProvider(m).readDirectory(f.URI.revive(u)))}$readFile(m,u){return Promise.resolve(this._getFsProvider(m).readFile(f.URI.revive(u))).then(o=>C.VSBuffer.wrap(o))}$writeFile(m,u,o,E){return Promise.resolve(this._getFsProvider(m).writeFile(f.URI.revive(u),o.buffer,E))}$delete(m,u,o){return Promise.resolve(this._getFsProvider(m).delete(f.URI.revive(u),o))}$rename(m,u,o,E){return Promise.resolve(this._getFsProvider(m).rename(f.URI.revive(u),f.URI.revive(o),E))}$copy(m,u,o,E){const v=this._getFsProvider(m);if(!v.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(v.copy(f.URI.revive(u),f.URI.revive(o),E))}$mkdir(m,u){return Promise.resolve(this._getFsProvider(m).createDirectory(f.URI.revive(u)))}$watch(m,u,o,E){const v=this._getFsProvider(m).watch(f.URI.revive(o),E);this._watches.set(u,v)}$unwatch(m,u){const o=this._watches.get(u);o&&(o.dispose(),this._watches.delete(u))}$open(m,u,o){const E=this._getFsProvider(m);if(!E.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(E.open(f.URI.revive(u),o))}$close(m,u){const o=this._getFsProvider(m);if(!o.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(o.close(u))}$read(m,u,o,E){const v=this._getFsProvider(m);if(!v.read)throw new Error('FileSystemProvider does not implement "read"');const S=C.VSBuffer.alloc(E);return Promise.resolve(v.read(u,o,S.buffer,0,E)).then(d=>S.slice(0,d))}$write(m,u,o,E){const v=this._getFsProvider(m);if(!v.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(v.write(u,o,E.buffer,0,E.byteLength))}_getFsProvider(m){const u=this._fsProvider.get(m);if(!u){const o=new Error;throw o.name="ENOPRO",o.message="no provider",o}return u}}e.ExtHostFileSystem=I}),define(we[71],_e([0,1,5,59,7,24,4,13,45]),function(ne,e,f,R,D,_,k,y,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConsumerFileSystem=e.ExtHostConsumerFileSystem=void 0;let C=class Vt{constructor(I,l){const m=I.getProxy(f.MainContext.MainThreadFileSystem);this.value=Object.freeze({stat(u){return m.$stat(u).catch(Vt._handleError)},readDirectory(u){return m.$readdir(u).catch(Vt._handleError)},createDirectory(u){return m.$mkdir(u).catch(Vt._handleError)},async readFile(u){return m.$readFile(u).then(o=>o.buffer).catch(Vt._handleError)},writeFile(u,o){return m.$writeFile(u,_.VSBuffer.wrap(o)).catch(Vt._handleError)},delete(u,o){return m.$delete(u,{recursive:!1,useTrash:!1,...o}).catch(Vt._handleError)},rename(u,o,E){return m.$rename(u,o,{overwrite:!1,...E}).catch(Vt._handleError)},copy(u,o,E){return m.$copy(u,o,{overwrite:!1,...E}).catch(Vt._handleError)},isWritableFileSystem(u){const o=l.getCapabilities(u);if(typeof o=="number")return!(o&2048)}})}static _handleError(I){if(!(I instanceof Error))throw new D.FileSystemError(String(I));if(I.name==="ENOPRO")throw D.FileSystemError.Unavailable(I.message);switch(I.name){case R.FileSystemProviderErrorCode.FileExists:throw D.FileSystemError.FileExists(I.message);case R.FileSystemProviderErrorCode.FileNotFound:throw D.FileSystemError.FileNotFound(I.message);case R.FileSystemProviderErrorCode.FileNotADirectory:throw D.FileSystemError.FileNotADirectory(I.message);case R.FileSystemProviderErrorCode.FileIsADirectory:throw D.FileSystemError.FileIsADirectory(I.message);case R.FileSystemProviderErrorCode.NoPermissions:throw D.FileSystemError.NoPermissions(I.message);case R.FileSystemProviderErrorCode.Unavailable:throw D.FileSystemError.Unavailable(I.message);default:throw new D.FileSystemError(I.message,I.name)}}};C=We([He(0,y.IExtHostRpcService),He(1,b.IExtHostFileSystemInfo)],C),e.ExtHostConsumerFileSystem=C,e.IExtHostConsumerFileSystem=k.createDecorator("IExtHostConsumerFileSystem")}),define(we[192],_e([0,1,6,5]),function(ne,e,f,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLabelService=void 0;class D{constructor(k){this._handlePool=0,this._proxy=k.getProxy(R.MainContext.MainThreadLabelService)}$registerResourceLabelFormatter(k){const y=this._handlePool++;return this._proxy.$registerResourceLabelFormatter(y,k),f.toDisposable(()=>{this._proxy.$unregisterResourceLabelFormatter(y)})}}e.ExtHostLabelService=D}),define(we[193],_e([0,1,2,25,9,7,15,5,8,30,17,10,116,6,86,50,62,51,12,3]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m,u,o,E,v,S,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguageFeatures=e.InlineCompletionController=e.DocumentRangeSemanticTokensAdapter=e.DocumentSemanticTokensAdapter=void 0;class h{constructor(x,K){this._documents=x,this._provider=K}provideDocumentSymbols(x,K){const ie=this._documents.getDocument(x);return k.asPromise(()=>this._provider.provideDocumentSymbols(ie,K)).then(ae=>{if(!n.isFalsyOrEmpty(ae))return ae[0]instanceof _.DocumentSymbol?ae.map(D.DocumentSymbol.from):h._asDocumentSymbolTree(ae)})}static _asDocumentSymbolTree(x){x=x.slice(0).sort((ae,j)=>{let re=ae.location.range.start.compareTo(j.location.range.start);return re===0&&(re=j.location.range.end.compareTo(ae.location.range.end)),re});const K=[],ie=[];for(const ae of x){const j={name:ae.name||"!!MISSING: name!!",kind:D.SymbolKind.from(ae.kind),tags:ae.tags?.map(D.SymbolTag.from)||[],detail:"",containerName:ae.containerName,range:D.Range.from(ae.location.range),selectionRange:D.Range.from(ae.location.range),children:[]};for(;;){if(ie.length===0){ie.push(j),K.push(j);break}const re=ie[ie.length-1];if(C.Range.containsRange(re.range,j.range)&&!C.Range.equalsRange(re.range,j.range)){re.children&&re.children.push(j),ie.push(j);break}ie.pop()}}return K}}class g{constructor(x,K,ie){this._documents=x,this._commands=K,this._provider=ie,this._cache=new E.Cache("CodeLens"),this._disposables=new Map}async provideCodeLenses(x,K){const ie=this._documents.getDocument(x),ae=await this._provider.provideCodeLenses(ie,K);if(!ae||K.isCancellationRequested)return;const j=this._cache.add(ae),re=new m.DisposableStore;this._disposables.set(j,re);const me={cacheId:j,lenses:[]};for(let Te=0;Te<ae.length;Te++)me.lenses.push({cacheId:[j,Te],range:D.Range.from(ae[Te].range),command:this._commands.toInternal(ae[Te].command,re)});return me}async resolveCodeLens(x,K){const ie=x.cacheId&&this._cache.get(...x.cacheId);if(!ie)return;let ae;if(typeof this._provider.resolveCodeLens!="function"||ie.isResolved?ae=ie:ae=await this._provider.resolveCodeLens(ie,K),ae||(ae=ie),K.isCancellationRequested)return;const j=x.cacheId&&this._disposables.get(x.cacheId[0]);if(!!j)return x.command=this._commands.toInternal(ae.command??g._badCmd,j),x}releaseCodeLenses(x){this._disposables.get(x)?.dispose(),this._disposables.delete(x),this._cache.delete(x)}}g._badCmd={command:"missing",title:"!!MISSING: command!!"};function t(et){return Array.isArray(et)?et.map(D.DefinitionLink.from):et?[D.DefinitionLink.from(et)]:[]}class r{constructor(x,K){this._documents=x,this._provider=K}provideDefinition(x,K,ie){const ae=this._documents.getDocument(x),j=D.Position.to(K);return k.asPromise(()=>this._provider.provideDefinition(ae,j,ie)).then(t)}}class i{constructor(x,K){this._documents=x,this._provider=K}provideDeclaration(x,K,ie){const ae=this._documents.getDocument(x),j=D.Position.to(K);return k.asPromise(()=>this._provider.provideDeclaration(ae,j,ie)).then(t)}}class s{constructor(x,K){this._documents=x,this._provider=K}provideImplementation(x,K,ie){const ae=this._documents.getDocument(x),j=D.Position.to(K);return k.asPromise(()=>this._provider.provideImplementation(ae,j,ie)).then(t)}}class c{constructor(x,K){this._documents=x,this._provider=K}provideTypeDefinition(x,K,ie){const ae=this._documents.getDocument(x),j=D.Position.to(K);return k.asPromise(()=>this._provider.provideTypeDefinition(ae,j,ie)).then(t)}}class w{constructor(x,K){this._documents=x,this._provider=K}provideHover(x,K,ie){const ae=this._documents.getDocument(x),j=D.Position.to(K);return k.asPromise(()=>this._provider.provideHover(ae,j,ie)).then(re=>{if(!(!re||n.isFalsyOrEmpty(re.contents)))return re.range||(re.range=ae.getWordRangeAtPosition(j)),re.range||(re.range=new _.Range(j,j)),D.Hover.from(re)})}}class p{constructor(x,K){this._documents=x,this._provider=K}provideEvaluatableExpression(x,K,ie){const ae=this._documents.getDocument(x),j=D.Position.to(K);return k.asPromise(()=>this._provider.provideEvaluatableExpression(ae,j,ie)).then(re=>{if(re)return D.EvaluatableExpression.from(re)})}}class P{constructor(x,K){this._documents=x,this._provider=K}provideInlineValues(x,K,ie,ae){const j=this._documents.getDocument(x);return k.asPromise(()=>this._provider.provideInlineValues(j,D.Range.to(K),D.InlineValueContext.to(ie),ae)).then(re=>{if(Array.isArray(re))return re.map(me=>D.InlineValue.from(me))})}}class A{constructor(x,K){this._documents=x,this._provider=K}provideDocumentHighlights(x,K,ie){const ae=this._documents.getDocument(x),j=D.Position.to(K);return k.asPromise(()=>this._provider.provideDocumentHighlights(ae,j,ie)).then(re=>{if(Array.isArray(re))return re.map(D.DocumentHighlight.from)})}}class a{constructor(x,K){this._documents=x,this._provider=K}provideLinkedEditingRanges(x,K,ie){const ae=this._documents.getDocument(x),j=D.Position.to(K);return k.asPromise(()=>this._provider.provideLinkedEditingRanges(ae,j,ie)).then(re=>{if(re&&Array.isArray(re.ranges))return{ranges:n.coalesce(re.ranges.map(D.Range.from)),wordPattern:re.wordPattern}})}}class T{constructor(x,K){this._documents=x,this._provider=K}provideReferences(x,K,ie,ae){const j=this._documents.getDocument(x),re=D.Position.to(K);return k.asPromise(()=>this._provider.provideReferences(j,re,ie,ae)).then(me=>{if(Array.isArray(me))return me.map(D.location.from)})}}class F{constructor(x,K,ie,ae,j,re,me){this._documents=x,this._commands=K,this._diagnostics=ie,this._provider=ae,this._logService=j,this._extension=re,this._apiDeprecation=me,this._cache=new E.Cache("CodeAction"),this._disposables=new Map}provideCodeActions(x,K,ie,ae){const j=this._documents.getDocument(x),re=l.Selection.isISelection(K)?D.Selection.to(K):D.Range.to(K),me=[];for(const Be of this._diagnostics.getDiagnostics(x))if(re.intersection(Be.range)&&me.push(Be)>F._maxCodeActionsPerFile)break;const Te={diagnostics:me,only:ie.only?new _.CodeActionKind(ie.only):void 0,triggerKind:D.CodeActionTriggerKind.to(ie.trigger)};return k.asPromise(()=>this._provider.provideCodeActions(j,re,Te,ae)).then(Be=>{if(!n.isNonEmptyArray(Be)||ae.isCancellationRequested)return;const pe=this._cache.add(Be),Qe=new m.DisposableStore;this._disposables.set(pe,Qe);const z=[];for(let ee=0;ee<Be.length;ee++){const de=Be[ee];!de||(F._isCommand(de)?(this._apiDeprecation.report("CodeActionProvider.provideCodeActions - return commands",this._extension,"Return 'CodeAction' instances instead."),z.push({_isSynthetic:!0,title:de.title,command:this._commands.toInternal(de,Qe)})):(Te.only&&(de.kind?Te.only.contains(de.kind)||this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${Te.only.value} 'requested but returned code action is of kind '${de.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${Te.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`)),z.push({cacheId:[pe,ee],title:de.title,command:de.command&&this._commands.toInternal(de.command,Qe),diagnostics:de.diagnostics&&de.diagnostics.map(D.Diagnostic.from),edit:de.edit&&D.WorkspaceEdit.from(de.edit),kind:de.kind&&de.kind.value,isPreferred:de.isPreferred,disabled:de.disabled?.reason})))}return{cacheId:pe,actions:z}})}async resolveCodeAction(x,K){const[ie,ae]=x,j=this._cache.get(ie,ae);if(!j||F._isCommand(j)||!this._provider.resolveCodeAction)return;const re=await this._provider.resolveCodeAction(j,K)??j;return re?.edit?D.WorkspaceEdit.from(re.edit):void 0}releaseCodeActions(x){this._disposables.get(x)?.dispose(),this._disposables.delete(x),this._cache.delete(x)}static _isCommand(x){return typeof x.command=="string"&&typeof x.title=="string"}}F._maxCodeActionsPerFile=1e3;class H{constructor(x,K){this._documents=x,this._provider=K}provideDocumentFormattingEdits(x,K,ie){const ae=this._documents.getDocument(x);return k.asPromise(()=>this._provider.provideDocumentFormattingEdits(ae,K,ie)).then(j=>{if(Array.isArray(j))return j.map(D.TextEdit.from)})}}class ${constructor(x,K){this._documents=x,this._provider=K}provideDocumentRangeFormattingEdits(x,K,ie,ae){const j=this._documents.getDocument(x),re=D.Range.to(K);return k.asPromise(()=>this._provider.provideDocumentRangeFormattingEdits(j,re,ie,ae)).then(me=>{if(Array.isArray(me))return me.map(D.TextEdit.from)})}}class Z{constructor(x,K){this._documents=x,this._provider=K,this.autoFormatTriggerCharacters=[]}provideOnTypeFormattingEdits(x,K,ie,ae,j){const re=this._documents.getDocument(x),me=D.Position.to(K);return k.asPromise(()=>this._provider.provideOnTypeFormattingEdits(re,me,ie,ae,j)).then(Te=>{if(Array.isArray(Te))return Te.map(D.TextEdit.from)})}}class V{constructor(x,K){this._provider=x,this._logService=K,this._symbolCache=new Map,this._resultCache=new Map}provideWorkspaceSymbols(x,K){const ie=y.IdObject.mixin({symbols:[]});return k.asPromise(()=>this._provider.provideWorkspaceSymbols(x,K)).then(ae=>{if(n.isNonEmptyArray(ae))for(const j of ae){if(!j)continue;if(!j.name){this._logService.warn("INVALID SymbolInformation, lacks name",j);continue}const re=y.IdObject.mixin(D.WorkspaceSymbol.from(j));this._symbolCache.set(re._id,j),ie.symbols.push(re)}}).then(()=>(ie.symbols.length>0&&this._resultCache.set(ie._id,[ie.symbols[0]._id,ie.symbols[ie.symbols.length-1]._id]),ie))}async resolveWorkspaceSymbol(x,K){if(typeof this._provider.resolveWorkspaceSymbol!="function")return x;const ie=this._symbolCache.get(x._id);if(ie){const ae=await k.asPromise(()=>this._provider.resolveWorkspaceSymbol(ie,K));return ae&&R.mixin(x,D.WorkspaceSymbol.from(ae),!0)}}releaseWorkspaceSymbols(x){const K=this._resultCache.get(x);if(K){for(let[ie,ae]=K;ie<=ae;ie++)this._symbolCache.delete(ie);this._resultCache.delete(x)}}}class B{constructor(x,K,ie){this._documents=x,this._provider=K,this._logService=ie}static supportsResolving(x){return typeof x.prepareRename=="function"}provideRenameEdits(x,K,ie,ae){const j=this._documents.getDocument(x),re=D.Position.to(K);return k.asPromise(()=>this._provider.provideRenameEdits(j,re,ie,ae)).then(me=>{if(!!me)return D.WorkspaceEdit.from(me)},me=>{const Te=B._asMessage(me);return Te?{rejectReason:Te,edits:void 0}:Promise.reject(me)})}resolveRenameLocation(x,K,ie){if(typeof this._provider.prepareRename!="function")return Promise.resolve(void 0);const ae=this._documents.getDocument(x),j=D.Position.to(K);return k.asPromise(()=>this._provider.prepareRename(ae,j,ie)).then(re=>{let me,Te;if(_.Range.isRange(re)?(me=re,Te=ae.getText(re)):I.isObject(re)&&(me=re.range,Te=re.placeholder),!!me){if(me.start.line>j.line||me.end.line<j.line){this._logService.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:D.Range.from(me),text:Te}}},re=>{const me=B._asMessage(re);return me?{rejectReason:me,range:void 0,text:void 0}:Promise.reject(re)})}static _asMessage(x){return typeof x=="string"?x:x instanceof Error&&typeof x.message=="string"?x.message:void 0}}class Y{constructor(x,K){this.resultId=x,this.tokens=K}}class L{constructor(x,K){this._documents=x,this._provider=K,this._nextResultId=1,this._previousResults=new Map}provideDocumentSemanticTokens(x,K,ie){const ae=this._documents.getDocument(x),j=K!==0?this._previousResults.get(K):null;return k.asPromise(()=>j&&typeof j.resultId=="string"&&typeof this._provider.provideDocumentSemanticTokensEdits=="function"?this._provider.provideDocumentSemanticTokensEdits(ae,j.resultId,ie):this._provider.provideDocumentSemanticTokens(ae,ie)).then(re=>(j&&this._previousResults.delete(K),re?(re=L._fixProvidedSemanticTokens(re),this._send(L._convertToEdits(j,re),re)):null))}async releaseDocumentSemanticColoring(x){this._previousResults.delete(x)}static _fixProvidedSemanticTokens(x){return L._isSemanticTokens(x)?L._isCorrectSemanticTokens(x)?x:new _.SemanticTokens(new Uint32Array(x.data),x.resultId):L._isSemanticTokensEdits(x)?L._isCorrectSemanticTokensEdits(x)?x:new _.SemanticTokensEdits(x.edits.map(K=>new _.SemanticTokensEdit(K.start,K.deleteCount,K.data?new Uint32Array(K.data):K.data)),x.resultId):x}static _isSemanticTokens(x){return x&&!!x.data}static _isCorrectSemanticTokens(x){return x.data instanceof Uint32Array}static _isSemanticTokensEdits(x){return x&&Array.isArray(x.edits)}static _isCorrectSemanticTokensEdits(x){for(const K of x.edits)if(!(K.data instanceof Uint32Array))return!1;return!0}static _convertToEdits(x,K){if(!L._isSemanticTokens(K)||!x||!x.tokens)return K;const ie=x.tokens,ae=ie.length,j=K.data,re=j.length;let me=0;const Te=Math.min(ae,re);for(;me<Te&&ie[me]===j[me];)me++;if(me===ae&&me===re)return new _.SemanticTokensEdits([],K.resultId);let Be=0;const pe=Te-me;for(;Be<pe&&ie[ae-Be-1]===j[re-Be-1];)Be++;return new _.SemanticTokensEdits([{start:me,deleteCount:ae-me-Be,data:j.subarray(me,re-Be)}],K.resultId)}_send(x,K){if(L._isSemanticTokens(x)){const ie=this._nextResultId++;return this._previousResults.set(ie,new Y(x.resultId,x.data)),u.encodeSemanticTokensDto({id:ie,type:"full",data:x.data})}if(L._isSemanticTokensEdits(x)){const ie=this._nextResultId++;return L._isSemanticTokens(K)?this._previousResults.set(ie,new Y(K.resultId,K.data)):this._previousResults.set(ie,new Y(x.resultId)),u.encodeSemanticTokensDto({id:ie,type:"delta",deltas:(x.edits||[]).map(ae=>({start:ae.start,deleteCount:ae.deleteCount,data:ae.data}))})}return null}}e.DocumentSemanticTokensAdapter=L;class J{constructor(x,K){this._documents=x,this._provider=K}provideDocumentRangeSemanticTokens(x,K,ie){const ae=this._documents.getDocument(x);return k.asPromise(()=>this._provider.provideDocumentRangeSemanticTokens(ae,D.Range.to(K),ie)).then(j=>j?this._send(j):null)}_send(x){return u.encodeSemanticTokensDto({id:0,type:"full",data:x.data})}}e.DocumentRangeSemanticTokensAdapter=J;class N{constructor(x,K,ie,ae,j){this._documents=x,this._commands=K,this._provider=ie,this._apiDeprecation=ae,this._extension=j,this._cache=new E.Cache("CompletionItem"),this._disposables=new Map}static supportsResolving(x){return typeof x.resolveCompletionItem=="function"}async provideCompletionItems(x,K,ie,ae){const j=this._documents.getDocument(x),re=D.Position.to(K),me=j.getWordRangeAtPosition(re)||new _.Range(re,re),Te=me.with({end:re}),Be=new v.StopWatch(!0),pe=await k.asPromise(()=>this._provider.provideCompletionItems(j,re,ae,D.CompletionContext.to(ie)));if(!pe||ae.isCancellationRequested)return;const Qe=Array.isArray(pe)?new _.CompletionList(pe):pe,z=N.supportsResolving(this._provider)?this._cache.add(Qe.items):this._cache.add([]),ee=new m.DisposableStore;this._disposables.set(z,ee);const de=[],Ne={x:z,b:de,a:{replace:D.Range.from(me),insert:D.Range.from(Te)},c:Qe.isIncomplete||void 0,d:Be.elapsed()};for(let Ue=0;Ue<Qe.items.length;Ue++){const Xe=Qe.items[Ue],De=this._convertCompletionItem(Xe,[z,Ue],Te,me);de.push(De)}return Ne}async resolveCompletionItem(x,K){if(typeof this._provider.resolveCompletionItem!="function")return;const ie=this._cache.get(...x);if(!ie)return;const ae=await k.asPromise(()=>this._provider.resolveCompletionItem(ie,K));if(!!ae)return this._convertCompletionItem(ae,x)}releaseCompletionItems(x){this._disposables.get(x)?.dispose(),this._disposables.delete(x),this._cache.delete(x)}_convertCompletionItem(x,K,ie,ae){const j=this._disposables.get(K[0]);if(!j)throw Error("DisposableStore is missing...");const re={x:K,a:x.label,b:x.kind!==void 0?D.CompletionItemKind.from(x.kind):void 0,n:x.tags&&x.tags.map(D.CompletionItemTag.from),c:x.detail,d:typeof x.documentation=="undefined"?void 0:D.MarkdownString.fromStrict(x.documentation),e:x.sortText!==x.label?x.sortText:void 0,f:x.filterText!==x.label?x.filterText:void 0,g:x.preselect||void 0,i:x.keepWhitespace?1:0,k:x.commitCharacters,l:x.additionalTextEdits&&x.additionalTextEdits.map(D.TextEdit.from),m:this._commands.toInternal(x.command,j)};x.textEdit?(this._apiDeprecation.report("CompletionItem.textEdit",this._extension,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),re.h=x.textEdit.newText):typeof x.insertText=="string"?re.h=x.insertText:x.insertText instanceof _.SnippetString&&(re.h=x.insertText.value,re.i|=4);let me;return x.textEdit?me=x.textEdit.range:x.range&&(me=x.range),_.Range.isRange(me)?re.j=D.Range.from(me):me&&(!ie?.isEqual(me.inserting)||!ae?.isEqual(me.replacing))&&(re.j={insert:D.Range.from(me.inserting),replace:D.Range.from(me.replacing)}),re}}class W{constructor(x,K,ie){this._documents=x,this._provider=K,this._commands=ie,this._cache=new E.Cache("InlineCompletionItem"),this._disposables=new Map}async provideInlineCompletions(x,K,ie,ae){const j=this._documents.getDocument(x),re=D.Position.to(K),me=await k.asPromise(()=>this._provider.provideInlineCompletionItems(j,re,ie,ae));if(!me||ae.isCancellationRequested)return;const Te=I.isArray(me)?{items:me}:me,Be=this._cache.add(Te.items);let pe;return{pid:Be,items:Te.items.map((Qe,z)=>{let ee;return Qe.command&&(pe||(pe=new m.DisposableStore,this._disposables.set(Be,pe)),ee=this._commands.toInternal(Qe.command,pe)),{text:Qe.text,range:Qe.range?D.Range.from(Qe.range):void 0,command:ee,idx:z}})}}disposeCompletions(x){this._cache.delete(x);const K=this._disposables.get(x);K&&K.clear(),this._disposables.delete(x)}handleDidShowCompletionItem(x,K){const ie=this._cache.get(x,K);ie&&Q.get(this._provider).fireOnDidShowCompletionItem({completionItem:ie})}}class Q{constructor(){this._onDidShowCompletionItemEmitter=new d.Emitter,this.onDidShowCompletionItem=this._onDidShowCompletionItemEmitter.event}static get(x){let K=Q.map.get(x);return K||(K=new Q,Q.map.set(x,K)),K}fireOnDidShowCompletionItem(x){this._onDidShowCompletionItemEmitter.fire(x)}}e.InlineCompletionController=Q,Q.map=new WeakMap;class G{constructor(x,K){this._documents=x,this._provider=K,this._cache=new E.Cache("SignatureHelp")}provideSignatureHelp(x,K,ie,ae){const j=this._documents.getDocument(x),re=D.Position.to(K),me=this.reviveContext(ie);return k.asPromise(()=>this._provider.provideSignatureHelp(j,re,ae,me)).then(Te=>{if(Te){const Be=this._cache.add([Te]);return{...D.SignatureHelp.from(Te),id:Be}}})}reviveContext(x){let K;if(x.activeSignatureHelp){const ie=D.SignatureHelp.to(x.activeSignatureHelp),ae=this._cache.get(x.activeSignatureHelp.id,0);ae?(K=ae,K.activeSignature=ie.activeSignature,K.activeParameter=ie.activeParameter):K=ie}return{...x,activeSignatureHelp:K}}releaseSignatureHelp(x){this._cache.delete(x)}}class ue{constructor(x,K){this._documents=x,this._provider=K}provideInlayHints(x,K,ie){const ae=this._documents.getDocument(x);return k.asPromise(()=>this._provider.provideInlayHints(ae,D.Range.to(K),ie)).then(j=>j?{hints:j.map(D.InlayHint.from)}:void 0)}}class ke{constructor(x,K){this._documents=x,this._provider=K,this._cache=new E.Cache("DocumentLink")}async provideLinks(x,K){const ie=this._documents.getDocument(x),ae=await k.asPromise(()=>this._provider.provideDocumentLinks(ie,K));if(!(!Array.isArray(ae)||ae.length===0)&&!K.isCancellationRequested){if(typeof this._provider.resolveDocumentLink!="function")return{links:ae.filter(ke._validateLink).map(D.DocumentLink.from)};{const j=this._cache.add(ae),re={links:[],id:j};for(let me=0;me<ae.length;me++){if(!ke._validateLink(ae[me]))continue;const Te=D.DocumentLink.from(ae[me]);Te.cacheId=[j,me],re.links.push(Te)}return re}}}static _validateLink(x){return x.target&&x.target.path.length>5e4?(console.warn("DROPPING link because it is too long"),!1):!0}async resolveLink(x,K){if(typeof this._provider.resolveDocumentLink!="function")return;const ie=this._cache.get(...x);if(!ie)return;const ae=await k.asPromise(()=>this._provider.resolveDocumentLink(ie,K));if(!(!ae||!ke._validateLink(ae)))return D.DocumentLink.from(ae)}releaseLinks(x){this._cache.delete(x)}}class Re{constructor(x,K){this._documents=x,this._provider=K}provideColors(x,K){const ie=this._documents.getDocument(x);return k.asPromise(()=>this._provider.provideDocumentColors(ie,K)).then(ae=>Array.isArray(ae)?ae.map(re=>({color:D.Color.from(re.color),range:D.Range.from(re.range)})):[])}provideColorPresentations(x,K,ie){const ae=this._documents.getDocument(x),j=D.Range.to(K.range),re=D.Color.to(K.color);return k.asPromise(()=>this._provider.provideColorPresentations(re,{document:ae,range:j},ie)).then(me=>{if(!!Array.isArray(me))return me.map(D.ColorPresentation.from)})}}class ze{constructor(x,K){this._documents=x,this._provider=K}provideFoldingRanges(x,K,ie){const ae=this._documents.getDocument(x);return k.asPromise(()=>this._provider.provideFoldingRanges(ae,K,ie)).then(j=>{if(!!Array.isArray(j))return j.map(D.FoldingRange.from)})}}class xe{constructor(x,K,ie){this._documents=x,this._provider=K,this._logService=ie}provideSelectionRanges(x,K,ie){const ae=this._documents.getDocument(x),j=K.map(D.Position.to);return k.asPromise(()=>this._provider.provideSelectionRanges(ae,j,ie)).then(re=>{if(!n.isNonEmptyArray(re))return[];if(re.length!==j.length)return this._logService.warn("BAD selection ranges, provider must return ranges for each position"),[];const me=[];for(let Te=0;Te<j.length;Te++){const Be=[];me.push(Be);let pe=j[Te],Qe=re[Te];for(;;){if(!Qe.range.contains(pe))throw new Error("INVALID selection range, must contain the previous range");if(Be.push(D.SelectionRange.from(Qe)),!Qe.parent)break;pe=Qe.range,Qe=Qe.parent}}return me})}}class Ve{constructor(x,K){this._documents=x,this._provider=K,this._idPool=new o.IdGenerator(""),this._cache=new Map}async prepareSession(x,K,ie){const ae=this._documents.getDocument(x),j=D.Position.to(K),re=await this._provider.prepareCallHierarchy(ae,j,ie);if(!re)return;const me=this._idPool.nextId();return this._cache.set(me,new Map),Array.isArray(re)?re.map(Te=>this._cacheAndConvertItem(me,Te)):[this._cacheAndConvertItem(me,re)]}async provideCallsTo(x,K,ie){const ae=this._itemFromCache(x,K);if(!ae)throw new Error("missing call hierarchy item");const j=await this._provider.provideCallHierarchyIncomingCalls(ae,ie);if(!!j)return j.map(re=>({from:this._cacheAndConvertItem(x,re.from),fromRanges:re.fromRanges.map(me=>D.Range.from(me))}))}async provideCallsFrom(x,K,ie){const ae=this._itemFromCache(x,K);if(!ae)throw new Error("missing call hierarchy item");const j=await this._provider.provideCallHierarchyOutgoingCalls(ae,ie);if(!!j)return j.map(re=>({to:this._cacheAndConvertItem(x,re.to),fromRanges:re.fromRanges.map(me=>D.Range.from(me))}))}releaseSession(x){this._cache.delete(x)}_cacheAndConvertItem(x,K){const ie=this._cache.get(x),ae={_sessionId:x,_itemId:ie.size.toString(36),name:K.name,detail:K.detail,kind:D.SymbolKind.from(K.kind),uri:K.uri,range:D.Range.from(K.range),selectionRange:D.Range.from(K.selectionRange),tags:K.tags?.map(D.SymbolTag.from)};return ie.set(ae._itemId,K),ae}_itemFromCache(x,K){return this._cache.get(x)?.get(K)}}class tt{constructor(x,K){this.adapter=x,this.extension=K}}class Ye{constructor(x,K,ie,ae,j,re,me){this._adapter=new Map,this._uriTransformer=K,this._proxy=x.getProxy(y.MainContext.MainThreadLanguageFeatures),this._documents=ie,this._commands=ae,this._diagnostics=j,this._logService=re,this._apiDeprecation=me}_transformDocumentSelector(x){return n.coalesce(n.asArray(x).map(K=>this._doTransformDocumentSelector(K)))}_doTransformDocumentSelector(x){if(typeof x=="string")return{$serialized:!0,language:x};if(x)return{$serialized:!0,language:x.language,scheme:this._transformScheme(x.scheme),pattern:typeof x.pattern=="undefined"?void 0:D.GlobPattern.from(x.pattern),exclusive:x.exclusive}}_transformScheme(x){return this._uriTransformer&&typeof x=="string"?this._uriTransformer.transformOutgoingScheme(x):x}_createDisposable(x){return new _.Disposable(()=>{this._adapter.delete(x),this._proxy.$unregister(x)})}_nextHandle(){return Ye._handlePool++}_withAdapter(x,K,ie,ae,j=!1){const re=this._adapter.get(x);if(!re)return Promise.resolve(ae);if(re.adapter instanceof K){let me;re.extension&&(me=Date.now(),this._logService.trace(`[${re.extension.identifier.value}] INVOKE provider '${K.name}'`));const Te=ie(re.adapter,re.extension),Be=re.extension;return Be&&Promise.resolve(Te).then(()=>this._logService.trace(`[${Be.identifier.value}] provider DONE after ${Date.now()-me}ms`),pe=>{j&&pe instanceof S.CancellationError||(this._logService.error(`[${Be.identifier.value}] provider FAILED`),this._logService.error(pe))}),Te}return Promise.reject(new Error("no adapter found"))}_addNewAdapter(x,K){const ie=this._nextHandle();return this._adapter.set(ie,new tt(x,K)),ie}static _extLabel(x){return x.displayName||x.name}registerDocumentSymbolProvider(x,K,ie,ae){const j=this._addNewAdapter(new h(this._documents,ie),x),re=ae&&ae.label||Ye._extLabel(x);return this._proxy.$registerDocumentSymbolProvider(j,this._transformDocumentSelector(K),re),this._createDisposable(j)}$provideDocumentSymbols(x,K,ie){return this._withAdapter(x,h,ae=>ae.provideDocumentSymbols(f.URI.revive(K),ie),void 0)}registerCodeLensProvider(x,K,ie){const ae=this._nextHandle(),j=typeof ie.onDidChangeCodeLenses=="function"?this._nextHandle():void 0;this._adapter.set(ae,new tt(new g(this._documents,this._commands.converter,ie),x)),this._proxy.$registerCodeLensSupport(ae,this._transformDocumentSelector(K),j);let re=this._createDisposable(ae);if(j!==void 0){const me=ie.onDidChangeCodeLenses(Te=>this._proxy.$emitCodeLensEvent(j));re=_.Disposable.from(re,me)}return re}$provideCodeLenses(x,K,ie){return this._withAdapter(x,g,ae=>ae.provideCodeLenses(f.URI.revive(K),ie),void 0)}$resolveCodeLens(x,K,ie){return this._withAdapter(x,g,ae=>ae.resolveCodeLens(K,ie),void 0)}$releaseCodeLenses(x,K){this._withAdapter(x,g,ie=>Promise.resolve(ie.releaseCodeLenses(K)),void 0)}registerDefinitionProvider(x,K,ie){const ae=this._addNewAdapter(new r(this._documents,ie),x);return this._proxy.$registerDefinitionSupport(ae,this._transformDocumentSelector(K)),this._createDisposable(ae)}$provideDefinition(x,K,ie,ae){return this._withAdapter(x,r,j=>j.provideDefinition(f.URI.revive(K),ie,ae),[])}registerDeclarationProvider(x,K,ie){const ae=this._addNewAdapter(new i(this._documents,ie),x);return this._proxy.$registerDeclarationSupport(ae,this._transformDocumentSelector(K)),this._createDisposable(ae)}$provideDeclaration(x,K,ie,ae){return this._withAdapter(x,i,j=>j.provideDeclaration(f.URI.revive(K),ie,ae),[])}registerImplementationProvider(x,K,ie){const ae=this._addNewAdapter(new s(this._documents,ie),x);return this._proxy.$registerImplementationSupport(ae,this._transformDocumentSelector(K)),this._createDisposable(ae)}$provideImplementation(x,K,ie,ae){return this._withAdapter(x,s,j=>j.provideImplementation(f.URI.revive(K),ie,ae),[])}registerTypeDefinitionProvider(x,K,ie){const ae=this._addNewAdapter(new c(this._documents,ie),x);return this._proxy.$registerTypeDefinitionSupport(ae,this._transformDocumentSelector(K)),this._createDisposable(ae)}$provideTypeDefinition(x,K,ie,ae){return this._withAdapter(x,c,j=>j.provideTypeDefinition(f.URI.revive(K),ie,ae),[])}registerHoverProvider(x,K,ie,ae){const j=this._addNewAdapter(new w(this._documents,ie),x);return this._proxy.$registerHoverProvider(j,this._transformDocumentSelector(K)),this._createDisposable(j)}$provideHover(x,K,ie,ae){return this._withAdapter(x,w,j=>j.provideHover(f.URI.revive(K),ie,ae),void 0)}registerEvaluatableExpressionProvider(x,K,ie,ae){const j=this._addNewAdapter(new p(this._documents,ie),x);return this._proxy.$registerEvaluatableExpressionProvider(j,this._transformDocumentSelector(K)),this._createDisposable(j)}$provideEvaluatableExpression(x,K,ie,ae){return this._withAdapter(x,p,j=>j.provideEvaluatableExpression(f.URI.revive(K),ie,ae),void 0)}registerInlineValuesProvider(x,K,ie,ae){const j=typeof ie.onDidChangeInlineValues=="function"?this._nextHandle():void 0,re=this._addNewAdapter(new P(this._documents,ie),x);this._proxy.$registerInlineValuesProvider(re,this._transformDocumentSelector(K),j);let me=this._createDisposable(re);if(j!==void 0){const Te=ie.onDidChangeInlineValues(Be=>this._proxy.$emitInlineValuesEvent(j));me=_.Disposable.from(me,Te)}return me}$provideInlineValues(x,K,ie,ae,j){return this._withAdapter(x,P,re=>re.provideInlineValues(f.URI.revive(K),ie,ae,j),void 0)}registerDocumentHighlightProvider(x,K,ie){const ae=this._addNewAdapter(new A(this._documents,ie),x);return this._proxy.$registerDocumentHighlightProvider(ae,this._transformDocumentSelector(K)),this._createDisposable(ae)}$provideDocumentHighlights(x,K,ie,ae){return this._withAdapter(x,A,j=>j.provideDocumentHighlights(f.URI.revive(K),ie,ae),void 0)}registerLinkedEditingRangeProvider(x,K,ie){const ae=this._addNewAdapter(new a(this._documents,ie),x);return this._proxy.$registerLinkedEditingRangeProvider(ae,this._transformDocumentSelector(K)),this._createDisposable(ae)}$provideLinkedEditingRanges(x,K,ie,ae){return this._withAdapter(x,a,async j=>{const re=await j.provideLinkedEditingRanges(f.URI.revive(K),ie,ae);if(re)return{ranges:re.ranges,wordPattern:re.wordPattern?Ye._serializeRegExp(re.wordPattern):void 0}},void 0)}registerReferenceProvider(x,K,ie){const ae=this._addNewAdapter(new T(this._documents,ie),x);return this._proxy.$registerReferenceSupport(ae,this._transformDocumentSelector(K)),this._createDisposable(ae)}$provideReferences(x,K,ie,ae,j){return this._withAdapter(x,T,re=>re.provideReferences(f.URI.revive(K),ie,ae,j),void 0)}registerCodeActionProvider(x,K,ie,ae){const j=new m.DisposableStore,re=this._addNewAdapter(new F(this._documents,this._commands.converter,this._diagnostics,ie,this._logService,x,this._apiDeprecation),x);return this._proxy.$registerQuickFixSupport(re,this._transformDocumentSelector(K),{providedKinds:ae?.providedCodeActionKinds?.map(me=>me.value),documentation:ae?.documentation?.map(me=>({kind:me.kind.value,command:this._commands.converter.toInternal(me.command,j)}))},Ye._extLabel(x),Boolean(ie.resolveCodeAction)),j.add(this._createDisposable(re)),j}$provideCodeActions(x,K,ie,ae,j){return this._withAdapter(x,F,re=>re.provideCodeActions(f.URI.revive(K),ie,ae,j),void 0)}$resolveCodeAction(x,K,ie){return this._withAdapter(x,F,ae=>ae.resolveCodeAction(K,ie),void 0)}$releaseCodeActions(x,K){this._withAdapter(x,F,ie=>Promise.resolve(ie.releaseCodeActions(K)),void 0)}registerDocumentFormattingEditProvider(x,K,ie){const ae=this._addNewAdapter(new H(this._documents,ie),x);return this._proxy.$registerDocumentFormattingSupport(ae,this._transformDocumentSelector(K),x.identifier,x.displayName||x.name),this._createDisposable(ae)}$provideDocumentFormattingEdits(x,K,ie,ae){return this._withAdapter(x,H,j=>j.provideDocumentFormattingEdits(f.URI.revive(K),ie,ae),void 0)}registerDocumentRangeFormattingEditProvider(x,K,ie){const ae=this._addNewAdapter(new $(this._documents,ie),x);return this._proxy.$registerRangeFormattingSupport(ae,this._transformDocumentSelector(K),x.identifier,x.displayName||x.name),this._createDisposable(ae)}$provideDocumentRangeFormattingEdits(x,K,ie,ae,j){return this._withAdapter(x,$,re=>re.provideDocumentRangeFormattingEdits(f.URI.revive(K),ie,ae,j),void 0)}registerOnTypeFormattingEditProvider(x,K,ie,ae){const j=this._addNewAdapter(new Z(this._documents,ie),x);return this._proxy.$registerOnTypeFormattingSupport(j,this._transformDocumentSelector(K),ae,x.identifier),this._createDisposable(j)}$provideOnTypeFormattingEdits(x,K,ie,ae,j,re){return this._withAdapter(x,Z,me=>me.provideOnTypeFormattingEdits(f.URI.revive(K),ie,ae,j,re),void 0)}registerWorkspaceSymbolProvider(x,K){const ie=this._addNewAdapter(new V(K,this._logService),x);return this._proxy.$registerNavigateTypeSupport(ie),this._createDisposable(ie)}$provideWorkspaceSymbols(x,K,ie){return this._withAdapter(x,V,ae=>ae.provideWorkspaceSymbols(K,ie),{symbols:[]})}$resolveWorkspaceSymbol(x,K,ie){return this._withAdapter(x,V,ae=>ae.resolveWorkspaceSymbol(K,ie),void 0)}$releaseWorkspaceSymbols(x,K){this._withAdapter(x,V,ie=>ie.releaseWorkspaceSymbols(K),void 0)}registerRenameProvider(x,K,ie){const ae=this._addNewAdapter(new B(this._documents,ie,this._logService),x);return this._proxy.$registerRenameSupport(ae,this._transformDocumentSelector(K),B.supportsResolving(ie)),this._createDisposable(ae)}$provideRenameEdits(x,K,ie,ae,j){return this._withAdapter(x,B,re=>re.provideRenameEdits(f.URI.revive(K),ie,ae,j),void 0)}$resolveRenameLocation(x,K,ie,ae){return this._withAdapter(x,B,j=>j.resolveRenameLocation(f.URI.revive(K),ie,ae),void 0)}registerDocumentSemanticTokensProvider(x,K,ie,ae){const j=this._nextHandle(),re=typeof ie.onDidChangeSemanticTokens=="function"?this._nextHandle():void 0;this._adapter.set(j,new tt(new L(this._documents,ie),x)),this._proxy.$registerDocumentSemanticTokensProvider(j,this._transformDocumentSelector(K),ae,re);let me=this._createDisposable(j);if(re){const Te=ie.onDidChangeSemanticTokens(Be=>this._proxy.$emitDocumentSemanticTokensEvent(re));me=_.Disposable.from(me,Te)}return me}$provideDocumentSemanticTokens(x,K,ie,ae){return this._withAdapter(x,L,j=>j.provideDocumentSemanticTokens(f.URI.revive(K),ie,ae),null,!0)}$releaseDocumentSemanticTokens(x,K){this._withAdapter(x,L,ie=>ie.releaseDocumentSemanticColoring(K),void 0)}registerDocumentRangeSemanticTokensProvider(x,K,ie,ae){const j=this._addNewAdapter(new J(this._documents,ie),x);return this._proxy.$registerDocumentRangeSemanticTokensProvider(j,this._transformDocumentSelector(K),ae),this._createDisposable(j)}$provideDocumentRangeSemanticTokens(x,K,ie,ae){return this._withAdapter(x,J,j=>j.provideDocumentRangeSemanticTokens(f.URI.revive(K),ie,ae),null,!0)}registerCompletionItemProvider(x,K,ie,ae){const j=this._addNewAdapter(new N(this._documents,this._commands.converter,ie,this._apiDeprecation,x),x);return this._proxy.$registerSuggestSupport(j,this._transformDocumentSelector(K),ae,N.supportsResolving(ie),`${x.identifier.value}(${ae.join("")})`),this._createDisposable(j)}$provideCompletionItems(x,K,ie,ae,j){return this._withAdapter(x,N,re=>re.provideCompletionItems(f.URI.revive(K),ie,ae,j),void 0)}$resolveCompletionItem(x,K,ie){return this._withAdapter(x,N,ae=>ae.resolveCompletionItem(K,ie),void 0)}$releaseCompletionItems(x,K){this._withAdapter(x,N,ie=>ie.releaseCompletionItems(K),void 0)}registerInlineCompletionsProvider(x,K,ie){const ae=this._addNewAdapter(new W(this._documents,ie,this._commands.converter),x);return this._proxy.$registerInlineCompletionsSupport(ae,this._transformDocumentSelector(K)),this._createDisposable(ae)}$provideInlineCompletions(x,K,ie,ae,j){return this._withAdapter(x,W,re=>re.provideInlineCompletions(f.URI.revive(K),ie,ae,j),void 0)}$handleInlineCompletionDidShow(x,K,ie){this._withAdapter(x,W,async ae=>{ae.handleDidShowCompletionItem(K,ie)},void 0)}$freeInlineCompletionsList(x,K){this._withAdapter(x,W,async ie=>{ie.disposeCompletions(K)},void 0)}registerSignatureHelpProvider(x,K,ie,ae){const j=Array.isArray(ae)?{triggerCharacters:ae,retriggerCharacters:[]}:ae,re=this._addNewAdapter(new G(this._documents,ie),x);return this._proxy.$registerSignatureHelpProvider(re,this._transformDocumentSelector(K),j),this._createDisposable(re)}$provideSignatureHelp(x,K,ie,ae,j){return this._withAdapter(x,G,re=>re.provideSignatureHelp(f.URI.revive(K),ie,ae,j),void 0)}$releaseSignatureHelp(x,K){this._withAdapter(x,G,ie=>ie.releaseSignatureHelp(K),void 0)}registerInlayHintsProvider(x,K,ie){const ae=typeof ie.onDidChangeInlayHints=="function"?this._nextHandle():void 0,j=this._addNewAdapter(new ue(this._documents,ie),x);this._proxy.$registerInlayHintsProvider(j,this._transformDocumentSelector(K),ae);let re=this._createDisposable(j);if(ae!==void 0){const me=ie.onDidChangeInlayHints(Te=>this._proxy.$emitInlayHintsEvent(ae));re=_.Disposable.from(re,me)}return re}$provideInlayHints(x,K,ie,ae){return this._withAdapter(x,ue,j=>j.provideInlayHints(f.URI.revive(K),ie,ae),void 0)}registerDocumentLinkProvider(x,K,ie){const ae=this._addNewAdapter(new ke(this._documents,ie),x);return this._proxy.$registerDocumentLinkProvider(ae,this._transformDocumentSelector(K),typeof ie.resolveDocumentLink=="function"),this._createDisposable(ae)}$provideDocumentLinks(x,K,ie){return this._withAdapter(x,ke,ae=>ae.provideLinks(f.URI.revive(K),ie),void 0)}$resolveDocumentLink(x,K,ie){return this._withAdapter(x,ke,ae=>ae.resolveLink(K,ie),void 0)}$releaseDocumentLinks(x,K){this._withAdapter(x,ke,ie=>ie.releaseLinks(K),void 0)}registerColorProvider(x,K,ie){const ae=this._addNewAdapter(new Re(this._documents,ie),x);return this._proxy.$registerDocumentColorProvider(ae,this._transformDocumentSelector(K)),this._createDisposable(ae)}$provideDocumentColors(x,K,ie){return this._withAdapter(x,Re,ae=>ae.provideColors(f.URI.revive(K),ie),[])}$provideColorPresentations(x,K,ie,ae){return this._withAdapter(x,Re,j=>j.provideColorPresentations(f.URI.revive(K),ie,ae),void 0)}registerFoldingRangeProvider(x,K,ie){const ae=this._nextHandle(),j=typeof ie.onDidChangeFoldingRanges=="function"?this._nextHandle():void 0;this._adapter.set(ae,new tt(new ze(this._documents,ie),x)),this._proxy.$registerFoldingRangeProvider(ae,this._transformDocumentSelector(K),j);let re=this._createDisposable(ae);if(j!==void 0){const me=ie.onDidChangeFoldingRanges(()=>this._proxy.$emitFoldingRangeEvent(j));re=_.Disposable.from(re,me)}return re}$provideFoldingRanges(x,K,ie,ae){return this._withAdapter(x,ze,j=>j.provideFoldingRanges(f.URI.revive(K),ie,ae),void 0)}registerSelectionRangeProvider(x,K,ie){const ae=this._addNewAdapter(new xe(this._documents,ie,this._logService),x);return this._proxy.$registerSelectionRangeProvider(ae,this._transformDocumentSelector(K)),this._createDisposable(ae)}$provideSelectionRanges(x,K,ie,ae){return this._withAdapter(x,xe,j=>j.provideSelectionRanges(f.URI.revive(K),ie,ae),[])}registerCallHierarchyProvider(x,K,ie){const ae=this._addNewAdapter(new Ve(this._documents,ie),x);return this._proxy.$registerCallHierarchyProvider(ae,this._transformDocumentSelector(K)),this._createDisposable(ae)}$prepareCallHierarchy(x,K,ie,ae){return this._withAdapter(x,Ve,j=>Promise.resolve(j.prepareSession(f.URI.revive(K),ie,ae)),void 0)}$provideCallHierarchyIncomingCalls(x,K,ie,ae){return this._withAdapter(x,Ve,j=>j.provideCallsTo(K,ie,ae),void 0)}$provideCallHierarchyOutgoingCalls(x,K,ie,ae){return this._withAdapter(x,Ve,j=>j.provideCallsFrom(K,ie,ae),void 0)}$releaseCallHierarchy(x,K){this._withAdapter(x,Ve,ie=>Promise.resolve(ie.releaseSession(K)),void 0)}static _serializeRegExp(x){return{pattern:x.source,flags:b.regExpFlags(x)}}static _serializeIndentationRule(x){return{decreaseIndentPattern:Ye._serializeRegExp(x.decreaseIndentPattern),increaseIndentPattern:Ye._serializeRegExp(x.increaseIndentPattern),indentNextLinePattern:x.indentNextLinePattern?Ye._serializeRegExp(x.indentNextLinePattern):void 0,unIndentedLinePattern:x.unIndentedLinePattern?Ye._serializeRegExp(x.unIndentedLinePattern):void 0}}static _serializeOnEnterRule(x){return{beforeText:Ye._serializeRegExp(x.beforeText),afterText:x.afterText?Ye._serializeRegExp(x.afterText):void 0,previousLineText:x.previousLineText?Ye._serializeRegExp(x.previousLineText):void 0,action:x.action}}static _serializeOnEnterRules(x){return x.map(Ye._serializeOnEnterRule)}setLanguageConfiguration(x,K,ie){let{wordPattern:ae}=ie;if(ae&&b.regExpLeadsToEndlessLoop(ae))throw new Error(`Invalid language configuration: wordPattern '${ae}' is not allowed to match the empty string.`);ae?this._documents.setWordDefinitionFor(K,ae):this._documents.setWordDefinitionFor(K,void 0),ie.__electricCharacterSupport&&this._apiDeprecation.report("LanguageConfiguration.__electricCharacterSupport",x,"Do not use."),ie.__characterPairSupport&&this._apiDeprecation.report("LanguageConfiguration.__characterPairSupport",x,"Do not use.");const j=this._nextHandle(),re={comments:ie.comments,brackets:ie.brackets,wordPattern:ie.wordPattern?Ye._serializeRegExp(ie.wordPattern):void 0,indentationRules:ie.indentationRules?Ye._serializeIndentationRule(ie.indentationRules):void 0,onEnterRules:ie.onEnterRules?Ye._serializeOnEnterRules(ie.onEnterRules):void 0,__electricCharacterSupport:ie.__electricCharacterSupport,__characterPairSupport:ie.__characterPairSupport};return this._proxy.$setLanguageConfiguration(j,K,re),this._createDisposable(j)}$setWordDefinitions(x){for(const K of x)this._documents.setWordDefinitionFor(K.languageId,new RegExp(K.regexSource,K.regexFlags))}}e.ExtHostLanguageFeatures=Ye,Ye._handlePool=0}),define(we[194],_e([0,1,5,9,7]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguages=void 0;class _{constructor(y,b){this._proxy=y.getProxy(f.MainContext.MainThreadLanguages),this._documents=b}getLanguages(){return this._proxy.$getLanguages()}async changeLanguage(y,b){await this._proxy.$changeLanguage(y,b);const C=this._documents.getDocumentData(y);if(!C)throw new Error(`document '${y.toString}' NOT found`);return C.document}async tokenAtPosition(y,b){const C=y.version,n=R.Position.from(b),I=await this._proxy.$tokensAtPosition(y.uri,n),l={type:D.StandardTokenType.Other,range:y.getWordRangeAtPosition(b)??new D.Range(b.line,b.character,b.line,b.character)};if(!I)return l;const m={range:R.Range.to(I.range),type:R.TokenType.to(I.type)};return!m.range.contains(b)||C!==y.version?l:m}}e.ExtHostLanguages=_}),define(we[195],_e([0,1,5,16,29]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostMessageService=void 0;function _(y){return y&&y.title}let k=class{constructor(b,C){this._logService=C,this._proxy=b.getProxy(f.MainContext.MainThreadMessageService)}showMessage(b,C,n,I,l){const m={extension:b};let u;typeof I=="string"||_(I)?u=[I,...l]:(m.modal=I?.modal,m.useCustom=I?.useCustom,m.detail=I?.detail,u=l),m.useCustom&&D.checkProposedApiEnabled(b);const o=[];for(let E=0;E<u.length;E++){const v=u[E];if(typeof v=="string")o.push({title:v,handle:E,isCloseAffordance:!1});else if(typeof v=="object"){let{title:S,isCloseAffordance:d}=v;o.push({title:S,isCloseAffordance:!!d,handle:E})}else this._logService.warn("Invalid message item:",v)}return this._proxy.$showMessage(C,n,m,o).then(E=>{if(typeof E=="number")return u[E]})}};k=We([He(1,R.ILogService)],k),e.ExtHostMessageService=k}),define(we[196],_e([0,1,24,3,52,6,22,8,10,2,62,5,9,7,170,98]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m,u,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookController=void 0;class E{constructor(S,d,h,g,t){this._textDocumentsAndEditors=h,this._textDocuments=g,this._extensionStoragePaths=t,this._notebookContentProviders=new Map,this._notebookStatusBarItemProviders=new Map,this._documents=new k.ResourceMap,this._editors=new Map,this._onDidChangeNotebookCells=new R.Emitter,this.onDidChangeNotebookCells=this._onDidChangeNotebookCells.event,this._onDidChangeCellOutputs=new R.Emitter,this.onDidChangeCellOutputs=this._onDidChangeCellOutputs.event,this._onDidChangeCellMetadata=new R.Emitter,this.onDidChangeCellMetadata=this._onDidChangeCellMetadata.event,this._onDidChangeActiveNotebookEditor=new R.Emitter,this.onDidChangeActiveNotebookEditor=this._onDidChangeActiveNotebookEditor.event,this._onDidChangeCellExecutionState=new R.Emitter,this.onDidChangeNotebookCellExecutionState=this._onDidChangeCellExecutionState.event,this._visibleNotebookEditors=[],this._onDidOpenNotebookDocument=new R.Emitter,this.onDidOpenNotebookDocument=this._onDidOpenNotebookDocument.event,this._onDidCloseNotebookDocument=new R.Emitter,this.onDidCloseNotebookDocument=this._onDidCloseNotebookDocument.event,this._onDidChangeVisibleNotebookEditors=new R.Emitter,this.onDidChangeVisibleNotebookEditors=this._onDidChangeVisibleNotebookEditors.event,this._statusBarCache=new n.Cache("NotebookCellStatusBarCache"),this._handlePool=0,this._notebookSerializer=new Map,this._backupIdPool=0,this._notebookProxy=S.getProxy(I.MainContext.MainThreadNotebook),this._notebookDocumentsProxy=S.getProxy(I.MainContext.MainThreadNotebookDocuments),this._notebookEditorsProxy=S.getProxy(I.MainContext.MainThreadNotebookEditors),this._commandsConverter=d.converter,d.registerArgumentProcessor({processArgument:r=>{if(r&&r.$mid===12){const i=r.notebookEditor?.notebookUri,s=r.cell.handle,w=this._documents.get(i)?.getCell(s);if(w)return w.apiCell}return r}})}get activeNotebookEditor(){return this._activeNotebookEditor?.apiEditor}get visibleNotebookEditors(){return this._visibleNotebookEditors.map(S=>S.apiEditor)}getEditorById(S){const d=this._editors.get(S);if(!d)throw new Error(`unknown text editor: ${S}. known editors: ${[...this._editors.keys()]} `);return d}getIdByEditor(S){for(const[d,h]of this._editors)if(h.apiEditor===S)return d}get notebookDocuments(){return[...this._documents.values()]}getNotebookDocument(S,d){const h=this._documents.get(S);if(!h&&!d)throw new Error(`NO notebook document for '${S}'`);return h}_getProviderData(S){const d=this._notebookContentProviders.get(S);if(!d)throw new Error(`NO provider for '${S}'`);return d}registerNotebookContentProvider(S,d,h,g,t){if(y.isFalsyOrWhitespace(d))throw new Error("viewType cannot be empty or just whitespace");if(this._notebookContentProviders.has(d))throw new Error(`Notebook provider for '${d}' already registered`);this._notebookContentProviders.set(d,{extension:S,provider:h});let r;return h.onDidChangeNotebookContentOptions&&(r=h.onDidChangeNotebookContentOptions(()=>{const i=l.NotebookDocumentContentOptions.from(h.options);this._notebookProxy.$updateNotebookProviderOptions(d,i)})),this._notebookProxy.$registerNotebookProvider({id:S.identifier,location:S.extensionLocation},d,l.NotebookDocumentContentOptions.from(g),E._convertNotebookRegistrationData(S,t)),new m.Disposable(()=>{r?.dispose(),this._notebookContentProviders.delete(d),this._notebookProxy.$unregisterNotebookProvider(d)})}static _convertNotebookRegistrationData(S,d){if(!d)return;const h=d.filenamePattern.map(g=>l.NotebookExclusiveDocumentPattern.from(g)).filter(g=>g!==void 0);if(d.filenamePattern&&!h){console.warn(`Notebook content provider view options file name pattern is invalid ${d.filenamePattern}`);return}return{extension:S.identifier,providerDisplayName:S.displayName||S.name,displayName:d.displayName,filenamePattern:h,exclusive:d.exclusive||!1}}registerNotebookCellStatusBarItemProvider(S,d,h){const g=E._notebookStatusBarItemProviderHandlePool++,t=typeof h.onDidChangeCellStatusBarItems=="function"?E._notebookStatusBarItemProviderHandlePool++:void 0;this._notebookStatusBarItemProviders.set(g,h),this._notebookProxy.$registerNotebookCellStatusBarItemProvider(g,t,d);let r;return t!==void 0&&(r=h.onDidChangeCellStatusBarItems(i=>this._notebookProxy.$emitCellStatusBarEvent(t))),new m.Disposable(()=>{this._notebookStatusBarItemProviders.delete(g),this._notebookProxy.$unregisterNotebookCellStatusBarItemProvider(g,t),r&&r.dispose()})}async createNotebookDocument(S){const d=await this._notebookDocumentsProxy.$tryCreateNotebook({viewType:S.viewType,content:S.content&&l.NotebookData.from(S.content)});return C.URI.revive(d)}async openNotebookDocument(S){const d=this._documents.get(S);if(d)return d.apiNotebook;const h=await this._notebookDocumentsProxy.$tryOpenNotebook(S),g=this._documents.get(C.URI.revive(h));return b.assertIsDefined(g?.apiNotebook)}async showNotebookDocument(S,d){C.URI.isUri(S)&&(S=await this.openNotebookDocument(S));let h;typeof d=="object"?h={position:l.ViewColumn.from(d.viewColumn),preserveFocus:d.preserveFocus,selections:d.selections&&d.selections.map(l.NotebookRange.from),pinned:typeof d.preview=="boolean"?!d.preview:void 0}:h={preserveFocus:!1};const g=await this._notebookEditorsProxy.$tryShowNotebookDocument(S.uri,S.notebookType,h),t=g&&this._editors.get(g)?.apiEditor;if(t)return t;throw g?new Error(`Could NOT open editor for "${S.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${S.uri.toString()}".`)}async $provideNotebookCellStatusBarItems(S,d,h,g){const t=this._notebookStatusBarItemProviders.get(S),r=C.URI.revive(d),i=this._documents.get(r);if(!i||!t)return;const s=i.getCellFromIndex(h);if(!s)return;const c=await t.provideCellStatusBarItems(s.apiCell,g);if(!c)return;const w=new _.DisposableStore,p=this._statusBarCache.add([w]),A=(Array.isArray(c)?c:[c]).map(a=>l.NotebookStatusBarItem.from(a,this._commandsConverter,w));return{cacheId:p,items:A}}$releaseNotebookCellStatusBarItems(S){this._statusBarCache.delete(S)}registerNotebookSerializer(S,d,h,g,t){if(y.isFalsyOrWhitespace(d))throw new Error("viewType cannot be empty or just whitespace");const r=this._handlePool++;return this._notebookSerializer.set(r,h),this._notebookProxy.$registerNotebookSerializer(r,{id:S.identifier,location:S.extensionLocation},d,l.NotebookDocumentContentOptions.from(g),E._convertNotebookRegistrationData(S,t)),_.toDisposable(()=>{this._notebookProxy.$unregisterNotebookSerializer(r)})}async $dataToNotebook(S,d,h){const g=this._notebookSerializer.get(S);if(!g)throw new Error("NO serializer found");const t=await g.deserializeNotebook(d.buffer,h);return l.NotebookData.from(t)}async $notebookToData(S,d,h){const g=this._notebookSerializer.get(S);if(!g)throw new Error("NO serializer found");const t=await g.serializeNotebook(l.NotebookData.to(d),h);return f.VSBuffer.wrap(t)}async $openNotebook(S,d,h,g,t){const{provider:r}=this._getProviderData(S),i=await r.openNotebook(C.URI.revive(d),{backupId:h,untitledDocumentData:g?.buffer},t);return{metadata:i.metadata??Object.create(null),cells:i.cells.map(l.NotebookCellData.from)}}async $saveNotebook(S,d,h){const g=this.getNotebookDocument(C.URI.revive(d)),{provider:t}=this._getProviderData(S);return await t.saveNotebook(g.apiNotebook,h),!0}async $saveNotebookAs(S,d,h,g){const t=this.getNotebookDocument(C.URI.revive(d)),{provider:r}=this._getProviderData(S);return await r.saveNotebookAs(C.URI.revive(h),t.apiNotebook,g),!0}async $backupNotebook(S,d,h){const g=this.getNotebookDocument(C.URI.revive(d)),t=this._getProviderData(S),r=this._extensionStoragePaths.workspaceValue(t.extension)??this._extensionStoragePaths.globalValue(t.extension),i=String(D.hash([g.uri.toString(),this._backupIdPool++])),s=C.URI.joinPath(r,i),c=await t.provider.backupNotebook(g.apiNotebook,{destination:s},h);return g.updateBackup(c),c.id}_createExtHostEditor(S,d,h){if(this._editors.has(d))throw new Error(`editor with id ALREADY EXSIST: ${d}`);const g=new o.ExtHostNotebookEditor(d,this._notebookEditorsProxy,S,h.visibleRanges.map(l.NotebookRange.to),h.selections.map(l.NotebookRange.to),typeof h.viewColumn=="number"?l.ViewColumn.to(h.viewColumn):void 0);this._editors.set(d,g)}$acceptDocumentAndEditorsDelta(S){if(S.removedDocuments)for(const h of S.removedDocuments){const g=C.URI.revive(h),t=this._documents.get(g);t&&(t.dispose(),this._documents.delete(g),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({removedDocuments:t.apiNotebook.getCells().map(r=>r.document.uri)}),this._onDidCloseNotebookDocument.fire(t.apiNotebook));for(const r of this._editors.values())r.notebookData.uri.toString()===g.toString()&&this._editors.delete(r.id)}if(S.addedDocuments){const h=[];for(const g of S.addedDocuments){const t=C.URI.revive(g.uri);if(this._documents.has(t))throw new Error(`adding EXISTING notebook ${t} `);const r=this,i=new u.ExtHostNotebookDocument(this._notebookDocumentsProxy,this._textDocumentsAndEditors,this._textDocuments,{emitModelChange(s){r._onDidChangeNotebookCells.fire(s)},emitCellOutputsChange(s){r._onDidChangeCellOutputs.fire(s)},emitCellMetadataChange(s){r._onDidChangeCellMetadata.fire(s)},emitCellExecutionStateChange(s){r._onDidChangeCellExecutionState.fire(s)}},t,g);h.push(...g.cells.map(s=>u.ExtHostCell.asModelAddData(i.apiNotebook,s))),this._documents.get(t)?.dispose(),this._documents.set(t,i),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({addedDocuments:h}),this._onDidOpenNotebookDocument.fire(i.apiNotebook)}}if(S.addedEditors)for(const h of S.addedEditors){if(this._editors.has(h.id))return;const g=C.URI.revive(h.documentUri),t=this._documents.get(g);t&&this._createExtHostEditor(t,h.id,h)}const d=[];if(S.removedEditors)for(const h of S.removedEditors){const g=this._editors.get(h);g&&(this._editors.delete(h),this._activeNotebookEditor?.id===g.id&&(this._activeNotebookEditor=void 0),d.push(g))}if(S.visibleEditors){this._visibleNotebookEditors=S.visibleEditors.map(g=>this._editors.get(g)).filter(g=>!!g);const h=new Set;this._visibleNotebookEditors.forEach(g=>h.add(g.id));for(const g of this._editors.values()){const t=h.has(g.id);g._acceptVisibility(t)}this._visibleNotebookEditors=[...this._editors.values()].map(g=>g).filter(g=>g.visible),this._onDidChangeVisibleNotebookEditors.fire(this.visibleNotebookEditors)}S.newActiveEditor===null?this._activeNotebookEditor=void 0:S.newActiveEditor&&(this._activeNotebookEditor=this._editors.get(S.newActiveEditor)),S.newActiveEditor!==void 0&&this._onDidChangeActiveNotebookEditor.fire(this._activeNotebookEditor?.apiEditor)}}e.ExtHostNotebookController=E,E._notebookStatusBarItemProviderHandlePool=0}),define(we[197],_e([0,1,3,50,16,5,13,9]),function(ne,e,f,R,D,_,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditors=void 0;class b{constructor(I,l){const m=b._Keys.nextId();I.$registerNotebookEditorDecorationType(m,y.NotebookDecorationRenderOptions.from(l)),this.value={key:m,dispose(){I.$removeNotebookEditorDecorationType(m)}}}}b._Keys=new R.IdGenerator("NotebookEditorDecorationType");let C=class{constructor(I,l,m){this._logService=I,this._extHostRpc=l,this._notebooksAndEditors=m,this._onDidChangeNotebookEditorSelection=new f.Emitter,this._onDidChangeNotebookEditorVisibleRanges=new f.Emitter,this.onDidChangeNotebookEditorSelection=this._onDidChangeNotebookEditorSelection.event,this.onDidChangeNotebookEditorVisibleRanges=this._onDidChangeNotebookEditorVisibleRanges.event}createNotebookEditorDecorationType(I){return new b(this._extHostRpc.getProxy(_.MainContext.MainThreadNotebookEditors),I).value}$acceptEditorPropertiesChanged(I,l){this._logService.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",I,l);const m=this._notebooksAndEditors.getEditorById(I);l.visibleRanges&&m._acceptVisibleRanges(l.visibleRanges.ranges.map(y.NotebookRange.to)),l.selections&&m._acceptSelections(l.selections.selections.map(y.NotebookRange.to)),l.visibleRanges&&this._onDidChangeNotebookEditorVisibleRanges.fire({notebookEditor:m.apiEditor,visibleRanges:m.apiEditor.visibleRanges}),l.selections&&this._onDidChangeNotebookEditorSelection.fire(Object.freeze({notebookEditor:m.apiEditor,selections:m.apiEditor.selections}))}$acceptEditorViewColumns(I){for(const l in I)this._notebooksAndEditors.getEditorById(l)._acceptViewColumn(y.ViewColumn.to(I[l]))}};C=We([He(0,D.ILogService),He(1,k.IExtHostRpcService)],C),e.ExtHostNotebookEditors=C}),define(we[198],_e([0,1,3,6,5,26,2,9,66,22,15,67,18,17,16,7,29]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m,u,o,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookKernels=void 0;let v=class{constructor(t,r,i,s){this._initData=r,this._extHostNotebook=i,this._logService=s,this._activeExecutions=new C.ResourceMap,this._kernelData=new Map,this._handlePool=0,this._proxy=t.getProxy(D.MainContext.MainThreadNotebookKernels)}createNotebookController(t,r,i,s,c,w){for(let N of this._kernelData.values())if(N.controller.id===r&&_.ExtensionIdentifier.equals(t.identifier,N.extensionId))throw new Error(`notebook controller with id '${r}' ALREADY exist`);const p=this._handlePool++,P=this;this._logService.trace(`NotebookController[${p}], CREATED by ${t.identifier.value}, ${r}`);const A=()=>console.warn(`NO execute handler from notebook controller '${$.id}' of extension: '${t.identifier}'`);let a=!1;const T=new R.DisposableStore,F=new f.Emitter,H=new f.Emitter,$={id:`${t.identifier.value}/${r}`,notebookType:i,extensionId:t.identifier,extensionLocation:t.extensionLocation,label:s||t.identifier.value,preloads:w?w.map(y.NotebookRendererScript.from):[]};let Z=c??A,V;this._proxy.$addKernel(p,$).catch(N=>{console.log(N),a=!0});let B=0;const Y=()=>{if(a)return;const N=++B;Promise.resolve().then(()=>{N===B&&this._proxy.$updateKernel(p,$)})},L=new C.ResourceMap,J={get id(){return r},get notebookType(){return $.notebookType},onDidChangeSelectedNotebooks:F.event,get label(){return $.label},set label(N){$.label=N??t.displayName??t.name,Y()},get detail(){return $.detail??""},set detail(N){$.detail=N,Y()},get description(){return $.description??""},set description(N){$.description=N,Y()},get supportedLanguages(){return $.supportedLanguages},set supportedLanguages(N){$.supportedLanguages=N,Y()},get supportsExecutionOrder(){return $.supportsExecutionOrder??!1},set supportsExecutionOrder(N){$.supportsExecutionOrder=N,Y()},get rendererScripts(){return $.preloads?$.preloads.map(y.NotebookRendererScript.to):[]},get executeHandler(){return Z},set executeHandler(N){Z=N??A},get interruptHandler(){return V},set interruptHandler(N){V=N,$.supportsInterrupt=Boolean(N),Y()},createNotebookCellExecution(N){if(a)throw new Error("notebook controller is DISPOSED");if(!L.has(N.notebook.uri))throw P._logService.trace(`NotebookController[${p}] NOT associated to notebook, associated to THESE notebooks:`,Array.from(L.keys()).map(W=>W.toString())),new Error(`notebook controller is NOT associated to notebook: ${N.notebook.uri.toString()}`);return P._createNotebookCellExecution(N)},dispose:()=>{a||(this._logService.trace(`NotebookController[${p}], DISPOSED`),a=!0,this._kernelData.delete(p),T.dispose(),F.dispose(),H.dispose(),this._proxy.$removeKernel(p))},updateNotebookAffinity(N,W){P._proxy.$updateNotebookPriority(p,N.uri,W)},onDidReceiveMessage:H.event,postMessage(N,W){return E.checkProposedApiEnabled(t),P._proxy.$postMessage(p,W&&P._extHostNotebook.getIdByEditor(W),N)},asWebviewUri(N){return E.checkProposedApiEnabled(t),b.asWebviewUri(N,P._initData.remote)}};return this._kernelData.set(p,{extensionId:t.identifier,controller:J,onDidReceiveMessage:H,onDidChangeSelection:F,associatedNotebooks:L}),J}$acceptNotebookAssociation(t,r,i){const s=this._kernelData.get(t);if(s){const c=this._extHostNotebook.getNotebookDocument(k.URI.revive(r));i?s.associatedNotebooks.set(c.uri,!0):s.associatedNotebooks.delete(c.uri),this._logService.trace(`NotebookController[${t}] ASSOCIATE notebook`,c.uri.toString(),i),s.onDidChangeSelection.fire({selected:i,notebook:c.apiNotebook})}}async $executeCells(t,r,i){const s=this._kernelData.get(t);if(!s)return;const c=this._extHostNotebook.getNotebookDocument(k.URI.revive(r)),w=[];for(let p of i){const P=c.getCell(p);P&&w.push(P.apiCell)}try{this._logService.trace(`NotebookController[${t}] EXECUTE cells`,c.uri.toString(),w.length),await s.controller.executeHandler.call(s.controller,w,c.apiNotebook,s.controller)}catch(p){this._logService.error(`NotebookController[${t}] execute cells FAILED`,p),console.error(p)}}async $cancelCells(t,r,i){const s=this._kernelData.get(t);if(!s)return;const c=this._extHostNotebook.getNotebookDocument(k.URI.revive(r));if(s.controller.interruptHandler)await s.controller.interruptHandler.call(s.controller,c.apiNotebook);else for(let w of i){const p=c.getCell(w);p&&this._activeExecutions.get(p.uri)?.cancel()}}$acceptKernelMessageFromRenderer(t,r,i){const s=this._kernelData.get(t);if(!s)return;const c=this._extHostNotebook.getEditorById(r);s.onDidReceiveMessage.fire(Object.freeze({editor:c.apiEditor,message:i}))}_createNotebookCellExecution(t){if(t.index<0)throw new Error("CANNOT execute cell that has been REMOVED from notebook");const i=this._extHostNotebook.getNotebookDocument(t.notebook.uri).getCellFromApiCell(t);if(!i)throw new Error("invalid cell");if(this._activeExecutions.has(i.uri))throw new Error(`duplicate execution for ${i.uri}`);const s=new d(i.notebook,i,this._proxy);this._activeExecutions.set(i.uri,s);const c=s.onDidChangeState(()=>{s.state===S.Resolved&&(s.dispose(),c.dispose(),this._activeExecutions.delete(i.uri))});return s.asApiObject()}};v=We([He(3,u.ILogService)],v),e.ExtHostNotebookKernels=v;var S;(function(g){g[g.Init=0]="Init",g[g.Started=1]="Started",g[g.Resolved=2]="Resolved"})(S||(S={}));class d extends R.Disposable{constructor(t,r,i){super();this._document=t,this._cell=r,this._proxy=i,this._onDidChangeState=new f.Emitter,this.onDidChangeState=this._onDidChangeState.event,this._state=S.Init,this._tokenSource=this._register(new l.CancellationTokenSource),this._collector=new h(10,s=>this.applyEdits(s)),this._executionOrder=r.internalMetadata.executionOrder,this.mixinMetadata({runState:I.NotebookCellExecutionState.Pending,executionOrder:null})}get state(){return this._state}cancel(){this._tokenSource.cancel()}async applyEditSoon(t){await this._collector.addItem(t)}async applyEdits(t){return this._proxy.$applyExecutionEdits(this._document.uri,t)}verifyStateForOutput(){if(this._state===S.Init)throw new Error("Must call start before modifying cell output");if(this._state===S.Resolved)throw new Error("Cannot modify cell output after calling resolve")}mixinMetadata(t){this.applyEdits([{editType:9,handle:this._cell.handle,internalMetadata:t}])}cellIndexToHandle(t){let r=this._cell;if(t&&(r=this._document.getCellFromApiCell(t)),!r)throw new Error("INVALID cell");return r.handle}validateAndConvertOutputs(t){return t.map(r=>{const i=o.NotebookCellOutput.ensureUniqueMimeTypes(r.items,!0);return i===r.items?y.NotebookCellOutput.from(r):y.NotebookCellOutput.from({items:i,id:r.id,metadata:r.metadata})})}async updateOutputs(t,r,i){const s=this.cellIndexToHandle(r),c=this.validateAndConvertOutputs(m.asArray(t));return this.applyEditSoon({editType:2,handle:s,append:i,outputs:c})}async updateOutputItems(t,r,i){return t=o.NotebookCellOutput.ensureUniqueMimeTypes(m.asArray(t),!0),this.applyEditSoon({editType:7,items:t.map(y.NotebookCellOutputItem.from),outputId:r.id,append:i})}asApiObject(){const t=this;return Object.freeze({get token(){return t._tokenSource.token},get cell(){return t._cell.apiCell},get executionOrder(){return t._executionOrder},set executionOrder(i){t._executionOrder=i,t.mixinMetadata({executionOrder:i})},start(i){if(t._state===S.Resolved||t._state===S.Started)throw new Error("Cannot call start again");t._state=S.Started,t._onDidChangeState.fire(),t.mixinMetadata({runState:I.NotebookCellExecutionState.Executing,runStartTime:i??null})},end(i,s){if(t._state===S.Resolved)throw new Error("Cannot call resolve twice");t._state=S.Resolved,t._onDidChangeState.fire(),t.mixinMetadata({runState:null,lastRunSuccess:i??null,runEndTime:s??null})},clearOutput(i){return t.verifyStateForOutput(),t.updateOutputs([],i,!1)},appendOutput(i,s){return t.verifyStateForOutput(),t.updateOutputs(i,s,!0)},replaceOutput(i,s){return t.verifyStateForOutput(),t.updateOutputs(i,s,!1)},appendOutputItems(i,s){return t.verifyStateForOutput(),t.updateOutputItems(i,s,!0)},replaceOutputItems(i,s){return t.verifyStateForOutput(),t.updateOutputItems(i,s,!1)}})}}class h{constructor(t,r){this.delay=t,this.callback=r,this.batch=[]}addItem(t){return this.batch.push(t),this.waitPromise||(this.waitPromise=n.timeout(this.delay).then(()=>{this.waitPromise=void 0;const r=this.batch;return this.batch=[],this.callback(r)})),this.waitPromise}}}),define(we[199],_e([0,1,3,5,98]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookRenderers=void 0;class _{constructor(y,b){this._extHostNotebook=b,this._rendererMessageEmitters=new Map,this.proxy=y.getProxy(R.MainContext.MainThreadNotebookRenderers)}$postRendererMessage(y,b,C){const n=this._extHostNotebook.getEditorById(y);this._rendererMessageEmitters.get(b)?.fire({editor:n.apiEditor,message:C})}createRendererMessaging(y){return{onDidReceiveMessage:(...C)=>this.getOrCreateEmitterFor(y).event(...C),postMessage:(C,n)=>{const I=D.ExtHostNotebookEditor.apiEditorsToExtHost.get(C);if(!I)throw new Error("The first argument to postMessage() must be a NotebookEditor");this.proxy.$postMessage(I.id,y,n)}}}getOrCreateEmitterFor(y){let b=this._rendererMessageEmitters.get(y);return b||(b=new f.Emitter({onLastListenerRemove:()=>{b?.dispose(),this._rendererMessageEmitters.delete(y)}}),this._rendererMessageEmitters.set(y,b),b)}}e.ExtHostNotebookRenderers=_}),define(we[102],_e([0,1,5,3,6,24,4,13]),function(ne,e,f,R,D,_,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostOutputService=e.ExtHostOutputService=e.LazyOutputChannel=e.ExtHostPushOutputChannel=e.AbstractExtHostOutputChannel=void 0;class b extends D.Disposable{constructor(u,o,E,v){super();this._onDidAppend=this._register(new R.Emitter),this.onDidAppend=this._onDidAppend.event,this._name=u,this._proxy=v,this._id=v.$register(this.name,o,E),this._disposed=!1,this._offset=0}get name(){return this._name}append(u){this.validate(),this._offset+=u?_.VSBuffer.fromString(u).byteLength:0}update(){this._id.then(u=>this._proxy.$update(u))}appendLine(u){this.validate(),this.append(u+`
`)}clear(){this.validate();const u=this._offset;this._id.then(o=>this._proxy.$clear(o,u))}show(u,o){this.validate(),this._id.then(E=>this._proxy.$reveal(E,!!(typeof u=="boolean"?u:o)))}hide(){this.validate(),this._id.then(u=>this._proxy.$close(u))}validate(){if(this._disposed)throw new Error("Channel has been closed")}dispose(){super.dispose(),this._disposed||this._id.then(u=>this._proxy.$dispose(u)).then(()=>this._disposed=!0)}}e.AbstractExtHostOutputChannel=b;class C extends b{constructor(u,o){super(u,!1,void 0,o)}append(u){super.append(u),this._id.then(o=>this._proxy.$append(o,u)),this._onDidAppend.fire()}}e.ExtHostPushOutputChannel=C;class n extends b{constructor(u,o,E){super(u,!0,o,E)}append(u){throw new Error("Not supported")}}class I{constructor(u,o){this.name=u,this._channel=o}append(u){this._channel.then(o=>o.append(u))}appendLine(u){this._channel.then(o=>o.appendLine(u))}clear(){this._channel.then(u=>u.clear())}show(u,o){this._channel.then(E=>E.show(u,o))}hide(){this._channel.then(u=>u.hide())}dispose(){this._channel.then(u=>u.dispose())}}e.LazyOutputChannel=I;let l=class{constructor(u){this._proxy=u.getProxy(f.MainContext.MainThreadOutputService)}$setVisibleChannel(u){}createOutputChannel(u){if(u=u.trim(),!u)throw new Error("illegal argument `name`. must not be falsy");return new C(u,this._proxy)}createOutputChannelFromLogFile(u,o){if(u=u.trim(),!u)throw new Error("illegal argument `name`. must not be falsy");if(!o)throw new Error("illegal argument `file`. must not be falsy");return new n(u,o,this._proxy)}};l=We([He(0,y.IExtHostRpcService)],l),e.ExtHostOutputService=l,e.IExtHostOutputService=k.createDecorator("IExtHostOutputService")}),define(we[200],_e([0,1,15,18,3,6,5,2,7,12,17,42]),function(ne,e,f,R,D,_,k,y,b,C,n,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostQuickOpen=void 0;function l(m,u,o){const E=m.getProxy(k.MainContext.MainThreadQuickOpen);class v{constructor(s,c){this._sessions=new Map,this._instances=0,this._workspace=s,this._commands=c}showQuickPick(s,c,w,p=R.CancellationToken.None){this._onDidSelectItem=void 0;const P=Promise.resolve(s),A=++this._instances,a=E.$show(A,{title:w?.title,placeHolder:w?.placeHolder,matchOnDescription:w?.matchOnDescription,matchOnDetail:w?.matchOnDetail,ignoreFocusLost:w?.ignoreFocusOut,canPickMany:w?.canPickMany},p),T={},F=a.then(()=>T);return Promise.race([F,P]).then(H=>{if(H!==T)return P.then($=>{const Z=[];for(let V=0;V<$.length;V++){const B=$[V];let Y,L,J,N,W;typeof B=="string"?Y=B:(Y=B.label,L=B.description,J=B.detail,N=B.picked,W=B.alwaysShow),Z.push({label:Y,description:L,handle:V,detail:J,picked:N,alwaysShow:W})}return w&&typeof w.onDidSelectItem=="function"&&(this._onDidSelectItem=V=>{w.onDidSelectItem($[V])}),E.$setItems(A,Z),a.then(V=>{if(typeof V=="number")return $[V];if(Array.isArray(V))return V.map(B=>$[B])})})}).then(void 0,H=>{if(!C.isPromiseCanceledError(H))return E.$setError(A,H),Promise.reject(H)})}$onItemSelected(s){this._onDidSelectItem&&this._onDidSelectItem(s)}showInput(s,c=R.CancellationToken.None){return this._validateInput=s?s.validateInput:void 0,E.$input(s,typeof this._validateInput=="function",c).then(void 0,w=>{if(!C.isPromiseCanceledError(w))return Promise.reject(w)})}$validateInput(s){return this._validateInput?f.asPromise(()=>this._validateInput(s)):Promise.resolve(void 0)}async showWorkspaceFolderPick(s,c=R.CancellationToken.None){const w=await this._commands.executeCommand("_workbench.pickWorkspaceFolder",[s]);if(!w)return;const p=await this._workspace.getWorkspaceFolders2();if(!!p)return p.find(P=>P.uri.toString()===w.uri.toString())}createQuickPick(s,c){const w=new t(s,c,()=>this._sessions.delete(w._id));return this._sessions.set(w._id,w),w}createInputBox(s){const c=new r(s,()=>this._sessions.delete(c._id));return this._sessions.set(c._id,c),c}$onDidChangeValue(s,c){const w=this._sessions.get(s);w&&w._fireDidChangeValue(c)}$onDidAccept(s){const c=this._sessions.get(s);c&&c._fireDidAccept()}$onDidChangeActive(s,c){const w=this._sessions.get(s);w instanceof t&&w._fireDidChangeActive(c)}$onDidChangeSelection(s,c){const w=this._sessions.get(s);w instanceof t&&w._fireDidChangeSelection(c)}$onDidTriggerButton(s,c){const w=this._sessions.get(s);w&&w._fireDidTriggerButton(c)}$onDidHide(s){const c=this._sessions.get(s);c&&c._fireDidHide()}}class S{constructor(s,c){this._extensionId=s,this._onDidDispose=c,this._id=t._nextId++,this._visible=!1,this._expectingHide=!1,this._enabled=!0,this._busy=!1,this._ignoreFocusOut=!0,this._value="",this._buttons=[],this._handlesToButtons=new Map,this._onDidAcceptEmitter=new D.Emitter,this._onDidChangeValueEmitter=new D.Emitter,this._onDidTriggerButtonEmitter=new D.Emitter,this._onDidHideEmitter=new D.Emitter,this._pendingUpdate={id:this._id},this._disposed=!1,this._disposables=[this._onDidTriggerButtonEmitter,this._onDidHideEmitter,this._onDidAcceptEmitter,this._onDidChangeValueEmitter],this.onDidChangeValue=this._onDidChangeValueEmitter.event,this.onDidAccept=this._onDidAcceptEmitter.event,this.onDidTriggerButton=this._onDidTriggerButtonEmitter.event,this.onDidHide=this._onDidHideEmitter.event}get title(){return this._title}set title(s){this._title=s,this.update({title:s})}get step(){return this._steps}set step(s){this._steps=s,this.update({step:s})}get totalSteps(){return this._totalSteps}set totalSteps(s){this._totalSteps=s,this.update({totalSteps:s})}get enabled(){return this._enabled}set enabled(s){this._enabled=s,this.update({enabled:s})}get busy(){return this._busy}set busy(s){this._busy=s,this.update({busy:s})}get ignoreFocusOut(){return this._ignoreFocusOut}set ignoreFocusOut(s){this._ignoreFocusOut=s,this.update({ignoreFocusOut:s})}get value(){return this._value}set value(s){this._value=s,this.update({value:s})}get placeholder(){return this._placeholder}set placeholder(s){this._placeholder=s,this.update({placeholder:s})}get buttons(){return this._buttons}set buttons(s){this._buttons=s.slice(),this._handlesToButtons.clear(),s.forEach((c,w)=>{const p=c===b.QuickInputButtons.Back?-1:w;this._handlesToButtons.set(p,c)}),this.update({buttons:s.map((c,w)=>({iconPath:d(c.iconPath),tooltip:c.tooltip,handle:c===b.QuickInputButtons.Back?-1:w}))})}show(){this._visible=!0,this._expectingHide=!0,this.update({visible:!0})}hide(){this._visible=!1,this.update({visible:!1})}_fireDidAccept(){this._onDidAcceptEmitter.fire()}_fireDidChangeValue(s){this._value=s,this._onDidChangeValueEmitter.fire(s)}_fireDidTriggerButton(s){const c=this._handlesToButtons.get(s);c&&this._onDidTriggerButtonEmitter.fire(c)}_fireDidHide(){this._expectingHide&&(this._expectingHide=!1,this._onDidHideEmitter.fire())}dispose(){this._disposed||(this._disposed=!0,this._fireDidHide(),this._disposables=_.dispose(this._disposables),this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this._onDidDispose(),E.$dispose(this._id))}update(s){if(!this._disposed){for(const c of Object.keys(s)){const w=s[c];this._pendingUpdate[c]=w===void 0?null:w}"visible"in this._pendingUpdate?(this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this.dispatchUpdate()):this._visible&&!this._updateTimeout&&(this._updateTimeout=setTimeout(()=>{this._updateTimeout=void 0,this.dispatchUpdate()},0))}}dispatchUpdate(){E.$createOrUpdate(this._pendingUpdate),this._pendingUpdate={id:this._id}}}S._nextId=1;function d(i){if(i instanceof b.ThemeIcon)return{id:i.id};const s=g(i),c=h(i);return{dark:typeof s=="string"?y.URI.file(s):s,light:typeof c=="string"?y.URI.file(c):c}}function h(i){return typeof i=="object"&&"light"in i?i.light:i}function g(i){return typeof i=="object"&&"dark"in i?i.dark:i}class t extends S{constructor(s,c,w){super(s,w);this._items=[],this._handlesToItems=new Map,this._itemsToHandles=new Map,this._canSelectMany=!1,this._matchOnDescription=!0,this._matchOnDetail=!0,this._sortByLabel=!0,this._activeItems=[],this._onDidChangeActiveEmitter=new D.Emitter,this._selectedItems=[],this._onDidChangeSelectionEmitter=new D.Emitter,this.onDidChangeActive=this._onDidChangeActiveEmitter.event,this.onDidChangeSelection=this._onDidChangeSelectionEmitter.event,this._disposables.push(this._onDidChangeActiveEmitter,this._onDidChangeSelectionEmitter),this.update({type:"quickPick"})}get items(){return this._items}set items(s){this._items=s.slice(),this._handlesToItems.clear(),this._itemsToHandles.clear(),s.forEach((c,w)=>{this._handlesToItems.set(w,c),this._itemsToHandles.set(c,w)}),this.update({items:s.map((c,w)=>({label:c.label,description:c.description,handle:w,detail:c.detail,picked:c.picked,alwaysShow:c.alwaysShow}))})}get canSelectMany(){return this._canSelectMany}set canSelectMany(s){this._canSelectMany=s,this.update({canSelectMany:s})}get matchOnDescription(){return this._matchOnDescription}set matchOnDescription(s){this._matchOnDescription=s,this.update({matchOnDescription:s})}get matchOnDetail(){return this._matchOnDetail}set matchOnDetail(s){this._matchOnDetail=s,this.update({matchOnDetail:s})}get sortByLabel(){return this._sortByLabel}set sortByLabel(s){this._sortByLabel=s,this.update({sortByLabel:s})}get activeItems(){return this._activeItems}set activeItems(s){this._activeItems=s.filter(c=>this._itemsToHandles.has(c)),this.update({activeItems:this._activeItems.map(c=>this._itemsToHandles.get(c))})}get selectedItems(){return this._selectedItems}set selectedItems(s){this._selectedItems=s.filter(c=>this._itemsToHandles.has(c)),this.update({selectedItems:this._selectedItems.map(c=>this._itemsToHandles.get(c))})}_fireDidChangeActive(s){const c=n.coalesce(s.map(w=>this._handlesToItems.get(w)));this._activeItems=c,this._onDidChangeActiveEmitter.fire(c)}_fireDidChangeSelection(s){const c=n.coalesce(s.map(w=>this._handlesToItems.get(w)));this._selectedItems=c,this._onDidChangeSelectionEmitter.fire(c)}}class r extends S{constructor(s,c){super(s,c);this._password=!1,this.update({type:"inputBox"})}get password(){return this._password}set password(s){this._password=s,this.update({password:s})}get prompt(){return this._prompt}set prompt(s){this._prompt=s,this.update({prompt:s})}get validationMessage(){return this._validationMessage}set validationMessage(s){this._validationMessage=s,this.update({validationMessage:s,severity:s?I.default.Error:I.default.Ignore})}}return new v(u,o)}e.createExtHostQuickOpen=l}),define(we[201],_e([0,1,2,3,48,6,15,5,17,113,16,26,29]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostSCM=e.ExtHostSCMInputBox=void 0;function m(s){if(s)return typeof s.iconPath=="string"?f.URI.file(s.iconPath):s.iconPath}function u(s,c){if(!s.iconPath&&!c.iconPath)return 0;if(s.iconPath){if(!c.iconPath)return 1}else return-1;const w=typeof s.iconPath=="string"?s.iconPath:s.iconPath.fsPath,p=typeof c.iconPath=="string"?c.iconPath:c.iconPath.fsPath;return C.comparePaths(w,p)}function o(s,c){let w=0;if(s.strikeThrough!==c.strikeThrough)return s.strikeThrough?1:-1;if(s.faded!==c.faded)return s.faded?1:-1;if(s.tooltip!==c.tooltip)return(s.tooltip||"").localeCompare(c.tooltip||"");if(w=u(s,c),w!==0)return w;if(s.light&&c.light)w=u(s.light,c.light);else{if(s.light)return 1;if(c.light)return-1}if(w!==0)return w;if(s.dark&&c.dark)w=u(s.dark,c.dark);else{if(s.dark)return 1;if(c.dark)return-1}return w}function E(s,c){if(s.command!==c.command)return s.command<c.command?-1:1;if(s.title!==c.title)return s.title<c.title?-1:1;if(s.tooltip!==c.tooltip){if(s.tooltip!==void 0&&c.tooltip!==void 0)return s.tooltip<c.tooltip?-1:1;if(s.tooltip!==void 0)return 1;if(c.tooltip!==void 0)return-1}if(s.arguments===c.arguments)return 0;if(s.arguments)if(c.arguments){if(s.arguments.length!==c.arguments.length)return s.arguments.length-c.arguments.length}else return 1;else return-1;for(let w=0;w<s.arguments.length;w++){const p=s.arguments[w],P=c.arguments[w];if(p!==P)return p<P?-1:1}return 0}function v(s,c){let w=C.comparePaths(s.resourceUri.fsPath,c.resourceUri.fsPath,!0);if(w!==0)return w;if(s.command&&c.command)w=E(s.command,c.command);else{if(s.command)return 1;if(c.command)return-1}if(w!==0)return w;if(s.decorations&&c.decorations)w=o(s.decorations,c.decorations);else{if(s.decorations)return 1;if(c.decorations)return-1}return w}function S(s,c){for(let w=0;w<s.length;w++)if(s[w]!==c[w])return!1;return!0}function d(s,c){return s.command===c.command&&s.title===c.title&&s.tooltip===c.tooltip&&(s.arguments&&c.arguments?S(s.arguments,c.arguments):s.arguments===c.arguments)}function h(s,c){return b.equals(s,c,d)}class g{constructor(c,w,p){this._extension=c,this._proxy=w,this._sourceControlHandle=p,this._value="",this._onDidChange=new R.Emitter,this._placeholder="",this._visible=!0}get value(){return this._value}set value(c){this._proxy.$setInputBoxValue(this._sourceControlHandle,c),this.updateValue(c)}get onDidChange(){return this._onDidChange.event}get placeholder(){return this._placeholder}set placeholder(c){this._proxy.$setInputBoxPlaceholder(this._sourceControlHandle,c),this._placeholder=c}get validateInput(){return l.checkProposedApiEnabled(this._extension),this._validateInput}set validateInput(c){if(l.checkProposedApiEnabled(this._extension),c&&typeof c!="function")throw new Error(`[${this._extension.identifier.value}]: Invalid SCM input box validation function`);this._validateInput=c,this._proxy.$setValidationProviderIsEnabled(this._sourceControlHandle,!!c)}get visible(){return this._visible}set visible(c){c=!!c,this._visible!==c&&(this._visible=c,this._proxy.$setInputBoxVisibility(this._sourceControlHandle,c))}focus(){l.checkProposedApiEnabled(this._extension),this._visible||(this.visible=!0),this._proxy.$setInputBoxFocus(this._sourceControlHandle)}showValidationMessage(c,w){l.checkProposedApiEnabled(this._extension),this._proxy.$showValidationMessage(this._sourceControlHandle,c,w)}$onInputBoxValueChange(c){this.updateValue(c)}updateValue(c){this._value=c,this._onDidChange.fire(c)}}e.ExtHostSCMInputBox=g;class t{constructor(c,w,p,P,A){this._proxy=c,this._commands=w,this._sourceControlHandle=p,this._id=P,this._label=A,this._resourceHandlePool=0,this._resourceStates=[],this._resourceStatesMap=new Map,this._resourceStatesCommandsMap=new Map,this._resourceStatesDisposablesMap=new Map,this._onDidUpdateResourceStates=new R.Emitter,this.onDidUpdateResourceStates=this._onDidUpdateResourceStates.event,this._disposed=!1,this._onDidDispose=new R.Emitter,this.onDidDispose=this._onDidDispose.event,this._handlesSnapshot=[],this._resourceSnapshot=[],this._hideWhenEmpty=void 0,this.handle=t._handlePool++}get disposed(){return this._disposed}get id(){return this._id}get label(){return this._label}set label(c){this._label=c,this._proxy.$updateGroupLabel(this._sourceControlHandle,this.handle,c)}get hideWhenEmpty(){return this._hideWhenEmpty}set hideWhenEmpty(c){this._hideWhenEmpty=c,this._proxy.$updateGroup(this._sourceControlHandle,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this._resourceStates]}set resourceStates(c){this._resourceStates=[...c],this._onDidUpdateResourceStates.fire()}getResourceState(c){return this._resourceStatesMap.get(c)}$executeResourceCommand(c,w){const p=this._resourceStatesCommandsMap.get(c);return p?k.asPromise(()=>this._commands.executeCommand(p.command,...p.arguments||[],w)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){const c=[...this._resourceStates].sort(v),p=b.sortedDiff(this._resourceSnapshot,c,v).map(a=>{const T=a.toInsert.map(F=>{const H=this._resourceHandlePool++;this._resourceStatesMap.set(H,F);const $=F.resourceUri,Z=m(F.decorations),V=F.decorations&&m(F.decorations.light)||Z,B=F.decorations&&m(F.decorations.dark)||Z,Y=[];let L;if(F.command)if(F.command.command==="vscode.open"||F.command.command==="vscode.diff"){const ue=new _.DisposableStore;L=this._commands.converter.toInternal(F.command,ue),this._resourceStatesDisposablesMap.set(H,ue)}else this._resourceStatesCommandsMap.set(H,F.command);V&&Y.push(V),B&&B.toString()!==V?.toString()&&Y.push(B);const J=F.decorations&&F.decorations.tooltip||"",N=F.decorations&&!!F.decorations.strikeThrough,W=F.decorations&&!!F.decorations.faded,Q=F.contextValue||"";return{rawResource:[H,$,Y,J,N,W,Q,L],handle:H}});return{start:a.start,deleteCount:a.deleteCount,toInsert:T}}),P=p.map(({start:a,deleteCount:T,toInsert:F})=>[a,T,F.map(H=>H.rawResource)]),A=p.reverse();for(const{start:a,deleteCount:T,toInsert:F}of A){const H=F.map(Z=>Z.handle),$=this._handlesSnapshot.splice(a,T,...H);for(const Z of $)this._resourceStatesMap.delete(Z),this._resourceStatesCommandsMap.delete(Z),this._resourceStatesDisposablesMap.get(Z)?.dispose(),this._resourceStatesDisposablesMap.delete(Z)}return this._resourceSnapshot=c,P}dispose(){this._disposed=!0,this._onDidDispose.fire()}}t._handlePool=0;class r{constructor(c,w,p,P,A,a){this._proxy=w,this._commands=p,this._id=P,this._label=A,this._rootUri=a,this._groups=new Map,this._count=void 0,this._quickDiffProvider=void 0,this._commitTemplate=void 0,this._acceptInputDisposables=new _.MutableDisposable,this._acceptInputCommand=void 0,this._statusBarDisposables=new _.MutableDisposable,this._statusBarCommands=void 0,this._selected=!1,this._onDidChangeSelection=new R.Emitter,this.onDidChangeSelection=this._onDidChangeSelection.event,this.handle=r._handlePool++,this.createdResourceGroups=new Map,this.updatedResourceGroups=new Set,this._inputBox=new g(c,this._proxy,this.handle),this._proxy.$registerSourceControl(this.handle,P,A,a)}get id(){return this._id}get label(){return this._label}get rootUri(){return this._rootUri}get inputBox(){return this._inputBox}get count(){return this._count}set count(c){this._count!==c&&(this._count=c,this._proxy.$updateSourceControl(this.handle,{count:c}))}get quickDiffProvider(){return this._quickDiffProvider}set quickDiffProvider(c){this._quickDiffProvider=c,this._proxy.$updateSourceControl(this.handle,{hasQuickDiffProvider:!!c})}get commitTemplate(){return this._commitTemplate}set commitTemplate(c){c!==this._commitTemplate&&(this._commitTemplate=c,this._proxy.$updateSourceControl(this.handle,{commitTemplate:c}))}get acceptInputCommand(){return this._acceptInputCommand}set acceptInputCommand(c){this._acceptInputDisposables.value=new _.DisposableStore,this._acceptInputCommand=c;const w=this._commands.converter.toInternal(c,this._acceptInputDisposables.value);this._proxy.$updateSourceControl(this.handle,{acceptInputCommand:w})}get statusBarCommands(){return this._statusBarCommands}set statusBarCommands(c){if(this._statusBarCommands&&c&&h(this._statusBarCommands,c))return;this._statusBarDisposables.value=new _.DisposableStore,this._statusBarCommands=c;const w=(c||[]).map(p=>this._commands.converter.toInternal(p,this._statusBarDisposables.value));this._proxy.$updateSourceControl(this.handle,{statusBarCommands:w})}get selected(){return this._selected}createResourceGroup(c,w){const p=new t(this._proxy,this._commands,this.handle,c,w),P=R.Event.once(p.onDidDispose)(()=>this.createdResourceGroups.delete(p));return this.createdResourceGroups.set(p,P),this.eventuallyAddResourceGroups(),p}eventuallyAddResourceGroups(){const c=[],w=[];for(const[p,P]of this.createdResourceGroups){P.dispose();const A=p.onDidUpdateResourceStates(()=>{this.updatedResourceGroups.add(p),this.eventuallyUpdateResourceStates()});R.Event.once(p.onDidDispose)(()=>{this.updatedResourceGroups.delete(p),A.dispose(),this._groups.delete(p.handle),this._proxy.$unregisterGroup(this.handle,p.handle)}),c.push([p.handle,p.id,p.label,p.features]);const a=p._takeResourceStateSnapshot();a.length>0&&w.push([p.handle,a]),this._groups.set(p.handle,p)}this._proxy.$registerGroups(this.handle,c,w),this.createdResourceGroups.clear()}eventuallyUpdateResourceStates(){const c=[];this.updatedResourceGroups.forEach(w=>{const p=w._takeResourceStateSnapshot();p.length!==0&&c.push([w.handle,p])}),c.length>0&&this._proxy.$spliceResourceStates(this.handle,c),this.updatedResourceGroups.clear()}getResourceGroup(c){return this._groups.get(c)}setSelectionState(c){this._selected=c,this._onDidChangeSelection.fire(c)}dispose(){this._acceptInputDisposables.dispose(),this._statusBarDisposables.dispose(),this._groups.forEach(c=>c.dispose()),this._proxy.$unregisterSourceControl(this.handle)}}r._handlePool=0,We([D.debounce(100)],r.prototype,"eventuallyAddResourceGroups",null),We([D.debounce(100)],r.prototype,"eventuallyUpdateResourceStates",null);let i=class $n{constructor(c,w,p){this._commands=w,this.logService=p,this._sourceControls=new Map,this._sourceControlsByExtension=new Map,this._onDidChangeActiveProvider=new R.Emitter,this._proxy=c.getProxy(y.MainContext.MainThreadSCM),this._telemetry=c.getProxy(y.MainContext.MainThreadTelemetry),w.registerArgumentProcessor({processArgument:P=>{if(P&&P.$mid===3){const A=this._sourceControls.get(P.sourceControlHandle);if(!A)return P;const a=A.getResourceGroup(P.groupHandle);return a?a.getResourceState(P.handle):P}else if(P&&P.$mid===4){const A=this._sourceControls.get(P.sourceControlHandle);return A?A.getResourceGroup(P.groupHandle):P}else if(P&&P.$mid===5){const A=this._sourceControls.get(P.handle);return A||P}return P}})}get onDidChangeActiveProvider(){return this._onDidChangeActiveProvider.event}createSourceControl(c,w,p,P){this.logService.trace("ExtHostSCM#createSourceControl",c.identifier.value,w,p,P),this._telemetry.$publicLog2("api/scm/createSourceControl",{extensionId:c.identifier.value});const A=$n._handlePool++,a=new r(c,this._proxy,this._commands,w,p,P);this._sourceControls.set(A,a);const T=this._sourceControlsByExtension.get(I.ExtensionIdentifier.toKey(c.identifier))||[];return T.push(a),this._sourceControlsByExtension.set(I.ExtensionIdentifier.toKey(c.identifier),T),a}getLastInputBox(c){this.logService.trace("ExtHostSCM#getLastInputBox",c.identifier.value);const w=this._sourceControlsByExtension.get(I.ExtensionIdentifier.toKey(c.identifier)),p=w&&w[w.length-1];return p&&p.inputBox}$provideOriginalResource(c,w,p){const P=f.URI.revive(w);this.logService.trace("ExtHostSCM#$provideOriginalResource",c,P.toString());const A=this._sourceControls.get(c);return!A||!A.quickDiffProvider||!A.quickDiffProvider.provideOriginalResource?Promise.resolve(null):k.asPromise(()=>A.quickDiffProvider.provideOriginalResource(P,p)).then(a=>a||null)}$onInputBoxValueChange(c,w){this.logService.trace("ExtHostSCM#$onInputBoxValueChange",c);const p=this._sourceControls.get(c);return p&&p.inputBox.$onInputBoxValueChange(w),Promise.resolve(void 0)}$executeResourceCommand(c,w,p,P){this.logService.trace("ExtHostSCM#$executeResourceCommand",c,w,p);const A=this._sourceControls.get(c);if(!A)return Promise.resolve(void 0);const a=A.getResourceGroup(w);return a?a.$executeResourceCommand(p,P):Promise.resolve(void 0)}$validateInput(c,w,p){this.logService.trace("ExtHostSCM#$validateInput",c);const P=this._sourceControls.get(c);return!P||!P.inputBox.validateInput?Promise.resolve(void 0):k.asPromise(()=>P.inputBox.validateInput(w,p)).then(A=>A?Promise.resolve([A.message,A.type]):Promise.resolve(void 0))}$setSelectedSourceControl(c){return this.logService.trace("ExtHostSCM#$setSelectedSourceControl",c),c!==void 0&&this._sourceControls.get(c)?.setSelectionState(!0),this._selectedSourceControlHandle!==void 0&&this._sourceControls.get(this._selectedSourceControlHandle)?.setSelectionState(!1),this._selectedSourceControlHandle=c,Promise.resolve(void 0)}};i._handlePool=0,i=We([He(2,n.ILogService)],i),e.ExtHostSCM=i});var it=this&&this.__classPrivateFieldSet||function(ne,e,f,R,D){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ne!==e||!D:!e.has(ne))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?D.call(ne,f):D?D.value=f:e.set(ne,f),f},Me=this&&this.__classPrivateFieldGet||function(ne,e,f,R){if(f==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ne!==e||!R:!e.has(ne))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?R:f==="a"?R.call(ne):R?R.value:e.get(ne)};define(we[202],_e([0,1,7,5,132,6,9]),function(ne,e,f,R,D,_,k){"use strict";var y,b;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostStatusBar=e.ExtHostStatusBarEntry=void 0;class C{constructor(m,u,o,E,v=f.StatusBarAlignment.Left,S){y.set(this,void 0),b.set(this,void 0),this._disposed=!1,this._visible=!1,this._text="",this._internalCommandRegistration=new _.DisposableStore,it(this,y,m,"f"),it(this,b,u,"f"),this._entryId=C.ID_GEN++,this._extension=o,this._id=E,this._alignment=v,this._priority=S}get id(){return this._id??this._extension.identifier.value}get alignment(){return this._alignment}get priority(){return this._priority}get text(){return this._text}get name(){return this._name}get tooltip(){return this._tooltip}get tooltip2(){return this._tooltip2}get color(){return this._color}get backgroundColor(){return this._backgroundColor}get command(){return this._command?.fromApi}get accessibilityInformation(){return this._accessibilityInformation}set text(m){this._text=m,this.update()}set name(m){this._name=m,this.update()}set tooltip(m){this._tooltip=m,this.update()}set tooltip2(m){this._tooltip2=m,this.update()}set color(m){this._color=m,this.update()}set backgroundColor(m){m&&!C.ALLOWED_BACKGROUND_COLORS.has(m.id)&&(m=void 0),this._backgroundColor=m,this.update()}set command(m){this._command?.fromApi!==m&&(this._internalCommandRegistration.clear(),typeof m=="string"?this._command={fromApi:m,internal:Me(this,b,"f").toInternal({title:"",command:m},this._internalCommandRegistration)}:m?this._command={fromApi:m,internal:Me(this,b,"f").toInternal(m,this._internalCommandRegistration)}:this._command=void 0,this.update())}set accessibilityInformation(m){this._accessibilityInformation=m,this.update()}show(){this._visible=!0,this.update()}hide(){clearTimeout(this._timeoutHandle),this._visible=!1,Me(this,y,"f").$dispose(this._entryId)}update(){this._disposed||!this._visible||(clearTimeout(this._timeoutHandle),this._timeoutHandle=setTimeout(()=>{this._timeoutHandle=void 0;let m;this._extension?this._id?m=`${this._extension.identifier.value}.${this._id}`:m=this._extension.identifier.value:m=this._id;let u;this._name?u=this._name:u=D.localize(0,null,this._extension.displayName||this._extension.name);let o=this._color;this._backgroundColor&&(o=C.ALLOWED_BACKGROUND_COLORS.get(this._backgroundColor.id));const E=this._tooltip2!==void 0?k.MarkdownString.fromStrict(this._tooltip2):this.tooltip;Me(this,y,"f").$setEntry(this._entryId,m,u,this._text,E,this._command?.internal,o,this._backgroundColor,this._alignment===f.StatusBarAlignment.Left?0:1,this._priority,this._accessibilityInformation)},0))}dispose(){this.hide(),this._disposed=!0}}e.ExtHostStatusBarEntry=C,y=new WeakMap,b=new WeakMap,C.ID_GEN=0,C.ALLOWED_BACKGROUND_COLORS=new Map([["statusBarItem.errorBackground",new f.ThemeColor("statusBarItem.errorForeground")]]);class n{constructor(m){this._messages=[],this._item=m.createStatusBarEntry(void 0,"status.extensionMessage",f.StatusBarAlignment.Left,Number.MIN_VALUE),this._item.name=D.localize(1,null)}dispose(){this._messages.length=0,this._item.dispose()}setMessage(m){const u={message:m};return this._messages.unshift(u),this._update(),new f.Disposable(()=>{const o=this._messages.indexOf(u);o>=0&&(this._messages.splice(o,1),this._update())})}_update(){this._messages.length>0?(this._item.text=this._messages[0].message,this._item.show()):this._item.hide()}}class I{constructor(m,u){this._proxy=m.getProxy(R.MainContext.MainThreadStatusBar),this._commands=u,this._statusMessage=new n(this)}createStatusBarEntry(m,u,o,E){return new C(this._proxy,this._commands,m,u,o,E)}setStatusBarMessage(m,u){const o=this._statusMessage.setMessage(m);let E;return typeof u=="number"?E=setTimeout(()=>o.dispose(),u):typeof u!="undefined"&&u.then(()=>o.dispose(),()=>o.dispose()),new f.Disposable(()=>{o.dispose(),clearTimeout(E)})}}e.ExtHostStatusBar=I}),define(we[72],_e([0,1,5,3,4]),function(ne,e,f,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostStorage=e.ExtHostStorage=void 0;class _{constructor(y){this._onDidChangeStorage=new R.Emitter,this.onDidChangeStorage=this._onDidChangeStorage.event,this._proxy=y.getProxy(f.MainContext.MainThreadStorage)}registerExtensionStorageKeysToSync(y,b){this._proxy.$registerExtensionStorageKeysToSync(y,b)}getValue(y,b,C){return this._proxy.$getValue(y,b).then(n=>n||C)}setValue(y,b,C){return this._proxy.$setValue(y,b,C)}$acceptValue(y,b,C){this._onDidChangeStorage.fire({shared:y,key:b,value:C})}}e.ExtHostStorage=_,e.IExtHostStorage=D.createDecorator("IExtHostStorage")}),define(we[73],_e([0,1,4,28,16,71,2]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=e.IExtensionStoragePaths=void 0,e.IExtensionStoragePaths=f.createDecorator("IExtensionStoragePaths");let y=class{constructor(C,n,I){this._logService=n,this._extHostFileSystem=I,this._workspace=C.workspace??void 0,this._environment=C.environment,this.whenReady=this._getOrCreateWorkspaceStoragePath().then(l=>this._value=l)}async _getWorkspaceStorageURI(C){return k.URI.joinPath(this._environment.workspaceStorageHome,C)}async _getOrCreateWorkspaceStoragePath(){if(!this._workspace)return Promise.resolve(void 0);const C=this._workspace.id,n=await this._getWorkspaceStorageURI(C);try{return await this._extHostFileSystem.value.stat(n),this._logService.trace("[ExtHostStorage] storage dir already exists",n),n}catch{}try{return this._logService.trace("[ExtHostStorage] creating dir and metadata-file",n),await this._extHostFileSystem.value.createDirectory(n),await this._extHostFileSystem.value.writeFile(k.URI.joinPath(n,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this._workspace.id,configuration:k.URI.revive(this._workspace.configuration)?.toString(),name:this._workspace.name},void 0,2))),n}catch(I){this._logService.error("[ExtHostStorage]",I);return}}workspaceValue(C){if(this._value)return k.URI.joinPath(this._value,C.identifier.value)}globalValue(C){return k.URI.joinPath(this._environment.globalStorageHome,C.identifier.value.toLowerCase())}onWillDeactivateAll(){}};y=We([He(0,R.IExtHostInitDataService),He(1,D.ILogService),He(2,_.IExtHostConsumerFileSystem)],y),e.ExtensionStoragePaths=y}),define(we[37],_e([0,1,3,5,4,2,13,6,7,133,12,166,18,34,154,10]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m,u,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostTerminalService=e.EnvironmentVariableCollection=e.BaseExtHostTerminalService=e.ExtHostPseudoterminal=e.ExtHostTerminal=e.IExtHostTerminalService=void 0,e.IExtHostTerminalService=D.createDecorator("IExtHostTerminalService");class E{constructor(i,s,c,w){this._proxy=i,this._id=s,this._creationOptions=c,this._name=w,this._disposed=!1,this.isOpen=!1,this._creationOptions=Object.freeze(this._creationOptions),this._pidPromise=new Promise(P=>this._pidPromiseComplete=P);const p=this;this.value={get name(){return p._name||""},get processId(){return p._pidPromise},get creationOptions(){return p._creationOptions},get exitStatus(){return p._exitStatus},sendText(P,A=!0){p._checkDisposed(),p._proxy.$sendText(p._id,P,A)},show(P){p._checkDisposed(),p._proxy.$show(p._id,P)},hide(){p._checkDisposed(),p._proxy.$hide(p._id)},dispose(){p._disposed||(p._disposed=!0,p._proxy.$dispose(p._id))},get dimensions(){if(!(p._cols===void 0||p._rows===void 0))return{columns:p._cols,rows:p._rows}}}}async create(i,s){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this._proxy.$createTerminal(this._id,{name:i.name,shellPath:o.withNullAsUndefined(i.shellPath),shellArgs:o.withNullAsUndefined(i.shellArgs),cwd:o.withNullAsUndefined(i.cwd),env:o.withNullAsUndefined(i.env),icon:o.withNullAsUndefined(t(i.iconPath)),initialText:o.withNullAsUndefined(i.message),strictEnv:o.withNullAsUndefined(i.strictEnv),hideFromUser:o.withNullAsUndefined(i.hideFromUser),isFeatureTerminal:o.withNullAsUndefined(s?.isFeatureTerminal),isExtensionOwnedTerminal:!0,useShellEnvironment:o.withNullAsUndefined(s?.useShellEnvironment),isSplitTerminal:s?.isSplitTerminal,target:s?.target})}async createExtensionTerminal(i,s,c){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this._proxy.$createTerminal(this._id,{name:this._name,isExtensionCustomPtyTerminal:!0,icon:c,isSplitTerminal:i,target:s}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}_checkDisposed(){if(this._disposed)throw new Error("Terminal has already been disposed")}set name(i){this._name=i}setExitCode(i){this._exitStatus=Object.freeze({code:i})}setDimensions(i,s){return i===this._cols&&s===this._rows||i===0||s===0?!1:(this._cols=i,this._rows=s,!0)}_setProcessId(i){this._pidPromiseComplete?(this._pidPromiseComplete(i),this._pidPromiseComplete=void 0):this._pidPromise.then(s=>{s!==i&&(this._pidPromise=Promise.resolve(i))})}}e.ExtHostTerminal=E;class v{constructor(i){this._pty=i,this.id=0,this.shouldPersist=!1,this._onProcessData=new f.Emitter,this.onProcessData=this._onProcessData.event,this._onProcessExit=new f.Emitter,this.onProcessExit=this._onProcessExit.event,this._onProcessReady=new f.Emitter,this._onProcessTitleChanged=new f.Emitter,this.onProcessTitleChanged=this._onProcessTitleChanged.event,this._onProcessOverrideDimensions=new f.Emitter,this._onProcessShellTypeChanged=new f.Emitter,this.onProcessShellTypeChanged=this._onProcessShellTypeChanged.event}get onProcessReady(){return this._onProcessReady.event}get onProcessOverrideDimensions(){return this._onProcessOverrideDimensions.event}async start(){}shutdown(){this._pty.close()}input(i){this._pty.handleInput&&this._pty.handleInput(i)}resize(i,s){this._pty.setDimensions&&this._pty.setDimensions({columns:i,rows:s})}async processBinary(i){}acknowledgeDataEvent(i){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}getLatency(){return Promise.resolve(0)}startSendingEvents(i){this._pty.onDidWrite(s=>this._onProcessData.fire(s)),this._pty.onDidClose&&this._pty.onDidClose((s=void 0)=>{this._onProcessExit.fire(s===void 0?void 0:s)}),this._pty.onDidOverrideDimensions&&this._pty.onDidOverrideDimensions(s=>this._onProcessOverrideDimensions.fire(s&&{cols:s.columns,rows:s.rows})),this._pty.onDidChangeName&&this._pty.onDidChangeName(s=>this._onProcessTitleChanged.fire(s)),this._pty.open(i||void 0),this._pty.setDimensions&&i&&this._pty.setDimensions(i),this._onProcessReady.fire({pid:-1,cwd:""})}}e.ExtHostPseudoterminal=v;let S=1,d=class extends y.Disposable{constructor(i,s){super();this._terminals=[],this._terminalProcesses=new Map,this._terminalProcessDisposables={},this._extensionTerminalAwaitingStart={},this._getTerminalPromises={},this._environmentVariableCollections=new Map,this._linkProviders=new Set,this._profileProviders=new Map,this._terminalLinkCache=new Map,this._terminalLinkCancellationSource=new Map,this._onDidCloseTerminal=new f.Emitter,this._onDidOpenTerminal=new f.Emitter,this._onDidChangeActiveTerminal=new f.Emitter,this._onDidChangeTerminalDimensions=new f.Emitter,this._proxy=s.getProxy(R.MainContext.MainThreadTerminalService),this._bufferer=new u.TerminalDataBufferer(this._proxy.$sendProcessData),this._onDidWriteTerminalData=new f.Emitter({onFirstListenerAdd:()=>this._proxy.$startSendingDataEvents(),onLastListenerRemove:()=>this._proxy.$stopSendingDataEvents()}),this._proxy.$registerProcessSupport(i),this._register({dispose:()=>{for(const[c,w]of this._terminalProcesses)w.shutdown(!0)}})}get activeTerminal(){return this._activeTerminal?.value}get terminals(){return this._terminals.map(i=>i.value)}get onDidCloseTerminal(){return this._onDidCloseTerminal&&this._onDidCloseTerminal.event}get onDidOpenTerminal(){return this._onDidOpenTerminal&&this._onDidOpenTerminal.event}get onDidChangeActiveTerminal(){return this._onDidChangeActiveTerminal&&this._onDidChangeActiveTerminal.event}get onDidChangeTerminalDimensions(){return this._onDidChangeTerminalDimensions&&this._onDidChangeTerminalDimensions.event}get onDidWriteTerminalData(){return this._onDidWriteTerminalData&&this._onDidWriteTerminalData.event}getDefaultShell(i){return(i?this._defaultAutomationProfile:this._defaultProfile)?.path||""}getDefaultShellArgs(i){return(i?this._defaultAutomationProfile:this._defaultProfile)?.args||[]}createExtensionTerminal(i,s){const c=new E(this._proxy,m.generateUuid(),i,i.name),w=new v(i.pty);return c.createExtensionTerminal(s?.isSplitTerminal,s?.target,t(i.iconPath)).then(p=>{const P=this._setupExtHostProcessListeners(p,w);this._terminalProcessDisposables[p]=P}),this._terminals.push(c),c.value}attachPtyToTerminal(i,s){if(!this._getTerminalById(i))throw new Error(`Cannot resolve terminal with id ${i} for virtual process`);const w=new v(s),p=this._setupExtHostProcessListeners(i,w);this._terminalProcessDisposables[i]=p}async $acceptActiveTerminalChanged(i){const s=this._activeTerminal;if(i===null){this._activeTerminal=void 0,s!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal);return}const c=this._getTerminalById(i);c&&(this._activeTerminal=c,s!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal.value))}async $acceptTerminalProcessData(i,s){const c=this._getTerminalById(i);c&&this._onDidWriteTerminalData.fire({terminal:c.value,data:s})}async $acceptTerminalDimensions(i,s,c){const w=this._getTerminalById(i);w&&w.setDimensions(s,c)&&this._onDidChangeTerminalDimensions.fire({terminal:w.value,dimensions:w.value.dimensions})}async $acceptTerminalMaximumDimensions(i,s,c){this._terminalProcesses.get(i)?.resize(s,c)}async $acceptTerminalTitleChange(i,s){const c=this._getTerminalById(i);c&&(c.name=s)}async $acceptTerminalClosed(i,s){const c=this._getTerminalObjectIndexById(this._terminals,i);if(c!==null){const w=this._terminals.splice(c,1)[0];w.setExitCode(s),this._onDidCloseTerminal.fire(w.value)}}$acceptTerminalOpened(i,s,c,w){if(s){const A=this._getTerminalObjectIndexById(this._terminals,s);if(A!==null){this._terminals[A]._id=i,this._onDidOpenTerminal.fire(this.terminals[A]),this._terminals[A].isOpen=!0;return}}const p={name:w.name,shellPath:w.executable,shellArgs:w.args,cwd:typeof w.cwd=="string"?w.cwd:_.URI.revive(w.cwd),env:w.env,hideFromUser:w.hideFromUser},P=new E(this._proxy,i,p,c);this._terminals.push(P),this._onDidOpenTerminal.fire(P.value),P.isOpen=!0}async $acceptTerminalProcessId(i,s){const c=this._getTerminalById(i);c&&c._setProcessId(s)}async $startExtensionTerminal(i,s){const c=this._getTerminalById(i);if(!c)return{message:C.localize(0,null,i)};c.isOpen||await new Promise(p=>{const P=this.onDidOpenTerminal(async A=>{A===c.value&&(P.dispose(),p())})});const w=this._terminalProcesses.get(i);w?w.startSendingEvents(s):this._extensionTerminalAwaitingStart[i]={initialDimensions:s}}_setupExtHostProcessListeners(i,s){const c=new y.DisposableStore;c.add(s.onProcessReady(p=>this._proxy.$sendProcessReady(i,p.pid,p.cwd))),c.add(s.onProcessTitleChanged(p=>this._proxy.$sendProcessTitle(i,p))),this._bufferer.startBuffering(i,s.onProcessData),c.add(s.onProcessExit(p=>this._onProcessExit(i,p))),s.onProcessOverrideDimensions&&c.add(s.onProcessOverrideDimensions(p=>this._proxy.$sendOverrideDimensions(i,p))),this._terminalProcesses.set(i,s);const w=this._extensionTerminalAwaitingStart[i];return w&&s instanceof v&&(s.startSendingEvents(w.initialDimensions),delete this._extensionTerminalAwaitingStart[i]),c}$acceptProcessAckDataEvent(i,s){this._terminalProcesses.get(i)?.acknowledgeDataEvent(s)}$acceptProcessInput(i,s){this._terminalProcesses.get(i)?.input(s)}$acceptProcessResize(i,s,c){try{this._terminalProcesses.get(i)?.resize(s,c)}catch(w){if(w.code!=="EPIPE"&&w.code!=="ERR_IPC_CHANNEL_CLOSED")throw w}}$acceptProcessShutdown(i,s){this._terminalProcesses.get(i)?.shutdown(s)}$acceptProcessRequestInitialCwd(i){this._terminalProcesses.get(i)?.getInitialCwd().then(s=>this._proxy.$sendProcessInitialCwd(i,s))}$acceptProcessRequestCwd(i){this._terminalProcesses.get(i)?.getCwd().then(s=>this._proxy.$sendProcessCwd(i,s))}$acceptProcessRequestLatency(i){return i}registerLinkProvider(i){return this._linkProviders.add(i),this._linkProviders.size===1&&this._proxy.$startLinkProvider(),new b.Disposable(()=>{this._linkProviders.delete(i),this._linkProviders.size===0&&this._proxy.$stopLinkProvider()})}registerProfileProvider(i,s,c){if(this._profileProviders.has(s))throw new Error(`Terminal profile provider "${s}" already registered`);return this._profileProviders.set(s,c),this._proxy.$registerProfileProvider(s,i.identifier.value),new b.Disposable(()=>{this._profileProviders.delete(s),this._proxy.$unregisterProfileProvider(s)})}async $createContributedProfileTerminal(i,s){const c=new l.CancellationTokenSource().token,w=await this._profileProviders.get(i)?.provideTerminalProfile(c);if(!c.isCancellationRequested){if(!w||!("options"in w))throw new Error(`No terminal profile options provided for id "${i}"`);if("pty"in w.options){this.createExtensionTerminal(w.options,s);return}this.createTerminalFromOptions(w.options,s)}}async $provideLinks(i,s){const c=this._getTerminalById(i);if(!c)return[];this._terminalLinkCache.delete(i);const w=this._terminalLinkCancellationSource.get(i);w&&w.dispose(!0);const p=new l.CancellationTokenSource;this._terminalLinkCancellationSource.set(i,p);const P=[],A={terminal:c.value,line:s},a=[];for(const H of this._linkProviders)a.push(new Promise(async $=>{p.token.onCancellationRequested(()=>$({provider:H,links:[]}));const Z=await H.provideTerminalLinks(A,p.token)||[];p.token.isCancellationRequested||$({provider:H,links:Z})}));const T=await Promise.all(a);if(p.token.isCancellationRequested)return[];const F=new Map;for(const H of T)H&&H.links.length>0&&P.push(...H.links.map($=>{const Z={id:S++,startIndex:$.startIndex,length:$.length,label:$.tooltip};return F.set(Z.id,{provider:H.provider,link:$}),Z}));return this._terminalLinkCache.set(i,F),P}$activateLink(i,s){const c=this._terminalLinkCache.get(i)?.get(s);!c||c.provider.handleTerminalLink(c.link)}_onProcessExit(i,s){this._bufferer.stopBuffering(i),this._terminalProcesses.delete(i),delete this._extensionTerminalAwaitingStart[i];const c=this._terminalProcessDisposables[i];c&&(c.dispose(),delete this._terminalProcessDisposables[i]),this._proxy.$sendProcessExit(i,s)}_getTerminalById(i){return this._getTerminalObjectById(this._terminals,i)}_getTerminalObjectById(i,s){const c=this._getTerminalObjectIndexById(i,s);return c!==null?i[c]:null}_getTerminalObjectIndexById(i,s){let c=null;return i.some((w,p)=>w._id===s?(c=p,!0):!1),c}getEnvironmentVariableCollection(i){let s=this._environmentVariableCollections.get(i.identifier.value);return s||(s=new h,this._setEnvironmentVariableCollection(i.identifier.value,s)),s}_syncEnvironmentVariableCollection(i,s){const c=I.serializeEnvironmentVariableCollection(s.map);this._proxy.$setEnvironmentVariableCollection(i,s.persistent,c.length===0?void 0:c)}$initEnvironmentVariableCollections(i){i.forEach(s=>{const c=s[0],w=new h(s[1]);this._setEnvironmentVariableCollection(c,w)})}$acceptDefaultProfile(i,s){this._defaultProfile=i,this._defaultAutomationProfile=s}_setEnvironmentVariableCollection(i,s){this._environmentVariableCollections.set(i,s),s.onDidChangeCollection(()=>{this._syncEnvironmentVariableCollection(i,s)})}};d=We([He(1,k.IExtHostRpcService)],d),e.BaseExtHostTerminalService=d;class h{constructor(i){this.map=new Map,this._persistent=!0,this._onDidChangeCollection=new f.Emitter,this.map=new Map(i)}get persistent(){return this._persistent}set persistent(i){this._persistent=i,this._onDidChangeCollection.fire()}get onDidChangeCollection(){return this._onDidChangeCollection&&this._onDidChangeCollection.event}get size(){return this.map.size}replace(i,s){this._setIfDiffers(i,{value:s,type:b.EnvironmentVariableMutatorType.Replace})}append(i,s){this._setIfDiffers(i,{value:s,type:b.EnvironmentVariableMutatorType.Append})}prepend(i,s){this._setIfDiffers(i,{value:s,type:b.EnvironmentVariableMutatorType.Prepend})}_setIfDiffers(i,s){const c=this.map.get(i);(!c||c.value!==s.value||c.type!==s.type)&&(this.map.set(i,s),this._onDidChangeCollection.fire())}get(i){return this.map.get(i)}forEach(i,s){this.map.forEach((c,w)=>i.call(s,w,c,this))}delete(i){this.map.delete(i),this._onDidChangeCollection.fire()}clear(){this.map.clear(),this._onDidChangeCollection.fire()}}e.EnvironmentVariableCollection=h;let g=class extends d{constructor(i){super(!1,i)}createTerminal(i,s,c){throw new n.NotSupportedError}createTerminalFromOptions(i,s){throw new n.NotSupportedError}};g=We([He(0,k.IExtHostRpcService)],g),e.WorkerExtHostTerminalService=g;function t(r){if(!!r)return"id"in r?{id:r.id,color:r.color}:r}});var it=this&&this.__classPrivateFieldSet||function(ne,e,f,R,D){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ne!==e||!D:!e.has(ne))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?D.call(ne,f):D?D.value=f:e.set(ne,f),f},Me=this&&this.__classPrivateFieldGet||function(ne,e,f,R){if(f==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ne!==e||!R:!e.has(ne))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?R:f==="a"?R.call(ne):R?R.value:e.get(ne)};define(we[203],_e([0,1,17,15,24,18,3,49,40,6,25,10,34,5,13,9,7,175,96]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m,u,o,E,v,S){"use strict";var d,h,g,t,r,i;Object.defineProperty(e,"__esModule",{value:!0}),e.MirroredTestCollection=e.TestRunDto=e.TestRunCoordinator=e.ExtHostTesting=void 0;let s=class{constructor($,Z){this.resultsChangedEmitter=new k.Emitter,this.controllers=new Map,this.onResultsChanged=this.resultsChangedEmitter.event,this.results=[],this.proxy=$.getProxy(m.MainContext.MainThreadTesting),this.observer=new F(this.proxy),this.runTracker=new w(this.proxy),Z.registerArgumentProcessor({processArgument:V=>V?.$mid===13?o.TestItem.toItemFromContext(V):V})}createTestController($){const Z=new C.DisposableStore,V=Z.add(new v.SingleUseTestCollection($)),B=Z.add(new R.RunOnceScheduler(()=>V.expand(V.root.id,0),0)),Y={root:V.root,get id(){return $},createTestRun:(L,J,N=!0)=>this.runTracker.createTestRun($,L,J,N),createTestItem(L,J,N,W,Q){if(!(N instanceof E.TestItemImpl))throw new Error(`The "parent" passed in for TestItem ${L} is invalid`);return new E.TestItemImpl(L,J,W,Q,N)},set resolveChildrenHandler(L){V.resolveHandler=L,L&&B.schedule()},get resolveChildrenHandler(){return V.resolveHandler},dispose:()=>{Z.dispose()}};return this.proxy.$registerTestController($),Z.add(C.toDisposable(()=>this.proxy.$unregisterTestController($))),this.controllers.set($,{controller:Y,collection:V}),Z.add(C.toDisposable(()=>this.controllers.delete($))),Z.add(V.onDidGenerateDiff(L=>this.proxy.$publishDiff($,L))),Y}createTestObserver(){return this.observer.checkout()}async runTests($,Z=_.CancellationToken.None){const V=B=>B.map(this.getInternalTestForReference,this).filter(I.isDefined).map(Y=>({controllerId:Y.controllerId,testId:Y.item.extId}));await this.proxy.$runTests({exclude:$.exclude?V($.exclude).map(B=>B.testId):void 0,tests:V($.tests),debug:$.debug},Z)}$provideFileCoverage($,Z,V){return b.Iterable.find(this.runTracker.trackers,B=>B.id===$)?.getCoverage(Z)?.provideFileCoverage(V)??Promise.resolve([])}$resolveFileCoverage($,Z,V,B){return b.Iterable.find(this.runTracker.trackers,Y=>Y.id===$)?.getCoverage(Z)?.resolveFileCoverage(V,B)??Promise.resolve([])}$publishTestResults($){this.results=Object.freeze($.map(Z=>n.deepFreeze(o.TestResults.to(Z))).concat(this.results).sort((Z,V)=>V.completedAt-Z.completedAt).slice(0,32)),this.resultsChangedEmitter.fire()}async $expandTest({controllerId:$,testId:Z},V){const B=this.controllers.get($)?.collection;B&&(await B.expand(Z,V<0?Infinity:V),B.flushDiff())}$acceptDiff($){this.observer.applyDiff($)}async $runControllerTests($,Z){const V=this.controllers.get($.controllerId);if(!V)return;const{controller:B,collection:Y}=V,L=$.testIds.map(Q=>Y.tree.get(Q)).filter(I.isDefined),J=$.excludeExtIds.map(Q=>V.collection.tree.get(Q)).filter(I.isDefined).filter(Q=>L.some(G=>Y.tree.comparePositions(G,Q)===1));if(!L.length)return;const N={tests:L.map(Q=>Q.actual),exclude:J.map(Q=>Q.actual),debug:$.debug},W=this.runTracker.prepareForMainThreadTestRun(N,p.fromInternal($),Z);try{await B.runHandler?.(N,Z)}finally{W.isRunning&&!Z.isCancellationRequested&&await k.Event.toPromise(W.onEnd),this.runTracker.cancelRunById($.runId)}}$cancelExtensionTestRun($){$===void 0?this.runTracker.cancelAllRuns():this.runTracker.cancelRunById($)}getInternalTestForReference($){return f.mapFind(this.controllers.values(),({collection:Z})=>Z.getTestByReference($))??this.observer.getMirroredTestDataByReference($)}};s=We([He(0,u.IExtHostRpcService)],s),e.ExtHostTesting=s;class c extends C.Disposable{constructor($,Z,V){super();this.dto=$,this.proxy=Z,this.tasks=new Map,this.sharedTestIds=new Set,this.endEmitter=this._register(new k.Emitter),this.disposed=!1,this.onEnd=this.endEmitter.event,this.cts=this._register(new _.CancellationTokenSource(V)),this._register(this.cts.token.onCancellationRequested(()=>{for(const{run:B}of this.tasks.values())B.end()}))}get isRunning(){return this.tasks.size>0}get id(){return this.dto.id}getCoverage($){return this.tasks.get($)?.coverage}createRun($){const Z=l.generateUuid(),V=new P(this.proxy,this.dto.id,Z),B=new A($,this.cts.token,Z,V,this.dto,this.sharedTestIds,this.proxy,()=>{this.tasks.delete(B.taskId),this.isRunning||this.dispose()});return this.tasks.set(B.taskId,{run:B,coverage:V}),B}dispose(){this.disposed||(this.disposed=!0,this.endEmitter.fire(),this.cts.cancel(),super.dispose())}}class w{constructor($){this.proxy=$,this.tracked=new Map}get trackers(){return this.tracked.values()}prepareForMainThreadTestRun($,Z,V){return this.getTracker($,Z,V)}cancelRunById($){for(const Z of this.tracked.values())if(Z.id===$){Z.dispose();return}}cancelAllRuns(){for(const $ of this.tracked.values())$.dispose()}createTestRun($,Z,V,B){const Y=this.tracked.get(Z);if(Y)return Y.createRun(V);const L=p.fromPublic($,Z);this.proxy.$startedExtensionTestRun({debug:Z.debug,exclude:Z.exclude?.map(N=>N.id)??[],id:L.id,tests:Z.tests.map(N=>N.id),persist:B});const J=this.getTracker(Z,L);return J.onEnd(()=>this.proxy.$finishedExtensionTestRun(L.id)),J.createRun(V)}getTracker($,Z,V){const B=new c(Z,this.proxy,V);return this.tracked.set($,B),B.onEnd(()=>this.tracked.delete($)),B}}e.TestRunCoordinator=w;class p{constructor($,Z,V,B){this.controllerId=$,this.id=Z,this.include=V,this.exclude=B}static fromPublic($,Z){return new p($,l.generateUuid(),new Set(Z.tests.map(V=>V.id)),new Set(Z.exclude?.map(V=>V.id)??b.Iterable.empty()))}static fromInternal($){return new p($.controllerId,$.runId,new Set($.testIds),new Set($.excludeExtIds))}isIncluded($){for(let Z=$;Z;Z=Z.parent){if(this.include.has(Z.id))return!0;if(this.exclude.has(Z.id))return!1}return!1}}e.TestRunDto=p;class P{constructor($,Z,V){this.proxy=$,this.runId=Z,this.taskId=V}set coverageProvider($){if(this._coverageProvider)throw new Error("The TestCoverageProvider cannot be replaced after being provided");!$||(this._coverageProvider=$,this.proxy.$signalCoverageAvailable(this.runId,this.taskId))}get coverageProvider(){return this._coverageProvider}async provideFileCoverage($){if(!this._coverageProvider)return[];this.fileCoverage||(this.fileCoverage=(async()=>this._coverageProvider.provideFileCoverage($))());try{return(await this.fileCoverage)?.map(o.TestCoverage.fromFile)??[]}catch(Z){throw this.fileCoverage=void 0,Z}}async resolveFileCoverage($,Z){const V=await this.fileCoverage;let B=V?.[$];return!this._coverageProvider||!V||!B?[]:(B.detailedCoverage||(B=V[$]=await this._coverageProvider.resolveFileCoverage?.(B,Z)??B),B.detailedCoverage?.map(o.TestCoverage.fromDetailed)??[])}}class A{constructor($,Z,V,B,Y,L,J,N){this.name=$,this.token=Z,this.taskId=V,d.set(this,void 0),h.set(this,void 0),g.set(this,void 0),t.set(this,void 0),r.set(this,void 0),i.set(this,!1),it(this,t,N,"f"),it(this,d,J,"f"),it(this,h,Y,"f"),it(this,r,B,"f"),it(this,g,L,"f"),J.$startedTestRunTask(Y.id,{id:this.taskId,name:$,running:!0})}set coverageProvider($){Me(this,r,"f").coverageProvider=$}get coverageProvider(){return Me(this,r,"f").coverageProvider}setState($,Z,V){!Me(this,i,"f")&&Me(this,h,"f").isIncluded($)&&(this.ensureTestIsKnown($),Me(this,d,"f").$updateTestStateInRun(Me(this,h,"f").id,this.taskId,$.id,Z,V))}appendMessage($,Z){!Me(this,i,"f")&&Me(this,h,"f").isIncluded($)&&(this.ensureTestIsKnown($),Me(this,d,"f").$appendTestMessageInRun(Me(this,h,"f").id,this.taskId,$.id,o.TestMessage.from(Z)))}appendOutput($){Me(this,i,"f")||Me(this,d,"f").$appendOutputToRun(Me(this,h,"f").id,this.taskId,D.VSBuffer.fromString($))}end(){Me(this,i,"f")||(it(this,i,!0,"f"),Me(this,d,"f").$finishedTestRunTask(Me(this,h,"f").id,this.taskId),Me(this,t,"f").call(this))}ensureTestIsKnown($){const Z=Me(this,g,"f");if(Z.has($.id))return;const V=[];for(;V.unshift(o.TestItem.from($)),!(Z.has($.id)||(Z.add($.id),!$.parent));)$=$.parent;Me(this,d,"f").$addTestsToRun(Me(this,h,"f").controllerId,Me(this,h,"f").id,V)}}d=new WeakMap,h=new WeakMap,g=new WeakMap,t=new WeakMap,r=new WeakMap,i=new WeakMap;class a extends S.IncrementalChangeCollector{constructor($){super();this.emitter=$,this.added=new Set,this.updated=new Set,this.removed=new Set,this.alreadyRemoved=new Set}get isEmpty(){return this.added.size===0&&this.removed.size===0&&this.updated.size===0}add($){this.added.add($)}update($){Object.assign($.revived,o.TestItem.toPlain($.item)),this.added.has($)||this.updated.add($)}remove($){if(this.added.has($)){this.added.delete($);return}if(this.updated.delete($),$.parent&&this.alreadyRemoved.has($.parent)){this.alreadyRemoved.add($.item.extId);return}this.removed.add($)}getChangeEvent(){const{added:$,updated:Z,removed:V}=this;return{get added(){return[...$].map(B=>B.revived)},get updated(){return[...Z].map(B=>B.revived)},get removed(){return[...V].map(B=>B.revived)}}}complete(){this.isEmpty||this.emitter.fire(this.getChangeEvent())}}class T extends S.AbstractIncrementalTestCollection{constructor(){super(...arguments);this.changeEmitter=new k.Emitter,this.onDidChangeTests=this.changeEmitter.event}get rootTests(){return super.roots}getMirroredTestDataById($){return this.items.get($)}getMirroredTestDataByReference($){return this.items.get($.id)}createItem($,Z){return{...$,revived:o.TestItem.toPlain($.item),depth:Z?Z.depth+1:0,children:new Set}}createChangeCollector(){return new a(this.changeEmitter)}}e.MirroredTestCollection=T;class F{constructor($){this.proxy=$}checkout(){this.current||(this.current=this.createObserverData());const $=this.current;return $.observers++,{onDidChangeTest:$.tests.onDidChangeTests,get tests(){return[...$.tests.rootTests].map(Z=>Z.revived)},dispose:y.once(()=>{--$.observers==0&&(this.proxy.$unsubscribeFromDiffs(),this.current=void 0)})}}getMirroredTestDataByReference($){return this.current?.tests.getMirroredTestDataByReference($)}applyDiff($){this.current?.tests.apply($)}createObserverData(){const $=new T;return this.proxy.$subscribeToDiffs(),{observers:0,tests:$}}}}),define(we[204],_e([0,1,3,17,5,99,9,7]),function(ne,e,f,R,D,_,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditors=void 0;class b{constructor(n,I){this._extHostDocumentsAndEditors=I,this._onDidChangeTextEditorSelection=new f.Emitter,this._onDidChangeTextEditorOptions=new f.Emitter,this._onDidChangeTextEditorVisibleRanges=new f.Emitter,this._onDidChangeTextEditorViewColumn=new f.Emitter,this._onDidChangeActiveTextEditor=new f.Emitter,this._onDidChangeVisibleTextEditors=new f.Emitter,this.onDidChangeTextEditorSelection=this._onDidChangeTextEditorSelection.event,this.onDidChangeTextEditorOptions=this._onDidChangeTextEditorOptions.event,this.onDidChangeTextEditorVisibleRanges=this._onDidChangeTextEditorVisibleRanges.event,this.onDidChangeTextEditorViewColumn=this._onDidChangeTextEditorViewColumn.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this._proxy=n.getProxy(D.MainContext.MainThreadTextEditors),this._extHostDocumentsAndEditors.onDidChangeVisibleTextEditors(l=>this._onDidChangeVisibleTextEditors.fire(l)),this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(l=>this._onDidChangeActiveTextEditor.fire(l))}getActiveTextEditor(){return this._extHostDocumentsAndEditors.activeEditor()}getVisibleTextEditors(n){const I=this._extHostDocumentsAndEditors.allEditors();return n?I:I.map(l=>l.value)}async showTextDocument(n,I,l){let m;typeof I=="number"?m={position:k.ViewColumn.from(I),preserveFocus:l}:typeof I=="object"?m={position:k.ViewColumn.from(I.viewColumn),preserveFocus:I.preserveFocus,selection:typeof I.selection=="object"?k.Range.from(I.selection):void 0,pinned:typeof I.preview=="boolean"?!I.preview:void 0}:m={preserveFocus:!1};const u=await this._proxy.$tryShowTextDocument(n.uri,m),o=u&&this._extHostDocumentsAndEditors.getEditor(u);if(o)return o.value;throw u?new Error(`Could NOT open editor for "${n.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${n.uri.toString()}".`)}createTextEditorDecorationType(n,I){return new _.TextEditorDecorationType(this._proxy,n,I).value}$acceptEditorPropertiesChanged(n,I){const l=this._extHostDocumentsAndEditors.getEditor(n);if(!l)throw new Error("unknown text editor");if(I.options&&l._acceptOptions(I.options),I.selections){const m=I.selections.selections.map(k.Selection.to);l._acceptSelections(m)}if(I.visibleRanges){const m=R.coalesce(I.visibleRanges.map(k.Range.to));l._acceptVisibleRanges(m)}if(I.options&&this._onDidChangeTextEditorOptions.fire({textEditor:l.value,options:{...I.options,lineNumbers:k.TextEditorLineNumbersStyle.to(I.options.lineNumbers)}}),I.selections){const m=y.TextEditorSelectionChangeKind.fromValue(I.selections.source),u=I.selections.selections.map(k.Selection.to);this._onDidChangeTextEditorSelection.fire({textEditor:l.value,selections:u,kind:m})}if(I.visibleRanges){const m=R.coalesce(I.visibleRanges.map(k.Range.to));this._onDidChangeTextEditorVisibleRanges.fire({textEditor:l.value,visibleRanges:m})}}$acceptEditorPositionData(n){for(const I in n){const l=this._extHostDocumentsAndEditors.getEditor(I);if(!l)throw new Error("Unknown text editor");const m=k.ViewColumn.to(n[I]);l.value.viewColumn!==m&&(l._acceptViewColumn(m),this._onDidChangeTextEditorViewColumn.fire({textEditor:l.value,viewColumn:m}))}}getDiffInformation(n){return Promise.resolve(this._proxy.$getDiffInformation(n))}}e.ExtHostEditors=b}),define(we[205],_e([0,1,2,4,5,6,7]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTimeline=e.IExtHostTimeline=void 0,e.IExtHostTimeline=R.createDecorator("IExtHostTimeline");class y{constructor(n,I){this._providers=new Map,this._itemsBySourceAndUriMap=new Map,this._proxy=n.getProxy(D.MainContext.MainThreadTimeline),I.registerArgumentProcessor({processArgument:l=>{if(l&&l.$mid===11){const m=l.uri===void 0?void 0:f.URI.revive(l.uri);return this._itemsBySourceAndUriMap.get(l.source)?.get(b(m))?.get(l.handle)}return l}})}async $getTimeline(n,I,l,m,u){return this._providers.get(n)?.provideTimeline(f.URI.revive(I),l,m,u)}registerTimelineProvider(n,I,l,m){const u=new _.DisposableStore,o=this.convertTimelineItem(I.id,m,u).bind(this);let E;I.onDidChange&&(E=I.onDidChange(S=>this._proxy.$emitTimelineChangeEvent({uri:void 0,reset:!0,...S,id:I.id}),this));const v=this._itemsBySourceAndUriMap;return this.registerTimelineProviderCore({...I,scheme:n,onDidChange:void 0,async provideTimeline(S,d,h,g){g?.resetCache&&(u.clear(),v.get(I.id)?.clear());const t=await I.provideTimeline(S,d,h);if(t==null)return;const r=o(S,g);return{...t,source:I.id,items:t.items.map(r)}},dispose(){for(const S of v.values())S.get(I.id)?.clear();E?.dispose(),u.dispose()}})}convertTimelineItem(n,I,l){return(m,u)=>{let o;if(u?.cacheResults){let E=this._itemsBySourceAndUriMap.get(n);E===void 0&&(E=new Map,this._itemsBySourceAndUriMap.set(n,E));const v=b(m);o=E.get(v),o===void 0&&(o=new Map,E.set(v,o))}return E=>{const{iconPath:v,...S}=E,d=`${n}|${E.id??E.timestamp}`;o?.set(d,E);let h,g,t;return E.iconPath&&(v instanceof k.ThemeIcon?t={id:v.id}:f.URI.isUri(v)?(h=v,g=v):{light:h,dark:g}=v),{...S,id:S.id??void 0,handle:d,source:n,command:E.command?I.toInternal(E.command,l):void 0,icon:h,iconDark:g,themeIcon:t,accessibilityInformation:E.accessibilityInformation}}}}registerTimelineProviderCore(n){if(this._providers.get(n.id))throw new Error(`Timeline Provider ${n.id} already exists.`);return this._proxy.$registerTimelineProvider({id:n.id,label:n.label,scheme:n.scheme}),this._providers.set(n.id,n),_.toDisposable(()=>{for(const l of this._itemsBySourceAndUriMap.values())l.get(n.id)?.clear();this._providers.delete(n.id),this._proxy.$unregisterTimelineProvider(n.id),n.dispose()})}}e.ExtHostTimeline=y;function b(C){return C?.toString()}}),define(we[206],_e([0,1,6,11,2,5]),function(ne,e,f,R,D,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUriOpeners=void 0;class k{constructor(b){this._openers=new Map,this._proxy=b.getProxy(_.MainContext.MainThreadUriOpeners)}registerExternalUriOpener(b,C,n,I){if(this._openers.has(C))throw new Error(`Opener with id '${C}' already registered`);const l=I.schemes.find(m=>!k.supportedSchemes.has(m));if(l)throw new Error(`Scheme '${l}' is not supported. Only http and https are currently supported.`);return this._openers.set(C,n),this._proxy.$registerUriOpener(C,I.schemes,b,I.label),f.toDisposable(()=>{this._openers.delete(C),this._proxy.$unregisterUriOpener(C)})}async $canOpenUri(b,C,n){const I=this._openers.get(b);if(!I)throw new Error(`Unknown opener with id: ${b}`);const l=D.URI.revive(C);return I.canOpenExternalUri(l,n)}async $openUri(b,C,n){const I=this._openers.get(b);if(!I)throw new Error(`Unknown opener id: '${b}'`);return I.openExternalUri(D.URI.revive(C.resolvedUri),{sourceUri:D.URI.revive(C.sourceUri)},n)}}e.ExtHostUriOpeners=k,k.supportedSchemes=new Set([R.Schemas.http,R.Schemas.https])}),define(we[207],_e([0,1,5,2,6,12,26]),function(ne,e,f,R,D,_,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUrls=void 0;class y{constructor(C){this.handles=new Set,this.handlers=new Map,this._proxy=C.getProxy(f.MainContext.MainThreadUrls)}registerUriHandler(C,n){if(this.handles.has(k.ExtensionIdentifier.toKey(C)))throw new Error(`Protocol handler already registered for extension ${C}`);const I=y.HandlePool++;return this.handles.add(k.ExtensionIdentifier.toKey(C)),this.handlers.set(I,n),this._proxy.$registerUriHandler(I,C),D.toDisposable(()=>{this.handles.delete(k.ExtensionIdentifier.toKey(C)),this.handlers.delete(I),this._proxy.$unregisterUriHandler(I)})}$handleExternalUri(C,n){const I=this.handlers.get(C);if(!I)return Promise.resolve(void 0);try{I.handleUri(R.URI.revive(n))}catch(l){_.onUnexpectedError(l)}return Promise.resolve(void 0)}async createAppUri(C){return R.URI.revive(await this._proxy.$createAppUri(C))}}e.ExtHostUrls=y,y.HandlePool=0});var it=this&&this.__classPrivateFieldSet||function(ne,e,f,R,D){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ne!==e||!D:!e.has(ne))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?D.call(ne,f):D?D.value=f:e.set(ne,f),f},Me=this&&this.__classPrivateFieldGet||function(ne,e,f,R){if(f==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ne!==e||!R:!e.has(ne))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?R:f==="a"?R.call(ne):R?R.value:e.get(ne)};define(we[47],_e([0,1,3,2,142,161,66,5]),function(ne,e,f,R,D,_,k,y){"use strict";var b,C,n,I,l,m,u,o,E,v,S,d;Object.defineProperty(e,"__esModule",{value:!0}),e.reviveOptions=e.serializeWebviewOptions=e.toExtensionData=e.ExtHostWebviews=e.shouldSerializeBuffersForPostMessage=e.ExtHostWebview=void 0;class h{constructor(p,P,A,a,T,F,H){b.set(this,void 0),C.set(this,void 0),n.set(this,void 0),I.set(this,void 0),l.set(this,void 0),m.set(this,void 0),u.set(this,""),o.set(this,void 0),E.set(this,!1),v.set(this,!1),S.set(this,!1),this._onMessageEmitter=new f.Emitter,this.onDidReceiveMessage=this._onMessageEmitter.event,d.set(this,new f.Emitter),this._onDidDispose=Me(this,d,"f").event,it(this,b,p,"f"),it(this,C,P,"f"),it(this,o,A,"f"),it(this,I,a,"f"),it(this,l,T,"f"),it(this,m,F,"f"),it(this,S,g(F),"f"),it(this,n,H,"f")}dispose(){it(this,E,!0,"f"),Me(this,d,"f").fire(),Me(this,d,"f").dispose(),this._onMessageEmitter.dispose()}asWebviewUri(p){return it(this,v,!0,"f"),k.asWebviewUri(p,Me(this,I,"f").remote)}get cspSource(){return k.webviewGenericCspSource}get html(){return this.assertNotDisposed(),Me(this,u,"f")}set html(p){this.assertNotDisposed(),Me(this,u,"f")!==p&&(it(this,u,p,"f"),!Me(this,v,"f")&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(p)&&(it(this,v,!0,"f"),Me(this,n,"f").report("Webview vscode-resource: uris",Me(this,m,"f"),"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),Me(this,C,"f").$setHtml(Me(this,b,"f"),p))}get options(){return this.assertNotDisposed(),Me(this,o,"f")}set options(p){this.assertNotDisposed(),Me(this,C,"f").$setOptions(Me(this,b,"f"),i(Me(this,m,"f"),Me(this,l,"f"),p)),it(this,o,p,"f")}async postMessage(p){if(Me(this,E,"f"))return!1;const P=_.serializeWebviewMessage(p,{serializeBuffersForPostMessage:Me(this,S,"f")});return Me(this,C,"f").$postMessage(Me(this,b,"f"),P.message,...P.buffers)}assertNotDisposed(){if(Me(this,E,"f"))throw new Error("Webview is disposed")}}e.ExtHostWebview=h,b=new WeakMap,C=new WeakMap,n=new WeakMap,I=new WeakMap,l=new WeakMap,m=new WeakMap,u=new WeakMap,o=new WeakMap,E=new WeakMap,v=new WeakMap,S=new WeakMap,d=new WeakMap;function g(w){try{const p=D.normalizeVersion(D.parseVersion(w.engines.vscode));return!!p&&p.majorBase>=1&&p.minorBase>=57}catch{return!1}}e.shouldSerializeBuffersForPostMessage=g;class t{constructor(p,P,A,a,T){this.initData=P,this.workspace=A,this._logService=a,this._deprecationService=T,this._webviews=new Map,this._webviewProxy=p.getProxy(y.MainContext.MainThreadWebviews)}$onMessage(p,P,...A){const a=this.getWebview(p);if(a){const{message:T}=_.deserializeWebviewMessage(P,A);a._onMessageEmitter.fire(T)}}$onMissingCsp(p,P){this._logService.warn(`${P} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(p,P,A){const a=new h(p,this._webviewProxy,s(P),this.initData,this.workspace,A,this._deprecationService);return this._webviews.set(p,a),a._onDidDispose(()=>{this._webviews.delete(p)}),a}deleteWebview(p){this._webviews.delete(p)}getWebview(p){return this._webviews.get(p)}}e.ExtHostWebviews=t;function r(w){return{id:w.identifier,location:w.extensionLocation}}e.toExtensionData=r;function i(w,p,P){return{enableCommandUris:P.enableCommandUris,enableScripts:P.enableScripts,portMapping:P.portMapping,localResourceRoots:P.localResourceRoots||c(w,p)}}e.serializeWebviewOptions=i;function s(w){return{enableCommandUris:w.enableCommandUris,enableScripts:w.enableScripts,portMapping:w.portMapping,localResourceRoots:w.localResourceRoots?.map(p=>R.URI.from(p))}}e.reviveOptions=s;function c(w,p){return[...(p?.getWorkspaceFolders()||[]).map(P=>P.uri),w.extensionLocation]}}),define(we[208],_e([0,1,18,52,6,11,23,2,9,47,62,5,7]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCustomEditors=void 0;class m{constructor(t,r){this.document=t,this._storagePath=r,this._backupCounter=1,this._edits=new n.Cache("custom documents")}addEdit(t){return this._edits.add([t])}async undo(t,r){await this.getEdit(t).undo(),r||this.disposeBackup()}async redo(t,r){await this.getEdit(t).redo(),r||this.disposeBackup()}disposeEdits(t){for(const r of t)this._edits.delete(r)}getNewBackupUri(){if(!this._storagePath)throw new Error("Backup requires a valid storage path");const t=h(this.document.uri)+this._backupCounter++;return k.joinPath(this._storagePath,t)}updateBackup(t){this._backup?.delete(),this._backup=t}disposeBackup(){this._backup?.delete(),this._backup=void 0}getEdit(t){const r=this._edits.get(t,0);if(!r)throw new Error("No edit found");return r}}class u{constructor(){this._documents=new Map}get(t,r){return this._documents.get(this.key(t,r))}add(t,r,i){const s=this.key(t,r.uri);if(this._documents.has(s))throw new Error(`Document already exists for viewType:${t} resource:${r.uri}`);const c=new m(r,i);return this._documents.set(s,c),c}delete(t,r){const i=this.key(t,r.uri);this._documents.delete(i)}key(t,r){return`${t}@@@${r}`}}var o;(function(g){g[g.Text=0]="Text",g[g.Custom=1]="Custom"})(o||(o={}));class E{constructor(){this._providers=new Map}addTextProvider(t,r,i){return this.add(0,t,r,i)}addCustomProvider(t,r,i){return this.add(1,t,r,i)}get(t){return this._providers.get(t)}add(t,r,i,s){if(this._providers.has(r))throw new Error(`Provider for viewType:${r} already registered`);return this._providers.set(r,{type:t,extension:i,provider:s}),new l.Disposable(()=>this._providers.delete(r))}}class v{constructor(t,r,i,s,c){this._extHostDocuments=r,this._extensionStoragePaths=i,this._extHostWebview=s,this._extHostWebviewPanels=c,this._editorProviders=new E,this._documents=new u,this._proxy=t.getProxy(I.MainContext.MainThreadCustomEditors)}registerCustomEditorProvider(t,r,i,s){const c=new D.DisposableStore;return S(i)?(c.add(this._editorProviders.addTextProvider(r,t,i)),this._proxy.$registerTextEditorProvider(C.toExtensionData(t),r,s.webviewOptions||{},{supportsMove:!!i.moveCustomTextEditor},C.shouldSerializeBuffersForPostMessage(t))):(c.add(this._editorProviders.addCustomProvider(r,t,i)),this.supportEditing(i)&&c.add(i.onDidChangeCustomDocument(w=>{const p=this.getCustomDocumentEntry(r,w.document.uri);if(d(w)){const P=p.addEdit(w);this._proxy.$onDidEdit(w.document.uri,r,P,w.label)}else this._proxy.$onContentChange(w.document.uri,r)})),this._proxy.$registerCustomEditorProvider(C.toExtensionData(t),r,s.webviewOptions||{},!!s.supportsMultipleEditorsPerDocument,C.shouldSerializeBuffersForPostMessage(t))),l.Disposable.from(c,new l.Disposable(()=>{this._proxy.$unregisterEditorProvider(r)}))}async $createCustomDocument(t,r,i,s,c){const w=this._editorProviders.get(r);if(!w)throw new Error(`No provider found for '${r}'`);if(w.type!==1)throw new Error(`Invalid provide type for '${r}'`);const p=y.URI.revive(t),P=await w.provider.openCustomDocument(p,{backupId:i,untitledDocumentData:s?.buffer},c);let A;return this.supportEditing(w.provider)&&this._extensionStoragePaths&&(A=this._extensionStoragePaths.workspaceValue(w.extension)??this._extensionStoragePaths.globalValue(w.extension)),this._documents.add(r,P,A),{editable:this.supportEditing(w.provider)}}async $disposeCustomDocument(t,r){const i=this._editorProviders.get(r);if(!i)throw new Error(`No provider found for '${r}'`);if(i.type!==1)throw new Error(`Invalid provider type for '${r}'`);const s=y.URI.revive(t),{document:c}=this.getCustomDocumentEntry(r,s);this._documents.delete(r,c),c.dispose()}async $resolveWebviewEditor(t,r,i,s,c,w){const p=this._editorProviders.get(i);if(!p)throw new Error(`No provider found for '${i}'`);const P=b.ViewColumn.to(c),A=this._extHostWebview.createNewWebview(r,s.webviewOptions,p.extension),a=this._extHostWebviewPanels.createNewWebviewPanel(r,i,s.title,P,s.panelOptions,A),T=y.URI.revive(t);switch(p.type){case 1:{const{document:F}=this.getCustomDocumentEntry(i,T);return p.provider.resolveCustomEditor(F,a,w)}case 0:{const F=this._extHostDocuments.getDocument(T);return p.provider.resolveCustomTextEditor(F,a,w)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(t,r,i){this.getCustomDocumentEntry(r,t).disposeEdits(i)}async $onMoveCustomEditor(t,r,i){const s=this._editorProviders.get(i);if(!s)throw new Error(`No provider found for '${i}'`);if(!s.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${i}'`);const c=this._extHostWebviewPanels.getWebviewPanel(t);if(!c)throw new Error("No webview found");const w=y.URI.revive(r),p=this._extHostDocuments.getDocument(w);await s.provider.moveCustomTextEditor(p,c,f.CancellationToken.None)}async $undo(t,r,i,s){return this.getCustomDocumentEntry(r,t).undo(i,s)}async $redo(t,r,i,s){return this.getCustomDocumentEntry(r,t).redo(i,s)}async $revert(t,r,i){const s=this.getCustomDocumentEntry(r,t);await this.getCustomEditorProvider(r).revertCustomDocument(s.document,i),s.disposeBackup()}async $onSave(t,r,i){const s=this.getCustomDocumentEntry(r,t);await this.getCustomEditorProvider(r).saveCustomDocument(s.document,i),s.disposeBackup()}async $onSaveAs(t,r,i,s){const c=this.getCustomDocumentEntry(r,t);return this.getCustomEditorProvider(r).saveCustomDocumentAs(c.document,y.URI.revive(i),s)}async $backup(t,r,i){const s=this.getCustomDocumentEntry(r,t),w=await this.getCustomEditorProvider(r).backupCustomDocument(s.document,{destination:s.getNewBackupUri()},i);return s.updateBackup(w),w.id}getCustomDocumentEntry(t,r){const i=this._documents.get(t,y.URI.revive(r));if(!i)throw new Error("No custom document found");return i}getCustomEditorProvider(t){const i=this._editorProviders.get(t)?.provider;if(!i||!this.supportEditing(i))throw new Error("Custom document is not editable");return i}supportEditing(t){return!!t.onDidChangeCustomDocument}}e.ExtHostCustomEditors=v;function S(g){return typeof g.resolveCustomTextEditor=="function"}function d(g){return typeof g.undo=="function"&&typeof g.redo=="function"}function h(g){const t=g.scheme===_.Schemas.file||g.scheme===_.Schemas.untitled?g.fsPath:g.toString();return R.hash(t)+""}});var it=this&&this.__classPrivateFieldSet||function(ne,e,f,R,D){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ne!==e||!D:!e.has(ne))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?D.call(ne,f):D?D.value=f:e.set(ne,f),f},Me=this&&this.__classPrivateFieldGet||function(ne,e,f,R){if(f==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ne!==e||!R:!e.has(ne))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?R:f==="a"?R.call(ne):R?R.value:e.get(ne)};define(we[209],_e([0,1,3,6,2,34,9,47,5,7]),function(ne,e,f,R,D,_,k,y,b,C){"use strict";var n,I,l,m,u,o,E,v,S,d,h,g,t;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewPanels=void 0;class r extends R.Disposable{constructor(w,p,P,A,a,T,F){super();n.set(this,void 0),I.set(this,void 0),l.set(this,void 0),m.set(this,void 0),u.set(this,void 0),o.set(this,void 0),E.set(this,void 0),v.set(this,void 0),S.set(this,!0),d.set(this,!0),h.set(this,!1),g.set(this,this._register(new f.Emitter)),this.onDidDispose=Me(this,g,"f").event,t.set(this,this._register(new f.Emitter)),this.onDidChangeViewState=Me(this,t,"f").event,it(this,n,w,"f"),it(this,I,p,"f"),it(this,l,P,"f"),it(this,u,T,"f"),it(this,v,a,"f"),it(this,o,A,"f"),it(this,m,F,"f")}dispose(){Me(this,h,"f")||(it(this,h,!0,"f"),Me(this,g,"f").fire(),Me(this,I,"f").$disposeWebview(Me(this,n,"f")),Me(this,m,"f").dispose(),super.dispose())}get webview(){return this.assertNotDisposed(),Me(this,m,"f")}get viewType(){return this.assertNotDisposed(),Me(this,l,"f")}get title(){return this.assertNotDisposed(),Me(this,o,"f")}set title(w){this.assertNotDisposed(),Me(this,o,"f")!==w&&(it(this,o,w,"f"),Me(this,I,"f").$setTitle(Me(this,n,"f"),w))}get iconPath(){return this.assertNotDisposed(),Me(this,E,"f")}set iconPath(w){this.assertNotDisposed(),Me(this,E,"f")!==w&&(it(this,E,w,"f"),Me(this,I,"f").$setIconPath(Me(this,n,"f"),D.URI.isUri(w)?{light:w,dark:w}:w))}get options(){return Me(this,u,"f")}get viewColumn(){if(this.assertNotDisposed(),!(typeof Me(this,v,"f")=="number"&&Me(this,v,"f")<0))return Me(this,v,"f")}get active(){return this.assertNotDisposed(),Me(this,d,"f")}get visible(){return this.assertNotDisposed(),Me(this,S,"f")}_updateViewState(w){Me(this,h,"f")||(this.active!==w.active||this.visible!==w.visible||this.viewColumn!==w.viewColumn)&&(it(this,d,w.active,"f"),it(this,S,w.visible,"f"),it(this,v,w.viewColumn,"f"),Me(this,t,"f").fire({webviewPanel:this}))}reveal(w,p){this.assertNotDisposed(),Me(this,I,"f").$reveal(Me(this,n,"f"),{viewColumn:w?k.ViewColumn.from(w):void 0,preserveFocus:!!p})}assertNotDisposed(){if(Me(this,h,"f"))throw new Error("Webview is disposed")}}n=new WeakMap,I=new WeakMap,l=new WeakMap,m=new WeakMap,u=new WeakMap,o=new WeakMap,E=new WeakMap,v=new WeakMap,S=new WeakMap,d=new WeakMap,h=new WeakMap,g=new WeakMap,t=new WeakMap;class i{constructor(w,p,P){this.webviews=p,this.workspace=P,this._webviewPanels=new Map,this._serializers=new Map,this._proxy=w.getProxy(b.MainContext.MainThreadWebviewPanels)}static newHandle(){return _.generateUuid()}createWebviewPanel(w,p,P,A,a={}){const T=typeof A=="object"?A.viewColumn:A,F={viewColumn:k.ViewColumn.from(T),preserveFocus:typeof A=="object"&&!!A.preserveFocus},H=y.shouldSerializeBuffersForPostMessage(w),$=i.newHandle();this._proxy.$createWebviewPanel(y.toExtensionData(w),$,p,{title:P,panelOptions:s(a),webviewOptions:y.serializeWebviewOptions(w,this.workspace,a),serializeBuffersForPostMessage:H},F);const Z=this.webviews.createNewWebview($,a,w);return this.createNewWebviewPanel($,p,P,T,a,Z)}$onDidChangeWebviewPanelViewStates(w){const p=Object.keys(w);p.sort((P,A)=>{const a=w[P],T=w[A];return a.active?1:T.active?-1:+a.visible-+T.visible});for(const P of p){const A=this.getWebviewPanel(P);if(!A)continue;const a=w[P];A._updateViewState({active:a.active,visible:a.visible,viewColumn:k.ViewColumn.to(a.position)})}}async $onDidDisposeWebviewPanel(w){this.getWebviewPanel(w)?.dispose(),this._webviewPanels.delete(w),this.webviews.deleteWebview(w)}registerWebviewPanelSerializer(w,p,P){if(this._serializers.has(p))throw new Error(`Serializer for '${p}' already registered`);return this._serializers.set(p,{serializer:P,extension:w}),this._proxy.$registerSerializer(p,{serializeBuffersForPostMessage:y.shouldSerializeBuffersForPostMessage(w)}),new C.Disposable(()=>{this._serializers.delete(p),this._proxy.$unregisterSerializer(p)})}async $deserializeWebviewPanel(w,p,P,A){const a=this._serializers.get(p);if(!a)throw new Error(`No serializer found for '${p}'`);const{serializer:T,extension:F}=a,H=this.webviews.createNewWebview(w,P.webviewOptions,F),$=this.createNewWebviewPanel(w,p,P.title,A,P.panelOptions,H);await T.deserializeWebviewPanel($,P.state)}createNewWebviewPanel(w,p,P,A,a,T){const F=new r(w,this._proxy,p,P,A,a,T);return this._webviewPanels.set(w,F),F}getWebviewPanel(w){return this._webviewPanels.get(w)}}e.ExtHostWebviewPanels=i;function s(c){return{enableFindWidget:c.enableFindWidget,retainContextWhenHidden:c.retainContextWhenHidden}}});var it=this&&this.__classPrivateFieldSet||function(ne,e,f,R,D){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ne!==e||!D:!e.has(ne))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?D.call(ne,f):D?D.value=f:e.set(ne,f),f},Me=this&&this.__classPrivateFieldGet||function(ne,e,f,R){if(f==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ne!==e||!R:!e.has(ne))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?R:f==="a"?R.call(ne):R?R.value:e.get(ne)};define(we[210],_e([0,1,3,6,47,5,7]),function(ne,e,f,R,D,_,k){"use strict";var y,b,C,n,I,l,m,u,o,E;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewViews=void 0;class v extends R.Disposable{constructor(h,g,t,r,i,s){super();y.set(this,void 0),b.set(this,void 0),C.set(this,void 0),n.set(this,void 0),I.set(this,!1),l.set(this,void 0),m.set(this,void 0),u.set(this,void 0),o.set(this,this._register(new f.Emitter)),this.onDidChangeVisibility=Me(this,o,"f").event,E.set(this,this._register(new f.Emitter)),this.onDidDispose=Me(this,E,"f").event,it(this,C,t,"f"),it(this,m,r,"f"),it(this,y,h,"f"),it(this,b,g,"f"),it(this,n,i,"f"),it(this,l,s,"f")}dispose(){Me(this,I,"f")||(it(this,I,!0,"f"),Me(this,E,"f").fire(),Me(this,n,"f").dispose(),super.dispose())}get title(){return this.assertNotDisposed(),Me(this,m,"f")}set title(h){this.assertNotDisposed(),Me(this,m,"f")!==h&&(it(this,m,h,"f"),Me(this,b,"f").$setWebviewViewTitle(Me(this,y,"f"),h))}get description(){return this.assertNotDisposed(),Me(this,u,"f")}set description(h){this.assertNotDisposed(),Me(this,u,"f")!==h&&(it(this,u,h,"f"),Me(this,b,"f").$setWebviewViewDescription(Me(this,y,"f"),h))}get visible(){return Me(this,l,"f")}get webview(){return Me(this,n,"f")}get viewType(){return Me(this,C,"f")}_setVisible(h){h===Me(this,l,"f")||Me(this,I,"f")||(it(this,l,h,"f"),Me(this,o,"f").fire())}show(h){this.assertNotDisposed(),Me(this,b,"f").$show(Me(this,y,"f"),!!h)}assertNotDisposed(){if(Me(this,I,"f"))throw new Error("Webview is disposed")}}y=new WeakMap,b=new WeakMap,C=new WeakMap,n=new WeakMap,I=new WeakMap,l=new WeakMap,m=new WeakMap,u=new WeakMap,o=new WeakMap,E=new WeakMap;class S{constructor(h,g){this._extHostWebview=g,this._viewProviders=new Map,this._webviewViews=new Map,this._proxy=h.getProxy(_.MainContext.MainThreadWebviewViews)}registerWebviewViewProvider(h,g,t,r){if(this._viewProviders.has(g))throw new Error(`View provider for '${g}' already registered`);return this._viewProviders.set(g,{provider:t,extension:h}),this._proxy.$registerWebviewViewProvider(D.toExtensionData(h),g,{retainContextWhenHidden:r?.retainContextWhenHidden,serializeBuffersForPostMessage:!1}),new k.Disposable(()=>{this._viewProviders.delete(g),this._proxy.$unregisterWebviewViewProvider(g)})}async $resolveWebviewView(h,g,t,r,i){const s=this._viewProviders.get(g);if(!s)throw new Error(`No view provider found for '${g}'`);const{provider:c,extension:w}=s,p=this._extHostWebview.createNewWebview(h,{},w),P=new v(h,this._proxy,g,t,p,!0);this._webviewViews.set(h,P),await c.resolveWebviewView(P,{state:r},i)}async $onDidChangeWebviewViewVisibility(h,g){this.getWebviewView(h)._setVisible(g)}async $disposeWebviewView(h){const g=this.getWebviewView(h);this._webviewViews.delete(h),g.dispose(),this._extHostWebview.deleteWebview(h)}getWebviewView(h){const g=this._webviewViews.get(h);if(!g)throw new Error("No webview found");return g}}e.ExtHostWebviewViews=S}),define(we[103],_e([0,1,3,5,2,11,8,4,13]),function(ne,e,f,R,D,_,k,y,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWindow=e.ExtHostWindow=void 0;let C=class Wn{constructor(I){this._onDidChangeWindowState=new f.Emitter,this.onDidChangeWindowState=this._onDidChangeWindowState.event,this._state=Wn.InitialState,this._proxy=I.getProxy(R.MainContext.MainThreadWindow),this._proxy.$getWindowVisibility().then(l=>this.$onDidChangeWindowFocus(l))}get state(){return this._state}$onDidChangeWindowFocus(I){I!==this._state.focused&&(this._state={...this._state,focused:I},this._onDidChangeWindowState.fire(this._state))}openUri(I,l){let m;if(typeof I=="string"){m=I;try{I=D.URI.parse(I)}catch(u){return Promise.reject(`Invalid uri - '${I}'`)}}return k.isFalsyOrWhitespace(I.scheme)?Promise.reject("Invalid scheme - cannot be empty"):I.scheme===_.Schemas.command?Promise.reject(`Invalid scheme '${I.scheme}'`):this._proxy.$openUri(I,m,l)}async asExternalUri(I,l){if(k.isFalsyOrWhitespace(I.scheme))return Promise.reject("Invalid scheme - cannot be empty");const m=await this._proxy.$asExternalUri(I,l);return D.URI.from(m)}};C.InitialState={focused:!0},C=We([He(0,b.IExtHostRpcService)],C),e.ExtHostWindow=C,e.IExtHostWindow=y.createDecorator("IExtHostWindow")}),define(we[211],_e([0,1,16,5,28,13]),function(ne,e,f,R,D,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLogService=void 0;let k=class extends f.AbstractLogger{constructor(b,C){super();this._proxy=b.getProxy(R.MainContext.MainThreadLog),this._logFile=C.logFile.toJSON(),this.setLevel(C.logLevel)}$setLevel(b){this.setLevel(b)}trace(b,...C){this.getLevel()<=f.LogLevel.Trace&&this._proxy.$log(this._logFile,f.LogLevel.Trace,Array.from(arguments))}debug(b,...C){this.getLevel()<=f.LogLevel.Debug&&this._proxy.$log(this._logFile,f.LogLevel.Debug,Array.from(arguments))}info(b,...C){this.getLevel()<=f.LogLevel.Info&&this._proxy.$log(this._logFile,f.LogLevel.Info,Array.from(arguments))}warn(b,...C){this.getLevel()<=f.LogLevel.Warning&&this._proxy.$log(this._logFile,f.LogLevel.Warning,Array.from(arguments))}error(b,...C){this.getLevel()<=f.LogLevel.Error&&this._proxy.$log(this._logFile,f.LogLevel.Error,Array.from(arguments))}critical(b,...C){this.getLevel()<=f.LogLevel.Critical&&this._proxy.$log(this._logFile,f.LogLevel.Critical,Array.from(arguments))}flush(){}};k=We([He(0,_.IExtHostRpcService),He(1,D.IExtHostInitDataService)],k),e.ExtHostLogService=k}),define(we[212],_e([0,1,15,18,12,3,6,114,181,100,24]),function(ne,e,f,R,D,_,k,y,b,C,n){"use strict";var I;Object.defineProperty(e,"__esModule",{value:!0}),e.RPCProtocol=e.ResponsiveState=e.RequestInitiator=void 0;function l(s,c){try{return JSON.stringify(s,c)}catch(w){return"null"}}function m(s,c){return JSON.stringify(s,c)}function u(s){return s?(c,w)=>w&&w.$mid===1?s.transformOutgoing(w):w:null}var o;(function(s){s[s.LocalSide=0]="LocalSide",s[s.OtherSide=1]="OtherSide"})(o=e.RequestInitiator||(e.RequestInitiator={}));var E;(function(s){s[s.Responsive=0]="Responsive",s[s.Unresponsive=1]="Unresponsive"})(E=e.ResponsiveState||(e.ResponsiveState={}));const v=()=>{},S=Symbol.for("rpcProtocol"),d=Symbol.for("rpcProxy");class h extends k.Disposable{constructor(c,w=null,p=null){super();this[I]=!0,this._onDidChangeResponsiveState=this._register(new _.Emitter),this.onDidChangeResponsiveState=this._onDidChangeResponsiveState.event,this._protocol=c,this._logger=w,this._uriTransformer=p,this._uriReplacer=u(this._uriTransformer),this._isDisposed=!1,this._locals=[],this._proxies=[];for(let P=0,A=C.ProxyIdentifier.count;P<A;P++)this._locals[P]=null,this._proxies[P]=null;this._lastMessageId=0,this._cancelInvokedHandlers=Object.create(null),this._pendingRPCReplies={},this._responsiveState=0,this._unacknowledgedCount=0,this._unresponsiveTime=0,this._asyncCheckUresponsive=this._register(new f.RunOnceScheduler(()=>this._checkUnresponsive(),1e3)),this._protocol.onMessage(P=>this._receiveOneMessage(P))}dispose(){this._isDisposed=!0,Object.keys(this._pendingRPCReplies).forEach(c=>{this._pendingRPCReplies[c].resolveErr(D.canceled())})}drain(){return typeof this._protocol.drain=="function"?this._protocol.drain():Promise.resolve()}_onWillSendRequest(c){this._unacknowledgedCount===0&&(this._unresponsiveTime=Date.now()+h.UNRESPONSIVE_TIME),this._unacknowledgedCount++,this._asyncCheckUresponsive.isScheduled()||this._asyncCheckUresponsive.schedule()}_onDidReceiveAcknowledge(c){this._unresponsiveTime=Date.now()+h.UNRESPONSIVE_TIME,this._unacknowledgedCount--,this._unacknowledgedCount===0&&this._asyncCheckUresponsive.cancel(),this._setResponsiveState(0)}_checkUnresponsive(){this._unacknowledgedCount!==0&&(Date.now()>this._unresponsiveTime?this._setResponsiveState(1):this._asyncCheckUresponsive.schedule())}_setResponsiveState(c){this._responsiveState!==c&&(this._responsiveState=c,this._onDidChangeResponsiveState.fire(this._responsiveState))}get responsiveState(){return this._responsiveState}transformIncomingURIs(c){return this._uriTransformer?y.transformIncomingURIs(c,this._uriTransformer):c}getProxy(c){const{nid:w,sid:p}=c;return this._proxies[w]||(this._proxies[w]=this._createProxy(w,p)),this._proxies[w]}_createProxy(c,w){let p={get:(P,A)=>(typeof A=="string"&&!P[A]&&A.charCodeAt(0)===36&&(P[A]=(...a)=>this._remoteCall(c,A,a)),A===d?w:P[A])};return new Proxy(Object.create(null),p)}set(c,w){return this._locals[c.nid]=w,w}assertRegistered(c){for(let w=0,p=c.length;w<p;w++){const P=c[w];if(!this._locals[P.nid])throw new Error(`Missing actor ${P.sid} (isMain: ${P.isMain})`)}}_receiveOneMessage(c){if(this._isDisposed)return;const w=c.byteLength,p=g.read(c,0),P=p.readUInt8(),A=p.readUInt32();switch(P){case 1:case 2:{let{rpcId:a,method:T,args:F}=t.deserializeRequestJSONArgs(p);this._uriTransformer&&(F=y.transformIncomingURIs(F,this._uriTransformer)),this._receiveRequest(w,A,a,T,F,P===2);break}case 3:case 4:{let{rpcId:a,method:T,args:F}=t.deserializeRequestMixedArgs(p);this._uriTransformer&&(F=y.transformIncomingURIs(F,this._uriTransformer)),this._receiveRequest(w,A,a,T,F,P===4);break}case 5:{this._logger&&this._logger.logIncoming(w,A,0,"ack"),this._onDidReceiveAcknowledge(A);break}case 6:{this._receiveCancel(w,A);break}case 7:{this._receiveReply(w,A,void 0);break}case 9:{let a=t.deserializeReplyOKJSON(p);this._uriTransformer&&(a=y.transformIncomingURIs(a,this._uriTransformer)),this._receiveReply(w,A,a);break}case 8:{let a=t.deserializeReplyOKVSBuffer(p);this._receiveReply(w,A,a);break}case 10:{let a=t.deserializeReplyErrError(p);this._uriTransformer&&(a=y.transformIncomingURIs(a,this._uriTransformer)),this._receiveReplyErr(w,A,a);break}case 11:{this._receiveReplyErr(w,A,void 0);break}default:console.error("received unexpected message"),console.error(c)}}_receiveRequest(c,w,p,P,A,a){this._logger&&this._logger.logIncoming(c,w,1,`receiveRequest ${C.getStringIdentifierForProxy(p)}.${P}(`,A);const T=String(w);let F,H;if(a){const Z=new R.CancellationTokenSource;A.push(Z.token),F=this._invokeHandler(p,P,A),H=()=>Z.cancel()}else F=this._invokeHandler(p,P,A),H=v;this._cancelInvokedHandlers[T]=H;const $=t.serializeAcknowledged(w);this._logger&&this._logger.logOutgoing($.byteLength,w,1,"ack"),this._protocol.send($),F.then(Z=>{delete this._cancelInvokedHandlers[T];const V=t.serializeReplyOK(w,Z,this._uriReplacer);this._logger&&this._logger.logOutgoing(V.byteLength,w,1,"reply:",Z),this._protocol.send(V)},Z=>{delete this._cancelInvokedHandlers[T];const V=t.serializeReplyErr(w,Z);this._logger&&this._logger.logOutgoing(V.byteLength,w,1,"replyErr:",Z),this._protocol.send(V)})}_receiveCancel(c,w){this._logger&&this._logger.logIncoming(c,w,1,"receiveCancel");const p=String(w);this._cancelInvokedHandlers[p]&&this._cancelInvokedHandlers[p]()}_receiveReply(c,w,p){this._logger&&this._logger.logIncoming(c,w,0,"receiveReply:",p);const P=String(w);if(!this._pendingRPCReplies.hasOwnProperty(P))return;const A=this._pendingRPCReplies[P];delete this._pendingRPCReplies[P],A.resolveOk(p)}_receiveReplyErr(c,w,p){this._logger&&this._logger.logIncoming(c,w,0,"receiveReplyErr:",p);const P=String(w);if(!this._pendingRPCReplies.hasOwnProperty(P))return;const A=this._pendingRPCReplies[P];delete this._pendingRPCReplies[P];let a;p&&(p.$isError?(a=new Error,a.name=p.name,a.message=p.message,a.stack=p.stack):a=p),A.resolveErr(a)}_invokeHandler(c,w,p){try{return Promise.resolve(this._doInvokeHandler(c,w,p))}catch(P){return Promise.reject(P)}}_doInvokeHandler(c,w,p){const P=this._locals[c];if(!P)throw new Error("Unknown actor "+C.getStringIdentifierForProxy(c));let A=P[w];if(typeof A!="function")throw new Error("Unknown method "+w+" on actor "+C.getStringIdentifierForProxy(c));return A.apply(P,p)}_remoteCall(c,w,p){if(this._isDisposed)return Promise.reject(D.canceled());let P=null;if(p.length>0&&R.CancellationToken.isCancellationToken(p[p.length-1])&&(P=p.pop()),P&&P.isCancellationRequested)return Promise.reject(D.canceled());const A=t.serializeRequestArguments(p,this._uriReplacer),a=++this._lastMessageId,T=String(a),F=new b.LazyPromise;P&&P.onCancellationRequested(()=>{const $=t.serializeCancel(a);this._logger&&this._logger.logOutgoing($.byteLength,a,0,"cancel"),this._protocol.send(t.serializeCancel(a))}),this._pendingRPCReplies[T]=F,this._onWillSendRequest(a);const H=t.serializeRequest(a,c,w,A,!!P);return this._logger&&this._logger.logOutgoing(H.byteLength,a,0,`request: ${C.getStringIdentifierForProxy(c)}.${w}(`,p),this._protocol.send(H),F}}e.RPCProtocol=h,I=S,h.UNRESPONSIVE_TIME=3*1e3;class g{constructor(c,w){this._buff=c,this._offset=w}static alloc(c,w,p){let P=new g(n.VSBuffer.alloc(p+1+4),0);return P.writeUInt8(c),P.writeUInt32(w),P}static read(c,w){return new g(c,w)}get buffer(){return this._buff}static sizeUInt8(){return 1}writeUInt8(c){this._buff.writeUInt8(c,this._offset),this._offset+=1}readUInt8(){const c=this._buff.readUInt8(this._offset);return this._offset+=1,c}writeUInt32(c){this._buff.writeUInt32BE(c,this._offset),this._offset+=4}readUInt32(){const c=this._buff.readUInt32BE(this._offset);return this._offset+=4,c}static sizeShortString(c){return 1+c.byteLength}writeShortString(c){this._buff.writeUInt8(c.byteLength,this._offset),this._offset+=1,this._buff.set(c,this._offset),this._offset+=c.byteLength}readShortString(){const c=this._buff.readUInt8(this._offset);this._offset+=1;const p=this._buff.slice(this._offset,this._offset+c).toString();return this._offset+=c,p}static sizeLongString(c){return 4+c.byteLength}writeLongString(c){this._buff.writeUInt32BE(c.byteLength,this._offset),this._offset+=4,this._buff.set(c,this._offset),this._offset+=c.byteLength}readLongString(){const c=this._buff.readUInt32BE(this._offset);this._offset+=4;const p=this._buff.slice(this._offset,this._offset+c).toString();return this._offset+=c,p}writeBuffer(c){this._buff.writeUInt32BE(c.byteLength,this._offset),this._offset+=4,this._buff.set(c,this._offset),this._offset+=c.byteLength}static sizeVSBuffer(c){return 4+c.byteLength}writeVSBuffer(c){this._buff.writeUInt32BE(c.byteLength,this._offset),this._offset+=4,this._buff.set(c,this._offset),this._offset+=c.byteLength}readVSBuffer(){const c=this._buff.readUInt32BE(this._offset);this._offset+=4;const w=this._buff.slice(this._offset,this._offset+c);return this._offset+=c,w}static sizeMixedArray(c,w){let p=0;p+=1;for(let P=0,A=c.length;P<A;P++){const a=c[P],T=w[P];switch(p+=1,T){case 1:p+=this.sizeLongString(a);break;case 2:p+=this.sizeVSBuffer(a);break;case 3:break}}return p}writeMixedArray(c,w){this._buff.writeUInt8(c.length,this._offset),this._offset+=1;for(let p=0,P=c.length;p<P;p++){const A=c[p];switch(w[p]){case 1:this.writeUInt8(1),this.writeLongString(A);break;case 2:this.writeUInt8(2),this.writeVSBuffer(A);break;case 3:this.writeUInt8(3);break}}}readMixedArray(){const c=this._buff.readUInt8(this._offset);this._offset+=1;let w=new Array(c);for(let p=0;p<c;p++)switch(this.readUInt8()){case 1:w[p]=this.readLongString();break;case 2:w[p]=this.readVSBuffer();break;case 3:w[p]=void 0;break}return w}}class t{static _arrayContainsBufferOrUndefined(c){for(let w=0,p=c.length;w<p;w++)if(c[w]instanceof n.VSBuffer||typeof c[w]=="undefined")return!0;return!1}static serializeRequestArguments(c,w){if(this._arrayContainsBufferOrUndefined(c)){let p=[],P=[];for(let A=0,a=c.length;A<a;A++){const T=c[A];T instanceof n.VSBuffer?(p[A]=T,P[A]=2):typeof T=="undefined"?(p[A]=n.VSBuffer.alloc(0),P[A]=3):(p[A]=n.VSBuffer.fromString(m(T,w)),P[A]=1)}return{type:"mixed",args:p,argsType:P}}return{type:"simple",args:m(c,w)}}static serializeRequest(c,w,p,P,A){return P.type==="mixed"?this._requestMixedArgs(c,w,p,P.args,P.argsType,A):this._requestJSONArgs(c,w,p,P.args,A)}static _requestJSONArgs(c,w,p,P,A){const a=n.VSBuffer.fromString(p),T=n.VSBuffer.fromString(P);let F=0;F+=g.sizeUInt8(),F+=g.sizeShortString(a),F+=g.sizeLongString(T);let H=g.alloc(A?2:1,c,F);return H.writeUInt8(w),H.writeShortString(a),H.writeLongString(T),H.buffer}static deserializeRequestJSONArgs(c){const w=c.readUInt8(),p=c.readShortString(),P=c.readLongString();return{rpcId:w,method:p,args:JSON.parse(P)}}static _requestMixedArgs(c,w,p,P,A,a){const T=n.VSBuffer.fromString(p);let F=0;F+=g.sizeUInt8(),F+=g.sizeShortString(T),F+=g.sizeMixedArray(P,A);let H=g.alloc(a?4:3,c,F);return H.writeUInt8(w),H.writeShortString(T),H.writeMixedArray(P,A),H.buffer}static deserializeRequestMixedArgs(c){const w=c.readUInt8(),p=c.readShortString(),P=c.readMixedArray(),A=new Array(P.length);for(let a=0,T=P.length;a<T;a++){const F=P[a];typeof F=="string"?A[a]=JSON.parse(F):A[a]=F}return{rpcId:w,method:p,args:A}}static serializeAcknowledged(c){return g.alloc(5,c,0).buffer}static serializeCancel(c){return g.alloc(6,c,0).buffer}static serializeReplyOK(c,w,p){return typeof w=="undefined"?this._serializeReplyOKEmpty(c):w instanceof n.VSBuffer?this._serializeReplyOKVSBuffer(c,w):this._serializeReplyOKJSON(c,l(w,p))}static _serializeReplyOKEmpty(c){return g.alloc(7,c,0).buffer}static _serializeReplyOKVSBuffer(c,w){let p=0;p+=g.sizeVSBuffer(w);let P=g.alloc(8,c,p);return P.writeVSBuffer(w),P.buffer}static deserializeReplyOKVSBuffer(c){return c.readVSBuffer()}static _serializeReplyOKJSON(c,w){const p=n.VSBuffer.fromString(w);let P=0;P+=g.sizeLongString(p);let A=g.alloc(9,c,P);return A.writeLongString(p),A.buffer}static deserializeReplyOKJSON(c){const w=c.readLongString();return JSON.parse(w)}static serializeReplyErr(c,w){return w?this._serializeReplyErrEror(c,w):this._serializeReplyErrEmpty(c)}static _serializeReplyErrEror(c,w){const p=n.VSBuffer.fromString(l(D.transformErrorForSerialization(w),null));let P=0;P+=g.sizeLongString(p);let A=g.alloc(10,c,P);return A.writeLongString(p),A.buffer}static deserializeReplyErrError(c){const w=c.readLongString();return JSON.parse(w)}static _serializeReplyErrEmpty(c){return g.alloc(11,c,0).buffer}}var r;(function(s){s[s.RequestJSONArgs=1]="RequestJSONArgs",s[s.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",s[s.RequestMixedArgs=3]="RequestMixedArgs",s[s.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",s[s.Acknowledged=5]="Acknowledged",s[s.Cancel=6]="Cancel",s[s.ReplyOKEmpty=7]="ReplyOKEmpty",s[s.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",s[s.ReplyOKJSON=9]="ReplyOKJSON",s[s.ReplyErrError=10]="ReplyErrError",s[s.ReplyErrEmpty=11]="ReplyErrEmpty"})(r||(r={}));var i;(function(s){s[s.String=1]="String",s[s.VSBuffer=2]="VSBuffer",s[s.Undefined=3]="Undefined"})(i||(i={}))}),define(we[213],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NestedWorker=void 0;const f=function(_){const k=y=>{self.removeEventListener("message",k);const b=y.data;Object.defineProperties(self,{postMessage:{value(C,n){b.postMessage(C,n)}},onmessage:{get(){return b.onmessage},set(C){b.onmessage=C}}}),b.addEventListener("message",C=>{self.dispatchEvent(new MessageEvent("message",{data:C.data}))}),b.start(),self.Worker=class{constructor(){throw new TypeError("Nested workers from within nested worker are NOT supported.")}},importScripts(_)};self.addEventListener("message",k)}.toString();class R extends EventTarget{constructor(_,k,y){super();this.onmessage=null,this.onmessageerror=null,this.onerror=null;const b=`((${f})('${k}'))`,C=new Blob([b],{type:"application/javascript"}),n=URL.createObjectURL(C),I=new MessageChannel,l=n,m={type:"_newWorker",id:l,port:I.port2,url:n,options:y};_(m,[I.port2]),this.postMessage=I.port1.postMessage.bind(I.port1),this.terminate=()=>{const u={type:"_terminateWorker",id:l};I.port1.postMessage(u),URL.revokeObjectURL(n),I.port1.close(),I.port2.close()},Object.defineProperties(this,{onmessage:{get(){return I.port1.onmessage},set(u){I.port1.onmessage=u}},onmessageerror:{get(){return I.port1.onmessageerror},set(u){I.port1.onmessageerror=u}}}),I.port1.addEventListener("messageerror",u=>{const o=new MessageEvent("messageerror",{data:u.data});this.dispatchEvent(o)}),I.port1.addEventListener("message",u=>{const o=new MessageEvent("message",{data:u.data});this.dispatchEvent(o)}),I.port1.start()}}e.NestedWorker=R}),define(we[214],_e([0,1,4]),function(ne,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IRemoteAgentService=e.RemoteExtensionLogFileName=void 0,e.RemoteExtensionLogFileName="remoteagent",e.IRemoteAgentService=f.createDecorator("remoteAgentService")}),define(we[215],_e([0,1,11,14,21,2,4,92,44,177,214]),function(ne,e,f,R,D,_,k,y,b,C,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractPathService=e.IPathService=void 0,e.IPathService=k.createDecorator("pathService");let I=class Hn{constructor(m,u,o,E){this.localUserHome=m,this.remoteAgentService=u,this.environmentService=o,this.contextService=E,this.resolveOS=(async()=>(await this.remoteAgentService.getEnvironment())?.os||D.OS)(),this.resolveUserHome=(async()=>{const v=await this.remoteAgentService.getEnvironment();return this.maybeUnresolvedUserHome=v?.userHome||m})()}get defaultUriScheme(){return Hn.findDefaultUriScheme(this.environmentService,this.contextService)}static findDefaultUriScheme(m,u){if(m.remoteAuthority)return f.Schemas.vscodeRemote;const o=y.getVirtualWorkspaceScheme(u.getWorkspace());if(o)return o;const E=u.getWorkspace().folders[0];if(E)return E.uri.scheme;const v=u.getWorkspace().configuration;return v?v.scheme:f.Schemas.file}async userHome(m){return m?.preferLocal?this.localUserHome:this.resolveUserHome}get resolvedUserHome(){return this.maybeUnresolvedUserHome}get path(){return this.resolveOS.then(m=>m===1?R.win32:R.posix)}async fileURI(m){let u="";if(await this.resolveOS===1&&(m=m.replace(/\\/g,"/")),m[0]==="/"&&m[1]==="/"){const E=m.indexOf("/",2);E===-1?(u=m.substring(2),m="/"):(u=m.substring(2,E),m=m.substring(E)||"/")}return _.URI.from({scheme:f.Schemas.file,authority:u,path:m,query:"",fragment:""})}};I=We([He(1,n.IRemoteAgentService),He(2,C.IWorkbenchEnvironmentService),He(3,b.IWorkspaceContextService)],I),e.AbstractPathService=I}),define(we[104],_e([0,1]),function(ne,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchCompleteMessageType=e.Range=e.Position=void 0;class f{constructor(k,y){this.line=k,this.character=y}isBefore(k){return!1}isBeforeOrEqual(k){return!1}isAfter(k){return!1}isAfterOrEqual(k){return!1}isEqual(k){return!1}compareTo(k){return 0}translate(k,y){return new f(0,0)}with(k){return new f(0,0)}}e.Position=f;class R{constructor(k,y,b,C){this.isEmpty=!1,this.isSingleLine=!1,this.start=new f(k,y),this.end=new f(b,C)}contains(k){return!1}isEqual(k){return!1}intersection(k){}union(k){return new R(0,0,0,0)}with(k){return new R(0,0,0,0)}}e.Range=R;var D;(function(_){_[_.Information=1]="Information",_[_.Warning=2]="Warning"})(D=e.TextSearchCompleteMessageType||(e.TextSearchCompleteMessageType={}))}),define(we[38],_e([0,1,17,27,25,43,8,4,14,12,104]),function(ne,e,f,R,D,_,k,y,b,C,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.QueryGlobTester=e.resolvePatternsForProvider=e.SerializableFileMatch=e.isFilePatternMatch=e.isSerializedFileMatch=e.isSerializedSearchSuccess=e.isSerializedSearchComplete=e.serializeSearchError=e.deserializeSearchError=e.SearchError=e.SearchErrorCode=e.pathIncludedInQuery=e.getExcludes=e.SearchSortOrder=e.OneLineRange=e.SearchRange=e.TextSearchMatch=e.FileMatch=e.SearchCompletionExitCode=e.isProgressMessage=e.isFileMatch=e.resultIsMatch=e.QueryType=e.SearchProviderType=e.ISearchService=e.SEARCH_EXCLUDE_CONFIG=e.VIEW_ID=e.PANEL_ID=e.VIEWLET_ID=e.TextSearchCompleteMessageType=void 0,Object.defineProperty(e,"TextSearchCompleteMessageType",{enumerable:!0,get:function(){return n.TextSearchCompleteMessageType}}),e.VIEWLET_ID="workbench.view.search",e.PANEL_ID="workbench.panel.search",e.VIEW_ID="workbench.view.search",e.SEARCH_EXCLUDE_CONFIG="search.exclude";const I="\u27EA ",l=" characters skipped \u27EB",m=(I.length+l.length+5)*2;e.ISearchService=y.createDecorator("searchService");var u;(function(L){L[L.file=0]="file",L[L.text=1]="text"})(u=e.SearchProviderType||(e.SearchProviderType={}));var o;(function(L){L[L.File=1]="File",L[L.Text=2]="Text"})(o=e.QueryType||(e.QueryType={}));function E(L){return!!L.preview}e.resultIsMatch=E;function v(L){return!!L.resource}e.isFileMatch=v;function S(L){return!!L.message}e.isProgressMessage=S;var d;(function(L){L[L.Normal=0]="Normal",L[L.NewSearchStarted=1]="NewSearchStarted"})(d=e.SearchCompletionExitCode||(e.SearchCompletionExitCode={}));class h{constructor(J){this.resource=J,this.results=[]}}e.FileMatch=h;class g{constructor(J,N,W){this.ranges=N;const Q=Array.isArray(N)?N:[N];if(W&&W.matchLines===1&&t(Q)){J=k.getNLines(J,W.matchLines);let G="",ue=0,ke=0;const Re=Math.floor(W.charsPerLine/5),ze=[];for(const xe of Q){const Ve=Math.max(xe.startColumn-Re,0),tt=xe.startColumn+W.charsPerLine;if(Ve>ke+Re+m){const Ye=I+(Ve-ke)+l;G+=Ye+J.slice(Ve,tt),ue+=Ve-(ke+Ye.length)}else G+=J.slice(ke,tt);ze.push(new i(0,xe.startColumn-ue,xe.endColumn-ue)),ke=tt}this.preview={text:G,matches:Array.isArray(this.ranges)?ze:ze[0]}}else{const G=Array.isArray(N)?N[0].startLineNumber:N.startLineNumber;this.preview={text:J,matches:f.mapArrayOrNot(N,ue=>new r(ue.startLineNumber-G,ue.startColumn,ue.endLineNumber-G,ue.endColumn))}}}}e.TextSearchMatch=g;function t(L){const J=L[0].startLineNumber;for(const N of L)if(N.startLineNumber!==J||N.endLineNumber!==J)return!1;return!0}class r{constructor(J,N,W,Q){this.startLineNumber=J,this.startColumn=N,this.endLineNumber=W,this.endColumn=Q}}e.SearchRange=r;class i extends r{constructor(J,N,W){super(J,N,J,W)}}e.OneLineRange=i;var s;(function(L){L.Default="default",L.FileNames="fileNames",L.Type="type",L.Modified="modified",L.CountDescending="countDescending",L.CountAscending="countAscending"})(s=e.SearchSortOrder||(e.SearchSortOrder={}));function c(L,J=!0){const N=L&&L.files&&L.files.exclude,W=J&&L&&L.search&&L.search.exclude;if(!N&&!W)return;if(!N||!W)return N||W;let Q=Object.create(null);return Q=D.mixin(Q,D.deepClone(N)),Q=D.mixin(Q,D.deepClone(W),!0),Q}e.getExcludes=c;function w(L,J){return L.excludePattern&&R.match(L.excludePattern,J)?!1:L.includePattern||L.usingSearchPaths?L.includePattern&&R.match(L.includePattern,J)?!0:L.usingSearchPaths?!!L.folderQueries&&L.folderQueries.some(N=>{const W=N.folder.fsPath;if(_.isEqualOrParent(J,W)){const Q=b.relative(W,J);return!N.includePattern||!!R.match(N.includePattern,Q)}else return!1}):!1:!0}e.pathIncludedInQuery=w;var p;(function(L){L[L.unknownEncoding=1]="unknownEncoding",L[L.regexParseError=2]="regexParseError",L[L.globParseError=3]="globParseError",L[L.invalidLiteral=4]="invalidLiteral",L[L.rgProcessError=5]="rgProcessError",L[L.other=6]="other",L[L.canceled=7]="canceled"})(p=e.SearchErrorCode||(e.SearchErrorCode={}));class P extends Error{constructor(J,N){super(J);this.code=N}}e.SearchError=P;function A(L){const J=L.message;if(C.isPromiseCanceledError(L))return new P(J,p.canceled);try{const N=JSON.parse(J);return new P(N.message,N.code)}catch(N){return new P(J,p.other)}}e.deserializeSearchError=A;function a(L){const J={message:L.message,code:L.code};return new Error(JSON.stringify(J))}e.serializeSearchError=a;function T(L){return L.type==="error"?!0:L.type==="success"}e.isSerializedSearchComplete=T;function F(L){return L.type==="success"}e.isSerializedSearchSuccess=F;function H(L){return!!L.path}e.isSerializedFileMatch=H;function $(L,J){const N=L.searchPath?L.searchPath:L.relativePath;return k.fuzzyContains(N,J)}e.isFilePatternMatch=$;class Z{constructor(J){this.path=J,this.results=[]}addMatch(J){this.results.push(J)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.SerializableFileMatch=Z;function V(L,J){const N={...L||{},...J||{}};return Object.keys(N).filter(W=>{const Q=N[W];return typeof Q=="boolean"&&Q})}e.resolvePatternsForProvider=V;class B{constructor(J,N){this._parsedIncludeExpression=null,this._excludeExpression={...J.excludePattern||{},...N.excludePattern||{}},this._parsedExcludeExpression=R.parse(this._excludeExpression);let W=J.includePattern;N.includePattern&&(W?W={...W,...N.includePattern}:W=N.includePattern),W&&(this._parsedIncludeExpression=R.parse(W))}includedInQuerySync(J,N,W){return!(this._parsedExcludeExpression&&this._parsedExcludeExpression(J,N,W)||this._parsedIncludeExpression&&!this._parsedIncludeExpression(J,N,W))}includedInQuery(J,N,W){return Promise.resolve(this._parsedExcludeExpression(J,N,W)).then(G=>!!G).then(G=>G?!1:this._parsedIncludeExpression?Promise.resolve(this._parsedIncludeExpression(J,N,W)).then(ue=>!!ue):Promise.resolve(!0)).then(G=>G)}hasSiblingExcludeClauses(){return Y(this._excludeExpression)}}e.QueryGlobTester=B;function Y(L){for(const J in L)if(typeof L[J]!="boolean")return!0;return!1}}),define(we[31],_e([0,1,17,15,18,3,22,11,77,23,8,10,2,135,4,16,149,44,45,28,13,7,38,5]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m,u,o,E,v,S,d,h,g,t,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWorkspace=e.ExtHostWorkspace=void 0;function i(T,F,H){return new C.ExtUri($=>p($,H)).isEqual(T,F)}function s(T,F,H){return i(T.uri,F.uri,H)?0:n.compare(T.uri.toString(),F.uri.toString())}function c(T,F,H){return T.index!==F.index?T.index<F.index?-1:1:i(T.uri,F.uri,H)?n.compare(T.name,F.name):n.compare(T.uri.toString(),F.uri.toString())}function w(T,F,H,$){const Z=T.slice(0).sort((B,Y)=>H(B,Y,$)),V=F.slice(0).sort((B,Y)=>H(B,Y,$));return f.delta(Z,V,(B,Y)=>H(B,Y,$))}function p(T,F){const H=F.getCapabilities(T.scheme);return!(H&&H&1024)}class P extends v.Workspace{constructor(F,H,$,Z,V,B){super(F,$.map(Y=>new v.WorkspaceFolder(Y)),Z,B);this._name=H,this._isUntitled=V,this._workspaceFolders=[],this._structure=k.TernarySearchTree.forUris(B),$.forEach(Y=>{this._workspaceFolders.push(Y),this._structure.set(Y.uri,Y)})}static toExtHostWorkspace(F,H,$,Z){if(!F)return{workspace:null,added:[],removed:[]};const{id:V,name:B,folders:Y,configuration:L,isUntitled:J}=F,N=[],W=H;H?Y.forEach((ke,Re)=>{const ze=l.URI.revive(ke.uri),xe=P._findFolder($||H,ze,Z);xe?(xe.name=ke.name,xe.index=ke.index,N.push(xe)):N.push({uri:ze,name:ke.name,index:Re})}):N.push(...Y.map(({uri:ke,name:Re,index:ze})=>({uri:l.URI.revive(ke),name:Re,index:ze}))),N.sort((ke,Re)=>ke.index<Re.index?-1:1);const Q=new P(V,B,N,L?l.URI.revive(L):null,!!J,ke=>p(ke,Z)),{added:G,removed:ue}=w(W?W.workspaceFolders:[],Q.workspaceFolders,s,Z);return{workspace:Q,added:G,removed:ue}}static _findFolder(F,H,$){for(let Z=0;Z<F.folders.length;Z++){const V=F.workspaceFolders[Z];if(i(V.uri,H,$))return V}}get name(){return this._name}get isUntitled(){return this._isUntitled}get workspaceFolders(){return this._workspaceFolders.slice(0)}getWorkspaceFolder(F,H){return H&&this._structure.get(F)&&(F=C.dirname(F)),this._structure.findSubstr(F)}resolveWorkspaceFolder(F){return this._structure.get(F)}}let A=class{constructor(F,H,$,Z){this._onDidChangeWorkspace=new _.Emitter,this.onDidChangeWorkspace=this._onDidChangeWorkspace.event,this._onDidGrantWorkspaceTrust=new _.Emitter,this.onDidGrantWorkspaceTrust=this._onDidGrantWorkspaceTrust.event,this._activeSearchCallbacks=[],this._trusted=!1,this._logService=Z,this._extHostFileSystemInfo=$,this._requestIdProvider=new b.Counter,this._barrier=new R.Barrier,this._proxy=F.getProxy(r.MainContext.MainThreadWorkspace),this._messageService=F.getProxy(r.MainContext.MainThreadMessageService);const V=H.workspace;this._confirmedWorkspace=V?new P(V.id,V.name,[],V.configuration?l.URI.revive(V.configuration):null,!!V.isUntitled,B=>p(B,$)):void 0}$initializeWorkspace(F,H){this._trusted=H,this.$acceptWorkspaceData(F),this._barrier.open()}waitForInitializeCall(){return this._barrier.wait()}get workspace(){return this._actualWorkspace}get name(){return this._actualWorkspace?this._actualWorkspace.name:void 0}get workspaceFile(){if(this._actualWorkspace&&this._actualWorkspace.configuration)return this._actualWorkspace.isUntitled?l.URI.from({scheme:y.Schemas.untitled,path:C.basename(C.dirname(this._actualWorkspace.configuration))}):this._actualWorkspace.configuration}get _actualWorkspace(){return this._unconfirmedWorkspace||this._confirmedWorkspace}getWorkspaceFolders(){if(!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}updateWorkspaceFolders(F,H,$,...Z){const V=[];if(Array.isArray(Z)&&Z.forEach(N=>{l.URI.isUri(N.uri)&&!V.some(W=>i(W.uri,N.uri,this._extHostFileSystemInfo))&&V.push({uri:N.uri,name:N.name||C.basenameOrAuthority(N.uri)})}),this._unconfirmedWorkspace||[H,$].some(N=>typeof N!="number"||N<0)||$===0&&V.length===0)return!1;const B=this._actualWorkspace?this._actualWorkspace.workspaceFolders:[];if(H+$>B.length)return!1;const Y=B.slice(0);Y.splice(H,$,...V.map(N=>({uri:N.uri,name:N.name||C.basenameOrAuthority(N.uri),index:void 0})));for(let N=0;N<Y.length;N++){const W=Y[N];if(Y.some((Q,G)=>G!==N&&i(W.uri,Q.uri,this._extHostFileSystemInfo)))return!1}Y.forEach((N,W)=>N.index=W);const{added:L,removed:J}=w(B,Y,c,this._extHostFileSystemInfo);if(L.length===0&&J.length===0)return!1;if(this._proxy){const N=F.displayName||F.name;this._proxy.$updateWorkspaceFolders(N,H,$,V).then(void 0,W=>{this._unconfirmedWorkspace=void 0,this._messageService.$showMessage(E.Severity.Error,m.localize(0,null,N,W.toString()),{extension:F},[])})}return this.trySetWorkspaceFolders(Y),!0}getWorkspaceFolder(F,H){if(!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(F,H)}async getWorkspaceFolder2(F,H){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(F,H)}async resolveWorkspaceFolder(F){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.resolveWorkspaceFolder(F)}getPath(){if(!this._actualWorkspace)return;const{folders:F}=this._actualWorkspace;if(F.length!==0)return F[0].uri.fsPath}getRelativePath(F,H){let $,Z="";if(typeof F=="string"?($=l.URI.file(F),Z=F):typeof F!="undefined"&&($=F,Z=F.fsPath),!$)return Z;const V=this.getWorkspaceFolder($,!0);if(!V)return Z;typeof H=="undefined"&&this._actualWorkspace&&(H=this._actualWorkspace.folders.length>1);let B=C.relativePath(V.uri,$);return H&&V.name&&(B=`${V.name}/${B}`),B}trySetWorkspaceFolders(F){this._actualWorkspace&&(this._unconfirmedWorkspace=P.toExtHostWorkspace({id:this._actualWorkspace.id,name:this._actualWorkspace.name,configuration:this._actualWorkspace.configuration,folders:F,isUntitled:this._actualWorkspace.isUntitled},this._actualWorkspace,void 0,this._extHostFileSystemInfo).workspace||void 0)}$acceptWorkspaceData(F){const{workspace:H,added:$,removed:Z}=P.toExtHostWorkspace(F,this._confirmedWorkspace,this._unconfirmedWorkspace,this._extHostFileSystemInfo);this._confirmedWorkspace=H||void 0,this._unconfirmedWorkspace=void 0,this._onDidChangeWorkspace.fire(Object.freeze({added:$,removed:Z}))}findFiles(F,H,$,Z,V=D.CancellationToken.None){this._logService.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${Z.value}, entryPoint: findFiles`);let B;if(H===null?B=!1:H&&(typeof H=="string"?B=H:B=H.pattern),V&&V.isCancellationRequested)return Promise.resolve([]);const{includePattern:Y,folder:L}=a(F);return this._proxy.$startFileSearch(I.withUndefinedAsNull(Y),I.withUndefinedAsNull(L),I.withUndefinedAsNull(B),I.withUndefinedAsNull($),V).then(J=>Array.isArray(J)?J.map(N=>l.URI.revive(N)):[])}async findTextInFiles(F,H,$,Z,V=D.CancellationToken.None){this._logService.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${Z.value}, entryPoint: findTextInFiles`);const B=this._requestIdProvider.getNext(),Y=typeof H.previewOptions=="undefined"?{matchLines:100,charsPerLine:1e4}:H.previewOptions,{includePattern:L,folder:J}=a(H.include),N=typeof H.exclude=="string"?H.exclude:H.exclude?H.exclude.pattern:void 0,W={ignoreSymlinks:typeof H.followSymlinks=="boolean"?!H.followSymlinks:void 0,disregardIgnoreFiles:typeof H.useIgnoreFiles=="boolean"?!H.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof H.useGlobalIgnoreFiles=="boolean"?!H.useGlobalIgnoreFiles:void 0,disregardExcludeSettings:typeof H.useDefaultExcludes=="boolean"?!H.useDefaultExcludes:!0,fileEncoding:H.encoding,maxResults:H.maxResults,previewOptions:Y,afterContext:H.afterContext,beforeContext:H.beforeContext,includePattern:L,excludePattern:N},Q=!1;if(this._activeSearchCallbacks[B]=G=>{if(Q)return;const ue=l.URI.revive(G.resource);G.results.forEach(ke=>{t.resultIsMatch(ke)?$({uri:ue,preview:{text:ke.preview.text,matches:f.mapArrayOrNot(ke.preview.matches,Re=>new g.Range(Re.startLineNumber,Re.startColumn,Re.endLineNumber,Re.endColumn))},ranges:f.mapArrayOrNot(ke.ranges,Re=>new g.Range(Re.startLineNumber,Re.startColumn,Re.endLineNumber,Re.endColumn))}):$({uri:ue,text:ke.text,lineNumber:ke.lineNumber})})},V.isCancellationRequested)return{};try{const G=await this._proxy.$startTextSearch(F,I.withUndefinedAsNull(J),W,B,V);return delete this._activeSearchCallbacks[B],G||{}}catch(G){throw delete this._activeSearchCallbacks[B],G}}$handleTextSearchResult(F,H){this._activeSearchCallbacks[H]&&this._activeSearchCallbacks[H](F)}saveAll(F){return this._proxy.$saveAll(F)}resolveProxy(F){return this._proxy.$resolveProxy(F)}get trusted(){return this._trusted}requestWorkspaceTrust(F){return this._proxy.$requestWorkspaceTrust(F)}$onDidGrantWorkspaceTrust(){this._trusted||(this._trusted=!0,this._onDidGrantWorkspaceTrust.fire())}};A=We([He(0,h.IExtHostRpcService),He(1,d.IExtHostInitDataService),He(2,S.IExtHostFileSystemInfo),He(3,o.ILogService)],A),e.ExtHostWorkspace=A,e.IExtHostWorkspace=u.createDecorator("IExtHostWorkspace");function a(T){let F,H;return T&&(typeof T=="string"?F=T:(F=T.pattern,H=T.baseFolder||l.URI.file(T.base))),{includePattern:F,folder:H}}}),define(we[32],_e([0,1,25,3,31,5,7,153,61,10,15,4,13,16,2]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConfiguration=e.ExtHostConfigProvider=e.ExtHostConfiguration=void 0;function o(r,i){if(i){const s=i.split(".");let c=r;for(let w=0;c&&w<s.length;w++)c=c[s[w]];return c}}function E(r){return r instanceof u.URI}function v(r){return r&&r.uri instanceof u.URI&&r.languageId&&typeof r.languageId=="string"}function S(r){return r&&!r.uri&&r.languageId&&typeof r.languageId=="string"}function d(r){return r&&r.uri instanceof u.URI&&(!r.name||typeof r.name=="string")&&(!r.index||typeof r.index=="number")}function h(r){if(E(r))return{resource:r};if(v(r))return{resource:r.uri,overrideIdentifier:r.languageId};if(S(r))return{overrideIdentifier:r.languageId};if(d(r))return{resource:r.uri};if(r===null)return{resource:null}}let g=class{constructor(i,s,c){this._proxy=i.getProxy(_.MainContext.MainThreadConfiguration),this._extHostWorkspace=s,this._logService=c,this._barrier=new n.Barrier,this._actual=null}getConfigProvider(){return this._barrier.wait().then(i=>this._actual)}$initializeConfiguration(i){this._actual=new t(this._proxy,this._extHostWorkspace,i,this._logService),this._barrier.open()}$acceptConfigurationChanged(i,s){this.getConfigProvider().then(c=>c.$acceptConfigurationChanged(i,s))}};g=We([He(0,l.IExtHostRpcService),He(1,D.IExtHostWorkspace),He(2,m.ILogService)],g),e.ExtHostConfiguration=g;class t{constructor(i,s,c,w){this._onDidChangeConfiguration=new R.Emitter,this._proxy=i,this._logService=w,this._extHostWorkspace=s,this._configuration=y.Configuration.parse(c),this._configurationScopes=this._toMap(c.configurationScopes)}get onDidChangeConfiguration(){return this._onDidChangeConfiguration&&this._onDidChangeConfiguration.event}$acceptConfigurationChanged(i,s){const c={data:this._configuration.toData(),workspace:this._extHostWorkspace.workspace};this._configuration=y.Configuration.parse(i),this._configurationScopes=this._toMap(i.configurationScopes),this._onDidChangeConfiguration.fire(this._toConfigurationChangeEvent(s,c))}getConfiguration(i,s,c){const w=h(s)||{},p=this._toReadonlyValue(i?o(this._configuration.getValue(void 0,w,this._extHostWorkspace.workspace),i):this._configuration.getValue(void 0,w,this._extHostWorkspace.workspace));i&&this._validateConfigurationAccess(i,w,c?.identifier);function P(a){if(a==null)return null;if(typeof a=="boolean")return a?1:4;switch(a){case k.ConfigurationTarget.Global:return 1;case k.ConfigurationTarget.Workspace:return 4;case k.ConfigurationTarget.WorkspaceFolder:return 5}}const A={has(a){return typeof o(p,a)!="undefined"},get:(a,T)=>{this._validateConfigurationAccess(i?`${i}.${a}`:a,w,c?.identifier);let F=o(p,a);if(typeof F=="undefined")F=T;else{let H;const $=(Z,V)=>{let B;const Y=()=>{H=H||f.deepClone(p),B=B||o(H,V)};return C.isObject(Z)?new Proxy(Z,{get:(L,J)=>{if(typeof J=="string"&&J.toLowerCase()==="tojson")return Y(),()=>B;if(H)return B=B||o(H,V),B[J];const N=L[J];return typeof J=="string"?$(N,`${V}.${J}`):N},set:(L,J,N)=>(Y(),B&&(B[J]=N),!0),deleteProperty:(L,J)=>(Y(),B&&delete B[J],!0),defineProperty:(L,J,N)=>(Y(),B&&Object.defineProperty(B,J,N),!0)}):Z};F=$(F,a)}return F},update:(a,T,F,H)=>{a=i?`${i}.${a}`:a;const $=P(F);return T!==void 0?this._proxy.$updateConfigurationOption($,a,T,w,H):this._proxy.$removeConfigurationOption($,a,w,H)},inspect:a=>{a=i?`${i}.${a}`:a;const T=f.deepClone(this._configuration.inspect(a,w,this._extHostWorkspace.workspace));if(T)return{key:a,defaultValue:T.default?.value,globalValue:T.user?.value,workspaceValue:T.workspace?.value,workspaceFolderValue:T.workspaceFolder?.value,defaultLanguageValue:T.default?.override,globalLanguageValue:T.user?.override,workspaceLanguageValue:T.workspace?.override,workspaceFolderLanguageValue:T.workspaceFolder?.override,languageIds:T.overrideIdentifiers}}};return typeof p=="object"&&f.mixin(A,p,!1),Object.freeze(A)}_toReadonlyValue(i){const s=c=>C.isObject(c)?new Proxy(c,{get:(w,p)=>s(w[p]),set:(w,p,P)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(p)}' of object`)},deleteProperty:(w,p)=>{throw new Error(`TypeError: Cannot delete read only property '${String(p)}' of object`)},defineProperty:(w,p)=>{throw new Error(`TypeError: Cannot define property '${String(p)}' for a readonly object`)},setPrototypeOf:w=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):c;return s(i)}_validateConfigurationAccess(i,s,c){const w=b.OVERRIDE_PROPERTY_PATTERN.test(i)?4:this._configurationScopes.get(i),p=c?`[${c.value}] `:"";if(w===4){typeof s?.resource=="undefined"&&this._logService.warn(`${p}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${i}', provide the URI of a resource or 'null' for any resource.`);return}if(w===3){s?.resource&&this._logService.warn(`${p}Accessing a window scoped configuration for a resource is not expected. To associate '${i}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}_toConfigurationChangeEvent(i,s){const c=new y.ConfigurationChangeEvent(i,s,this._configuration,this._extHostWorkspace.workspace);return Object.freeze({affectsConfiguration:(w,p)=>c.affectsConfiguration(w,h(p))})}_toMap(i){return i.reduce((s,c)=>(s.set(c[0],c[1]),s),new Map)}}e.ExtHostConfigProvider=t,e.IExtHostConfiguration=I.createDecorator("IExtHostConfiguration")});var it=this&&this.__classPrivateFieldSet||function(ne,e,f,R,D){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ne!==e||!D:!e.has(ne))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?D.call(ne,f):D?D.value=f:e.set(ne,f),f},Me=this&&this.__classPrivateFieldGet||function(ne,e,f,R){if(f==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ne!==e||!R:!e.has(ne))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?R:f==="a"?R.call(ne):R?R.value:e.get(ne)};define(we[105],_e([0,1,2,15,3,5,7,31,46,32,18,37,13,28,4,11,21,16,69,165,12]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m,u,o,E,v,S,d,h){"use strict";var g;Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTask=e.WorkerExtHostTask=e.ExtHostTaskBase=e.TaskExecutionDTO=e.TaskFilterDTO=e.TaskDTO=e.TaskHandleDTO=e.CustomExecutionDTO=e.ShellExecutionDTO=e.ShellExecutionOptionsDTO=e.ProcessExecutionDTO=e.ProcessExecutionOptionsDTO=e.TaskPresentationOptionsDTO=e.TaskDefinitionDTO=void 0;var t;(function(Z){function V(Y){if(Y!=null)return Y}Z.from=V;function B(Y){if(Y!=null)return Y}Z.to=B})(t=e.TaskDefinitionDTO||(e.TaskDefinitionDTO={}));var r;(function(Z){function V(Y){if(Y!=null)return Y}Z.from=V;function B(Y){if(Y!=null)return Y}Z.to=B})(r=e.TaskPresentationOptionsDTO||(e.TaskPresentationOptionsDTO={}));var i;(function(Z){function V(Y){if(Y!=null)return Y}Z.from=V;function B(Y){if(Y!=null)return Y}Z.to=B})(i=e.ProcessExecutionOptionsDTO||(e.ProcessExecutionOptionsDTO={}));var s;(function(Z){function V(L){if(L){const J=L;return J&&!!J.process}else return!1}Z.is=V;function B(L){if(L==null)return;const J={process:L.process,args:L.args};return L.options&&(J.options=i.from(L.options)),J}Z.from=B;function Y(L){if(L!=null)return new k.ProcessExecution(L.process,L.args,L.options)}Z.to=Y})(s=e.ProcessExecutionDTO||(e.ProcessExecutionDTO={}));var c;(function(Z){function V(Y){if(Y!=null)return Y}Z.from=V;function B(Y){if(Y!=null)return Y}Z.to=B})(c=e.ShellExecutionOptionsDTO||(e.ShellExecutionOptionsDTO={}));var w;(function(Z){function V(L){if(L){const J=L;return J&&(!!J.commandLine||!!J.command)}else return!1}Z.is=V;function B(L){if(L==null)return;const J={};return L.commandLine!==void 0?J.commandLine=L.commandLine:(J.command=L.command,J.args=L.args),L.options&&(J.options=c.from(L.options)),J}Z.from=B;function Y(L){if(!(L==null||L.command===void 0&&L.commandLine===void 0))return L.commandLine?new k.ShellExecution(L.commandLine,L.options):new k.ShellExecution(L.command,L.args?L.args:[],L.options)}Z.to=Y})(w=e.ShellExecutionDTO||(e.ShellExecutionDTO={}));var p;(function(Z){function V(L){if(L){let J=L;return J&&J.customExecution==="customExecution"}else return!1}Z.is=V;function B(L){return{customExecution:"customExecution"}}Z.from=B;function Y(L,J){return J.get(L)}Z.to=Y})(p=e.CustomExecutionDTO||(e.CustomExecutionDTO={}));var P;(function(Z){function V(B,Y){let L;return B.scope!==void 0&&typeof B.scope!="number"?L=B.scope.uri:B.scope!==void 0&&typeof B.scope=="number"&&(B.scope===k.TaskScope.Workspace&&Y&&Y.workspaceFile?L=Y.workspaceFile:L=d.USER_TASKS_GROUP_KEY),{id:B._id,workspaceFolder:L}}Z.from=V})(P=e.TaskHandleDTO||(e.TaskHandleDTO={}));var A;(function(Z){function V(L,J){if(L==null)return[];const N=[];for(let W of L){const Q=B(W,J);Q&&N.push(Q)}return N}Z.fromMany=V;function B(L,J){if(L==null)return;let N;L.execution instanceof k.ProcessExecution?N=s.from(L.execution):L.execution instanceof k.ShellExecution?N=w.from(L.execution):L.execution&&L.execution instanceof k.CustomExecution&&(N=p.from(L.execution));const W=t.from(L.definition);let Q;if(L.scope?typeof L.scope=="number"?Q=L.scope:Q=L.scope.uri:Q=k.TaskScope.Workspace,!W||!Q)return;const G=L.group?L.group.id:void 0;return{_id:L._id,definition:W,name:L.name,source:{extensionId:J.identifier.value,label:L.source,scope:Q},execution:N,isBackground:L.isBackground,group:G,presentationOptions:r.from(L.presentationOptions),problemMatchers:L.problemMatchers,hasDefinedMatchers:L.hasDefinedMatchers,runOptions:L.runOptions?L.runOptions:{reevaluateOnRerun:!0},detail:L.detail}}Z.from=B;async function Y(L,J,N){if(L==null)return;let W;s.is(L.execution)?W=s.to(L.execution):w.is(L.execution)?W=w.to(L.execution):p.is(L.execution)&&(W=p.to(L._id,N));const Q=t.to(L.definition);let G;if(L.source&&(L.source.scope!==void 0?typeof L.source.scope=="number"?G=L.source.scope:G=await J.resolveWorkspaceFolder(f.URI.revive(L.source.scope)):G=k.TaskScope.Workspace),!Q||!G)return;const ue=new k.Task(Q,G,L.name,L.source.label,W,L.problemMatchers);return L.isBackground!==void 0&&(ue.isBackground=L.isBackground),L.group!==void 0&&(ue.group=k.TaskGroup.from(L.group)),L.presentationOptions&&(ue.presentationOptions=r.to(L.presentationOptions)),L._id&&(ue._id=L._id),L.detail&&(ue.detail=L.detail),ue}Z.to=Y})(A=e.TaskDTO||(e.TaskDTO={}));var a;(function(Z){function V(Y){return Y}Z.from=V;function B(Y){if(!!Y)return Object.assign(Object.create(null),Y)}Z.to=B})(a=e.TaskFilterDTO||(e.TaskFilterDTO={}));class T{constructor(V,B,Y){this._id=B,this._task=Y,g.set(this,void 0),it(this,g,V,"f")}get task(){return this._task}terminate(){Me(this,g,"f").terminateTask(this)}fireDidStartProcess(V){}fireDidEndProcess(V){}}g=new WeakMap;var F;(function(Z){function V(B){return{id:B._id,task:void 0}}Z.from=V})(F=e.TaskExecutionDTO||(e.TaskExecutionDTO={}));let H=class{constructor(V,B,Y,L,J,N,W,Q){this._onDidExecuteTask=new D.Emitter,this._onDidTerminateTask=new D.Emitter,this._onDidTaskProcessStarted=new D.Emitter,this._onDidTaskProcessEnded=new D.Emitter,this._proxy=V.getProxy(_.MainContext.MainThreadTask),this._workspaceProvider=Y,this._editorService=L,this._configurationService=J,this._terminalService=N,this._handleCounter=0,this._handlers=new Map,this._taskExecutions=new Map,this._taskExecutionPromises=new Map,this._providedCustomExecutions2=new Map,this._notProvidedCustomExecutions=new Set,this._activeCustomExecutions2=new Map,this._logService=W,this._deprecationService=Q,this._proxy.$registerSupportedExecutions(!0)}registerTaskProvider(V,B,Y){if(!Y)return new k.Disposable(()=>{});const L=this.nextHandle();return this._handlers.set(L,{type:B,provider:Y,extension:V}),this._proxy.$registerTaskProvider(L,B),new k.Disposable(()=>{this._handlers.delete(L),this._proxy.$unregisterTaskProvider(L)})}registerTaskSystem(V,B){this._proxy.$registerTaskSystem(V,B)}fetchTasks(V){return this._proxy.$fetchTasks(a.from(V)).then(async B=>{const Y=[];for(let L of B){const J=await A.to(L,this._workspaceProvider,this._providedCustomExecutions2);J&&Y.push(J)}return Y})}get taskExecutions(){const V=[];return this._taskExecutions.forEach(B=>V.push(B)),V}terminateTask(V){if(!(V instanceof T))throw new Error("No valid task execution provided");return this._proxy.$terminateTask(V._id)}get onDidStartTask(){return this._onDidExecuteTask.event}async $onDidStartTask(V,B,Y){const L=this._providedCustomExecutions2.get(V.id);if(L){if(this._activeCustomExecutions2.get(V.id)!==void 0)throw new Error("We should not be trying to start the same custom task executions twice.");this._activeCustomExecutions2.set(V.id,L),this._terminalService.attachPtyToTerminal(B,await L.callback(Y))}this._lastStartedTask=V.id,this._onDidExecuteTask.fire({execution:await this.getTaskExecution(V)})}get onDidEndTask(){return this._onDidTerminateTask.event}async $OnDidEndTask(V){const B=await this.getTaskExecution(V);this._taskExecutionPromises.delete(V.id),this._taskExecutions.delete(V.id),this.customExecutionComplete(V),this._onDidTerminateTask.fire({execution:B})}get onDidStartTaskProcess(){return this._onDidTaskProcessStarted.event}async $onDidStartTaskProcess(V){const B=await this.getTaskExecution(V.id);this._onDidTaskProcessStarted.fire({execution:B,processId:V.processId})}get onDidEndTaskProcess(){return this._onDidTaskProcessEnded.event}async $onDidEndTaskProcess(V){const B=await this.getTaskExecution(V.id);this._onDidTaskProcessEnded.fire({execution:B,exitCode:V.exitCode})}$provideTasks(V,B){const Y=this._handlers.get(V);if(!Y)return Promise.reject(new Error("no handler found"));const L=[],J=R.asPromise(()=>Y.provider.provideTasks(n.CancellationToken.None)).then(N=>this.provideTasksInternal(B,L,Y,N));return new Promise(N=>{J.then(W=>{Promise.all(L).then(()=>{N(W)})})})}async $resolveTask(V,B){const Y=this._handlers.get(V);if(!Y)return Promise.reject(new Error("no handler found"));if(B.definition.type!==Y.type)throw new Error(`Unexpected: Task of type [${B.definition.type}] cannot be resolved by provider of type [${Y.type}].`);const L=await A.to(B,this._workspaceProvider,this._providedCustomExecutions2);if(!L)throw new Error("Unexpected: Task cannot be resolved.");const J=await Y.provider.resolveTask(L,n.CancellationToken.None);if(!J)return;this.checkDeprecation(J,Y);const N=A.from(J,Y.extension);if(!N)throw new Error("Unexpected: Task cannot be resolved.");if(J.definition!==L.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return p.is(N.execution)&&await this.addCustomExecution(N,J,!0),await this.resolveTaskInternal(N)}nextHandle(){return this._handleCounter++}async addCustomExecution(V,B,Y){const L=await this._proxy.$createTaskId(V);!Y&&!this._providedCustomExecutions2.has(L)&&this._notProvidedCustomExecutions.add(L),this._providedCustomExecutions2.set(L,B.execution)}async getTaskExecution(V,B){if(typeof V=="string"){const J=this._taskExecutionPromises.get(V);if(!J)throw new Error("Unexpected: The specified task is missing an execution");return J}let Y=this._taskExecutionPromises.get(V.id);if(Y)return Y;const L=new Promise(async(J,N)=>{const W=B||await A.to(V.task,this._workspaceProvider,this._providedCustomExecutions2);W?J(new T(this,V.id,W)):N("Unexpected: Task does not exist.")});return this._taskExecutionPromises.set(V.id,L),L.then(J=>(this._taskExecutions.set(V.id,J),J),J=>Promise.reject(J))}checkDeprecation(V,B){V._deprecated&&this._deprecationService.report("Task.constructor",B.extension,"Use the Task constructor that takes a `scope` instead.")}customExecutionComplete(V){this._activeCustomExecutions2.get(V.id)&&this._activeCustomExecutions2.delete(V.id),this._notProvidedCustomExecutions.has(V.id)&&this._lastStartedTask!==V.id&&(this._providedCustomExecutions2.delete(V.id),this._notProvidedCustomExecutions.delete(V.id));let Y=this._notProvidedCustomExecutions.values(),L=Y.next();for(;!L.done;)!this._activeCustomExecutions2.has(L.value)&&this._lastStartedTask!==L.value&&(this._providedCustomExecutions2.delete(L.value),this._notProvidedCustomExecutions.delete(L.value)),L=Y.next()}};H=We([He(0,l.IExtHostRpcService),He(1,m.IExtHostInitDataService),He(2,y.IExtHostWorkspace),He(3,b.IExtHostDocumentsAndEditors),He(4,C.IExtHostConfiguration),He(5,I.IExtHostTerminalService),He(6,v.ILogService),He(7,S.IExtHostApiDeprecationService)],H),e.ExtHostTaskBase=H;let $=class extends H{constructor(V,B,Y,L,J,N,W,Q){super(V,B,Y,L,J,N,W,Q);this.registerTaskSystem(o.Schemas.vscodeRemote,{scheme:o.Schemas.vscodeRemote,authority:"",platform:E.PlatformToString(0)})}async executeTask(V,B){if(!B.execution)throw new Error("Tasks to execute must include an execution");const Y=A.from(B,V);if(Y===void 0)throw new Error("Task is not valid");if(p.is(Y.execution))await this.addCustomExecution(Y,B,!1);else throw new h.NotSupportedError;const L=await this.getTaskExecution(await this._proxy.$getTaskExecution(Y),B);return this._proxy.$executeTask(Y).catch(J=>{throw new Error(J)}),L}provideTasksInternal(V,B,Y,L){const J=[];if(L)for(let N of L){this.checkDeprecation(N,Y),(!N.definition||!V[N.definition.type])&&this._logService.warn(`The task [${N.source}, ${N.name}] uses an undefined task type. The task will be ignored in the future.`);const W=A.from(N,Y.extension);W&&p.is(W.execution)?(J.push(W),B.push(this.addCustomExecution(W,N,!0))):this._logService.warn("Only custom execution tasks supported.")}return{tasks:J,extension:Y.extension}}async resolveTaskInternal(V){if(p.is(V.execution))return V;this._logService.warn("Only custom execution tasks supported.")}async $resolveVariables(V,B){return{process:void 0,variables:Object.create(null)}}async $jsonTasksSupported(){return!1}async $findExecutable(V,B,Y){}};$=We([He(0,l.IExtHostRpcService),He(1,m.IExtHostInitDataService),He(2,y.IExtHostWorkspace),He(3,b.IExtHostDocumentsAndEditors),He(4,C.IExtHostConfiguration),He(5,I.IExtHostTerminalService),He(6,v.ILogService),He(7,S.IExtHostApiDeprecationService)],$),e.WorkerExtHostTask=$,e.IExtHostTask=u.createDecorator("IExtHostTask")}),define(we[216],_e([0,1,17,75,27,81,22,11,14,23,8,10,2,117,138,90,44,176,215,38]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m,u,o,E,v,S,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveResourcesForSearchIncludes=e.QueryBuilder=void 0;let h=class{constructor(P,A,a,T){this.configurationService=P,this.workspaceContextService=A,this.editorGroupsService=a,this.pathService=T}text(P,A,a={}){P=this.getContentPattern(P,a);const T=this.configurationService.getValue(),F=A&&A.some($=>!this.configurationService.getValue({resource:$}).search.useRipgrep);return{...this.commonQuery(A?.map(E.toWorkspaceFolder),a),type:2,contentPattern:P,previewOptions:a.previewOptions,maxFileSize:a.maxFileSize,usePCRE2:T.search.usePCRE2||F||!1,beforeContext:a.beforeContext,afterContext:a.afterContext,userDisabledExcludesAndIgnoreFiles:a.disregardExcludeSettings&&a.disregardIgnoreFiles}}getContentPattern(P,A){const a=this.configurationService.getValue();P.isRegExp&&(P.pattern=P.pattern.replace(/\r?\n/g,"\\n"));const T={...P,wordSeparators:a.editor.wordSeparators};return this.isCaseSensitive(P,A)&&(T.isCaseSensitive=!0),this.isMultiline(P)&&(T.isMultiline=!0),T}file(P,A={}){return{...this.commonQuery(P,A),type:1,filePattern:A.filePattern?A.filePattern.trim():A.filePattern,exists:A.exists,sortByScore:A.sortByScore,cacheKey:A.cacheKey}}handleIncludeExclude(P,A){return P?(P=Array.isArray(P)?P.map(s):s(P),A?this.parseSearchPaths(P):{pattern:t(...Array.isArray(P)?P:[P])}):{}}commonQuery(P=[],A={}){const a=this.handleIncludeExclude(A.includePattern,A.expandPatterns),T=this.handleIncludeExclude(A.excludePattern,A.expandPatterns),F=P.length>1,H=(a.searchPaths&&a.searchPaths.length?a.searchPaths.map(V=>this.getFolderQueryForSearchPath(V,A,T)):P.map(V=>this.getFolderQueryForRoot(V,A,T,F))).filter(V=>!!V),$={_reason:A._reason,folderQueries:H,usingSearchPaths:!!(a.searchPaths&&a.searchPaths.length),extraFileResources:A.extraFileResources,excludePattern:T.pattern,includePattern:a.pattern,onlyOpenEditors:A.onlyOpenEditors,maxResults:A.maxResults};if(A.onlyOpenEditors){const B=f.coalesce(f.flatten(this.editorGroupsService.groups.map(L=>L.editors.map(J=>J.resource)))).filter(L=>d.pathIncludedInQuery($,L.fsPath)),Y=this.commonQueryFromFileList(B);return{...$,...Y}}const Z=A.extraFileResources&&A.extraFileResources.filter(V=>d.pathIncludedInQuery($,V.fsPath));return $.extraFileResources=Z&&Z.length?Z:void 0,$}commonQueryFromFileList(P){const A=[],a=new k.ResourceMap,T={};let F=!1;return P.forEach(H=>{if(H.scheme===y.Schemas.walkThrough)return;if(C.isAbsolutePath(H)){const Z=this.workspaceContextService.getWorkspaceFolder(H)?.uri??H.with({path:b.dirname(H.fsPath)});let V=a.get(Z);V||(F=!0,V={folder:Z,includePattern:{}},A.push(V),a.set(Z,V));const B=b.relative(Z.fsPath,H.fsPath);I.assertIsDefined(V.includePattern)[B.replace(/\\/g,"/")]=!0}else H.fsPath&&(F=!0,T[H.fsPath]=!0)}),{folderQueries:A,includePattern:T,usingSearchPaths:!0,excludePattern:F?void 0:{"**/*":!0}}}isCaseSensitive(P,A){if(A.isSmartCase){if(P.isRegExp){if(n.containsUppercaseCharacter(P.pattern,!0))return!0}else if(n.containsUppercaseCharacter(P.pattern))return!0}return!!P.isCaseSensitive}isMultiline(P){return P.isMultiline||P.isRegExp&&m.isMultilineRegexSource(P.pattern)||P.pattern.indexOf(`
`)>=0?!0:!!P.isMultiline}parseSearchPaths(P){const A=Y=>b.isAbsolute(Y)||/^\.\.?([\/\\]|$)/.test(Y),T=(Array.isArray(P)?P:r(P)).map(Y=>{const L=this.pathService.resolvedUserHome;return L?_.untildify(Y,L.scheme===y.Schemas.file?L.fsPath:L.path):Y}),F=R.groupBy(T,Y=>A(Y)?"searchPaths":"exprSegments"),H=(F.exprSegments||[]).map(Y=>n.rtrim(Y,"/")).map(Y=>n.rtrim(Y,"\\")).map(Y=>(Y[0]==="."&&(Y="*"+Y),i(Y))),$={},Z=this.expandSearchPathPatterns(F.searchPaths||[]);Z&&Z.length&&($.searchPaths=Z);const V=f.flatten(H),B=t(...V);return B&&($.pattern=B),$}getExcludesForFolder(P,A){return A.disregardExcludeSettings?void 0:d.getExcludes(P,!A.disregardSearchExcludeSettings)}expandSearchPathPatterns(P){if(!P||!P.length)return[];const A=f.flatten(P.map(T=>{let{pathPortion:F,globPortion:H}=g(T);H&&(H=c(H));const $=this.expandOneSearchPath(F);return f.flatten($.map(Z=>this.resolveOneSearchPathPattern(Z,H)))})),a=new Map;return A.forEach(T=>{const F=T.searchPath.toString(),H=a.get(F);H?T.pattern&&(H.pattern=H.pattern||{},H.pattern[T.pattern]=!0):a.set(F,{searchPath:T.searchPath,pattern:T.pattern?t(T.pattern):void 0})}),Array.from(a.values())}expandOneSearchPath(P){if(b.isAbsolute(P)){const A=this.workspaceContextService.getWorkspace().folders;return A[0]&&A[0].uri.scheme!==y.Schemas.file?[{searchPath:A[0].uri.with({path:P})}]:[{searchPath:l.URI.file(b.normalize(P))}]}if(this.workspaceContextService.getWorkbenchState()===2){const A=this.workspaceContextService.getWorkspace().folders[0].uri;if(P=s(P),P.startsWith("../")||P===".."){const T=b.posix.resolve(A.path,P);return[{searchPath:A.with({path:T})}]}const a=c(P);return[{searchPath:A,pattern:a}]}else{if(P==="./"||P===".\\")return[];{const A=P.replace(/^\.[\/\\]/,""),T=this.workspaceContextService.getWorkspace().folders.map(F=>{const H=A.match(new RegExp(`^${n.escapeRegExpCharacters(F.name)}(?:/(.*)|$)`));return H?{match:H,folder:F}:null}).filter(I.isDefined);if(T.length)return T.map(F=>{const H=F.match[1];return{searchPath:F.folder.uri,pattern:H&&c(H)}});{const F=P.match(/\.[\/\\](.+)[\/\\]?/),H=F?F[1]:P,$=u.localize(0,null,H);throw new Error($)}}}}resolveOneSearchPathPattern(P,A){const a=P.pattern&&A?`${P.pattern}/${A}`:P.pattern||A,T=[{searchPath:P.searchPath,pattern:a}];return a&&!a.endsWith("**")&&T.push({searchPath:P.searchPath,pattern:a+"/**"}),T}getFolderQueryForSearchPath(P,A,a){const T=this.getFolderQueryForRoot(E.toWorkspaceFolder(P.searchPath),A,a,!1);return T?{...T,includePattern:P.pattern}:null}getFolderQueryForRoot(P,A,a,T){let F;const H=l.URI.isUri(P)?P:P.uri;if(a.searchPaths){const Y=a.searchPaths.filter(L=>C.isEqual(L.searchPath,H))[0];if(Y&&!Y.pattern)return null;Y&&(F=Y.pattern)}const $=this.configurationService.getValue({resource:H}),V={...this.getExcludesForFolder($,A)||{},...F||{}},B=l.URI.isUri(P)?C.basename(P):P.name;return{folder:H,folderName:T?B:void 0,excludePattern:Object.keys(V).length>0?V:void 0,fileEncoding:$.files&&$.files.encoding,disregardIgnoreFiles:typeof A.disregardIgnoreFiles=="boolean"?A.disregardIgnoreFiles:!$.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof A.disregardGlobalIgnoreFiles=="boolean"?A.disregardGlobalIgnoreFiles:!$.search.useGlobalIgnoreFiles,ignoreSymlinks:typeof A.ignoreSymlinks=="boolean"?A.ignoreSymlinks:!$.search.followSymlinks}}};h=We([He(0,o.IConfigurationService),He(1,E.IWorkspaceContextService),He(2,v.IEditorGroupsService),He(3,S.IPathService)],h),e.QueryBuilder=h;function g(p){const P=p.match(/[\*\{\}\(\)\[\]\?]/);if(P){const A=P.index,a=p.substr(0,A).match(/[/|\\][^/\\]*$/);if(a){let T=p.substr(0,a.index);return T.match(/[/\\]/)||(T+="/"),{pathPortion:T,globPortion:p.substr((a.index||0)+1)}}}return{pathPortion:p}}function t(...p){return p.length?p.reduce((P,A)=>(P[A]=!0,P),Object.create(null)):void 0}function r(p){return D.splitGlobAware(p,",").map(P=>P.trim()).filter(P=>!!P.length)}function i(p){return[`**/${p}/**`,`**/${p}`].map(A=>A.replace(/\*\*\/\*\*/g,"**"))}function s(p){return p.replace(/\\/g,"/")}function c(p){return s(p).replace(/^\.\//,"").replace(/\/+$/g,"")}function w(p,P){p=f.distinct(p,T=>T.toString());const A=[],a=P.getWorkspace();return p&&p.forEach(T=>{let F;if(P.getWorkbenchState()===2)F=C.relativePath(a.folders[0].uri,T),F&&F!=="."&&(F="./"+F);else{const H=P.getWorkspaceFolder(T);if(H){const $=H.name;if(a.folders.filter(V=>V.name===$).length===1){const V=C.relativePath(H.uri,T);V===""?F=`./${H.name}`:F=`./${H.name}/${V}`}else F=T.fsPath}}F&&A.push(F)}),A}e.resolveResourcesForSearchIncludes=w}),define(we[217],_e([0,1,23,2,18,12,4,216,38,44]),function(ne,e,f,R,D,_,k,y,b,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checkGlobFileExists=e.checkActivateWorkspaceContainsExtension=void 0;const n=7e3;function I(o,E){const v=E.activationEvents;if(!v)return Promise.resolve(void 0);const S=[],d=[];for(const s of v)if(/^workspaceContains:/.test(s)){const c=s.substr("workspaceContains:".length);c.indexOf("*")>=0||c.indexOf("?")>=0||o.forceUsingSearch?d.push(c):S.push(c)}if(S.length===0&&d.length===0)return Promise.resolve(void 0);let h;const g=new Promise((s,c)=>{h=s}),t=s=>h({activationEvent:s}),r=Promise.all(S.map(s=>l(o,s,t))).then(()=>{}),i=m(o,E.identifier,d,t);return Promise.all([r,i]).then(()=>{h(void 0)}),g}e.checkActivateWorkspaceContainsExtension=I;async function l(o,E,v){for(const S of o.folders)if(await o.exists(f.joinPath(R.URI.revive(S),E))){v(`workspaceContains:${E}`);return}}async function m(o,E,v,S){if(v.length===0)return Promise.resolve(void 0);const d=new D.CancellationTokenSource,h=o.checkExists(o.folders,v,d.token),g=setTimeout(async()=>{d.cancel(),S(`workspaceContainsTimeout:${v.join(",")}`)},n);let t=!1;try{t=await h}catch(r){_.isPromiseCanceledError(r)||_.onUnexpectedError(r)}d.dispose(),clearTimeout(g),t&&S(`workspaceContains:${v.join(",")}`)}function u(o,E,v,S){const d=o.get(k.IInstantiationService),h=o.get(b.ISearchService),t=d.createInstance(y.QueryBuilder).file(E.map(r=>C.toWorkspaceFolder(R.URI.revive(r))),{_reason:"checkExists",includePattern:v,exists:!0});return h.fileSearch(t,S).then(r=>!!r.limitHit,r=>_.isPromiseCanceledError(r)?!1:Promise.reject(r))}e.checkGlobFileExists=u});var it=this&&this.__classPrivateFieldSet||function(ne,e,f,R,D){if(R==="m")throw new TypeError("Private method is not writable");if(R==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ne!==e||!D:!e.has(ne))throw new TypeError("Cannot write private member to an object whose class did not declare it");return R==="a"?D.call(ne,f):D?D.value=f:e.set(ne,f),f},Me=this&&this.__classPrivateFieldGet||function(ne,e,f,R){if(f==="a"&&!R)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ne!==e||!R:!e.has(ne))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?R:f==="a"?R.call(ne):R?R.value:e.get(ne)};define(we[33],_e([0,1,130,14,74,23,15,6,22,2,16,5,32,180,72,31,29,178,12,26,24,156,7,91,4,28,73,13,60,64,37,3,217,68,158]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m,u,o,E,v,S,d,h,g,t,r,i,s,c,w,p,P,A,a,T,F,H){"use strict";var $,Z,V;Object.defineProperty(e,"__esModule",{value:!0}),e.Extension=e.IExtHostExtensionService=e.AbstractExtHostExtensionService=e.IHostUtils=void 0,e.IHostUtils=i.createDecorator("IHostUtils");let B=class zn extends y.Disposable{constructor(N,W,Q,G,ue,ke,Re,ze,xe,Ve){super();this._onDidChangeRemoteConnectionData=this._register(new a.Emitter),this.onDidChangeRemoteConnectionData=this._onDidChangeRemoteConnectionData.event,this._hostUtils=W,this._extHostContext=Q,this._initData=Re,this._extHostWorkspace=G,this._extHostConfiguration=ue,this._logService=ke,this._extHostTunnelService=xe,this._extHostTerminalService=Ve,this._disposables=new y.DisposableStore,this._mainThreadWorkspaceProxy=this._extHostContext.getProxy(I.MainContext.MainThreadWorkspace),this._mainThreadTelemetryProxy=this._extHostContext.getProxy(I.MainContext.MainThreadTelemetry),this._mainThreadExtensionsProxy=this._extHostContext.getProxy(I.MainContext.MainThreadExtensionService),this._almostReadyToRunExtensions=new k.Barrier,this._readyToStartExtensionHost=new k.Barrier,this._readyToRunExtensions=new k.Barrier,this._eagerExtensionsActivated=new k.Barrier,this._registry=new v.ExtensionDescriptionRegistry(this._initData.extensions),this._storage=new u.ExtHostStorage(this._extHostContext),this._secretState=new F.ExtHostSecretState(this._extHostContext),this._storagePath=ze,this._instaService=N.createChild(new p.ServiceCollection([u.IExtHostStorage,this._storage],[F.IExtHostSecretState,this._secretState]));const tt=new Set;this._initData.hostExtensions.forEach(Ye=>tt.add(d.ExtensionIdentifier.toKey(Ye))),this._activator=new m.ExtensionsActivator(this._registry,this._initData.resolvedExtensions,this._initData.hostExtensions,{onExtensionActivationError:(Ye,et,x)=>{this._mainThreadExtensionsProxy.$onExtensionActivationError(Ye,S.transformErrorForSerialization(et),x)},actualActivateExtension:async(Ye,et)=>{if(tt.has(d.ExtensionIdentifier.toKey(Ye)))return await this._mainThreadExtensionsProxy.$activateExtension(Ye,et),new m.HostExtension;const x=this._registry.getExtensionDescription(Ye);return this._activateExtension(x,et)}},this._logService),this._extensionPathIndex=null,this._resolvers=Object.create(null),this._started=!1,this._remoteConnectionData=this._initData.remote.connectionData}getRemoteConnectionData(){return this._remoteConnectionData}async initialize(){try{await this._beforeAlmostReadyToRunExtensions(),this._almostReadyToRunExtensions.open(),await this._extHostWorkspace.waitForInitializeCall(),D.mark("code/extHost/ready"),this._readyToStartExtensionHost.open(),this._initData.autoStart&&this._startExtensionHost()}catch(N){S.onUnexpectedError(N)}}async deactivateAll(){this._storagePath.onWillDeactivateAll();let N=[];try{N=this._registry.getAllExtensionDescriptions().map(ue=>ue.identifier).filter(ue=>this.isActivated(ue)).map(ue=>this._deactivate(ue))}catch(W){}await Promise.all(N)}isActivated(N){return this._readyToRunExtensions.isOpen()?this._activator.isActivated(N):!1}_activateByEvent(N,W){return this._activator.activateByEvent(N,W)}_activateById(N,W){return this._activator.activateById(N,W)}activateByIdWithErrors(N,W){return this._activateById(N,W).then(()=>{const Q=this._activator.getActivatedExtension(N);if(Q.activationFailed)return Promise.reject(Q.activationFailedError)})}getExtensionRegistry(){return this._readyToRunExtensions.wait().then(N=>this._registry)}getExtensionExports(N){return this._readyToRunExtensions.isOpen()?this._activator.getActivatedExtension(N).exports:null}getExtensionPathIndex(){if(!this._extensionPathIndex){const N=b.TernarySearchTree.forPaths(),W=this._registry.getAllExtensionDescriptions().map(Q=>{if(!!this._getEntryPoint(Q))return this._hostUtils.realpath(Q.extensionLocation.fsPath).then(G=>N.set(C.URI.file(G).fsPath,Q))});this._extensionPathIndex=Promise.all(W).then(()=>N)}return this._extensionPathIndex}_deactivate(N){let W=Promise.resolve(void 0);if(!this._readyToRunExtensions.isOpen()||!this._activator.isActivated(N))return W;const Q=this._activator.getActivatedExtension(N);if(!Q)return W;try{typeof Q.module.deactivate=="function"&&(W=Promise.resolve(Q.module.deactivate()).then(void 0,G=>(this._logService.error(G),Promise.resolve(void 0))))}catch(G){this._logService.error(G)}try{y.dispose(Q.subscriptions)}catch(G){this._logService.error(G)}return W}async _activateExtension(N,W){return this._initData.remote.isRemote?this._mainThreadExtensionsProxy.$onWillActivateExtension(N.identifier):await this._mainThreadExtensionsProxy.$onWillActivateExtension(N.identifier),this._doActivateExtension(N,W).then(Q=>{const G=Q.activationTimes;return this._mainThreadExtensionsProxy.$onDidActivateExtension(N.identifier,G.codeLoadingTime,G.activateCallTime,G.activateResolvedTime,W),this._logExtensionActivationTimes(N,W,"success",G),Q},Q=>{throw this._logExtensionActivationTimes(N,W,"failure"),Q})}_logExtensionActivationTimes(N,W,Q,G){const ue=Y(N,W);this._mainThreadTelemetryProxy.$publicLog2("extensionActivationTimes",{...ue,...G||{},outcome:Q})}_doActivateExtension(N,W){const Q=Y(N,W);this._mainThreadTelemetryProxy.$publicLog2("activatePlugin",Q);const G=this._getEntryPoint(N);if(!G)return Promise.resolve(new m.EmptyExtension(m.ExtensionActivationTimes.NONE));this._logService.info(`ExtensionService#_doActivateExtension ${N.identifier.value} ${JSON.stringify(W)}`),this._logService.flush();const ue=new m.ExtensionActivationTimesBuilder(W.startup);return Promise.all([this._loadCommonJSModule(N.identifier,_.joinPath(N.extensionLocation,G),ue),this._loadExtensionContext(N)]).then(ke=>(D.mark(`code/extHost/willActivateExtension/${N.identifier.value}`),zn._callActivate(this._logService,N.identifier,ke[0],ke[1],ue))).then(ke=>(D.mark(`code/extHost/didActivateExtension/${N.identifier.value}`),ke))}_loadExtensionContext(N){const W=new g.ExtensionGlobalMemento(N,this._storage),Q=new g.ExtensionMemento(N.identifier.value,!1,this._storage),G=new H.ExtensionSecrets(N,this._secretState),ue=N.isUnderDevelopment?this._initData.environment.extensionTestsLocationURI?t.ExtensionMode.Test:t.ExtensionMode.Development:t.ExtensionMode.Production,ke=this._initData.remote.isRemote?t.ExtensionKind.Workspace:t.ExtensionKind.UI;return this._logService.trace(`ExtensionService#loadExtensionContext ${N.identifier.value}`),Promise.all([W.whenReady,Q.whenReady,this._storagePath.whenReady]).then(()=>{const Re=this;let ze;return Object.freeze({globalState:W,workspaceState:Q,secrets:G,subscriptions:[],get extensionUri(){return N.extensionLocation},get extensionPath(){return N.extensionLocation.fsPath},asAbsolutePath(xe){return R.join(N.extensionLocation.fsPath,xe)},get storagePath(){return Re._storagePath.workspaceValue(N)?.fsPath},get globalStoragePath(){return Re._storagePath.globalValue(N).fsPath},get logPath(){return R.join(Re._initData.logsLocation.fsPath,N.identifier.value)},get logUri(){return C.URI.joinPath(Re._initData.logsLocation,N.identifier.value)},get storageUri(){return Re._storagePath.workspaceValue(N)},get globalStorageUri(){return Re._storagePath.globalValue(N)},get extensionMode(){return ue},get extension(){return ze===void 0&&(ze=new L(Re,N.identifier,N,ke)),ze},get extensionRuntime(){return E.checkProposedApiEnabled(N),Re.extensionRuntime},get environmentVariableCollection(){return Re._extHostTerminalService.getEnvironmentVariableCollection(N)}})})}static _callActivate(N,W,Q,G,ue){return Q=Q||{activate:void 0,deactivate:void 0},this._callActivateOptional(N,W,Q,G,ue).then(ke=>new m.ActivatedExtension(!1,null,ue.build(),Q,ke,G.subscriptions))}static _callActivateOptional(N,W,Q,G,ue){if(typeof Q.activate=="function")try{ue.activateCallStart(),N.trace(`ExtensionService#_callActivateOptional ${W.value}`);const ke=typeof global=="object"?global:self,Re=Q.activate.apply(ke,[G]);return ue.activateCallStop(),ue.activateResolveStart(),Promise.resolve(Re).then(ze=>(ue.activateResolveStop(),ze))}catch(ke){return Promise.reject(ke)}else return Promise.resolve(Q)}_activateOneStartupFinished(N,W){this._activateById(N.identifier,{startup:!1,extensionId:N.identifier,activationEvent:W}).then(void 0,Q=>{this._logService.error(Q)})}_activateAllStartupFinished(){this._mainThreadExtensionsProxy.$setPerformanceMarks(D.getMarks());for(const N of this._registry.getAllExtensionDescriptions())if(N.activationEvents)for(const W of N.activationEvents)W==="onStartupFinished"&&this._activateOneStartupFinished(N,W)}_handleEagerExtensions(){const N=this._activateByEvent("*",!0).then(void 0,ue=>{this._logService.error(ue)});this._disposables.add(this._extHostWorkspace.onDidChangeWorkspace(ue=>this._handleWorkspaceContainsEagerExtensions(ue.added)));const W=this._extHostWorkspace.workspace?this._extHostWorkspace.workspace.folders:[],Q=this._handleWorkspaceContainsEagerExtensions(W),G=Promise.all([N,Q]).then(()=>{});return Promise.race([G,k.timeout(1e4)]).then(()=>{this._activateAllStartupFinished()}),G}_handleWorkspaceContainsEagerExtensions(N){return N.length===0?Promise.resolve(void 0):Promise.all(this._registry.getAllExtensionDescriptions().map(W=>this._handleWorkspaceContainsEagerExtension(N,W))).then(()=>{})}async _handleWorkspaceContainsEagerExtension(N,W){if(this.isActivated(W.identifier))return;const Q=!this._initData.remote.isRemote&&!!this._initData.remote.authority,G={folders:N.map(ke=>ke.uri),forceUsingSearch:Q,exists:ke=>this._hostUtils.exists(ke.fsPath),checkExists:(ke,Re,ze)=>this._mainThreadWorkspaceProxy.$checkExists(ke,Re,ze)},ue=await T.checkActivateWorkspaceContainsExtension(G,W);if(!!ue)return this._activateById(W.identifier,{startup:!0,extensionId:W.identifier,activationEvent:ue.activationEvent}).then(void 0,ke=>this._logService.error(ke))}async $extensionTestsExecute(){await this._eagerExtensionsActivated.wait();try{return await this._doHandleExtensionTests()}catch(N){throw console.error(N),N}}async _doHandleExtensionTests(){const{extensionDevelopmentLocationURI:N,extensionTestsLocationURI:W}=this._initData.environment;if(!N||!W)throw new Error(f.localize(0,null));const Q=await this._loadCommonJSModule(null,W,new m.ExtensionActivationTimesBuilder(!1));if(!Q||typeof Q.run!="function")throw new Error(f.localize(1,null,W.toString()));return new Promise((G,ue)=>{const ke=(xe,Ve)=>{xe?ue(xe):G(typeof Ve=="number"&&Ve>0?1:0)},Re=_.originalFSPath(W),ze=Q.run(Re,ke);ze&&ze.then&&ze.then(()=>{G(0)}).catch(xe=>{ue(xe.toString())})})}async $extensionTestsExit(N){this._logService.info(`extension host terminating: test runner requested exit with code ${N}`),this._logService.info(`exiting with code ${N}`),this._logService.flush(),this._hostUtils.exit(N)}_startExtensionHost(){if(this._started)throw new Error("Extension host is already started!");return this._started=!0,this._readyToStartExtensionHost.wait().then(()=>this._readyToRunExtensions.open()).then(()=>this._handleEagerExtensions()).then(()=>{this._eagerExtensionsActivated.open(),this._logService.info("eager extensions activated")})}registerRemoteAuthorityResolver(N,W){return this._resolvers[N]=W,y.toDisposable(()=>{delete this._resolvers[N]})}async _activateAndGetResolver(N){const W=N.indexOf("+");if(W===-1)throw new Error("Not an authority that can be resolved!");const Q=N.substr(0,W);return await this._almostReadyToRunExtensions.wait(),await this._activateByEvent(`onResolveRemoteAuthority:${Q}`,!1),{authorityPrefix:Q,resolver:this._resolvers[Q]}}async $resolveAuthority(N,W){const{authorityPrefix:Q,resolver:G}=await this._activateAndGetResolver(N);if(!G)return{type:"error",error:{code:r.RemoteAuthorityResolverErrorCode.NoResolverFound,message:`No remote extension installed to resolve ${Q}.`,detail:void 0}};try{this._disposables.add(await this._extHostTunnelService.setTunnelExtensionFunctions(G)),D.mark(`code/extHost/willResolveAuthority/${Q}`);const ue=await G.resolve(N,{resolveAttempt:W});D.mark(`code/extHost/didResolveAuthorityOK/${Q}`);const ke={authority:N,host:ue.host,port:ue.port,connectionToken:ue.connectionToken},Re={extensionHostEnv:ue.extensionHostEnv,isTrusted:ue.isTrusted};return{type:"ok",value:{authority:ke,options:Re,tunnelInformation:{environmentTunnels:ue.environmentTunnels}}}}catch(ue){if(D.mark(`code/extHost/didResolveAuthorityError/${Q}`),ue instanceof t.RemoteAuthorityResolverError)return{type:"error",error:{code:ue._code,message:ue._message,detail:ue._detail}};throw ue}}async $getCanonicalURI(N,W){const{authorityPrefix:Q,resolver:G}=await this._activateAndGetResolver(N);if(!G)throw new Error(`Cannot get canonical URI because no remote extension is installed to resolve ${Q}`);const ue=C.URI.revive(W);if(typeof G.getCanonicalURI=="undefined")return ue;const ke=await k.asPromise(()=>G.getCanonicalURI(ue));return ke||ue}$startExtensionHost(N){return this._registry.keepOnly(N),this._startExtensionHost()}$activateByEvent(N,W){return W===1?this._activateByEvent(N,!1):this._readyToRunExtensions.wait().then(Q=>this._activateByEvent(N,!1))}async $activate(N,W){return await this._readyToRunExtensions.wait(),this._registry.getExtensionDescription(N)?(await this._activateById(N,W),!0):!1}async $deltaExtensions(N,W){N.forEach(G=>G.extensionLocation=C.URI.revive(G.extensionLocation));const Q=await this.getExtensionPathIndex();return await Promise.all(W.map(async G=>{const ue=this._registry.getExtensionDescription(G);if(!ue)return;const ke=await this._hostUtils.realpath(ue.extensionLocation.fsPath);Q.delete(C.URI.file(ke).fsPath)})),await Promise.all(N.map(async G=>{const ue=await this._hostUtils.realpath(G.extensionLocation.fsPath);Q.set(C.URI.file(ue).fsPath,G)})),this._registry.deltaExtensions(N,W),Promise.resolve(void 0)}async $test_latency(N){return N}async $test_up(N){return N.byteLength}async $test_down(N){let W=h.VSBuffer.alloc(N),Q=Math.random()%256;for(let G=0;G<N;G++)W.writeUInt8(Q,G);return W}async $updateRemoteConnectionData(N){this._remoteConnectionData=N,this._onDidChangeRemoteConnectionData.fire()}};B=We([He(0,i.IInstantiationService),He(1,e.IHostUtils),He(2,w.IExtHostRpcService),He(3,o.IExtHostWorkspace),He(4,l.IExtHostConfiguration),He(5,n.ILogService),He(6,s.IExtHostInitDataService),He(7,c.IExtensionStoragePaths),He(8,P.IExtHostTunnelService),He(9,A.IExtHostTerminalService)],B),e.AbstractExtHostExtensionService=B;function Y(J,N){return{id:J.identifier.value,name:J.name,extensionVersion:J.version,publisherDisplayName:J.publisher,activationEvents:J.activationEvents?J.activationEvents.join(","):null,isBuiltin:J.isBuiltin,reason:N.activationEvent,reasonId:N.extensionId.value}}e.IExtHostExtensionService=i.createDecorator("IExtHostExtensionService");class L{constructor(N,W,Q,G){$.set(this,void 0),Z.set(this,void 0),V.set(this,void 0),it(this,$,N,"f"),it(this,Z,W,"f"),it(this,V,Q.identifier,"f"),this.id=Q.identifier.value,this.extensionUri=Q.extensionLocation,this.extensionPath=R.normalize(_.originalFSPath(Q.extensionLocation)),this.packageJSON=Q,this.extensionKind=G}get isActive(){return Me(this,$,"f").isActivated(Me(this,V,"f"))}get exports(){if(this.packageJSON.api!=="none")return Me(this,$,"f").getExtensionExports(Me(this,V,"f"))}activate(){return Me(this,$,"f").activateByIdWithErrors(Me(this,V,"f"),{startup:!1,extensionId:Me(this,Z,"f"),activationEvent:"api"}).then(()=>this.exports)}}e.Extension=L,$=new WeakMap,Z=new WeakMap,V=new WeakMap}),define(we[106],_e([0,1,14,2,3,15,5,7,163,31,33,46,167,32,164,13,4,10,41,63]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m,u,o,E,v,S,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostDebugService=e.ExtHostVariableResolverService=e.ExtHostDebugConsole=e.ExtHostDebugSession=e.ExtHostDebugServiceBase=e.IExtHostDebugService=void 0,e.IExtHostDebugService=E.createDecorator("IExtHostDebugService");let h=class{constructor(p,P,A,a,T,F){this._workspaceService=P,this._extensionService=A,this._editorsService=a,this._configurationService=T,this._editorTabs=F,this._debugSessions=new Map,this._configProviderHandleCounter=0,this._configProviders=[],this._adapterFactoryHandleCounter=0,this._adapterFactories=[],this._trackerFactoryHandleCounter=0,this._trackerFactories=[],this._debugAdapters=new Map,this._debugAdaptersTrackers=new Map,this._onDidStartDebugSession=new D.Emitter,this._onDidTerminateDebugSession=new D.Emitter,this._onDidChangeActiveDebugSession=new D.Emitter,this._onDidReceiveDebugSessionCustomEvent=new D.Emitter,this._debugServiceProxy=p.getProxy(k.MainContext.MainThreadDebugService),this._onDidChangeBreakpoints=new D.Emitter({onFirstListenerAdd:()=>{this.startBreakpoints()}}),this._activeDebugConsole=new t(this._debugServiceProxy),this._breakpoints=new Map,this._breakpointEventsActive=!1,this._extensionService.getExtensionRegistry().then(H=>{H.onDidChange($=>{this.registerAllDebugTypes(H)}),this.registerAllDebugTypes(H)})}get onDidStartDebugSession(){return this._onDidStartDebugSession.event}get onDidTerminateDebugSession(){return this._onDidTerminateDebugSession.event}get onDidChangeActiveDebugSession(){return this._onDidChangeActiveDebugSession.event}get activeDebugSession(){return this._activeDebugSession}get onDidReceiveDebugSessionCustomEvent(){return this._onDidReceiveDebugSessionCustomEvent.event}get activeDebugConsole(){return this._activeDebugConsole.value}asDebugSourceUri(p,P){const A=p;if(typeof A.sourceReference=="number"&&A.sourceReference>0){let a=`debug:${encodeURIComponent(A.path||"")}`,T="?";return P&&(a+=`${T}session=${encodeURIComponent(P.id)}`,T="&"),a+=`${T}ref=${A.sourceReference}`,R.URI.parse(a)}else{if(A.path)return R.URI.file(A.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}registerAllDebugTypes(p){const P=[];for(const A of p.getAllExtensionDescriptions())if(A.contributes){const a=A.contributes.debuggers;if(a&&a.length>0)for(const T of a)u.isDebuggerMainContribution(T)&&P.push(T.type)}this._debugServiceProxy.$registerDebugTypes(P)}get onDidChangeBreakpoints(){return this._onDidChangeBreakpoints.event}get breakpoints(){this.startBreakpoints();const p=[];return this._breakpoints.forEach(P=>p.push(P)),p}addBreakpoints(p){this.startBreakpoints();const P=p.filter(T=>{const F=T.id;return this._breakpoints.has(F)?!1:(this._breakpoints.set(F,T),!0)});this.fireBreakpointChanges(P,[],[]);const A=[],a=new Map;for(const T of P)if(T instanceof y.SourceBreakpoint){let F=a.get(T.location.uri.toString());F||(F={type:"sourceMulti",uri:T.location.uri,lines:[]},a.set(T.location.uri.toString(),F),A.push(F)),F.lines.push({id:T.id,enabled:T.enabled,condition:T.condition,hitCondition:T.hitCondition,logMessage:T.logMessage,line:T.location.range.start.line,character:T.location.range.start.character})}else T instanceof y.FunctionBreakpoint&&A.push({type:"function",id:T.id,enabled:T.enabled,hitCondition:T.hitCondition,logMessage:T.logMessage,condition:T.condition,functionName:T.functionName});return this._debugServiceProxy.$registerBreakpoints(A)}removeBreakpoints(p){this.startBreakpoints();const P=p.filter(F=>this._breakpoints.delete(F.id));this.fireBreakpointChanges([],P,[]);const A=P.filter(F=>F instanceof y.SourceBreakpoint).map(F=>F.id),a=P.filter(F=>F instanceof y.FunctionBreakpoint).map(F=>F.id),T=P.filter(F=>F instanceof y.DataBreakpoint).map(F=>F.id);return this._debugServiceProxy.$unregisterBreakpoints(A,a,T)}startDebugging(p,P,A){return this._debugServiceProxy.$startDebugging(p?p.uri:void 0,P,{parentSessionID:A.parentSession?A.parentSession.id:void 0,repl:A.consoleMode===y.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:A.noDebug,compact:A.compact})}stopDebugging(p){return this._debugServiceProxy.$stopDebugging(p?p.id:void 0)}registerDebugConfigurationProvider(p,P,A){if(!P)return new y.Disposable(()=>{});const a=this._configProviderHandleCounter++;return this._configProviders.push({type:p,handle:a,provider:P}),this._debugServiceProxy.$registerDebugConfigurationProvider(p,A,!!P.provideDebugConfigurations,!!P.resolveDebugConfiguration,!!P.resolveDebugConfigurationWithSubstitutedVariables,a),new y.Disposable(()=>{this._configProviders=this._configProviders.filter(T=>T.provider!==P),this._debugServiceProxy.$unregisterDebugConfigurationProvider(a)})}registerDebugAdapterDescriptorFactory(p,P,A){if(!A)return new y.Disposable(()=>{});if(!this.definesDebugType(p,P))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${P}' debugger.`);if(this.getAdapterDescriptorFactoryByType(P))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const a=this._adapterFactoryHandleCounter++;return this._adapterFactories.push({type:P,handle:a,factory:A}),this._debugServiceProxy.$registerDebugAdapterDescriptorFactory(P,a),new y.Disposable(()=>{this._adapterFactories=this._adapterFactories.filter(T=>T.factory!==A),this._debugServiceProxy.$unregisterDebugAdapterDescriptorFactory(a)})}registerDebugAdapterTrackerFactory(p,P){if(!P)return new y.Disposable(()=>{});const A=this._trackerFactoryHandleCounter++;return this._trackerFactories.push({type:p,handle:A,factory:P}),new y.Disposable(()=>{this._trackerFactories=this._trackerFactories.filter(a=>a.factory!==P)})}async $runInTerminal(p,P){return Promise.resolve(void 0)}async $substituteVariables(p,P){if(!this._variableResolver){const[T,F]=await Promise.all([this._workspaceService.getWorkspaceFolders2(),this._configurationService.getConfigProvider()]);this._variableResolver=this.createVariableResolver(T||[],this._editorsService,F)}let A;const a=await this.getFolder(p);return a&&(A={uri:a.uri,name:a.name,index:a.index,toResource:()=>{throw new Error("Not implemented")}}),this._variableResolver.resolveAnyAsync(A,P)}createDebugAdapter(p,P){if(p.type==="implementation")return new s(p.implementation)}createSignService(){}async $startDASession(p,P){const A=this,a=await this.getSession(P);return this.getAdapterDescriptor(this.getAdapterDescriptorFactoryByType(a.type),a).then(T=>{if(!T)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${a.type}' (extension might have failed to activate)`);const F=this.convertToDto(T),H=this.createDebugAdapter(F,a);if(!H)throw new Error(`Couldn't create a debug adapter for type '${a.type}'.`);const $=H;return this._debugAdapters.set(p,$),this.getDebugAdapterTrackers(a).then(Z=>(Z&&this._debugAdaptersTrackers.set(p,Z),$.onMessage(async V=>{if(V.type==="request"&&V.command==="handshake"){const B=V,Y={type:"response",seq:0,command:B.command,request_seq:B.seq,success:!0};this._signService||(this._signService=this.createSignService());try{if(this._signService){const L=await this._signService.sign(B.arguments.value);Y.body={signature:L},$.sendResponse(Y)}else throw new Error("no signer")}catch(L){Y.success=!1,Y.message=L.message,$.sendResponse(Y)}}else Z&&Z.onDidSendMessage&&Z.onDidSendMessage(V),V=u.convertToVSCPaths(V,!0),A._debugServiceProxy.$acceptDAMessage(p,V)}),$.onError(V=>{Z&&Z.onError&&Z.onError(V),this._debugServiceProxy.$acceptDAError(p,V.name,V.message,V.stack)}),$.onExit(V=>{Z&&Z.onExit&&Z.onExit(v.withNullAsUndefined(V),void 0),this._debugServiceProxy.$acceptDAExit(p,v.withNullAsUndefined(V),void 0)}),Z&&Z.onWillStartSession&&Z.onWillStartSession(),$.startSession()))})}$sendDAMessage(p,P){P=u.convertToDAPaths(P,!1);const A=this._debugAdaptersTrackers.get(p);A&&A.onWillReceiveMessage&&A.onWillReceiveMessage(P);const a=this._debugAdapters.get(p);a&&a.sendMessage(P)}$stopDASession(p){const P=this._debugAdaptersTrackers.get(p);this._debugAdaptersTrackers.delete(p),P&&P.onWillStopSession&&P.onWillStopSession();const A=this._debugAdapters.get(p);return this._debugAdapters.delete(p),A?A.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(p){const P=[],A=[],a=[];if(p.added)for(const T of p.added){const F=T.id;if(F&&!this._breakpoints.has(F)){let H;if(T.type==="function")H=new y.FunctionBreakpoint(T.functionName,T.enabled,T.condition,T.hitCondition,T.logMessage);else if(T.type==="data")H=new y.DataBreakpoint(T.label,T.dataId,T.canPersist,T.enabled,T.hitCondition,T.condition,T.logMessage);else{const $=R.URI.revive(T.uri);H=new y.SourceBreakpoint(new y.Location($,new y.Position(T.line,T.character)),T.enabled,T.condition,T.hitCondition,T.logMessage)}H._id=F,this._breakpoints.set(F,H),P.push(H)}}if(p.removed)for(const T of p.removed){const F=this._breakpoints.get(T);F&&(this._breakpoints.delete(T),A.push(F))}if(p.changed){for(const T of p.changed)if(T.id){const F=this._breakpoints.get(T.id);if(F){if(F instanceof y.FunctionBreakpoint&&T.type==="function"){const H=F;H.enabled=T.enabled,H.condition=T.condition,H.hitCondition=T.hitCondition,H.logMessage=T.logMessage,H.functionName=T.functionName}else if(F instanceof y.SourceBreakpoint&&T.type==="source"){const H=F;H.enabled=T.enabled,H.condition=T.condition,H.hitCondition=T.hitCondition,H.logMessage=T.logMessage,H.location=new y.Location(R.URI.revive(T.uri),new y.Position(T.line,T.character))}a.push(F)}}}this.fireBreakpointChanges(P,A,a)}$provideDebugConfigurations(p,P,A){return _.asPromise(async()=>{const a=this.getConfigProviderByHandle(p);if(!a)throw new Error("no DebugConfigurationProvider found");if(!a.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const T=await this.getFolder(P);return a.provideDebugConfigurations(T,A)}).then(a=>{if(!a)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return a})}$resolveDebugConfiguration(p,P,A,a){return _.asPromise(async()=>{const T=this.getConfigProviderByHandle(p);if(!T)throw new Error("no DebugConfigurationProvider found");if(!T.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const F=await this.getFolder(P);return T.resolveDebugConfiguration(F,A,a)})}$resolveDebugConfigurationWithSubstitutedVariables(p,P,A,a){return _.asPromise(async()=>{const T=this.getConfigProviderByHandle(p);if(!T)throw new Error("no DebugConfigurationProvider found");if(!T.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const F=await this.getFolder(P);return T.resolveDebugConfigurationWithSubstitutedVariables(F,A,a)})}async $provideDebugAdapter(p,P){const A=this.getAdapterDescriptorFactoryByHandle(p);if(!A)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const a=await this.getSession(P);return this.getAdapterDescriptor(A,a).then(T=>{if(!T)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${a.type}'`);return this.convertToDto(T)})}async $acceptDebugSessionStarted(p){const P=await this.getSession(p);this._onDidStartDebugSession.fire(P)}async $acceptDebugSessionTerminated(p){const P=await this.getSession(p);P&&(this._onDidTerminateDebugSession.fire(P),this._debugSessions.delete(P.id))}async $acceptDebugSessionActiveChanged(p){this._activeDebugSession=p?await this.getSession(p):void 0,this._onDidChangeActiveDebugSession.fire(this._activeDebugSession)}async $acceptDebugSessionNameChanged(p,P){const A=await this.getSession(p);A&&A._acceptNameChanged(P)}async $acceptDebugSessionCustomEvent(p,P){const a={session:await this.getSession(p),event:P.event,body:P.body};this._onDidReceiveDebugSessionCustomEvent.fire(a)}convertToDto(p){if(p instanceof y.DebugAdapterExecutable)return{type:"executable",command:p.command,args:p.args,options:p.options};if(p instanceof y.DebugAdapterServer)return{type:"server",port:p.port,host:p.host};if(p instanceof y.DebugAdapterNamedPipeServer)return{type:"pipeServer",path:p.path};if(p instanceof y.DebugAdapterInlineImplementation)return{type:"implementation",implementation:p.implementation};throw new Error("convertToDto unexpected type")}getAdapterDescriptorFactoryByType(p){const P=this._adapterFactories.filter(A=>A.type===p);if(P.length>0)return P[0].factory}getAdapterDescriptorFactoryByHandle(p){const P=this._adapterFactories.filter(A=>A.handle===p);if(P.length>0)return P[0].factory}getConfigProviderByHandle(p){const P=this._configProviders.filter(A=>A.handle===p);if(P.length>0)return P[0].provider}definesDebugType(p,P){if(p.contributes){const A=p.contributes.debuggers;if(A&&A.length>0){for(const a of A)if(a.label&&a.type&&a.type===P)return!0}}return!1}getDebugAdapterTrackers(p){const A=p.configuration.type,a=this._trackerFactories.filter(T=>T.type===A||T.type==="*").map(T=>_.asPromise(()=>T.factory.createDebugAdapterTracker(p)).then(F=>F,F=>null));return Promise.race([Promise.all(a).then(T=>{const F=T.filter(H=>!!H);if(F.length>0)return new i(F)}),new Promise((T,F)=>{const H=setTimeout(()=>{clearTimeout(H),F(new Error("timeout"))},1e3)})]).catch(T=>{})}async getAdapterDescriptor(p,P){const A=P.configuration.debugServer;if(typeof A=="number")return Promise.resolve(new y.DebugAdapterServer(A));if(p){const T=await this._extensionService.getExtensionRegistry();return _.asPromise(()=>p.createDebugAdapterDescriptor(P,this.daExecutableFromPackage(P,T))).then(F=>{if(F)return F})}const a=await this._extensionService.getExtensionRegistry();return Promise.resolve(this.daExecutableFromPackage(P,a))}daExecutableFromPackage(p,P){}startBreakpoints(){this._breakpointEventsActive||(this._breakpointEventsActive=!0,this._debugServiceProxy.$startBreakpointEvents())}fireBreakpointChanges(p,P,A){(p.length>0||P.length>0||A.length>0)&&this._onDidChangeBreakpoints.fire(Object.freeze({added:p,removed:P,changed:A}))}async getSession(p){if(p)if(typeof p=="string"){const P=this._debugSessions.get(p);if(P)return P}else{let P=this._debugSessions.get(p.id);if(!P){const A=await this.getFolder(p.folderUri),a=p.parent?this._debugSessions.get(p.parent):void 0;P=new g(this._debugServiceProxy,p.id,p.type,p.name,A,p.configuration,a),this._debugSessions.set(P.id,P),this._debugServiceProxy.$sessionCached(P.id)}return P}throw new Error("cannot find session")}getFolder(p){if(p){const P=R.URI.revive(p);return this._workspaceService.resolveWorkspaceFolder(P)}return Promise.resolve(void 0)}};h=We([He(0,o.IExtHostRpcService),He(1,C.IExtHostWorkspace),He(2,n.IExtHostExtensionService),He(3,I.IExtHostDocumentsAndEditors),He(4,m.IExtHostConfiguration),He(5,d.IExtHostEditorTabs)],h),e.ExtHostDebugServiceBase=h;class g{constructor(p,P,A,a,T,F,H){this._debugServiceProxy=p,this._id=P,this._type=A,this._name=a,this._workspaceFolder=T,this._configuration=F,this._parentSession=H}get id(){return this._id}get type(){return this._type}get name(){return this._name}set name(p){this._name=p,this._debugServiceProxy.$setDebugSessionName(this._id,p)}get parentSession(){return this._parentSession}_acceptNameChanged(p){this._name=p}get workspaceFolder(){return this._workspaceFolder}get configuration(){return this._configuration}customRequest(p,P){return this._debugServiceProxy.$customDebugAdapterRequest(this._id,p,P)}getDebugProtocolBreakpoint(p){return this._debugServiceProxy.$getDebugProtocolBreakpoint(this._id,p.id)}}e.ExtHostDebugSession=g;class t{constructor(p){this.value=Object.freeze({append(P){p.$appendDebugConsole(P)},appendLine(P){this.append(P+`
`)}})}}e.ExtHostDebugConsole=t;class r extends l.AbstractVariableResolverService{constructor(p,P,A,a,T){function F(){if(P){const H=P.activeEditor();if(H)return H.document.uri;const $=a.tabs.filter(Z=>Z.isActive);if($.length>0)return $[0].resource}}super({getFolderUri:H=>{const $=p.filter(Z=>Z.name===H);if($&&$.length>0)return $[0].uri},getWorkspaceFolderCount:()=>p.length,getConfigurationValue:(H,$)=>A.getConfiguration(void 0,H).get($),getAppRoot:()=>S.cwd(),getExecPath:()=>S.env.VSCODE_EXEC_PATH,getFilePath:()=>{const H=F();if(H)return f.normalize(H.fsPath)},getWorkspaceFolderPathForFile:()=>{if(T){const H=F();if(H){const $=T.getWorkspaceFolder(H);if($)return f.normalize($.uri.fsPath)}}},getSelectedText:()=>{if(P){const H=P.activeEditor();if(H&&!H.selection.isEmpty)return H.document.getText(H.selection)}},getLineNumber:()=>{if(P){const H=P.activeEditor();if(H)return String(H.selection.end.line+1)}}},void 0,Promise.resolve(S.env))}}e.ExtHostVariableResolverService=r;class i{constructor(p){this.trackers=p}onWillStartSession(){this.trackers.forEach(p=>p.onWillStartSession?p.onWillStartSession():void 0)}onWillReceiveMessage(p){this.trackers.forEach(P=>P.onWillReceiveMessage?P.onWillReceiveMessage(p):void 0)}onDidSendMessage(p){this.trackers.forEach(P=>P.onDidSendMessage?P.onDidSendMessage(p):void 0)}onWillStopSession(){this.trackers.forEach(p=>p.onWillStopSession?p.onWillStopSession():void 0)}onError(p){this.trackers.forEach(P=>P.onError?P.onError(p):void 0)}onExit(p,P){this.trackers.forEach(A=>A.onExit?A.onExit(p,P):void 0)}}class s extends b.AbstractDebugAdapter{constructor(p){super();this.implementation=p,p.onDidSendMessage(P=>{this.acceptMessage(P)})}startSession(){return Promise.resolve(void 0)}sendMessage(p){this.implementation.handleMessage(p)}stopSession(){return this.implementation.dispose(),Promise.resolve(void 0)}}let c=class extends h{constructor(p,P,A,a,T,F){super(p,P,A,a,T,F)}createVariableResolver(p,P,A){return new r(p,P,A,this._editorTabs)}};c=We([He(0,o.IExtHostRpcService),He(1,C.IExtHostWorkspace),He(2,n.IExtHostExtensionService),He(3,I.IExtHostDocumentsAndEditors),He(4,m.IExtHostConfiguration),He(5,d.IExtHostEditorTabs)],c),e.WorkerExtHostDebugService=c}),define(we[218],_e([0,1,74,2,5,32,29,26,13,28,4,33,41,16]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequireInterceptor=void 0;let u=class{constructor(d,h,g,t,r,i,s){this._apiFactory=d,this._extensionRegistry=h,this._instaService=g,this._extHostConfiguration=t,this._extHostExtensionService=r,this._initData=i,this._logService=s,this._factories=new Map,this._alternatives=[]}async install(){this._installInterceptor(),f.mark("code/extHost/willWaitForConfig");const d=await this._extHostConfiguration.getConfigProvider();f.mark("code/extHost/didWaitForConfig");const h=await this._extHostExtensionService.getExtensionPathIndex();this.register(new o(this._apiFactory,h,this._extensionRegistry,d,this._logService)),this.register(this._instaService.createInstance(E)),this._initData.remote.isRemote&&this.register(this._instaService.createInstance(v,h,this._initData.environment.appUriScheme))}register(d){if(Array.isArray(d.nodeModuleName))for(let h of d.nodeModuleName)this._factories.set(h,d);else this._factories.set(d.nodeModuleName,d);typeof d.alternativeModuleName=="function"&&this._alternatives.push(h=>d.alternativeModuleName(h))}};u=We([He(2,n.IInstantiationService),He(3,_.IExtHostConfiguration),He(4,I.IExtHostExtensionService),He(5,C.IExtHostInitDataService),He(6,m.ILogService)],u),e.RequireInterceptor=u;class o{constructor(d,h,g,t,r){this._apiFactory=d,this._extensionPaths=h,this._extensionRegistry=g,this._configProvider=t,this._logService=r,this.nodeModuleName="vscode",this._extApiImpl=new Map}load(d,h){const g=this._extensionPaths.findSubstr(h.fsPath);if(g){let t=this._extApiImpl.get(y.ExtensionIdentifier.toKey(g.identifier));return t||(t=this._apiFactory(g,this._extensionRegistry,this._configProvider),this._extApiImpl.set(y.ExtensionIdentifier.toKey(g.identifier),t)),t}if(!this._defaultApiImpl){let t="";this._extensionPaths.forEach((r,i)=>t+=`	${i} -> ${r.identifier.value}
`),this._logService.warn(`Could not identify extension for 'vscode' require call from ${h.fsPath}. These are the extension path mappings: 
${t}`),this._defaultApiImpl=this._apiFactory(k.nullExtensionDescription,this._extensionRegistry,this._configProvider)}return this._defaultApiImpl}}let E=class{constructor(d,h){this.nodeModuleName="keytar";const{environment:g}=h,t=d.getProxy(D.MainContext.MainThreadKeytar);if(g.appRoot){let r=g.appRoot.fsPath;l.platform==="win32"&&(r=r.replace(/\\/g,"/")),r[r.length-1]==="/"&&(r=r.substr(0,r.length-1)),this.alternativeNames=new Set,this.alternativeNames.add(`${r}/node_modules.asar/keytar`),this.alternativeNames.add(`${r}/node_modules/keytar`)}this._impl={getPassword:(r,i)=>t.$getPassword(r,i),setPassword:(r,i,s)=>t.$setPassword(r,i,s),deletePassword:(r,i)=>t.$deletePassword(r,i),findPassword:r=>t.$findPassword(r),findCredentials(r){return t.$findCredentials(r)}}}load(d,h){return this._impl}alternativeModuleName(d){const h=d.length;if(h<=7||!this.alternativeNames)return;const g=h-7;if((d.charAt(g)==="/"||d.charAt(g)==="\\")&&d.endsWith("keytar")&&(d=d.replace(/\\/g,"/"),this.alternativeNames.has(d)))return"keytar"}};E=We([He(0,b.IExtHostRpcService),He(1,C.IExtHostInitDataService)],E);let v=class{constructor(d,h,g){this._extensionPaths=d,this._appUriScheme=h,this.nodeModuleName=["open","opn"],this._mainThreadTelemetry=g.getProxy(D.MainContext.MainThreadTelemetry);const t=g.getProxy(D.MainContext.MainThreadWindow);this._impl=(r,i)=>{const s=R.URI.parse(r);return i?this.callOriginal(r,i):s.scheme==="http"||s.scheme==="https"?t.$openUri(s,r,{allowTunneling:!0}):s.scheme==="mailto"||s.scheme===this._appUriScheme?t.$openUri(s,r,{}):this.callOriginal(r,i)}}load(d,h,g){const t=this._extensionPaths.findSubstr(h.fsPath);return t&&(this._extensionId=t.identifier.value,this.sendShimmingTelemetry()),this._original=g(d),this._impl}callOriginal(d,h){return this.sendNoForwardTelemetry(),this._original(d,h)}sendShimmingTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open",{extension:this._extensionId})}sendNoForwardTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open.call.noForward",{extension:this._extensionId})}};v=We([He(2,b.IExtHostRpcService)],v)}),define(we[219],_e([0,1,15,12,74,6,2,5,212,16,56,60,28,148,13,65,33,37]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m,u,o,E,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostMain=void 0;class S{constructor(h,g,t,r){this._disposables=new _.DisposableStore,this._isTerminating=!1,this._hostUtils=t,this._rpcProtocol=new b.RPCProtocol(h,null,r),g=S._transform(g,this._rpcProtocol);const i=new I.ServiceCollection(...n.getSingletonServiceDescriptors());i.set(l.IExtHostInitDataService,{_serviceBrand:void 0,...g}),i.set(u.IExtHostRpcService,new u.ExtHostRpcService(this._rpcProtocol)),i.set(o.IURITransformerService,new o.URITransformerService(r)),i.set(E.IHostUtils,t);const s=new m.InstantiationService(i,!0),c=s.invokeFunction(A=>A.get(v.IExtHostTerminalService));this._disposables.add(c),this._logService=s.invokeFunction(A=>A.get(C.ILogService)),D.mark("code/extHost/didCreateServices"),this._logService.info("extension host started"),this._logService.trace("initData",g),this._extensionService=s.invokeFunction(A=>A.get(E.IExtHostExtensionService)),this._extensionService.initialize(),Error.stackTraceLimit=100;const w=new WeakMap;this._extensionService.getExtensionPathIndex().then(A=>{Error.prepareStackTrace=(a,T)=>{let F="",H,$;for(const Z of T)F+=`
	at ${Z.toString()}`,$=Z.getFileName(),!H&&$&&(H=A.findSubstr($));return w.set(a,H),`${a.name||"Error"}: ${a.message||""}${F}`}});const p=this._rpcProtocol.getProxy(y.MainContext.MainThreadExtensionService),P=this._rpcProtocol.getProxy(y.MainContext.MainThreadErrors);R.setUnexpectedErrorHandler(A=>{const a=R.transformErrorForSerialization(A),T=w.get(A);T?p.$onExtensionRuntimeError(T.identifier,a):P.$onUnexpectedError(a)})}terminate(h){if(this._isTerminating)return;this._isTerminating=!0,this._logService.info(`extension host terminating: ${h}`),this._logService.flush(),this._disposables.dispose(),R.setUnexpectedErrorHandler(t=>{this._logService.error(t)}),this._rpcProtocol.dispose();const g=this._extensionService.deactivateAll();setTimeout(()=>{Promise.race([f.timeout(4e3),g]).finally(()=>{this._logService.info("exiting with code 0"),this._logService.flush(),this._logService.dispose(),this._hostUtils.exit(0)})},1e3)}static _transform(h,g){h.extensions.forEach(r=>r.extensionLocation=k.URI.revive(g.transformIncomingURIs(r.extensionLocation))),h.environment.appRoot=k.URI.revive(g.transformIncomingURIs(h.environment.appRoot));const t=h.environment.extensionDevelopmentLocationURI;return t&&(h.environment.extensionDevelopmentLocationURI=t.map(r=>k.URI.revive(g.transformIncomingURIs(r)))),h.environment.extensionTestsLocationURI=k.URI.revive(g.transformIncomingURIs(h.environment.extensionTestsLocationURI)),h.environment.globalStorageHome=k.URI.revive(g.transformIncomingURIs(h.environment.globalStorageHome)),h.environment.workspaceStorageHome=k.URI.revive(g.transformIncomingURIs(h.environment.workspaceStorageHome)),h.logsLocation=k.URI.revive(g.transformIncomingURIs(h.logsLocation)),h.logFile=k.URI.revive(g.transformIncomingURIs(h.logFile)),h.workspace=g.transformIncomingURIs(h.workspace),h}}e.ExtensionHostMain=S}),define(we[220],_e([0,1,14,18,55,27,23,51,38]),function(ne,e,f,R,D,_,k,y,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileSearchManager=void 0;class C{constructor(l,m,u){this.config=l,this.provider=m,this.sessionToken=u,this.isLimitHit=!1,this.resultCount=0,this.isCanceled=!1,this.filePattern=l.filePattern,this.includePattern=l.includePattern&&_.parse(l.includePattern),this.maxResults=l.maxResults||void 0,this.exists=l.exists,this.activeCancellationTokens=new Set,this.globalExcludePattern=l.excludePattern&&_.parse(l.excludePattern)}cancel(){this.isCanceled=!0,this.activeCancellationTokens.forEach(l=>l.cancel()),this.activeCancellationTokens=new Set}search(l){const m=this.config.folderQueries||[];return new Promise((u,o)=>{const E=v=>{this.resultCount++,l(v)};if(this.isCanceled)return u({limitHit:this.isLimitHit});this.config.extraFileResources&&this.config.extraFileResources.forEach(v=>{const S=v.toString(),d=f.basename(S);this.globalExcludePattern&&this.globalExcludePattern(S,d)||this.matchFile(E,{base:v,basename:d})}),Promise.all(m.map(v=>this.searchInFolder(v,E))).then(v=>{u({limitHit:this.isLimitHit,stats:v[0]||void 0})},v=>{o(new Error(D.toErrorMessage(v)))})})}async searchInFolder(l,m){const u=new R.CancellationTokenSource,o=this.getSearchOptionsForFolder(l),E=this.initDirectoryTree(),v=new b.QueryGlobTester(this.config,l),S=!v.hasSiblingExcludeClauses();let d;try{this.activeCancellationTokens.add(u),d=y.StopWatch.create();const h=await this.provider.provideFileSearchResults({pattern:this.config.filePattern||""},o,u.token),g=d.elapsed(),t=y.StopWatch.create();return this.isCanceled&&!this.isLimitHit||(h&&h.forEach(r=>{const i=f.posix.relative(l.folder.path,r.path);if(S){const s=f.basename(r.path);this.matchFile(m,{base:l.folder,relativePath:i,basename:s});return}this.addDirectoryEntries(E,l.folder,i,m)}),this.isCanceled&&!this.isLimitHit)?null:(this.matchDirectoryTree(E,v,m),{providerTime:g,postProcessTime:t.elapsed()})}finally{u.dispose(),this.activeCancellationTokens.delete(u)}}getSearchOptionsForFolder(l){const m=b.resolvePatternsForProvider(this.config.includePattern,l.includePattern),u=b.resolvePatternsForProvider(this.config.excludePattern,l.excludePattern);return{folder:l.folder,excludes:u,includes:m,useIgnoreFiles:!l.disregardIgnoreFiles,useGlobalIgnoreFiles:!l.disregardGlobalIgnoreFiles,followSymlinks:!l.ignoreSymlinks,maxResults:this.config.maxResults,session:this.sessionToken}}initDirectoryTree(){const l={rootEntries:[],pathToEntries:Object.create(null)};return l.pathToEntries["."]=l.rootEntries,l}addDirectoryEntries({pathToEntries:l},m,u,o){if(u===this.filePattern){const v=f.basename(this.filePattern);this.matchFile(o,{base:m,relativePath:this.filePattern,basename:v})}function E(v){const S=f.basename(v),d=f.dirname(v);let h=l[d];h||(h=l[d]=[],E(d)),h.push({base:m,relativePath:v,basename:S})}E(u)}matchDirectoryTree({rootEntries:l,pathToEntries:m},u,o){const E=this,v=this.filePattern;function S(d){const h=_.hasSiblingFn(()=>d.map(g=>g.basename));for(let g=0,t=d.length;g<t;g++){const r=d[g],{relativePath:i,basename:s}=r;if(!u.includedInQuerySync(i,s,v!==s?h:void 0))continue;const c=m[i];if(c)S(c);else{if(i===v)continue;E.matchFile(o,r)}if(E.isLimitHit)break}}S(l)}matchFile(l,m){(!this.includePattern||m.relativePath&&this.includePattern(m.relativePath,m.basename))&&((this.exists||this.maxResults&&this.resultCount>=this.maxResults)&&(this.isLimitHit=!0,this.cancel()),this.isLimitHit||l(m))}}class n{constructor(){this.sessions=new Map}fileSearch(l,m,u,o){const E=this.getSessionTokenSource(l.cacheKey),v=new C(l,m,E&&E.token);let S=0;const d=h=>{S+=h.length,u(h.map(g=>this.rawMatchToSearchItem(g)))};return this.doSearch(v,n.BATCH_SIZE,d,o).then(h=>({limitHit:h.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:S,detailStats:h.stats}}))}clearCache(l){const m=this.getSessionTokenSource(l);m&&m.cancel()}getSessionTokenSource(l){if(!!l)return this.sessions.has(l)||this.sessions.set(l,new R.CancellationTokenSource),this.sessions.get(l)}rawMatchToSearchItem(l){return l.relativePath?{resource:k.joinPath(l.base,l.relativePath)}:{resource:l.base}}doSearch(l,m,u,o){o.onCancellationRequested(()=>{l.cancel()});const E=S=>{S&&(v.push(S),m>0&&v.length>=m&&(u(v),v=[]))};let v=[];return l.search(E).then(S=>(v.length&&u(v),S),S=>(v.length&&u(v),Promise.reject(S)))}}e.FileSearchManager=n,n.BATCH_SIZE=512}),define(we[221],_e([0,1,14,17,18,55,23,27,2,38,11,10]),function(ne,e,f,R,D,_,k,y,b,C,n,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BatchedCollector=e.extensionResultIsMatch=e.TextSearchResultsCollector=e.TextSearchManager=void 0;class l{constructor(d,h,g){this.query=d,this.provider=h,this.fileUtils=g,this.collector=null,this.isLimitHit=!1,this.resultCount=0}search(d,h){const g=this.query.folderQueries||[],t=new D.CancellationTokenSource;return h.onCancellationRequested(()=>t.cancel()),new Promise((r,i)=>{this.collector=new u(d);let s=!1;const c=(w,p)=>{if(!s&&!this.isLimitHit){const P=this.resultSize(w);E(w)&&typeof this.query.maxResults=="number"&&this.resultCount+P>this.query.maxResults&&(this.isLimitHit=!0,s=!0,t.cancel(),w=this.trimResultToSize(w,this.query.maxResults-this.resultCount));const A=this.resultSize(w);this.resultCount+=A,(A>0||!E(w))&&this.collector.add(w,p)}};Promise.all(g.map((w,p)=>this.searchInFolder(w,P=>c(P,p),t.token))).then(w=>{t.dispose(),this.collector.flush();const p=w.some(P=>!!P&&!!P.limitHit);r({limitHit:this.isLimitHit||p,messages:R.flatten(w.map(P=>P?.message?I.isArray(P.message)?P.message:[P.message]:[])),stats:{type:"textSearchProvider"}})},w=>{t.dispose();const p=_.toErrorMessage(w);i(new Error(p))})})}resultSize(d){return E(d)?Array.isArray(d.ranges)?d.ranges.length:1:0}trimResultToSize(d,h){const g=Array.isArray(d.ranges)?d.ranges:[d.ranges],t=Array.isArray(d.preview.matches)?d.preview.matches:[d.preview.matches];return{ranges:g.slice(0,h),preview:{matches:t.slice(0,h),text:d.preview.text},uri:d.uri}}async searchInFolder(d,h,g){const t=new C.QueryGlobTester(this.query,d),r=[],i={report:w=>{if(!this.validateProviderResult(w))return;const p=d.folder.scheme===n.Schemas.file?y.hasSiblingPromiseFn(()=>this.fileUtils.readdir(k.dirname(w.uri))):void 0,P=k.relativePath(d.folder,w.uri);P&&r.push(t.includedInQuery(P,f.basename(P),p).then(A=>{A&&h(w)}))}},s=this.getSearchOptionsForFolder(d),c=await this.provider.provideTextSearchResults(m(this.query.contentPattern),s,i,g);return await Promise.all(r),c}validateProviderResult(d){if(E(d)){if(Array.isArray(d.ranges)){if(!Array.isArray(d.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(d.preview.matches.length!==d.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(d.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}getSearchOptionsForFolder(d){const h=C.resolvePatternsForProvider(this.query.includePattern,d.includePattern),g=C.resolvePatternsForProvider(this.query.excludePattern,d.excludePattern),t={folder:b.URI.from(d.folder),excludes:g,includes:h,useIgnoreFiles:!d.disregardIgnoreFiles,useGlobalIgnoreFiles:!d.disregardGlobalIgnoreFiles,followSymlinks:!d.ignoreSymlinks,encoding:d.fileEncoding&&this.fileUtils.toCanonicalName(d.fileEncoding),maxFileSize:this.query.maxFileSize,maxResults:this.query.maxResults,previewOptions:this.query.previewOptions,afterContext:this.query.afterContext,beforeContext:this.query.beforeContext};return t.usePCRE2=this.query.usePCRE2,t}}e.TextSearchManager=l;function m(S){return{isCaseSensitive:S.isCaseSensitive||!1,isRegExp:S.isRegExp||!1,isWordMatch:S.isWordMatch||!1,isMultiline:S.isMultiline||!1,pattern:S.pattern}}class u{constructor(d){this._onResult=d,this._currentFolderIdx=-1,this._currentFileMatch=null,this._batchedCollector=new v(512,h=>this.sendItems(h))}add(d,h){this._currentFileMatch&&(this._currentFolderIdx!==h||!k.isEqual(this._currentUri,d.uri))&&(this.pushToCollector(),this._currentFileMatch=null),this._currentFileMatch||(this._currentFolderIdx=h,this._currentFileMatch={resource:d.uri,results:[]}),this._currentFileMatch.results.push(o(d))}pushToCollector(){const d=this._currentFileMatch&&this._currentFileMatch.results?this._currentFileMatch.results.length:0;this._batchedCollector.addItem(this._currentFileMatch,d)}flush(){this.pushToCollector(),this._batchedCollector.flush()}sendItems(d){this._onResult(d)}}e.TextSearchResultsCollector=u;function o(S){return E(S)?{preview:{matches:R.mapArrayOrNot(S.preview.matches,d=>({startLineNumber:d.start.line,startColumn:d.start.character,endLineNumber:d.end.line,endColumn:d.end.character})),text:S.preview.text},ranges:R.mapArrayOrNot(S.ranges,d=>({startLineNumber:d.start.line,startColumn:d.start.character,endLineNumber:d.end.line,endColumn:d.end.character}))}:{text:S.text,lineNumber:S.lineNumber}}function E(S){return!!S.preview}e.extensionResultIsMatch=E;class v{constructor(d,h){this.maxBatchSize=d,this.cb=h,this.totalNumberCompleted=0,this.batch=[],this.batchSize=0}addItem(d,h){!d||this.addItemToBatch(d,h)}addItems(d,h){!d||this.addItemsToBatch(d,h)}addItemToBatch(d,h){this.batch.push(d),this.batchSize+=h,this.onUpdate()}addItemsToBatch(d,h){this.batch=this.batch.concat(d),this.batchSize+=h,this.onUpdate()}onUpdate(){this.totalNumberCompleted<v.START_BATCH_AFTER_COUNT?this.flush():this.batchSize>=this.maxBatchSize?this.flush():this.timeoutHandle||(this.timeoutHandle=setTimeout(()=>{this.flush()},v.TIMEOUT))}flush(){this.batchSize&&(this.totalNumberCompleted+=this.batchSize,this.cb(this.batch),this.batch=[],this.batchSize=0,this.timeoutHandle&&(clearTimeout(this.timeoutHandle),this.timeoutHandle=0))}}e.BatchedCollector=v,v.TIMEOUT=4e3,v.START_BATCH_AFTER_COUNT=50}),define(we[107],_e([0,1,6,5,4,220,13,65,16,2,221]),function(ne,e,f,R,D,_,k,y,b,C,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.reviveQuery=e.ExtHostSearch=e.IExtHostSearch=void 0,e.IExtHostSearch=D.createDecorator("IExtHostSearch");let I=class{constructor(o,E,v){this.extHostRpc=o,this._uriTransformer=E,this._logService=v,this._proxy=this.extHostRpc.getProxy(R.MainContext.MainThreadSearch),this._handlePool=0,this._textSearchProvider=new Map,this._textSearchUsedSchemes=new Set,this._fileSearchProvider=new Map,this._fileSearchUsedSchemes=new Set,this._fileSearchManager=new _.FileSearchManager}_transformScheme(o){return this._uriTransformer.transformOutgoingScheme(o)}registerTextSearchProvider(o,E){if(this._textSearchUsedSchemes.has(o))throw new Error(`a text search provider for the scheme '${o}' is already registered`);this._textSearchUsedSchemes.add(o);const v=this._handlePool++;return this._textSearchProvider.set(v,E),this._proxy.$registerTextSearchProvider(v,this._transformScheme(o)),f.toDisposable(()=>{this._textSearchUsedSchemes.delete(o),this._textSearchProvider.delete(v),this._proxy.$unregisterProvider(v)})}registerFileSearchProvider(o,E){if(this._fileSearchUsedSchemes.has(o))throw new Error(`a file search provider for the scheme '${o}' is already registered`);this._fileSearchUsedSchemes.add(o);const v=this._handlePool++;return this._fileSearchProvider.set(v,E),this._proxy.$registerFileSearchProvider(v,this._transformScheme(o)),f.toDisposable(()=>{this._fileSearchUsedSchemes.delete(o),this._fileSearchProvider.delete(v),this._proxy.$unregisterProvider(v)})}$provideFileSearchResults(o,E,v,S){const d=l(v),h=this._fileSearchProvider.get(o);if(h)return this._fileSearchManager.fileSearch(d,h,g=>{this._proxy.$handleFileMatch(o,E,g.map(t=>t.resource))},S);throw new Error("unknown provider: "+o)}$clearCache(o){return this._fileSearchManager.clearCache(o),Promise.resolve(void 0)}$provideTextSearchResults(o,E,v,S){const d=this._textSearchProvider.get(o);if(!d||!d.provideTextSearchResults)throw new Error(`Unknown provider ${o}`);const h=l(v);return this.createTextSearchManager(h,d).search(t=>this._proxy.$handleTextMatch(o,E,t),S)}createTextSearchManager(o,E){return new n.TextSearchManager(o,E,{readdir:v=>Promise.resolve([]),toCanonicalName:v=>v})}};I=We([He(0,k.IExtHostRpcService),He(1,y.IURITransformerService),He(2,b.ILogService)],I),e.ExtHostSearch=I;function l(u){return{...u,folderQueries:u.folderQueries&&u.folderQueries.map(m),extraFileResources:u.extraFileResources&&u.extraFileResources.map(o=>C.URI.revive(o))}}e.reviveQuery=l;function m(u){return{...u,folder:C.URI.revive(u.folder)}}}),define(we[222],_e([0,1,18,12,3,42,2,124,84,118,54,59,5,185,184,70,186,32,187,188,189,168,190,46,33,191,169,193,194,195,102,171,200,201,202,72,37,204,172,9,7,207,47,103,31,29,75,162,192,92,101,105,106,107,16,65,13,28,196,160,64,69,182,205,159,73,71,210,208,209,183,45,203,206,68,63,93,198,104,199,11,150,197,157,155]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m,u,o,E,v,S,d,h,g,t,r,i,s,c,w,p,P,A,a,T,F,H,$,Z,V,B,Y,L,J,N,W,Q,G,ue,ke,Re,ze,xe,Ve,tt,Ye,et,x,K,ie,ae,j,re,me,Te,Be,pe,Qe,z,ee,de,Ne,Ue,Xe,De,Se,Ie,se,le,he,ge,U,fe,be,Pe,Fe,$e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createApiFactoryAndRegisterActors=void 0;function Ze(Ge){const Ke=Ge.get(ie.IExtHostInitDataService),lt=Ge.get(Xe.IExtHostFileSystemInfo),ct=Ge.get(z.IExtHostConsumerFileSystem),ve=Ge.get(i.IExtHostExtensionService),Ee=Ge.get(Q.IExtHostWorkspace),oe=Ge.get(le.IExtHostTelemetry),q=Ge.get(v.IExtHostConfiguration),Oe=Ge.get(x.IURITransformerService),ye=Ge.get(K.IExtHostRpcService),Je=Ge.get($.IExtHostStorage),qe=Ge.get(Qe.IExtensionStoragePaths),rt=Ge.get(et.ILogService),ft=Ge.get(re.IExtHostTunnelService),bt=Ge.get(me.IExtHostApiDeprecationService),wt=Ge.get(W.IExtHostWindow),Et=Ge.get(Ie.IExtHostSecretState),St=Ge.get(se.IExtHostEditorTabs);ye.set(l.ExtHostContext.ExtHostFileSystemInfo,lt),ye.set(l.ExtHostContext.ExtHostLogService,rt),ye.set(l.ExtHostContext.ExtHostWorkspace,Ee),ye.set(l.ExtHostContext.ExtHostConfiguration,q),ye.set(l.ExtHostContext.ExtHostExtensionService,ve),ye.set(l.ExtHostContext.ExtHostStorage,Je),ye.set(l.ExtHostContext.ExtHostTunnelService,ft),ye.set(l.ExtHostContext.ExtHostWindow,wt),ye.set(l.ExtHostContext.ExtHostSecretState,Et),ye.set(l.ExtHostContext.ExtHostTelemetry,oe),ye.set(l.ExtHostContext.ExtHostEditorTabs,St);const kt=ye.set(l.ExtHostContext.ExtHostDecorations,Ge.get(xe.IExtHostDecorations)),_t=ye.set(l.ExtHostContext.ExtHostDocumentsAndEditors,Ge.get(r.IExtHostDocumentsAndEditors)),dt=ye.set(l.ExtHostContext.ExtHostCommands,Ge.get(o.IExtHostCommands)),vt=ye.set(l.ExtHostContext.ExtHostTerminalService,Ge.get(Z.IExtHostTerminalService)),ht=ye.set(l.ExtHostContext.ExtHostDebugService,Ge.get(tt.IExtHostDebugService)),xt=ye.set(l.ExtHostContext.ExtHostSearch,Ge.get(Ye.IExtHostSearch)),Pt=ye.set(l.ExtHostContext.ExtHostTask,Ge.get(Ve.IExtHostTask)),Yt=ye.set(l.ExtHostContext.ExtHostOutputService,Ge.get(A.IExtHostOutputService)),Bt=ye.set(l.ExtHostContext.ExtHostUrls,new J.ExtHostUrls(ye)),Ct=ye.set(l.ExtHostContext.ExtHostDocuments,new t.ExtHostDocuments(ye,_t)),Jt=ye.set(l.ExtHostContext.ExtHostDocumentContentProviders,new h.ExtHostDocumentContentProvider(ye,_t,rt)),Xt=ye.set(l.ExtHostContext.ExtHostDocumentSaveParticipant,new g.ExtHostDocumentSaveParticipant(rt,Ct,ye.getProxy(l.MainContext.MainThreadBulkEdits))),mt=ye.set(l.ExtHostContext.ExtHostNotebook,new ae.ExtHostNotebookController(ye,dt,_t,Ct,qe)),Gt=ye.set(l.ExtHostContext.ExtHostNotebookDocuments,new Fe.ExtHostNotebookDocuments(rt,mt)),jt=ye.set(l.ExtHostContext.ExtHostNotebookEditors,new Pe.ExtHostNotebookEditors(rt,ye,mt)),Zt=ye.set(l.ExtHostContext.ExtHostNotebookKernels,new he.ExtHostNotebookKernels(ye,Ke,mt,rt)),en=ye.set(l.ExtHostContext.ExtHostNotebookRenderers,new U.ExtHostNotebookRenderers(ye,mt)),At=ye.set(l.ExtHostContext.ExtHostEditors,new V.ExtHostEditors(ye,_t)),Kt=ye.set(l.ExtHostContext.ExtHostTreeViews,new B.ExtHostTreeViews(ye.getProxy(l.MainContext.MainThreadTreeViews),dt,rt)),tn=ye.set(l.ExtHostContext.ExtHostEditorInsets,new ke.ExtHostEditorInsets(ye.getProxy(l.MainContext.MainThreadEditorInsets),At,Ke)),qt=ye.set(l.ExtHostContext.ExtHostDiagnostics,new S.ExtHostDiagnostics(ye,rt)),ut=ye.set(l.ExtHostContext.ExtHostLanguageFeatures,new w.ExtHostLanguageFeatures(ye,Oe,Ct,dt,qt,rt,bt)),_n=ye.set(l.ExtHostContext.ExtHostFileSystem,new s.ExtHostFileSystem(ye,ut)),Rt=ye.set(l.ExtHostContext.ExtHostFileSystemEventService,new c.ExtHostFileSystemEventService(ye,rt,_t)),$t=ye.set(l.ExtHostContext.ExtHostQuickOpen,T.createExtHostQuickOpen(ye,Ee,dt)),dn=ye.set(l.ExtHostContext.ExtHostSCM,new F.ExtHostSCM(ye,dt,rt)),yn=ye.set(l.ExtHostContext.ExtHostComments,new E.ExtHostComments(ye,dt,Ct)),hn=ye.set(l.ExtHostContext.ExtHostProgress,new a.ExtHostProgress(ye.getProxy(l.MainContext.MainThreadProgress))),Sn=ye.set(l.ExtHostContext.ExtHosLabelService,new Re.ExtHostLabelService(ye)),fn=ye.set(l.ExtHostContext.ExtHostTheming,new j.ExtHostTheming(ye)),Lt=ye.set(l.ExtHostContext.ExtHostAuthentication,new Te.ExtHostAuthentication(ye)),nn=ye.set(l.ExtHostContext.ExtHostTimeline,new Be.ExtHostTimeline(ye,dt)),rn=ye.set(l.ExtHostContext.ExtHostWebviews,new N.ExtHostWebviews(ye,{remote:Ke.remote},Ee,rt,bt)),sn=ye.set(l.ExtHostContext.ExtHostWebviewPanels,new Ne.ExtHostWebviewPanels(ye,rn,Ee)),Dn=ye.set(l.ExtHostContext.ExtHostCustomEditors,new de.ExtHostCustomEditors(ye,Ct,qe,rn,sn)),Cn=ye.set(l.ExtHostContext.ExtHostWebviewViews,new ee.ExtHostWebviewViews(ye,rn)),Mt=ye.set(l.ExtHostContext.ExtHostTesting,new De.ExtHostTesting(ye,dt)),kn=ye.set(l.ExtHostContext.ExtHostUriOpeners,new Se.ExtHostUriOpeners(ye));ye.set(l.ExtHostContext.ExtHostInteractive,new $e.ExtHostInteractive(ye,mt,_t));const In=ue.values(l.ExtHostContext);ye.assertRegistered(In);const on=new Ue.ExtHostBulkEdits(ye,_t),Pn=new u.ExtHostClipboard(ye),Wt=new P.ExtHostMessageService(ye,rt),Nt=new d.ExtHostDialogs(ye),mn=new H.ExtHostStatusBar(ye,dt.converter),Tt=new p.ExtHostLanguages(ye,Ct);return m.ExtHostApiCommands.register(dt),function(Le,an,gn){const gt=function(){let X=!Le.isUnderDevelopment;function ce(Ae){X||(rt.info(`Extension '${Le.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),X=!0)}return function Ae(at){if(Array.isArray(at))at.forEach(Ae);else if(typeof at=="string")ce(at);else{const pt=at;typeof pt.scheme=="undefined"&&ce(at),!Le.enableProposedApi&&typeof pt.exclusive=="boolean"&&G.throwProposedApiError(Le)}return at}}(),An={getSession(X,ce,Ae){return Lt.getSession(Le,X,ce,Ae)},get onDidChangeSessions(){return Lt.onDidChangeSessions},registerAuthenticationProvider(X,ce,Ae,at){return Lt.registerAuthenticationProvider(X,ce,Ae,at)},get onDidChangeAuthenticationProviders(){return G.checkProposedApiEnabled(Le),Lt.onDidChangeAuthenticationProviders},get providers(){return G.checkProposedApiEnabled(Le),Lt.providers},logout(X,ce){return G.checkProposedApiEnabled(Le),Lt.removeSession(X,ce)}},Tn={registerCommand(X,ce,Ae){return dt.registerCommand(!0,X,ce,Ae)},registerTextEditorCommand(X,ce,Ae){return dt.registerCommand(!0,X,(...at)=>{const pt=At.getActiveTextEditor();if(!pt){rt.warn("Cannot execute "+X+" because there is no active text editor.");return}return pt.edit(Dt=>{ce.apply(Ae,[pt,Dt,...at])}).then(Dt=>{Dt||rt.warn("Edits from command "+X+" were not applied.")},Dt=>{rt.warn("An error occurred while running command "+X,Dt)})})},registerDiffInformationCommand:(X,ce,Ae)=>(G.checkProposedApiEnabled(Le),dt.registerCommand(!0,X,async(...at)=>{const pt=_t.activeEditor(!0);if(!pt){rt.warn("Cannot execute "+X+" because there is no active text editor.");return}const Dt=await At.getDiffInformation(pt.id);ce.apply(Ae,[Dt,...at])})),executeCommand(X,...ce){return dt.executeCommand(X,...ce)},getCommands(X=!1){return dt.getCommands(X)}},pn={get machineId(){return Ke.telemetryInfo.machineId},get sessionId(){return Ke.telemetryInfo.sessionId},get language(){return Ke.environment.appLanguage},get appName(){return Ke.environment.appName},get appRoot(){return Ke.environment.appRoot?.fsPath??""},get uriScheme(){return Ke.environment.appUriScheme},get clipboard(){return Pn.value},get shell(){return vt.getDefaultShell(!1)},get isTelemetryEnabled(){return oe.getTelemetryEnabled()},get onDidChangeTelemetryEnabled(){return oe.onDidChangeTelemetryEnabled},get isNewAppInstall(){const X=Date.now()-new Date(Ke.telemetryInfo.firstSessionDate).getTime();return isNaN(X)?!1:X<1e3*60*60*24},openExternal(X,ce){return wt.openUri(X,{allowTunneling:!!Ke.remote.authority,allowContributedOpeners:ce?.allowContributedOpeners})},async asExternalUri(X){if(X.scheme===Ke.environment.appUriScheme)return Bt.createAppUri(X);try{return await wt.asExternalUri(X,{allowTunneling:!!Ke.remote.authority})}catch(ce){if(be.matchesScheme(X,fe.Schemas.http)||be.matchesScheme(X,fe.Schemas.https))return X;throw ce}},get remoteName(){return ze.getRemoteName(Ke.remote.authority)},get uiKind(){return Ke.uiKind}};Ke.environment.extensionTestsLocationURI||Object.freeze(pn);const vn=Ke.remote.isRemote?L.ExtensionKind.Workspace:L.ExtensionKind.UI,ln={createTestController(X){return G.checkProposedApiEnabled(Le),Mt.createTestController(X)},createTestObserver(){return G.checkProposedApiEnabled(Le),Mt.createTestObserver()},runTests(X){return G.checkProposedApiEnabled(Le),Mt.runTests(X)},get onDidChangeTestResults(){return G.checkProposedApiEnabled(Le),Mt.onResultsChanged},get testResults(){return G.checkProposedApiEnabled(Le),Mt.results}},Rn={getExtension(X){const ce=an.getExtensionDescription(X);if(ce)return new i.Extension(ve,Le.identifier,ce,vn)},get all(){return an.getAllExtensionDescriptions().map(X=>new i.Extension(ve,Le.identifier,X,vn))},get onDidChange(){return an.onDidChange}},Fn={createDiagnosticCollection(X){return qt.createDiagnosticCollection(Le.identifier,X)},get onDidChangeDiagnostics(){return qt.onDidChangeDiagnostics},getDiagnostics:X=>qt.getDiagnostics(X),getLanguages(){return Tt.getLanguages()},setTextDocumentLanguage(X,ce){return Tt.changeLanguage(X.uri,ce)},match(X,ce){return n.score(Y.LanguageSelector.from(X),ce.uri,ce.languageId,!0)},registerCodeActionsProvider(X,ce,Ae){return ut.registerCodeActionProvider(Le,gt(X),ce,Ae)},registerCodeLensProvider(X,ce){return ut.registerCodeLensProvider(Le,gt(X),ce)},registerDefinitionProvider(X,ce){return ut.registerDefinitionProvider(Le,gt(X),ce)},registerDeclarationProvider(X,ce){return ut.registerDeclarationProvider(Le,gt(X),ce)},registerImplementationProvider(X,ce){return ut.registerImplementationProvider(Le,gt(X),ce)},registerTypeDefinitionProvider(X,ce){return ut.registerTypeDefinitionProvider(Le,gt(X),ce)},registerHoverProvider(X,ce){return ut.registerHoverProvider(Le,gt(X),ce,Le.identifier)},registerEvaluatableExpressionProvider(X,ce){return ut.registerEvaluatableExpressionProvider(Le,gt(X),ce,Le.identifier)},registerInlineValuesProvider(X,ce){return ut.registerInlineValuesProvider(Le,gt(X),ce,Le.identifier)},registerDocumentHighlightProvider(X,ce){return ut.registerDocumentHighlightProvider(Le,gt(X),ce)},registerLinkedEditingRangeProvider(X,ce){return ut.registerLinkedEditingRangeProvider(Le,gt(X),ce)},registerReferenceProvider(X,ce){return ut.registerReferenceProvider(Le,gt(X),ce)},registerRenameProvider(X,ce){return ut.registerRenameProvider(Le,gt(X),ce)},registerDocumentSymbolProvider(X,ce,Ae){return ut.registerDocumentSymbolProvider(Le,gt(X),ce,Ae)},registerWorkspaceSymbolProvider(X){return ut.registerWorkspaceSymbolProvider(Le,X)},registerDocumentFormattingEditProvider(X,ce){return ut.registerDocumentFormattingEditProvider(Le,gt(X),ce)},registerDocumentRangeFormattingEditProvider(X,ce){return ut.registerDocumentRangeFormattingEditProvider(Le,gt(X),ce)},registerOnTypeFormattingEditProvider(X,ce,Ae,...at){return ut.registerOnTypeFormattingEditProvider(Le,gt(X),ce,[Ae].concat(at))},registerDocumentSemanticTokensProvider(X,ce,Ae){return ut.registerDocumentSemanticTokensProvider(Le,gt(X),ce,Ae)},registerDocumentRangeSemanticTokensProvider(X,ce,Ae){return ut.registerDocumentRangeSemanticTokensProvider(Le,gt(X),ce,Ae)},registerSignatureHelpProvider(X,ce,Ae,...at){return typeof Ae=="object"?ut.registerSignatureHelpProvider(Le,gt(X),ce,Ae):ut.registerSignatureHelpProvider(Le,gt(X),ce,typeof Ae=="undefined"?[]:[Ae,...at])},registerCompletionItemProvider(X,ce,...Ae){return ut.registerCompletionItemProvider(Le,gt(X),ce,Ae)},registerInlineCompletionItemProvider(X,ce){return G.checkProposedApiEnabled(Le),ut.registerInlineCompletionsProvider(Le,gt(X),ce)},registerDocumentLinkProvider(X,ce){return ut.registerDocumentLinkProvider(Le,gt(X),ce)},registerColorProvider(X,ce){return ut.registerColorProvider(Le,gt(X),ce)},registerFoldingRangeProvider(X,ce){return ut.registerFoldingRangeProvider(Le,gt(X),ce)},registerSelectionRangeProvider(X,ce){return ut.registerSelectionRangeProvider(Le,X,ce)},registerCallHierarchyProvider(X,ce){return ut.registerCallHierarchyProvider(Le,X,ce)},setLanguageConfiguration:(X,ce)=>ut.setLanguageConfiguration(Le,X,ce),getTokenInformationAtPosition(X,ce){return G.checkProposedApiEnabled(Le),Tt.tokenAtPosition(X,ce)},registerInlayHintsProvider(X,ce){return G.checkProposedApiEnabled(Le),ut.registerInlayHintsProvider(Le,X,ce)}},Ln={get activeTextEditor(){return At.getActiveTextEditor()},get visibleTextEditors(){return At.getVisibleTextEditors()},get activeTerminal(){return vt.activeTerminal},get terminals(){return vt.terminals},async showTextDocument(X,ce,Ae){const at=await(k.URI.isUri(X)?Promise.resolve(bn.openTextDocument(X)):Promise.resolve(X));return At.showTextDocument(at,ce,Ae)},createTextEditorDecorationType(X){return At.createTextEditorDecorationType(Le,X)},onDidChangeActiveTextEditor(X,ce,Ae){return At.onDidChangeActiveTextEditor(X,ce,Ae)},onDidChangeVisibleTextEditors(X,ce,Ae){return At.onDidChangeVisibleTextEditors(X,ce,Ae)},onDidChangeTextEditorSelection(X,ce,Ae){return At.onDidChangeTextEditorSelection(X,ce,Ae)},onDidChangeTextEditorOptions(X,ce,Ae){return At.onDidChangeTextEditorOptions(X,ce,Ae)},onDidChangeTextEditorVisibleRanges(X,ce,Ae){return At.onDidChangeTextEditorVisibleRanges(X,ce,Ae)},onDidChangeTextEditorViewColumn(X,ce,Ae){return At.onDidChangeTextEditorViewColumn(X,ce,Ae)},onDidCloseTerminal(X,ce,Ae){return vt.onDidCloseTerminal(X,ce,Ae)},onDidOpenTerminal(X,ce,Ae){return vt.onDidOpenTerminal(X,ce,Ae)},onDidChangeActiveTerminal(X,ce,Ae){return vt.onDidChangeActiveTerminal(X,ce,Ae)},onDidChangeTerminalDimensions(X,ce,Ae){return G.checkProposedApiEnabled(Le),vt.onDidChangeTerminalDimensions(X,ce,Ae)},onDidWriteTerminalData(X,ce,Ae){return G.checkProposedApiEnabled(Le),vt.onDidWriteTerminalData(X,ce,Ae)},get state(){return wt.state},onDidChangeWindowState(X,ce,Ae){return wt.onDidChangeWindowState(X,ce,Ae)},showInformationMessage(X,...ce){return Wt.showMessage(Le,_.default.Info,X,ce[0],ce.slice(1))},showWarningMessage(X,...ce){return Wt.showMessage(Le,_.default.Warning,X,ce[0],ce.slice(1))},showErrorMessage(X,...ce){return Wt.showMessage(Le,_.default.Error,X,ce[0],ce.slice(1))},showQuickPick(X,ce,Ae){return $t.showQuickPick(X,!!Le.enableProposedApi,ce,Ae)},showWorkspaceFolderPick(X){return $t.showWorkspaceFolderPick(X)},showInputBox(X,ce){return $t.showInput(X,ce)},showOpenDialog(X){return Nt.showOpenDialog(X)},showSaveDialog(X){return Nt.showSaveDialog(X)},createStatusBarItem(X,ce,Ae){let at,pt,Dt;return typeof X=="string"?(at=X,pt=ce,Dt=Ae):(pt=X,Dt=ce),mn.createStatusBarEntry(Le,at,pt,Dt)},setStatusBarMessage(X,ce){return mn.setStatusBarMessage(X,ce)},withScmProgress(X){return bt.report("window.withScmProgress",Le,"Use 'withProgress' instead."),hn.withProgress(Le,{location:L.ProgressLocation.SourceControl},(ce,Ae)=>X({report(at){}}))},withProgress(X,ce){return hn.withProgress(Le,X,ce)},createOutputChannel(X){return Yt.createOutputChannel(X)},createWebviewPanel(X,ce,Ae,at){return sn.createWebviewPanel(Le,X,ce,Ae,at)},createWebviewTextEditorInset(X,ce,Ae,at){return G.checkProposedApiEnabled(Le),tn.createWebviewEditorInset(X,ce,Ae,at,Le)},createTerminal(X,ce,Ae){return typeof X=="object"?"pty"in X?vt.createExtensionTerminal(X):vt.createTerminalFromOptions(X):vt.createTerminal(X,ce,Ae)},registerTerminalLinkProvider(X){return vt.registerLinkProvider(X)},registerTerminalProfileProvider(X,ce){return vt.registerProfileProvider(Le,X,ce)},registerTreeDataProvider(X,ce){return Kt.registerTreeDataProvider(X,ce,Le)},createTreeView(X,ce){return Kt.createTreeView(X,ce,Le)},registerWebviewPanelSerializer:(X,ce)=>sn.registerWebviewPanelSerializer(Le,X,ce),registerCustomEditorProvider:(X,ce,Ae={})=>Dn.registerCustomEditorProvider(Le,X,ce,Ae),registerFileDecorationProvider(X){return kt.registerFileDecorationProvider(X,Le.identifier)},registerUriHandler(X){return Bt.registerUriHandler(Le.identifier,X)},createQuickPick(){return $t.createQuickPick(Le.identifier,!!Le.enableProposedApi)},createInputBox(){return $t.createInputBox(Le.identifier)},get activeColorTheme(){return fn.activeColorTheme},onDidChangeActiveColorTheme(X,ce,Ae){return fn.onDidChangeActiveColorTheme(X,ce,Ae)},registerWebviewViewProvider(X,ce,Ae){return Cn.registerWebviewViewProvider(Le,X,ce,Ae?.webviewOptions)},get activeNotebookEditor(){return G.checkProposedApiEnabled(Le),mt.activeNotebookEditor},onDidChangeActiveNotebookEditor(X,ce,Ae){return G.checkProposedApiEnabled(Le),mt.onDidChangeActiveNotebookEditor(X,ce,Ae)},get visibleNotebookEditors(){return G.checkProposedApiEnabled(Le),mt.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return G.checkProposedApiEnabled(Le),mt.onDidChangeVisibleNotebookEditors},onDidChangeNotebookEditorSelection(X,ce,Ae){return G.checkProposedApiEnabled(Le),jt.onDidChangeNotebookEditorSelection(X,ce,Ae)},onDidChangeNotebookEditorVisibleRanges(X,ce,Ae){return G.checkProposedApiEnabled(Le),jt.onDidChangeNotebookEditorVisibleRanges(X,ce,Ae)},showNotebookDocument(X,ce){return G.checkProposedApiEnabled(Le),mt.showNotebookDocument(X,ce)},registerExternalUriOpener(X,ce,Ae){return G.checkProposedApiEnabled(Le),kn.registerExternalUriOpener(Le.identifier,X,ce,Ae)},get openEditors(){return G.checkProposedApiEnabled(Le),St.tabs},get onDidChangeOpenEditors(){return G.checkProposedApiEnabled(Le),St.onDidChangeTabs},getInlineCompletionItemController(X){return G.checkProposedApiEnabled(Le),w.InlineCompletionController.get(X)}},bn={get rootPath(){return bt.report("workspace.rootPath",Le,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),Ee.getPath()},set rootPath(X){throw R.readonly()},getWorkspaceFolder(X){return Ee.getWorkspaceFolder(X)},get workspaceFolders(){return Ee.getWorkspaceFolders()},get name(){return Ee.name},set name(X){throw R.readonly()},get workspaceFile(){return Ee.workspaceFile},set workspaceFile(X){throw R.readonly()},updateWorkspaceFolders:(X,ce,...Ae)=>Ee.updateWorkspaceFolders(Le,X,ce||0,...Ae),onDidChangeWorkspaceFolders:function(X,ce,Ae){return Ee.onDidChangeWorkspace(X,ce,Ae)},asRelativePath:(X,ce)=>Ee.getRelativePath(X,ce),findFiles:(X,ce,Ae,at)=>Ee.findFiles(Y.GlobPattern.from(X),Y.GlobPattern.from(ce),Ae,Le.identifier,at),findTextInFiles:(X,ce,Ae,at)=>{let pt,Dt;return typeof ce=="object"?(pt=ce,Dt=Ae):(pt={},Dt=ce,at=Ae),Ee.findTextInFiles(X,pt||{},Dt,Le.identifier,at)},saveAll:X=>Ee.saveAll(X),applyEdit(X){return on.applyWorkspaceEdit(X)},createFileSystemWatcher:(X,ce,Ae,at)=>Rt.createFileSystemWatcher(Y.GlobPattern.from(X),ce,Ae,at),get textDocuments(){return Ct.getAllDocumentData().map(X=>X.document)},set textDocuments(X){throw R.readonly()},openTextDocument(X){let ce;const Ae=X;if(typeof X=="string")ce=Promise.resolve(k.URI.file(X));else if(k.URI.isUri(X))ce=Promise.resolve(X);else if(!Ae||typeof Ae=="object")ce=Ct.createDocumentData(Ae);else throw new Error("illegal argument - uriOrFileNameOrOptions");return ce.then(at=>Ct.ensureDocumentData(at).then(pt=>pt.document))},onDidOpenTextDocument:(X,ce,Ae)=>Ct.onDidAddDocument(X,ce,Ae),onDidCloseTextDocument:(X,ce,Ae)=>Ct.onDidRemoveDocument(X,ce,Ae),onDidChangeTextDocument:(X,ce,Ae)=>Ct.onDidChangeDocument(X,ce,Ae),onDidSaveTextDocument:(X,ce,Ae)=>Ct.onDidSaveDocument(X,ce,Ae),onWillSaveTextDocument:(X,ce,Ae)=>Xt.getOnWillSaveTextDocumentEvent(Le)(X,ce,Ae),get notebookDocuments(){return mt.notebookDocuments.map(X=>X.apiNotebook)},async openNotebookDocument(X,ce){let Ae;if(k.URI.isUri(X))Ae=X,await mt.openNotebookDocument(X);else if(typeof X=="string")Ae=k.URI.revive(await mt.createNotebookDocument({viewType:X,content:ce}));else throw new Error("Invalid arguments");return mt.getNotebookDocument(Ae).apiNotebook},get onDidOpenNotebookDocument(){return mt.onDidOpenNotebookDocument},get onDidCloseNotebookDocument(){return mt.onDidCloseNotebookDocument},registerNotebookSerializer(X,ce,Ae,at){return mt.registerNotebookSerializer(Le,X,ce,Ae,Le.enableProposedApi?at:void 0)},registerNotebookContentProvider:(X,ce,Ae,at)=>(G.checkProposedApiEnabled(Le),mt.registerNotebookContentProvider(Le,X,ce,Ae,Le.enableProposedApi?at:void 0)),onDidChangeConfiguration:(X,ce,Ae)=>gn.onDidChangeConfiguration(X,ce,Ae),getConfiguration(X,ce){return ce=arguments.length===1?void 0:ce,gn.getConfiguration(X,ce,Le)},registerTextDocumentContentProvider(X,ce){return Jt.registerTextDocumentContentProvider(X,ce)},registerTaskProvider:(X,ce)=>(bt.report("window.registerTaskProvider",Le,"Use the corresponding function on the 'tasks' namespace instead"),Pt.registerTaskProvider(Le,X,ce)),registerFileSystemProvider(X,ce,Ae){return _n.registerFileSystemProvider(Le.identifier,X,ce,Ae,Le.enableProposedApi)},get fs(){return ct.value},registerFileSearchProvider:(X,ce)=>(G.checkProposedApiEnabled(Le),xt.registerFileSearchProvider(X,ce)),registerTextSearchProvider:(X,ce)=>(G.checkProposedApiEnabled(Le),xt.registerTextSearchProvider(X,ce)),registerRemoteAuthorityResolver:(X,ce)=>(G.checkProposedApiEnabled(Le),ve.registerRemoteAuthorityResolver(X,ce)),registerResourceLabelFormatter:X=>(G.checkProposedApiEnabled(Le),Sn.$registerResourceLabelFormatter(X)),onDidCreateFiles:(X,ce,Ae)=>Rt.onDidCreateFile(X,ce,Ae),onDidDeleteFiles:(X,ce,Ae)=>Rt.onDidDeleteFile(X,ce,Ae),onDidRenameFiles:(X,ce,Ae)=>Rt.onDidRenameFile(X,ce,Ae),onWillCreateFiles:(X,ce,Ae)=>Rt.getOnWillCreateFileEvent(Le)(X,ce,Ae),onWillDeleteFiles:(X,ce,Ae)=>Rt.getOnWillDeleteFileEvent(Le)(X,ce,Ae),onWillRenameFiles:(X,ce,Ae)=>Rt.getOnWillRenameFileEvent(Le)(X,ce,Ae),openTunnel:X=>(G.checkProposedApiEnabled(Le),ft.openTunnel(Le,X).then(ce=>{if(!ce)throw new Error("cannot open tunnel");return ce})),get tunnels(){return G.checkProposedApiEnabled(Le),ft.getTunnels()},onDidChangeTunnels:(X,ce,Ae)=>(G.checkProposedApiEnabled(Le),ft.onDidChangeTunnels(X,ce,Ae)),registerPortAttributesProvider:(X,ce)=>(G.checkProposedApiEnabled(Le),ft.registerPortsAttributesProvider(X,ce)),registerTimelineProvider:(X,ce)=>(G.checkProposedApiEnabled(Le),nn.registerTimelineProvider(X,ce,Le.identifier,dt.converter)),get isTrusted(){return Ee.trusted},requestWorkspaceTrust:X=>(G.checkProposedApiEnabled(Le),Ee.requestWorkspaceTrust(X)),onDidGrantWorkspaceTrust:(X,ce,Ae)=>Ee.onDidGrantWorkspaceTrust(X,ce,Ae)},Mn={get inputBox(){return bt.report("scm.inputBox",Le,"Use 'SourceControl.inputBox' instead"),dn.getLastInputBox(Le)},createSourceControl(X,ce,Ae){return dn.createSourceControl(Le,X,ce,Ae)}},Nn={createCommentController(X,ce){return yn.createCommentController(Le,X,ce)}},wn={get activeDebugSession(){return ht.activeDebugSession},get activeDebugConsole(){return ht.activeDebugConsole},get breakpoints(){return ht.breakpoints},onDidStartDebugSession(X,ce,Ae){return ht.onDidStartDebugSession(X,ce,Ae)},onDidTerminateDebugSession(X,ce,Ae){return ht.onDidTerminateDebugSession(X,ce,Ae)},onDidChangeActiveDebugSession(X,ce,Ae){return ht.onDidChangeActiveDebugSession(X,ce,Ae)},onDidReceiveDebugSessionCustomEvent(X,ce,Ae){return ht.onDidReceiveDebugSessionCustomEvent(X,ce,Ae)},onDidChangeBreakpoints(X,ce,Ae){return ht.onDidChangeBreakpoints(X,ce,Ae)},registerDebugConfigurationProvider(X,ce,Ae){return ht.registerDebugConfigurationProvider(X,ce,Ae||L.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory(X,ce){return ht.registerDebugAdapterDescriptorFactory(Le,X,ce)},registerDebugAdapterTrackerFactory(X,ce){return ht.registerDebugAdapterTrackerFactory(X,ce)},startDebugging(X,ce,Ae){return!Ae||typeof Ae=="object"&&"configuration"in Ae?ht.startDebugging(X,ce,{parentSession:Ae}):ht.startDebugging(X,ce,Ae||{})},stopDebugging(X){return ht.stopDebugging(X)},addBreakpoints(X){return ht.addBreakpoints(X)},removeBreakpoints(X){return ht.removeBreakpoints(X)},asDebugSourceUri(X,ce){return ht.asDebugSourceUri(X,ce)}},Ot={registerTaskProvider:(X,ce)=>Pt.registerTaskProvider(Le,X,ce),fetchTasks:X=>Pt.fetchTasks(X),executeTask:X=>Pt.executeTask(Le,X),get taskExecutions(){return Pt.taskExecutions},onDidStartTask:(X,ce,Ae)=>Pt.onDidStartTask(X,ce,Ae),onDidEndTask:(X,ce,Ae)=>Pt.onDidEndTask(X,ce,Ae),onDidStartTaskProcess:(X,ce,Ae)=>Pt.onDidStartTaskProcess(X,ce,Ae),onDidEndTaskProcess:(X,ce,Ae)=>Pt.onDidEndTaskProcess(X,ce,Ae)},Ht={createNotebookController(X,ce,Ae,at,pt){return Zt.createNotebookController(Le,X,ce,Ae,at,Le.enableProposedApi?pt:void 0)},registerNotebookCellStatusBarItemProvider:(X,ce)=>mt.registerNotebookCellStatusBarItemProvider(Le,X,ce),get onDidSaveNotebookDocument(){return G.checkProposedApiEnabled(Le),Gt.onDidSaveNotebookDocument},createNotebookEditorDecorationType(X){return G.checkProposedApiEnabled(Le),jt.createNotebookEditorDecorationType(X)},createRendererMessaging(X){return G.checkProposedApiEnabled(Le),en.createRendererMessaging(X)},onDidChangeNotebookDocumentMetadata(X,ce,Ae){return G.checkProposedApiEnabled(Le),Gt.onDidChangeNotebookDocumentMetadata(X,ce,Ae)},onDidChangeNotebookCells(X,ce,Ae){return G.checkProposedApiEnabled(Le),mt.onDidChangeNotebookCells(X,ce,Ae)},onDidChangeNotebookCellExecutionState(X,ce,Ae){return G.checkProposedApiEnabled(Le),mt.onDidChangeNotebookCellExecutionState(X,ce,Ae)},onDidChangeCellOutputs(X,ce,Ae){return G.checkProposedApiEnabled(Le),mt.onDidChangeCellOutputs(X,ce,Ae)},onDidChangeCellMetadata(X,ce,Ae){return G.checkProposedApiEnabled(Le),mt.onDidChangeCellMetadata(X,ce,Ae)},createConcatTextDocument(X,ce){return G.checkProposedApiEnabled(Le),new pe.ExtHostNotebookConcatDocument(mt,Ct,X,ce)}};return{version:Ke.version,authentication:An,commands:Tn,comments:Nn,debug:wn,env:pn,extensions:Rn,languages:Fn,notebooks:Ht,scm:Mn,tasks:Ot,test:ln,window:Ln,workspace:bn,Breakpoint:L.Breakpoint,CallHierarchyIncomingCall:L.CallHierarchyIncomingCall,CallHierarchyItem:L.CallHierarchyItem,CallHierarchyOutgoingCall:L.CallHierarchyOutgoingCall,CancellationError:R.CancellationError,CancellationTokenSource:f.CancellationTokenSource,CandidatePortSource:l.CandidatePortSource,CodeAction:L.CodeAction,CodeActionKind:L.CodeActionKind,CodeActionTriggerKind:L.CodeActionTriggerKind,CodeLens:L.CodeLens,Color:L.Color,ColorInformation:L.ColorInformation,ColorPresentation:L.ColorPresentation,ColorThemeKind:L.ColorThemeKind,CommentMode:L.CommentMode,CommentThreadCollapsibleState:L.CommentThreadCollapsibleState,CompletionItem:L.CompletionItem,CompletionItemKind:L.CompletionItemKind,CompletionItemTag:L.CompletionItemTag,CompletionList:L.CompletionList,CompletionTriggerKind:L.CompletionTriggerKind,ConfigurationTarget:L.ConfigurationTarget,CustomExecution:L.CustomExecution,DebugAdapterExecutable:L.DebugAdapterExecutable,DebugAdapterInlineImplementation:L.DebugAdapterInlineImplementation,DebugAdapterNamedPipeServer:L.DebugAdapterNamedPipeServer,DebugAdapterServer:L.DebugAdapterServer,DebugConfigurationProviderTriggerKind:L.DebugConfigurationProviderTriggerKind,DebugConsoleMode:L.DebugConsoleMode,DecorationRangeBehavior:L.DecorationRangeBehavior,Diagnostic:L.Diagnostic,DiagnosticRelatedInformation:L.DiagnosticRelatedInformation,DiagnosticSeverity:L.DiagnosticSeverity,DiagnosticTag:L.DiagnosticTag,Disposable:L.Disposable,DocumentHighlight:L.DocumentHighlight,DocumentHighlightKind:L.DocumentHighlightKind,DocumentLink:L.DocumentLink,DocumentSymbol:L.DocumentSymbol,EndOfLine:L.EndOfLine,EnvironmentVariableMutatorType:L.EnvironmentVariableMutatorType,EvaluatableExpression:L.EvaluatableExpression,InlineValueText:L.InlineValueText,InlineValueVariableLookup:L.InlineValueVariableLookup,InlineValueEvaluatableExpression:L.InlineValueEvaluatableExpression,InlineCompletionTriggerKind:L.InlineCompletionTriggerKind,EventEmitter:D.Emitter,ExtensionKind:L.ExtensionKind,ExtensionMode:L.ExtensionMode,ExternalUriOpenerPriority:L.ExternalUriOpenerPriority,FileChangeType:L.FileChangeType,FileDecoration:L.FileDecoration,FileSystemError:L.FileSystemError,FileType:I.FileType,FilePermission:I.FilePermission,FoldingRange:L.FoldingRange,FoldingRangeKind:L.FoldingRangeKind,FunctionBreakpoint:L.FunctionBreakpoint,InlineCompletionItem:L.InlineSuggestion,InlineCompletionList:L.InlineSuggestions,Hover:L.Hover,IndentAction:C.IndentAction,Location:L.Location,MarkdownString:L.MarkdownString,OverviewRulerLane:b.OverviewRulerLane,ParameterInformation:L.ParameterInformation,PortAutoForwardAction:L.PortAutoForwardAction,Position:L.Position,ProcessExecution:L.ProcessExecution,ProgressLocation:L.ProgressLocation,QuickInputButtons:L.QuickInputButtons,Range:L.Range,RelativePattern:L.RelativePattern,Selection:L.Selection,SelectionRange:L.SelectionRange,SemanticTokens:L.SemanticTokens,SemanticTokensBuilder:L.SemanticTokensBuilder,SemanticTokensEdit:L.SemanticTokensEdit,SemanticTokensEdits:L.SemanticTokensEdits,SemanticTokensLegend:L.SemanticTokensLegend,ShellExecution:L.ShellExecution,ShellQuoting:L.ShellQuoting,SignatureHelp:L.SignatureHelp,SignatureHelpTriggerKind:L.SignatureHelpTriggerKind,SignatureInformation:L.SignatureInformation,SnippetString:L.SnippetString,SourceBreakpoint:L.SourceBreakpoint,StandardTokenType:L.StandardTokenType,StatusBarAlignment:L.StatusBarAlignment,SymbolInformation:L.SymbolInformation,SymbolKind:L.SymbolKind,SymbolTag:L.SymbolTag,Task:L.Task,TaskGroup:L.TaskGroup,TaskPanelKind:L.TaskPanelKind,TaskRevealKind:L.TaskRevealKind,TaskScope:L.TaskScope,TerminalLink:L.TerminalLink,TerminalProfile:L.TerminalProfile,TextDocumentSaveReason:L.TextDocumentSaveReason,TextEdit:L.TextEdit,TextEditorCursorStyle:y.TextEditorCursorStyle,TextEditorLineNumbersStyle:L.TextEditorLineNumbersStyle,TextEditorRevealType:L.TextEditorRevealType,TextEditorSelectionChangeKind:L.TextEditorSelectionChangeKind,ThemeColor:L.ThemeColor,ThemeIcon:L.ThemeIcon,TreeItem:L.TreeItem,TreeItemCollapsibleState:L.TreeItemCollapsibleState,UIKind:l.UIKind,Uri:k.URI,ViewColumn:L.ViewColumn,WorkspaceEdit:L.WorkspaceEdit,InlayHint:L.InlayHint,InlayHintKind:L.InlayHintKind,RemoteAuthorityResolverError:L.RemoteAuthorityResolverError,ResolvedAuthority:L.ResolvedAuthority,SourceControlInputBoxValidationType:L.SourceControlInputBoxValidationType,ExtensionRuntime:L.ExtensionRuntime,TimelineItem:L.TimelineItem,NotebookRange:L.NotebookRange,NotebookCellKind:L.NotebookCellKind,NotebookCellExecutionState:L.NotebookCellExecutionState,NotebookCellData:L.NotebookCellData,NotebookData:L.NotebookData,NotebookRendererScript:L.NotebookRendererScript,NotebookCellStatusBarAlignment:L.NotebookCellStatusBarAlignment,NotebookEditorRevealType:L.NotebookEditorRevealType,NotebookCellOutput:L.NotebookCellOutput,NotebookCellOutputItem:L.NotebookCellOutputItem,NotebookCellStatusBarItem:L.NotebookCellStatusBarItem,NotebookControllerAffinity:L.NotebookControllerAffinity,PortAttributes:L.PortAttributes,LinkedEditingRanges:L.LinkedEditingRanges,TestResultState:L.TestResultState,TestRunRequest:L.TestRunRequest,TestMessage:L.TestMessage,TextSearchCompleteMessageType:ge.TextSearchCompleteMessageType,TestMessageSeverity:L.TestMessageSeverity,CoveredCount:L.CoveredCount,FileCoverage:L.FileCoverage,StatementCoverage:L.StatementCoverage,BranchCoverage:L.BranchCoverage,FunctionCoverage:L.FunctionCoverage,WorkspaceTrustState:L.WorkspaceTrustState}}}e.createApiFactoryAndRegisterActors=Ze}),define(we[223],_e([0,1,56,102,31,101,32,70,46,37,105,106,107,72,64,69,103,71,45,68,93,63]),function(ne,e,f,R,D,_,k,y,b,C,n,I,l,m,u,o,E,v,S,d,h,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),f.registerSingleton(o.IExtHostApiDeprecationService,o.ExtHostApiDeprecationService),f.registerSingleton(y.IExtHostCommands,y.ExtHostCommands),f.registerSingleton(k.IExtHostConfiguration,k.ExtHostConfiguration),f.registerSingleton(v.IExtHostConsumerFileSystem,v.ExtHostConsumerFileSystem),f.registerSingleton(I.IExtHostDebugService,I.WorkerExtHostDebugService),f.registerSingleton(_.IExtHostDecorations,_.ExtHostDecorations),f.registerSingleton(b.IExtHostDocumentsAndEditors,b.ExtHostDocumentsAndEditors),f.registerSingleton(S.IExtHostFileSystemInfo,S.ExtHostFileSystemInfo),f.registerSingleton(R.IExtHostOutputService,R.ExtHostOutputService),f.registerSingleton(l.IExtHostSearch,l.ExtHostSearch),f.registerSingleton(m.IExtHostStorage,m.ExtHostStorage),f.registerSingleton(n.IExtHostTask,n.WorkerExtHostTask),f.registerSingleton(C.IExtHostTerminalService,C.WorkerExtHostTerminalService),f.registerSingleton(u.IExtHostTunnelService,u.ExtHostTunnelService),f.registerSingleton(E.IExtHostWindow,E.ExtHostWindow),f.registerSingleton(D.IExtHostWorkspace,D.ExtHostWorkspace),f.registerSingleton(d.IExtHostSecretState,d.ExtHostSecretState),f.registerSingleton(h.IExtHostTelemetry,h.ExtHostTelemetry),f.registerSingleton(g.IExtHostEditorTabs,g.ExtHostEditorTabs)}),define(we[224],_e([0,1,222,33,218,7,15,5,11]),function(ne,e,f,R,D,_,k,y,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostExtensionService=void 0;var C;(function(u){const o=self.trustedTypes?.createPolicy("TrustedFunctionWorkaround",{createScript:(v,...S)=>{S.forEach(t=>{if(!self.trustedTypes?.isScript(t))throw new Error("TrustedScripts only, please")});const d=S.slice(0,-1).join(","),h=S.pop().toString();return`(function anonymous(${d}) {
${h}
})`}});function E(...v){return o?self.eval(o.createScript("",...v)):new Function(...v)}u.create=E})(C||(C={}));class n extends D.RequireInterceptor{_installInterceptor(){}getModule(o,E){for(let v of this._alternatives){let S=v(o);if(S){o=S;break}}if(this._factories.has(o))return this._factories.get(o).load(o,E,()=>{throw new Error("CANNOT LOAD MODULE from here.")})}}class I extends R.AbstractExtHostExtensionService{constructor(){super(...arguments);this.extensionRuntime=_.ExtensionRuntime.Webworker}async _beforeAlmostReadyToRunExtensions(){const o=this._extHostContext.getProxy(y.MainContext.MainThreadConsole);m(o,this._initData.environment.isExtensionDevelopmentDebug);const E=this._instaService.invokeFunction(f.createApiFactoryAndRegisterActors);this._fakeModules=this._instaService.createInstance(n,E,this._registry),await this._fakeModules.install(),performance.mark("code/extHost/didInitAPI"),await this._waitForDebuggerAttachment()}_getEntryPoint(o){return o.browser}async _loadCommonJSModule(o,E,v){E=E.with({path:l(E.path,".js")}),o&&performance.mark(`code/extHost/willFetchExtensionCode/${o.value}`);const S=await fetch(b.FileAccess.asBrowserUri(E).toString(!0));if(o&&performance.mark(`code/extHost/didFetchExtensionCode/${o.value}`),S.status!==200)throw new Error(S.statusText);const d=await S.text(),h=`${E.toString(!0)}#vscode-extension`,g=`${d}
//# sourceURL=${h}`;let t;try{t=C.create(I._ttpExtensionScripts?.createScript("module")??"module",I._ttpExtensionScripts?.createScript("exports")??"exports",I._ttpExtensionScripts?.createScript("require")??"require",I._ttpExtensionScripts?.createScript(g)??g)}catch(c){throw console.error(o?`Loading code for extension ${o.value} failed: ${c.message}`:`Loading code failed: ${c.message}`),console.error(`${E.toString(!0)}${typeof c.line=="number"?` line ${c.line}`:""}${typeof c.column=="number"?` column ${c.column}`:""}`),console.error(c),c}const r={},i={exports:r},s=c=>{const w=this._fakeModules.getModule(c,E);if(w===void 0)throw new Error(`Cannot load module '${c}'`);return w};try{return v.codeLoadingStart(),o&&performance.mark(`code/extHost/willLoadExtensionCode/${o.value}`),t(i,r,s),i.exports!==r?i.exports:r}finally{o&&performance.mark(`code/extHost/didLoadExtensionCode/${o.value}`),v.codeLoadingStop()}}async $setRemoteEnvironment(o){throw new Error("Not supported")}async _waitForDebuggerAttachment(o=5e3){if(!this._initData.environment.isExtensionDevelopmentDebug)return;const E=Date.now()+o;for(;Date.now()<E&&!("__jsDebugIsReady"in globalThis);)await k.timeout(10)}}e.ExtHostExtensionService=I,I._ttpExtensionScripts=self.trustedTypes?.createPolicy("ExtensionScripts",{createScript:u=>u});function l(u,o){return u.endsWith(o)?u:u+o}function m(u,o){E("info","log"),E("log","log"),E("warn","warn"),E("error","error");function E(d,h){const g=console[d];console[d]=function(){u.$logExtensionHostMessage({type:"__$console",severity:h,arguments:S(arguments)}),o&&g.apply(console,arguments)}}const v=1e5;function S(d){const h=[],g=[];if(d.length)for(let t=0;t<d.length;t++){if(typeof d[t]=="undefined")d[t]="undefined";else if(d[t]instanceof Error){const r=d[t];r.stack?d[t]=r.stack:d[t]=r.toString()}g.push(d[t])}try{const t=JSON.stringify(g,function(r,i){if(i&&typeof i=="object"){if(h.indexOf(i)!==-1)return"[Circular]";h.push(i)}return i});return t.length>v?"Output omitted for a large object that exceeds the limits":t}catch(t){return`Output omitted for an object that cannot be inspected ('${t.toString()}')`}}}}),define(we[225],_e([0,1,56,16,33,73,224,211]),function(ne,e,f,R,D,_,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),f.registerSingleton(D.IExtHostExtensionService,k.ExtHostExtensionService),f.registerSingleton(R.ILogService,y.ExtHostLogService),f.registerSingleton(_.IExtensionStoragePaths,_.ExtensionStoragePaths)}),define(we[227],_e([0,1,24,3,179,219,213,14,74,11,2,223,225]),function(ne,e,f,R,D,_,k,y,b,C,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});const I=self.close.bind(self);self.close=()=>console.trace("'close' has been blocked");const l=postMessage.bind(self);if(self.postMessage=()=>console.trace("'postMessage' has been blocked"),self.addEventListener=()=>console.trace("'addEventListener' has been blocked"),self.AMDLoader=void 0,self.NLSLoaderPlugin=void 0,self.define=void 0,self.require=void 0,self.webkitRequestFileSystem=void 0,self.webkitRequestFileSystemSync=void 0,self.webkitResolveLocalFileSystemSyncURL=void 0,self.webkitResolveLocalFileSystemURL=void 0,self.Worker){const v=self.trustedTypes?.createPolicy("extensionHostWorker",{createScriptURL:d=>d}),S=self.Worker;Worker=function(d,h){/^file:/i.test(d.toString())&&(d=C.FileAccess.asBrowserUri(n.URI.parse(d.toString())).toString(!0));const g=`(function() {
	const ttPolicy = self.trustedTypes ? self.trustedTypes.createPolicy('extensionHostWorker', { createScriptURL: (value) => value }) : undefined;
	const stringUrl = '${d}';
	importScripts(ttPolicy ? ttPolicy.createScriptURL(stringUrl) : stringUrl);
})();
`;h=h||{},h.name=h.name||y.basename(d.toString());const t=new Blob([g],{type:"application/javascript"}),r=URL.createObjectURL(t);return new S(v?v.createScriptURL(r):r,h)}}else self.Worker=class extends k.NestedWorker{constructor(v,S){super(l,v,{name:y.basename(v.toString()),...S})}};const m=new class{exit(v){I()}async exists(v){return!0}async realpath(v){return v}};class u{constructor(){const S=new MessageChannel,d=new R.Emitter;let h=!1;l(S.port2,[S.port2]),S.port1.onmessage=g=>{const{data:t}=g;if(!(t instanceof ArrayBuffer)){console.warn("UNKNOWN data received",t);return}const r=f.VSBuffer.wrap(new Uint8Array(t,0,t.byteLength));if(D.isMessageOfType(r,2)){h=!0,E("received terminate message from renderer");return}d.fire(r)},this.protocol={onMessage:d.event,send:g=>{if(!h){const t=g.buffer.buffer.slice(g.buffer.byteOffset,g.buffer.byteOffset+g.buffer.byteLength);S.port1.postMessage(t,[t])}}}}}function o(v){return new Promise(S=>{const d=v.onMessage(h=>{d.dispose();const g=JSON.parse(h.toString());v.send(D.createMessageOfType(0)),S({protocol:v,initData:g})});v.send(D.createMessageOfType(1))})}let E=v=>I();(function(){const S=new u;b.mark("code/extHost/willConnectToRenderer"),o(S.protocol).then(d=>{b.mark("code/extHost/didWaitForInitData");const h=new _.ExtensionHostMain(d.protocol,d.initData,m,null);E=g=>h.terminate(g)})})()})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/c3f126316369cd610563c75b1b1725e0679adfb3/core/vs/workbench/services/extensions/worker/extensionHostWorker.js.map
